Getting Started

  • If you are already familiar with Lyric and with Chyron hardware systems, refer to New Features in Lyric Version 7.1 to find out about the new features in this version of Lyric.

  • If you are completely new to Lyric, also refer to Creating a Simple Lyric Composition, which features a tutorial for creating a Lyric message.

  • For information about navigating the Lyric interface, please refer to Navigating and Entering Information in Lyric .

About Lyric and Hardware Platforms

Lyric® is a powerful character generator/graphics application boasting feature-packed 2D and 3D static and animated graphics creation tools, and real-time playback to air. Lyric runs on Chyron® character generators and other systems for online production and real-time playback, as well as on PCs running Windows® XP Professional for offline composition. Content may be created on a conventional PC, saved in a variety of static/animation formats as well as proprietary Chyron formats, and then played back as broadcast-quality graphics and animations on appropriate Chyron systems. Advanced from the widely successful Chyron iNFiNiT!® family, all systems running Lyric can import files from and export files to iNFiNiT! family systems.

NOTES

  • Lyric operates in online and offline modes. Online, Lyric is used for content creation and playout on HyperX and other Chyron CG systems. Offline, Lyric is used for content creation on PCs; Lyric messages created in this manner can then be played out on HyperX and other Chyron CG systems. Workflow environments operating in this manner must use the offline and online versions of the same Lyric release to insure the integrity of message playout.

  • Lyric Online Help contains information about Lyric operation on all relevant Chyron systems, as well as offline PCs. Unless otherwise noted, the information provided applies to all systems. Features and operations pertaining to or excluding specific systems are explicitly called out.

  • Message Format Compatibility: Messages composed in earlier versions of Lyric can be played back using the current version of Lyric, but should be carefully checked for stable reproduction. The same caution should be taken when creating a message on one type of Chyron system and then playing it back on another.

  • Closing and Restarting Lyric: Whenever Lyric has been closed, wait a few seconds in order to allow Lyric to completely shut down before restarting. If animations are still visible on the screen, wait for them to play out as well.

Lyric and Lyric Pro®

Lyric® Pro is a package of software features available as an option for Lyric-capable Chyron systems. The option is available through your Chyron dealer or by contacting Chyron Customer Service. Lyric Pro gives the user access to these advanced functions:

  • Persistent messages.

  • Transition options.

  • The Playout Properties panel.

  • The Events Properties panel.

  • The Scene Tree.

  • Certain Advanced Image Effects (Burst, Fire, Smoke, Explosion, Frost, Glitter, Glow, Magic Trails, Pixie Dust, Refraction, Smoke, Snow, Toon, Sketch and Metallic Paint). NOTE: ALL OF THE EFFECTS KNOWN AS ADVANCED IMAGE EFFECTS IN PREVIOUS VERSIONS OF LYRIC ARE NOW FOUND ON THE EFFECTS TAB OF THE PROPERTIES MENU.

Lyric PRO users may switch their systems to operate in standard Lyric mode with the system's Command Prompt.

Lyric Font Support and Font Creation

Lyric supports TrueType®, OpenType® and iNFiNiT!® fonts, as well as Unicode (Chinese, Japanese, Cyrillic, etc.). Lyric does not support PostScript® fonts. For information on creating fonts for use in Lyric compositions, refer to Creating and Using Fonts in Lyric.

About External and Optional Internal Hardware

  • Chyron keyboard: While a PC keyboard can run Lyric on a Chyron system, the Chyron keyboard provides dedicated keys for quick execution of time-critical Air/production operations.

  • Internal Clip Player: The Internal Clip Player enables the recording and playback of video/audio clips in Lyric compositions. Depending on your system, the Internal Clip Player may be a piece of dedicated hardware, or an enabled option in your system's existing hardware.

  • PCI-Squeezeback Board: The internal PCI-Squeezeback board adds cutting-edge animated video effect creation capability, including resizeable, animatable video regions which display input video.

  • CMix: The external CMix unit expands the user's video mixing options when used with Chyron CG systems.

  • KwiKeys GPI/O Trigger Device - All Systems: KwiKeys provides an easy method of executing GPI-triggered events.

  • ReCall Keys: ReCall Keys provides a means for the Lyric operator to quickly call up Lyric messages, play animations and manipulate your Chyron system's program outputs. ReCall Keys can be connected to a Chyron system or a PC running Lyric, and communicates with the system via the RS-232 protocol.

Lyric and External Systems

Lyric can transfer files to and from Chyron® iNFiNiT!®, Chyron Aprisa and Quantel® systems. This enables access to existing files on these systems, modification in Lyric, and transfer back to the external systems in their native formats.

Compatibility with iNFiNiT! Files and Fonts

Lyric can import and export iNFiNiT! fonts and static messages. Refer to Browser: iNFiNiT! Font Assets, File Menu: Import from iNFiNiT!, File Menu: Export from iNFiNiT! and Custom Font Editor for information.

Using Lyric

In Lyric, graphics are composed by arranging any combination of 2D text, 3D characters, 3D objects, 2D bitmap graphics and light sources in an area called the Canvas. Collectively, items placed on a Lyric Canvas are called objects or elements. The use of the term Object or Element in this documentation can sometimes differ depending on the function being described. Once placed on the Canvas, any object may be individually manipulated. Except in 2D Text Windows, there are no row/column constraints, allowing complete freedom of object placement.

In addition to the standard Windows methods for saving and opening files (Ctrl + S and Ctrl + O), Lyric messages may be recorded and recalled using Record and Read commands entered on the numeric keypad of a standard PC keyboard or the shortcuts to these commands on the Address Keypad of the Chyron keyboard, in conjunction with the Message Number display. In addition, Lyric offers Read Next , Read Previous and Playlists to display message sequences. Messages, fonts and graphics can also be easily imported to the Canvas and exported to a variety of destinations via Lyric's Browser.

Lyric provides setup parameters which drive Lyric operations. Most setup functions are found in the Config Menu and in Preferences, which are accessed from the Config menu. Such parameters include interface appearance, hardware configuration, communication with external systems, animation settings, etc.

Lyric also provides setup parameters that apply to individual tools and operations. These settings are found in tool- or operation-specific dialog boxes and panels.

Animation in Lyric

Lyric can animate objects placed on the Canvas, including all types of 2D Windows, 3D Text, 3D Objects, Bitmaps, Light Sources and specialized objects created by Lyric from Effects on the Properties menu, Advanced Text Effects, etc. Backgrounds that are added to the Canvas as a whole are unlike other Lyric objects in most respects and cannot be animated.

Lyric animations are based on frames, much like the frames in a film, with each frame representing a point in time and space. Changes in position and other attributes are made at user-defined points in the animation known as Keyframes. Each Lyric animation by default has two points which define it, the Start Keyframe and the End Keyframe.

It is not necessary to set up a Keyframe for every frame of an animation. For a simple move, such as sliding an object from the upper left corner of the screen to the lower right corner of the Canvas, only the Start Keyframe (an object's position at the beginning of the animation), and the End Keyframe (the object's position at the end of the animation) must be defined. Lyric automatically interpolates the in-between frames, and the duration of an effect has no bearing on the number of assigned Keyframes necessary to perform the effect. Refer to Animation Overview for information on creating animations.

The Lyric Interface

When the Lyric application is first launched, the Canvas , which is where all graphics composition occurs, is displayed on the Lyric interface. As typically configured, the Properties Window appears at the right side of the screen, and the Browser and Scene Graph appear to the left.

The appearance of the interface may differ from that shown in the figure below, depending on the active function, the display of other windows and the position of the various tools. The Menu Bar and various menu items can also change depending on which function or window is active. Most elements that make up the Lyric interface can be moved and resized to suit personal preferences.

Click on different areas of the interface below to identify the Canvases dialog boxes, and tools. Descriptions follow this illustration. For information about navigating the Lyric interface, refer to Navigating and Entering Information in Lyric.

Lyric interface (Lyric Pro option)

Many of the functions described in the following sections can be activated with special dedicated keys or key combinations, called hotkeys, on the Chyron keyboard. Refer to the Chyron keyboard and Keyboard/Mouse Shortcuts for additional information.

Title Bar

The Title Bar is located along the top of a window or dialog box. On the Canvas, it displays the name of the program and the currently active file.

Image: Title Bar - Canvas

Title Bar - Canvas

Clicking on the program or menu icon in a maximized or restored window, or clicking on the Title Bar of a minimized window, accesses a menu which provides window functions. The program or menu icon is located directly to the left of the window title. In the figure of the Lyric Canvas Title Bar at left below, it appears as the Lyric icon. The figure to the right shows the menu accessed from a minimized window.

Image: Windows Title Bar Menus

Windows Title Bar Menus

A Title Bar may contain the program and/or file name, function name and other information. On the Canvas, the Title Bar also provides buffer and output information. Refer to VGE Tally later in this section for additional information. It also provides the following window functions through the Title Bar icons, menu, keystrokes and mouse.

Icon, Menu Item,
Keystroke or
Mouse Action

Description

Image: Windows Maximize Icon

Menu: Maximize

Maximize: Maximizes the window to full screen.

Image: Windows Minimize Icon

Menu: Minimize

Minimize: Minimizes the window.

Image: Windows Restore Icon

Menu: Restore

Restore: Restores window to previously set size.

Image: Windows Close Icon

Menu: Close

Ctrl + F4

Close: Closes window.

Menu: Next

Ctrl + F6

Next: Moves focus to the next window.

Menu: Move

Drag using
the Mouse

Move: Repositions the window. When accessed from the Title Bar menu, select Move, press the cursor keys éêçè to reposition, and then press Enter. For a fine adjustment, press Ctrl + éêçè. Note that when Move is selected from the menu, moving the mouse cursor without clicking also moves the window. Double-click to set.

A Window can also be dragged to a new location. Click-and-drag the Title Bar to reposition the window.

Menu: Size

Drag using
the Mouse

Size: Resizes the window. When accessed from the Title Bar menu, select Size, press the cursor keys éêçè to resize, and then press Enter. For a fine adjustment, press CRT + éêçè. Note that when Size is selected from the menu, moving the mouse cursor without clicking also resizes the window. Double-click to set.

A Window can also be also be resized using just the mouse. Click-and-drag the edges and/or the corners to resize the window.

Menu Bar

The standard Windows menu bar includes familiar File, Edit, View, Window and Help pull-down menus as well as Lyric-specific Tools, Browser (visible when the Browser is active) and Clip (visible when the Clip Control Panel is active) menus.

For the sake of clarity, Tools/Canvas Context/Scene Graph Context menu functions in Online Help will be referred to as accessible from the Tools menu. It should be understood that in most instances, the same functions are also accessible from the Canvas and Scene Graph context menus. Any differences are noted where appropriate.

Canvas

File Menu > New > Canvas; Windows Toolbar > Image: New Canvas Icon
View Menu > Canvases

Lyric's Canvas is the 3-dimensional space in which all composition and animation takes place. Text and objects, including Individual Light sources and the Camera, can hold fixed positions or move within three dimensions. Note that a new Canvas can be created by accessing File > New > Canvas or by clicking the [image] button on the Chyron Toolbar.

If the Canvas is not visible:

  • Pull down the View menu, and then select Canvases.

If the Canvas is still not visible, it is necessary to open a new Canvas.

  • Pull down the File menu, and then select New > Canvas, click the New Canvas icon Image: New Canvas Icon or press Ctrl + N.

Canvas Reset Scroll Position button

Scroll bars on the right side and bottom of the Canvas enables you to adjust your view of objects on the Canvas, and enables you to compose animations where the objects start outside of the normal display area of the Canvas. The Reset Scroll Position icon quickly recenters the Canvas.

Image: Reset Canvas Scroll Bar Icons

Canvas Reset Scroll Position Icon - Centered and Uncentered

If the Canvas Reset Scroll Position icon and Canvas View icons (described later in this section) are not displayed:

  • Pull down the View menu, select Toolbars, and then select Reset Scroll/View Position.

Above left, the icon is seen in the centered state, when the Canvas view is centered. At right, the icon is seen in its uncentered state, when the Canvas view is off-center.

The Canvases for both active and inactive frame buffers can be displayed, as shown in the Lyric interface above. The setting can be enabled/disabled via Config Menu > Preferences > Windows > Display All Frame Buffers.

To quickly change the focus in the Lyric interface to the Canvas displaying the active Frame Buffer:

  • Click the Canvas or press F6.

The Canvas context menu is virtually the same as the Tools menu and the Scene Graph context menu. To display the Canvas context menu:

  • Right-click on an empty area of the Canvas, i.e., not on an object.

Canvas View Toolbar

A Lyric composition on the Canvas can be viewed in variety of ways. A view can be selected by clicking one of the View icons that is located directly to the right of the Reset Scroll Position icon. To view the different orientation:

  • Click on a Canvas View icon. Note that the leftmost icon is the Reset Scroll Position icon.

Image: Canvas View Icons

Canvas View Toolbar

If the Canvas View icons and Canvas Reset Scroll Position icon are not displayed:

  • Pull down the View menu, select Toolbars, and then select Reset Scroll/View Position.

The following figure shows a 3D object (soccer ball) a 2D object (flare), 3D text (the word "soccer" in 3D characters) and a 2D Text Window (the word "soccer" in 2D text). The view is identified in the top left corner of the Canvas. The visible axes are shown at the bottom left of the Canvas.

All four types of objects are visible in Front view.

Image: Canvas View - Front

Canvas - Front View

The 3D object and the tops of the 3D characters are visible in the Top view. The top edge of the 2D Text Window, although it has no thickness and is in the XY plane only, is indicated by a blue line. The 2D object, having no thickness and being in the XY plane only, is not visible. If the 2D object and/or the 2D Text Window are rotated in 3D space, they would be visible.

Image: Canvas View - Top

Canvas - Top View

All four types of objects are visible in Perspective view.

Image: Canvas View - Perspective

Canvas - Perspective View

The 3D object and the tops of the 3D characters are visible in the Top view. The left edge of the 2D Text Window, although it has no thickness and is in the XY plane only, is indicated by a blue line. The 2D object, having no thickness and being in the XY plane only, is not visible. If the 2D object and/or the 2D Text Window are rotated in 3D space, they would be visible.

Image: Canvas View - Left

Canvas - Left View

The following figure simultaneously shows all four views.

Image: Canvas View - All

Canvas - View All

The following figure shows all of the elements rotated in 3D space. Note that the 2D Text Window is now visible in the Top and Left views, and the 2D Object is now visible in the Top view. It would also be visible in the Left view, but is hidden by the soccer ball.

Image: Canvas Views - Objects Rotated in 3D Space

Canvas Views - Objects Rotated in 3D Space

To quickly toggle the multi-view display on and off:

  • Pull down the View menu, and then select Multi-View.

Additional scene viewing tools are also available:

  • Spin the mouse wheel up/down to zoom into/out from the Canvas.

  • Hold the Shift key down. Spin the mouse wheel up/down to zoom into/out from the Canvas more quickly.

  • Hold the Shift key down and the mouse wheel down. Spin the mouse wheel up/down to zoom into/out from the Canvas more slowly.

  • Hold the mouse wheel down. Move the mouse around the Canvas to look around the scene.

  • Hold the Shift key down and the mouse wheel down. Move the mouse around the Canvas to rotate the scene.

  • Click the Canvas Reset Scroll Position icon to reset the view.

The following are among the elements which may be placed on a Canvas:

Object

Description

2D Text

2D Text Windows including Roll, Crawl and Type On windows.

3D Characters

3D extruded text derived from Lyric's TrueType® fonts.

2D Objects

2D graphics in a wide variety of file formats.

3D Objects

3D objects in the .3ds, .prj or .obj formats.

Flipbooks

Flipbooks, which are self-contained animations composed of sequences of 2D bitmap graphics that can be executed as a Flipbook, as well as animated as a single object on the Canvas.

Movie Objects

Movie objects are AVI files which can be imported into the Canvas, and resized, repositioned, rotated and animated.

Backgrounds

A solid color, ramped color or bitmap graphic that can act as a Background for a 2D Text Window, a 2D Text Template, or the entire Canvas. Backgrounds cannot be animated in 3D space, but their Transparencies can change during an animation.

Global Light

A light source which provides light from all directions, with color and intensity set on the Properties > Lighting. This light source is always present in the Canvas, and cannot be animated in 3D space or deleted.

Individual Lights

Up to six individual Light Sources which can be placed in a Canvas. Color, Style (Spot or Flood) and Intensity of these lights are set in Properties > Lighting. Individual Lights can be animated in 3D space.

Camera

Establishes a viewer frame of reference. The Camera can be animated, and its focal length can be adjusted.

The Camera feature comes in handy when, for example, it is necessary to slightly shift the view of every object on the Canvas. Rather than repositioning each object and struggling to maintain the proper perspective, the Camera can simply be repositioned. The effect is the same as slightly moving the position of the viewer.

There are also other elements that are generated by Lyric and added to the Canvas when using Effects from the Properties menu, Advanced Text Effects, etc.

It is necessary at times to select the Canvas as a whole, for example, when applying a Background to the Canvas. Choose one of the following methods to select the Canvas:

  • Click in an empty area of the Canvas. The Global Light listing in the Scene Graph should become highlighted.

  • Click on the Global Light or Camera listing in the Scene Graph.

When Lyric is running on an appropriate Chyron system, Frame Buffer status and the output to which it is routed is displayed on the Canvas Title Bar.

Image: Canvas Title Bar

Canvas Title Bar

In the figure above:

  • Msg indicates Message Name. In this instance, it has been saved with the message number 631.

  • The directory path indicates the Default Message Directory as set in Config Menu > Preferences Default Paths. Note that when a message is read from another directory, the path to that message is briefly displayed, and then reverts to the Default Message Directory. In this instance, it is C:\Program Files\Chyron\Lyric 7.0\Messages.

  • FB1 indicates the Frame Buffer in which the message has been read. In this instance, it is Frame Buffer 1. Note that a display of FB0 indicates that there are no frame buffer devices assigned to Lyric in the Configure Board Use dialog box, or that Lyric is running on a PC. Refer to Hardware for details on board assignment.

  • SD indicates that the frame buffer is producing a Standard Definition signal. This indication will be seen with both NTSC and PAL output video standards. HD would indicate any one of several High Definition output standards available on eFX frame buffer boards.

Canvas Resolution

Config Menu > Canvas Resolution

Canvas Resolution settings configure the Canvas to properly display the graphics that are output from your Chyron system, as well as control how 2D bitmaps are imported to the Canvas.

NOTE

Scaling the Canvas using the mouse will not preserve the aspect ratio of the Canvas.

Canvas Resolution Dialog Box

Settings For

With Lyric Version 6.0 and later, each available Frame Buffer's Canvas can be configured with different Canvas Resolution settings. Use this dropdown to select the Frame Buffer you will be configuring.

Broadcast Standard Presets

NOTE

Canvas Resolution settings DO NOT affect the signal being produced by your system's Frame Buffer boards. These settings ONLY configure the Canvas for proper visualization and composition of Lyric messages. Setting the broadcast format of your system's outputs is accomplished in Lyric's Configuration menu (Configuration > Hardware).

Several presets are provided, matching the most common television standards, along with a setting for high-definition video for film production (HDTV 1080 24P). The User Defined option allows the operator to enter specific width, height, frame rate, and pixel aspect ratio settings.

Use 1:1 Pixel Aspect for Graphics Import

1:1 Pixel Aspect ON vs. 1:1 Pixel Aspect OFF

This option compensates for the difference between the square-shaped pixels used by Windows graphics applications and the rectangular pixels used by the Lyric application.

In the top illustration, the Use 1:1 Pixel Aspect for Graphics Import option is active, and the original appearance of the imported object has been preserved.

In the bottom illustration, the option is not active, and the proportions of the imported object are distorted.

Enable Auto Standards Conversion

When this function is enabled, 4:3 SD messages can be imported into a 16:9 HD Canvas and vice versa, while aspect ratio and size are maintained.

For example, a page is created in Lyric with the Canvas set to D1 525 (4:3 - 720 X 486).

The Canvas Resolution is then changed to 16:9 525; the pixels are still at 720 X 486. If the same page is read to the 16:9 Canvas without the Auto Conversion enabled, it would appear horizontally stretched.

With Auto Conversion enabled, the page created with the Canvas set to D1 525 would now retain the proper aspect ratio when read to the 16:9 canvas. There is no need for rescaling. The only area with which to be to be careful is that background clips are stretched to fill the entire screen when converting to from 4:3 to 16:9.

When Auto Standards Conversion is used in the inverse situation, pages created in 16:9 HD format display with the correct aspect ratio when read into a 4:3 Canvas. Note however, that the left and right edges of graphics created to fit a 16:9 Safe Title area are clipped when reading into the 4:3 Canvas. The interior outline above shows the 4:3 Safe Title area.

To enable Auto Standards Conversion:

  1. From the Config menu, select Canvas Resolution. The Canvas Resolution dialog box is displayed.

  2. Click the Enable Auto Standards Conversion checkbox, and then click OK

Full Scene Antialiasing

The edges of objects and characters are subject to artifacts that impart a jagged or 'blocky' appearance to the object when seen magnified or especially close to Lyric's Camera in the program's 3D workspace. Antialiasing removes a portion of the image data to correct this effect.

The degree of the Antialiasing effect can be set to 2 samples per pixel (2x), 4 samples per pixel (4x) or the effect can be turned off completely. When a value is chosen, the Full Scene Antialiasing checkbox becomes available; when selected, the checkbox sets the value set in the combo box as the Canvas's default antialiasing value.

Lyric's Full Scene Antialiasing applies this correction to all nodes, or Primitives in a given scene. Antialiasing for individual objects can be set from the Rendering Properties menu. Individual objects set to "Default" on the Rendering Properties menu are given the degree of antialiasing set above.

NOTE

Using antialiasing may impose a burden on your system's memory, potentially affecting performance. This occurs at all Video Output Standard settings, especially HD modes. Chyron recommends that the user preview compositions where antialiasing is in effect.

Transport Controls

The operation of the Transport controls can be affected by the Playout controls that are available in the Lyric Pro option.

The Transport Controls provide easy navigation and playback control of the current animation. They are usually located at the bottom edge of the Canvas, and are organized as familiar Play, Stop, Rewind and Fast Forward buttons. Intermediate buttons advance or reverse the animation by one frame or one second of video, or to the next/previous keyframe. The buttons at each end advance or reverse animation to the end or beginning of the sequence.

Transport Controls

Changes made with the Transport Controls buttons are reflected by the Frame Counter display, and by the Current Frame indicator on the Timeline and on the Keyframe Graph.

Additionally, the speed of an animation can be changed during execution:

  • Press the up cursor key é to speed up the animation, or the down cursor key ê to slow down the animation.

Frame Counter

The Frame Counter display shows the elapsed time in a given animation in hours, minutes, seconds and frames. Keyframes can also be set by entering figures directly into these windows or using the display's up and down arrows Image: Frame Counter Arrows to increase or decrease the time value displayed in the active Hour, Minute, Second or Frame field.

Image: Frame Counter

Frame Counter

Message Number

Earlier Chyron systems such as the iNFiNiT!® save newly-created files as messages, which are assigned a number of up to eight digits. Lyric includes this feature as well. Message ID is displayed in the Message Number display for faster storage and recall of messages than would be possible opening files in the typical Windows manner.

A Message ID Number can be entered for Read, Read Next, Read Previous, Record and Delete operations using the numeric keypad, which is the set of number keys to the right of the Chyron system or PC keyboard. The numeric keypad can operate in two modes:

  • Message Number Entry, where the numeric keypad can only enter Message Numbers. To enter a Message Number, cursor focus can be at any location in the Lyric interface.

  • Alphanumeric, where the numeric keypad can be used to enter Message Numbers, type numbers on the Canvas and enter numbers in data fields in dialog boxes. To enter a Message Number, focus must be returned to the Canvas.

Refer to Windows Preferences for details on setting Numeric Entry Mode.

Image: Message Number

Message Number

Each time a Lyric file is recorded or read, the Message Number increments. Additionally, the Message Number of the currently displayed file is displayed in the Title Bar of the Canvas. Refer to Recording/Reading Messages for further information.

The Message Number can be set to automatically increment on Read/Save, or remain static, It can also be set to increment separately per frame buffer, and/or to be tracked when a message that has been transferred to output is transferred back to Preview. Refer to CG Preferences for details on these settings.

Note that there are many different file operations in Lyric. Refer to File Operations - Related Topics and/or the section(s) covering the function or feature for details on reading (recalling) and recording (saving) specific types of files.

Browser

Browsers enable you to quickly catalog and store objects and assets such as font styles, and quickly recall them into your current project. Browsers act both as a database for Lyric assets, and as a visual storage, search, and retrieval system for those assets.

Scene Graph

The Scene Graph lists all of the elements in the current Canvas, including text, graphic objects, Lyric-created objects and light sources. Each element can be selected using the mouse and highlighted for adjustment.

Font and Justification Tools

Font Tools display current font settings and can set font style, size and color. These attributes can be also set in the more detailed Font Properties dialog box, which is part of the Properties window. Font Tools also include standard Windows buttons for bold/italic/underline and for left/center/right justification and vertical centering.

Windows Toolbar

The Windows toolbar includes standard Windows icons for creating a new file, opening existing files and saving files. There are also Cut, Copy, Paste and Delete icons, as well as Undo/Redo icons and the context-sensitive Help cursor. The [image] button creates a new Canvas.

Timeline

The Timeline is a visual representation of the elements present on the Canvas and their progress through an animation's duration. Each element and many of its attributes has its own Timeline, which is displayed in the main Timeline window. Keyframes can easily be set by clicking and dragging each element from a starting point to an end point.

Properties

The Properties dialog box controls many attributes of the Canvas and its objects, such as font style, light intensity, positioning of objects, etc. The top of the Properties dialog box contains tabs from which you can quickly select a Property to set or change.

Chyron Toolbar

Chyron Tools access functions unique to Lyric. Various icons may be grayed out, depending on the currently active function and type of Chyron system. Included in the Chyron Toolbar are the Transform and Alignment Toolbars.

Chyron Tools

Tool

Description

2D Windows: Click the tool icon to introduce the 2D Window to the Canvas. 2D Text and RGB Fonts can be entered into these windows.

Opens a 2D Text Window on the Canvas.

Opens a 2D Roll Window on the Canvas for composing Roll animations.

Opens a 2D Crawl Window for composing Crawl displays.

Opens a special 2D Type On Window for composing Type On/Slow Reveal displays.

Opens a 2D Clock Window for creating time-of-day Clock displays.

Opens a 2D Timer Window for creating count-up and count-down Timer displays.

Opens a Spline Window in which 2D text or RGB Font characters may be mapped to a curved baseline for animation along that baseline.

Importation and Template Creation: Click the tool icon to set up importation of a 2D or 3D object or background; or to create a 2D or 3D Template.

Image: Import 3D Object Icon

Imports 3D Objects (.3ds, .prj or .obj formats) into the Canvas.

Imports Movie Objects (.avi or .mov formats) into the Canvas.

Imports 2D Bitmap graphics into the Canvas. Lyric can import more than 20 graphics file types. Imported graphics are treated as independent, fully animatable objects in Lyric compositions.

Imports Background images or textures. Backgrounds imported in this manner may be set within the Canvas as a whole, or within individual 2D text windows.

Creates a 2D Text Template or 3D Text Template. To create a 2D template, click this button with the cursor inside of a 2D Text, Roll, Crawl or Type On Window. To create a 3D template, first make sure that your pointer is outside of any window on the Canvas by clicking directly on the Canvas; then click this button on the toolbar.

Grouping: Allows grouping and ungrouping of objects.

Image: Group Icon

With multiple objects selected, the Group icon enables the operator to manipulate those objects simultaneously.

Image: Ungroup Icon

Ungroups grouped objects, restoring individual control over the objects.

Display: Click to set various display options.

Erase offers a variety of options for erasing entire scenes or certain categories of scene elements. Be sure to familiarize yourself with the use of this control, because Undo functionality is limited as regards Clear Scene operations.

Toggle Canvas Background Color. Certain textures and colors may be difficult to see during composition and editing on the Lyric Canvas. The Toggle Canvas Background Color adjustment can help the user see Canvas contents with a number of options.

Take note that this is a matter ONLY of the Canvas background seen by the user during composition; this adjustment is different from setting a Background that will appear in the composition that will appear on Output.

Clicking the [image] button toggles between black and gray composition-only backgrounds. Press the Control key and click on this button to choose a custom color in a familiar Color Select dialog, which also offers a checkerboard option, similar to that seen in Adobe Photoshop.

Again, this is a different function from the one that adds a Background to the entire composition, a 2D Text Window or a 2D Text Template!

Turn Off/On Text Window Frames eliminates/restores visibility of all 2D Window and 2D Text Template borders to facilitate composition, reducing the necessity of reviewing composition on a Chyron system output. Note that is it always recommended that the final Lyric composition be reviewed on output to ensure correct execution of animations.

Turns on/off all windows except those designated as Basic Windows in the Preferences menu.

Transform Tools

Image; Edit Position Icon

Edit Position cursor for repositioning all types of objects on the Canvas.

Edit Rotation Icon

Edit Rotation cursor for rotating all types of objects on the Canvas.

Edit Scale Icon

Edit Scale cursor for scaling all types of objects on the Canvas.

Edit Center of Rotation Icon

Edit Center of Rotation cursor for adjusting the Center of Rotation for all types of objects on the Canvas.

Alignment Tools

Left-aligns multiple 2D Text Templates or Timelines.

Right-aligns multiple 2D Text Templates or Timelines.

Top-aligns multiple 2D Text Templates or Timelines.

Bottom-aligns multiple 2D Text Templates or Timelines.

Makes multiple 2D Text Templates or Timelines the same width.

Frame Buffer Tools

Frame Buffer Tools control playback and display of Lyric messages and give access to other animation playback tools. Frame Buffer Tools are available only when Lyric is running on a Chyron system; heir buttons are grayed out in an offline environment. When Lyric is being run on a Chyron system, a grayed out FB icon, as shown below, indicates an uninstalled or unavailable VPB or PCI-Squeezeback board ( LX/LEX only) or eFX board (HX200 and HyperX). For additional information on these controls, refer to Frame Buffer Tools.

Duet LE/LEX/PCI/PCI+ Tools

Frame Buffer Tools

The following table provides brief descriptions of the various Frame Buffer Tools. Blue and black versions of the Live and Frame Buffer buttons are shown to illustrate their indication of active and inactive states respectively.

Tool

Description

These tools are available on all systems.

The [image] icon activates your Chyron system's Render Mode. In this mode, any text or objects placed on the active Canvas are rendered on your Chyron system's video output(s) in real time. Compositions displayed on the video output can thus be edited in real time.

When Render Mode is not active (i.e. the [image] icon is not selected), Canvas compositions can be transferred to the Chyron hardware by clicking the [image] (Transfer) icon.

Image: Duet SD/HD Swap Icon

The Swap Output Channels Image: Duet SD/HD Swap Icon icon toggles between the Canvases on channels 1 and 2 for editing or composition on your Chyron system's VGA monitor. Note that this icon also executes a transition between 's two video outputs! The video output channel designated as active displays the transition. The type of transition is designated by the Default Effect setting. The inactive video output channel will simply switch one image for the other.

  • On the LEX/PCI+, the active buffer remains the same, even though the contents have been swapped.

  • On a LEX/PCI/PCI+ system, a dialog allowing the user to choose the buffer with which to swap is displayed when Swap is clicked.

Change
(Change Key)

No icon. Changes active frame buffer to next available frame buffer.

Clicking a Frame Buffer icon [image] selects an output for composition/editing and displays its signal on the VGA monitor.

Frame Buffer Control from the Command Line

In certain situations, the user may wish to run multiple instances of Lyric simultaneously. Users can now dedicate specific Frame Buffers to designated instances of the application and the operation each is performing.

This arrangement can be set up by appending the appropriate parameter to the command line that appears in the Properties dialog of a Lyric shortcut or via the system's Command Prompt. See also LE/LEX/PCI/PCI+ Tools.

VGE Tally

The VGE Tally indicates which frame buffer is active and on to which output it is routed. The VGE Tally is displayed in the Title Bar of the Canvas displaying the active frame buffer. In the following figure, Frame Buffer 1 is active, as indicated by the active FB1 icon in Frame Buffer Tools. The VGE Tally indicates that Frame Buffer 1 is routed to Output 1 of the Chyron system.

VGE Tally

The Title Bar of the Canvas displaying the inactive frame buffer indicates only the frame buffer number, not the output to which it is routed.

A VGE Tally can indicate if the frame buffer is routed to a Mixer. The following indicates that Frame Buffer 2 is routed to Output 1 and Output 2.

FB2 Msg: Untitled on Out 1 + Out 2

The following indicates that Frame Buffer 3 is routed to through the Video Mixer to Output 1.

FB3 Msg: Untitled on Out 1 (Mix)

Status Bar

The Status Bar is located at the bottom of the Lyric interface. It provides information about active objects and functions. It is illustrated here in three segments, with the leftmost segment at the top; the middle at the middle, and the rightmost at the bottom of this figure.

Status Bar

Trigger prompts such as Paused for Keypress, Wait for Keystroke, Paused for Delay (from Delays/Timeouts) and Waiting for Timecode are displayed in red in the Status Bar at the bottom of the screen. The following illustration shows a Wait for Keypress generated by a Wait for Key set in the Control field of a Playlist.

Waiting for Keypress

Status information such as Record confirmation, Delete confirmation, Read Next Loaded, and VGA Preview are displayed in green in the Status Bar. The following illustration shows a Record confirmation.

Record Confirmation

The Status Bar can be displayed or hidden.

  • Toggle the display on and off by clicking on the Status Bar item in the View menu.

The Status Bar is divided into panes as follows:

Pane

Description

Currently Selected Object or Function

At far left, the Status Bar displays a description of each Toolbar icon as the mouse moves over it, or displays the name of the currently selected object. In the figure above, it shows that Object '2D Text 1', which is a 2D Text Window, is currently selected.

Copyright Information

To the left of the middle of the Status Bar is a pane that displays copyright information.

M

The following pane to the right displays the letter M. It turns red during a Macro Record operation.

Mouse Position

The next pane to the right displays the X and Y coordinates of the mouse cursor on the Canvas. X = 0, Y = 0 are the coordinates for the center of the Canvas.

Object Details

The XY coordinates are followed by details of the currently selected object.

  • 3D objects and characters are specified by name; more detail on these objects appears at the left end of the Status Bar.

  • When a 2D Text Window is selected, the Row Number of the mouse/pointer's current location is displayed; the character to the right of the cursor is specified. At the end of a row, no character is specified. In the example above, it is the letter B. A Unicode character is identified by its Unicode number, e.g. U+9788. An RGB Font character is identified by the key combination that produces it.

To the right side of the Status Bar is a group of panes that displays the active/inactive status of various functions. When the function is active, the pane displays black lettering. When the function is inactive, the pane is grayed out.

II-1, II-2, II-D or II-T

Intelligent Interface:

  • II-# indicates that no serial ports are available for Intelligent Interface connection.

  • II-1 indicates that Intelligent Interface is enabled for transmission on Serial Port 1.

  • II-2 indicates that Intelligent Interface is enabled for transmission on Serial Port 2.

  • II-D indicates that Intelligent Interface is enabled for transmission on both Serial Ports 1 and 2.

  • II-T indicates that Intelligent Interface is enabled for transmission via Telnet.

TRNS

Translation Mode: Allows typing of Alt characters.

  • Press Ctrl plus - (minus) sign to type multiple Alt characters.

  • Press Ctrl plus = (equal sign) to type a single Alt character.

COL

Tab Column Mode: Allows typing in columns.

Press Alt + M or select Tab Column Mode from the Edit menu to toggle on and off.

LOCK

Lock Mode: Allows locking of 2D text rows so that they shift as one group.

Press Ctrl + L or select Row Shift Locked from the Edit menu to toggle on and off.

CAP

Caps Lock Mode: When active, all characters are typed as upper case. Equivalent to a typewriter Caps Lock key. To toggle Caps Lock Mode on and off:

  • Press the Caps Lock key.

NUM

Num Lock Mode:

  • When active, the numeric keypad at the right of the keyboard types numbers.

  • When inactive, pressing the numeric keypad keys shifts cursor position, activates/inactivates Insert Mode, or deletes the selected 2D text character.

To toggle Num Lock Mode on and off:

  • Press Fn + Num Lock (same keycap as Ctrl on the numeric keypad) on the Chyron keyboard, or press the Num Lock key on the PC keyboard.

OVR

Overwrite/Insert Mode:

  • When active, a newly-typed character replaces the existing character.

  • When inactive, the newly-typed character is inserted at the cursor position without replacing a character.

Choose one of the following methods to toggle between Overwrite and Insert Mode:

  • Press Fn + Insert (same keycap as Delete Row) on the Chyron keyboard, or the Insert key located directly above the Delete key on the PC keyboard.

  • With Num Lock Mode inactive, press the Ins (0) key on the numeric keypad.

Clip Control Panel

Internal Clip Players provide video and audio playout for incorporation with Lyric animations or independently as a distinct source in your production. In the former application, video clips play behind Lyric graphics on output, and is not visible on the Canvas during clip editing, preview or playback. Internal Clip Player options also provide recording capability for input video and audio. Refer to Internal Clip Player and Clip Control Panel for detailed information.


Lyric Licensing Version 5.22 and Later

Lyric Licensing

A Note About Lyric Software Licensing

Dongles that have enabled older versions of Lyric on existing Chyron systems ARE NOT compatible with Lyric Version 7. They must therefore be reprogrammed. Please contact Chyron Customer Service at 631-845-2132 if you are upgrading a Chyron system you currently own to Lyric Version 7.

Newly-purchased Chyron systems include either Lyric Version 7 or the Lyric PRO option, as ordered by the customer, with the purchased options enabled. Hence, no licensing updates are required.

  • To purchase and enable additional software options, please contact Chyron Customer Service.

  • Newly purchased Lyric 7 Offline and Lyric PRO Offline packages include a dongle kit programmed with the appropriate options.

Please contact Customer Service with any other questions regarding dongles. Full instructions for upgrading a Chyron system running a previous version of Lyric to Lyric 7 or Lyric 7 PRO may be found in the Lyric 7 Release Notes, Chyron Document Number 2a02249.

Chyron systems are shipped with the dongle connected to a USB port within the machine. If the dongle must be removed during troubleshooting or field maintenance, DO NOT LOSE IT.

Displaying Currently Enabled Options

LyricOptions.exe is a utility provided with Lyric. When run, the utility displays the options enabled in the dongle. Note that this utility only shows the user which options are enabled on the system. LyricOptions.exe is not involved in updating the license contained in your system's dongle. See Dongle Programming in the Field, below.

LyricOptions.exe is located in the SafeNet folder within the Lyric directory.

Dongle Programming in the Field

Prior to the procedure described here, contact your Chyron Sales representative to arrange purchase of the options you wish to enable. A dongle can be programmed by a customer in the field with the utility program FieldActUtil.exe. Like LyricOptions.exe, this program is automatically placed in the SafeNet folder during the Lyric installation process (see the illustration on Page 1). It is recommended that you perform this procedure with Lyric NOT running on your system.

  1. Locate the .exe file, and double-click to launch the program.

  2. Click the Get Locking Code button, and a string of alphabetical characters will populate the text field above the button, as seen below right.

  3. Using the Copy to Clipboard [image] button or the Save Locking Code to a File [image] button, save your Locking Code text in an e-mailable form.

LEAVE THIS PROGRAM RUNNING AND LEAVE THIS DIALOG OPEN.

IF YOU CLOSE AND RESTART THE PROGRAM, IT WILL GENERATE A NEW LOCKING CODE AND THE REST OF THE PROCEDURE WILL NOT WORK.

  4. Contact Chyron Customer Service by phone at (631) 845-2132. You will be asked to e-mail your locking code to your Customer Service representative.

  5. Your Customer Service representative will supply you with a new license code by e-mail or phone. If by e-mail, the license code will be in the form of a License Code File with the extension .LIC. Save the e-mailed file to a convenient location.

Use the Load License code from a file [image] button to browse to the License Code File and open it. Alternately, you may paste it from a text file using the [image] button, or enter it directly into the text field using your keyboard; this last method is not recommended, as it introduces the possibility of error during text entry.

  6. Click the Update License button.

  7. Re-start the Lyric application; your new options will be ready to use.

Temporary License

As above, Lyric 7 will not run on a system containing a dongle programmed for earlier versions of the software. A temporary license code may be obtained by contacting Chyron Customer Service and entering it into the dialog seen below:

Note, however, that normal use of Lyric and Lyric Pro, including Offline versions, requires a dongle in ALL system configurations.


Help Menu - Using Lyric's Online Help System

Help Menu

NOTE

Lyric Online Help is updated periodically and can easily be downloaded into the Lyric installation directory for direct access from Lyric. Please visit Chyron's Website at http://www.chyron.com/support/downloads.aspx. Use the Products dropdown to choose your hardware. Use the Resource Type dropdown to choose Product Manuals, and click GO. The available Help files will be listed; select the Online Help file for your version of Lyric.

Lyric's Online Help system offers comprehensive information on Lyric and the Chyron systems on which Lyric runs. To access Help features:

  • Click on the Help menu.

Help Menu

Help Topics

Clicking the Help Topics menu item opens the Help interface; by default, the left-most pane of this screen displays the Table of Contents.

Image: Help Display

Lyric Help Window

You may also click on the Contents tab for a selection of "Books" containing the same content that is offered by the Index, or click on the Search tab and enter a subject name to look for topics containing the information about the specific subject.

Image: Help Table of Contents and Index

Lyric Help Table of Contents and Index

Browse Sequences

Browse Sequences are offered along the top of the Help display. These are ordered sets of pages within important topics that take the user through a subject.

  • Click on the topics to open them, and use the arrows to the left and right of the display to navigate forward and back through the sequence.

  • A choice of Browse Sequences on selected subjects is available from the dropdown list box to the left of the Browse Sequence display.

Image: Lyric Help Browse Sequence

Help Browse Sequence

Printing Help Topics

Print and Print Preview functionalities for printing images of Lyric compositions are not implemented at this time. If, however, the Duet system or PC is connected to a printer, Online Help topics can be printed. From within the Online Help window:

  • Right-click, then select Print... from the menu, and then proceed as usual from the Print dialog box.

OR

  • Click on the Print icon in the Online Help toolbar, and then proceed as usual from the Print dialog box.

Image: Print Icon in Online Help

Print Icon in Online Help

Context-Sensitive Help

Context-sensitive Help is a shortcut to relevant Help content, directly from the part of the Lyric interface where you are working. Click the Image: Context-Sensitive Help Icon icon on the Windows toolbar. The Context Help cursor [image] appears; use this cursor to click the appropriate part of the Lyric interface. The Help system will open, displaying the topic (or a choice of topics) that discusses the function you are using.

NOTE

In those parts of the Lyric interface where no Context-Sensitive Help is available, a dialog box will appear, advising you to use the Help system's Index, Search facility or Table of Contents. In some parts of the Lyric interface, clicking on the background of a window or menu will not launch Context-Sensitive Help. In these situations, try clicking on one of the actual controls (buttons, sliders, etc.) in the area where you are working.

More Info

Clicking the More Info menu item opens the screen pictured below. It contains information and links for Chyron Sales and Support.

More Info Window

About Lyric

Clicking the About menu item opens the screen pictured below. It contains Version and Build Numbers, as well as buttons that give information about any Lyric plug-ins (LEIFlets) that are installed in your system. It also displays the executing directory for Lyric.

  • Press the [image] button to expand the dialog box for plug-ins information, and in the expanded menu, press the [image] button(s) for information on the individual plug-ins, shown at right.

Image: About Lyric

About Lyric and its LEIFlets


Creating a Simple Lyric Composition

In case you've found an answer to every early question except the one above, here is an exercise in creating a simple Lyric composition, using three basic types of Lyric objects: 2D text, an imported bitmap image and a 3D Lyric-generated character. Follow the links throughout this topic for more information on related topics.

  1. Launch Lyric from the Start menu or a desktop shortcut.

Launching Lyric

The Lyric interface opens.

The Lyric Interface.
Some parts of the interface pictured here may not appear in your version of the software, or if you have modified the interface in your User Profile.

  1. First, we're going to create a brief message in 2D text. Look closely at the upper left corner of the Canvas. It probably looks something like the following illustration. You are looking at the margins of a 2D Text Window. Just beneath the Canvas's title bar appears the lower edge of the text window's title bar, which is gray.

    Close-up view of a new Canvas

    2D Text Window Margins

    By default, each new Canvas opened in a new installation of Lyric contains one 2D Text Window. You may confirm that your newly-opened Canvas contains a 2D Text window by looking at the Scene Graph. If it does not, this may be corrected by adjusting a Preference in Lyric's Configuration menu. However, don't get ahead of yourself if it's not necessary. If you see a 2D Text Window in your new Canvas as pictured here, don't jump ahead to the Config menu and Preferences yet.

  2. Move your pointer to the corner of the 2D Text Window until it becomes a Position [image] cursor.

    Position Cursor

  3. Click and drag down and to the right. You'll see the text window's Title Bar.

    Making the 2D Text Window Visible

    This text window is a Lyric object that can be manipulated in various ways, but for the moment, you're just going to....

  4. ....create some text. Take note of the cursor that should have been in the text window's upper left corner all this time. Type some text.

    Typing Text into the 2D Text Window

    Now might be a good time to look around the interface and take note of a couple of things:

    • Notice that a baseline immediately appeared when you started typing.

    Just hold this in mind for the time being. Let's continue with another Lyric basic skill. You've got to get that 2D text window down to a manageable size so you can place other objects on the Canvas without getting confused.

  5. Move your pointer just to the lower edge of the text window's title bar. The pointer becomes a Resize [image] arrow.

    Resize Arrow

  6. Click and drag downward. Since this is a Resize arrow (and not a Move arrow), you're shrinking the area of the text window, not moving the window downward.

  7. Now, if you put a Move cursor over the title bar as in Step 4, and drag the text window up, you've got a decent chance of finding the window's bottom edge, whereas you might not have been able to see it at first.

    Finding the Bottom Edge of the 2D Text Window

  8. Move the text window back toward the top of the Safe Title area, and repeat these moving and resizing actions on the sides of the window, until there's some room on the Canvas for other objects.

    Moving the 2D Text Window Back into the Safe Title Area

  9. Now, it's time to import a bitmap image into the composition. Locate the [image] button on the Lyric Toolbar, and click it. The dialog pictured below appears, allowing navigation to any directory from which you wish to import the image. Your system will probably default to the current Lyric installation directory, which should be at C:\Program Files\Chyron\Lyric 7.x. This default location will likely become appropriate later as you create and store Lyric compositions and store their constituent elements. Initially, however, find sample images by navigating to C:LyricDemo, and select one of the .tga files present there. select any image of an appropriate format that you can find on your system. Don't open it yet.

Lyric installation's default directory

Sample images may be found in the LyricDemo directory

  10. Single-click the image you're going to use.

  11. Click Open. The bitmap is added to the composition.

    Bitmap Added to Composition

    Notice that the Scene Graph has a new entry, representing the image as an object in the composition. NOTE: In Lyric Pro, you may find the Scene Graph docked to the Scene Tree and the Timeline. In such a configuration, these windows are usually situated below the Canvas.

  12. Lastly, we'll add a 3D character to the composition. Click anywhere on the Canvas that isn't inside the 2D Text window and isn't touching the imported bitmap. When you click in the Canvas's workspace, look over to the right and note that the Mode control on the Properties page has switched to "3D". This indicates that when not specifically dealing with 2D text, Lyric is ready for work with 3D characters and objects.

    Specifying 3D Character Mode

  13. Type a letter; for now, just one.

    Typing a 3D Character

    Notice, too, that the Scene Graph now has a new element.

  14. Next, we'll manipulate the 3D character in space. Locate the [image] button on the Lyric Toolbar. Place it over the 3D letter you typed, and move it however you please.

    Manipulating the 3D Character

Note that imported 3D objects can be manipulated in the same manner as 3D characters.


Navigating and Entering Information in Lyric

Accessing Lyric Functions

The Lyric main interface is composed of a number of areas from which 2D and 3D effects and animations can be set up and executed. Various buttons and drop-down menus provide access to additional functions such as Video Squeezeback, Roll, Crawl, and so on. Pausing the mouse over a button or other Lyric component displays a Tool Tip describing the function of the item.

A grayed-out button, menu item, tab or dialog box indicates that it is either not available to the specific Chyron system or the PC, or it is not active in the current mode. For example, the Group button does not become accessible until there are multiple objects selected on the Canvas. An opaque gray button with no graphic signifies that the function is not available to the specific system/PC.

Drop-down menus and associated submenus are accessible from the Menu Bar, as shown in the figure below.

Image: Manu Bar with Drop-Down Menu

Lyric Menu Bar

If the Browser window is active, a Browser item is also on the Menu Bar, situated between Tools and Window.

A context-specific menu can be displayed and hidden by right-clicking while on a particular Lyric window, menu bar or toolbar. For example, as shown below, right-clicking on an alphanumeric font in the Browser displays a Browser Alphanumeric Font-specific menu.

Image: Context Menu

Right-Click to Access Context-Specific Menus

Refer to Object Name and Type later in this section for additional information on object context menus.

About Mouse Selection

Even after a mouse button is clicked on an icon, object, etc., and is still in the down position, you are not committed to selecting the item until the mouse button is released. If you wish not to proceed with the selected item, move the pointer away from the item, and then release the mouse button.

Entering Information in Lyric

Entering parameter values and making selections generally follow Microsoft® Windows® conventions. In a number of instances, there can be more than one choice with which to enter the same parameter value. If so, the value entered using one method updates the other. For example, changing the value in a Spin Control Box would update its associated slider.

About Keyboard Shortcuts

Keyboard shortcuts can be used to quickly enter instructions to Lyric. References to keyboard shortcuts can be found throughout Lyric documentation and are specified as follows:

  • If a keystroke combination contains a +, it indicates that the key specified to the left of the + should be pressed, and then held, while the key to the right is pressed. For example, Ctrl + N indicates that the Ctrl key should be pressed, and then held, while the N key is pressed. Ctrl + Alt + é indicates that the Ctrl and the Alt key should be pressed and held while pressing the é key as many times as necessary to shift the page on the Canvas.

  • If the keystroke combination does not contain a +, then press, but do not hold the keys, in the order in which they are indicated. For example, to record a message at a specific Message Number, <Message Number> Record indicates that the Message Number should be entered on the numeric keypad, and then Record is pressed. No keys are held while others are pressed.

  • If the + key is used as a keystroke instead of used to specify a held key, it is indicated as such.

Refer to Keyboard/Mouse Shortcuts Overview for a complete list.

Text Entry Field

Text entry fields appear as white rectangles. Place the cursor in the field, and then type the appropriate information.

Number Entry

There are two sets of number keys on the Chyron keyboard and a PC keyboard:

  • Alphanumeric number keys are located in a row towards the top of the keyboard, above the letter keys. These keys are used to type numbers on the Canvas, and enter numeric values in the various numeric fields in dialog boxes, Frame Counters, etc. The alphanumeric number keys cannot be used to enter Message Numbers (i.e., file numbers) for Read and Record purposes.

  • Numeric Keypad keys are located in the Numeric Keypad located at the right of the keyboard. Note that in order for the numeric keypad keys to type numbers, Num Lock must be enabled. To enable/disable Num Lock:

    • Press the Num Lock key at the top left corner of the numeric keypad. When Num Lock is enabled, NUM appears in black type the Lyric Status Bar. When Num Lock is disabled, NUM is grayed out.

  • For user convenience, especially during content creation, the Numeric Keypad number keys can be used in either of two modes: Message Number Entry and Alphanumeric Entry.

    • Message Number Entry, where file ID numbers are entered to Read and Record messages, and for other file ID functions. When in Message Number mode, the Numeric Keypad number keys can be used only for Message Number entry. It is not necessary for the focus to be on the Canvas in order to enter a Message Number, as entering a Message Number automatically returns focus to the Canvas. This mode is recommended when the Duet system on-air.

    • Alphanumeric Entry, where the number keys are used in the same manner as the alphanumeric number keys described above. When in Alphanumeric mode, the Numeric Keypad number keys can still be used to enter Message Numbers, but the focus must be on the Canvas. To quickly return focus to the Canvas, either click on the Canvas, or press F6.

    The Enable Numeric Keypad setting is located in Config Menu > Preferences > Windows.

    • When Enable Numeric Keypad is disabled (unchecked), the Numeric Keypad is in Message Number Entry mode.

    • When Enable Numeric Keypad is enabled (checked), the Numeric Keypad is in Alphanumeric Entry mode.

Spin Control Box/Jog Wheel

A Spin Control Box is sometimes accompanied by a Jog Wheel. When both are present, adjusting the value in one updates the other.

Image: Spin Control Box/Jog Wheel

Spin Control Box and Jog Wheel

To adjust the value in a Jog Wheel:

  • Use the click-and-drag the mouse pointer to ”spin” the Jog Wheel to the appropriate setting.

To set a value in a Spin Control Box:

  • Highlight the Spin Control Box field, and then type the desired value into the entry field. Use the alphanumeric keys along the top of the keyboard, not the Numeric Keypad keys at the right to enter values, as the Numeric Keypad keys change Message ID number and do not update data fields.

OR

  • Click on the arrows in the Spin Control Box to adjust the value.

Adjusting the Increment/Decrement of a Spin Control Box

The size of the increment/decrement of each Spin Control Box can be individually adjusted. They cannot be adjusted globally, as units vary among Spin Control Box applications in Lyric. To adjust the increment of an individual Spin Control Box:

  1. Right-click on the Spin Control Box, and then select Properties from the context menu. The Chyron SpinEdit Control Properties dialog box is displayed.

    Image: SpinEdit Control Dialog Box

    Accessing the SpinEdit Control Properties Dialog Box

  2. Enter a new value in the Line field. The value in this field specifies the number of units that the Spin Control Box increments or decrements when an arrow is clicked.

  3. Enter a new value in the Page (CTRL key) field. The value in this field is the amount that the Spin Control Box increments or decrements when the Ctrl + an arrow is clicked. This value is generally set to a larger value than the Line value, giving the user the option of incrementing/decrementing by larger intervals.

  4. Select Apply to apply the adjustment, and then click the Close (x) icon at the top right corner of the dialog box to exit.

    OR

    Select OK to apply the adjustment and exit the dialog box.

    OR

    Select Cancel to cancel the adjustment and exit the dialog box.

The context menu shown above also features editing functions that simplify copying values from one field to another. To activate these functions on the menu, highlight a value in a Spin Control Box field.

Spin Control Box Context Menu

Spin Control Box Context Menu

Function | Description
Undo | Undoes the change in the Spin Control Box field.
Cut | Cuts the selected value in the Spin Control Box field.
Copy | Copies the selected value in the Spin Control Box field.
Paste | Pastes the selected value to the Spin Control Box field in which the cursor is located.
Select All | Selects the entire value in the Spin Control Box field.
Properties | Described above.

Slider

Drag the slide box to the desired value. Note that some sliders may differ in appearance (e.g. have a moveable pointer), but still operate in the same manner.

Slider

Checkbox

Click on a checkbox to toggle it on/off or activate/deactivate, also referred to as enable/disable.

Checkbox, Unchecked (Left) and Checked

Radio Button

Click on a radio button to activate it. Generally, only one button in a radio button group can be activated at any time. Selecting a different button in a radio button groups usually deactivates the previously active radio button.

Radio Buttons

Frame Counter

A Frame Counter field indicates time in Hours/Minutes/Seconds/Frames. Some Frame Counters have adjustment arrows; others do not. NTSC video counts 30 (actually 29.97, non-drop frame, in Lyric) frames per second; PAL video counts 25 frames per second.

Frame Counter

A Frame Counter can be set using one of the following methods:

  • Place on the cursor on the Hours, Minutes, Seconds or Frame field or press ç or è to cursor to the field, and then click on the up or down arrow to adjust that field. A field reaching the end of its range will change the adjacent field to continue the adjustment. For example, clicking the up arrow while the Frame Counter reads 00:00:00:29, will advance the Frame Counter to 00:00:01:00.

  • Place on the cursor on the Hours, Minutes, Seconds or Frame field or press ç or è to cursor to the field, and then enter a new value.

Other Buttons

Depending on the function of the particular button, clicking on it may simply activate the function, or perform an operation.

Tabs

To organize a large number of settings in a dialog box, it is sometimes split into tabs. Clicking on a tab opens a dialog box in which board-specific or function-specific settings can be entered. For example, the Properties dialog box, is split into a tabs addressing Font, 2D Font, Lighting, Clock/Timer and so on.

Tabs

Typing Text in Lyric - Standard and Translation Modes

Standard vs. Translation Mode

For the most part, typing 2D or 3D text on the Canvas is performed in the same manner as typing text to paper on a typewriter or to a word processor on a PC. Most characters are typed in Standard Mode. Alt characters, however, produced by key combinations that include the Alt key, must be typed in what is known as Translation Mode. This is because pressing the Alt key in combination with alphanumeric keys in Lyric, activates functions such as font and menu selection, rather than typing characters.

There are two Translation modes:

  • Locked Translation Mode: This mode activates Translation Mode until turned off. Toggle on and off by pressing and holding the Ctrl key and then pressing the hyphen key on the alphabetical keyboard. Do not mistakenly use the Minus ( - ) key on the numerical keypad, whose use is largely devoted Message Record functions.

  • Single-Stroke Translation Mode: This mode activates Translation Mode for typing one character only. Toggle on and off by pressing and holding the Ctrl key and then pressing = (equal key).

Note that once Translation Mode is activated, do not press the Alt key to type the Alt character. Simply press the key that makes up the remainder of the Alt keystroke combination.

Key Showing the Four Possible Keystroke Combinations

As shown in the figure, there are four possible key combinations that can be produced by the keycap A:

  • A: Sends Code 97 to the system. To type A, the system cannot be in Translation Mode.

  • Shift + A: Send Code 65 to the system. To type Shift + A, the system cannot be in Translation Mode.

  • Alt + A: Sends Code 150 to the system. To type Alt + A, activate Translation Mode, and then type A.

  • Alt + Shift + A: Sends Code 149 to the system. To type Alt + Shift + A, activate Translation Mode, and then type Shift + A.

The Translation mode also offers a convenient way to use all four of the ASCII codes that Lyric assigns to each key of a PC or Chyron keyboard. While helpful for access to nonstandard characters, this feature is especially useful with the RGB Font function. Some production situations, such as sporting events, may require quick recall of a large number of bitmaps linked to keystrokes. The Translation Mode allows the use of the Alt keystroke combinations to access RGB Font characters.

When Translation Mode is inactive, TRNS on the Lyric Status Bar is grayed out.

Status Bar Showing Translation Mode Active

Typing Characters Using Alt + ASCII Codes

Note that characters with ASCII codes through 255 can be typed on the Canvas by pressing and holding the Alt key while entering the ASCII code padded out to four digits. The numbers must be entered on the numeric keypad, not the alphanumeric keys located along the top of the keyboard. This method works for both TrueType® and RGB Fonts. For example, to type the character ®, which is ASCII code 174 in the Arial font:

  • Press Alt + 0174 on the numeric keypad.

Refer to Chyron Keyboard for a map of the ASCII values assigned by Lyric to the keyboard.

2 D Text - Related Topics

3D Characters - Related Topics

Selecting and Grouping Objects

Selecting Objects

When repositioning, rotating, applying other attributes to an object or objects, it is necessary to select the object(s) first. Objects may be selected directly on the Canvas, or from the Scene Graph.

The methods used for selecting 2D text are different from those used for selecting other objects. Refer to Selecting and Modifying 2D Text for details. The following selection procedures apply to objects except 2D text.

In addition, refer to Enable Bounding Box for details on selecting a 2D object using a Bounding Box.

The following selection procedures apply to objects except 2D text.

To select an object on the Canvas:

  • Click the object with the mouse. As the object is selected, it is highlighted in the Scene Graph.

To select an object on the Scene Graph:

  • Click the object name on the Scene Graph.

Refer to Animation: Scene Graph for additional information.

To select multiple objects:

  • Hold the Ctrl key while clicking each object. As each object is selected, it is highlighted in the Scene Graph.

It can, at times, be difficult to select an overlapped object on the Canvas. To do so:

  1. Hold Alt while clicking on the Canvas. Watch the Scene Graph. Each time the mouse is clicked, a different item in the Scene Graph is highlighted. When the desired item is highlighted, it has been selected.

  2. Release the Alt key. The object can now be clicked, and repositioned, rotated, etc.

This technique can also be used to select a keyframe from a Motion Path where the frames are overlapping.

  1. Click (select) a frame on a Motion Path that is behind the keyframe.

  2. Hold the Alt key down, and then click the keyframe as many times as necessary to advance to the keyframe.

As described in the following section, objects can also be grouped. This enables the application of attributes to the entire group of objects.

Grouping/Ungrouping Objects

When multiple objects are selected, they may be grouped, so that changes to attributes simultaneously affect all member objects of the group.

To group selected objects, click the Group icon or select Group from the Tools menu:

Group Icon

The grouped objects are labeled with a group name, and then listed on the Scene Graph as indicated by the topmost item:

Scene Graph Showing Grouped Objects

To expand a group on the Scene Graph to its constituent objects, click the plus sign + to the left of the group name. To reduce an expanded group, click the minus sign - to the left of the group name.

Note that when using the mouse in conjunction with Transform Tools to move, rotate, scale or change the center of rotation of a grouped set of objects, the user can manipulate the group as one unit, even if only one object of the group is selected. Holding down the Shift key in conjunction with using these tools allows manipulation of an individual object within the group.

To ungroup selected objects, select any object in the group, and then click the Ungroup button or select Ungroup from the Tools menu:

Ungroup Icon

The Group object disappears from the Scene Graph, and the individual objects are listed separately.

Refer to Internal Properties - Use Group Priority for additional information on group behavior.

Object Name and Type

Object Context (Right-Click) Menu > First Item

Many functions and tools related specifically to an object can be accessed by right-clicking on the object itself on the Canvas, or by right-clicking the object's listing in the Scene Graph. This displays the object's context menu. The first item in an object's Context menu identifies the name and type of the object.

If necessary at any time, the object can easily be renamed.

  1. Right-click on the object on the Canvas, or on its name in the Scene Graph.

  2. Select the first item in the context menu. This item specifies the name and type of the object. The New name for selected object: dialog box opens.

    Image: Changing an Object Name

    Changing an Object Name

  3. Enter a new name, and then click OK. The new object name is reflected in the Scene Graph, the Keyframe Graph, the Timeline and the object's context menu.

Scroll Bars

Scroll Bars are located at the right side and bottom of the Canvas and move the view of the 3D workspace up, down, right or left. Scroll bars are present in other Lyric Windows as well.

NOTE

It is important to reset the Canvas scroll bars before recording a new Lyric message, in order to make sure that text and/or objects are properly positioned for display upon recall. Refer to Getting Started: Canvas for additional information.

About Transparency Settings

The Transparency setting is technically an Opacity setting, in that a setting of 0 is completely transparent, and a setting of 100 is completely opaque. It is common throughout the industry, however, to use the terms Transparency and Opacity interchangeably when referring to level settings.

Switching Among Open Applications

To switch among open applications:

  • Press the Mode Select button (Chyron keyboard) or Alt + Tab (PC keyboard).


Recording and Reading Messages

Recording/Reading Lyric Messages

Lyric messages, which can be static or animated compositions, or just specific groups of settings, can be recorded and read (recalled) at a later time. These operations can be performed using File Menu > Save, File Menu > Save As and File Menu > Open. Lyric, however, provides an easy shortcut that makes it simple to record a series of messages, and to read them quickly for on-air use. Lyric Messages can also be read to the Canvas from the Browser and automatically recorded to a file when saved to a Browser database. Refer to Message Asset Operations for additional information.

About the Address Keypad

The Record and Read functions, as well as Read Next and Read Previous, are performed in a similar manner:

  1. Using the Address Keypad (also known as the numeric keypad) located to the right of the alphanumeric keypad on a Chyron system or PC keyboard, enter the Message ID of the message file. The Message ID can be up to eight digits long, and it is not necessary to enter leading zeroes. The Address Keypad for a Chyron keyboard is shown in the following figure. Message ID entry works the same way on a numeric keypad on a PC keyboard.

    Chyron Keyboard Numeric Keypad

  2. Press the key that performs the desired operation, i.e. Read, Read Next, etc. Note that the Record button is not part of the Address Keypad. Lyric provides PC keyboard equivalents for these operations, as detailed in later in this section.

The numeric keypad is conventionally used to enter Message Numbers for Read, Read Next, Read Previous, Record and Delete operations, but it can also be used to type numbers on the Canvas or enter numbers in data fields in dialog boxes. In order to enter numbers, make sure that Num Lock is active. To enable/disable Num Lock:

  • Press the Num Lock key at the top left corner of the numeric keypad. When Num Lock is enabled, NUM appears in black type the Lyric Status Bar. When Num Lock is disabled, NUM is grayed out.

The numeric keypad can operate in two modes:

  • Message Number Entry, where the numeric keypad can only enter Message Numbers. When entering a Message Number, cursor focus can be at any location in the Lyric interface.

  • Alphanumeric, where the numeric keypad can be used to enter Message Numbers, type numbers on the Canvas and enter numbers in data fields in dialog boxes. To enter a Message Number, focus must be returned to the Canvas.

Refer to Windows Preferences for details on setting Numeric Entry Mode.

When using the Address Keypad to enter a Message ID for a Read or Record operation, the Lyric message is saved to or recalled (read) from the Default Message Directory as set in Config Menu > Preferences > Default Paths. This eliminates the need to enter a directory path each time a Read or Record operation is performed. Refer to Default Path Preferences, in the chapter on Preferences, for additional information.

Record and Read Operations

The following table outlines the various message operations. Both Chyron system and PC keyboard key combinations are provided. Remember that the + symbol does not specify a keystroke, but instead indicates that the preceding key must be held while the next key is pressed.

  • Regarding the Chyron keyboard: All Message ID numbers must be entered using the Address Keypad, not the alphanumeric keys. In addition, Num Lock must be On in order for the operations to work.

  • Regarding the PC Keyboard: All Message ID numbers and other keystrokes (including Enter), except for Ctrl and Alt, must be entered using the Address Keypad, not the alphanumeric keys. In addition, Num Lock must be On in order for the operations to work.

Note that the Message Number can be set to automatically increment on Read/Save, or remain static. It can also be set to increment separately per frame buffer, and/or to be tracked when a message that has been transferred to output is transferred back to Preview. Refer to CG Preferences for details on these settings. The following table is based on conventional use, where Auto-Increment on Read/Record is enabled.

Chyron system
Keyboard

PC
Keyboard

Description

Clear

Del

Resets the Message Number to 0.

Record

Minus key (-) on the numeric keypad

Saves (records) the current Lyric composition at the Message ID shown in the Message Number display. Along with the message, Lyric saves the active window (and cursor position, if appropriate), so that these attributes are preserved when the message is read.

After the message is recorded, the Message Number display increments up by 1.

Alt + Record

Alt + Minus key (-) on the numeric keypad

Saves the current Lyric composition to the same Message ID from where it was read, without prompting for an overwrite confirmation. After the message is recorded, the Message Number display does not increment.

If the message was not originally read from an existing message, then the composition is saved at the current Message ID. If a message with that Message ID already exists, then the overwrite prompt is displayed.

If the file does not have a Message Number, but instead has a name, then Alt + Record records to the same name.

Ctrl + Record

Ctrl + Minus key (-) on the numeric keypad

Opens the Record Only: dialog box, which allows selective recording of specific sets of attributes, such as Clocks/Timers, Clips, Macros, etc. Selective recording is covered later in this section.

Ctrl + Alt + Record

Ctrl + Alt + Minus key (-) on the numeric keypad

Selectively records (Record Only) to the same Message ID from where it was read or previously recorded, without prompting for an overwrite confirmation. After the message is recorded, the Message Number display does not increment.

If the message was not originally read from an existing message, then the composition is saved at the current Message ID. If a message with that Message ID already exists, then the overwrite prompt is displayed.

Read

Enter

Reads the Lyric Message at the currently displayed Message Number.

Read Next

Ctrl + Enter

Read Next recalls a sequence of messages with ascending Message Numbers, allowing the operator to prebuild and instantly display messages.

Executing Read Next reads the message saved at the currently displayed Message Number, and then builds it without displaying it.

The next time Read Next is executed, the prebuilt message is displayed on the Chyron system output, while simultaneously reading and prebuilding the message saved at the next highest assigned ID number.

Read Next status is maintained per frame buffer. For example, if a Read Next sequence is taking place in Frame Buffer 1, then changing to a different frame buffer does not move the Read Next sequence to the newly active buffer. When Frame Buffer 1 is reactivated, the Read Next sequence can be continued from where it left off.

Read Next can be especially useful for displaying pages of credits, day-by-day weather forecasts, sports scores, etc.

Read Previous

Alt + Enter

Operates similarly to Read Next, but the Message Number decrements instead of incrementing. There is one exception: Reading a Message Effects .lyr message created on the LE/LEX/PCI/PCI+ always causes the Message Number to increment, regardless of how the message was read (Read, Read Next or Read Previous).

The following should be noted regarding Read Next and Read Previous operations:

  • The search range for the next or previous message searched is determined by the Read Next Range setting in the Config > Preferences > CG tab. The default value is 10. This specifies that Lyric checks through the next 10 or previous 10 Message IDs for a valid message before displaying the prompt Message Not Found.

  • Read Next/Previous works properly only when the Image: Live Button button is active. The message display is not sent to the Chyron system output, but is previewed on the VGA. When Read Next/Previous is executed again, the message is sent to output, and the following/previous message is loaded and can be viewed on the VGA monitor. This also allows modification of the composition in the Read Next/Previous buffer before being sent to output.

  • The message recalled by a Read Next or Read Previous operation can be sent to output as soon as it appears on the system's VGA monitor.

  • Animations are automatically loaded during a Read Next/Previous operation, so that when Read Next/Previous is executed for output to air, the loaded animation executes immediately. When the animation is finished, the next message is read.

Selective Recording

Record to Currently Displayed Message Number: Ctrl + Record (Chyron keyboard); Ctrl + numeric keypad Minus (-) key (PC keyboard)
Record to Message Number of Loaded Message (Overwrite): Ctrl + Alt + Record (Chyron keyboard); Ctrl + Alt + numeric keypad Minus (-) key (PC keyboard)

Overview

When a Lyric composition is saved, text, graphics, animation information, Template information, Backgrounds and much more are saved to the Lyric message. It is also possible, however, to save specific elements from the Lyric composition, so that they can be easily read into other Lyric compositions.

In some instances it is possible to do this from the individual tool's interface (e.g. Clip Control Panel or the Multi FX Control dialog box), which involves opening a Save or Save As dialog box and entering a File Name. An alternative, quicker method is to record the file from the Record Only: dialog box. Messages recorded in this manner are saved to the currently displayed Message Number in one of the Default Directories. Refer to Default Path Preferences, in the chapter on Preferences, for information on Default Directories. To open the Record Only: dialog box:

  • If recording to the currently displayed Message Number, then press Ctrl + Record on a Chyron system, or Ctrl + the numeric keypad Minus sign (-) on a PC.

  • If recording to the currently loaded Message Number (i.e., to perform an overwrite), then press Ctrl + Alt + Record on a Chyron system, or Ctrl + Alt + the numeric keypad Minus sign (-) on a PC.

The Record Only: dialog box is displayed. The Title Bar displays the Message ID Number to which the message is to be recorded.

Image: Record Only Dialog Box

Record Only Dialog Box.
Note that the Selective Record dialog may vary with the Plugins and options installed and enabled on your system.

The selective record procedure can be executed quickly using Hotkey combinations.

  1. Press Ctrl + Record (Chyron keyboard) or Ctrl + Minus key on the numeric keypad (PC) to record to the currently displayed Message Number, or press Ctrl + Alt Record (Chyron keyboard) or Ctrl + Alt + Minus key on the numeric keypad (PC) to record to the currently loaded Message Number (overwrite). Release the keys.

  2. Press the key indicated for the file type. It is indicated by an underline in the Record Only: dialog box.

  3. Press Enter. The file is recorded.

For example, using a Chyron keyboard:

  • To quickly record a Clip file to the current Message Number, press Ctrl + Record C Enter. Hotkey combinations are specified for each file type below.

  • To quickly overwrite the currently loaded message and record a Clip file to the same Message Number, press Ctrl + Alt + Record C Enter.

For example, using a PC keyboard:

  • To quickly record a Clip file to the current Message Number, press Ctrl + Minus key on the numeric keypad C Enter. Hotkey combinations are specified for each file type below.

  • To quickly overwrite the currently loaded message and record a Clip file to the same Message Number, press Ctrl + Alt +Minus key on the numeric keypad C Enter.

Hotkey combinations are specified for each of the following file types where appropriate. For sake of clarity, only the Chyron keyboard versions that record to the currently displayed Message Number are specified. The Ctrl + Alt + Record combination can be substituted for any of the Ctrl + Record operations, and the Minus key on the numeric keypad can be used to substitute for the Record key when using a PC keyboard.

Additionally:

  • If the file has a Message Number, but was not read from the Default Message Directory, Ctrl + Alt + Record records to the Message Number in the directory from which it was read.

  • If the file does not have a Message Number, but instead has a name, Alt + Record records to the same name in the directory from which it was read.

Text

The first three Text items record a specific element of a single, active 2D Text Window (includes 2D Roll, 2D Crawl and 2D Type On Windows) to what is known as a as a Pop-On message. Once recorded, the element can be recalled into a different 2D Text Window for easy update. All Text types are recorded as in the *.lyr format. The default setting is All Text.

  • All Text (Hotkey: Ctrl + Record T Enter): Records all text in selected 2D Text Window. Empty lines on a Pop-On message are ignored. For example, if a three-line Pop-On is recorded, and the middle line is empty, the Pop-On is read back as a two-line Pop-On, and replaces (or adds) two consecutive rows of text.

  • Cursor to End (Hotkey: Ctrl + Record E Enter): Records all text from the beginning of the row on which the cursor is positioned, to the end of the text in the window. As described above, empty lines on a Pop-On message are ignored.

  • Current Row (Hotkey: Ctrl + Record R Enter): Records only the text on the current row.

Recording All Text, Cursor to End or Current Row Messages from the Record Only: dialog box saves the file to the Default Message Directory. Refer to Pop-On Messages for details on recording and using these types of messages.

The following Text item appears similar in function to a Pop-On Message record, but is actually a duplication of the Intelligent Interface "W" command (Create Data Message), which can replace both text and graphics.

  • Template Data Message (Hotkey: Ctrl + Record D Enter): Records a Template Data Message based on the currently displayed Template Description Message. Text entered in a 2D Text Template(s), and a graphic(s) that is dragged-and-dropped from the Browser to an existing 2D Object Template on the Canvas can replace the existing text and graphic(s), respectively.

    Note that the graphic used to replace the graphic in the Template Description Message must be dragged-and-dropped from the Lyric Browser, and not imported from the Import Graphic tool on the Chyron Toolbar or from Tools Menu > Graphic. Additionally, the 2D Object Template (i.e., the graphic) that is to be replaced in the Template Description Message must be enabled for II Update.

Recording a Template Data Message from the Record Only: dialog box saves the file to the Default Message Directory.

Refer to About Template Description and Template Data Messages for in-depth coverage of Template Data Messages and Template Description Messages, and 2D Object Templates for information on 2D Object Templates. Refer also to Intelligent Interface W Command - Create Data Message and Graphic Update for details on creating a Template Description Message via Intelligent Interface.

Plugin

A Plugin selection records plugin-specific files.

  • If the plugin is active, and selective recording is enabled in the plugin application, the name of the plugin appears in the Plugin list, and is available for selection.

  • If the plugin is active, and selective recording is not enabled in the plugin application, the name of the plugin appears in the Plugin list, but is not available for selection.

Refer to plugin documentation for details.

Timeline

A Timeline selection records Keyframe information as follows:

  • Scene (.efx) (Hotkey: Ctrl + Record S Enter): Selecting Scene records the Keyframe information for all objects on the Canvas in the .efx format to the Default Effects Directory, where it becomes available for use by the Read Effects tool. The file format is the same as that recorded from File > Save As, where Lyric Effect (*.efx) is selected as the file format. Refer to Read Effects for additional information.

  • Object (.kyf) (Hotkey: Ctrl + Record O Enter): Selecting Object records all of the Keyframe information for a selected object on the Canvas in the .kyf format to the Default Effects Directory. The file format is the same as that recorded from Right-Click Object Timeline > Save Keyframe File. Refer to Animation: Timelines and Read Effects for additional information.

Panel

A Panel selection records tool-specific files as follows.

  • Clip (Hotkey: Ctrl + Record C Enter): Selecting Clip records only Clip information in the .ccf format to the Default Clip File Directory. The file format is the same as that recorded from Clip Control Panel > Save. Refer to Tools Menu: Clip Control Panel for additional information.

  • Clocks/Timers (Hotkey: Ctrl + Record K Enter): Selecting Clocks/Timers records only Clock and Timer information in the .lyr format to the Default Message Directory. All Clocks and Timers in the composition are recorded. The file format is the same as that recorded from Properties > Clocks/Timers > Save. Refer to Properties: Clocks/Timers for additional information.

  • Macros (Hotkey: Ctrl + Record M Enter): Selecting Macros records only Macro information in the .lyr format to the Default Message Directory. The file format is the same as that recorded from Macros > Image: Macro Save Icon > Save, when the Macro is saved in the .lyr format. Refer to Macros for additional information.

  • Playlist (Hotkey: Ctrl + Record P Enter): Selecting Playlist records only the Playlist information in the .ply format to the Default Playlist Directory. The file format is the same as that recorded from File Menu > Save As, where Playlist Files (*.ply) is selected as the file format. Refer to Tools Menu: Playlist for additional information.

Message, with Options

Preview Frame: Many Lyric animations begin or end with a blank frame, and therefore, producing a blank screen when read to the Canvas, as well as creating a blank thumbnail when saved to the Browser. To make it easier to quickly determine the nature of an animation, a Preview Frame can be set.

In order to display the Preview Frame when a message is read to the Canvas, Show Preview Frame must be selected (checked) in the Animation Settings Preferences, accessed from Config Menu > Preferences > Animation Settings. Once the Preview Frame is displayed, the message should be saved to or updated in the Browser to display the Preview Frame as the thumbnail.

  • End Frame: The last frame of the animation is displayed as the Browser thumbnail.

  • Specific Frame: The frame set in the Frame Counter is displayed as the Browser thumbnail.

Note that this operation is not the same as running an animation, stopping it at some point, and then saving it to the Browser database. This creates a thumbnail at the point that the animation was stopped, but does not set a Preview Frame in the message itself.

The Preview Frame can also be set in the Internal Properties dialog box for the message. Refer to Internal Properties for additional information.

Embedded Macro

A macro can be embedded with a Lyric file and automatically executed when the file is read. It can be saved either as a full macro or as a Macro Name only. In addition, the macro can be edited or created from scratch before saving.

When saving the Macro Name Only, a Macro of the same name must be loaded in the Macros dialog box in order for it to execute when the message is read. To save the Macro Name Only:

  1. Enter a message number, and then press Ctrl + Record (Chyron keyboard) or Ctrl + Minus sign (-) on the numeric Address Keypad. The Record Only dialog box is displayed.

  2. In the Embed Macro area, select (check) the Embedded Macro checkbox.

  3. Enter a name into the Macro Select field drop-down list box (unlabeled), and then select (check) the Save Name Only checkbox. Macro setup is complete.

    Image: Record Only Macro Name

    Record Only Macro Name

  4. Click Record. The Macro Name is saved with the Lyric message.

When a message recorded with an embedded Macro, and Save Name Only is selected (checked), the Macro executes immediately if a Macro of the same name as the Macro Name saved with the message is loaded in the Macros dialog box. If the Macro is not loaded in the Macros dialog box, the following is displayed when the message is read, indicating that the specified Macro is not loaded in the Macros dialog box:

Image: Embedded Macro Failed

Embedded Macro Failed

To save an embedded macro script:

  1. If entering a macro directly in the Record Only dialog box, skip to the next step. Otherwise, load an existing macro in the Macros dialog box.

  2. Enter a message number, and then press Ctrl + Record (Chyron keyboard) or Ctrl + Minus sign (-) on the numeric Address Keypad. The Record Only dialog box is displayed.

  3. In the Embed Macro area, select (check) the Embedded Macro checkbox.

  4. Either enter a script directly in the Script window, or select a Macro from the Macro Select drop-down list box. The Macro script is displayed in the script window (unlabeled). Optional: Edit the script. Macro setup is complete.

    Image: Record Only Embedded Macro

    Record Only Embedded Macro

  5. Click Record. The Macro is saved with the Lyric message.

When a message recorded with an embedded Macro, and Save Name Only is not selected (checked), the Macro executes immediately. Note that because the Macro is embedded, it is not loaded in the Macros dialog box. It can be viewed and edited, however, by pressing Ctrl + Record (Chyron keyboard) or Ctrl + Minus sign (-) on the numeric Address Keypad to access the Record Only dialog box.

A Macro Name can also be associated with a message from the Internal Properties dialog box. Refer to Internal Properties - onRead Macro for additional details.

About Other File Saving Methods

The distinctions between Lyrics various Save methods and resulting file destinations should be clearly understood. In all cases, messages are saved to destination folders on a local/remote drive or removable media. The Browser stores only the reference, or "bookmark" that contains identification and location information for each Message Asset stored in its database. Refer to Browser Overview for additional information the Browser.

Save Method

Description

File > Save command and Image: Save Icon icon on Windows Toolbar

  • Saves with an alphabetical, numerical or combination filename, within Windows conventions. Attaches extension .lyr. Opens dialog box prompting to name the file first time it is saved.

  • After saving, File Name is displayed in the Canvas Title Bar.

  • Always saves with the name displayed in the Canvas Title Bar.

  • Saves to current filepath as determined by the last file saved.

  • Confirms overwrite unless feature is disabled in the Confirm on Overwrite checkbox in the CG Preferences tab of the Preferences dialog box.

  • Simultaneously saves to current Browser database if File Save Adds to Browser is enabled (checked) in Browser tab in the Preferences dialog box. File Name displayed in Browser is also displayed in the Canvas Title Bar.

Save As

  • Used to save a copy or modified version of the file without overwriting the original.

  • Used to store message to a destination folder other than the Default Path.

  • If File Save Adds to Browser is enabled, causes the same icon (thumbnail) to be added to the Browser each time a new version of the file is saved. This may be useful to remind the operator that there are multiple versions of the message. When duplicate Message Assets are displayed in the Browser, the Text View or Icon with Text View can be checked to verify the location of each copy.

Message Number, followed by pressing Record on a Chyron keyboard, or - (Minus sign) on the numeric keypad.

  • Num Lock must be on to use this option.

  • Performing a Save using this method records the file to the Default Message Directory as specified in Config Menu > Preferences > Default Paths.

  • If this is the first time the message has been saved, it is assigned a numeric File Name in the Default Message Directory.

  • If Auto Increment on Read/Record is enabled in the CG Preferences, the displayed Message Number advances after a Record operation so that the subsequent file that is saved is assigned the next number.

  • The Message Number displayed in the Message Number display determines the Message Number under which a file is to be saved. Instead of assigning a sequential Message Number, a number can be entered manually using The numeric keypad. When a Record is performed, the file is saved under the new Message Number.

Save to Database button on the Lyric Browser
Image: Save to Database Icon
Used for Messages and Fonts

  • Always saves file with a Message Number, as determined by the Message Number display. This hold true even if the file has been previously named and saved using Save or Save As.

  • The Message Number assigned to the file in this operation also becomes the File Name in the Default Message Directory. This can result in duplicate copies of the message in the default filepath; one with the original name, and the other determined by the Message Number display.


Edit Menu

The Edit menu accesses editing functions common to most objects, 2D Text Window and Template editing functions, as well as selected position and animation editing functions. Unless specifically noted, references to 2D Text Windows includes also 2D Roll, 2D Crawl and 2D Type On (also known as Slow Reveal) Windows. Many of these functions are also accessible from the Chyron Toolbar, keystroke combinations or by other means. All menu items in the menu shown below are shown as active, although during Lyric operation to Output, various items are active or grayed out depending upon the system's offline/online status, optional hardware installed and current function in use.

    Click on an item in the Edit menu below for details on each of the functions.

    Image: Edit Menu

    Edit Menu


Common Editing Functions

The following edit functions are common to most objects.

Undo/Redo

To view:
View Menu > Undo
View Menu > Redo
To execute:
Undo: Edit Menu > Undo; Windows Toolbar ; Ctrl + Z
Redo: Edit Menu > Redo; Windows Toolbar ; Ctrl + Y

Use this command to reverse the last editing action. Lyric keeps track of previous editing steps, so that Undo can be used repeatedly to reverse recent actions.

  • If Undo is unavailable on the Edit menu, the last action cannot be reversed.

  • After one or more Undo operation(s), you may select Redo repeatedly to redo your editing steps.

Please note that the number of preserved edits is limited by available memory. This memory is automatically allocated so that the maximum number of edits are preserved.

Undo/Redo Lists

The lists of the most recent undone and redone edits can be viewed by accessing View Menu > Undo List and View Menu > Redo List respectively. Additionally, a range of edits can be undone from these lists. The Undo and Redo Lists show a chronological list of Canvas editing steps, arranged from earliest to most recent.

Undo List

To view the Undo List, select the Undo List item from the View menu. If the Undo List item is checked, the normal Undo command (Ctrl + Z) also displays the Undo List:

Undo List

  • To undo the most recent edit, scroll to the bottom of the list, and then select the last step and click the Undo To button. Lyric cannot undo a single step in the middle of the Undo List, however you may undo a range of edits.

  • To undo a range of edits, select the step you wish to undo, and then click the Undo To button. The selected edit, and all subsequent edits, are undone.

Redo List

Undone edits appear on the Redo List, which is also available from the View menu.

  • To redo the most recent undone edit, select the first item on the Redo List, and then click the Redo To button.

  • To redo a range of undone edits, select the step you to wish to redo, and then click Redo To. The selected step, and all more recently undone edits, will be redone.

Cut, Copy, Paste

Cut: Edit Menu > Cut: Windows Toolbar ; Ctrl + X
Copy: Edit Menu > Copy: Windows Toolbar ; Ctrl + C
Paste: Edit Menu > Paste; Windows Toolbar ; Ctrl + V

  • The Cut command deletes the currently selected object or text and places it on the clipboard.

  • The Copy command copies the currently selected object or text and places it on the clipboard.

  • The Paste command inserts the current contents of the clipboard into the currently active window at the cursor location.

The following figure shows how different types of elements are selected.

Image: Selecting 3D Character

Selecting a 3D Character

Image: Selecting 2D Text Window

Selecting a 2D Text Window

Image: Selecting Text

Selecting 2D Text

Paste in Place

Edit Menu > Paste in Place; Ctrl + I

Paste in Place pastes previously cut 2D text from one Lyric composition into the same exact position in the same or a new composition.

Delete

Edit Menu > Delete; Windows Toolbar Image: Delete; Delete Key (for 2D Text only); Ctrl + Delete (Objects)

The Delete command deletes the currently selected object or text without placing it on the clipboard.

Select All

Edit Menu > Select All; Ctrl + A

Select All selects all text in the active 2D Text window. To perform a Select All operation:

  • Select a 2D Text window, and then select Select All from the Edit menu, or press Ctrl + A. A bounding box appears around all of the text in the 2D Text window. Changes to font attributes, justification, etc., are now applied to all of the text in the 2D Text window.

    Image: Select All

Select All

To remove the bounding box:

  • Click anywhere outside of the bounding box.


Window Menu

Window Menu

The Cascade and Tile selections (below, left and right respectively) have the same effect as in other Windows applications.

You may use the User Profile selection in the Config menu to reset the windows.

Other selections in the Window menu represent each open window on the interface. You may use these selections to change the active window.


Tools and Canvas/Scene Graph Context Menus

Tools and Canvas/Scene Graph Context Menu

Menu Bar > Tools; Right-Click Empty Area of Canvas; Right-Click Empty Area of Scene Graph

The Tools menu and the Canvas/Scene Graph context (right-click) menu access many of Lyric's special features. The menu is shown below with all functions active. During Lyric operation, various items are active or grayed out, as dictated by your use of an offline or online system, options installed and current function in use. Additionally, depending on the installed plugins, there may be items at the end of the menu which do not appear here. Click on an item in the menu below for details on each of the functions.

NOTE

Most of the items here are also accessible by right-clicking on the Canvas or Scene Graph when no individual element of the composition is selected. In other words, Global Light must be selected on the Scene Graph if you wish to see a context menu including the same selections as on the Tools menu.

Right-clicking with any other object selected will open a context menu devoted to that object's properties.

The items available on your system's Tools menu may vary with your version of Lyric, its options and with installed plugins.

.

Tools and Canvas/Scene Graph Context Menus.
Note that the appearance of plugins such as Harvester, Quarterback and BizGraph on this menu will vary with your purchased options.

The following list provides a brief description of each of the items on this menu. Most of the items are discussed at more length in individual Help topics, accessible through the links shown.

  • 3D Object: 3D Object places a 3D object on the Canvas.

  • 3D Object Primitive: This option enables the operator to build 3D objects 'from scratch', allowing detailed control of the object's properties. The Canvas must be the active window in Lyric for this option to be available in the 3D Object child menu.

  • Background: Background adds a background to the entire Canvas, a 2D Text Window or a 2D Text Template.

  • Flipbook; A Lyric Flipbook animation is a series of targa (*.tga), *.tif or *.bmp files, preloaded into memory and played out in sequence, much like the old-time paper flipbooks. In a Flipbook animation, each bitmap image appears for 1 frame of video. Flipbook animations can be created in Lyric, or on other systems and software.

  • Movie : An *.avi or *.mov object can be imported into the Lyric composition. The Movie object can be repositioned, scaled and rotated as part of a Lyric animation.

  • Graphic: Graphic places a 2D object on the Canvas.

  • Clock: Clock places a Clock on the Canvas. The Clock, composed of 2D text, can be displayed in a TrueType® or RGB Fonts, in a variety of hour-minute-second formats.

  • Crawl: Crawl opens a specialized 2D Text Window in which one or more rows of text can be set to travel horizontally across the screen.

  • Font Editor: RGB Fonts, which are fonts composed from bitmap images, as opposed to standard font characters, can be created using the Custom Font Editor. RGB Fonts are useful for quickly typing frequently-used graphics such as sports team logos. Typing graphics is considerably faster than importing them.

    The Custom Font Editor can also import and export iNFiNiT! fonts for use in Lyric or imported iNFiNiT! messages. iNFiNiT! fonts and message operations are covered in depth in Browser: iNFiNiT! Font Assets , Import from iNFiNiT! , Export to iNFiNiT! , Custom Font Editor and FTP - Transferring Files to/from an iNFiNiT! System .

  • Roll: Roll opens a specialized 2D Text Window in which one or more rows of text can be set to travel vertically over the screen.

  • Spell Check (F7): Lyric provides a Spell Check feature, which examines all 2D text on the Canvas, including text in 2D Text, Roll, Crawl and Type On Windows and in 2D Text Templates, and compares them to words in a standard dictionary, as well as those in a User Dictionary. The User Dictionary, as well as other spelling parameters, can be set in Spelling Preferences.

  • Spline Window (Type-on-a-Curve): Lyric's Spline Window tool enables 2D text to be mapped and animated to a curved baseline. Double-byte characters from languages such as Korean, Chinese and Japanese are supported.

  • Text Window: Text Window places a new 2D Text Window on the Canvas.

  • Template: The Template function creates a template which enables update of text contained within it. When the Template function is executed, the following occurs:

    • If the cursor is in a 2D Text Window, a 2D Text Template is placed at the cursor position.

    • If 2D text is highlighted, a Template is created which encloses the highlighted text.

    • If the cursor is outside of a 2D Text Window, a 3D Character Template is created, and the Text tab on the Properties menu opens.

    Note that 2D objects automatically have templates applied. Refer to Updating Lyric Messages and to 2D Text Templates, 2D Object Templates and 3D Character Templates for additional information.

  • Template Update (Alt +T): Template Update enables the text in 2D Text Templates and 3D Character Templates to be updated with new text. Refer to Updating Lyric Messages and to 2D Text Templates and 3D Character Templates for additional information.

  • Timer: Timer places a Timer on the Canvas. The Timer, composed of 2D text, can be displayed in a TrueType® or RGB Fonts, in a variety of hour-minute-second formats. The Timer can count either up or down.

  • Type On (Slow Reveal): Type On opens a specialized 2D Text Window in which one or more rows of text can be set appear on screen one character at a time, simulating typing. Characters can also be set to appear randomly.

  • Group/Ungroup: When multiple objects are selected, they may be grouped, so that changes to attributes simultaneously affect all member objects of the group.

  • Reverse Animation: Reverse Animation reverses the direction of the animation currently on the Canvas, causing the animation to run in reverse.

  • eFX Panel: This Tools selection affords the user control over the eFX hardware found in most current Chyron systems. eFX options for creation (recording) and playout of video clips are state of the art internal functions that equal or exceed the capabilities of previously-offered Internal Clip Players.

  • Clip Control Panel: The Clip Control Panel provides the ability to play back video and/or audio clips either independently or as part of a Lyric animation. Lyric Clip (*.ccf) files are created which mark In and Out points of the clip. Clip files can be created from sources such as a VTR or DDR (Digital Disk Recorder), Chyron Aprisa DDR, Internal Clip Player s or Audio files processed through integrated audio hardware in your Chyron system. Lyric does not perform actual edits on the recorded content of the source material. The Clip File contains the In and Out point information that defines the duration of the clip. In order to play back the video/audio, the original material and the playback device must be available.

NOTE: In eFX systems, the Clip Control Panel does operate the eFX board, but the eFX Panel affords greater control over clip recording and playout.

  • Playlist: The Playlist feature allows multiple Lyric messages to be compiled into an automated list and played out sequentially using preset transition effects. For example, this feature might be used to automatically play a dissolving sequence of graphics displaying sports statistics of players or teams.

  • Squeezeback Panel (where present in your system): The PCI-Squeezeback board adds animated video effect creation capability to older systems not equipped with eFX hardware. The Lyric interface provides a set of easy-to-use setup controls for the PCI-Squeezeback board. The PCI-Squeezeback board features four independent video layers, two of which can be resized and positioned in real time to create dynamic effects such as compression of a full-screen video image to allow for display of additional graphics in the lower third.

  • Video Capture: Lyric's optional Video Capture tool allows the system to capture a frame of video and save it to a graphics file.

  • CMix: (The CMix entry does not appear on the Tools menu pictured above. However, systems with the required CMix plugin installed will display the CMix option on the Tools menu.) CMix is a 1RU-rack mount device providing two output channels, each displaying an independent mix of up to 4 video/key input layers over an optional Program video input layer, which mix to one video/key output. CMix is connected to a host machine via the Universal Serial Bus (USB). Originally designed for use with earlier Chyron systems, CMix may be used to expand the capabilities of conventional PCs equipped with broadcast-quality video sources for use as a standalone router/switcher. The system contains two independent sets of mixing logic controlling two video/key outputs. The mixers share the same inputs, but the inputs can be assigned to different layers in each mixer.

  • Set Message Properties: This selection affords access to a given message's Internal Properties.

  • Set Message Preload Time: This setting defines, in the message currently being edited, how many frames of the message are rendered to system memory before playout. In effect, the system is caching content to stay ahead of the current point in message playout. The system default for this variable is set for all messages in the Streaming Preload adjustment on the Animation Settings Preferences menu. A default value of 2 frames has been determined to give the best performance for most Lyric messages. Beware setting too high a value here. Higher settings can assure smooth perfect performance once message playout is under way, but can cause unwanted delay before the message is ready for playout.

  • Harvester Lite/Harvester Pro: Harvester Lite is a non-option plugin included standard with all Lyric installations. Harvester Lite enables a Lyric 2D Text Template to be linked to a text field at a remote URL for dynamic update via the Internet. If the optional Harvester Pro plugin is installed, the appropriate selection will appear in this location on the Tools menu.

  • Quarterback: Along with Paint , and BizGraph, Quarterback is one of a variety of optional plugins available for use with Lyric. If these plugins are not installed on the system, the corresponding items do not appear on the Tools menu. Liberty Twister, a paint plugin, is a product of Video Design Software. Please access Liberty Twister online Help for operational information or visit the Video Design Software web site at http://www.videodesignsoftware.com. BizGraph, an animated graph display plugin; Harvester Pro, a data harvesting plugin; and Quarterback an enhanced directory access plugin, are produced by Patrick Graphics Systems. Please access the plugin's online Help for operational information or contact PGS at inforequest@patrickgraphicssystems.com. PGS's website may be found at http://www.patrickgraphicssystems.com.

  • Enable Logger: Logging in Lyric enables the user to view, and retain a record of Lyric operations in a text document.

  • Enable Modal Suppressor: This option is intended for use with automation products such as ISQ or CAMIO. Enabling Lyric's Modal Suppressor prevents dialog boxes requiring an operator's "OK" from interrupting playout operations that are being driven by ISQ or CAMIO. Warnings of missing texture files, missing clips, prompt-to-play messages and overwrite prompts are thus dismissed, permitting playout of the current message to proceed without the missing components, or delays due to other less-than-critical problems. If such conditions occur with Modal Suppressor enabled, Lyric displays a red status bar message when any dialogs/prompts are dismissed.

At top, "Enable Modal Suppressor" is NOT checked on the Tools menu and Lyric playout will not begin, awaiting an operator's "OK" to proceed despite the warning.
At bottom, Enable Modal Suppressor is checked and the appropriate warning appears only on the Lyric Status Bar, not interfering with automated operations.


Chyron Tools

View Menu > Toolbars > Chyron Tools

The Chyron toolbar accesses Lyric-specific functions.

Chyron Tools

Some of these functions are discussed in linked Help documents, others appear in linked sections of this page. Click the appropriate entry for further information.

Text Window [image] , Roll [image] , Crawl [image] , Type On/Slow Reveal , Clock [image] , Timer [image] , Type On A Curve [image] , Import 3D Object [image], Import Graphic [image], Background [image], Template Field [image] , Group/Ungroup [image] [image] , Erase [image], Toggle Canvas Background Color [image] , Turn On/Off Text Window Frames [image] [image] , Show Basic Windows Image: Show Basic Windows On and Global Keyframe Toggle [image] . A number of these tools are also available from the Tools Menu.

Erase

The Erase function erases a variety of objects from the current Canvas. Text, elements from the scene or frame buffers can be erased. 2D Text Template backgrounds, however, cannot be erased using this tool. Refer to the sections on 2D Text Templates and Background for information on erasing a Template Background. To perform an erase:

  1. Click [image] on the Chyron Toolbar. The Erase dialog box is displayed:

    Image: Erase Dialog Box

    Erase Dialog Box

  2. Only the 2D Text or the Scene area is active at any one time, depending on which radio button is selected. Set Erase parameters as described below.

    Item

    Description

    This Window

    When multiple 2D Text Windows are open, the active 2D Text Window is the only one erased.

    All Windows

    Applies the Erase operation to all 2D Text windows (includes Roll, Crawl and Type On).

    2D Text

    May be left unchecked to leave 2D text intact in the selected window(s) during other erase operations.

    2D Text Background

    May be left unchecked to leave 2D Text Window(s) Background intact.

    Scene

    Selects the entire composition, as opposed to individual 2D Text Windows.

    Objects

    Objects in a scene include 2D Text Windows (both the windows themselves and their contents), imported bitmaps, 3D characters and 3D objects, etc.

    Persistent
    Timers

    If Persistent Timers are specified for erasure, they will be cleared from the Canvas, regardless of the Make Persistent setting in the Properties > Clock/Timer tab.

    Background

    This Erase Background option affects the Canvas, as opposed to a single window. An Erase of this type does not erase 2D Text Window Backgrounds, only the Background of the Canvas. Note that this type of Erase operation cannot be undone! Even if Undo Image: Undo Icon is available after a Scene Background erase operation, the available Undo(s) are applicable to other steps in the composition, but not to the Background erase.

    Frame Buffers

    Erases the contents of all frame buffers. This operation does affect the signal going to the Program and Preview outputs, so use with caution.

  3. After selecting the item(s) to be erased, click OK to execute the Erase, or Cancel to cancel the Erase operation.

Toggle Canvas Background Color

Certain textures and colors may be difficult to see during composition and editing on the Lyric Canvas. The Toggle Canvas Background Color adjustment can help the user see Canvas contents with a number of options.

Take note that this is a matter ONLY of the Canvas background seen by the user during composition; this adjustment is different from setting a Background that will appear in the composition that will appear on Output.

Clicking the [image] button toggles between black and gray composition-only backgrounds. Press the Control key and click on this button to choose a custom color in a familiar Color Select dialog, which also offers a checkerboard option, similar to that seen in Adobe Photoshop.

Turn On/Off Text Window Frames

Toggling (clicking) the Turn On/Off Text Window Frames icon turns on/off the display of all 2D Text Window and 2D Text Template frame on the Canvas, making it easier to preview the composition. Note that this function is also available from the 2D Frames On/Off item in a 2D Text Window context menu.

Turn On/Off Text Window Frames Icons

    Global Keyframe Toggle

    Image: Single Keyframe Adjust Icon Single Keyframe Adjust Image: Global Keyframe Adjust Icon Global Keyframe Adjust

    Single/Global Keyframe Adjust determines whether changes to the XYZ Properties affect a single Keyframe or all Keyframes of a selected object(s) in an animation. The down arrow specifies Single; the horizontal arrows signify Global (all).

    When Single (arrow down) is selected, any change to the XYZ Properties of an object results in the creation of a new Keyframe at the frame (Timeline location) at which the change was made. For example:

    1. Position the Time Indicator on the Timeline at 0.

    2. Place an object at position X = 0.000, Y = 0.000, Z = -2.0, and all other XYZ settings at default.

    3. Move the Time Indicator to 2 seconds

    4. Move the object to X = 0.500, Y = 0.500, Z = -2.0, and all other XYZ settings at default. A new Keyframe is created at 2 seconds.

    When Global is selected, any change in the XYZ Properties of a selected object(s) in the animation results in the same change applied to all of the Keyframes of the selected object(s) in the animation. For example:

    1. Place an object on the Canvas, and then place a second object directly on top of the first object.

    2. Animate both objects on exactly the same path.

    3. Execute the animation and observe the positions of the objects.

    4. Select one of the objects, and then change its X position by +0.500, and its Y position by +0.500.

    5. Execute the animation. The animation of the selected object executes to the upper right of its original path. The object that was not selected animates on its original path.

    Global Keyframe Adjust is a valuable tool when used in conjunction with the Motion Paths Copy/Paste Path function. Refer to the section on Motion Paths for additional information.


Properties

View Menu > Properties

Properties define the attributes of various functions and objects used in Lyric.

Attributes are the individual components describing how an object appears, such as its X,Y, Z Position, Rotation, Scale (size), Font and Edge Style, Transparency, Color, etc. Each object type (3D Objects, Camera, 2D Text, etc.) has its own set of applicable attributes. For example, the attribute Intensity is appropriate to Light Sources, but impertinent to 3D Objects.

Lyric® Pro adds three new Properties panels for use with Chyron's interFuse ™ Technology: Playout, Transition and Events; this last panel updates the Loops and Pauses panel that appeared in previous versions of Lyric.

Properties are set in the Properties Window, which is usually automatically displayed when Lyric is opened. If the Properties Window is not visible:

  • From the View menu, select Properties. The Properties Window should appear. The presence and positioning of the Properties Window in the Lyric interface can be set in User Profiles.

Properties Window

To select the desired Properties panel:

  • If the desired tab is not visible, click the Image: Properties Scroll Arrows controls to scroll through all the tabs. Click the appropriate tab to edit the desired set of properties. The expanded figure below shows all of the Properties tabs. Click on any of the tabs shown to jump to the Help topic on that Properties panel.

Properties Tabs

  • Right-click in the Properties Window, but not in a data entry field, and then select the desired Property from the context menu. The currently selected panel will not appear in the list of Properties panels to which you can jump.

Adjusting the Numerical Controls

  • The numerical Spin Controls can be adjusted by clicking their up and down [image] arrows OR...

  • ...by entering numerical text directly into the numerical text box [image] OR...

  • ...by clicking in the numerical text box and then "dragging" your pointer across the interface. Dragging left decreases the value in the box, dragging right increases it. Dragging upward decreases the value in the box, dragging downward increases it. As you drag left-right or up-down, the application displays a Windows "horizontal resize" pointer:

The Properties window provides access to the following selections:

Property | Description
Font | Sets Font Face, Font Size, Font Style, 2D/3D Mode, Aspect Ratio, Kerning, Space Width, Leading, Shear, Rotation and Filters for characters used in 2D text composition. Sets Font Face and Font Style for characters used in 3D text composition. Also includes ability to launch TrueType® Font Preview. Font Face and Font Style can also be set using Font Tools. Refer to Creating and Using Fonts in Lyric for additional information.
Text | Allows the user new flexibility in composing 3D Text and updating that text via new functionality for 3D Templates.
2D Font FX | Sets effects for 2D characters, including Edge Type, Edge Size, Face/Edge Color, Transparency, and Softness. Multiple Edge styles may also be set. Refer to Creating and Using Fonts in Lyric for additional information.
3D Font FX | Sets/changes 3D font effects, including Character Depth, Bevel Depth, Bevel Mode, Bevel Type and Smoothness. Refer to Creating and Using Fonts in Lyric for additional information.
XYZ | Sets/changes Position, Rotation, Scale and Center of Rotation of the selected characters/objects in the X, Y, and Z planes.
Lighting | Sets/changes characteristics of the light sources that affect 3D elements. Parameters include color and intensity for global lighting, and position, color and Intensity up to six individual light sources.
Surface | Sets/changes Surface parameters for the selected Object(s). These parameters describe how colors and/or bitmap textures are applied to 3D objects.
Camera | Sets/changes Camera perspective and zoom. These factors determine how 2D and 3D object(s) appears within the Canvas frame.
Events | Controls start/end points (and number of loop iterations) for animation displays.
Animation | Adjusts playback speed for Rolls, Crawls and other animations. When multiple objects are animated on the Canvas, this window offers control over each object’s duration in the overall scene.
Effects | Provides access to the ready-to-use effects that were called Advanced Image Effects in previous versions of Lyric. These include such familiar options as wipes, page-turns, crumbles and assembles. Lyric Pro adds a new range of particle effects, such as Fire, Smoke, Magic Trail and Pixie Dust.
Transition | Transition Effects allow the operator to configure multiple messages for simultaneous output on a single frame buffer.
Rendering | The Rendering panel offers a new way to access many of the Internal Properties formerly available via context menu for 2D Text Windows, 2D bitmap objects, 3D characters and 3D objects. Variables include Depth Testing/Depth Writing, antialiasing of the selected object and user-control of Lighting's effect on the selected object.
Playout | Provides a convenient means for controlling the playout of messages and transitions across all frame buffers in the system. Multiple Persistent messages can be output in any order, using these controls.
Plugin (3D Primitives) | Allows the user to construct 3D shapes from scratch, as opposed to importing existing 3D objects. The option of creating such an object is accessible via the Tools Menu, and its 3D Object selection. If focus is on the Canvas, the 3D Object Primitive selection will be available.
Clocks/Timers | Opens Clock or Timer windows on the Canvas. Clicking the Clock or Timer buttons on the Chyron Toolbar simultaneously selects the Clock/Timer Properties tab and opens the appropriate type of window on the Canvas.


Playout Overview

Graphic Display and Animation Playout Overview

Substantive changes have been made in this functionality with the release of Lyric Version 6.0 and later. This topic will be revised accordingly. An important aspect of these changes is the addition of Playout and Compose Modes in the Lyric Pro option.

Lyric provides a variety of methods for displaying graphics on air, and for previewing and playing animations. The different types of Duet systems have common, as well as system-specific features and procedures.

This section provides an overview of the playout and frame buffer operations, with references to more detailed descriptions of each.

Read

The Read function reads the message saved (recorded) at the Message Number displayed on the Lyric interface. If the Live button is active, the message also appears on the output.

Read Next

Read Next recalls a sequence of messages with ascending Message Numbers, allowing the operator to prebuild and instantly display messages. Executing Read Next reads the message saved at the currently displayed Message Number, and then builds it without displaying it. The next time Read Next is executed, the prebuilt message is displayed on the Duet output, simultaneously while reading and prebuilding the message saved at the next highest assigned ID number. The transition from one message to the next is determined by the Default Effect, set in the Config menu. Additionally, Message Effects messages (Duet LE/LEX/PCI/PCI+ only) can be placed in a Read Next sequence to control the transition of groups of messages within a Read Next sequence. The Image: Live Icon button must be active when executing a Read Next sequence. Read Next can be especially useful for displaying pages of credits, day-by-day weather forecasts, sports scores, etc.

Read Previous

Read Previous recalls a sequence of messages with descending Message Numbers, allowing the operator to prebuild and instantly display messages. Executing Read Previous reads the message saved at the currently displayed Message Number, and then builds it without displaying it. The next time Read Previous is executed, the prebuilt message is displayed on the Duet output, simultaneously while reading and prebuilding the message saved at the next lowest assigned ID number. The Image: Live Icon button must be active when executing a Read Previous sequence. Note that a Message Effects (.lyr) message should not be placed in a Read Previous sequence, as it will automatically cause the Message Numbers to ascend.

Transport Controls

Transport Controls provide easy navigation and playback control of the current animation:

Transport Controls

Changes made with the Transport Controls buttons are reflected in the Frame Counter display, and by the Current Time pointer movement on the Timeline and on the Keyframe Graph.

Playlists

While Read Next and Read Previous execute sequences of messages that are stored at Message Numbers that are in ascending or descending order, a Playlist can execute a sequence of messages stored as numbered or named files. Additionally, a number of parameters can be applied that control the transition into the next message, how the message is triggered, and to which channel it is sent. Refer to the section on Playlists for details.


Updating Messages in Lyric

Lyric provides a variety of means to update information displayed in a message. 2D Text, 2D Object or 3D Text Templates can be updated from internal or external sources, and 2D text not contained in 2D Text Templates can be updated by reading specially recorded 2D text messages.

NOTE

The update procedures described below are not to be confused with the Update functions found in the Browser environment. Messages that are updated using the procedures described below, however, can be subsequently updated in the Browser. Refer to the sections covering Browser operations for details.

Templates

Lyric Templates allow the isolation of various elements on the Canvas so that they can be updated locally and/or remotely from a variety of sources. There are three types of Templates:

2D Text Templates

2D Text Templates are always created within a 2D Text Window. Each 2D Text Template can have is own set of Font, Color, Justification and other characteristics. 2D Text Templates can also be updated using the following methods:

  • Template Update (Internal from Lyric): Template Update is an internal method of quickly updating the text in 2D and 3D Text Templates. Template Update is accessed by pressing Alt + T, or by selecting Template Update from the Tools menu. Text entered in the Template Update dialog box fields replaces (updates) the text in the 2D or 3D Text Template fields.

  • DB Link (From Database): 2D Text and 2D Object Templates can be updated by databases in a number of formats such as Lyric's own Browser, Microsoft® Excel®, and dBase®. DB Link is set up in the 2D Text or 2D Template dialog boxes. Refer to DB Link for details.

  • Intelligent Interface (From a Remote Host or Telnet): Intelligent Interface sends commands from a remote host to update 2D Text Template and 2D Object Template data, making it an especially powerful tool for live events such as sports and election coverage.

  • Harvester and Harvester Pro (External from the Internet): The Harvester plugin enables a Lyric 2D Text Template to be linked to a text field at a remote URL for dynamic update via the Internet. The Harvester Pro plugin enables a user to precisely capture, process and direct the output of text data from almost any web page to Lyric 2D Text Templates.

2D Object Templates

2D Object Templates are always created outside of a 2D Text Window. A 2D Object Template can be updated using the following methods:

  • DB Link (From Database): 2D Object and 2DText Templates can be updated by databases in a number of formats such as Lyric's own Browser, Microsoft® Excel®, and dBase®. DB Link is set up in the 2D Object or 2D Text Template dialog boxes. Refer to DB Link for details.

  • Intelligent Interface (From a Remote Host or Telnet): Intelligent Interface sends commands from a remote host to update 2D Text Template and 2D Object Template data, making it an especially powerful tool for live events such as sports and election coverage.

3D Text Templates

3D Text Templates are always created outside of a 2D Text Window. A 3D Text Template can be updated as follows:

  • Template Update (Internal from Lyric): Template Update is an internal method of quickly updating the text in 3D and 2D Text Templates. Template Update is accessed by pressing Alt + T, or by selecting Template Update from the Tools menu. Text entered in the Template Update dialog box fields replaces (updates) the text in the 3D or 2D Text Template fields.

Pop-On Text

Rows of text in a 2D Text Window can be updated by replacing them with text that has been recorded as a Pop-On message. By doing this, only the row(s) that changes must be recorded. When read back, the Pop-On message replaces the new text at the current cursor position in the 2D Text Window.


Internal Properties

Overview

Internal Properties sets specific properties for an object or a message, which can override default values as set in Preferences or elsewhere.

There are two general groups of Internal Properties:

  • Internal Properties that are applied to a specific object.

  • Internal Properties that are applied to a specific message.

To apply Internal Properties settings and not close the Internal Properties dialog box:

  • Click Apply.

To apply Internal Properties settings and close the Internal Properties dialog box:

  • Click OK.

To close the Internal Properties dialog box without saving modifications to the settings:

  • Click Cancel.

Internal Properties settings are retained with the message when the message is saved.

NOTE

Internal Properties are currently not implemented for Movie objects, Flipbooks, Advanced Text Effects objects, Advanced Image Effects Objects, Group Objects (although behavior of groups can be controlled from a message standpoint), Audio Clip objects, Video Clip objects, Mix objects and other specialized objects that are generated by Lyric.

Internal Properties Applied to an Object

Object Context (Right-Click) Menu > Internal Properties

Internal Properties can be set for 2D Text Windows (except Spline), 2D bitmap objects, 3D characters and 3D objects. These objects all share a similar set of Internal Properties, as well having Internal Properties that are specific to the object type and/or playout system. The following figure is a composite of all of the Internal Properties that are available to these object types.

To access the Internal Properties settings for an object:

  • Select the object on the Canvas or the Scene Graph, and then right-click. The Internal Properties are displayed.

Image: Internal Properties - Object

Internal Properties - Object

Alpha Trim (2D Objects Only)

Alpha Trim removes unwanted transparent portions of a Mask Object. The threshold at which a pixel is deemed transparent enough to remove is determined by its Alpha Trim setting. The default Alpha Trim value is 0.05. Raising this value results in the additional removal of less transparent pixels. Alpha Trim must be enabled from the context menu of the object in order to apply this setting.

Image: Alpha Trim

Alpha Trim Applied to Mask Objects

Note that when Alpha Trim is applied, full pixels are removed, sometimes creating an undesirable stair-stepping effect. If this occurs, applying a Soft Mask instead may yield better results.

Refer to Mask Objects for additional information on Mask Objects and Alpha Trim.

Pixel Aspect (2D Bitmap Objects Only)

The Pixel Aspect setting determines the Pixel Aspect at which a 2D bitmap object is imported. The default setting is determined by the Use 1:1 Pixel Aspect for Graphics Import setting in Canvas Resolution configuration, accessed from the Config menu.

  • If enabled in Canvas Resolution, Pixel Aspect is set at 1:1.

  • If disabled in Canvas Resolution, Pixel Aspect is set at .9.

The Pixel Aspect setting in Internal Properties can be changed for an individual bitmap either to correct Pixel Aspect or to change it for effect. The figure below shows a bitmap imported with Use 1:1 Pixel Aspect for Graphics Import enabled. This specifies that the Pixel Aspect 1.0. The appearance of the same graphic is corrected by setting the Pixel Aspect in Internal Properties to .9.

Image: Pixel Aspect

Pixel Aspect Settings

Internal Properties Applied to a Message

Light, Global Light or Camera Context (Right-Click) Menu > Internal Properties
Tools and Canvas/Scene Graph Context Menus > Message Properties

The Internal Properties for a message can be set by accessing Tools Menu > Set Message Properties.

To access the Internal Properties settings for an object, use one of the following methods:

  • Right-click on the object itself on the Canvas (as opposed to the object's entry on the

  • From the Tools menu, select Message Properties.

The Internal Properties are displayed.

Image: Internal Properties - Message

Internal Properties - Message

Legacy Mask

Mask Objects in Lyric v4.1 up to, but not including, Lyric v5.0, are rendered differently than Mask Objects rendered in Lyric v5.0 and later. To properly render a message created using pre-Lyric v5.0, a Legacy Mask option is provided. The default setting is Disabled.

  • To properly render a message containing Mask Objects, that was created using a version of Lyric up to, but not including, Lyric v5.0, set Legacy Mask to Enabled.

  • To properly render a message containing Mask Objects, that was created using Lyric v5.0 or later, set Legacy Mask to Disabled.

Refer to Mask Objects for additional information on Mask Objects.

Preview Frame

The Preview Frame is the frame of an animation which displays when the animation message is read. This value can be set in the Record Only dialog box, accessed by pressing Ctrl + Record or Ctrl + Alt + Record, or by setting in the Internal Properties dialog box. For the Preview Frame setting to be applied, the Show Preview Frame setting in Config Menu > Preferences > Animation Settings must be enabled (checked).

The Preview Frame setting in the Internal Properties dialog box reflects the Preview Frame set from the Record Only dialog box.

The default setting for Preview Frame is -1, which specifies that no Preview Frame is set.

  • If Show Preview Frame is enabled, the last frame of the animation is displayed.

  • If Show Preview Frame is disabled, the first frame of the animation is displayed.

If the Preview Frame is set to 0 or higher:

  • If Show Preview Frame is enabled, the specified Preview Frame of the animation is displayed.

  • If Show Preview Frame is disabled, the first frame of the animation is displayed.

Refer to Reading and Recording Messages - Selective Recording - Preview Frame - for additional information.

Rendering Mode

The type and complexity of an animation may require that it be rendered in a specific manner in order to play back correctly. Rendering Mode can be set for an individual message. In addition, depending on the system and the graphic boards, one Rendering Mode may be more suitable than another for playback. This setting for the message does not change the default Rendering Mode setting as set in Config Menu > Preferences > Animation Settings. The Rendering Modes are the same as those in the Animation Settings.

  • Fast Rendering allows some animations that may not play back properly in real time to play back smoothly. There may be an infrequent trade-off when Fast Rendering is enabled, in that the compositing of overlapped transparent pixels and the antialiasing of characters may not display properly. Preview the animation before sending to air.

  • Normal Rendering plays back animations using Duet's normal rendering process.

  • Depth (2 Pass) corrects the rendering of 2D objects, that have transparency, and that either intersect in 3D space or that overlap. While rendering in this mode is slightly slower, it usually unnoticeable, due to the high rendering speed of current graphics cards.

  • Fast/Fix Key corrects the rendering of the Key Out signal. Rendering in this mode is necessary only if the rendered Key signal is to be used downstream of the Duet system. While rendering in this mode is slightly slower, it usually unnoticeable, due to the high rendering speed of current graphics cards. Using this mode also requires the presence of specific graphics cards. Contact Chyron Customer Service (631-845-2132) for additional information. Note that on Duet SD/HD systems, using this mode is not necessary, as the Key signal is rendered properly.

Use Group Priority

Prior to Lyric v5.0, when a group was created, any object added to the group would retain its display priority with regard to the ungrouped objects, even though the Scene Graph indicated that the priority of the objects had moved up. This would also occur with automated grouping of animated objects (e.g. created using Animate Elements or Advanced Text Effects).

The following figure shows five ungrouped, overlapping 3D characters.

Image: Overlapping Characters

Ungrouped Overlapping Characters

When a group is created in Lyric, a new Group object is added to the top of the Scene Graph. As shown in the following figure, the Scene Graph indicates that objects 4 and 2 should overlap objects 5, 3 and 1. Object 4 still overlaps object 3, but does not overlap object 5. Object 2 still overlaps object 1, but does not overlap object 3.

Image: Grouped Objects Not Displaying Actual Priority

Grouped Objects Not Displaying Actual Priority

Enabling the Group Priority setting results in the objects in the group displaying at their actual priority. Objects 2 and 4 now cover objects 1, 3 and 5.

Image: Grouped Objects Displaying Actual Priority

Grouped Objects Displaying Actual Priority

Priority behavior is determined as follows:

  • When Group Priority is set to 0, the Canvas does not reflect the actual priority of grouped and ungrouped objects as indicated by the Scene Graph. A group created using Animate Elements or Advanced Text Effects is always added to the top of the Scene Graph.

  • When Group Priority is set to 1, the Canvas reflects the actual priority of grouped and ungrouped objects as indicated by the Scene Graph. A group created using Animate Elements or Advanced Text Effects is always added to directly above its associated 2D Text Window listing in the Scene Graph.

The default Group Priority value is determined as follows:

  • Group Priority is set to 0 (False) for messages created using pre-Lyric v5.0.

  • Group Priority is set to 1 (True) for messages created using Lyric v5.0 and later.

In Lyric v5.0 and later, priority can be further fine-tuned by dragging-and-dropping the group, or dragging-and-dropping objects within, into and out of groups on the Scene Graph. Ungrouped objects can also be inserted between grouped objects by adjusting the Z-Position(s) of the grouped and/or ungrouped object(s).

onRead Macro

Enabling onRead Macro allows a macro that is recorded with a message to execute when the message is read. The default setting for onRead Macro is blank, specifying that there is no macro associated with the message.

To associate a macro with the message and test execution:

  1. While the Lyric composition is displayed, create or read a macro. Test the macro to make sure that it executes properly.

  2. In the Internal Properties dialog box onRead Macro field, enter the name of the macro. Click OK to close the Internal Properties dialog box.

  3. Save the message.

  4. Read the message. The macro should execute.

A message can also be set to execute a macro when the message is read by saving it from the Record Only dialog box. Refer to Reading and Recording Messages - Selective Recording - Embedded Macros - for additional information.


Control of Internal and External Devices and Events

Lyric Control of Internal and External Devices and Events

The Device Control tab on the Hardware Configuration dialog may be unavailable, depending on your system's hardware and software options.

Lyric can control and/or be controlled by a wide range of internal and external devices, using a variety of methods.

  • Squeezeback and Playlist Effects can be executed via Chyron KwiKeys or other external devices such as Master Control Switchers via GPI (General Purpose Interface) control.

  • Lyric can trigger Transport Controls (e.g. Play, Stop, etc.) on tape machines, DDRs and other playout devices using the BVW-75 protocol via the RS-422 Serial Digital Interface.

  • The Aprisa DDR can be controlled via an Ethernet connection.

  • Intelligent Interface commands can be sent to Lyric via RS-232 Serial Protocol or Telnet.

  • GPIs can be used to start Lyric Clocks and Timers, release a Pause and perform many other triggering functions.

  • Lyric can use GPI output to trigger external devices such as keyers and tally lights.

  • A user can send Read, Read Next, Xfer and other related commands to Lyric using Chyron's ReCall Keys via the RS-232 Serial Protocol.


Lyric File Formats

Lyric can import and export many common graphic, animation and other formats that can be used in outside applications. Lyric also creates and uses a variety of proprietary and nonproprietary formats.

File Extension | Description
Lyric Compositions
*.lyr | This is the most commonly used Lyric file format. It is used to save complete Lyric compositions as well as specific groups of settings.
Text Messages
*.lyr | All Text File: Records all text in the selected 2D Text Window. Recorded from within the Record Only: dialog box.
*.lyr | Cursor to End File: Records all text from cursor position to the end of the row in the selected 2D Text Window. Recorded from within the Record Only: dialog box.
*.lyr | Current Row File: Records all text on current row in the selected 2D Text Window. Recorded from within the Record Only: dialog box.
Properties
*.lyr | Clock/Timer File: Records all Clock/Timer settings in the Lyric composition and is recorded from within the Clock/Timer Properties tab or from within the Record Only: dialog box.
Animations
*.efx | Scene Effects/ Read Effects File: Records Keyframe information from all objects on the Canvas. Recorded from File Menu > Save As, then select Save as Type: Lyric Effects File (*.efx) or the Record Only: dialog box.
*.kyf | Object File: Records Keyframe information of the selected object on the Canvas. Recorded from Timeline > Save Keyframe File or the Record Only: dialog box.
*.tfx | Text Effect File: Records Advanced Text Effect settings of the active 2D Text Window. Recorded from Advanced Text Effects > Save.
User Profiles
*.reg | Lyric User Profile: A standard Windows® registry file format that saves User Preferences and other Lyric settings and allows access for all Windows users. Also used in Chyron MOS operations. A User Profile is set via Config Menu > Save User Profile. It is loaded via Config Menu > Load User Profile.
*.lup | Lyric User Profile: A Lyric format that saves User Preferences and other Lyric settings. Limited access users cannot load *.lup files. A User Profile is set via Config Menu > Save User Profile. It is loaded via Config Menu > Load User Profile.
Palettes
*.reg | Palette File: A standard Windows® registry file format that is used to store Palette settings. Recorded from the Color Select dialog box.
Playlists
*.ply | Playlist File: Records Playlist information from within the Playlist or the Record Only: dialog box.
Macros
*.lyr | Macro File: Records Macros scripts from within the Macros dialog box or the Record Only: dialog box. Because it is saved as a Lyric message, it can be read by entering a Message Number, and then pressing Read or Read Next. It can also be set to autoexecute on opening and can be programmed into a Playlist.
*.lmx | Macro File: A standard Windows® Macros script format that is recorded from within the Macros dialog box. Can be edited from within Lyric as well as in a text editor. Can only be opened from File Menu > Open or Windows Toolbar > Open icon Image: Open File Icon . Cannot be set to autoexecute on opening or be programmed into a Playlist.
Control Panels
*.ccf | Clip File: Records a Clip file from within the Clip Control Panel or the Record Only: dialog box.
Browser Databases
*.mdb | Microsoft® Database File: Microsoft® Access database file format used to record Browser database files. Recorded from Config Menu > Preferences > Browser > Create Data Source or from Browser Window > Select Database > Create Data Source.
Backup
*.lbu | Lyric Backup File: Backup file of Browser database, Browser assets, Windows directory or sets of files. The backup file can be used to restore files in the same or a different location. Backup is performed from File Menu > Backup. Restore is performed from File Menu > Restore.
External Systems - Chyron iNFiNiT!®
*.fnt | iNFiNiT! Font File: An iNFiNiT! font file recorded from within the Browser's iNFiNiT! Browser Assets Window > Save to Database, Custom Font Editor > File Menu > Save or Custom Font Editor > File Menu > Save As > Save as Infinit font.
*.rgb | Chyron iNFiNiT! RGBA File: An iNFiNiT! graphic file format. Imported via Tools Menu > Graphic or Import Graphic icon Image: Import Graphic Icon on the Chyron Toolbar. Lyric can also save to this format via File Menu > Save As, then select Save as Type: iNFiNiT! RGBA (*rgb).
External Systems - Non-Chyron
*.vpb | Quantel® Graphics File: a Quantel graphics file format. Recorded from within Browser Window > Quantel Assets > Save to Database.


Using Audio in Lyric

Sophisticated audio mixing and variations via Timeline animation may be achieved via the eFX panel's audio facility. Refer also to the overview of the eFX Panel.

Audio (*wav) files from your system's PC-type sound card can also be incorporated into a Lyric composition using the Clip Control Panel.

Discussion of older internal clips systems may be found in these topics: Clip Control Panel, Audio and the Internal Clip Player and Recording Video/Audio to Video and Audio Files .


Lyric Unregister

The LyricUnregister.exe utility should be used if Lyric fails to start after re-installation (or at any time).

Running this program initializes the system's registry to default values, deleting user-specific information such as window locations and file paths. After installation of the Lyric software, LyricUnregister.exe is located in your system’s Program Files > Chyron > Lyric directory, as pictured at left below.

The program may also be run directly (or copied) from the Lyric CD’s Utilities directory, seen at right below.

  1. Double-click on LyricUnregister.exe and this dialog box appears:

  2. Click UNREGISTER. This warning appears:

Confirm the action by clicking OK.

  3. This message box appears.

Click OK. The process is complete, and the next time Lyric is launched, your system’s registry will use default values.


Keyboard/Mouse Shortcuts Overview

Lyric offers a variety of keyboard/mouse shortcuts to help speed your work. Many of the keyboard shortcuts work on both Chyron keyboards and conventional PC keyboards. Differences between the two keyboards are noted. The keystrokes are specified as follows:

  • If a keystroke combination contains a +, it indicates that the key specified to the left of the + should be pressed, then held, while the key to the right is pressed. For example, Ctrl + N indicates that the Ctrl key should be pressed, then held, while the N key is pressed. Ctrl + Alt + é indicates that the Ctrl and the Alt key should be pressed and held while pressing the é key as many times as necessary to shift the page on the Canvas.

  • If the keystroke combination does not contain a +, then press, but do not hold the keys, in the order in which they are indicated. For example, to record a message at a specific Message Number, <Message Number> Record indicates that the Message Number should be entered on the numeric keypad, and then Record is pressed. No keys are held while others are pressed.

  • If the + key is used as a keystroke instead of used to specify a held key, it is indicated as such.

The Keyboard/Mouse Shortcuts are grouped as follows:

  • 2D/3D Text, Text Templates and Row Tabs

  • All Other Shortcuts


Keyboard/Mouse Shortcuts - General

Keyboard/Mouse Shortcuts - Other

General

GENERAL

Chyron Keyboard/PC Keystroke(s)

Description

Help

F1

Help

Shift + F1

Context Help: Press Shift + F1. The [image] cursor appears. Drag it to any element on the Lyric interface with which you need help, then left-click to display the associated Help topic.

New Canvas

Ctrl + N

If a Canvas is displayed and Config > Preferences > CG > Confirm On Delete Message is enabled, prompts user with a choice to clear the Canvas. If user selects Yes, then new Canvas is displayed.

If a Canvas is displayed and Config > Preferences > CG > Confirm On Delete Message is disabled, the Canvas is erased. If a saved message had been displayed, it is not deleted, only erased.

Note that additional options are available by selecting New from the File menu.

Window Operations

F3

Shifts focus to the Scene Graph.

F4

Shifts focus to the topmost Browser Window.

F6

Shifts focus to the Canvas.

Ctrl + F6

Selects next window (for example, moves from the Canvas to the Properties page to the Timeline).

Ctrl + Shift + F6

Selects the previous window.

Ctrl + F4

Closes window.

Mode Select -
Chyron keyboard

Alt + Tab -
PC Keyboard

Switches among open applications.

Page Shift

Alt + F2

Center page: Centers entire Lyric screen.

Ctrl + Alt + éêçè

Shift page up/down/left/right: Shifts entire Lyric screen up/down/left/right.

Shift + Ctrl + Alt + éêçè

Super shift page up/down/left/right: Shifts entire Lyric screen up/down/left/right in 10-scanline/pixel increments.

Erase Operations

Ctrl + E

Erase: Prompts the user to choose from among several options. Equivalent to clicking the [image] button.

Ctrl + Q

Erase Screen: Erases the Canvas.

Canvas Viewing

Spin the mouse wheel up/down.

Zooms into/out from the Canvas.

Hold the Shift key down. Spin the mouse wheel up/down.

Zooms into/out from the Canvas more quickly.

Hold the Shift key down and the mouse wheel down. Spin the mouse wheel up/down.

Zooms into/out from the Canvas more slowly.

Hold the mouse wheel down. Move the mouse around the Canvas.

Looks around the scene.

Hold the Shift key down and the mouse wheel down. Move the mouse around the Canvas.

Rotates the scene.

Exit Lyric

Alt + F4

Exits Lyric, first requesting confirmation.

Manipulating and Editing Objects on the Canvas

MANIPULATING AND EDITING OBJECTS ON THE CANVAS
Chyron Keyboard/PC Keystroke(s) | Description
Ctrl + Z | Undo
Alt + Backspace
Ctrl + Y | Redo
Ctrl + left click | Selects multiple items on the Scene Graph or on the Timeline for editing.
Shift + left click | Selects adjacent items on the Scene Graph or on the Timeline for editing.
Alt + Click | Clicking the mouse while the Alt key is held cycles through selecting each object on the Canvas.
Ctrl + Delete | Deletes the object (any type) that is active on the Scene Graph and Canvas.
Shift + Delete | Deletes the object (any type) that is active on the Scene Graph and Canvas.
Ctrl + E | Erase: Prompts the user to choose from among several options. Equivalent to clicking the [image] button.
Ctrl + Q | Erase: Erases all Canvas contents with no request for confirmation.
Ctrl + G | Group (usable for any and all types of Canvas objects).
Ctrl + U | Ungroup.
Ctrl + C Ctrl + Insert | Copy (any object)
Ctrl + X Shift + Delete | Cuts selected text in 2D Text Window or 2D Text Template. Selected text stored in Clipboard.
Ctrl + V Shift + Insert | Paste (any object)
Ctrl + I | Paste in Place (any object)

Browser

Mouse/Keyboard Action | BROWSER
F4 | Switches focus in Lyric to the topmost Browser Window.
Click-and-Drag | Bitmap, Lyric Message, Aprisa and Quantel assets from the Browser window to the Lyric Canvas or into a 2D Text Window in the Canvas.
Click-and-Drag | Bitmap and Aprisa 100 (Still) assets from the Browser Window to Texture Chip in Properties > Surface.
Click-and-Drag | Lyric Message Assets from the Browser window to the File Name field in the Playlist.
Click-and-Drag | Assets from one Browser window to another Browser window.
Click-and-Drag | Font Assets from the Browser window into Properties > Fonts or Properties > 2D Font FX.
Click-and-Drag | Lyric messages and graphics from Windows® Explorer®-type windows into Lyric Browser Message Asset and Bitmap Asset Browser windows, respectively.
Click-and-Drag | Alt + drag-and-drop a Bitmap Asset or Aprisa 100 (Still) asset to create a background for a Canvas, 2D Text Window or 2D Text Template.
êéçè | Moves the Browser cursor from item to item in the Browser Window.
Home | Selects the first item in the Browser Window.
End | Press End to select the last item in the Browser Window.
Enter or Double-Click | When a Browser item is highlighted, press either Enter key to open the selected item. Double-clicking the item also opens the item.
First letter or number of file name | Typing any character key finds the next Browser entry with a title that starts with that character. For example, in a Browser Window containing images titled Red, Rose and Yellow, typing r selects Red and scrolls it into view. Typing r again selects Rose, and typing y selects Yellow.
Key Combination for RGB Font Character | In the Font Browser, typing a character selects and scrolls to the image mapped to that character.
Alt + Keys 0 through 9 Alt + Shift + Keys 0 through 9 | Accesses user-defined fonts in the Font Asset Browser.

File Operations

OPEN FILE
Chyron Keyboard Keystroke(s) | PC Keystroke(s) | Description
Ctrl + O | Ctrl + O | Open File.

SAVE FILE
Chyron Keyboard Keystroke(s) | PC Keystroke(s) | Description
Ctrl + S | Ctrl + S | Save File.

LYRIC MESSAGE FILES - CLEAR AND DELETE
Chyron Keyboard Keystroke(s) | PC Keystroke(s) | Description
Del | . (Decimal/Del) key on the numeric keypad | Clears the Message Number display.
The Message ID Number can be entered before the following command to specify a message other than that which is currently displayed.
Alt + F5 | Alt + F5 | Deletes file where current message is stored; requests confirmation from operator.

LYRIC MESSAGE FILES - RECORD

Chyron Keyboard Keystroke(s)

PC Keystroke(s)

Description

The Message ID Number can be entered before any of the following commands to specify a message other than that which is currently displayed.

Record

Minus key (-) on the numeric keypad

Records message at displayed message number.

Alt + Record

Alt + Minus key (-) on the numeric keypad

Overwrites the current message

Selective Recording - 2D Text: Ctrl + Record displays the Record Only dialog box, which enables the recording of specific 2D text elements of a Lyric composition. A message recorded in this manner can be read into a 2D Text/Roll/Crawl/Type On Window of another message as a Pop-On message, which replaces text in the message into which it is read. All messages are recorded in the *.lyr format to the Default Message Directory.

Note that the Ctrl + Alt + Record (Chyron keyboard) and Ctrl + Alt + Minus key (-) on the numeric keypad (PC keyboard) combinations can be used to overwrite the currently loaded message, without prompting for an overwrite confirmation. After the message is recorded, the Message Number display does not increment. If the message was not originally read from an existing message, then the composition is saved at the current Message ID. If a message with that Message ID already exists, then the overwrite prompt is displayed.

Ctrl + Record T Enter

Ctrl + Minus key (-) on the numeric keypad T Enter

Records All Text in selected 2D Text Window.

Ctrl + Record E Enter

Ctrl + Minus key (-) on the numeric keypad E Enter

Records Cursor to End of text in selected 2D Text Window.

Ctrl + Record R Enter

Ctrl + Minus key (-) on the numeric keypad R Enter

Records Current Row of text in selected 2D Text Window.

Ctrl + Record D Enter

Ctrl + Minus key (-) on the numeric keypad D Enter

Records Template Data Message.

Selective Recording - Timeline: Ctrl + Record displays the Record Only dialog box, which enables the recording of specific Timeline elements. Records files to the Default Effects Directory.

Ctrl + Record S Enter

Ctrl + Minus key (-) on the numeric keypad S Enter

Records the Keyframe information for all objects on the Canvas (Scene) in the .efx format, where it becomes available for use by the Read Effects tool. The file format is the same as that recorded from File > Save As, where Lyric Effect (*.efx) is selected as the file format.

Ctrl + Record O Enter

Ctrl + Minus key (-) on the numeric keypad O Enter

Records all of the Keyframe information for a selected Object on the Canvas in the .kyf format. The file format is the same as that recorded from Right-Click Object Timeline > Save Keyframe File.

Selective Recording - Panel: Ctrl + Record displays the Record Only: dialog box, which enables the recording of tool-specific files.

Ctrl + Record C Enter

Ctrl + Minus key (-) on the numeric keypad C Enter

Records only Clip information in the .ccf format to the Default Clip File Directory. The file format is the same as that recorded from Clip Control Panel > Save.

Ctrl + Record K Enter

Ctrl + Minus key (-) on the numeric keypad K Enter

Records only Clock and Timer information in the .lyr format to the Default Message Directory. All Clocks and Timers in the composition are recorded. The file format is the same as that recorded from Properties > Clocks/Timers > Save.

Ctrl + Record M Enter

Ctrl + Minus key (-) on the numeric keypad M Enter

Records only Macro information in the .lyr format to the Default Message Directory. The file format is the same as that recorded from Macros > Image: Macro Save Icon > Save, when the Macro is saved in the .lyr format.

Ctrl + Record F Enter

Ctrl + Minus key (-) on the numeric keypad F Enter

Records only Multi FX information in the .lyr format to the Default Message Directory. The file format is the same as that recorded from Tools Menu > Multi FX > Save.

Ctrl + Record P Enter

Ctrl + Minus key (-) on the numeric keypad P Enter

Records the only the Playlist information in the .ply format to the Default Playlist Directory. The file format is the same as that recorded from File Menu > Save As, where Playlist Files (*.ply) is selected as the file format.

Ctrl + Record X Enter

Ctrl + Minus key (-) on the numeric keypad X Enter

Records only Video Mixer information in the .lyr format to the Default Message Directory. The file format is the same as that recorded from Tools Menu > Video Mixer > Save.

LYRIC MESSAGE FILES - READ
Chyron Keyboard Keystroke(s) | PC Keystroke(s) | Description
The Message ID Number can be entered before any of the following commands to specify a message other than that which is currently displayed.
Read | Enter on the numeric keypad | Read message to Canvas.
Ctrl + Read | Ctrl + Enter on the numeric keypad | Read Next.
Alt + Read | Alt + Enter on numeric keypad | Read Previous.

Buffer and Output Operations

OUTPUTS

Chyron Keyboard Keystroke(s)

PC Keystroke(s)

Description

Ctrl + Fn + F6

Ctrl + F11

Toggles Image: Live Button button on and off.

Xfer

/ key on the numeric keypad

Transfers active Frame Buffer content to VGE (output).

Swap

Ctrl + /

Swaps Channels.

Alt + Xfer

Alt + /

Transfers the contents of the current Canvas to the next available Frame Buffer without changing the active Frame Buffer. Leaves contents of active Channel intact.

Chng

* key on the numeric keypad

Switches to next available frame buffer, making it active.

Play

Alt + Page Up

If Image: Live Icon Active is active:

  • Plays animation on VGE (output).

If Image: Live Icon Inactive is inactive:

  • Plays animation on VGA.

Ctrl + Play

Ctrl + Alt + Page Up

Plays animation on VGE (output) regardless of whether Image: Live Icon Active is active or inactive Image: Live Icon Inactive.

Esc

Esc

Stops the animation.

Ctrl + Q

Ctrl + Q

Erases the Canvas.

Alt + Erase

Ctrl + Alt + Q

Erases the outputs of Internal Clip Players and the Chyron system's outputs/Frame Buffer devices.

Animation Playback (for Testing)

ANIMATION PLAYBACK (FOR PREVIEWING)
Keystroke(s) | Description
Alt + Next icon [image] on Canvas Transport Controls | Advance to next keyframe of selected object.
Alt + Previous icon [image] on Canvas Transport Controls | Return to previous keyframe of selected object.
Alt + Home | Go to beginning of animation.
Alt + End | Go to end of animation.
ç | Reverses animation one frame.
è | Advances animation one frame.
Alt + ç | Reverses animation one second.
Alt + è | Advances animation one second.

TIMELINE
Chyron Keyboard/PC Keystroke(s) | Description
Ctrl + ç | Moves selected timeline element forward one frame
Ctrl + è | Moves selected timeline element backward one frame
Left Mouse Button | Click and drag to extend or shorten selected timeline element(s); moves existing keyframes proportionately
Ctrl + Left Mouse Button | Click and drag to extend or shorten selected timeline element(s) without moving existing keyframes.

Playlists

PLAYLIST OPERATIONS

Chyron Keyboard/PC Keystroke(s)

Description

Playlist Navigation

éêçè

Press the cursor keys éêçè to navigate up, down, left and right. Note that when using the çè keys to navigate, that when cursor reaches a field that accepts text entry, the cursor steps through the text first before proceeding to the next field.

Page Up

Page Down

When the cursor is in a Line, Control, Effect or Channel field, press Page Up or Page Down to navigate up or down in five-line increments. If the cursor is in the Line column, the entire line is highlighted.

Click Scroll Bar Track

In the Scroll Bar, click above or below the scroll box to page backwards or forwards, respectively, through the Playlist.

Click Scroll Bar Arrow

In the Scroll Bar, click the up or down arrow to scroll the Playlist one line up or one line down, respectively.

End

Press End to move the cursor to the next instance of End or to the final line of the Playlist that contains an entry.

Current Take Line Indicator Placement Image: Current Take Line Indicator: In the event that non-sequential execution of the Playlist is necessary, the Current Take Line Indicator can be moved to a different step using a variety of methods.

Click

Click to the left of a Playlist line to move the Current Take Line Indicator to the line.

Ctrl + éê

Press Ctrl + é or Ctrl + ê to move the Current Take Line Indicator up or down in one-line increments.

Ctrl + Page Up

Ctrl + Page Down

Press Ctrl + Page Up or Ctrl + Page Down to move the Current Take Line Indicator up or down in five-line increments.

Ctrl + Home

Press Ctrl + Home to move the Current Take Line Indicator to the first line of the Playlist.

Ctrl + End

Press Ctrl + End to move the Current Take Line Indicator to the next instance of End or to the final line of the Playlist that contains an entry.

GPI

Triggers a GPI to move the Current Take Line Indicator up or down in one-line increments. The GPI is set up in the Playlist Configuration dialog box. A GPI can also be used to execute a Take.

Playlist Editing

Ctrl + C

Copies selected fields to the paste buffer.

Ctrl + X

If the Speed or File Name field(s) is highlighted, cuts the contents of the field(s) to the paste buffer.

If the entire line is highlighted, cuts the contents of the line to the paste buffer.

Ctrl + V

Pastes contents of the paste buffer to the Playlist in the line in which the cursor is positioned.

Insert

Inserts a blank line directly above the line in which the cursor is positioned.

Delete

If the Speed or File Name field is highlighted, deletes the contents of the field.

If the entire line is highlighted, deletes the line.

Ctrl + W

Swaps the contents of the line on which the cursor is positioned with the line directly following. Note that the cursor must be in the Line field and the entire line must be highlighted for the Swap to execute.

Ctrl + G

Playlist Group.

Ctrl + U

Playlist Ungroup.

Ctrl + Z

Cancels the last edit applied in the Playlist. Reverts the Playlist to the state directly previous to when the edit was applied.

File Operations

Ctrl + O

Displays the Open dialog box from which a file can be selected to open. Files of Type is automatically set to Playlist Files (*.ply) if the Playlist window is active.

If the Playlist window is not active, then Playlist Files (*.ply) should be selected in the Files of Type field before selecting a file to open.

Ctrl + S

Displays the Save As dialog box from which the currently displayed Playlist can be saved. The Playlist window must be active for Ctrl + S to save to a Playlist.

Playlist Execution

Esc

Stops Playlist execution.

GPI

Executes a Take.

Internal Clip Player

INTERNAL CLIP PLAYER
Chyron Keyboard Keystroke(s) | PC Keystroke(s) | Description
> < | > < | Moves a clip to the next or previous frame, respectively.
Alt + Erase | Ctrl + Alt + Q | Erases the outputs of Internal Clip Players and the Chyron system's outputs/Frame Buffer devices.


Keyboard/Mouse Shortcuts - 2D/3D Text, Text Templates and Row Tabs

NOTE

For sake of clarity in this section, references to 2D Text Windows in the tables below also encompass 2D Roll, Crawl and Type On Windows.

There are two ways that text in a 2D Text Window is accessed for editing/manipulation:

  • Selection: The text is surrounded by a Bounding Box

  • Cursor Position: The cursor position determines which text is affected by an operation.

A few points regarding selection:

  • A row in a 2D Text Window or 2D Text Template is considered selected for editing when the cursor is positioned on it.

  • A 2D Text Window is considered selected when the Title Bar of the window is light gray. A cursor is visible in the 2D Text Window when it is active.

  • Text inside of a 2D Text Template cannot be selected for text shifting operations, although it can be selected for other editing operations. Cursor position can also affect which text is affected by an operation.

Typing 2D/3D Text and RGB Fonts

TYPING CHARACTERS (2D/3D TEXT and RGB FONTS)

Chyron Keyboard Keystroke(s)

PC Keystroke(s)

Description

Caps Lock

Caps Lock

Toggles Caps Lock Mode on and off. When Caps Lock Mode is active, all characters are typed in upper case. Equivalent to a typewriter Caps Lock key.

When Caps Lock is active, CAP in the Status Bar is not grayed out.

Caps Lock Mode remains active until turned off.

Ctrl + Alt + U

Ctrl + Alt + U

When typing in a 2D Text Template, All Caps can be toggled between enabled and disabled, without opening the 2D Text Template dialog box. This toggle affects typing in only the 2D Text Templates in which All Caps is enabled. Additionally, it does not disable the All Caps setting in the 2D Text Template dialog box.

After first pressing Ctrl + Alt + U the Status Bar indicates whether Caps Lock Override is Disabled or Enabled.

Fn + Num Lock (same keycap as Ctrl on the numeric keypad)

Num Lock

Toggles Num Lock Mode on and off:

  • When active, the numeric keypad at the right of the keyboard types numbers.

  • When inactive, pressing the numeric keypad keys shifts cursor position, activates/inactivates Insert Mode, or deletes the selected 2D text character.

When Num Lock is active, NUM in the Status Bar is not grayed out.

Num Lock Mode remains active until turned off.

Fn + Insert (same keycap as Delete Row)

OR

With Num Lock inactive, press Ins (0) on numeric keypad

Insert (located above the Delete key on the PC)

OR

With Num Lock inactive, press Ins (0) on numeric keypad

Toggles between Overwrite Mode and Insert Mode :

  • When Overwrite Mode is active, a newly-typed character replaces the existing character.

  • When Insert Mode is active, the newly-typed character is inserted at the cursor position without replacing a character. All characters to the right of the new character are moved to the right to accommodate the new character.

When Overwrite Mode is active, OVR in the Status Bar is not grayed out.

When Insert Mode is active, OVR in the Status Bar is grayed out.

Insert or Overwrite Mode remains active until turned changed.

Ctrl plus - (minus sign)

Ctrl plus - (minus sign)

Toggles Locked Translation Mode on and off. Locked Translation Mode enables typing of Alt and Alt + Shift characters (including RGB Font).

When Locked Translation Mode is active, TRNS in the Status Bar is not grayed out.

Locked Translation Mode remains active until turned off.

Ctrl plus = (equal sign)

Ctrl plus = (equal sign)

Toggles Single-Stroke Translation Mode on and off. Single-Stroke Translation Mode enables typing of Alt and Alt + Shift characters (including RGB Fonts).

When Single-Stroke Translation Mode is active, TRNS in the Status Bar is not grayed out.

Single-Stroke Translation Mode is active for typing only one character. After the character is types, Single-Stroke Translation Mode turns off.

2D Text/Template Selection and Navigation

2D TEXT WINDOW/TEMPLATE SELECTION AND NAVIGATION
Chyron Keyboard/PC Keystroke(s) | Description
Selecting a 2D Text Window
Ctrl + W | Toggles among 2D Text Windows in the order of their creation.
Shift + Ctrl + W | Toggles among 2D Text Windows in opposite order of their creation.
Selecting/Repositioning/Resizing a 2D Text Template
Tab | Toggles through all open 2D Text Templates in 2D Text Windows in order of their creation (oldest to newest), regardless of the 2D Text Window in which they are situated.
Shift + Tab | Toggles through all open 2D Text Templates in 2D Text Windows in reverse order of their creation (newest to oldest), regardless of the 2D Text Window in which they are situated.
Ctrl + Left-Click | Toggles 2D Text Template selection on and off.

2D/3D Color/Font Selection

2D/3D COLOR/FONT SELECTION

Chyron Keyboard/Keystroke(s)

PC Keystroke(s)

Description

Color Keys 1 - 8

Ctrl + 1 through Ctrl + 8

Selects entries 1 - 8 in pull-down Color Palette on the Font Toolbar (2D or 3D text) and in the Color Select dialog box.

No corresponding keystrokes.

Ctrl + 9
Ctrl + 0

Selects Palette Positions 9 and 10 respectively in pull-down Color Palette on the Font Toolbar (2D or 3D text) and in the Color Select dialog box. Do not have corresponding dedicated Chyron keyboard keystrokes.

Color Keys 9 - 14
(Shift + Color Keys 1 - 6)

Note: Color Keys 15 and 16 are not operational.

Ctrl + Shift +1 through Ctrl + Shift + 6

Selects entries 11 - 16 in pull-down Color Palette on the Font Toolbar (2D or 3D text) and in the Color Select dialog box.

Font Keys 1 - 8

Alt + 1 through Alt + 8

Selects fonts 1 - 8 as assigned to Chyron system Font Keys (2D or 3D text).

Font Keys 9 - 16
(Shift + Font Keys 1 - 8)

Alt + Shift + 1 through Alt + Shift + 8

Selects fonts 9 - 16 as assigned to Chyron system Font Keys (2D or 3D text).

No corresponding keystrokes.

Alt + 0
Alt + 9
Alt + Shift + 0
Alt + Shift + 9

Hotkeys for four additional fonts. Do not have corresponding dedicated Chyron keyboard keystrokes.

Color Font Key

Alt + F12

Picks up color and font of the currently selected 2D character.

  • Place cursor on text, then press the Color Font key or Alt + F12.

Subsequent typing reflects the new color and font attributes until changed (2D Text Windows only).

Cursor Positioning, Text Editing Functions

2D TEXT CURSOR POSITIONING AND TEXT EDITING FUNCTIONS

Chyron Keyboard/PC Keystroke(s)

Description

Cursor Positioning

Home

Moves cursor to beginning of selected row in 2D Text Window or 2D Text Template.

End

Moves cursor to end of selected row in 2D Text Window or 2D Text Template.

Ctrl + Home

Moves cursor to beginning of active 2D Text Window or selected 2D Text Template.

Ctrl + End

Moves cursor to end of last row of active 2D Text Window or selected 2D Text Template.

Alt + F7

Moves the cursor to the beginning of the next word in a 2D Text Window.

Alt + Shift + F7

Moves the cursor to the beginning of the previous word in a 2D Text Window.

2D Text Editing - Cut, Copy, Paste, Delete, Erase, Insert, Etc.

Ctrl + Z

Undo: Undoes last edit. Can back through an edit sequence, one edit at a time.

Ctrl + Y

Redo: Redoes last undone edit. Can redo an edit sequence, one edit at a time.

Ctrl + A

Selects all in 2D Text Window. Selected text in enclosed in a bounding box which can be repositioned, scaled, etc. Ctrl + A also selects all text in a 2D Text Template, but manipulation cannot be applied to the 2D Text Template using this method of selection.

Delete

Deletes selected text in 2D Text Window or 2D Text Template. Selected text not stored in Clipboard.

Ctrl + C

Ctrl + Insert

Copies selected text in 2D Text Window or 2D Text Template. Selected text stored in Clipboard.

Ctrl + X

Shift + Delete

Cuts selected text in 2D Text Window or 2D Text Template. Selected text stored in Clipboard.

Ctrl + V

Shift + Insert

Pastes selected text in 2D Text Window or 2D Text Template at cursor position.

Ctrl + Alt + V

Paste Unicode Text: Pastes Unicode text that was previously cut or copied form another document.

Ctrl + I

Paste in Place: Pastes contents of Clipboard on top of and exactly in the same position as cut/copied text (2D Text Windows only).

Alt + F3

Inserts Space at cursor position in 2D Text Window or 2D Text Template.

F2

Deletes all characters and spaces from the cursor to the end of row in active 2D Text Window or Template.

Shift + Backspace

Erase All (2D Text Templates only): To erase all text from the selected 2D Text Template:

  • Place the cursor in the 2D Text Template, and then press Shift + Backspace.

Row Edit Functions

Ctrl + L

Lock Mode: Allows locking of 2D Text rows so that they shift as one group. To toggle on and off:

  • Press Ctrl + L or select Row Shift Locked from the Edit menu to toggle on and off.

When Lock Mode is active, LOCK is not grayed out on the Status Bar.

Enter

Add Row: Adds new row below current row in 2D Text Window or 2D Text Template.

Alt + Insert

Inserts row above cursor position in 2D Text Window or 2D Text Template.

Alt + Delete

Deletes selected row in 2D Text Window or 2D Text Template.

Shift + Enter

Moves the portion of a 2D Text Window or 2D Text Template row located to the right of the cursor to the next row.

Cursor at end of Row, then press Delete

Pull up Word (2D Text Template Only): Pulls up a word from the following row to the row on which the cursor is positioned.

  • Place the cursor at the end of a row, and then press Del. If there is room on the current row, the first word from the next row is moved up to the current row.

NOTE: Word Wrap must be enabled in the 2D Text Template dialog box for this to work in a 2D Text Template.

Ctrl + B

Swap Row Up: Swaps row up in a multi-row 2D Text Window or 2D Text Template. Equivalent to selecting 2D Text Window or 2D Text Template Context (Right-Click) Menu > Swap Row Up.

Ctrl + F

Swap Row Down: Swaps row down in a multi-row 2D Text Window or 2D Text Template. Equivalent to selecting 2D Text Window or 2D Text Template Context (Right-Click) Menu > Swap Row Down.

Alt + P

Swap Row Priority Up: Swaps priority with the 2D Text Window or 2D Text Template row behind the row on which the cursor is positioned.

Alt + N

Swap Row Priority Down: Swaps priority with the 2D Text Window or 2D Text Template row on top of the row on which the cursor is positioned.

Tab Function

Ctrl + Tab

Duplicates the function of the Tab key in a conventional word processor. Works in a 2D Text Window or 2D Text Template. Tab Width is set in Config > Preferences > CG Preferences.

Find/Replace, Spell Check

Ctrl + H

Find/Replace: Searches 2D Text Windows and 2D Text Templates.

F7

Spell Check: Checks 2D Text Windows and 2D Text Templates.

Row Tab Functions

ROW TAB FUNCTIONS
Chyron Keyboard/PC Keystroke(s) | Description
Ctrl + T | Add Row Tab Marker
Alt + J | Select Next Tab in row
Alt + <, Alt + > | Select Previous, Select Next Tab
Alt + M | Tab Column Mode

2D Text Template Update Functions

2D TEXT TEMPLATE UPDATE FUNCTIONS
Chyron Keyboard/PC Keystroke(s) | Description
Alt + T | Template Update: Displays Template Update dialog box, from which instant updates can be executed.
Alt + U | Disables interface fields (for use with Intelligent Interface).

2D Text Shift/Squeeze/Expand Functions

2D TEXT SHIFT/SQUEEZE/EXPAND FUNCTIONS

Shifts execute in 1-scanline (up/down) or one-pixel (left-right) increments.

Super Shifts execute in 10-scanline (up/down) or one-pixel (left-right) increments.

When text is selected, that indicates that is enclosed by a Bounding Box. Performing a shift operation on selected text can differ in behavior than performing a shift on text that is marked by the cursor position.

Text can be selected in a 2D Text Template for operations such as changing font color. When a shift operation is applied to selected text in a 2D Text Template, however, the bounding box disappears, and the cursor reappears. The shift executes based on cursor position, not text selection.

Super Shift

Super Shift: 2D Text shifts are performed in one-scanline (horizontally) or one-pixel (vertically) increments at a time. To move characters/rows 10 scanlines/pixels at a time instead of by single scanlines/pixels:

  • Hold the Shift key while performing the Character or Row Shift.

Shift Character Operations

Chyron Keyboard/PC Keystroke(s)

Description

Alt + F3

Insert space.

Ctrl + éê

Shift Character Up/Down:

  • 2D Text Window: Shifts selected character(s) up/down.

  • 2D Text Window/2D Text Template: Shifts character at cursor position.

Shift + Ctrl + éê

Super Shift Character Up/Down in 10-scanline increments (see above).

Ctrl + çè

Shift Character Left/Right:

  • 2D Text Window: Shifts selected character(s) Left/Right.

  • 2D Text Window/2D Text Template: Shifts character and all characters on the same row to the right of the character Left/Right.

Shift + Ctrl + çè

Super Shift Character Left/Right in 10-pixel increments (see above).

Shift Row Operations

Alt + F1

Center 2D Text Window Row: Cursor can be positioned inside or outside of a Template. This function is applied to the 2D Text Window row, not the 2D Text Template row.

Click/Drag Row Handle

Shift Single Row in 2D Text Window/2D Text Template.

Alt + éê

Shift Row(s) Up/Down:

  • 2D Text Windows: Shifts the selected row (Row Shift Unlock Mode) or the selected row and the rows below it (Row Shift Lock Mode).

  • 2D Text Templates: Shifts the selected row and the rows below it, regardless of the Row Shift Lock/Unlock setting.

Shift + Alt + éê

Super Shift 2D Text Window/2D Text Template row(s) up/down in 10-scanline increments (see above).

Ctrl + L

Row Shift Unlock: When a row of 2D Text Window text is shifted using the (Alt + éê or Shift + Alt + éê functions, only the selected row selected shifts. This is known as Unlocked Mode. The rows beneath the shifted row are not affected.

Row Shift Lock: Locked Mode enables the row and the rows below it to shift as a block.

2D Text Template rows are always in Locked Mode, regardless of the Row Shift Lock/Unlock setting.

Alt + çè

Shift 2D Text Window or 2D Text Template Row Left/Right.

Shift + ALT + çè

Super Shift 2D Text Window/2D Text Template row left/right in 10-pixel increments (see above).

Shift Page Operations

Alt + F2

Center Page: Centers entire Lyric screen.

Ctrl + Alt + éêçè

Shift page up/down/left/right: Shifts entire Lyric screen up/down/left/right.

Shift + Ctrl + Alt + éêçè

Super shift page up/down/left/right: Shifts entire Lyric screen up/down/left/right in 10-scanline/pixel increments.

2D Text Squeeze/Expand Functions

Ctrl + 4 on numeric keypad

Word Squeeze:

  • 2D Text Windows: Draws together the word on which the cursor is positioned, or on selected text, reducing the space (kerning) between the characters. The leftmost character in the word stays stationary.

  • 2D Text Templates: Draws together the word on which the cursor is positioned, as well as any words on the same row to the right of the cursor position, reducing the space (kerning) between the characters. The leftmost character in the word stays stationary.

This operation can also be accessed from 2D Text/Template Context (right-click Menu > Squeeze/Expand.

Ctrl + 6 on numeric keypad

Word Expand:

  • 2D Text Windows: Expands word on which the cursor is positioned, or selected text, out towards the right, expanding the space (kerning) between the characters. The leftmost character in the word stays stationary.

  • 2D Text Templates: Expands word on which the cursor is positioned, as well as any words on the same row to the right of the cursor position, out towards the right, expanding the space (kerning) between the characters. The leftmost character in the word stays stationary.

This operation can also be accessed from 2D Text/Template Context (right-click Menu > Squeeze/Expand.

Ctrl + 8 on numeric keypad

Row Squeeze (2D Text Windows/2D Text Templates): Draws rows below the row on which the cursor is positioned (cursor row) up, towards the cursor row, reducing the space between the rows. The row on which the cursor is positioned remains stationary.

This operation can also be accessed from 2D Text/Template Context (right-click Menu > Squeeze/Expand.

Ctrl + 2 on numeric keypad

Row Expand (2D Text Windows/2D Text Templates): Pushes rows below the row on which the cursor is positioned (cursor row) down, away from the cursor row, expanding the space between the rows. The on which the cursor is positioned remains stationary.

This operation can also be accessed from 2D Text/Template Context (right-click Menu > Squeeze/Expand.

2D Text Record Options

LYRIC MESSAGE FILES - RECORD 2D TEXT

Chyron Keyboard Keystroke(s)

PC Keystroke(s)

Description

The Message ID Number can be entered before any of the following commands to specify a message other than that which is currently displayed.

Selective Recording - 2D Text: Ctrl + Record displays the Record Only: dialog box, which enables the recording of specific 2D Text elements of a Lyric composition. A message recorded in this manner can be read into a 2D Text/Roll/Crawl/Type On Window of another message as a Pop-On message, which replaces text in the message into which it is read. All messages are recorded in the *.lyr format to the Default Message Directory.

Note that the Ctrl + Alt + Record (Chyron keyboard) and Ctrl + Alt + Minus key (-) on the numeric keypad (PC keyboard) combinations can be used to overwrite the currently loaded message.

Ctrl + Record T Enter

Ctrl + Minus key T Enter

Records All Text in selected 2D Text Window.

Ctrl + Record E Enter

Ctrl + Record E Enter

Records Cursor to End of text in selected 2D Text Window.

Ctrl + Record R Enter

Ctrl + Record R Enter

Records Current Row of text in selected 2D Text Window.

Ctrl + Record D Enter

Ctrl + Record D Enter

Records Template Description Message.


Hardware Configuration - Main Menu

Config Menu > Hardware
eFX Boards

Hardware Configuration is the setup facility for Frame Buffer boards. When Hardware Configuration is selected from the Config menu, a set of configuration tabs is displayed for the system on which Lyric is installed.

To access these settings:

  • Select Hardware from the Config menu. The Hardware Configuration dialog box is displayed. By default, the Configure Board Use tab is displayed first.

Hardware Configuration dialog box with eFX boards installed in the system

There are four tabs, plus one optional tab, which contain configuration settings. Most of these tabs will vary with the presence of eFX frame buffer boards or Lantern-type frame buffer boards.

  • Configure Board Use: Specifies how boards are used.

  • Setup Board Configuration: Specifies parameters such as Video Output Standard, Genlock, etc. for the selected board.

  • Device Control: For specialized installations of this facility, contact Chyron Customer Service at 888-424-9766.

  • Setup GPI: Specifies how the GPI assignments are set up.

  • Timecode: Specifies Timecode source and other parameters.

CODI-type Frame Buffer Boards and PCI-Squeezeback Boards

Where CODI-type Frame Buffer Boards and/or PCI-Squeezeback Boards are present in your system, the Configure Board Use tab will look something like this:

Hardware Configuration dialog box with 2 CODI boards and a PCI Squeezeback board installed in the system

As with eFX board-equipped systems, the Setup Board Configuration menu will display appropriate options (Video Output Standard, Genlock, etc.) for configuring the installed hardware.


Hardware Configuration - Configure Board Use

Hardware Configuration: Configure Board Use

This Online Help topic also documents the Program Preview Feature; see below.
Config Menu > Hardware > Configure Board Use

The Configure Board Use tab controls the routing of the system's frame buffer boards. To access these settings:

  • Select Hardware from the Config menu. The Hardware Configuration > Configure Board Use tab (shown below) is displayed. It indicates that there are three boards in the system.

Hardware Configuration; Configure Board Use dialog box

Each of the boards in the systems can be assigned as Unused, to Air, to Preview or Linked.

Parameter

Description

Unused

The Unused radio button inactivates the board for use by Lyric. In this manner, the board can be made for other applications running on your system.

NOTES

The Unused setting is supported for making a frame buffer board available to other programs, such as CAL. However, the user should be aware that Lyric and CAL may compete for system resources outside of the frame buffer boards. This may have an adverse effect on system performance. Configurations of this nature should be tested before Air/Production.

Designating a frame buffer board as "Unused" and later returning it to use with Lyric (designating it "Air" or "Preview") will likely change that board's Frame Buffer number. In this situation, CHECK THE SYSTEM'S OUTPUTS to verify the Frame Buffer number of each board's output.

When a frame buffer board is active (its numbered "FB" button on the Frame Buffer Toolbar is illuminated), that board cannot be designated "Unused".

Air Channel

Air Channel designates the board as the main output to your facility’s production or Master Control switcher. Where multiple Lantern boards and/or PCI-Squeezeback boards are installed in the system, any or all of the boards may be designated as Air Channel.

For systems with multiple boards, see Analog and Digital Genlock for Genlock information.

Preview Channel

Preview Channel holds the message that is next in line in a Read Next or Read Previous operation. For additional information, refer to Read Next/Read Previous operations.

Program/Preview Feature

Note that this feature is available only on systems using eFX-type Frame Buffers.

The Program Preview facility offers a Preview signal which originates from a frame buffer device within the Chyron system. Users may thus preview upcoming Lyric messages and all their components in a fully functional state, including eFX Clips and Transition effects. (This capability exceeds that of viewing the Lyric Canvas on a VGA monitor or using Lyric's Clone Canvas Window function. These preview options offer limited functionality insofar as they only display the system video card's output, which cannot display output hardware-dependent message features.)

To use Program/Preview, one Frame Buffer must be designated Air, and the other Frame Buffer designated Preview. Note that designating a Frame Buffer "Preview" makes it unavailable for editing and playout of its own content.

  • To use the Program/Preview feature, set Air and Preview frame buffer designations as seen above. This will leave one frame buffer showing as available on the Frame Buffer Toolbar [image].

(Where more than two frame buffers are available to Lyric, only the frame buffers involved in this Program/Preview arrangement will appear as above, with the Preview-designated frame buffer grayed out. Other frame buffers available to Lyric will continue to be displayed as usable on the Frame Buffer Toolbar: .)

  • Messages to be previewed and readied for air in this fashion should be read up by Read or Read Next operations. The message appears simultaneously on the Canvas and the output channel designated Preview. The key combinations below may then be used for preview and playout operations.

Key Combinations:

  • CTRL + PLAY plays to AIR CHANNEL-designated Frame Buffer #1

  • SHIFT + TRANSFER updates the PREVIEW CHANNEL-designated Frame Buffer #2 and the Canvas as seen on the system's VGA monitor

  • CTRL + SHIFT + PLAY plays to PREVIEW CHANNEL-designated Frame Buffer #2.

Note:

The setting AutoPlay On Read (Config>Preferences>Animation Settings) is especially inappropriate for use with the Program/Preview feature. Messages read up with this setting in place will play automatically to Output, rendering this enhanced Preview capability (or any type of preview) irrelevant.

Refer to Hardware Configuration - Setup Board Configuration for examples of commonly used configurations.


Hardware Configuration - Setup Board Configuration

Hardware Configuration: Setup Board Configuration

Config Menu > Hardware > Setup Board Configuration

Overview

In the Setup Board Configuration tab (see below), each board can be independently set for a variety of parameters such as Genlock source and Key/Video signal characteristics. Depending on the type of board that is selected, some parameters may be unavailable (grayed out).

Setup Board Configuration; eFX boards shown

Setup Board Configuration; Lantern 64 boards shown

Setup Board Configuration Parameters

Parameters and Board Types

The following table provides a breakdown of the parameters that are available to each type of board.

Parameter | eFX Board | Lantern 32/64 | Lantern 64-A | PCI-Squeezeback
Video Output Standard | See Below | See Below | See Below | See Below
NTSC | Yes | Yes | Yes | Yes
PAL | Yes | Yes | No | Yes
HD:1080i | Yes (30, 29.97, 25 fps) | No | No | No
HD:1080psf | Yes (24, 23.98 fps) | No | No | No
HD: 720p | Yes (60, 59.94, 50 fps) | No | No | No
Genlock | See Below | See Below | See Below | See Below
Ref In (Analog) | Yes | Yes | Yes | Yes
Video In (Digital) | Yes | Yes | No | Yes
Video In (Analog) | No | No | Yes | No
Free Run | Yes | No | Yes | No
HD Trilevel | Yes | No | No | No
Auto | No | No | Yes | No
Video In Layer | Yes | Yes | No | No
Shape Video In | Yes | Yes | Yes | No
Key Input | Yes | Yes | Yes | No
Ancillary Data Pass Thru | Yes | Yes | No | Yes
Ancillary Reset Line | Yes | Yes | No | Yes
Vertical Video Adjust | Yes | Yes | No | Yes
Horizontal Video Adjust | Yes | Yes | No | Yes
Color Phase | Yes | No | Yes | No
Invert (PAL) -PAL Systems Only | No | No | Yes | No

Selected Board

The Selected Board area lists the available boards by Type and Version. eFX indicates an SD/HD-switchable eFX frame buffer board; L64 indicates a Lantern 64 digital board; L64-A indicates a Lantern 64 analog board, L32 (not shown) indicates a Lantern 32 digital board, and SQZ indicates a PCI-Squeezeback digital board. The Version refers to the version of the *.out file, which is the real-time operating system that runs on the board. This file is found in the Lyric installation directory, and can have a name such as DuetLE64.out, DuetLE64A.out, DuetLE.out or pcCODISqzLE.out.

When the radio button for a board is selected, the parameters for the selected board are displayed and can be modified.

Video Output Standard

Available on All Boards

From the Video Output Standard drop-down list box, NTSC or PAL or several HD standards can be selected. The availability of HD output options on eFX boards may vary with the particulars of your Lyric license.

Genlock (dropdown menu), Auto (checkbox)

Available on All Boards

Genlock can be set as follows:

  • Ref In (Analog) - eFX, Lantern 32/64, PCI-Squeezeback: Genlock is supplied by an external analog Genlock reference.

  • Ref In (Analog) - Lantern 64-A: Genlock is supplied by an external analog Genlock reference. If Auto is enabled (checked), and then the external reference is removed, the board automatically switches to an internally generated Free Run Genlock only if Auto is enabled (checked).

  • Video In (Digital) - eFX, Lantern 32/64, PCI-Squeezeback: Genlock is supplied from a digital video input. Note that on a PCI-Squeezeback board, the digital video signal to be used as the Genlock signal is fed through the BACKGROUND IN connector. See Genlocking PCI-Squeezeback Boards for additional information.

  • Video In (Analog) - Lantern 64-A: Genlock is supplied by an analog video input. If Auto is enabled, and then the external reference is removed, the board automatically switches to an internally generated Free Run Genlock only if Auto is enabled (checked).

  • Free Run - eFX, Lantern 64-A: Genlock is internally generated.

  • HD Trilevel - Analog; Genlock provided to the system in the form of a 600mV signal, usually your facility's 'House' sync signal.

Video In Layer

Available on eFX, Lantern 32/64, Lantern 64-A*, PCI-Squeezeback

In the Video Layer radio button group:

  • Select On to keep the program Video Layer on.

  • Select Off to generate a black background.

NOTE

On a PCI-Squeezeback board, Video layer display ON/OFF and display priority are controllable from the Squeezeback Panel dialog boxes (ON and A Over B, B Over A) or the Squeezeback Designer (START/END) dialog box (Video A/B Mixer). The Configuration Video Layer In setting is ignored by the PCI-Squeezeback board settings.

Note that if Video In Layer is set to Off on a PCI-Squeezeback board, and then turned On in the Squeezeback Panel, the Video In Layer retains its Off setting in operations outside of the current Squeezeback message, and vice versa.

Shape Video In

Available on eFX, Lantern 32/64, Lantern 64-A

In the Shape Video In radio button group:

  • Select On to attenuate Input Video to the Key signal, so that color components do not exceed the key level.

  • Select Off to leave the signal unattenuated.

Key Input

Available on eFX, Lantern 32/64, Lantern 64-A

In the Key In radio button group:

  • Select On to enable the board to use the video input’s accompanying alpha signal when Key In is supplied from a cable connected to the board. Key In must be set to On when the board is used in conjunction with a CMix SD/HD.

  • Select Off to set the board to ignore the alpha information. Note that if a signal is present and Key In turned off, the system behaves as if a full white background is present at the Key Input.

Ancillary Data Pass Thru, Ancillary Reset Line

Available on eFX, Lantern 32/64, Lantern 64-A**, PCI-Squeezeback

When Ancillary Data Pass Thru is enabled, all ancillary data, including Closed Captioning, passes through the Keyer unaffected. This means that no video from the frame buffer device is inserted into the first displayed scanline of each field, in order to preserve the Closed Captioning or other ancillary data. The Ancillary Reset Line, also known as the Blank Line or Vertical Reset, is normally Line 10 or NTSC, and Line 6 for PAL. A different line, however, can be selected for nonstandard video formats.

In the Ancillary Data radio button group:

  • Select On to pass through ancillary data carried on the Video In blanking interval and insert it into the Video Out blanking interval.

  • Select Off to ignore ancillary data. Additionally, select Off if Ancillary Data is not in the video stream.

Ancillary Reset Line Range: 6 - 12

Vertical Video Adjust, Horizontal Video Adjust

Available on eFX, Lantern 32/64, Lantern 64-A***, PCI-Squeezeback

Vertical Video Adjust and Horizontal Video Adjust set the Vertical and Horizontal delays with respect to an incoming video reference in order to synchronize the outputs of multiple frame buffer devics and PCI-Squeezeback boards.

  • To set Vertical Video Adjust and Horizontal Video Adjust settings, click the up or down arrow in the respective spin control box.

Vertical Video Adjust Range: 0 - 7

Horizontal Video Adjust Range: -511 - +511

***Vertical and Horizontal Video settings cannot be delayed on a Lantern 64-A board.

Color Phase

Available on Lantern 64-A

Subcarrier (S/C-PHASE) or color phase adjustment is required to match the color phase of the Lantern 64-A signal to that of the incoming video signal. As viewed on a vector scope, adjusting the subcarrier phase rotates the encoded Lantern-64 color vectors about a 360° circle so that the color vectors match the color phase of the video input signal.

Color Phase Range: 0 - 255 (corresponds to HSB/HSV values)

Invert (PAL)

Available on Lantern 64-A

PAL Systems Only: If the color is 180° out of phase, select (check) Invert (PAL) to correct the color. To make a finer color adjustment, modify the Color Phase setting. Note that it may be necessary to reselect Invert (PAL) each time the system is restarted.

Other Hardware Configuration Settings (via Config menu > Hardware)

Configure Board Use

Device Control

Setup GPI

  • Lantern/CODI boards

  • PCI boards

Timecode


Device Control

(Hardware Configuration Menu)

The RS-422 Serial I/O board that first appeared in Duet SD and HD systems is rarely found in systems that run Lyric PRO and Lyric versions 6.1 and later. Contact Chyron Customer Service at 631-845-2132 for more information.

Other Hardware Configuration Settings (via Config menu > Hardware)

Configure Board Use

Setup Board Configuration

Setup GPI

  • Lantern/CODI boards

  • PCI boards

Timecode


Hardware Configuration - Setup GPI on PCI board

Hardware Configuration - Setup GPI; PCI Board

NOTE

The hardware discussed herein may require installation of driver software outside of Lyric.
See Installation Instructions for PCI GPI I/O Board for more information.

Config Menu > Hardware > Setup GPI

This material pertains to the PCI board used in some Chyron systems.

The GPI PCI board can be added to HyperX, LEX, HX200 and MicroX HD-SD systems. The device provides as many as 24 GPI (General Purpose Interface) connections.

See also the discussion of the GPI facility on Lantern 64/"CODI" boards.

Lyric can control or be controlled by external devices such as tape machines, digital disk recorders (DDRs) and switchers by using GPIs (General Purpose Interface triggers). Such control inputs to your Chyron system from external sources can start and stop Clocks and Timers, execute an individual step within a Lyric Playlist or release a programmed Pause. In addition, GPI control outputs can be used to trigger external devices such as keyers and tally lights.

To perform GPI setup:

  • From the Configuration menu, select Hardware, then click the Setup GPI tab.

Setup GPI. Top: Bank 1's settable properties, Direction and Pulse Width. Bottom: Selecting a pin on Bank 1

The following parameters should be set to enable GPI capability:

Parameter

Description

GPI

Use this field to designate the Bank of GPIs, and the specific, individual GPI you wish to set up. Each Bank of GPIs on the optional hardware provides up to 9 pins, and hence, up to 9 GPIs.

The available GPIs are numbered continuously. In other words, the 9 GPIs (9 pins) on Bank 1 are numbered 1 - 9; the GPIs on Bank 2 are numbered 10 - 17, and so on.

From Board

One or more boards that offer GPI connections may be installed in your system. The From Board indicator distinguishes between boards when more than one is present. For instance, multiple Lantern-type boards, or in rare instances, a Lantern-type board and a Generic GPI board may be present.

When a Lantern-type board and a Generic GPI device are installed, the Lantern board will always appear first; see GPIO Number for an explanation of how the GPIs in multiple boards are designated.

GPIO Number

Where more than one board providing GPIs is present, this item indicates which one of the available GPIs on a given board is being configured. This display numbers GPIs beginning with the first one listed (see above) and continuing through the GPIs on successive boards.

Hence, the GPIs originating from a Lantern-type board are designated 1 - 16. The GPIs provided by a Generic GPI board are designated 1 - 9 on Banks 1 & 2, 18 - 21 on Bank 3 and 22 - 24 on Bank 4. The distinction between boards is made above in the From Board display.

Direction

The Direction setting determines whether the designated port is to receive the incoming pulse (INPUT) or send an outgoing pulse (OUTPUT).

Output Pulse Width (ms)

Pulse Width defines the minimum duration of the GPI pulse in milliseconds. This should be set to ignore a short accidental contact with a physical GPI button or a slight signal anomaly which could unintentionally trigger the GPI.

NOTE THAT ON GENERIC GPI BOARDS, THE DIRECTION AND PULSE WIDTH ARE SET FOR EACH BANK OF GPIs; THESE PROPERTIES CANNOT BE SET FOR EACH INDIVIDUAL GPI.

Description

This indicator appears when a specific GPI is selected A descriptive name may be entered in this field. If no text is entered by the user, the GPI number populates the field by default.

Current Assignment

This (non-editable) field displays a detailed description of the action associated with the selected GPI.

Test

Click this button verify that the GPI is working. See below.

After setting GPI parameters, click OK, then exit and relaunch Lyric.

Testing a GPI

To test a GPI, click the [image] button situated under the Current Assignment field. The Waiting for GPIO dialog appears:

This example shows an input GPI being tested. In this case, Switch #1 on a Chyron KwiKeys device has been set up to trigger the action "Playlist Line Up". The test that can be performed from this menu, however, concerns only the hardware (the input device, the port and the Generic GPIO device). If the test is successful, the Waiting for GPIO dialog will disappear. Otherwise, the dialog can be dismissed by clicking the OK button.

NOTE

When a GPI assigned to a specific event, such as to trigger a Playlist step or trigger a Squeezeback Effect, make sure that the same GPI is not also assigned as a Global GPI, as there may be a conflict when the GPI or Global GPI is triggered. Refer to GPIs and Global GPIs for additional information. Refer to Chapter 6 - GPIs and Global GPIs for additional information.

GPI Pinouts

Seen here is a pinout diagram of the GPI PCI board's connector. As seen below, pins 11, 13, 15, 17, 19 and 21 serve as Ground. GPIs are triggered by shorting the appropriate pin(s) to Ground, using a momentary switch.

GPIs - Related Topics

Other Hardware Configuration Settings (via Config menu > Hardware)

Configure Board Use

Setup Board Configuration

Device Control

Setup GPI: Lantern/CODI boards

Timecode


Hardware Configuration - Setup GPI Lantern/CODI

Setup GPI - CODI-type Boards

This material pertains to the GPI facility on Chyron's CODI boards. The hardware discussed herein requires installation of driver software outside of Lyric. See Driver and Plugin Installation for more information.
Config Menu > Hardware > Setup GPI

Lyric can control or be controlled by external devices such as playout machines and switchers via GPIs (General Purpose Interface triggers). Such control inputs to the Chyron system from external sources can start and stop Clocks and Timers, execute an individual step within a Lyric Playlist or release a programmed Pause. In addition, GPI control outputs from the system can be used to trigger external devices such as keyers and tally lights.

Each CODI-type frame buffer board includes a facility for 16 GPI (General Purpose Interface) connections.

NOTES

The Setup GPI facility is not available on PCI-Squeezeback boards. However, GPIs set up from other boards can be used to trigger Squeezeback effects. Additionally, the SQZ Kwik Tool must be enabled in order for GPIs to trigger Squeezeback effects. See Enable Squeezeback Kwik Tool for additional information on the SQZ Kwik Tool. See Effect Activation Buttons - GPI Controls for additional information on GPIs and Squeezeback.

To perform GPI setup:

  • From the Configuration menu, select Hardware and click the Setup GPI tab.

Setup GPI

The following parameters should be set to enable GPI capability:

Parameter | Description
GPI | Use this dropdown to designate which GPI you wish to set up. Each installed CODI-type frame buffer boards furnishes the system with 16 GPIs. When more than one CODI board is installed, this dropdown numbers all of the available GPIs continuously. In other words, the GPIs originating from Board #1 appear here numbered 1 - 16; the GPIs originating from a second board would be numbered 17 - 32, and so on. This method of numbering the GPIs differs from that used in the From Board and GPIO Number display fields (see below). Use the up or down arrows in the dropdown to select the GPI being set.
From Board | Where more than one CODI board is present, this item indicates which board is originating the GPI presently selected. With only one board present, the display defaults to "1".
GPIO Number | Where more than one CODI board is present, this item indicates which one of the sixteen available GPIs on a given board is being configured. This display numbers the GPIs per board. In other words,the GPIs originating from any board are designated 1 - 16, with the distinction between boards being made above in the From Board display.
Description | A descriptive name may be entered in this field, as seen above. If no text is entered by the user, the GPI number populates the field by default.
Direction | The Direction setting determines whether the designated port is to receive the incoming pulse (INPUT) or send an outgoing pulse (OUTPUT).
Pulse Width (ms) | Pulse Width defines the minimum duration of the GPI pulse in milliseconds. This should be set to ignore a short accidental contact with a physical GPI button or a slight signal anomaly which could unintentionally trigger the GPI.
Current Assignment | This (non-editable) field displays a detailed description of the action associated with the selected GPI.
Test | Click this button to verify that the GPI is working. See below.

After setting GPI parameters, click OK, then exit and relaunch Lyric.

Testing a GPI

To test a GPI, click the [image] button situated under the Current Assignment field. The Waiting for GPIO dialog appears:

This example shows an input GPI being tested. In this case, Switch #1 on a Chyron KwiKeys device has been set up to trigger the action "Playlist Line Up". The test that can be performed from this menu, however, concerns only the hardware (the input device, the port and the GPIO facility on the CODI board). If the test is successful, the Waiting for GPIO dialog will disappear. Otherwise, the dialog can be dismissed by clicking the OK button.

NOTE

When a GPI assigned to a specific event, such as to trigger a Playlist step or trigger a Squeezeback Effect, make sure that the same GPI is not also assigned as a Global GPI, as there may be a conflict when the GPI or Global GPI is triggered. Refer to GPIs and Global GPIs for additional information.

GPI Pinouts

Seen here is a pinout diagram of the GPIO connector that appears in systems outfitted with . As seen below, pins 12, 13 and 25 serve as Ground. GPIs are triggered by shorting the appropriate pin(s) to Ground, using a momentary switch.

GPIs - Related Topics

Other Hardware Configuration Settings (via Config menu > Hardware)

Configure Board Use

Setup Board Configuration

Device Control

Setup GPI: PCI boards

Timecode


Hardware Configuration - Timecode

Hardware Configuration - Timecode Configuration

Config Menu > Hardware > Timecode

Timecode parameters can now be set for all systems in the Config Menu > Hardware > Timecode tab, as shown below.

Time Code Configuration

System Timecode is set either internally or via an externally generated signal.

Internal: Internal Timecode is synchronized with the Windows time clock. To update the synchronization between the system's Timecode facility and the Windows clock, click Sync.

External: Externally generated timecode (either Drop Frame or Non-Drop Frame) is fed to the Chyron system. Check or uncheck (deselect) the Drop Frame checkbox as appropriate.

An optional PCI-LTC board from Adrienne Electronics must be installed to enable external timecode sync. Connect the external timecode generator to the LTC IN three-pin mini-XLR jack on the PCI-LTC board. Contact Chyron Customer Service at 631-845-2000 for information on obtaining the PCI-LTC board.

Other Hardware Configuration Settings (via Config menu > Hardware)

Configure Board Use

Setup Board Configuration

Device Control

Setup GPI

  • Lantern/CODI boards

  • PCI boards


CODI Board/Squeezeback Board/Internal Clip Player Cabling Options

Cabling Options

Introduction

Different production requirements may be accommodated by connecting your system's Frame Buffer boards, Squeezeback Boards and Matrox-type Internal Clip Players in different orders.

Three different cabling configurations are presented, each producing differing visual display priorities.

Frame Buffer Board and Internal Clip Player

This configuration can reproduce character generator text over a keyed clip background. In this configuration, the Chyron system is placed upstream of the switcher. There is no Program In; Video Out and Key Out are fed to the switcher. An analog Genlock signal is fed to the Internal Clip Player's gray color-coded Ref In connector. The Genlock signal is then looped from the Internal Clip Player's black color-coded Ref Loop Out connector on the VPB.

Image: Duet with Internal Clip Player and One VPB

Frame Buffer board and Internal Clip Player

Frame Buffer Board, PCI-Squeezeback and Internal Clip Player - Clip as Background Video

This configuration can place Program video and a video clip in two separate, “squeezable” windows, over full-screen CG text and a Background. In this configuration, the Chyron system is placed downstream of the switcher. An analog Genlock signal is fed to the Internal Clip Player's gray color-coded Ref In connector. The Genlock signal is then looped from the Internal Clip Player's black color-coded Ref Loop Out connector to the Ref In connector on the Frame Buffer board. This configuration also requires that the 3 x 2 box header on top of the Frame Buffer board be connected by an internal analog sync jumper cable to the 3 x 2 box header on top of the PCI Squeezeback Board.

Frame Buffer Board, PCI-Squeezeback and Internal Clip Player - Clip Appears as Background Video

Frame Buffer Board, PCI-Squeezeback and Internal Clip Player - Clip in Squeezeback Window

This configuration can place CG text over Squeezeback-treated Program video, and both over a full-screen clip Background. In this configuration, the Chyron system is placed downstream of the switcher. An analog Genlock signal is fed to the Internal Clip Player's gray color-coded Ref In connector. The Genlock signal is then looped from the Internal Clip Player black color-coded Ref Loop Out connector to the Ref In connector on the VPB. This configuration also requires that the 3 x 2 box header on top of the VPB be connected by an internal analog sync jumper cable to the 3 x 2 box header on top of the PCI Squeezeback Board.

Frame Buffer Board, PCI-Squeezeback and Internal Clip Player - Clip Appears in Squeezeback Window


Configuration for Display of Video Source - Duet LE/LEX/PCI/PCI+

Configuration for Display of Video Source

Config Menu > Hardware > Setup Board Configuration

Video from a variety of sources can be incorporated as part of a Lyric composition. Lyric provides creative tools for displaying video, including Masks, Video Squeezeback, and application of video to 3D surfaces.

Video can be displayed as a continuous live or prerecorded source. In this situation, the video is not a component of the Lyric composition itself, in that it is not an object that can be manipulated through Lyric. It is a straight video display, with no set beginning or end controlled through Lyric.

Video can also be displayed as a clip, where playback parameters are controlled either directly from Lyric's Clip Control Panel, or where the playback parameters are set up from the Clip Control Panel, but the clip itself is an object in a Lyric animation and is played back as part of the Lyric animation. The Clip Control Panel provides the ability to play back video or audio clips files (*.ccf). Lyric does not perform actual edits on the recorded content of the source material. The Clip File contains the In and Out point information that defines the duration of the clip for playback, however, the source video/audio remains unchanged. In order to play back the video/audio, the original material and the playback device must be available. Clip files can be created from sources such as an External VTR or DDR (Digital Disk Recorder), a Chyron Aprisa DDR, an Internal Clip Player, or A udio files processed through audio hardware in your Chyron system.

Playback from a video source is routed through a frame buffer board’s internal keyer. The video is not visible on the Lyric Canvas as seen on the system's SVGA monitor. Rather, the clip is keyed behind the Lyric composition and is visible on the output monitor.


Optional Hardware Overview

A wide variety of optional internal and external optional hardware can augment the scope and flexibility of Chyron systems. These include:

  • Chyron Keyboard: While a PC keyboard can run Lyric on a Chyron system, the Chyron keyboard provides dedicated keys for quickly executing various operations. The Chyron keyboard is covered later in this chapter.

  • PCI-Squeezeback Board: The internal PCI-Squeezeback board adds animated video effect creation capability, including resizeable, animatable video regions which display input video.

  • CMix: A 1RUrack-mount device providing two output channels, each displaying an independent mix of up to 4 Video/Key input layers over an optional Program video input layer, which mix to one Video/Key output. CMix is connected to a host machine via the Universal Serial Bus (USB). CMix may be used to expand the mixing capabilities of Chyron systems, conventional PCs equipped with broadcast-quality video sources, or for use as a standalone router/switcher.

  • KwiKeys GPI/O Trigger Device - All Systems: KwiKeys provides an easy method of executing GPI-triggered events.

  • ReCall Keys: ReCall Keys provides a means for the Lyric operator to quickly call up Lyric messages, play animations and manipulate Air/Program outputs. ReCall Keys can be connected to a Chyron system or a PC running Lyric, and communicates with the system via the RS-232 protocol.


Chyron keyboard

The Chyron keyboard is custom-designed for use with systems running Lyric software. However, a PC keyboard may be used. Refer to Keyboard/Mouse Shortcuts for a comprehensive list of keystrokes usable for all Lyric functions on a standard PC keyboard.

The Chyron keyboard may be located up to six feet from the system chassis using the supplied cables. For longer connections, Chyron recommends the use of a Keyboard/Video/Mouse Extender, which also facilitates placement of a monitor at the remote keyboard location. Contact Chyron Customer Service for information on recommended Keyboard/Video/Mouse Extenders.

Keyboard Layout

The Chyron keyboard goes beyond PC keyboards in easy definition and use of hotkeys. These hotkeys, labeled F1 - F10, double as conventional PC function keys, but are grouped together at the left side of the keyboard for quick access. The large number of hotkeys and other special keys minimizes the need to use a mouse in critical Air/production environments. The layout of the Chyron keyboard is similar to that of Chyron's industry-standard iNFiNiT!® keyboard.

An Important Note: The Fn Key

Some standard Windows functions and a few Lyric functions are executed via key combinations that include the Fn key (the Fn key is also sometimes referred to as the "Meta key"). To execute such functions, press and hold the Fn key (located between the character ? key and the Shift key), while pressing the key whose front surface is labeled with the alternate function name.

For example, take note of Lyric's Del Row key. Normally, this key performs the same function as the Delete Row item under Lyric's Edit menu. The front surface of the keycap is labeled "Ins" in red. When the Fn key is pressed and held, the key toggles between Insert and Overwrite. The distinction between Insert and Overwrite modes occurs in Lyric and many standard Windows programs, such as Microsoft Word.

Chyron keyboard

The Numeric Keypad

The numeric keypad is a set of number and other character keys, which is located at the right of the Chyron keyboard or a standard PC keyboard. It is used to enter numbers, as well as perform a number of Lyric and other specialized functions. It is conventionally used to enter Message ID Numbers for Read, Read Next, Read Previous, Record and Delete operations, but can also be used to type numbers on the Canvas or enter numbers in data fields in dialog boxes. Note that in order for the numeric keypad keys to type numbers, Num Lock must be enabled. To enable/disable Num Lock:

  • Press the Num Lock key at the top left corner of the numeric keypad. When Num Lock is enabled, NUM appears in black type the Lyric Status Bar. When Num Lock is disabled, NUM is grayed out.

The numeric keypad can operate in two modes:

  • Message Number Entry, where the numeric keypad can only enter Message Numbers. When entering a Message Number, cursor focus can be at any location in the Lyric interface.

  • Alphanumeric, where the numeric keypad can be used to enter Message Numbers, type numbers on the Canvas and enter numbers in data fields in dialog boxes. To enter a Message Number, focus must be returned to the Canvas.

Refer to Windows Preferences for details on setting Numeric Entry Mode.

Numeric Keypad

A number of the Numeric Keypad keys perform the same operations available on a PC keyboard Address Keys. The fronts of these keys are labeled with the names of these functions.

Keycap | Front of Key | How to Access Function
Ctrl | Num Lock | Fn + Ctrl
Xfer | / | Outside of Lyric, this key functions as a division key.
Change | * | Outside of Lyric, this key functions as a multiplication key.
Swap | - | Outside of Lyric, this key functions as a minus key.
Read Next | + | Fn + Read Next
Read | Enter | Fn + Read
Clear | Del | Outside of Lyric, this key functions as a Del key.

Reset Chyron keyboard

Config Menu > Reset Chyron keyboard

Reset Chyron keyboard releases any keys that the system interprets as being engaged.

Keyboard Map

The Chyron keyboard Map shows the ASCII codes for the key combinations for each keycap on the Chyron keyboard. For example, the codes for the keycap A are as follows:

a = 97 A = 65 a = 97 • = 149 – = 150

Chyron keyboard Map


GPI Overview

Config Menu > Hardware > Setup GPI

A GPI, or General Purpose Interface, provides Lyric with the ability to transmit and receive triggers for internal and external events. GPI triggers can be executed from your Chyron system to Lyric, from the system to external devices, or from external devices such as Chyron KwiKeys or Master Control switchers, to your Chyron system.

A GPI can have a wide variety of uses, among them:

  • Triggering a Playlist event.

  • Triggering a Squeezeback Effect.

  • Releasing a Pause.

  • Stopping/starting a Clock or Timer.

  • Turning on and off a tally light.

A Global GPI can also be set to allow an incoming GPI pulse to read any type Lyric file using the extension *.lyr. Message types saved with this extension include conventional Lyric files, as well as specialized Lyric messages such as CMix messages and Macro messages, etc.

NOTE

When a GPI is assigned to a specific event, such as triggering a Playlist step or Squeezeback Effect, make sure that the same GPI is not also assigned as a Global GPI, as there may be a conflict when the GPI or Global GPI is triggered. Refer to Global GPIs for additional information.

GPI Hardware Options

  • Click here for GPI Configuration information on MicroX (SD version), LX, LEX and HyperX systems with CODI/Lantern-type Frame Buffers. This topic will also serve for MicroX HD/SD, HX200 and HyperX HD/SD systems with a GPI option ordered before the release of Lyric 6.1 (late 2006).

  • Click here for GPI Configuration information on the PCI boards used in MicroX HD/SD, HX200 and HyperX HD/SD systems with a GPI option ordered after the release of Lyric 6.1 (late 2006).

  • Click here for information on the PCI Express boards used in HyperX2 systems to provide GPI capability.

GPIs - Related Topics


GPIs - Related Topics

Config Menu - GPIs Overview

GPI Configuration information on MicroX (SD version), LX, LEX and HyperX systems with CODI/Lantern-type Frame Buffers. Includes MicroX HD/SD, HX200 and HyperX HD/SD systems with a GPI option ordered before the release of Lyric 6.1 (late 2006).

GPI Configuration information on MicroX HD/SD, HX200 and HyperX HD/SD systems with a GPI option ordered after the release of Lyric 6.1 (late 2006).

GPI Configuration information on the PCI Express GPI solution offered with the release of Lyric 6.14 and later versions of the application.

T ransition Effects

E vents Properties

P layout Properties

Global GPI Configuration

Playlist

Clip Control Panel

Clocks/Timers

KwiKeys GPI/O Trigger Device


Global GPIs

Config Menu > Global GPIs

This facility allows an incoming GPI pulse to read any type Lyric file using the extension *.lyr. Message types saved with this extension include conventional Lyric files, as well as specialized Lyric messages such as CMix messages and Macro messages.

NOTE

After parameters are set, Lyric must be closed and relaunched in order to apply GPI settings.

  1. From Lyric’s Config menu, select Hardware, then the Setup GPI tab.

  2. Set up and allocate one of the available GPIs. Make sure that the GPI Allocated checkbox is selected (checked). If you wish, enter a Description. Make sure that the GPI that is assigned as a Global GPI is not already assigned to be used in another capacity (for example, in a Playlist or to trigger a Squeezeback effect), as there may be a conflict when the GPI or Global GPI is triggered. Refer to Hardware Configuration - Setup GPI Lantern/CODI for detailed GPI setup information.

  3. Click OK. The tab closes.

  4. Return to the Config menu and select Global GPIs to open the Configure Global GPIs dialog

. Image: Configuring Global GPIs

Configure Global GPIs Dialog Box

  5. Double-click the entry for the GPI that you allocated in Step 2. The Select File To Assign To GPI 1 dialog opens.

Selecting a File to Assign as a GPI

Selecting a File to Assign to GPI 1

Select the file that is to be opened by the incoming GPI pulse.

Image: GPI 1 Set as Global GPI

GPI 1 Set as Global GPI

The Configure Global GPIs dialog reappears as shown above. Note that the GPI assignment is labeled with the Description entered in Step 2. This user-defined description on the left is not to be confused with the actual filepath on the right-hand side of the entry.

  6. Click OK. The selected *.lyr file will now open when the GPI is triggered.

  7. If the Lyric file read by the GPI contains an animation, it is necessary to set playback parameters. From the Config menu, select Preferences, then the Animation Settings tab.

  8. To play the animation immediately when read, select (check) AutoPlay On Read and deselect (uncheck) Prompt to Play on Hardware. The animation plays when read, without Lyric generating a prompt confirming playback. To manually trigger playback, deselect (uncheck) AutoPlay On Read.

  9. Click OK to close Preferences.

  10. Exit Lyric, then relaunch Lyric to apply the Global GPI settings.

GPIs - Related Topics


KwiKeys GPI/O Trigger Device

Chyron’s KwiKeys GPI/O trigger device can send GPI triggers to the system to execute Playlist events, Squeezeback Effects, resume animations after Pauses, etc. KwiKeys consists of sixteen illuminated keys and connects, via an adapter (see below), to the GPI/O interface connector on the RS-422 Serial I/O & GPI/O Board in a Duet SD, or directly to the GPI/O interface connector on a CODI-type frame buffer in an LE/LEX/PCI/PCI+. It does not connect to a PCI-Squeezeback board, but, when properly configured, can trigger Squeezeback Effects. Refer to GPI Setup - LE/LEX/PCI/PCI+ and Effect Activation Button - GPI Control/SQZ Kwik Tool for details on Squeezeback Effect execution.

KwiKeys triggers only in an outbound direction to Duet; it does not receive triggers from Duet. Buttons 1 - 8 can connect to the eight GPIs that can be set up on one 422 Serial I/O & GPI/O Board in a Duet SD/HD. Buttons 1 - 16 can connect to the sixteen GPIs that can be set up on the VPB of a Duet LE/LEX/PCI/PCI+.

KwiKeys

For more connection information refer to the HyperX Hardware Reference Guide, Chyron Publication Number 2A02210. This document is available as a PDF online at http://www.chyron.com/support/downloads.aspx . To download the PDF, select "HyperX" under Products, select "Product Manuals" under Resource Type, and click "Related Files" under HyperX Documentation. Use the Download Here link under "HyperX Hardware Reference Guide".

For connection information pertaining to LX and LEX systems, refer to the LX/LEX Hardware Reference Guide, Chyron Publication Number 2A02242. This document is available as a PDF online at http://www.chyron.com/support/downloads.aspx . To download the PDF, select "LEX" under Products, select "Product Manuals" under Resource Type, and click "Related Files" under LEX Documentation. Use the Download Here link under "LEX, LX, LE Hardware Reference Guide".

GPIs - Related Topics


ReCall Keys

Overview

Chyron's ReCall Keys provides a means for the Lyric operator to quickly call up Lyric messages, play animations and manipulate Duet’s program outputs. The ReCall Keys can be connected to a Duet system or a PC running Lyric.

The ReCall Keys can be connected to either the COM 1 or COM 2 serial port of a Duet or a PC, and communicates with the system via the RS-232 protocol. The ReCall Keys (shown below) consists of an LCD (Liquid Crystal Display) and a keypad. Installation and Communications Setup (both for Windows® 2000 and Windows NT®) is described following the ReCall Keys Functions section.

Chyron ReCall Keys

ReCall Keys Functions

This photograph of the ReCall Keys has been modified so that the LCD appears more clearly.

The controls, starting at the upper left corner of the keypad, and going clockwise around the number keys, are as follows:

Function | Description
Menu | Menu functions are not currently implemented for use with Duet.
Image: Arrow Down | The Image: Arrow Down key is used with the Menu function. Menu functions are not currently implemented for use with Duet.
Xfer | Performs the same function as the Xfer button on the Lyric interface, sending the contents of the active Frame Buffer to Air.
Image: Up Arrow | The Image: Up Arrow key is used with the Menu function. Menu functions are not currently implemented for use with Duet.
Chng | Selects the next available Frame Buffer as the active Frame Buffer for editing or transfer to output. Order of availability is as follows: 1, 2, 3, 4, 1, 2 etc.
Do | Issues the Play command to Duet when a Lyric message containing an animation is loaded.
Erase | Clears the Canvas.
Read Prev | Prebuilds the message with the next lowest Message ID in a numeric sequence of messages.
Read Next | Prebuilds the message with the next highest Message ID in a numeric sequence of messages.
Read | Reads the message stored at the numerical address most recently entered on the keypad.
Insert | Performs the same function as the Live button on the Lyric interface, sending the contents of the active Frame Buffer to the Air output.
Clear | Deletes any keypad entry from the Recall Keyboard’s display.

Installation

NOTES

  • The maximum distance for a remote connection of the Recall Keyboard is 10 meters (approximately 32 feet). If it is necessary to exceed this maximum distance, a suitable RS-232 to RS-422 converter must be used.

  • The Power and Data cables are clamped together prior to shipment. This is done in order to avoid accidental removal of the power connector during operation. If the Power and Data cables are not clamped together, tie them together as shown in Figure 2 using a suitable cable tie. Cut and discard excess length of cable tie.

Image: ReCall Keys Components

ReCall Keys Components

To connect the ReCall Keys to a Duet or PC’s COM2 port:

  1. Make sure that power is not connected to the Duet or PC.

  2. Connect the female end of the Data Cable to the appropriate COM2 serial connector of the Duet or PC. Hand-tighten the connector.

  3. Connect the Power Cable to the power receptacle on the ReCall Keys.

  4. Connect the male end of the Data Cable to the corresponding connector on the Recall Keyboard. Hand-tighten the connector.

  5. Connect the ReCall Keys power supply to a suitable AC power source.

  6. After the ReCall Keys is connected, configure the Communications Setup. Procedures for Windows® 2000 and Windows NT® follow.

Communications Setup - Windows 2000, XP

  1. After the installation of the ReCall Keys, access Windows Start > Settings > Control Panel > System > Hardware > Device Manager > Ports (COM & LPT).

  2. Expand the Ports (COM & LPT) listing, then select Communications Port (Com 1) or Communications Port (Com 2). This example shows COM 2. The Communications Port (COM2) Properties dialog box is displayed.

  3. Select the Port Settings tab to display the settings.

    Image: Port Settings - Windows 2000

    COM2 Setup - Windows 2000

  4. Enter the following settings:  Baud Rate = 19200;
 Data Bits = 8;
 Parity = None;
 Stop Bits = 1;
 Flow Control = None.

  5. Move to the Lyric interface. From the Config menu, select Intelligent Interface. The Intelligent Interface dialog box is displayed.

    Image: Intelligent Interface ReCall Keys Setup

    ReCall Keys Setup - Windows® 2000

  6. In the Serial Port Enable area (unlabeled), select either Enable Serial Port 2 (or Enable Serial Port 1 if using Port 1) or Enable Both Ports.

  7. In the Recall Keys area, select (check) the Enable Recall Keys checkbox, and select the Com 2 (or Com 1 if using Com 1) radio button.

  8. Click OK. ReCall Keys setup is now complete.

Communications Setup - Windows NT

  1. After the installation of the ReCall Keys, access Windows Start > Settings > Control Panel > Ports. The Ports dialog box is displayed. Select Com 1 or Com 2. This example shows Com 2.

    Image: Port Settings

    ReCall Keys - Selecting a COM Port

  2. Click Settings. The Settings for COM2 (or COM1 if using COM1) dialog box is displayed.

    Recall Keys - Settings for COM2

    Recall Keys - Settings for COM2

  3. Perform the following settings:  Baud Rate = 19200;
 Data Bits = 8;
 Parity = None;
 Stop Bits = 1;
 Flow Control = None.

  4. Move to the Lyric interface. From the Config menu, select Intelligent Interface. The Intelligent Interface dialog box is displayed.

    Recall Keys Setup - Windows NT

    Recall Keys Setup - Windows NT®

  5. In the Serial Port Enable area (unlabeled), select either Enable Serial Port 2 (or Enable Serial Port 1 if using Port 1) or Enable Both Ports.

  6. In the Recall Keys area, select (check) the Enable Recall Keys checkbox, and select the Com 2 (or Com 1 if using Com 1) radio button.

  7. Click OK. ReCall Keys setup is now complete.


RS-422 Serial I/O & GPI/O Board

NOTE

The RS-422 Serial I/O board discussed below first appeared in Duet SD and HD systems. This device is VERY rarely found in systems that run Lyric PRO and 7 and later. Contact Chyron Customer Service at 888-4-CHYRON (888-424-9766) for more information.

Overview

Chyron systems are able to control external devices or receive triggers from external sources. With the installation Chyron's optional RS-422 Serial I/O Board, a system running Lyric, for example, could control playback on an external tape machine or DDR.

RS-422 enables control of external BVW-75-protocol and other devices such as VTRs, the Chyron Aprisa 200/250 DDR or other DDRs.

Current Chyron systems can accommodate up to four RS-422 Serial I/O Boards, and each individual board can control four RS-422 serial ports.

Installation

Some details of board installation may vary from what is described here. Consult Chyron Customer Service

  1. If installing multiple RS-422 Serial I/O Boards, set the DIP switches on the boards. Otherwise, this step is unnecessary. The procedure is described below.

  2. Install the GPI/O Driver. The procedure is described below.

  3. Configure Device Control in the Hardware menu, accessible from the Config menu.

Installing the RS-422 Serial I/O & GPI/O Board

IMPORTANT!!!

If more than one RS-422 Serial I/O & GPI/O Board is to be installed in the Duet system, it is strongly advised, that for ease of access and electrical safety, the DIP switches on the boards be set before installation. Refer to Dip Switch Settings for Multiple RS-422 Serial I/O & GPI/O Board Installation later in this section for details.

For information on the pinouts and cabling associated with the GPIO Board and the GPI Extension Bracket, contact Chyron Customer Service at 631-845-2132.

Two PCI slots are needed for installation of the RS-422 Serial I/O & GPI/O Board. Each RS-422 Serial I/O & GPI/O Board is installed in one of Duet’s eight PCI slots. The extension bracket holding the GPI/O ports and LTC connection should occupy an additional PCI slot next to the RS-422 Serial I/O & GPI/O Board to which it is connected.

IMPORTANT!!!

It is strongly recommended that measures be taken to dissipate any static electrical charge before touching the RS-422 Serial I/O & GPI/O Board. When using an anti-static wrist strap, the grounding cord must contain a 1-meg ohm to 10-meg ohm series isolation resistor.

Additionally, POWER DOWN THE DUET SYSTEM before starting installation!!!

To install the RS-422 Serial I/O & GPI/O Board:

  1. Using an appropriate screwdriver, remove the rear panel cover plate for the PCI slot where the new board will be installed. When viewed from the rear panel, each cover plate is slightly to the left of its matching board slot. Retain the screw for installation of new PCI boards, and retain the cover plate for possible future use.

  2. Remove the RS-422 Serial I/O & GPI/O Board from its anti-static packing material.

  3. Remove the nut from the BNC connector that projects from the board’s rear panel.

    NOTE

    Remember that the first (or only) RS-422 Serial I/O & GPI/O Board to be installed in the system must be installed in PCI Slot #8, which is to the extreme right (when looking at the front of the Duet).

    Installing the RS-422 Serial I/O & GPI/O Board

  4. The BNC connector projecting from the rear of the RS-422 Serial I/O & GPI/O Board prohibits pressing the board straight down into the H-connector in the chassis. Lower the rear of the board into Duet’s PCI area first and then move the board toward the openings at the back of Duet.

  5. Insert the board into the board slot. Carefully press down on the board’s upper edge using firm pressure, until the board is seated securely into the slot.

  6. Reinstall the nut that you removed from the BNC connector, tightening it against the brackets supporting the GPIO board.

  7. Secure the GPIO board’s rear panel to the chassis by aligning the metal retaining bracket with the screw hole in the top edge of the Duet chassis. Then, secure the bracket to the chassis using the original screw that secured the Rear Panel Cover Plate.

Dip Switch Settings for Multiple RS-422 Serial I/O & GPI/O Board Installation

IMPORTANT!!!

The following image is taken from a legend silk-screened on the RS-422 Serial I/O & GPI/O Board itself. Note that when the board is installed, the legend is obscured by the system’s DRAM modules. For ease of access and electrical safety, each board’s DIP switches should be set before the board is installed in Duet.

Each RS-422 Serial I/O & GPI/O Board is shipped with its S1 DIP (Dual In-Line Package) switches set to identify that board as RS-422 Serial I/O & GPI/O Board #1 in the Duet system. Each additional RS-422 Serial I/O & GPI/O Board’s DIP switches must be set to identify the board as #2, #3 or #4 within Duet. The following illustration shows the appropriate settings. Note that only switches S1.1 and S1.2 are used; the others are set to OFF. This is the factory default, and these switches should be left undisturbed.

The first (or only) board’s GPI/Os are numbered 1 - 8. Remember that each can be designated as an input or output. Each additional RS-422 Serial I/O & GPI/O Board's GPI/Os are numbered successively. A second RS-422 Serial I/O & GPI/O Board’s ports appear to Duet as GPI/Os 9 - 16; a third board’s GPI/Os would be numbered 17 - 24; and a fourth board’s GPI/Os would be numbered 25 - 32.

Dip Switch Settings for Multiple RS-422 Serial I/O & GPI/O Boards

Installing the GPI/O Extension Bracket - Duet SD/HD Only

IMPORTANT!!!

It is strongly recommended that measures be taken to dissipate any static electrical charge before touching the RS-422 Serial I/O & GPI/O Board. When using an anti-static wrist strap, the grounding cord must contain a 1-meg ohm to 10-meg ohm series isolation resistor.

Additionally, POWER DOWN THE DUET SYSTEM before starting installation!!!

The GPI/O Extension Bracket consists of the LTC connector (DB-9) and the GPI/O connector (DB-25) mounted on a simple PCI panel. The bracket is shipped with ribbon cables for LTC and GPI/O signals already connected to their respective DB-9 and DB-25 connectors, respectively. If there is no need to use the GPI/Os or LTC, it is not necessary to install this bracket. To install the GPI/O Extension Bracket, follow these steps:

  1. Remove the rear panel cover plate where the GPI/O Extension Bracket will be installed, preferably the slot next to the RS-422 Serial I/O & GPI/O Board to which it is connected. Retain the plate and the screw that held it in place. Take note of the way that the lower end of the rear panel cover plate is inserted into the groove that runs across all the PCI slots.

  2. Connect the large ribbon cable from the extension bracket’s GPI/O connector to the 26-pin connector at JP-5 header on the RS-422 Serial I/O & GPI/O Board. The extra pin on this connector is not used for GPI/O or BVW-75 function.

    Image: GPIO Extension Bracket

    Installing the GPI/O Extension Bracket

  3. Connect the smaller cable from the extension bracket’s LTC connector to the 10-pin connector at JP-9 (see above).

    IMPORTANT!!!

    Be careful to connect the smaller ribbon cable to the connector at JP-9, just below the Debug port. Do not connect this cable to the shrouded connector at JP-7!

  4. Make sure that Pin #1 (indicated by the red wire in the ribbon cable) is at the top of the connector. The red wire in the ribbon should run parallel to the top of the board as it leaves the connector, even though you will have to twist both cables to get the GPI/O Extension Bracket situated properly.

  5. Note the similarity between the GPI/O Extension Bracket and the rear panel cover plate that you removed in the first step. Mount the extension bracket just as the original rear panel cover plate was mounted, sliding the lower end of the bracket into the groove that runs across the PCI slots.

  6. Secure the bracket to the chassis by aligning the metal retaining bracket with the screw hole in the top edge of the Duet chassis, then secure the bracket to the chassis using the original screw that secured the rear panel cover plate.

  7. Replace Duet’s top cover before turning on the unit.

If multiple external systems are to be connected, connect the GPI cable to an appropriate breakout box.

RS-422 Serial I/O & GPI/O Board Driver Installation

After installing the RS-422 Serial I/O & GPI/O Board, the driver must be installed to enable Lyric to communicate with the board.

  1. In Duet’s Windows Control Panel, use the Add/Remove function to uninstall Duet System Files.

  2. Load the current Duet/Lyric CD.

  3. In the very first screen that appears, select Install Drivers.

  4. The Welcome screen appears next. Review it, then click OK.

  5. Click the GPIO checkbox in the next screen if you have installed the RS-422 Serial I/O & GPI/O Board.

    Select Duet Hardware Options

  6. Follow the on-screen prompts to complete the remainder of the driver installation procedure.

  7. Reboot the system before running Lyric. The RS-422 Serial I/O & GPI/O Board is now ready to use.

Establishing and Testing Connections

When establishing GPI or RS-422 connections, it is strongly recommended that you power down both Duet and external devices before connecting them. Consult the documentation for the external device to determine the proper signal level and duration, and configure Duet appropriately through the Lyric software described above.

  • Connect an appropriate male DB-25 connector to the port labeled GPIO on the GPI Extension Bracket.

  • Connect the GPI cable to the piece of equipment that will be sending or receiving GPIs to or from Duet. If multiple external systems will be connected, connect the GPI cable to an appropriate break-out box.

The example given below assumes connection of a Sony Betacam VTR. The Transport Controls, however, operate in the same manner for digital disk recorders (DDRs).

  1. Power down both Duet and the VTR. Connect one of Duet’s serial ports to the VTR’s DB-9 REMOTE connector. Restore power to both machines and launch Lyric.

  2. From the Lyric Tools menu, select Clip Control Panel. The Clip Control Panel is displayed.

    Clip Control Panel

  3. In the Device Playback drop-down list box, select the playback device.

  4. Load a tape with recorded content, and that has space on which content can be recorded.

  5. Test the Transport Controls: Rewind, Previous Frame, Stop, Play, Next Frame and Fast Forward.

  6. Try the Scrub slide box immediately beneath the Transport Controls. The slide box is equivalent to the Jog/Shuttle knob on the playback device itself.

To create a clip from a segment of recorded material on the external machine:

  1. Use the transport controls to cue the tape or disk to the beginning of the desired content.

  2. In the In Point area, click the Mark button. Note that the current timecode appears in the timecode window.

  3. Use the transport controls to cue the tape or disk to the end of the desired content.

  4. In the Out Point area, click the Mark button. Note that the current timecode appears in the timecode window.

  5. To program the clip to play to the end then stop, select Play to End. To program the clip to loop until stopped externally, select Loop.

  6. Give the clip you are creating a Clip Number.

  7. Click the Save button and then click OK.

To record:

  1. Click the red dot to the right of the topmost timecode display. The button will change to a darker red, signifying that the VTR is in 'standby' mode.

  2. Press the Play button, and a record command will be sent to the device. During recording, the red button will flash on and off. Press the Stop button to stop the recording. Note: If the Record button is pressed while the device is playing, recording will start immediately.

Refer to Clip Control Panel, Playing and Marking a Clip and Recording Video/Audio to Video/Audio Files for additional information on clip operations.

GPIs - Related Topics


Config Menu

The Configuration menu affords the user access to output hardware (Frame Buffer) settings, Lyric preferences, Intelligent Interface configuration, communications with external systems, licensing and User Profiles. It is recommended that Hardware be configured before starting any Lyric operations. Hardware includes important settings for video output standard and GPIs. Some of items shown on the menu below are inactive when Lyric is running offline on a PC. Click on an item in the Config menu below for details on each of the functions.

Image: Config Menu

Config Menu


Default Effect - Message Effects

Default Effects (Message Effects) Configuration

In Lyric PRO and Lyric Versions 6.0 and later, these functions take the place of the "Default Effects" feature familiar to users of early Duet SD and Duet HD systems.
Config Menu > Default Effect
From Playlist: Click in Effect field of each Line, and press X for effect selection dialogs

NOTE

The Default Effects discussed here are executed upon executing an [image] (Transfer), and NOT upon Play to output.

Effects such as Dissolve, Hinge, Page Turn, Push and Wipe can be set up as a Default Effect, which is then automatically applied to transitions in and out of graphics displays. The Hinge, Page Turn, Push and Wipe effects each include an additional Fade option. A Default Effect can also be saved as a Message Effects file, which can be applied to a single Lyric message or a series of messages. Because a Message Effects message is stored as a .lyr message, a number of them can be placed in a sequence of Lyric messages in Read Next or Read-Xfer operations. A Message Effects message is applied to the subsequent Lyric message(s) that is read, until a new Message Effects message is loaded.

Message Effect Setup and Execution

Selecting Default Effect in the Config menu opens the Default Effect dialog box, in which effects can be set for transitions into and out of a Lyric message. The [image] button for the Effect In and Effect Out opens the Primary Message Effect Setup and Secondary Message Effect Setup dialog boxes respectively, in which parameters specific to a selected effect can be set. The figure below shows the Default Effect dialog box, as it appears on opening, and also with the IN effect drop-down list displayed.

Image: Default Effect Dialog Box Showing IN Drop-Dpwn Effect List

Default Effect Dialog Box Showing IN Drop-Down Effect List

A single eFX- or Lantern-type video board can produce these transition effects. Transition effects for single as well as multi-board systems can be set; the settings in these dialog boxes will be applied across all boards available to Lyric.

  • When executing the effect on a single board, set the OUT effect to No Effect to transition directly from the current graphic using the selected IN effect.

    If in this configuration, and the OUT effect is set to an effect other than No Effect, the current graphic transitions out using the selected OUT effect, followed by the new graphic appearing using the IN effect.

  • The In or Out effect may be designated to Render Last with the checkbox seen above. This can affect the manner in which the two effects seem to overlap.

Both In and Out offer the same effects, Dissolve, Hinge, Page Turn, Push and Wipe.

The options for each effect are seen below.

N indicates that the variation is not applicable to an effect. Y indicates that the variation is applicable to an effect. Up, Down, Left and Right indicate which directions are available for the movement of an effect.

Effect | Duration | Fade | Ease | Effect Direction | Other Variable/ Comment
Dissolve | Y | N | Y | N/A | N/A
Hinge | Y | Y | Y | Top, Bottom, Left, Right | Orientation: Inward, Outward
Page Turn | Y | Y | Y | Upper Left, Up, Upper Right, Left, Right, Lower Left, Down, Lower Right |
Push | Y | Y | Y | Upper Left, Up, Upper Right, Left, In, Out, Right, Lower Left, Down, Lower Right |
Static | N/A | N/A | N/A | N/A | No In or Out effect as selected, other effect executes
Wipe | Y | Y | Y | Top, Bottom, Left, Right | Edge size; variable as percent of image

NOTES

Message Effect messages configured and stored in the manner described here are NOT recognized by Playlists. The effects set in the Playlist (the SAME effects that are available here) override the effects set in the Message Effects messages, as well as overriding the Default Effect. The effects offered in the Playlist are similar to those described here. Refer to the section on Playlists for additional details.

Executing a Message Effect

To execute a Message Effect:

  1. Make sure that the Image: Live Button - Inactive button is turned off.

  2. Use the Read Next function to read a Lyric Message Effects message, and then use Read Next to read the graphics files. Click here for details on Read Next.

    OR

    Set up a Message Effect, and then use Xfer to transfer the graphic to the output screen. The IN and OUT effects are applied to the transition.

  3. Repeat Step 2 to display each subsequent available message in ascending Message ID number order.

NOTE

Do not use Read Previous if the message sequence contains one or more Effects Messages, as the system automatically increments, rather than decrements, the Message ID number when it encounters an Effects message.

Saving a Message Effect to Apply to a Lyric Message

Once IN and OUT effects are set, the effects may be saved and then applied to specific Lyric messages or a sequence of Lyric messages in Read Next or Read-Xfer operations. To save a Message Effects message:

  1. Set the effect Message Effect parameters in the Primary Message Effect Setup dialog box. Click OK. Lyric returns to the Default Effect dialog box.

  2. Using the numeric keypad, enter a Message ID number. This number appears in the Message Number display customarily found at the bottom of the Canvas.

  3. Click the Save button. The message is saved, in a message file with the .lyr extension, to the specified Message ID number. The Message Number display advances.


Safe Title Adjust

Config Menu > Safe Title Adjust

The Safe Title Area is generally used to delineate the area on the Canvas where it is "safe" to place objects so that will be seen on most televisions. Lyric has built-in default settings for each Canvas Resolution, so that the user can be fairly certain that if the graphics are placed within the Safe Title Area, they are unlikely to be cropped by a viewer's television.

Image: Safe Title Area

Default Safe Title Setting

Lyric's Safe Title Area display can be adjusted to any size, proportion and position on the Canvas. A resized Safe Title Area can also be used to crop Flipbook animations when they are saved.

To adjust Safe Title Area settings:

  • Select Safe Title Adjust from the Config menu. The Safe Title Adjust dialog box is displayed. If no modifications have been made, it displays the default settings for current Canvas Resolution, as set in Config Menu > Canvas Resolution.

Image: Safe Title Adjust

Safe Title Adjust

Set the following parameters, and then click OK to set, or Cancel to cancel.

Parameter

Description

XY Dimensions and Position: Unlike object position as displayed in the Status Bar and Properties > XYZ, where XY coordinates (0,0) specify the center of the Canvas, Safe Title XY coordinates (0,0) specify the upper left corner of the Canvas. There are no negative coordinates for Safe Title.

X

Horizontal coordinate of the upper left corner of the Safe Title Area.

Y

Vertical coordinate of the upper left corner of the Safe Title Area.

Width

Width of the Safe Title Area. A change to the Width results in an adjustment to the right border of the Safe Title Area. A change to the Width is reflected in the Width %.

Height

Height of the Safe Title Area. A change to the Height results in an adjustment to the right border of the Safe Title Area. A change to the Height is reflected in the Height %.

Width %

Specifies the percentage of the width of the Canvas to which the Safe Title should be set. A change to the Width % is reflected in the Width.

Height %

Specifies the percentage of the height of the Canvas to which the Safe Title should be set. A change to the Height % is reflected in the Height.

Save

A Safe Title setting can be saved and recalled for future use. To save a Safe Title setting:

  1. After settings are final, click Save. The Save Safe Title dialog box is displayed. Note that the default location for the Safe Title file is the Default Message Directory as set in the Config Menu > Preferences > Default Paths, although the file can be saved elsewhere. Note also that the file type is called Safe Title File (*.saf).

  2. Enter a file name, and then select Save. The file has now been saved for future use.

Center

When a Safe Title Area of any size has been moved off-center on the Canvas, this button may be used to restore it to the default location.

Recall

To recall a saved Safe Title file:

  1. Select Recall. The Recall Safe Title dialog box is displayed.

  2. Navigate to the desired .saf file, and then select Open. The Safe Title Area is now displayed with the recalled settings applied.

Reset

Select Reset to reset the Safe Title Area to the default settings for the current Canvas Resolution as set in Config Menu > Canvas Resolution.


Preferences - Overview

Preferences

Config Menu > Preferences

Lyric provides a host of options for customizing Lyric to the user's requirements. Many of these options are set in the Preferences window, in which can be found settings for interface display, animation, Browser, etc.

  • Once Preferences have been set, they can be applied by selecting OK in the Preferences window.

Preference settings can also be saved to User Profile files for later recall. This eliminates the need to reset Preferences each time after they have been changed, and enables the storage of multiple User Profiles which can be tailored to specific users and/or production situations. Refer to Save/Load User Profile for additional information.

To access these settings:

  • Select Preferences from the Config menu. The Preferences window is displayed. Click on a tab or on a link below the figure to access information specific to a particular set of Preferences settings.

Preferences Window

There are seven tabs which contain configuration settings:

  • CG Preferences: The settings in CG Preferences determine how the Canvas appears, how the Message Number updates when messages are recorded or read, and how Shift Page, Xfer and Tab operations execute.

  • Spelling: The User Dictionary against which spelling is checked is specified in Spelling tab.

  • Default Paths: The Default Paths settings determine the default directories which Lyric automatically accesses for reading/recording messages, fonts, and other Lyric assets.

  • Animation Settings: Default length, execution, memory allocation, and other parameters with regard to animations set in Animation Settings.

  • Browser: Default Font and Default Message data sources, data source Import or Create, and other Browser-related defaults are set in the Browser settings.

  • Alignment: The Alignment function allows the operator to superimpose a customized grid on the Canvas, and to force alignment of objects to the nearest grid line(s). The Alignment Grid is useful for precise positioning of text, templates and other objects within the composition.

  • Coordinate System: Not implemented in this release.

  • Windows: Display options for the Lyric windows and the Canvas are set in the Windows tab.


CG Preferences

Config Menu > Preferences > CG Preferences

Note: Click on a tab in the figure below to access information specific to other Preferences settings.

The settings in CG Preferences determine how the Canvas appears, how the Message Number updates when messages are recorded or read, and how Shift Page, Xfer and Tab operations execute.

CG Preferences

Cursor Shape

The shape of the cursor can be set to suit user preference. Select either an I-Beam- or Box-shaped cursor:

Cursor Shapes

Initial Edit Mode

When opening a new Canvas, it can open as completely blank or containing a full-screen 2D Text Window.

  • Full Screen: On opening a new Canvas, opens a full-screen-sized 2D Text Window. The blue boundaries of the 2D Text Window are visible at the edges of the Canvas, to allow the ability to grab with it the mouse.

  • Windowed: The Canvas is opens as completely blank. To place a 2D Text Window on the Canvas, click Image: 2D Text Window Icon in the Chyron Toolbar.

Language Options

Lyric supports Unicode and Complex Scripting. Language Options settings specify how characters from various languages are displayed.

Complex Scripting

Languages such as Thai, Arabic, Hebrew, Vietnamese, Hindi, Georgian require Complex Scripting to be enabled (checked) for proper display in Lyric. In addition, when Complex Scripting is enabled, then Unicode Only must also be enabled.

Ensure that Complex Scripting is disabled (unchecked) when working with a language that does not require Complex Scripting to be enabled. Note that many Unicode languages are not Complex Scripting languages.

Unicode Only

Many Asian, as well as other languages require that Unicode Only be enabled for proper display in Lyric. Note that all Complex Scripting languages require that Unicode Only be enabled, but that not all Unicode languages are Complex Scripting languages.

  • If Unicode Only is enabled (checked), all 2D/3D text entry and editing in the Canvas uses the Unicode character set and is designed to work with Unicode fonts. Although this is not the default mode, it is required if any Asian language (Korean, Chinese or Japanese) is selected.

  • Unicode Only should be disabled (unchecked) if the system is running the Windows NT® operating system, or if it is necessary to maintain compatibility with older, non-Unicode fonts (e.g., double-byte or ASCII). Note that Windows NT is not supported on LE/LEX/PCI/PCI+.

Digit Substitution

Numerals can be displayed in what are commonly known as Arabic numerals (e.g. 1, 2, 3, etc.), or in the language's own numeric characters. To display in the language's numeric characters, enable Digit Substitution. To display Arabic numerals, disable Digit Substitution. Note that Arabic-language numerals are different from the commonly-known "Arabic" numerals. Digit Substitution must be enabled to display Arabic-language numerals.

RTL Input Mode

RTL Input Mode is used for inserting left-to-right text (such as English) into a Lyric message composed primarily in a right-to-left-language (such as Korean). This option dictates whether the overall context of a paragraph is right-to-left (RTL Input Mode checkbox selected) or left-to-right. Setting RTL Input Mode thus defines where an English or neutral (numerics, punctuation) character would be typed in relation to RTL text, or vice versa. The Complex Scripting option must be selected, and the change in languages must be made on the Microsoft Language Bar (see below for changing Lyric's default input language).

An example of RTL Input Mode

Using External IME

Selecting this checkbox helps to minimize anomalies that may occur when working with third-party Input Method Editors used for entering text in Indic languages such as Hindi, Tamil and Urdu.

Unicode DBLink

This option allows input to updateable Lyric templates (2D- and 3D text, 2D images and 3D objects) from data sources containing Unicode text. Without this option enabled, information drawn from a data source containing ASCII text will produce unusable results, such as gibberish in on-screen template text or failed image or object replacement. See DBLink for more information on updating text, image and object templates. You may also wish to refer to the discussion of ODBC-accessible databases.

Default Language

This dropdown sets the Windows Language Bar for the desired input to 2D text windows (including 2D templates) and 3D templates on the Lyric Canvas as well as the Text Properties page's text input field. Note that subsequent adjustments may be required on Lyric's IME selection controls. Changing the language selection in this dropdown (and clicking OK) immediately affects Lyric text input operation. When Lyric is closed and next restarted, text input will by default take place in the selected language.

Note that at the time of this writing, this setting only works for text input to the Canvas or the Text Properties page's text input field.

Show

The Show parameters determine which informational graphics are displayed on the Canvas. These graphics are to aid in graphic composition only, and do not appear on the output.

Safe Title

The Safe Title Area on the Canvas, by default, encompasses what is generally considered to be the safe area in which significant text elements and graphics should be placed. Outside of the Safe Title Area, there is a risk of cutoff due to the differences in the physical frame in which a TV is mounted.

  • When Safe Title is enabled (checked), the Safe Title Box, which encloses the Safe Title Area, is displayed.

  • When Safe Title is disabled (unchecked), the Safe Title Box is not displayed.

The Safe Title Box is adjustable via Config Menu > Safe Title Adjust, and can also be used to crop graphics or Flipbooks when they are saved.

Image: Safe Title

Safe Title

Viewport Labels

Viewport Labels specify which Canvas View is active. The Viewport Labels consist of a text label and a representation of the axes of the Lyric composition which are currently displayed.

  • When Viewport Labels is enabled (checked), the Viewport Labels are displayed.

  • When Viewport Labels is disabled (unchecked), the Viewport Labels are not displayed.

Image: Viewport Labels

Viewport Labels

4:3 Title in 16:9

When Lyric's Canvas Resolution has been set for a 16:9 aspect ratio, a movable 4:3 Safe Title can be displayed within the 16:9 Safe Title display. By default, the 4:3 display initially appears centered within the 16:9 display.

4:3 Title in 16:9 can be useful for planning compositions that will appear in both 4:3 and 16:9 formats. This setting is available only when a 16:9 resolution has been set.

  • When 4:3 Title in 16:9 is disabled (unchecked), only the 16:9 Safe Title Box is displayed.

  • When 4:3 Title in 16:9 is enabled (checked), a 4:3 Safe Title Box is displayed in addition to the 16:9 Safe Title Box.

Image: 4:3 Safe Title in 16:9

4:3 and 16:9 Safe Title Boxes in 16:9 Canvas Resolution

The size, proportions and position of the Safe Title Area itself can be adjusted to aspect ratios other than 4:3 and 16:9. Refer to Safe Title for additional information on adjusting Safe Title.

Selection Guides

The X, Y and Z axes of each 2D and 3D object on the Canvas may be displayed, along with a bounding box showing the object's boundaries. This feature can be switched on and off by checking the Selection Guides checkbox in the Show area of the CG Preferences menu. Each axis is identified by its letter. The X axis is shown in red, Y in green and Z in blue; a minus sign marks the direction along that axis where values would move into the negative.

Left: Selection Guides off. Center and Right: Selection Guides on. At right, object is rotated to show the displayed Z axis .

Text Frames

With this option's checkbox selected (on), both active and inactive 2D text windows display their frames, which consist of a bounding box and title bar. The title bar of an active window is light gray, and the title bar of an inactive window is a darker gray. With this option's checkbox not selected, inactive 2D text windows do not display a title bar and bounding box.

Confirm

When deleting a message (Delete key or Alt + F5) or overwriting a message, Lyric can display a prompt requesting confirmation. This reduces the possibility of accidentally deleting a message.

  • On Delete Msg: If On Delete Message is enabled (checked), Lyric displays a message asking for confirmation. OK must be clicked before the delete operation is executed.

    Delete Confirmation

    If On Delete Msg is disabled (unchecked), Lyric proceeds with the deletion without confirmation.

  • If On Overwrite is enabled (checked), Lyric displays a message asking for confirmation. OK must be clicked before the overwrite operation is executed. If On Overwrite is disabled (unchecked), Lyric proceeds with the overwrite without confirmation.

This functionality is duplicated and extended in the Browser when On Delete Msg is enabled. Selecting Delete from the Browser right-click menu Browser causes the system not only to confirm the deletion as a Browser entry, but also displays an additional confirmation for deleting the file. Clicking Yes in the first dialog displays the second dialog.

Deleting a File from the Browser

Similarly, enabling On Delete Msg causes the system to display a prompt to confirm that the new message should overwrite the existing message.

Overwriting a File in the Browser

This prompt appears whether you begin overwriting a message via the keypad or by using the Browser's Save to Database button, shown circled above. Refer to Browser Overview for additional information.

Save/Recall Options

The following options determine how information is saved for reuse during while composing a Lyric message:

Disable Undo

Disable Undo is specific to Undo operations (the [image] button or Ctrl + Z) in 2D text composition. In any event, the operator can always Undo operations in other activities such as 3D composition or the use of bitmaps.

Auto-Increment on Read/Record

The displayed message number can be set to advance so that the next file saved is assigned the next number in ascending order. Auto-Increment on Read/Record was formerly known as Auto-Increment on Save.

  • When Auto-Increment is enabled, the displayed message number is set to advance every time a Lyric message is read or recorded and saved with a numeric file name. This is helpful when recording a series of messages, as it aids in preventing accidental overwrite of the previously saved message. It also eliminates the need to enter a new Message Number when recording or reading each message.

  • When Auto-Increment is not enabled, the displayed Message Number does not advance after a read or record.

Remember that regardless of the Auto-Increment setting, a Message Number can be entered on the numeric keypad to read or record an out-of-sequence message.

Track Message Number per FB (Chyron systems only - not for use with offline installations)

The operator may select whether the Message Number display changes with the Frame Buffer selected for editing. When this option disabled (unchecked), the Message Number display reflects the Message Number most recently read or recorded.

Read Next Range

Specifies the number of numerically-named messages through which Lyric will search during Read Next and Read Previous. The default setting is 10.

Shift Page

Shift Page operations (Ctrl + Alt + éêçè) can either affect just the selected objects on the Scene Graph or Timeline, or all objects on the Canvas.

  • If Selected Objects is enabled, only the objects selected on the Scene Graph or Timeline are shifted when a Shift Page operation is executed.

  • In All Objects is enabled, all objects on the Canvas are shifted when a Shift Page operation is executed, whether or not they are selected.

Completion Mode

In Lyric PRO, this option updates the "Transfer Mode - Basic" option.

The user has a choice how messages will behave at the conclusion of playout.

  • Delete: A given message whose playout on Output is complete will disappear from Output when a subsequent message is played to Output.

  • Return to Canvas: A given message whose playout on Output is complete will return to the Canvas when a subsequent message is played to Output.

Node Export

Users may now decide whether to include ALL Transitions or only the currently selected Transition when exporting to an .lno (Lyric Node Object) file. This choice is available via the checkbox seen on the CG Preferences tab of the Config > Preferences panel. See Events Properties > Event Nodes.

Tab Width

A Tab space may be added (press Ctrl + Tab) between characters in a 2D Text, Roll, Crawl or Type On Window. The size of the Tab space, specified in pixels, can be set in the Tab Width field. 100 pixels is the default setting. For sake of clarity, references to 2D Text Windows include 2D Roll, 2D Crawl and 2D Type On Windows.

  • When a Tab Width is set, the Tabs are set at fixed positions in the 2D Text Windows. Be mindful that if the first character in a line is between Tab positions, it results in a shorter spacing before the next Tab. With columns created in this manner, it will appear as if the first column is too close to the second. To avoid this, make the 2D Text Window wide enough that the first character of the first column can be typed immediately following a Tab.

  • A change in the Tab Width value updates all Tabs currently on the Canvas.

  • Be aware that when a new Tab Width is set, if the text overlaps the updated Tabs or vice versa, the results could be unexpected. Typing new Tabs into text created with Tabs at a different Tab Width can also produce unexpected results.

  • If the Tab Width has been changed, and then a message created with a different Tab Width is read, the original Tab Width is preserved in the read message. If a Tab is then typed into a 2D Text Window of the read message, the Tabs in the 2D Text Window update to the new Tab Width. Other 2D Text Windows are unaffected. Note that as mentioned above, a change made to the Tab Width while a recorded message is displayed results in an update to all Tabs currently on the Canvas.


Spelling

Spelling Preferences

Config Menu > Preferences > Spelling

Note: Click on a tab in the figure below to access information specific to other Preferences settings.

Lyric’s Spell Check operates in the same manner as standard word processing Spell Check applications. Spell Check is launched by pressing F7 or by selecting Spelling from the Tools menu. When Spell Check runs, the program compares all 2D text on-screen to a standard English dictionary and a User Dictionary simultaneously. As with word processors, the operator may add specialized terms to the User Dictionary.

Image: Spelling Preferences

Spelling Preferences

It may be desirable to have User Dictionaries to be used for specific purposes, such as particular types of sports or news. The current User Dictionary is displayed in the Current User Dictionary field. The User Dictionary used can be changed using one of the following methods:

  • Enter the absolute path of the User Dictionary in the User Dictionary field.

  • Select Change Dictionary. The Open menu is displayed. Navigate to the User Dictionary file, then click Open. The new User Dictionary is loaded, and the name is reflected in the Current User Dictionary field. A User Dictionary always has the extension .u.

Open New User Dictionary


Default Paths Preferences

Config Menu > Preferences > Default Paths

Note: Click on a tab in the figure below to access information specific to other Preferences settings.

Default Paths enables the operator to set default (predetermined) file paths for storage and recall of messages, templates, images, Playlists, effects, Clip files, 3D objects and Movie files. This organized set of directories streamlines the saving and retrieval of the different file types that may be associated with each project. The Default Paths settings can then be saved as part of a User Profile, which can be saved and recalled for future use.

Setting Default Paths does not prevent the use of non-default file paths. Save As or Open (Ctrl + O), accessed from the File menu, can be used to save or open, respectively, files which are to be stored to or read from non-default directories. Additionally, non-default file types can be stored in default directories. For example, it may be advantageous to store a Macro file in a Default Messages directory for a particular project.

To view the Default Paths, click on the Default Paths tab in the Preferences dialog box. The Default Paths tab is displayed .

Default Paths Preferences, as set at the factory

Until changed by the user, the original Default Paths factory-set when your Chyron system hardware was configured, are displayed. There are eight paths listed:

Directory Name

Description

Messages

The default directory for saving and reading Lyric messages (.lyr). This directory also determines the Intelligent Interface directory, i.e. the directory to which Intelligent Interface-generated messages are written.

Templates

This directory is the default location of Template Description messages, which come into play when reading Intelligent Interface Template Data messages. If not otherwise specified, the default location is the same as for the Template Data message.

NOTE

You may need to de-select the Templates checkbox in situations where Lyric is connected by the Intelligent Interface option to newsroom automation systems such as IDS. In these configurations, the act of reading Lyric messages may result in an error message being displayed. (The error may state that the desired Lyric message "is not a template description message".) This problem can be rectified by de-selecting the Templates checkbox on the Default Paths menu.

Images

Contains 2D bitmap images. Lyric supports many bitmap formats.

Playlists

Contains Playlists (.ply).

Effects

Contains effects messages (.efx), such as those created using Read Effects.

Clip Files

Contains Clip files (.ccf).

3D Objects

Contains 3D objects. Lyric supports .3ds, .prj and .obj formats.

Movies

Contains movie files in the .avi and .mov formats.

Note that file such as Macros (.lmx, .lyr) and User Profiles (.reg, .lup), unless otherwise set in a Save dialog box, automatically save to the directory in which Lyric is installed.

There are two methods which can be used to change Default Paths:

  • Change an individual Default Path.

  • Change the Default Paths as a group.

To change an individual Default Path:

  1. Double-click on the directory name in the list of Default Paths. In this example, Playlists is selected. A directory-type-specific dialog box is displayed. In this instance, it is Choose a new directory for Playlists.

    Changing an Individual Default Directory

  2. Navigate to the new directory. If necessary, a new directory can be created using the Create New Folder Tool, located in the upper right corner of the dialog box.

    Create New Folder Tool

    Create New Folder Tool

  3. Select the new directory. The directory name appears in the Dir. field.

  4. Click OK. The name of the new directory is now reflected in the Default Paths list.

Lyric has a convenient facility that enables the creation of grouped directories and subdirectories for each of Lyric’s file types and other assets.

  1. In the Default Paths dialog box, click Create Project Hierarchy. The Select Root Directory dialog box opens.

  2. Use the New Folder tool to create a new directory. In this example, it will be called 5PM NEWS.

  3. You will be prompted to create a subdirectory for each file type. Click Yes for each.

    Creating a Group of Default Directory Paths

  4. After confirming the creation of the 3D Objects directory, the Select Root Directory dialog box should appear as follows:

    Root Directory with Updated Default Directories

    The Default Paths list in the in the Default Paths dialog box will also reflect the new settings.

An important recommendation:

The performance of HyperX and LEX internal clip players can be affected by the speed with which clip files (often very large), are retrieved. Chyron strongly recommends that clip files be stored on a separate SCSI drive, different from the drive storing Messages and other assets, within the HyperX or LEX system. Ultimately, your Default Paths window should look something like this:

Default Paths Preferences; assets for a specific production are stored in a specialized directory and sub-folders, with Clips stored on a separate SCSI drive in the system for the fastest possible retrieval and playout.


Animation Settings

Animation Settings Preferences

Config Menu > Preferences > Animation Settings

NOTE

The Full Scene Antialiasing option that appeared on this menu in previous versions of Lyric has been relocated to the Canvas Resolution menu (Config > Canvas Resolution). Antialiasing control over individual objects remains in the Rendering Properties menu.

Note: Click on a tab in the figure below to access information specific to other Preferences settings.

Animation length, execution, memory allocation, and other animation parameters are set in the Animation Settings Preferences.

To access Animation Settings Preferences, pull down the Config menu, and select Preferences. The Preferences window opens. Click the Animation Settings tab.

Animation Settings Tab

Animation Length, Stream Size and Streaming

Default Animation Length defines the duration for animations when Lyric is first launched. Unless changed by the user, the Default Animation length is five seconds (150 frames). Animation length can be changed in a number of ways during composition, including Modify Animation Length (accessed by right-clicking on the Timeline) and Animation Properties, accessed from the Properties window.

Default Interpolation

Interpolation determines how the transition is made from one keyframe to the next in an animation.

Keyframe Graph Showing Linear and Spline Interpolation

The following types of interpolation can set in Animation Settings Preferences.

  • Linear moves an object in an animation at constant speed from Keyframe to Keyframe.

  • Spline provides the ability to vary the speed and path the object follows during the animation.

  • None causes the animation to shift between Keyframes instantaneously, without following a continuous path from one Keyframe to the next. This is also known as Jump interpolation.

Interpolation for individual keyframes can also be set from the Timeline, Keyframe Graph and the Motion Path. In addition, a fourth type, Ease, can be set for individual keyframes in the Timeline and the Keyframe Graph.

Refer to Interpolation Modes for detailed information on the different types of Interpolation, including Ease.

Streaming Preload

This default setting defines how many frames of a message are rendered to system memory before playout. In effect, the system is caching content to stay ahead of any given point in message playout. The default value of 2 frames has been determined to give the best performance for most Lyric messages. The preload time for individual messages may be adjusted with the Set Message Preload Time selection on the Tools menu.

NOTE

Beware of setting too high a value in either the Streaming Preload default or the Set Message Preload Time selection on the Tools menu. Higher settings can assure smooth playout, but can cause unwanted delay before the message is ready for playout.

Options

The following options determine what occurs when the animation is read and how the animation is executed.

Show Preview Frame

Typically when animations are read, the first or frame is displayed on the Canvas. If working primarily with animations that start off-screen, it may be advantageous to have a different frame, known as a Preview Frame, display on the Canvas when they are read. The Preview Frame is set when the message is recorded.

  • If Show Preview Frame is selected (checked), the frame saved as the Preview Frame in the animation is displayed on the Canvas when the animation is read. If a frame had not been specified as a Preview Frame when the message was saved, then the last frame is displayed.

  • If Show Preview Frame is not selected (unchecked), then the first frame of the animation is displayed on the Canvas when the animation is read.

    • Show Preview Frame does not affect animation execution. The animation still executes from the first frame.

Refer to Reading and Recording Messages: Selective Recording - Message, with Options for details on setting a Preview Frame in a message.

Prompt to Play on Hardware

When an animation message is read to the Canvas, Lyric can request confirmation before executing the animation.

  • If Prompt to Play on Hardware is selected (checked), Lyric requests confirmation before executing the animation to output. The screen position of the prompt on the VGA is saved as part of the User Profile, so that repositioning is not required each time the prompt is displayed.

  • If Prompt to Play on Hardware is not selected (not checked), Lyric executes the animation to the output without confirmation. When Prompt to Play on Hardware not active, playback on the video output occurs regardless of whether the Live button Image: Duet Live Button is active or not.

AutoPlay On Read

Auto Play on Read causes animation playout to begin automatically when a message is called up, without awaiting a Play command. Note: On LE and LEX systems, the load method is set by the default Frame Based Load setting (see later in this section).

Default Rendering Mode

Additional Rendering settings are available on the Properties > Rendering menu.

The type and complexity of an animation may require that it be rendered in a specific manner in order to play back correctly. In addition, depending on the system and the graphic boards, one Rendering Mode may be more suitable than another for playback. Lyric has a variety of Rendering Modes to provide the highest-quality playback.

  • Normal Rendering plays back animations using the system's normal rendering process.

  • Fast Rendering allows some animations that may not play back properly in real time to play back smoothly. There may be an infrequent trade-off when Fast Rendering is enabled, in that the compositing of overlapped transparent pixels and the antialiasing of characters may not display properly. Preview the animation before sending to air.

  • Fast/Fix Key corrects the rendering of the Key Out signal. Rendering in this mode is necessary only if the rendered Key signal is to be used downstream of the system. While rendering in this mode is slightly slower, it is usually unnoticeable, due to the high rendering speed of current graphics cards. Using this mode also requires the presence of specific graphics cards. Contact Chyron Customer Service (631-845-2132) for additional information.

Rendering Mode can also be set for an individual message, overriding the default Rendering Mode set in Animation Settings. Refer to Internal Properties for additional information.

Release Key Pause

Lyric offers a number of options for the use of keystrokes in releasing programmed pauses in animations. The options are presented in a dropdown menu, as seen above.

  • Message: With this option enabled, only pauses in the message currently selected on the Scene Tree will be released by a keystroke.

  • Current FB: With this option enabled, pauses in any message associated with the active frame buffer (on Output or available for Xfer from the Canvas), will be released by a keystroke.

  • All FBs: With this option enabled, pauses in messages associated with all frame buffers will be released by a keystroke.

Release GPI Pause: With this option enabled, the operator can use a keystroke to release a pause that was originally configured to await GPI input.


Browser Preferences

Config Menu > Preferences > Browser

Note: Click on a tab in the figure below to access information specific to other Preferences settings.

The Browser is a database designed to catalog Lyric messages, fonts and graphics and assets available from remote systems. The database files that the Browser opens have the extension .mdb. Newly created or imported database files can be custom-named by the user. Refer to Browsers for an introduction to Browser use.

NOTE

It is important to remember that creating or deleting database entries that represent assets available to Lyric is not the same as saving or deleting the files themselves. Browser Preferences provides the option, however, of adding a font, graphic or message to the Browser database whenever one of these assets is saved as a file.

The Browser dialog box accessed from Preferences is similar in many ways to the Select Data Source dialog box accessed from the Browser. As such, the description for many of the operations performed in Browser Preferences are described in detail in Selecting/Creating/Importing/Deleting a Database .

The difference between setting Font/Message Sources in Browser Preferences and setting Font/Message Sources in the Select Data Source dialog box, is that Browser Preferences define default Font/Message Sources that are in place when Lyric is opened. The Font/Message Sources settings can then be changed in the Select Data Source dialog box as necessary, without disturbing the default settings set in Browser Preferences. Modifications to settings in the Select Data Source dialog box are not reflected in Browser Preferences, and vice versa.

It is important to remember that the path shown under File Name specifies the location of the .mdb database file itself. Assets such as messages, fonts and graphics including those from remote networked system such as the Aprisa 100, are stored separately. The .mdb file contains only information on asset locations, so that Lyric can retrieve and open the appropriate file. The Set Font Source and Set Message Source buttons allow fonts and messages to originate from different databases. Message Source databases also dictate where the Browser looks for graphics assets.

Browser Preferences

Note that any change made to Browser Preferences is not applied to open Browsers. It is, however, applied to the next Browser that is opened.

Name, File Name

The Browser tab displays two pieces of information to identify the data source:

  • Name: Displays the name which can be different from the File Name, of the data source.

  • File Name: Displays the absolute path of the file.

Set Font Source

Set Font Source sets the default Browser Font Source. Refer to Selecting/Creating/Importing/Deleting a Database for details on the Set Font Source procedure. After selection, the default Font Source appears in the field to the right of the Set Font Source button. The thumbnails for the fonts from this source appear in the Browser whenever the Lyric Fonts icon is selected.

Set Message Source

Set Message Source sets the default Browser Message Source. Refer to Selecting/Creating/Importing/Deleting a Database for details on the Set Message Source procedure. After selection, the default Message Source appears in the field to the right of the Set Message Source button. The thumbnails for the messages from this source appear in the Browser whenever the Lyric Messages icon is selected.

Create New

The Create New function creates a new Browser data source, which can then be selected as a default data source. Refer to Selecting/Creating/Importing/Deleting a Database for details on the Create New procedure. Note that upon creation, the data source is automatically ODBC-registered in order to enable accessibility by other applications. Refer to Registering an ODBC Data Source for details.

Import

The Import function enables importation of a Browser data source, which can then be selected as a default data source. Refer to Selecting/Creating/Importing/Deleting a Database for details on the Import procedure. Note that upon importation, the data source is automatically ODBC-registered in order to enable accessibility by other applications. Refer to Registering an ODBC Data Source for details.

Delete

The Delete function enables deletion of a Browser data source. Refer to Selecting/Creating/Importing/Deleting a Database for details on the Delete procedure.

Advanced

When a Lyric Browser data source is created or imported, it is automatically registered as an ODBC (Open Database Connectivity) database. The data source is thus accessible to software that supports ODBC, including Chyron MOS Newsroom Solutions. Under normal circumstances, it is not necessary to reregister Lyric Browser data sources.

For advanced database configuration, the Advanced function accesses the ODBC Data Source Administrator. Note that data sources other than .mdb can be registered from the Advanced function in Browser Preferences. They just cannot be used as Browser databases. Refer to Selecting/Creating/Importing/Deleting a Database for details on ODBC registration.

File Save Adds to Browser

When enabled, File Save Adds To Browser directs Lyric to automatically add a Browser entry to the current Browser databases for every message, font or graphic created or imported, then saved.

Sync TrueType Fonts on Load

When a message containing Indexed Fonts is read, this feature causes Lyric to automatically update characters rendered in those fonts, if the Browser in which the Indexed Fonts was created has itself been updated. Refer to Sync Fonts on Load for details.

Related Browser Topics


Alignment

Alignment Preferences

Config Menu > Preferences > Alignment

Note: Click on a tab in the figure below to access information specific to other Preferences settings.

The Alignment function allows the operator to superimpose a customized grid on the Canvas, and to force alignment of objects to the nearest grid line(s). The Alignment Grid is useful for precise positioning of text, templates and other objects within the composition.

Image: Alignment Preferences

Canvas Grid Settings

Set the following parameters, the click Apply to apply the settings and check the appearance of the grid lines on the Canvas, or OK to apply the settings and exit Preferences.

Parameter

Description

Grid Spacing

The distance between the grid’s horizontal lines (Y axis) and vertical lines (X axis) can be independently adjusted by entering values directly or using the up/down arrows (Grid Spacing). Units are in pixels for X, and scanlines for Y.

Snap to Grid

The Snap to Grid function causes an object to “settle” at the nearest horizontal and/or vertical grid lines as specified in Alignment Preferences, when it is newly created or imported or moved from one place on the Canvas to another.

  • To enable/disable horizontal Snap to Grid, check/uncheck the Snap to Grid X checkbox.

  • To enable/disable vertical Snap to Grid, check/uncheck the Snap to Grid Y checkbox.

Show Grid

The Show Grid function displays or hides the horizontal and/or vertical grid lines as specified in Alignment Preferences.

  • To enable/disable display of horizontal grid lines, check/uncheck the Show Grid X checkbox.

  • To enable/disable display of vertical grid lines, check/uncheck the Show Grid Y checkbox.


Windows Preferences

Config Menu > Preferences > Windows

Note: Click on a tab in the figure below to access information specific to other Preferences settings.

Display options for the Lyric windows and the Canvas are set in the Windows tab.

Basic Windows

The user may specify any combination of on the Lyric interface as Basic Windows. There are two Windows display choices accessible from Chyron Tools on the Lyric interface:

  • Basic Windows On: When Basic Windows is turned on Image: Show Basic Windows On,only the Canvas and the windows specified in Preferences > Windows are displayed. Any other open windows are hidden from view.

  • Basic Windows Off: When Basic Windows is turned off Image: Show Basic Windows Off, all open windows are displayed.

Note that the Basic Windows button was formerly known as the Canvas Only button.

The Basic Windows, as well as Canvas display preferences, are set in the Windows tab.

Windows Preferences

To set the Basic Windows:

  • In the Basic Windows area, select (check) the checkboxes next to the names of the windows that are to be displayed when Basic Windows is turned on.

Canvas

Display All Frame Buffers

Lyric provides the option of displaying all available frame buffers. The user interface on your version of Lyric may differ from the illustration.

  • When Display All Frame Buffers is enabled (checked), each frame buffer that is currently not active is displayed on its own miniature Canvas, allowing preview of the inactive Frame Buffers. The figure below shows Frame Buffer 2 displayed in the lower right corner of the interface. It cannot be edited until it becomes an active frame buffer through a Swap operation.

  • When Display All Frame Buffers in disabled (unchecked), only the active Frame Buffer is displayed.

Lyric Interface Showing Active Frame Buffer and One Inactive Frame Buffer (lower right)

Lock Canvas Size and Position

Lock Canvas Size and Position allows the user to lock the size and position of the Canvas in the Lyric interface, in order to prevent accidental resizing or repositioning. To enable/disable:

  • Select (check) or deselect (uncheck) the Lock Canvas Size and Position checkbox.

Lock Viewport Sizes

When the Multi Canvas View is displayed, the individual Canvas Views in the Multi View can be resized. The displayed sizes can be locked to prevent unintentional resizing, or they can be unlocked to allow resizing. To toggle between locked and unlocked:

  • Select (check) or deselect (uncheck) the Lock Viewport Sizes checkbox.

Refer to the section on the Canvas for additional information regarding Canvas Views.

Clone Canvas Window

NOTE

This feature may be used on any Lyric-capable Chyron system utilizing a video card with an S-video output connector, and running a Chyron-validated NVIDIA driver later than NVIDIA version 94.24. Check the Release Notes accompanying your version of Lyric to determine the video card drivers currently recommended by Chyron. This document supersedes the “Graphics Card Preview Output” configuration procedure for earlier cards and drivers.

Contact Chyron Customer Service at 631-845-2132 for assistance with any variations in this procedure that occur while setting up your system.

Chyron systems graphics cards fitting the above description can deliver a duplicate of the Lyric Canvas to an analog TV monitor for preview use. This signal is derived from the picture displayed on your system’s VGA or digital PC monitor, so changes to the video card driver’s settings are required.

Setting up the Clone Canvas Window function involves configuration of your system’s graphics card driver and a Preferences option in Lyric. The driver configurations and video connections described here are based on setup of a GeForce 8800 GTS video card of the type supplied with HyperX2 systems at the time of this writing. Note again that the Clone Canvas Window feature may be used with most Chyron-approved video cards that provide an S-video output , on systems running a Chyron-validated NVIDIA driver later than NVIDIA’s version 94.24.

Remember that this entire function and its settings are completely independent of the Air/Production outputs from the Chyron system’s eFX, CODI or PCI Squeezeback boards. The sole purpose here is creating an extra output for monitoring the activity on the Lyric Canvas currently selected for editing.

Note

If your graphics card does not recognize your system’s SVGA monitor, the NIVIDA driver’s menus may identify it only as "Analog Display". This will not affect the setup process described herein.

  1. Turn off your Chyron system.

  2. Connect an analog TV monitor, NTSC or PAL, to the S-video-type connector on your system’s video card. Use an RGB-type cable of the type pictured below to connect the S-video-type connector on your system’s video card to the analog TV monitor. These cables are supplied with many of the video cards used in current Chyron systems. Connect an analog TV monitor, NTSC or PAL, to the S-video-type connector on your system’s video card.

Select the blue RCA connector as shown at the right of the figure for connection to the TV monitor. Connect an RCA-to-BNC adapter as shown at the extreme right and connect the BNC end to a coaxial cable.

  3. After connection is complete, restart your system. The new connection is detected and the graphics card automatically outputs composite video. However, new settings are necessary in your graphics card’s NVIDIA control panel.

Access the NVIDIA Control Panel through Windows Control Panel or by right-clicking the desktop.

Having detected a new, additional monitor the graphics card’s driver initially opens the Set Up Multiple Display menu:

If necessary, select Set up multiple displays in the Task panel at left. However, this should not be necessary. Note that use of the Run multiple display wizard option is NOT appropriate here.

  4. In this part of the process, FIRST select As one large horizontal desktop (Horizontal span). Click Apply. The item you’ll select in the next step may not appear until you take this action.

  5. Next, select Configured independently from each other (Dualview). Click Apply. An extension of your system’s desktop will appear on the TV monitor. It may be empty, displaying only the color of your desktop. You may wish to verify that you’ve effectively created a larger desktop by dragging a desktop item onto the area shown in the TV monitor.

NOTE

At some point in the procedure thus far, the display settings for your VGA or digital PC monitor may change. You may have to adjust the ”Change Resolution” options under "Display” in the Task pane.

  6. Return to the NVIDIA Control Panel’s View menu and select Advanced Settings.

  7. NOTE THAT THE GRAPHICS CARD’S DEFAULT OUTPUT AT THE S-VIDEO CONNECTOR IS NTSC. To use a PAL monitor, select Change the signal or HD format under Video & Television, as seen in the following illustration. Again, remember that the connection of the TV monitor will have been detected by this point.

  8. The above illustration shows the configuration for the video card setup described in Step 2. Note that under Select the connector you would like to use, Composite video is selected by default . In a configuration using an S-video cable, this option should be set to S-video, as follows:

  9. Click Apply to commit to any necessary changes.

  10. In the 3D Settings area, locate the Manage 3D Settings option. Click it and the Manage 3D Settings main menu appears in the right-hand pane.

  11. Choose the Global Settings tab. Among the features listed, the Multi-display/mixed-GPU Acceleration selection will only appear if you have the system set for multiple display operation as described in the previous steps.

  12. IMPORTANT: Choose Single Display Performance Mode. Once you’ve selected a new change to the NVIDIA settings, Apply and Cancel buttons will appear in the lower right corner of the window.

  13. Choose Apply.

  14. Close the NVIDIA Control Panel.

  15. On the Windows Desktop, right-click and select Properties.

  16. In the Display Properties menu, select Settings.

  17. Click the rectangular icon for monitor #2, representing the connected analog TV monitor.

  18. Make sure that the checkbox Use this device as the primary monitor is NOT SELECTED. Make sure that the Extend my Windows desktop onto this monitor checkbox IS SELECTED.

  19. Start Lyric.

  20. Under the Config menu, select Preferences.

  21. In the Preferences menu, select the Windows tab.

  22. On the Windows tab, select the Clone Canvas Window checkbox and click OK.

The Canvas portion (only) of the Lyric interface appears on the TV monitor. The Clone Canvas Window configuration process is complete. Return to normal Lyric operation.

Note

There are less common configurations where connection to the green cable should be used instead of to the blue cable. If the Lyric Canvas does not display properly on the TV monitor after performing the procedure with the blue cable connected, then:

  1. Change the “nView display mode,” as shown in Step 6, to “Use one display (Single).”

  2. Disconnect the blue cable and then connect the green cable as described in Step 2.

  3. Continue the Clone Canvas procedure from Step 5 through the last step (Step 22).

Use English Keyboard for Menu Input

This option allows standard Lyric keyboard shortcuts to be used when a language other than English has been selected for text composition on the Canvas.

With this option selected, the keyboard functions in the currently selected non-English language while focus is on the Canvas. When focus is not on the Canvas, the keyboard reverts to English output, allowing immediate use of familiar Lyric keyboard shortcuts without resetting the Windows Language Bar. When focus is returned to the Canvas, the keyboard immediately resumes functioning in the language selected for composition.

Numeric Entry

Enable Numeric Keypad

There are two sets of number keys on the Chyron keyboard and on PC keyboards:

  • Alphanumeric number keys are located in a row towards the top of the keyboard, above the letter keys. These keys are used to type numbers on the Canvas, and enter numeric values in the various numeric fields in dialog boxes, Frame Counters, etc. The alphanumeric number keys cannot be used to enter Message Numbers (i.e., file numbers) for Read and Record purposes.

  • Numeric Keypad keys are located in the Numeric Keypad located at the right of the keyboard. Note that in order for the numeric keypad keys to type numbers, Num Lock must be enabled. To enable/disable Num Lock:

    • Press the Num Lock key at the top left corner of the numeric keypad. When Num Lock is enabled, NUM appears in black type the Lyric Status Bar. When Num Lock is disabled, NUM is grayed out.

    For user convenience, especially during content creation, the Numeric Keypad number keys can be used in either of two modes: Message Number Entry and Alphanumeric Entry.

    • Message Number Entry, where file ID numbers are entered to Read and Record messages, and for other file ID functions. When in Message Number mode, the Numeric Keypad number keys can be used only for Message Number entry. It is not necessary for the focus to be on the Canvas in order to enter a Message Number, as entering a Message Number automatically returns focus to the Canvas. This mode is recommended when the Chyron system is on-air.

    • Alphanumeric Entry, where the number keys are used in the same manner as the alphanumeric number keys described above. When in Alphanumeric mode, the Numeric Keypad number keys can still be used to enter Message Numbers, but the focus must be on the Canvas. To quickly return focus to the Canvas, either click on the Canvas, or press F6.

    Enable Numeric Keypad can be set as follows:

    • When Enable Numeric Keypad is disabled (unchecked), the Numeric Keypad is in Message Number Entry mode.

    • When Enable Numeric Keypad is enabled (checked), the Numeric Keypad is in Alphanumeric Entry mode.


Intelligent Interface® - Overview and Setup

Intelligent Interface®

Overview

Intelligent Interface provides a mechanism for controlling the update and display of graphics and titles through an ASCII-based command set transmitted over a serial port connection or via Telnet. Note that Lyric is able to receive Intelligent Interface commands through a Chyron system's serial port(s), the network or from the system running Lyric.

Many programs, including newsroom automation systems, have been written to support this protocol, and many programmers in the television broadcast industry are familiar with the command set and its functionality.

The Intelligent Interface used with Lyric and Windows-based Chyron systems is a subset/extension of the Intelligent Interface protocol for Chyron's iNFiNiT!® Family graphics products. For those operators accustomed to the iNFiNiT! operating system, please note that the term Tab Messages is replaced here with the term Template Data Messages.

Intelligent Interface for Lyric provides the same type of functionality as Intelligent Interface for Chyron’s iNFiNiT! Family of character generators. Template fields in special Lyric messages can be updated with new text. In addition, commands for changing text properties and running animations may also be exchanged via the serial link.

For serial port connection, there are three steps to enable Intelligent Interface operation:

  1. Connect a serial port on the external computer directly to one of the Chyron system's serial ports.

  2. Where available, a second serial port can also be connected to the same external computer or to a second computer to provide an additional port for Intelligent Interface commands. Connection procedure follows below.

Note:

Some Chyron systems include a single serial port; optional hardware may be purchased to provide such systems with additional serial ports.

  4. Configure the ports on both the Chyron system and the external system(s) as described following the connection procedure.

  5. Configure Intelligent Interface settings. Refer to Intelligent Interface Configuration for procedure.

For Telnet connection, there are two steps to enable Intelligent Interface operation:

  1. If communicating with a remote system, the system running Lyric must be properly networked. If sending commands from the same system that is running Lyric, it is not necessary that the system be on a network. In both instances, the IP Address of the system running Lyric must be available. When sending commands locally, however, the name localhost can substitute for an IP Address. Generally, an application running remotely sends Intelligent Interface commands to a system running Lyric. Intelligent Interface commands can be easily tested, however, by opening a local Telnet session from the same system that is running Lyric. Opening a Telnet Session is described at the end of this section.

  2. Configure Intelligent Interface settings. Refer to Intelligent Interface Configuration for procedure.

In addition to Intelligent Interface, Lyric provides a wide variety of methods to update information displayed in a Lyric message. For an overview, refer to Updating Messages in Lyric.

Serial Port Connection

A Chyron system running Lyric may be connected to one or two host computers in a variety of configurations:

  • A serial port on the Chyron system can be connected to a serial port on a host computer.

  • Two serial ports on the Chyron system can be connected to two serial ports on a host computer.

  • One serial port on the Chyron system can be connected to a serial port on a host computer. The second serial port on the Chyron system can be connected to a serial port on a second host computer.

Port COM numbers and computer operating systems need not match. It is crucial, however, that the Chyron system's Port settings and the host Port settings match. Port setup is described following the connection information.

Refer to the following table and diagram for signal names and pinouts pertaining to the RS-232 protocol. RS-232 protocol supports cable runs of 50 feet (15.24 meters) or less.

The table outlines a typical connection from a Chyron system to an Intelligent Interface host using either a DB-25 connector or DB-9 connector. Please check the host computer’s Serial Port pinout documentation to ensure proper hookup!

Note that some interfaces require the RTS signal (Pin 7) to be HIGH. Because Pin 7 is LOW, use Pin 4 (DTR) instead. This may require a modification to your serial interface cable. The table below specifies typical setup for DB-9 to DB 25 and DB-9 to DB-9 configurations.

Typical RS-232 Interface Cable Pinout: DB-9 to DB-25 and DB-9 to DB-9
Duet System (DB-9) |  | To Host Computer (DB-25) |  | To Host Computer (DB-9)
Pin | Signal Name | Pin | Signal Name | Pin | Signal Name
2 | RXD | 2 | TXD | System-Specific | TXD
3 | TXD | 3 | RXD | System-Specific | RXD
5 | GND | 7 | GND | System-Specific | GND
 |  | Bridge 4 - 5 | RTS/CTS | Bridge Signals | DSR / DTR
 |  | Bridge 6 - 8 - 20 | DSR / DCD / DTR | Bridge Signals | RTS / CTS

The figure below shows the Serial Connector Pinout of the Chyron system.

Image: DB-9 Pinout for Intelligent Interface

RS-232 Serial Connector Pinout - Rear View of Connector

Serial Port Communications Setup Overview

To enable serial communications between Duet and an external (host) computer(s), each system’s serial Com port(s) must be set up using the same values. These values may vary with the external computer’s operating system and the modem settings being used. Setup on the Chyron system is very similar in Windows XP and Windows 2000. To configure Port settings for an external host running on a different operating system, please consult the user documentation for specific instructions. Note that Chyron systems and host computer(s) running different operating systems ARE ABLE to work together.

Communications Setup - Windows XP and Windows 2000

Communications setup procedures are identical for both operating systems, but the Details tab on the Communications Port Properties menu pictured below does not appear in Windows 2000.

After the connecting the Chyron system to the host computer, perform the following procedure on both machines. If dedicating two Chyron system ports to Intelligent Interface, the procedure must be performed for each port, as well as the host(s) ports.

  1. Access Windows Start > Settings > Control Panel > System > Hardware > Device Manager > Ports (COM & LPT).

  2. Expand the Ports (COM & LPT) listing, then select Communications Port (Com 1) or Communications Port (Com 2). This example shows COM 2. The Communications Port (COM2) Properties dialog box is displayed.

  3. Select the Port Settings tab to display the settings.

    Image: Port Settings - Windows 2000

    COM2 Setup - Windows XP

  4. Enter the desired values for Baud Rate, Data Bits, Parity, Stop Bits and Flow Control. Remember that the Port settings on the system running Lyric and the host system must match. Click OK.

  5. Launch Lyric. From the Config menu, select Intelligent Interface. Refer to Intelligent Interface Configuration for details on serial port setup from Lyric.

Opening a Serial Port Communication Session

The presence of serial port TTY emulation software is required on the system sending Intelligent Interface commands. Refer to the emulation software documentation for procedure on opening a communication session.

Opening a Telnet Session

Initiating a Telnet session is the virtually same whether connecting from a remote system or to the same system that is running Lyric. Before opening the connection, make sure that Intelligent Interface on the system running Lyric, is configured to enable Telnet. Refer to Intelligent Interface Configuration for more information.

  1. Launch Lyric. Note that if Lyric is not running or Intelligent Interface is not configured to Enable Telnet, then when an attempt is made to open a Telnet connection, a connection error will be displayed.

  2. On the system that is to send the Intelligent Interface commands, open a Command Prompt window. This is generally available from Start > Programs > Accessories.

  3. Enter telnet open <IP Address> or telnet open <Full Computer Name>, where the IP Address or Full Computer Name is that of the system running Lyric. If the system sending the commands is the same as that running Lyric, telnet open localhost can be entered. Refer to Finding the IP Address or Computer Name of a System for additional information on IP Addresses and Full Computer Names.

  4. Press Enter. If a login is requested, proceed to the next step. If a login is not requested, a welcome message is displayed in the Command Prompt window. The system is now ready to send Intelligent Interface commands.

  5. Enter a login, and then press Enter. A welcome message is displayed in the Command Prompt window. The system is now ready to send Intelligent Interface commands.

To close an Intelligent Interface and Telnet session:

  • Close the Command Prompt window.


Aprisa Interface

Aprisa Interface Configuration

Config Menu > Aprisa Interface

NOTE

In order for Lyric to access Aprisa stills and clips, the Aprisa application must be running, even if Lyric is running on the Aprisa system.

About the Aprisa Family of Clip and Still Store Systems

Chyron provides a variety of clip, still and clip/still store systems that complement Chyron graphics systems. Still files and clip file information are transmitted between the system running Lyric and the Aprisa via Ethernet. The clips themselves are transmitted via a video connection. The Aprisa supports both Windows® 2000 and Windows NT® operating systems.

  • The Aprisa 100 is a still store system. Stills can be imported for use in a Lyric composition. Lyric compositions can also be exported to the Aprisa as stills.

  • The Aprisa 200 is a clip store system and DDR. Clips stored on the Aprisa are played using the Internal Clip Player. which is controlled from Lyric's Clip Control Panel.

  • The Aprisa 250 combines still store, clip store and DDR capabilities.

Configuring the Aprisa Interface

To enable Lyric access to Aprisa still and/or clip assets, the system running Lyric must be networked to the Aprisa system and properly configured.

  • From the Config Menu, select Aprisa Interface. The Configure Aprisa Interface dialog box is displayed. The figure below shows sample settings.

Configure Aprisa Interface Dialog Box

The Configure Aprisa Interface dialog box is composed of two areas:

  • Still Store Configuration (unlabeled), in which the Aprisa Still Store is configured.

  • DDR Options, in which the Aprisa DDR (Clip Store) is configured.

The Still Store Configuration and DDR Options are independent of each other. For example, Lyric can communicate with one Aprisa for stills, and another for clips. Stills and clips must also both be configured even when connecting to an Aprisa 250 Still/Clip Store.

Additionally, if using only the still or the clip component of the Aprisa 250, only that area in the Configure Aprisa Interface dialog box must be configured.

Enable Browser

This option must be selected to enable Browser access to Aprisa Stills and Clips, even if you are operating Lyric on an Aprisa system.

Still Store Configuration

Still Store Configuration includes the following settings;

  • Host Name: Enter the IP address of the networked Aprisa system. If Lyric is running on the Aprisa system on which the stills are to be accessed, leave the Host Name field blank. To find the name and/or IP Address of the Aprisa system, refer to Finding the Computer Name and IP Address of a System for procedures for both operating systems.

  • 8 Digit Database: Early versions of the software running on Aprisa systems used a 4-digit database that could create entries numbered up to 9999. Current software on Aprisa systems offers a choice of the original 4-digit database or an 8-digit database allowing entries numbered up 99999999. In 8-digit database mode, the system adds appropriate leading zeros to the numbers of items selected from an existing 4-digit database. (For example, item number 2541 would be treated as 00002541.)

The 8-digit database option in Lyric's Aprisa configuration dialog box offers the same flexibility when exporting stills (or clips) from Lyric to Aprisa systems. The Lyric user may create 4- or 8-digit numbers for items cataloged in the Aprisa database. When browsing the Aprisa database for retrieving a still or clip, Lyric will add leading zeros to 4-digit numbers as needed.

DDR Options

DDR Options includes the following settings:

  • Host Name: Enter the IP address of the networked Aprisa system. If Lyric is running on the Aprisa system on which the stills are to be accessed, leave the Host Name field blank. To find the name and/or IP Address of the Aprisa system, refer to Finding the Computer Name and IP Address of a System for procedures for both operating systems.

  • Enable DDR: Must be selected (checked) to enable Browser access and clip playback capability, even if Lyric is running on the Aprisa system.

  • Playlist Mode - Event vs. Playlist Mode: The Aprisa 200 DDR and the Aprisa 250 DDR function can be run in one of two modes: Event Mode or Playlist Mode.

    • Event Mode results in slower load times, but provides complete Clip Control Panel functionality. Ii is best to work in this mode when setting up and previewing clips.

    • Playlist Mode provides quicker loading without degradation of video quality. Clip Control Panel functionality, however, is reduced. Only the Load, Play Clip and Transport Controls operate in this mode. The Jog/Shuttle Slide Box (see below), In Point and Out Point functions are disabled. This mode is best used for playback. Note that the Aprisa 200/250 DDR Playlist Mode has no relation to the Lyric Playlist.

  • Use Channel B: By default, Lyric controls Channel A of a dual-channel Aprisa 200/250. Use Channel B assigns control of a dual-channel Aprisa 200/250 B Channel to the Chyron system on which you are working. This option is intended for production situations where a dual-channel Aprisa is shared by two other systems running Lyric or by an Aprisa operator and another Chyron system. If a dual-channel Aprisa system is being shared by two other Chyron systems, be sure not to have the Use Channel B checkbox selected on both systems! The Aprisa DDR will execute the last command received on either of its channels, regardless of the source.

  • Wait for Timecode: Selecting this option causes the Aprisa system to await the Aprisa clip event on the Lyric Timeline before loading the clip. While this option minimizes the resources used by Lyric in controlling the Aprisa, loading the clip immediately before playback may increase the Aprisa system’s response time. Use this option with caution.

  • 8 Digit Database: See the explanation of the 8-digit database option under "Still Store Configuration".

Configuration Procedure

To enable Lyric access of the Aprisa 200/250 DDR:

  1. Select Aprisa Interface from the Config menu. The Configure Aprisa Interface dialog box appears.

    Image: Enabling Lyric Control of Aprisa DDR

    Enabling Lyric Control of Aprisa DDR;
    the Test response will include more information regarding connected hardware than is pictured here.

  2. Under DDR Options:

    1. Enter the IP Address or Full Computer Name of the Aprisa 200/250 in the Alternate Host Name field. If necessary, refer to Finding the IP Address and Full Computer Name of a System to find out the Full Computer Name or IP Address of the Aprisa.

    2. Select (check) the Enable DDR checkbox to enable Lyric access to Aprisa clip assets.

    3. For the purpose of trying out the Clip Control features, leave the Playlist Mode checkbox blank in order to operate in Event Mode. Note that is at some point you wish to change modes, the Clip Control Panel must first be closed, and then the settings changed in the Configure Aprisa Interface dialog box.

    4. Select the Use Channel B checkbox to assigns control of a dual-channel Aprisa 200/250 B Channel to the system on which you are working, or leave it blank to keep control assignment as Channel A.

  3. Optional: Click the Test button to display the status of the connection between your system and the Aprisa. The Aprisa Test popup (shown above) is displayed. If the popup indicates that the DDR is connected and that at least one channel is available, then setup has been completed. If there is an error message, check the physical hookup, the network settings and the Configure Aprisa Interface settings. Test responses are described in the following section.

Test Responses

The connection to from the system running Lyric to the Aprisa(s) can be tested. Note that this test checks out both stills and DDR (Clips) connections. It can simultaneously test any clip and/or still combination of an Aprisa 100, 200 and/or 250.

  • Click Test. The results of the test are displayed in the Aprisa Test dialog box.

The figures below show sample Aprisa Test responses.

  • Both the Browser (stills) and DDR connections are successful.

Image: Aprisa Test

Aprisa Test - Browser and DDR Connected

  • Browser and DDR are not enabled for the Aprisa 100 or Aprisa 250 for stills, and the Aprisa 200 or Aprisa 250 for clips. Depending on desired connection(s), select (check) Enable Browser and/or Enable DDR. Only enable the connection(s) that is to be used.

Aprisa Test - Browser and DDR Not Enabled

Aprisa Test - Browser and DDR Not Enabled

  • No host found for the Aprisa 100 or Aprisa 250 stills, due to incorrect or unavailable Full Computer Name or IP Address. DDR connection to Aprisa 200 or Aprisa 250 was successful.

Image: Aprisa Test - No Host Found for Stills, DDR Connected

Aprisa Test - No Host Found for Browser, DDR Connected

  • Aprisa 100 or Aprisa 250 stills connection is successful. Target Aprisa 200 or Aprisa 250 DDR machine refused connection. The Aprisa DDR (clips) application was not launched on the Aprisa 200 or Aprisa 250. Remember that on the Aprisa 250, the stills and DDR (clips) applications are separate. The stills application must be launched to access stills, and the DDR application must be launched in order to access clips.

Image: Stills Coneected; DDR Connection Refused

Aprisa Test - Browser Connected, DDR Connection Refused

OK/Cancel

After settings are entered:

  • Click OK to apply, or Cancel to cancel without change.

Aprisa - Related Topics


Quantel® Interface Configuration

Config Menu > Quantel® Interface

Lyric can access the assets of Quantel® systems for use in Lyric compositions, as well as export Lyric messages back to the Quantel systems. To enable communications between Lyric and Quantel systems, the Quantel Interface must be configured in Lyric. If there are multiple Quantel systems configured in Lyric, a system must be selected in order for its contents to be displayed in the Browser. Refer to Quantel documentation for information on Quantel system operation.

  • From the Config Menu, select Quantel Interface. The Configure Quantel Interface dialog box opens. If Quantel systems are already configured, they are listed in the Host Table (unlabeled). Editbox is the default Host Name and IP Address when, as shown below, no systems are listed.

Image: Configure Quantel® Interface

Configure Quantel® Interface Dialog Box

If the there are already Quantel systems available to Lyric, the dialog box could appear as follows:

Image: Configure Quantel® Interface - System List

Configure Quantel® Interface - System List

This is the same list that is displayed in the Host Name drop-down list box in the Quantel Import dialog box. Refer to Import from Quantel for additional information.

Adding/Deleting a Quantel System

To add a Quantel system to this list:

  1. Enter the name of the Quantel system in the Host Name field.

  2. Enter the IP address of the Quantel system in the IP Address field.

  3. Click Add. The name of the new system now appears in the Host Table.

To delete a Quantel system from the list:

  1. Click on the name of the Quantel system in the Host Table.

  2. Click Delete. The Quantel system is removed from the Host Table and is no longer available to Lyric.

Enabling/Disabling the Browser

To enable Lyric to access the Quantel images, the Browser must be enabled:

  • Select (check) the Enable Browser checkbox. The Quantel asset icon Image: Quantel Asset Icon in the Browser becomes active.

To disable Lyric to access the Quantel images, the Browser must be disabled:

  • Select (check) the Enable Browser checkbox. The Quantel asset icon Image: Quantel Assets Icon - Inactive becomes grayed out.

Selecting a Quantel System for Lyric Operations

When a Quantel system is selected, its contents can be accessed from the Browser. The selected system also becomes the default system for File Menu > Import from Quantel/Export to Quantel operations. Note that a system can also be selected from within the Import from Quantel dialog box.

To select a Quantel system for Browser access and File Menu > Import/Export operations:

  • Click on a system name in the Host Table. The system name appears in the Host Name and IP Address fields.

NOTE

Configure Quantel Interface does not perform a check on the validity of the Quantel Host Name and/or IP Address. The connection is validated when Browsing or performing import/export operations. If a warning message is displayed, confirm that the system is available and that the Host Name and IP Address are correctly entered. An error message may be displayed when:

  • Accessing Quantel Assets in a Browser or refreshing the Browser to display the contents of a different system.

Image: Cannot Query Quantel!

Cannot Query Quantel

  • Accessing Quantel Assets in a Browser, when displayed assets are no longer available. Refresh Image: Refresh Database Icon the Browser. If an error message is still displayed, then confirm that the system is available and that the Host Name and IP Address are correctly entered.

Image: Browser - Could Not Create Quantel Object

Could Not Create Object

  • Performing a connection from within the Import from Quantel Import dialog box, accessed from File Menu > Import from Quantel.

Image: Connect to Quantel System Failed

Connect Failed

  • Performing a connection or attempting to import an unavailable file from within the Quantel Import dialog box, accessed from File Menu > Import from Quantel.

Image: File Menu Import from Quantel - Connect Failed

Connect Failed

  • Performing an export to a Quantel system from the Quantel Export dialog box, accessed from File Menu > Export to Quantel or a Save to Database Image: Save to Database Icon from the Browser.

Image: Export to Quantel - FTP Connect Failed

FTP Connect Failed

Click OK, then the
following is displayed.

è

Image: Export to Quantel Failed!

Export to Quantel Failed

Applying/Canceling Configuration Settings

To apply configuration all settings:

  • Click OK.

To cancel configuration settings:

  • Click Cancel.


Save/Load User Profile

Save User Profile: Config Menu > Save User Profile
Load User Profile: Config Menu > Load User Profile

NOTE

Lyric Version 4.1 and later running on Windows NT®, Windows® 2000 or Windows XP® creates User Profile (*.reg) files that are compatible with Lyric Versions 4.0 and later running on Windows NT. The *.lup format is still supported, and limited-access users still cannot read *.lup files.

Lyric operators can store their preferences for window position, Canvas resolution and all Preferences settings. When all adjustments to the Lyric interface are to your liking, these settings can be saved to a Lyric User Preference file (.reg).

  1. From the Config menu, select Save User Profile. The Store Configuration To dialog box is displayed.

    Saving User Profile

  2. Select a name and storage location for your settings, and then click Save.

Lyric now records User Profile information in the *.reg file format. For backward compatibility, you may still use User Profiles stored in the old *.lup format.

To load a User Profile:

  1. From the Config menu, select Load User Profile. The Store Configuration To dialog box is displayed.

    Link ot Load User Profile

    Loading User Profile

  2. Select a User Profile, and then click Open. The User Profile settings are loaded.

NOTES

When loading a User Profile, it may take a moment for the interface to take on the correct configuration! This is normal behavior.

When a new User Profile is loaded, the Intelligent Interface Message Directory updates as well, and is reflected in the Intelligent Interface dialog box, accessed from Config Menu > Intelligent Interface. The Intelligent Interface directory is the same as the Default Message Directory as set in Preferences > Default Paths.

The last loaded User Profile remains in effect until a new User Profile is loaded.


Intelligent Interface® Configuration

Config Menu > Intelligent Interface

Intelligent Interface commands can be sent to and from a system running Lyric via one or two serial ports, or via Telnet.

To enable Intelligent Interface operation via serial port(s):

  • Serial port configuration must be performed first from the Windows Control Panel, then from within the Lyric Config menu. The system running Lyric must be connected via serial port(s) to the system(s) sending commands. Refer to Intelligent Interface for details on connection and Control Panel setup.

To enable Intelligent Interface operation via Telnet:

  • The system running Lyric must on a network unless commands are sent from the local system (the same system running Lyric). The system must be configured from within Lyric to communicate via Telnet. Refer to Intelligent Interface for additional overview information.

This section covers configuration from within Lyric.

To configure the connection for Intelligent Interface:

Select Intelligent Interface from the Config menu. The Intelligent Interface dialog box is displayed.

Intelligent Interface Configuration, Lyric Version 7.1

Communication

Select one of the following:

  • No Serial Conn: Disables use of Intelligent Interface with the system's serial ports.

  • Enable Serial Port 1: Intelligent Interface data can be sent from Serial Port 1.

  • Enable Serial Port 2: Intelligent Interface data can be sent from Serial Port 2.

  • Enable Both Ports: Intelligent Interface data can be sent from Serial Ports 1 and 2.

  • Enable Telnet: Intelligent Interface data can be sent via a Telnet connection. This allows a user to send Intelligent Interface commands from either a remote computer system or from the same system that is running Lyric.

Recall Keys

If Recall Keys are being used:

  • Enable (check) Recall Keys or disable (uncheck) Recall Keys. If Recall Keys is enabled, select one of the following:

  • Serial Port 1 to accept Recall Keys commands through Serial Port 1.

  • Serial Port 2 to accept Recall Keys commands through Serial Port 2.

Command Processing Options

  • Unicode I/O: For use primarily with foreign languages. Enable this option to send and receive 16-bit Unicode extended character strings. Disable the option to prevent Lyric from misinterpreting 8-bit text.

  • Request External Data On Read Command: With this option selected, Lyric can pull data from a connected external system using Intelligent Interface, rather than awaiting external input.

  • Support Embedded Commands: Select this check box to allow the use of specialized text strings within R, U, or W commands, which are used to dynamically change the Font, Color, or Background of an Intelligent Interface-enabled Template.

  • Classic II ordering: This checkbox must be left selected to retain Lyric 7 compatibility with messages created by previous versions of Lyric. In Intelligent Interface messages created with previous versions of Lyric, object templates (such as updatable Images, Movies and 3D Objects) were updated strictly in the order of their creation and before text templates were updated. Unchecking the Classic Ordering option enables a new scheme for updating template objects on the Canvas. With the new ordering priority enabled, non-text, object templates (again, such as Images, Movies and 3D Objects) are updated in order of their position on the Scene Graph, from those appearing at the top of the Scene Graph, down.

For example if all of the groups on the Scene Graph of a given message were expanded to display all nodes in that message, then the order in which any updatable elements appeared would dictate the order of Update instructions within an Intelligent Interface command.

  • Transmit Pro Events: When a Lyric Pro Transition is activated on Output, Lyric issues notification to the external system that initiated the event, that the event has finished playing on output. Notification is formatted similarly to an Intelligent Interface V command; an example is seen below:

V\01\T\Default\\\9c

In the above example, “01” denotes that the Transition event occurred on the playout system’s Frame Buffer 1, and “Default” identifies the name of the Transition in the message.

The Transmit Pro Events option may be disabled at the user’s discretion.

  • Non-blocking Telnet prevents the system from attempting to process an Intelligent Interface command before the previously-received II command has been fully processed. Disabling the Non-blocking Telnet option causes Lyric to queue an incoming command until the previous command has been executed. Commands are thus 'blocked' until the system can reliably handle them.

Message Directory

This field reflects the Default Message Directory from which Intelligent Interface will read and to which it will write messages. This directory can be changed via Config Menu > Preferences > Default Paths, or via the Intelligent Interface M Command. The Message Directory cannot be changed from the Intelligent Interface dialog box.

Machine Code

Machine Code may be enabled only when the Intelligent Interface commands are created using lower-case characters. If Machine Code is specified, only those lower-case commands with the correct Machine Code are processed. An error message is returned if the Machine Code is incorrect. Machine Code can be disabled by checking the Ignore Machine Code checkbox, and all lower-case commands will be processed regardless of their Machine Code.

Diagnostics

To review the last command received by the system, as well as the last command sent by the system, click the Diagnostics checkbox. The Intelligent Interface dialog box expands as shown below.

Image: Intelligent Interface Configuration Diagnostics

Intelligent Interface Configuration Diagnostics

The last command received, as well as the last command sent by your system, are displayed, along with the time and date of each. Note that the Diagnostics display reflects the last commands sent and received when the Diagnostics display was opened. To update and view the Diagnostics display, click the Diagnostics checkbox twice. The Diagnostics display closes, and then reopens with updated information.

Saving your settings

Click OK. Intelligent Interface is now ready to exchange commands and other data with the external system.

Once Intelligent Interface has been enabled, the active connection is indicated on the Lyric Status Bar. II-1 is shown for Port 1, II-2 for Port 2, II-D for dual-port or II-T for Telnet.

Image: Intelligent Interface Active in Status Bar

Status Bar Showing Intelligent Interface Active on Port 1

Refer to Intelligent Interface for details on commands and use.


Playout and Compose Modes

Playout Mode

Available in Lyric Pro only

The Playout/Compose mode selection button will not appear in standard Lyric installations.

Playout mode limits the toolset available to the user, simplifying the interface for on-air and real-time production situations. Playout mode complements the Compose mode, which is Lyric's standard mode of operation; the two are toggled by the button seen circled below next to the Frame Buffer toolbar.

Limitations in Playout mode:

  • The Canvas, the Scene Graph and custom windows are unavailable.

  • The Chyron Tools and Alignment toolbar are unavailable, as seen below.

  • Menu bar selections are limited to File, Config, Window and Help.

    • The Config menu is limited to Preferences, Load User Profile and Save User Profile.

    • Selections on the Window menu are limited to those windows accessible in Playout mode.

  • Pasting, cutting, adding and removing nodes are prohibited.

  • Most right-click context menus are unavailable.

  • Manipulating elements of the composition is restricted by any Locks that may applied (see below).

Locks and Visibility

Distinction Between Types of Editable Properties

The locks you will encounter here control access to three aspects of any given object or group of objects (hereafter referred to as 'nodes') on Lyric's Scene Graph.

  • Keyframes are the points (most commonly seen and edited on the Lyric Timeline) where an object and its attributes, can be modified.

  • Content is the 'substance' of a node or its objects; the characters in a text window, the pixels unique to an imported or mapped bitmap image or the points, constituent triangles and textures in a 3D object.

  • Attributes are the editable components of an object's appearance and movement, such as position, rotation and scale on the X,Y and Z axes, transparency and Font style, color and size.

Degrees of Restriction in Playout Mode

Changes made to recorded messages while in Playout mode can be limited by applying one of these ‘locks’ to a given node in the message. Three different degrees of restriction may be set by the message's author while working in Compose mode.

.

Red: Locks all of the node’s attributes (keyframes, text or image content, color, size, etc.). With a Red lock set, nothing about this node may be changed in Playout mode.

Orange: Locks the node’s keyframes and content.

Yellow: Locks only the node’s keyframes.

Visibility icon: Only nodes labeled with this icon appear in the Scene Graph while Lyric is running in Playout mode. This setting does not affect visibility in the message.

Setting no lock on a node (as with Light 1 on the Scene Graph shown in the preceding illustration) causes the node to act as if it were in Compose mode. A node’s visibility modifier dictates whether or not it appears in the scene graph while in PlayOut node.

Notes

  • By default, all nodes are created with a Red lock and are not [image] Visible on the Scene Graph when Lyric is in Playout mode.

  • A 2D Template’s accessibility is determined by the accessibility of the window in which it is located. Therefore, only the content of templates in an unlocked or Yellow-locked window may be edited. ONLY unlocked and Yellow-locked windows will appear in the ALT+T template edit dialog.

  • Playout mode access to 3D Templates works in the same way as described above for 2D Templates.

Setting Locks and Visibility

To set a node’s lock or Scene Graph visibility, select the node, right click to open its context menu. Mouse over the Play Out Mode menu item, and your selection of options appears.

Compose Mode Security; Locking the Workstation

At your workplace, it may be desirable to control access to Lyric's Compose mode, and restrict those users who are unauthorized to edit messages to Playout mode. On a Lyric installation where a password has been set, users will be prompted for the password when toggling from Playout to Compose mode.

In Compose mode, select Config >Set Compose Password to open the Compose Mode Password dialog. Enter the desired password and press OK. Passwords are case sensitive. Any characters are acceptable and you may use as many characters as you wish, but Chyron recommends using familiar common-sense guidelines in creating passwords that are easily remembered.

Notes

If the Set Compose Password entry is not available on the Config menu, click on the Canvas, the Scene Tree, Scene Graph, Timeline or Properties panel to switch focus to any of those windows. The Set Compose Password will then be available on the Config menu.

TO RESET OR DELETE A PASSWORD: With Lyric in Compose mode, repeat the process described above for setting a password. DO NOT ENTER ANYTHING; leave the text field BLANK and press OK.

See also Playout Properties menu.


Font Properties

Recommended primarily for use with 2-dimensional text composition.
Properties > Font

Font Properties

Click on the Font tab of the Properties window to view/change Font properties:

Font Properties

Property

Description

Font Selection

This area displays the currently selected Font for 2D and 3D text, and lists all Fonts available to the system.

Font Variation

Use this area to select Font Variation from the available variations for the selected Font: Regular, Bold, Italic, etc.

Please note that Font variations are specific to the fonts themselves. Thus, one font may be available in Regular, Bold, Italic and Underline, while another may offer only some of these options.

Both TrueType® and OpenType® fonts are supported by Lyric. Lyric does not support PostScript® fonts.

Mode

These radio buttons reflect the position of the cursor on the Canvas.

  • If the cursor is inside of a 2D Text Window, the 2D radio button is active.

  • If the cursor is outside of a 2D Text Window, the 3D radio button is active.

The radio buttons can also be selected (clicked) to change the focus within the Canvas:

  • If the 2D radio button is selected (clicked), the focus changes to the 2D Text Window (including Roll, Crawl and Type On) with the lowest priority on the Scene Graph, regardless of actual Z-position of the 2D Text Window.

  • If the 3D radio button is selected (clicked), the focus changes to the Global Light on the Scene Graph.

Image: TrueType® Font Preview

TrueType® Font Preview enables the user to quickly review the available characters in a font, change the current font, or select a character (including Unicode) to add to the Canvas at the current cursor position. Refer to TrueType® Font Preview later in this section for details.

Size

The Size slider sets the current Font Size (in Scanlines). Also, you may use the up/down arrows to change the Font Size, or enter a size directly. Size settings are reflected in real time in the Font Sample area.

Aspect

Adjusts Aspect Ratio (Width:Height) for the selected text. (Range: 0.001 to 10.00 units.) The Font Sample area reflects changes in Aspect Ratio in real time.

Sample Aspect Ratios

Kerning

Adjusts the horizontal spacing of the selected characters in pixels. (Range: -25 to 25 pixels.)

Space Width

Adjusts the length of the selected Font’s Space Character Width. (Range: 0 to 50 pixels).

Leading

Adjusts inter-line spacing (leading). (Range: -75 to +75 scanlines).

Shear

(Horizontal and Vertical) Adjust Shear along the Horizontal, Vertical, or both axes (range: -5.00 to +5.00). The Font Sample area reflects changes in Shear in real time.

Sample Shears

Rotate

Circular Slider (also known as Spin Control Box or Jog Wheel) that adjusts rotation of characters on the display. The Font Sample area reflects rotation in real time

Filter

(Horizontal and Vertical) These filters are provided to enhance the quality of text display during Roll animations in HD or PAL operation.

Font Sample Area

Displays sample characters for the selected Font, with Font and 2D Font FX Properties applied. The sample that is displayed in the Font Sample area does not reflect the actual size of the font. Rather, the two red lines to the left of the upper/lowercase characters span what represents a 50-scanline height. The icons below show the positioning of the red lines for a 50-scanline font, where they span the full height, and a 150-scanline font, where they span one-third of the height.

Image: Font Sample - 50 Scanlines

Font Sample - 50 Scanlines

Image: Font Sample - 150 Scanlines

Font Sample - 150 Scanlines

Note that if the TrueType® font on which a Lyric font is based is not available a red slash is displayed across the Font Sample.

Image: TrueType Font Unavailable

TrueType® Font Unavailable

Apply

Click Apply to apply the font settings/changes to the selected character(s).

TrueType Font Preview

TrueType® Font Preview enables the user to quickly review the available characters in a font, change the current font, or select a character (including Unicode) to add to the Canvas at the current cursor position. TrueType Font Preview can be used with both 2D and 3D characters.

To access TrueType® Font Preview:

  • Click the Image: TrueType® Font Preview button in the Font Properties tab. The TrueType® Font Preview dialog box is displayed.

Image: TrueType® Font Preview

TrueType® Font Preview

In the Sample Area, the entire character set for the current font is displayed. Notice that the currently selected 2D or 3D character on the Canvas is highlighted in the Sample Area. To the right of the Sample Area is the Font list. The current font is highlighted.

About ASCII and Unicode Characters

There are two sets of characters that can be displayed in the Font Sample Area: ASCII and Unicode.

  • The ASCII set of characters is the standard set of characters with which most are familiar. Visible characters in an ASCII font set are coded from 32 to 255. There are other specialized, non-visible characters coded from 0 to 31. The ASCII Code and the character name of the currently selected are displayed above the top right of the Sample Area of the TrueType® Font Preview dialog box.

  • The Unicode set of characters is an extended set of characters that includes the ASCII set.

To display the ASCII set:

  • Leave the Unicode checkbox unchecked.

To display the Unicode set:

  • Select (check) the Unicode checkbox.

The Min Char ID and Max Char ID determine the range of codes from which a character can be selected for placement on the Canvas. The most common setting for Min Char ID is 32; for Max Char it is 255. Note that this setting does not have an affect on the availability of characters once the dialog box is exited.

If the Max Char ID is changed to a higher number, the following occurs depending on whether ASCII or Unicode is active:

  • If ASCII is active (Unicode unchecked), duplicate ASCII sets appear in the Sample Area in intervals of 256. For example, if the Max Char ID is set to 1000, the character A would appear at 65, 321, 577and 833. Any one of the A characters can be placed on the Canvas.

  • If Unicode is active (Unicode selected), the Unicode character set is displayed.

A number of the character slots display rectangles instead of characters. In the case of Unicode characters, there may be characters assigned to those slots which are not rendered to the Sample Area. If this appears to be the case, use the Windows Character Map to locate these characters and paste them to the Canvas. Refer to Edit Menu > Paste Unicode Text for details.

Setting and/or Applying a Font

To set a new current font:

  • Open the TrueType Font Preview dialog box, then select a font from the Font list.

  • Click Apply to apply the selected font and remain in the dialog box, or OK to apply the selected font and exit the dialog box. The new font also becomes the new current font. Note that it retains the other font attributes (Edge, Size, color, etc.) set in the Font Tools, Font Properties and 2D Font FX Properties.

Its ASCII Code or Unicode, followed by the character is displayed directly above the Sample Area.

To apply a new font to selected characters:

  1. Select the 2D or 3D characters to which to apply the new font.

  2. Open the TrueType Font Preview dialog box, then select a font from the Font list.

  3. Click Apply to apply the selected font to the selected characters and remain in the dialog box, or OK to apply the selected font and exit the dialog box. The new font also becomes the new current font. Note that it retains the other font attributes (Edge, Size, color, etc.) set in the Font Tools, Font Properties and 2D Font FX Properties.

Adding a Character to the Canvas

To add a 2D or 3D character to the Canvas:

  1. Place the cursor at the point on the Canvas where the character is to be inserted.

    • If the cursor is inside of a 2D Text Window, a 2D character will be inserted at the cursor location.

    • If the cursor is outside of a 2D Text Window, a 3D character will be placed on the Canvas at the cursor location.

  2. Open the TrueType Font Preview dialog box, then in the Sample area, select (click) the character that is to be placed on the Canvas.

  3. Click Add. The selected character is placed at the cursor location with the current font applied.

For Help on other Properties topics, select the desired Tab:

2 D Text - Related Topics

3D Characters - Related Topics


Text Properties Page

Text Properties

Properties > Text

Important: Many of the features mentioned here are controlled and modified via the 3D text templates dialog and the 3D Text Template Context Menu.

The Text Properties tab

This tab on the Properties menu allows a wide range of options for composing and editing content within 3D text templates.

The Text Properties tab allows the user to work with 3D Text Templates, and configure them for content updates.

A Simple Operation with the Text Properties facility

Here's a basic example of how to use this feature:

  1. Start with a blank Canvas. To keep things simple, make sure there is no 2D Text window present.

  2. Click the [image] Template button on the Chyron Toolbar.

  3. A 3D Text Template appears on the Canvas. Note the local guide located just below the upper left corner of the template area. This indicates the position of the Template's first character on its baseline and it is this indicator that is situated at zero on all three spatial axes (as opposed to the apparent upper left corner of the Template).

The 3D Text Template is shown here, with the XYZ Properties tab inset, showing the Template's position at X=0, Y=0 and Z=0.

Newly-placed 3D Templates are automatically positioned so that the first letter in the first row is situated at "0" on all three spatial axes.

  4. Note that you may type either directly into the Template, or into the Text input field.

Some notes about 3D text templates

  • With the advent of Lyric version 7.1, 3D text templates include a 'title bar' similar to those seen on Lyric 2D text windows. The title bar on 3D text templates bears no description and 'hides' automatically until the user's mouse hovers over it. It may be used to drag the 3D text template around the Canvas as needed.

Upon mouse-hover, a modified title bar appears on the 3D text template

  • The 3D text template itself, as seen on the Canvas, now reflects the selection of text within the text input field.

The controls on the Text Properties tab

Property

Description

Font

Font Selection

This area displays the currently selected Font for 3D text, and lists all Fonts available to the system.

Font Size and Variations

Use this area to select Size (as measured in Scan Lines) and the familiar variations Bold and Italic. The Underline feature will be available in future releases of Lyric.

Please note that Font variations are specific to the fonts themselves. Thus, one font may be available in Regular, Bold, Italic and Underline, while another may offer only some of these options.

Both TrueType® and OpenType® fonts are supported by Lyric. Lyric does not support PostScript® fonts.

Cache

Given Lyric's routine method of creating 3D characters from scratch, as glyphs (of the same nature as other Lyric-produced 3D objects), it is desirable to minimize the processing power and memory required by these operations.

Lyric's Font Cache Memory Manager is activated by clicking Cache. Glyphs for 3D characters not already present in the system are created normally and stored by the Font Cache Memory Manager. The dialog shown below opens when the Cache button is clicked, allowing the operator to select and de-select the types of special characters that will be needed for a given composition. This option allows the user to limit the large set of symbols, diacritical marks and other special characters associated with most fonts.

Using this option to minimize required processing power and memory may greatly increase the speed with which the user can input 3D text. The Unicode Subrange Cache Selection dialog seen below shows all available glyphs for the font Arial. Note that the dialog box in the illustration has been expanded to show all of the available choices in one view.

Selecting one of the Unicode Subranges in the "Available" list and clicking the [image] button will add that selection to the list of those Subranges to be cached. Conversely, a Subrange selection may be removed from the Cached list by use of the [image] button. All contents of the Available or Cached lists may be added or removed, by use of the [image] or [image] buttons, respectively.

FONT CACHE memory manager is only active for fonts which have no character depth or bevel properties. The location on disk of a cached font may be defined in the Preferences window.

Face, Side and Bevel colors

The Face button, left-most, is the most basic means by which the front surface of a 3D character's color may be altered. Clicking this button opens a Color Select dialog box. (The color chosen here is also reflected in the Font Tools located at upper left on the Lyric interface.) Like 2-dimensional text, the "face" surface of 3D characters may also be mapped with image textures via the Surface Properties menu.

The Sides/Edge button, middle, allows the user to set the color of a side/edge surface, if such surfaces exist. Three-dimensional characters inherently have sides but those sides may not be visible if the Character Depth value on the 3D Font FX menu is set to zero. Even with a color (or other texture) set, no attributes of any kind may be apparent on a surface with no actual size. As with Faces and Bevels, Sides may be mapped with image textures via the Surface Properties menu. Additional effects are available on the 3D Font FX menu, accessible via the Edge button to the right of the color controls.

The Bevel button at far right sets colors for the extruded surfaces that may be created to connect the face and side(s) of a given character. Like the sides of a 3D character, its Bevel(s) can seem not to exist if their Depth value is set too low. Most other control of bevels' variations are set on the 3D Font FX menu, accessible via the Edge button.

Note

The [image] button above each text color selector serves to reset that character component to its default color. The Face default is black, Edge, black and Bevel, gray.

It is important to note that colors and textures may be applied to a template as a whole, or that a new color scheme may be set during text input by the user.

To change 3D text colors and textures during input, simply change the controls as desired before continuing to type.

However, the color scheme of a portion of the text in a given template may be applied to the entire template. Use the Alt+T key combination to open the Template Update dialog. Highlight the portion of the text whose colors you wish to apply to all text in the template:

Detail of Template Update dialog

Click Apply in the Template Update dialog, and the color properties of the selected text are now applied to all text in the active template:

Edge

The large Edge button opens the 3D Font FX Properties tab, which affords the user control over Character Depth and Bevel variables. The 3D Font FX Properties page now includes an Edit Text button, which returns the user to the Text Properties tab for further composition and editing of the 3D Text Template's content. See Text Input Field, below.

Cache

Given Lyric's routine method of creating 3D characters from scratch, as glyphs (of the same nature as other Lyric-produced 3D objects), it is desirable to minimize the processing power and memory required by these operations.

Lyric's Font Cache Memory Manager is activated by clicking Cache. Glyphs for 3D characters not already present in the system are created normally and stored by the Font Cache Memory Manager. The dialog shown below opens when the Cache button is clicked, allowing the operator to select and de-select the types of special characters that will be needed for a given composition. This option allows the user to limit the large set of symbols, diacritical marks and other special characters associated with most fonts.

Using this option to minimize required processing power and memory may greatly increase the speed with which the user can input 3D text. The Unicode Subrange Cache Selection dialog seen below shows all available glyphs for the font Arial. Note that the dialog box in the illustration has been expanded to show all of the available choices in one view.

Selecting one of the Unicode Subranges in the "Available" list and clicking the [image] button will add that selection to the list of those Subranges to be cached. Conversely, a Subrange selection may be removed from the Cached list by use of the [image] button. All contents of the Available or Cached lists may be added or removed, by use of the [image] or [image] buttons, respectively.

FONT CACHE memory manager is only active for fonts which have no character depth or bevel properties. The location on disk of a cached font may be defined in the Preferences window.

Font Sample Area

Displays sample characters for the selected Font. The sample that is displayed in the Font Sample area does not reflect an absolute size for the current font. Rather, the two red lines to the left of the upper/lowercase characters span what represents a 50-scanline height. The icons below show the positioning of the red lines for a 50-scanline font, where they span the full height, and a 150-scanline font, where they span one-third of the height.

Note that the same units of measurement, scanlines, apply to both 2-dimensional and 3-dimensional text.

2D text may appear different from unadorned 3D text of the same font-style and size, if the two are in different positions on the Canvas; this is a function of the viewer's perspective on their different positions. At identical coordinates on the Canvas, 2D- and 3D-text of the same properties should appear alike.

Image: Font Sample - 50 Scanlines

Font Sample - 50 Scanlines

Image: Font Sample - 150 Scanlines

Font Sample - 150 Scanlines

Text

Text Input Field

With a 3D Text Template set upon the Canvas, text intended to populate the Template is entered here. Text input to this field honors carriage returns, creating a new line in the Template.

Justification/Orientation

Justification determines how the text aligns to the frame of the 3D Text Template.

  • Left Justify: Justifies text to the left border.

  • Center Justify: Centers text horizontally in the Template.

  • Right Justify: Justifies text to the right border.

Left-to-Right, Right-to-Left text entry buttons

With the appropriate language's IME installed on your system, select the RTL [image] button for entry of text in languages such as Thai, Arabic, Hebrew, Vietnamese and Hindi. (See also RTL Input Mode and Complex Scripting.)

Top, Middle, Bottom,
First Line, Horizontal/Vertical

When text is added in multiple rows to the Template, these buttons determine which row remains at coordinate "0" on the Y axis.

  • With the Top button selected, the origin point of the first of multiple rows remains at 0 on the Y axis. Rows created subsequently are added at the bottom of the template, whose top row remains stationary.

  • With the Middle button selected, the vertical center of the Template remains at 0 on the Y axis.

  • With the Bottom button selected, the baseline of the last of multiple rows remains at 0 on the Y axis. Rows created earlier rise in a stack whose bottom remains stationary.

At left, Template orientation is Top. At center, orientation is Middle. At right, orientation is Bottom.

  • With the First Line button selected, the baseline of the template's first row (as opposed to the origin point shown by its local guide) is placed at the template's current position on the X axis.

  • H/V: This button toggles between typing conventionally on a Horizontal baseline, and tipping the baseline -90° on its Z axis, effecting a Vertically oriented baseline. Note that when the V option is in effect, the change is not reflected in the XYZ Properties Page's Rotation values.

Select Input Language

Lyric composition in non-English languages requires a certain level of expertise with Lyric, and fluency in the selected language on the part of the operator. Technical questions on this facility may be directed to Chyron Customer Service.

To begin composition in a language other than English, click the Select Input Language button. Pictured at left are the selection buttons for those languages whose Windows Language Packs are installed on the system pictured. Some languages simply assign single characters to keys on your physical keyboard, and do not require an Input Method Editor (IME). With one of these languages (including Hebrew, Arabic, Divehi, Urdu, Tamil and Hindi) selected for composition, the IME button is inactive. The user may simply input text, as above, relying on the simple mapping of non-English characters to their assigned positions on a standard keyboard .

If composition in a language requiring use of an IME is selected, the [image] button becomes available; see below.

Note that Lyric's default input language may be set on the Configuration > CG Preferences menu.

Select Alternate IME

As of this writing for the release of Lyric Version 7.1, Lyric supports Chinese, Japanese and Korean language composition, all of which require the use of an Input Method Editor. Click here for additional detail on using IMEs in Lyric.

Character Map

Clicking this button opens the standard Windows Character Map, wherein the user may select special characters that are available to the system.

3D Text Template Properties dialog

This button opens the 3D Text Template dialog.

Spell Check

The Spell Check function examines all text in the Text Input Field, checking it against the dictionary in your system's installation of Microsoft Word 2003 or later.

Installation of Microsoft Word 2003 or later on your system is required in order for 3D text spell-checking to operate.

External Data

External Data, Config, Update

These controls enable the DBLink function or External Update of template content via Intelligent Interface. The functionality for both these options is similar to their use with 2D text templates.

Formatting: Spacing

Leading

Adjusts the space between the template's rows. (Range: -300 to +300 scanlines).

Kerning

Adjusts the horizontal spacing of the selected characters. (Range: -100 to +100 pixels.)

Space

Adjusts the width of the selected font’s "Space" character. (Range: 0 to +200 pixels).

Formatting: Transform

Scale

This feature will be implemented in forthcoming releases of Lyric.

Rotate

This feature will be implemented in forthcoming releases of Lyric.

Shear

This feature will be implemented in forthcoming releases of Lyric.

Reset

This button returns all controls in the Formatting area to their default values.


2D Font FX Properties

Properties > 2D Font FX

Click on the 2D Font FX tab of the Properties window to view or change 2D Font FX Properties:

2D Font FX Properties

Property

Description

Components

Determines the character's face and or edge for the application of Offset, Shadow and Border effects. The Cut, Paste and Copy buttons remove, restore and duplicate entries in the Components window.

Direction

Selects Direction for the selected Edge component in degrees; you may enter a value numerically, click the up/down arrows to increase/decrease the value, or use the Circular Slider, also known as a Spin Control Box, to dial in the desired value.

Effects

Determines one or more of four Edge Effect styles:

Offset

Shadow

Border

None

Lyric supports as many as five edges on 2D text characters, via the Add button (in the Components area). To add a new (or additional) edge style, click the Add button, then select the desired Effect.

Edge Size

Selects the Edge Size for the selected Edge Component.

Transparency

Sets Transparency for the selected Component (character Face or Edges). This field sets the Transparency percentage with respect to video, on a scale from 0 (opaque) to 100 (transparent).

Fill for Face /
Fill for Edge

Sets/changes the Fill for the selected Component (Face or Edges). Fill may be a solid or ramp color, or a texture (bitmap).

Filter

A variable reduction in the sharpness of the selected edge style, ranging from 0 (sharpest) to 15 (softest). Filter applies to Drop Shadow, Offset and Border styles.

Font
Sample Area

Displays sample characters for the selected Font, with Font and 2D Font FX Properties applied. The sample that is displayed in the Font Sample area does not reflect the actual size of the font. Rather, the two red lines to the left of the upper/lowercase characters span what represents a 50-scanline height. The icons below show the positioning of the red lines for a 50-scanline font, where they span the full height, and a 150-scanline font, where they span one-third of the height.

Image: Font Sample - 50 Scanlines

Font Sample - 50 Scanlines

Image: Font Sample - 150 Scanlines

Font Sample - 150 Scanlines

Note that if the TrueType® font on which a Lyric font is based is not available a red slash is displayed across the Font Sample.

Image: TrueType Font Unavailable

TrueType® Font Unavailable

Apply

Applies the current 2D Font FX settings to the selected 2D character(s) on the Canvas.

For Help on other Properties topics, select the desired Tab:


3D Font FX Properties

Properties > 3D Font FX

3D characters in Lyric are extruded from 2D characters. 3D characters have most of the same characteristics as other Lyric 3D objects. They may be rotated in 3D space to show all sides and textures can be applied to their surfaces. A 3D character is comprised of three types of Surface elements:

  • Faces: The Front and Back faces represent the information that comprises the 2D character from which the 3D character is built.

  • Sides: The sides are a second set of surfaces created by Lyric to give the 3D character depth. Until sides are created by raising the Character Depth setting above "0", 3D characters remain two-dimensional.

  • Bevels are additional surfaces created by Lyric, which connect the faces and sides of 3D characters. Their shapes, angles and sizes may be set by the user. They can be turned on and off, and like Faces and Sides, be mapped with a wide variety of colors and other textures.

Image: 3D Character

3D Character

Depth and Bevel attributes are set as seen below. Refer to Surface Properties for information on applying colors and textures to characters' faces, bevels and sides. The Color and Image controls at the bottom of the menu pictured here, apply only to a generalized outline of the entire character.

3D Font FX Properties

A change in any of the following parameters is immediately applied to all currently selected 3D characters.

Character Depth

Character Depth sets the depth of the selected 3D character(s).

Character Depth set at values of 0 (left), .1 (center) and .3 (right)

To set Character Depth, adjust the Up/Down [image] arrows or the slider.

Smoothness

This adjustment varies the number of triangles comprising the character primitive being rendered, with a direct effect on the quality of the character's appearance.

At left, the Smoothness value is set to 1. At right, it is set to 10.

Bevel

Lyric's 3D character Bevel function is turned on by selecting among the five "Type" options appearing top right and at bottom in the illustration below. Bevel Types are discussed in more detail, following.

The Bevel function is effectively turned off by selecting the Square option, circled at top left.

Pressing this button from among the six Bevel options renders the Bevel Mode (Front/Back/Both) and Depth controls inactive, and applies no Bevel effect to a character.

Bevel Mode

Bevels may be added to the Front, Back or both faces of a 3D character, as seen in the following illustration.

Image: Bevel Modes

Bevel Modes

To apply a Bevel Mode, select the appropriate radio button.

Bevel Depth

Bevel Depth sets the depth of the Bevel effect.

Image: Bevel Depth

Bevel Depth

Bevel Types

There are six Bevel Types. Examples of the different Bevels are shown below. Figure (below) and button (above) positions correspond to each other. Remember that the Square option adds no bevels to a character, and deactivates the Mode and Depth controls.

Square (No bevel) | 45° Angle | Outer Rounded
Inner Rounded | Step Down | Step Up

To apply a Bevel Type:

  1. Select the 3D characters to which to apply the Bevel.

  2. Click on the Bevel button. The Bevel is applied to the text.

  3. Vary the Depth and Front/Back/Both options as desired. You may also apply any colors and textures you may wish through the Text Properties' color selection buttons or the Surface Properties menu.

Edge/Border

These color and image mapping variables affect the entire character(s). They are added to the character in addition to any texture modification configured and applied to the Face, Sides and Bevel(s).

Enable

This checkbox turns Edge/Border effects on and off.

Properties

  • Softness controls the definition of the Edge/Border effect, from sharply focused (Softness = 0) to extremes of blurriness that can make the effect difficult to see.

Left: Softness level at 3. Right: Softness level at 12.

  • Strength controls the size of the area of the effect.

  • Fix Obtuse Angle: This option may be enabled to correct the undesired appearance of sharp angles in the 3D text Edge effects on certain fonts.

At left, the Edge effect applied to the "N" and "A" characters produces unwanted sharp angles generated by the characters' geometry.
The condition is corrected at right by use of the Fix Obtuse Angle option.

Offset

This adjustment allows the user to position the edge/border along the X, Y and Z axes in relation to the selected object.

Color

Allows mapping of solid or ramp colors across the edge/border created by the user. Clicking this large color chip opens a familiar Color Select dialog.

Image

  • The checkbox allows the operator to Enable or disable the mapping of bitmap images across edge/border effects.

  • Click the large image preview box to open a familiar Select a Texture Source dialog. Use the dialog to select the desired image.

For Help on other Properties topics, select the desired Tab:

3D Characters - Related Topics


XYZ Properties

Properties > XYZ

The XYZ attributes of an object determine its orientation in the Lyric Canvas' 3D space. Settings are based on the same type of XYZ axes used for mathematics.

XYZ Axes

XYZ Properties affect positioning and rotation for all objects in Lyric, including 2D text, 2D bitmaps, Flipbooks, 3D characters, 3D objects, the Camera and light sources. Parameters that are set in XYZ Properties are immediately reflected on the Canvas.

XYZ Properties

If the currently selected object is an Individual Light source, Position is the only field in the XYZ window that is available. Note that no positioning of the Global Light source is possible.

Any change to an XYZ Property is applied to all currently selected objects. Refer to Transform Tools for additional information on XYZ attributes.

NOTES

In previous versions of Lyric, the Single/Global Keyframe Adjust selection (the toggling Image: Single Keyframe Adjust Icon / Image: Global Keyframe Adjust Icon button) was located on this Properties panel. This control is now located on the Chyron Toolbar.

On this Properties panel, the [image], [image] and [image] buttons reset the value in the edit box to its default.

Property

Description

Rotation

The Rotation settings specify how an object rotates about the X, Y and Z axes. Circular Sliders, also known as Jog Wheels, and Spin Control Boxes are used to adjust rotation values.

Position

The Position settings specify the location of the object in XYZ space. The Canvas center is the origin point; i.e., X = 0, Y = 0, Z = 0.

Scale

The Scale settings specify how the object is scaled in relation to its original size. Scaling is applied to the X, Y and Z axes. Settings can be individually applied to each of the axes, or can be evenly applied to the X and Y axes in order to maintain the aspect ratio of the object.

  • If Lock Aspect Ratio is not enabled (unchecked), the value for each of the axes can be individually set.

  • If Lock Aspect Ratio is enabled (checked), any change to the X value is reflected in the Y value, and vice versa.

Center

The Center settings specify the center point about which an object rotates and from which it is scaled.

  • If Relative to Position is enabled (checked), the center point about which the object rotates or from which it is scaled is relative to the individual object.

  • If Relative to Position is disabled (unchecked), the object rotates about or is scaled from the center of the Canvas.

The Center of Rotation display on the Canvas can be toggled on or off:

  • Select the object and then right-click. Select Show Center of Rotation.

Image: Show Center of Rotation

Show Center of Rotation

Reset to Default

Restores all XYZ values for the selected object(s) to default settings.

Rotation: All 0

Position: X = 0.000; Y = 0.000; Z = -2.000

Scale: All 1.000

Center: All 0.000

Lock Aspect Ratio: Off

Relative to Position: On

Single/Global Keyframe Adjust: Single

Do not use this function to reset the default values for a Video Region, as it resets scale to X = 1.000; Y = 1.000; Z = 1.000 instead of X = 1.333; Y = 1.000; Z = 1.000.

For Help on other Properties topics, select the desired Tab:


Lighting Properties

Properties > Lighting

Click on the Lighting tab of the Properties window to view or change Lighting properties.

The Lyric Canvas always includes one Global Light Source (which cannot be turned off) and up to six (6) independent movable Light Sources.

Lighting Properties: At top, Global Light controls.
Left: Individual Light #1 selected, configured as a Flood Light. Right: Individual Light #2 selected, configured as a Spot Light.

Property

Description

Global Light

A Canvas may have one Global light, which is ambient light that comes from all directions equally. You may set an Intensity level for the Global light, and also you may set/change the light Color.

Individual Light

A Canvas may have up to six Individual Lights, which may be configured and positioned independently. Like any other Lyric parameter, lighting changes may be animated.

Individual Lights may be configured as either Flood (light radiates at all angles from light source) or Spot (light is focused in one direction).

Icon Visible

If Icon Visible is checked, the selected Light Source(s) appears on the Canvas, for ease in positioning.

A Canvas may have, in addition to one Global light source, up to six Individual light sources. Each Light Source may be configured and positioned separately. And, like all Objects in Lyric, Light Sources may be animated.

Control

Description

The round buttons turn the Individual Light sources on and off in any combination. The numbered square buttons select an Individual Light source for editing.

Each Individual Light may be set up as a Flood Light or a Spot Light. Flood Lights radiate in all directions; Spot Lights radiate in one direction, with variable angle and attenuation (see below).

  • Intensity of a selected light is adjustable over a range from 0 to 100.

  • Click the Color sample to open a color selection dialog.

  • The Attenuation control varies the difference in the light's intensity as measured at the source rather than at the edges of the cone-shaped area being illuminated. A value of Zero (0) Attenuation indicates that there will be no decrease in illumination at the edges of the illuminated area. Changes in the Attenuation value will only be evident in the Spotlight's effect on objects it illuminates.

  • You may vary the Angle between the edges of the cone-shaped area of illumination.

In this illustration, the blue Spotlight at left is set to a 15˚ angle; the yellow Spotlight is set to a 45˚ angle.

If this item is checked, then the selected Light Source appears on the Canvas as shown in the first illustration.

To reposition an Individual Light source on the Canvas, you may drag it with the mouse, or use the controls on the XYZ Properties Panel to reposition Light Sources.

For Help on other Properties topics, select the desired Tab:


Surface Properties

Properties > Surface

Surface Properties defines how Colors, Transparencies and/or Textures are mapped to the various Surfaces on a 3D character or object, as well as the Alpha value (transparency) of a 2D bitmap or 2D Text Window. These properties are set in the Surface tab of the Properties window.

About Objects and Surfaces

2D Text Windows and 2D Bitmaps

The Alpha value of 2D text windows and imported 2D bitmaps can be adjusted. Colors, Textures and other settings in the Surface Properties tab do not apply to 2D Text Windows or 2D bitmaps.

3D Characters

A 3D character is comprised of three types of Surface elements:

  • Faces: The Front and Back faces represent the 2D character from which the 3D character is built.

  • Sides: The sides determine the depth of the 3D character.

  • Bevels: The Bevels determine the transition between the faces and the Sides.

Image: 3D Character

3D Character

Color and/or Texture can be applied independently to each of these elements. Note that Color can also be applied to the Face and Sides of a 3D character from the 2D Font FX Properties tab, as well as from Font Tools. Refer to Properties: 2D Font FX and Font Tools for additional information.

3D Objects

A 3D object's Surface may be comprised of several individual elements, as designed and named by the creator of the object. Colors and/or Textures can be applied to each element.

When available, the object's surface elements may be selected individually for adjustment in the Surface > Geometry dropdown (read on). The example below shows a soccer ball that is composed of two Surface elements, named Ball Leather (in this example the white areas) and Black Leather (the black areas). Most objects also afford the operator an All option, for modifying all of the surface elements at once.

Image: Soccer Ball

3D Object "Soccer Ball", comprised of two Surface elements.
(The object is shown here in its original state, before being modified in the Surface menu.)

Setting Surface Properties

To access Surface Properties, select the Surface tab in the Properties window.

  • Click on the Surface tab of the Properties window to view/change Surface Properties:

The following figure shows Color and Texture applied to a 3D object called SoccerBall, which is comprised of two elements, Ball Leather and Black Leather. The state of the Properties tab on the left shows that the color black is applied to the Panels Surface. At right, the same menu, with image texture controls active, shows that a Chyron® logo graphic is applied, or mapped, to the Ball Surface.

Surface Properties Tab

The following figure shows examples of Color and Texture mapping. Color and Texture can be simultaneously applied to the same Surface.

Image: All White Soccer Ball

No Color/Texture Applied to Ball Leather or Black Leather

Image: Soccer Ball

No Color Applied to Ball Leather;
Color Applied to Black Leather

Image: Texure and Color Applied

Texture Applied to Ball Leather;
Color Applied to Black Leather

Image: Texture/Color and Color Applied

Color and Texture Applied to Ball Leather; Color Applied to Black Leather

Image: Texture and Color Applied to Ball; Texture and No Color Applied to Panels

Color/Texture Applied to Ball Leather;
Texture but No Color Applied to Black Leather

IMage: Texture and Color Applied to Ball and Panels

Color and Texture Applied to Ball Leather and Black Leather

Material

Color Chips

Color for 3D characters and 3D objects can be applied to each individual Surface element.

  • Color and Texture are, by default, inactive when a 3D character is created or when a 3D object is first imported. This inactive state is equivalent to disabling color by de-selecting the Color checkbox or selecting the Texture "None" radio button in previous versions of Lyric. When active, the selected Colors are displayed in the Diffuse and Specular Color Chips shown below.

  • If Color is enabled and Texture is enabled, the colors displayed in the Color Chips are applied to the selected Surface.

  • If Color is disabled and Texture is enabled, the color displayed in the Color Chip is not applied to the selected Surface.

Note that the position and intensity of the Global Light and any individual Lights can change the appearance of colors applied to 3D characters and objects. Increasing the distance of a white light source may cause the light "falling on the object" to appear gray. Proper intensity and position of lights, however, can enhance the appearance of depth of 3D characters and objects. Refer to Properties > Lighting for additional information.

Color selection is accessed from the Diffuse and Specular Color Chips.

Diffuse and Specular

Diffuse and Specular may be thought of, respectively, as the predominant color, and the highlight color of a given Surface.

To select a color to apply:

  • Click the Color Chip. The Color dialog box opens. Refer to Color Selection for Light Sources and 3D Characters/Objects for information on setting a color in this dialog box. Note that if the applied Color is white, the appearance of a Texture applied to the same Surface may or may not be affected. Experiment with enabling and disabling the color to see which produces the optimal results. If the applied Color is black, however, a Texture applied to the same surface will not be visible unless Shininess is set towards 0.

Alpha (formerly Transparency) and Shininess

Alpha for a Surface can be set from completely opaque (0) to completely transparent (100). Alpha settings applied to selected text in a 2D Text Window affect all text in the 2D Text Window. The figure below shows 0% Alpha applied to the Ball Leather of the Soccer Ball object and to the Faces and Sides of a 3D character. The same Texture is applied to Panels of SoccerBall and to the Bevels of the 3D character. Note that changing the Alpha property does not alter the Alpha level of the object itself, in that it does not provide alpha information where there was none before, nor does it change the transparency of the object's existing alpha information. It does, however, change the video level at which the object is displayed. This distinction is particularly important when setting up Mask Objects (2D bitmap graphics only). The source of the displayed Transparency affects the appearance of the Mask Object depending on which system Lyric is running. Refer to Mask Objects - Introduction for additional information.

Shininess determines the reflectivity of the 3D character or 3D object Surface. The range is from 0 (flat matte) to 128 (most reflective). Note that on entering the Properties tab, Shininess may be set to a default value, even though the object appears to be at a different value. This default Shininess setting does not become active until clicked.

To set Alpha or Shininess:

  • Enter a value or drag the slider to the desired value.

Image: Transparency Applied to 3D Object and 3D Character

An Alpha Level of 0% Applied to Surface Elements of 3D Object and 3D Character

Texture

On this Properties panel, the [image], [image] and [image] buttons reset the value in the edit box to its default.

Texture for 3D characters and 3D objects can be enabled or disabled for a Surface. As many as 4 Textures may be applied to each individual surface. The source of the Textures can be an Image (2D graphic file), Movie (.avi or .mov format) or 2D Text . The Texture can be oriented, rotated and scaled, and can be wrapped, made reflective or masked.

Applying a Texture

Texture Chip

Click the Texture chip to begin. By default, the Select a Texture Source dialog seen below opens; this particular dialog is used for bitmap images.

Image: Select a Texture Source

Select Texture Source Dialog Box

Refresh Button

If the image you have selected (and are still working with) has changed, clicking the Refresh button re-applies Texture to the object from the source file in its current state.

The Refresh button used to update Texture from an image file which has been altered outside of Lyric. The green line across the objects is a function of the Highlight Selection option.

Texture Dropdown

Recall that up to four Textures at once may be applied to any given surface of a 3D object. When the first texture is added to an object, the option of adding Texture 2 becomes available; when a second is added, the option of adding Texture 3 becomes available, and when a third is added, the option of adding Texture 4 becomes available.

Click on the designation of the next available texture, and then use the Source dropdown (next section) to choose an image, a movie file or a 2D text window as the texture source. (Hint: If your texture source is going to be a bitmap image, just click on the Texture chip to open the Select A Texture Source dialog.)

Source Dropdown

You may use a bitmap image, a movie file or a 2D Text window as your texture source.

Note that the position and intensity of the Global Light and any individual Lights can change the appearance of Textures applied to 3D characters and objects. Proper intensity and position of lights can enhance the appearance of depth of 3D characters and objects. Refer to Properties > Lighting for additional information.

Applying Texture from a Graphics File

Choose one of the following methods to select a Texture to apply to the 3D character or object:

  • Click the Texture Chip or select (click) the File radio button. The Select a Texture dialog box opens. Select a file, and then click Open.

    OR

  • Drag-and-drop a graphic from the Browser Bitmap Asset Window or Browser Aprisa 100 (Still) Asset Window to the Texture Chip. Refer to Browsers: Bitmap Asset Operations and Browser: Aprisa Still Operations for additional details.

    Dragging-and-Dropping a Texture from the Browser

Once a Texture from a file has been selected:

  • Note that a Texture that does not completely cover the object surface repeats.

  • If the selected Texture contains Alpha information, which is to say built-in Transparency (as opposed to Transparency applied from the Surface Properties Transparency setting), the 3D character or object will contain transparent areas wherever transparent Texture is applied. In the following figure, the Chyron logo contains areas that are completely transparent.

    Image: Applying a Texture with Alpha Information

    Applying a Texture with Alpha Information

  • If the selected Texture contains Alpha information and a color is selected but not enabled, the color shows wherever there are transparent areas.

Applying a Texture from a Movie file

Playout of .avi and .mov (Quicktime") can be mapped to the Surface of a 3D character or 3D object. To apply movie file video:

  1. Use the Source dropdown as seen above, and select Movie. The Movie Properties dialog appears:

Movie Surface Settings - Movie Properties dialog

  2. Click the Browse button The Select a Movie File dialog box opens.

  3. Select the desired .avi or .mov file and click Open.

Applying a Texture from a 2D Text Window

The contents of a 2D Text Window, including its Background, can be mapped to a 3D character or 3D object. The contents of a Roll or Crawl window may be used in the same manner, but will not animate across the surface of the target object.

  1. Open a 2D Text Window, and create text. RGB Font characters and bitmaps imported into the 2D Text Window can be used. In the example shown during this procedure, there are three 2D Text Windows on the Canvas. 2D Text 1 has no Background. It will be applied to the object SoccerBall.

  2. Select the 3D character or 3D object to which to apply the 2D Text Window.

  3. Select a Surface to which to apply the 2D Text Window.

  4. In the Texture area, use the Source dropdown and select 2D Text. The Select An Object Texture dialog box opens. In this example, three 2D Text Windows are available.

    Image: Selecting an Object Texture

    Selecting an Object Texture

  5. Select (click) a 2D Text Window to use as a Texture Source. In this example, 2D Text 1 is selected.

    Image: Select 2D Text 1

    2D Text 1 Selected

  6. Click OK. The 2D Text Window is applied to the selected Surface of SoccerBall. The figure below shows the same 2D Text Window mapped to both the Panels and the Ball Surfaces, so that there is continuity in the text. Additionally, the color black was applied to the Ball surface, and the color gray was applied to the Panels.

Image: Mapping an Object

Mapping an Object

When a 2D Text Window is mapped to a 3D character or object, it is turned off on the Scene Graph. It can be turned back on for editing or display. Note that to change the 2D text that had been applied to the object, the 2D Text Window must be made visible, edited, and then reapplied to the 3D character or object.

Mode Dropdown

This control offers three variations on the manner in which a Texture is superimposed on the target object.

  • Decal: This mode simply places the texture-source image over the target object, with no variations in either's Alpha level.

  • Blend: This mode superimposes the texture-source image on the target object, matching the target object's Alpha level to that of the texture-source image.

  • Fade: This mode superimposes the texture-source image on the target object with the option of varying source image's Alpha level (using the Alpha control at the bottom of the Texture area).

Transform

About Orientation

All changes in orientation such as X-Offset, Y-Offset, Rotate and Scale are relative to only to the 3D character or 3D object. The orientation of the 3D character or 3D object within the space of the Canvas has no bearing on the orientation settings for the Texture.

Changes in the X or Y Offset, Rotate or Scale settings of a Texture do not affect the XYZ settings of a 3D character or 3D object, nor does a change in the XYZ settings of a 3D character or 3D object affect the orientation settings of a Texture.

X and Y Offset

These settings allow horizontal (X) and vertical (Y) adjustment of the applied Texture. The range of the settings is from -10.000 to 10.000. 0 for both of the above settings centers the Texture map. Note that the Texture may repeat as it is adjusted.

Centered, X Offset 0.640, Y Offset -0.450 and Both Offset

X and Y Scale

These settings determine the size and the number of iterations of the Texture image applied to the 3D character or 3D object. Range is from -10.000 to 10.000000.

Scale Set to X=1.1/ Y=2.1, X=3.5/Y=5.2 and X=4.5/Y=6.5

Rotate

The Rotate setting allows rotational adjustment of the applied Texture. Range is from 0.000000° to 360.000000°.

90° Rotation

Alpha

This control affects only the texture imposed on 3D objects or 3D characters. The control becomes available when the Texture Mode control is set to Fade.

Mapping Dropdown

Note that these controls, along with the Offset and especially the Scale settings, all interact with each other to affect the appearance of source images across the target object. You may have to experiment to achieve your desired result.

Repeat

This setting causes multiple iterations of a source image to repeat across the surface of the target object.

Mirrored

This setting alternates repeating iterations in opposite orientations.

Mirrored Texture Mapping

Clamp

When 2D bitmaps are mapped across 3D objects: The Clamp option maps only one iteration of the source image to the target object, thus causing the X and Y Scale control to vary the size of that single image without generating repeated iterations of the image. When a "clamped" image is moved with the X or Y Offset controls, any remaining space on the selected surface is filled with repeating iterations of the pixels from the nearest edge of the image.

Image mapped onto cube in Clamp mode. At left, image is offset on the X axis. At right, the image is offset on the Y axis.

When 2D bitmaps are imported into the Canvas as individual objects: If the X and Y Offset controls are used to shift such an image across the region it originally occupied, the remaining "empty" space in that region is filled with repeating iterations of the pixels from the nearest edge of the image.

Image imported directly onto the Canvas in Clamp mode.
At left, image is offset on the X axis. At right, the image is offset on the Y axis.

Texture Gen. Dropdown

Reflective

When Reflective is enabled, the 3D character or 3D object acts like a mirror, with the Image, Movie or 2D Text-based object reflecting from the 3D character or 3D object. Depending on the location of the object surface, different areas of the flag are reflected by the surface. Both Reflective and Wrap can be simultaneously active. Reflective and Masked cannot be simultaneously active. Each surface of a 3D object (not a 3D character) can have Reflective, Masked or neither applied. When applied to a surface of a 3D character, Reflective is applied to all surfaces of the character.

Two Examples of Reflective Texture

Sphere Map

The Sphere Map option provides reflective texture mapping that is optimized for three-dimensional objects with curved surfaces.

The Sphere Map option applied to a curved 3D object

Masked

When Masked is enabled, the Image, Movie or 2D Text-based object is mapped to the Canvas, and the 3D object reveals it as it passes over it. If the Texture source does not cover the area of the Canvas, it repeats, or tiles, to fill up the Canvas. Both Masked and Wrap can be simultaneously active. Reflective and Masked cannot be simultaneously active. Each surface of a 3D object can have Reflective, Masked or neither applied. When applied to a surface of a 3D character, Masked is applied to all surfaces of the character.

The following figures show the front of a 3D box with an American flag mapped as Masked. Depending on the location of the front of the box, different areas of the flag are revealed by the "cutout" defined by the front of the box.

Masked Texture Mapping

If more than one object and/or different surfaces of the same object have Masked Textures from the same source applied, each Texture can be independently controlled. For example, a Masked Texture applied to the front of the box can have a different Scale and Rotation from the Masked Texture on a side of the box.

Wrap Checkbox

The Wrap setting specifies whether the selected Texture is applied to only the specified Surface element or to all Surface elements. In the case of 3D characters, Wrap is available only if Face or All is selected. If Wrap is enabled (checked), Texture settings for the other Surface elements are ignored, and the Texture applied to the currently selected Surface element is applied to the entire 3D character or object. The figure below shows the same Texture applied to the Face, with Wrap disabled (left) and enabled (right).

Image: Wrapped Texture

Wrap Disabled (Left) and Enabled (Right)

Flip H and Flip V Checkboxes

Select these checkboxes to invert the source-image (and its iterations) 180° horizontally or vertically.

Filter

This part of the panel offers a variety of options for improving the appearance of images mapped to surfaces.

Minify

Recommended for use when scaling down an object or moving it further away from the Camera on the Z axis. Three modes are offered for mitigating the symptom known as 'blockiness' (also called 'the jaggies'). It is suggested that you experiment with the settings to achieve the best results in a given situation. These options differ from Preferences > Animation Settings > Full Scene Antialiasing in that antialiasing affects primarily the edges of bitmap images, while the Minify filter options are applied to an entire image.

  • Bilinear: The default setting; analogous to similarly named re-sampling modes in other graphics programs.

  • Pixelate: This setting can produce a result similar to the 'Sharpen' or 'Sharpen Edge' effects in Adobe Photoshop®. In the illustration below, the value has been set at a high level to demonstrate the possible downside of overdoing this effect. [In this mode, the Blur slider is used to control the value. The Trilinear option (see next item) is used to produce conventional blurring.]

Pixelate filter; at left, Blur effect 0%. At right, 250%

  • Trilinear: In most situations, the Trilinear mode is most useful for smoothing the appearance of imported bitmaps. As with Pixelate, the user should be wary of setting this value too high; see the illustration below.

Trilinear filter; at left, Blur effect 0%. At right, 300%

Magnify

This filter can be used to smooth the appearance of small details in parts of an image that have been moved away from the Camera. The Linear setting will almost always yield the best results.

Mipmap

The Mipmap functions provides a variety of filtering algorithms for use with textures which have been scaled down. These options create subtle differences in the appearance of scaled textures, and will be most noticeable when the Minify filter is set to ‘None’ or ‘Pixelate’.

Anisotropy

In scenes where perspective is being modified, this setting can be changed to vary the effect of the Minify and Magnify filters across the region occupied by a mapped image.

Blur

See above, in the descriptions of the Pixelate and Trilinear Minify options.

External Data

For imported 2D images, the DB Link, II Update (Intelligent Interface Update) and External Update features are available.

For 2D images mapped to 3D objects, the DB Link feature only is available.

Geometry

Surface Dropdown

The Surface dropdown displays a list of all available 3D object or 3D character Surfaces to which texture and color settings may be applied. Note that when a 2D object or 2D Text Window is selected, no choices are displayed, as the settings are applied to the entire object. To select a Surface:

  • When a 3D character is selected, the Surface dropdown offers a choice of All, Face Bevels or Sides.

Note that the Bevels selection is available even for 3D characters without Bevels (added in the 3D Font FX Properties panel). If a color or texture is assigned to a character's non-existent Bevels, any Bevels added later will bear those attributes assigned previously.

  • 3D objects may have just one continuous surface (like the bugle below left) or multiple surfaces (like the cube below right) .

The bugle at left has one continuous surface to which textures and colors may be applied.
The cube (called "Box01"in the dropdown pictured below) has six such surfaces.

  • When a 3D object is selected, the properties of its original design cause Lyric to offer a list of the available editable surfaces.

Available surfaces for the bugle and the cube pictured above.

  • When the All option is selected, the texture or color with which you are working is applied to all surfaces of the selected 3D object or 3D character.

Lock Selection checkbox

The surface of a 3D object with which you wish to work can be selected by clicking on it with the mouse. (The Lock Selection checkbox must be unchecked in order to select a surface in this manner.) The selected surface is displayed in the Surface dropdown, and all settings associated with that surface are displayed in the Texture controls. When Lock Selection is enabled, mouse selection of a surface is disabled.

Highlight Selection checkbox

This option places a visible mark across the selected surface of a 3D object. The highlight has a different appearance on 3D objects with multiple surfaces (below left) than on those with one continuous surface (below right).

Model

These settings allow the operator to modify additional components in the makeup of three-dimensional objects imported into the composition.

Stripify

"Stripify"-ing a three-dimensional object minimizes the calculations that Lyric must perform regarding the vertices that comprise the object's constituent triangles. This action can offer an advantage in the ease and speed with which Lyric executes animations involving the 3D object. An object can be stripified upon import by selecting the Import as Triangle Strips checkbox on the Select a 3D Object dialog box.

Deconstruct

This option turns all of the object's surfaces (as listed in the Geometry > Surface dropdown) into distinct elements on the Canvas/Timeline/SceneGraph.

In the composition pictured above, one surface is being manipulated separately
from the rest of the 'deconstructed' pyramid shape.

When the different surfaces of the 3D object appear separately on the Timeline and Scene Graph, they can be manipulated and animated individually.

Smoothing Angle

This setting varies the effect of Lighting on the polygons that comprise 3D objects. The mechanism behind this adjustment involves Lyric moderating the effect of lighting on those polygons in the object whose cross-product is less than or equal to the value set on the Smoothing Angle slider.

Smoothing Angle set at 115° (left), and set at 50° (right)

Update Button

Click the Update button to be sure that any changes you've made to the Smoothing Angle are applied.

Data

These two options are essential to producing self-contained, portable Lyric messages that do not depend on files retrieved from sources external to the Lyric installation.

  • Click Embed Geometry on Save to preserve the data comprising imported 3D objects as part of the saved Lyric message.

  • Click Embed Textures on Save to preserve the data comprising bitmap images and movie files used for Textures as part of the Lyric message.

Note that use of these options, especially the latter, can substantially increase the file size of saved Lyric messages.

Total Triangles

The number of triangles generated to create the 3D character or 3D object, indicating the complexity of the character or object.

For Help on other Properties topics, select the desired Tab:

3D Characters/Objects - Related Topics


Camera Properties

Properties > Camera

Some features listed herein may be unavailable in your version of the Lyric software.

Camera properties, accessed from the Properties > Camera tab, describe how the Canvas is to be viewed (Projection) and where the viewer is represented by a Camera (Camera Lens). Like any other Lyric object, the Camera may be adjusted, repositioned and even animated. The Camera feature is a powerful editing tool, enabling you to quickly scale or reposition all objects on a Canvas, simply by changing the viewer's perspective.

Properties: Camera

Property

Description

Orthographic

Orthographic Projection views the object(s) as if they were placed on a drawing plane perpendicular to both the viewer and the lines of projection. An Orthographic camera is fixed in space and renders objects at an absolute size on a flat plane. When Orthographic Projection is selected and rotated objects are viewed, they are displayed as Isometric projections. Camera Lens adjustment is not available when Orthographic Projection is selected.

Orthographic Projection

Perspective

Perspective Projection differs from Orthographic Projection in that there is always a Vanishing Point, so that objects further away from the camera position tend to reduce in size until the Vanishing Point is reached. Note that adjustments in Camera Lens affect the viewer perception of where the Vanishing Point is located.

Lens

(Known as FOV in some versions of Lyric.) The Lens control adjusts the magnification of the Camera and the apparent distance between the view and the objects when Perspective Projection is selected. The range of Camera Lens adjustment is from 0 (objects are closest) to 180 (objects are furthest away); the default value is 45. FOV is available only when Perspective projection is selected.

Aspect

This control adjusts the X value of the scene's aspect ratio, and does affect the Lyric composition, both on the Canvas and on Outputs. This feature will be used chiefly for making alterations to scenes imported into Lyric from other 3D composition programs.

Near Clip/Far Clip

These controls adjust the Z axis position of Lyric's Near and Far clipping planes. Clipping planes restrict the visible, editable area of a scene. The Near clip plane may be thought of as a wall that can be moved into the Lyric composition from the viewer's/Camera's position, along the Z axis. The Far clip plane may be thought of as a wall that can be moved toward the viewer's/Camera's position from behind the objects in the scene, also along the Z axis.

Like the Aspect control, this feature will be used chiefly for making alterations to scenes imported into Lyric from other 3D composition programs. Although invisible, the clipping planes will obscure any element in the Lyric composition.

At left, no clipping plane imposed. Center, Near clipping plane obscures part of the object from the front.
At right, Far clipping plane obscures part of the object from the back.

Type

  • Free Form sets the Camera's traditional behavior, as explained above.

  • In Target mode, the Camera tracks a designated object in the Lyric composition.

For Help on other Properties topics, select the desired Tab:


Events Properties

Properties > Events
Some features on this tab are available in Lyric Pro only.

NOTE

Only the Loops and Pauses features described below are available in standard Lyric installations. Playback Events are available in Lyric Pro only and their controls will not appear in standard Lyric installations. Playback Events work in conjunction with the Transition Effects and Playout Properties pages.

The Events Properties panel replaces the Loops/Pauses panel seen in previous Lyric releases. Please note that the functionality of some familiar-seeming tools, such as the Loops and Pauses controls, has been updated.

The panel is divided into three sections representing Loop events, Pause events and in Lyric Pro only, Playback events.

Note

As in previous versions of Lyric, the Loops and Pauses controls on this panel affect the entire message and all objects in the current scene graph. Note that the Loops option on the Transition Properties panel can be used when you wish to modify only the behavior of the selected object in the Scene Graph.

To access Events Properties, select its tab in the Properties window. The Pause Options and Ease Options dialog boxes shown below appear when the Modify Pause or Ease buttons are clicked.

Events Properties

Loops Properties

When setting up a Loop, the Time Indicator can be at any position on the Timeline, although the Frame at which the Time Indicator is positioned becomes the default Start Frame for the Loop. This can be changed in the Start Frame field.

The following Loops parameters can be set:

Loops Properties

Description

Enabled

Select (check) the Enabled checkbox to enable Looping. A new Events object is added to the Timeline and the Scene Graph (if one does not already exist) and a keyframe is added at the end frame of the loop.

Each subsequent Loop that is added to the animation results in a new Keyframe added to the Events Object in the Timeline/Scene Graph. There is only one Events Object in a scene graph.

Start Frame

Start Frame defines the Start Time of the loop.

End Frame

End Frame defines the End Time of the loop.

Loops

Number of Loops to be executed. Range is 0 to 50.

Infinite

Selecting (checking) Infinite continually executes the Loop until stopped from Lyric.

To set up a Loop:

  1. Set a Start Frame and an End Frame in the respective fields.

  2. Enter the number of Loops in the Loops field, or select Infinite.

  3. Select (check) Enabled. The Loop is now ready to execute. If this is the first Loop set in the animation, a new Events object is added to the Timeline and Scene Graph. A Keyframe is also added to the Events Timeline at the end Frame of the Loop. Each subsequent Loop added to the animation adds another Keyframe to the Events Timeline.

To view and/or modify an existing Loop:

  • Click the Next Event arrow to select the Loop event you wish to modify.

To escape a Loop in progress and stop animation:

  • Press Esc.

To escape a Loop in progress and play out the animation to its conclusion:

  • Press Esc.

The following conditions apply to Loops:

    • Loops cannot overlap or nest. For example, if there is a Loop from 00:00:01:00 to 00:00:03:00, there cannot be a Loop starting at 00:00:02:15. The Loop must start and end before 00:00:01:00, or it must start and end after 00:00:03:00.

Pauses Properties

When a Pause is set in an animation, the animation stops temporarily at the Frame or event specified for the Pause, then restarts when manually or automatically triggered, as determined by the Pauses setup. Multiple Pauses can be set in an animation. Multiple Pauses can be set in an animation.

  • A Keyframe Pause occurs at a set Keyframe in an animation. This type of Pause is set up from the Properties > Loops/Pauses tab (see figure above). Keyframe Pause setup is described below.

  • An Event Pause is applied to an object that has a self-contained animation, such as a Roll, Crawl or Type On (Slow Reveal). The Event Pause occurs at a point where a certain event has occurred. For example, a Roll can be set to Pause after each Row is executed, or after a Roll window is full. Event Pause setup is described in the section on Properties > Animation.

To set up a Keyframe Pause:

  1. Move the Time indicator on the Timeline to the position at which the Pause should occur. For example, use the time 00:00:03:03.

  2. Select Enabled. The Pause Information window (just above the large rectangular Modify Pause button; see figure above) now displays:

    Pause for Keystroke (default Pause For setting)

    After 00:00:03:03

  3. Set Pauses Parameters as follows:

Description

Description

Enabled

Select (check) the Enabled checkbox to enable a Pause. A new Events object is added to the Timeline and the Scene Graph (if one does not already exist) and a Keyframe is added at the pause point.

Each subsequent Pause that is added to the animation results in a new Keyframe added to the Events Object in the Timeline/Scene Graph. There is only one Events Object in a scene graph.

Pause Information

Describes whether the Keyframe Pause at that Frame in the animation is programmed to be triggered by a keystroke, after a predetermined Timeout, or by a GPI. The Pause Information reflects the settings in the Pause Options dialog box.

Modify Pause

Selecting Modify Pause displays the Pause Options dialog box (see figure above).

Pause Options

Pause Options specify precisely how the Pause is to be applied and how the animation is to be triggered after the Pause. Set parameters, and then select OK to apply, or Cancel to cancel the changes.

Parameter | Description
Pause At indicates which frame number at which the Pause Keyframe is positioned, and how the Pause is to be executed with regard to that Keyframe.
Keyframe In | Keyframe In: Will stop the animation before the Pause keyframe is rendered. When the Pause is released, the animation continues rendering, starting at this Keyframe. The Pause Information window would display: Pause for Keystroke (or Timeout, GPI or Replay) Before 00:00:03:03
Keyframe Out | Keyframe Out: Will stop the animation after the Pause keyframe is rendered. When the Pause is released, the animation continues rendering at the frame directly following the Pause Keyframe. The Pause Information window would display: Pause for Keystroke (or Timeout, GPI or Replay) After 00:00:03:03
Ease | Selecting Ease displays the Ease Options dialog box (shown at right in the figure above). Four types of Ease are available: No Ease, Ease In, Ease Out and Ease In/Out. The Ease Time, which is the duration of time over which the Ease is applied, can also be set. Refer to Ease , found in the section on animation, for additional information.
Pause For indicates what type of trigger is to be used to resume the animation after a Pause Keyframe.
Keystroke | The animation pauses at the specified Pause, and then continues when triggered by any keystroke except Esc.
Timeout | The animation pauses at the specified Pause, and then continues after the specified Timeout.
GPI | The animation pauses at the specified Pause, and then continues when triggered by the specified GPI.

Event Nodes

In previous versions of Lyric, multiple events could not be sustained by a single Transition. With a given Transition (and the events it contained) running, triggering a new Transition would replace the events in the first Transition, effectively canceling it. This limitation extended to manual triggering of a new Transition, as well as Transitions triggering subsequent Transitions.

With Lyric version 6.13, event nodes are no longer limited to one Transition. Therefore, a Transition currently running can continue undisturbed when a 2nd (or 3rd or 4th, etc.) Transition is triggered, either manually or by a keyframe Activation. All of a message's Transitions can thus run simultaneously. The number of Transitions that can run is theoretically infinite, but compositions using this feature should be carefully previewed.

Example: A Transition configured to alternate the appearance of clocks for different time zones might also include a single GPI pulse that starts video playout from an external device. If the alternating clock displays were to appear for an extended period of time, the Transition would be looped to minimize an operator's workload. However, each loop of the Transition would continue to trigger the included GPI pulse, regardless of whether it was needed or not.

A one-time event such as the GPI pulse mentioned above may be given its own Event Node within a given Transition, allowing that event its own behavior(s), excluding properties of previous events.

Creating New Event Nodes

  • To add a new Event Node, click the New Event button under the Event Nodes window. The entry "Events" appears in the Event Nodes window.

  • In the Playback area (more information follows), select one of the Available Events. The [image] button appears below the Available Events and Active Events windows. Use the Add button to move the selected event from Available to Active. Note that that event disappears from the Available Events window. The figure above shows the event "Activation (External)" in both windows to illustrate moving an event from one window to another.

  • Adding Activation, Activation (External), GPI Out, Macro or DB Link presents a variety of options for transitions activating other transitions, selection of GPIs, and selection of Macros to call up. Note that the Frame Notify option applies only to Chyron's Channel Box system.

Next Event

Click these arrows to go to the next (or previous) event for editing.

Playback

Transitions that appear on the Transitions Properties panel and Timeline may be linked and controlled via options on this panel. Use the [image] button to move an Available Event to the Active Events box, or the [image] button to delete an Active Event, returning it to the Available box.

Available and Active Events, Available and Active Transitions

Activation | This event provides a means whereby one Transition can trigger another Transition in the same message (i.e., scene graph). Adding Activation to the Active Events window displays all currently configured Transitions in the windows below. An Available Transition may then be added to the Transitions to Activate box.
Activation (External) | This event provides a means whereby one Transition can trigger another Transition in a different message (i.e., scene graph). Adding Activation [External] to the Active Events window presents options for selecting the Message containing the Transition to be activated. Any text entry in the Message Description text input field enables the radio buttons for different text-matching options. Note that this facility selects the Message to activate by identifying text entered in the Message Properties Description field of the Transition Properties menu.
Frame Notify | Not implemented.
GPI Out | A Transition may be configured to trigger an outgoing GPI pulse. Upon selection of this option as an Active Event, available GPIs are displayed below. Use the [image] button to designate the GPI to be activated.
Macro | When Macro is selected and added to the Active Events window, Macro script may be entered in the large window below the Add/Remove button. The script associated with the event is recorded with the message, and may be executed when the message is recalled.
Update DB Link | This event triggers execution of a DB Link Update for any text in the message that is so designated.

For Help on other Properties topics, select the desired Tab:


Animation Properties

Properties > Animation

Various animation parameters of an object can be set in the Animation tab in the Properties window. These settings are used to adjust Start Frame, End Frame, Duration and other parameters of an object's animation. In the instances of Rolls, Crawls and Type Ons (Slow Reveals), Speed Number and Rate can be set as well. The Animation tab is shown here in four different states to show the dropdown menu which lists the animated elements on the Canvas, as well as the special options that are available for Roll, Crawl and Type On.

Animation Properties for 2D Text Animations

Parameter

Description

Object

The Object drop-down list box lists all of the objects in the animation. From this dropdown menu, the user can select an object (2D Text window, bitmaps, 3D text, individual light sources, Camera, etc.) and view and/or edit its Object Timeline parameters.

Modify Timeline: When an Object Timeline parameter (Start Frame, End Frame, Duration, Speed Number, Rate) is set, fields for the object's other Object Timeline parameters are updated to reflect the change.

Start Frame

Sets the Start Frame for the animation. When Start Frame is modified, the Duration and Rate are updated. Speed Number defaults to 0 unless the updated Rate matches a Rate assigned to a Speed Number (see below).

End Frame

Sets the End Frame for the animation. When End Frame is modified, the Duration and Rate are updated. Speed Number defaults to 0 unless the updated Rate matches a Rate assigned to a Speed Number (see below).

Duration

Sets the duration of an Object Timeline. When Duration is modified, the End Frame and Rate are updated. Speed Number defaults to 0 unless the updated Rate matches a Rate assigned to a Speed Number (see below).

Speed Number

Sets execution speed for Rolls, Crawls and Type Ons (Slow Reveals) only. Click the Speed Number radio button, then enter a whole number between 1 (slowest) and 9 (fastest) into the spin box or use the up/down arrows. 0 is a special case as described below. The Speed Numbers correspond to the following preset Rates. Units are Scanlines/Field for Rolls, Pixels/Field for Crawls and Characters/Second for Type Ons (Slow Reveals).

0: This is the default setting for any Rate value that does not match a Speed Number Rate. When the Rate matches one of the preset Speed Number Rates, the Speed Number field updates to the corresponding Speed Number.
1: 0.125 | 3: 0.500 | 5: 2.000 | 7: 6.000 | 9: 10.000
2: 0.250 | 4: 1.000 | 6: 4.000 | 8: 8.000 | 10: 12.000

When Speed Number is modified, End Frame, Duration and Rate are updated.

Rate

Sets execution speed for Rolls, Crawls and Type Ons (Slow Reveals) only. Click the Rate radio button, and then input a Rate value. Units are Scanlines/Field for Rolls, Pixels/Field for Crawls and Characters/Second for Type Ons (Slow Reveals). Range is 0.000000 - 50.000000.

When Rate is modified, End Frame and Duration are updated. Speed Number defaults to 0 unless the updated Rate matches a Rate assigned to a Speed Number (see above).

Proportional Scaling

Proportional Scaling determines how or if the Keyframes are redistributed when Start Frame, End Frame and/or Duration of an Object Timeline are changed.

  • When Proportional Scaling is enabled (checked), Keyframes are redistributed when the Start Frame, End Frame and/or Duration are changed, to retain their original relationship to the duration of the Object Timeline.

  • When Proportional Scaling is disabled (unchecked), Keyframes retain their positions when Start Frame, End Frame and/or Duration are changed.

Refer to Timelines for information on scaling.

Options

Options specifies precisely how an animation is to be applied. Options includes Pause Options, which determines how a Pause is applied and how the animation is to be triggered after the Pause. Options are available only to Rolls, Crawls and Type Ons (Slow Reveals). See Options below for details.

Apply

Applies the parameters to the selected object in the animation.

Apply All

Applies the parameters globally to all objects in the animation.

Reset

Resets the parameters to system defaults.

Options

Options specifies precisely how an animation is to be applied. Options includes Pause Options, which determines how a Pause is applied and how the animation is to be triggered after the Pause. Options are available only to Rolls, Crawls and Type Ons (Slow Reveals). The Pauses set in this tab are Event Pauses, and can be applied only to Rolls, Crawls and Type Ons (Slow Reveals).

If the object is a Roll Window, a Crawl Window, or a Type On (Slow Reveal) Window, the Options area is labeled Roll Options, Crawl Options or Type On Options respectively. Conditions specific to each are noted.

Parameter

Description

Pause Options

Pauses can be programmed into an animation. When a Pause is set in an animation, the animation stops temporarily at the Frame or event specified for the Pause, then restarts when manually or automatically triggered, as determined by the Pauses setup. See Pause Options below for details.

Soft

The Soft setting determines how a Roll, Crawl or Type On (Slow Reveal) enters and leaves its respective window.

  • When Soft is enabled (checked), a Roll, Crawl or Type On (Slow Reveal) fades in as it enters its respective window and fades off as it leaves its respective window.

  • When Soft is disabled (unchecked), a Roll, Crawl or Type On (Slow Reveal) displays at full video as it both enters and leaves its respective window.

Random

The Random setting determines how the characters in a Type On (Slow Reveal) enter the Type On window.

  • When Random is enabled (checked), the characters are displayed on the screen in random order, row by row.

  • When Random is disabled (unchecked), the characters are displayed from left to right, starting from the top row, and progressing through each subsequent row.

Pause Options

When a Pause is set in an animation, the animation stops temporarily at the Frame or event specified for the Pause, then restarts when manually or automatically triggered, as determined by the Pauses setup. Multiple Pauses can be set in an animation. There are two types of Pauses, both of which can be set in the same animation:

  • A Keyframe Pause occurs at a set Keyframe in an animation. This type of Pause is set up from the Properties > Events tab. See Properties > Events for details.

  • An Event Pause is applied to a 2D Text object that has a self-contained animation; a Roll, Crawl or Type On (Slow Reveal). The Event Pause occurs at a point where a certain event has occurred. For example, a Roll can be set to Pause after each Row is executed, or after a Roll window is full. This type of Pause is set up from the Properties > Animation tab (shown above).

To set up an Event Pause:

  1. In the Object drop-down list box in the Animation tab shown above, select the object to which to apply the Pause. To see how this works, create a Roll window, and then select 2D Roll 1 as the object. The Information window (unlabeled) in the Roll Options area indicates that the object does not have a Pause applied. The Options button is grayed out.

    Pause Setup - 2D Roll 1 Selected

  2. In the Roll Options area, select (check) Pause. The Information window displays the default setting for a Roll Pause. The Options button becomes available.

    Default Roll Pause Options

  3. Select the Options button. The Pause Options dialog box is displayed. At present Center Last is the available option.

    Pause Options Dialog Box Showing Roll Settings

  4. The parameters for all types of Event Pauses are listed below. Set parameters, and then select Apply or Apply All (described above).

Parameter

Description

Pause At

This adjustment dictates how a Pause is to be executed.

Roll: Center Last. With this option selected, the last character is centered vertically in the Roll window, as opposed to the text rolling completely out of the window. The Center Last option may be modified with the unlabeled Offset adjustment. Increasing the value moves the target location down in the window; decreasing the value moves it up.

Crawl: Center Last. With this option selected, the last character is centered horizontally in the Crawl window, as opposed to the text rolling completely out of the window. The Center Last option may be modified with the unlabelled Offset adjustment. Increasing the value moves the target location to the right in the window; decreasing the value moves it to the left.

Type On: Row. With this option selected, Type On playout pauses before each row, including the first. The "Pause For" trigger can be a Keystroke or a settable Timeout.

Keyframe In is not applicable to these types of Pause.

Keyframe Out is not applicable to these types of Pause.

Offset; see above.

Ease is available to Pauses in Rolls and Crawls.

Pause For

Pause For indicates what type of trigger is to be used to resume the animation after a Pause Keyframe.

  • Keystroke: The animation pauses at the specified Pause, and then continues when triggered by any keystroke except for Esc.

  • Timeout: The animation pauses at the specified Pause, and then continues after the specified Timeout.

  • GPI: The animation pauses at the specified Pause, and then continues when triggered by the specified GPI.

For Help on other Properties topics, select the desired Tab:

Animation - Related Topics

2D Text/Templates - Related Topics


Effects Properties

ADVANCED IMAGE EFFECTS ARE NOW FOUND HERE!

Properties > Effects
See also 2D Character Animation

NOTES

Advanced Image Effects are now accessed from the Properties Menu, rather than the Context (Right-Click) Menus of 2D Text windows, 2D Objects and Movies placed on the Canvas. Effects for 3D objects, as seen below right, are also accessed through this Properties panel, exclusively.

Note that some, but not all, effects are applicable to both 2- and 3D objects.

IMPORTANT: Some Advanced Image Effects mentioned herein are available for use with 2-dimensional text. These effects are applied to text windows in the same manner as in earlier versions of Lyric. A two-dimensional bitmap image of the text window is created, and the effects are applied to that image. The original 2D text window remains on the Scene Graph, but is invisible in the composition unless specifically recalled for editing. See also 2D Character Animation, which is a substantively different set of effects, set up and operated very differently than the effects discussed here.

Reverse Play checkbox: Some effects may require that this checkbox be selected for the effect to operate as expected. As always, preview your work.

To access Advanced Image Effects setup:

  1. In the Properties menu, select the Effects tab.

  2. The Available Effects dropdown lists the effects available to the system. In the illustrations below, the dropdowns have been expanded to show the complete list of options for both 2D and 3D objects.

Accessing Advanced Image Effects

  3. Set the desired parameters. Effects may be previewed by dragging the cursor on the Lyric Timeline or with animation Transport controls. You may adjust the effect settings and preview the effect to your satisfaction. The effect is applied to the object for the duration specified in the Effect Length display.

For effects in the forward direction:

  • If the effect duration is shorter than the object duration on the Timeline, the effect begins at the frame calculated as follows: End Frame - Effect Duration. For example, if the object duration is 3 seconds, and the effect duration is 1 second, the effect begins 2 seconds into the object's duration. The only exceptions are Assemble, Bulge and Zoom, which begin at the Start Frame of the object's duration and end at the effect's End Frame. The object remains on-screen until the End Frame of the object's duration on the Timeline.

  • If the effect duration is longer than the object duration on the object's Timeline lengthens to accommodate the Effect Duration.

For effects in the reverse direction:

  • If the effect duration is shorter than the object duration on the Timeline, the effect begins at the Start Frame of the object's duration and ends at the effect's End Frame. The object remains on-screen until the End Frame of the object's duration on the Timeline. The only exceptions are Assemble, Bulge and Zoom, where the effect begins at the frame calculated as follows: End Frame - Effect Duration. For example, if the object duration is 3 seconds, and the effect duration is 1 second, the effect begins 2 seconds into the object's duration. For example, if the object duration is 3 seconds, and the effect duration is 1 second, the effect begins 2 seconds into the object's duration.

  • If the effect duration is longer than the object duration on the object's Timeline lengthens to accommodate the Effect Duration.

The effect parameters can be edited by returning to this panel. Applying a new effect to the same object replaces the previous effect.

About Applying an Advanced Image Effect to a 2D Bitmap Object or Movie Object

Advanced Image Effects will remain "attached" to 2D bitmap objects or Movie objects as those objects move around the Canvas during an animation. However, Static and animated Transparencies (from Properties > Surface), however, must be applied after the Advanced Image Effect is applied.

About Applying an Advanced Image Effect to a 2D Text Window

When an Advanced Image Effect is applied to a 2D Text Window, a new object, ImgEffect.<2D Text Window Name>, is added to the Scene Graph.

Scene Graph Showing New Advanced Image Effect Object

The original 2D Text Window still remains in the scene, although it is automatically set not to display. ImgEffect.2D Text 1 cannot be used as a Mask Object.

The Transparency of a 2D Text Window can be adjusted in Properties > Surface before an Advanced Image Effect is applied, and can vary from keyframe to keyframe. If the text in the 2D Text Window must be edited, the Advanced Image Effect must be reapplied. An Advanced Image Effect applied to a 2D Text Window can travel about the screen during an animation by repositioning the 2D Text Window's ImgEffect object.

NOTE

If applying both an Advanced Image Effect and Advanced Text Effect to a 2D Text window, the two resulting animations are not combined with each other and applied to one object. Each of the effects creates a separate animated object that is rendered and executed separately. Execution of the two effects can, however, be simultaneous.

Common Parameters

All of the effects share these controls:

  • Add/Remove: The user can designate one or more effects for the object selected. Use this control to move effects from the selected object's Available list to its Active list and vice-versa.

  • Prev. Key/Next Key: Use this control to walk through the keyframes of the currently selected effect. This control affords the user a preview of the effect itself and not the entire animation on the Canvas.

Several of the effects have a number of parameters in common, as well as parameters specific to the individual effect. The common parameters are as follows::

  • Enable: On occasion, it may be advantageous to set up an effect, but not enable it to execute at a particular time. Enabling (checking) Enable allows the effect to execute; disabling (unchecking) Enable preserves the setup parameters, but does not allow the effect to execute.

  • Fade: Enabling (checking) Fade fades the effect out; disabling (unchecking) Fade executes the effect at full video throughout the duration of the effect.

  • Reverse Play: Enabling (checking) Reverse Play plays the effect in reverse; disabling Reverse Play executes the effect in the forward direction.

  • Ease softens the transition into and/or out of an effect. When Ease is selected, the Ease Options dialog box opens, allowing the selection of Ease Type: No Ease, Ease In, Ease Out Ease In/Out. Additionally, the Ease can be executed over the time specified in the Ease Time. This dialog box can be accessed either by clicking the Ease checkbox to enable Ease, or by clicking the Options button once Ease is enabled.

Image: Ease Options

Ease Options

  • Effect Length determines the duration of effect execution. If the Effect Length is shorter than the duration of the object on the Timeline, the effect executes to the specified Effect Length, but the object remains on screen for the duration specified by its Timeline.

  • Preview Slider: The effect can be previewed by dragging the Preview slider.

  • Full Scene: The Full Scene setting allows the user to preview only the effect or the entire animation, including the effect.

    • If Full Scene is enabled (checked), the entire animation is previewed.

    • If Full Scene is disabled, only the effect is previewed.

Advanced Image Effects can be executed in the same manner as other Lyric animations by using the Transport Controls. These animations can be jumped ahead to the next or previous Keyframe, or advanced or rewound to the beginning or end of their duration. Refer to Animation Playback - Transport Controls for additional information.

Effect Types

The graphics shown in the following examples are based on effects applied to a Chyron logo:

None

Selecting None removes the effect from the object.

Image: No Effect

No Effect Applied

Assemble (and Disassemble)

The Assemble effect reassembles an image from rectangular fragments. Enabling Reverse Play creates a Disassemble effect. Fade is not available to this effect.

Assemble Effect Configuration - Default Settings

Specialized attributes include:

  • Effect Resolution: Specifies the number of fragments from which the object is reassembled, as determined by multiplying the Row value by the Column value.

  • Method: Specifies on which axis or axes and from which direction(s) the object is reassembled. Method - On X Axis, Method - On Y Axis and/or Method - On Z Axis cannot be applied in conjunction with Alpha Build.

  • Alpha Build: When Alpha Build is enabled (checked), the fragments of the object do not move through 3D space to reassemble. The object, instead, starts the effect fully transparent, and the fragments fade in at different times. Fragment Rotation can be applied in conjunction with Alpha Build. Alpha Build cannot be applied in conjunction with Method - On X Axis, Method - On Y Axis and/or Method - On Z Axis enabled.

    Image: Alpha Build - No Fragment Rotation

    Alpha Build - No Fragment Rotation

    To disable Alpha Build, click Method - On X Axis, Method - On Y Axis or Method - On Z Axis.

  • Synchronized: When Synchronized is enabled (checked), the assembly occurs equally from both the negative and positive ends of each axis. When Synchronized is not enabled (unchecked), the assembly occurs randomly. When Alpha Build and Synchronized are enabled, the fragments fade in, in a more even distribution than if Synchronized is not enabled.

  • Fragment Rotation: Specifies if and how the fragments rotate about their own axes.

The following figures show a 20-Row, 20-Column, Assemble effect. The Assemble executes along all axes and from all directions. The fragments rotate about all axes as well.

Assemble Effect

Bulge

The Bulge effect employs a spherical wireframe to travel across the image, bulging it out or in.

Bulge - Default Configuration with Wireframe

Specialized attributes include:

  • Set Attributes For: Select First Frame to set attributes for the first frame of the effect. Select Last Frame to set attributes for the last frame of the effect. When the effect executes, the object transformation progresses from the settings for the first frame to the settings for the last frame.

  • Radius: Specifies the radius of the wireframe, which determines the size of the bulge.

  • Position: Specifies the Start and End positions of the bulge.

  • Bulge Inward: Specifies if the object bulges inward or outward.

  • Embed Effect Data on Save: Specifies that the rendering information is saved with the effect. Enabling Embed Effect Data on Save eliminates the time needed to rebuild the effect each time the message containing the effect is read. Enabling Embed Effect Data on Save, however, can add approximately 2MB per effect to the message size.

When the Bulge effect is selected, the wireframe sphere is displayed on the Canvas. A separate set of First Frame and Last Frame attributes for the sphere can be set.

The following figures show a 2-second Bulge Effect Preview with the First Frame Radius at 20, Position Center, and the Last Frame Radius at 100, Position Center.

Image: Frame 25

Frame 25

Image: Frame 43

Frame 43

Image: Frame 60

Frame 60

When the Bulge effect executes from outside of the Bulge Effect Configuration dialog box, the wireframe is no longer visible.

Image: Bulge Execution

Bulge Execution

Burst

Available in Lyric Pro only

Burst is one of several "particle" effects. The particle effects all share the controls pictured here. The Burst effect is available for 2D Text windows, imported Bitmaps and for 3D objects.

Burst - Default Configuration

Properties

  • Size: Varies the size of each individual particle as it moves away from or around the emitting object.

  • Decay: Varies the rate at which each individual particle fades out as it moves away from or around the emitting object.

  • Count: Varies the number of particles "produced by" the emitting object.

Velocity

These controls vary the speed of the particles as they move along the X, Y and Z axes away from or around the emitting object. The direction of the particles' travel along that axis is determined by setting a positive or negative value.

Each axis' Velocity control is accompanied by a +/- checkbox. If the checkbox is selected, the particles move in either direction, arbitrarily along that axis. With the checkbox selected, the numerical value is applied, but since the movement's direction is arbitrary, any plus or minus shown is ignored by the system.

External Force

External force is perhaps best compared to wind or gravity acting upon the particles being emitted by the selected object. For example, positive X values tend to "blow" particles to the viewer's right, positive Y values would blow particles upward, and positive Z values would blow particles toward the viewer/Camera.

Emitter

The term "Emitter" refers to the object upon which the effect is acting.

  • Render Emitter: De-selecting this checkbox makes the emitting object invisible in the composition. However, under this condition, the effect's particles continue to be displayed and to execute their animation.

  • Height, Width: These controls vary the size of the region or point on (or within) the emitting object from which particles emanate.

  • X, Y and Z Offset: Use these controls to move the emitting region or point around on or within the emitting object.

  • Enable: De-selecting this option decreases the alpha value of the effect's particles until that value reaches zero at the end of the animation. The time at which the decrease begins is the point within the animation when the option is disabled. Hence, de-selecting the checkbox at 00:00:02:15 in a 5 second animation would produce a 2½ second "fadeout", ending when the animation completes.

Appearance

These controls allow the user to vary the look of the particles.

  • Source allows substitution of a selected bitmap image for each particle emitted.

  • Color opens a standard dialog, from which the user can select a color for the surface of the particles.

Crumble

Applying the Crumble effect to an object causes it to fall apart into rectangular pieces either all at one time or progressively.

Crumble Effect Configuration

Specialized attributes include:

  • Effect Resolution: Specifies the number of fragments into which the object crumbles, as determined by multiplying the Row value by the Column value.

  • Progressive Crumble, Crumble Control: When a Crumble effect executes, the entire object normally falls apart at one time. When Progressive Crumble is selected (checked), the Crumble can progress through the object, starting from a specified point. The start point settings become active only when Progressive Crumble is selected.

The following figures show a 60-Row, 60-Column, Progressive Crumble originating from the center of the object.

Crumble Execution

Curtain

When a Curtain effect is applied, the object appears to be drawn to the top, bottom, left, right or center, as in opening a curtain.

Curtain Effect Configuration

Specialized attributes include the following:

  • Effect Resolution: Specifies the number of Row (horizontal) ripples and Column (vertical) ripples are applied to the object.

  • Curtain Ripple Size - Cycles: Increasing/decreasing the Cycles value increases/decreases the number of peaks and valleys in the curtain.

  • Curtain Ripple Size - Amplitude: Specifies the depth of the ripples.

  • Curtain Ripple Speed: Specifies the speed at which the ripples travel.

  • Curtain Moving To: Specifies the location to which the object is drawn.

The following figure shows a 12-Row, 12-Column Curtain Effect with Curtain Ripple Size Cycles set to 9, Amplitude set to 8, Ripple Speed Fast and Curtain Moving to Top.

Curtain Effect

Detonate

When the Detonate effect is applied, the object flies apart, with rectangular fragments rotating along their axes.

Detonate Effect Configuration

Its specialized attribute is as follows:

  • Effect Resolution: Specifies the number of fragments into which the object breaks, as determined by multiplying the Row value by the Column value.

The following figure shows a 10-Row, 10-Column Detonate Effect.

Detonate Effect

Edge Border

The Edge Border effect is applicable to 2D text windows.

  • Face and Edge color may be adjusted with a standard Color Select dialog, which is opened by the color chips seen above.

  • The added border may be Blurred; the values range from 0 - 100.

  • Offset X moves the added edge to the right (increase the value) or to the left (decrease the value).

  • Offset Y moves the added edge up (increase the value) or down (decrease the value).

Edge Rays

The Edge Rays effect is applicable to 3D objects.

Edge Ray controls, left. The effect is seen applied to a 3D object at right

The Intensity and Color may be varied. See the note on light sources, circled in the illustration above.

Explosion

Available in Lyric Pro only

When the Explosion effect is applied, the object flies apart, in concentric layers, into triangular fragments. Additionally, the fragments rotate within the layers as the effect progresses.

Explosion Effect Configuration

Specialized attributes include:

  • Explosion Polygons - Layers: Specifies the number of concentric rings of fragments.

  • Explosion Polygons - Sections: Specifies the number of sections into which each layer is broken.

  • Translation Speed: Not currently implemented.

  • Rotation Speed: Specifies the speed at which the layers rotate.

The following figure shows a 9-Layer, 20-Section-per-layer Explosion, with Translation Speed Fast and Rotation Speed Medium.

Explosion Effect

Fire

Available in Lyric Pro only

Fire is a particle effect, applicable to 2D and 3D objects. It shares the same variables as Burst and the other particle effects.

Fire + Smoke

Available in Lyric Pro only

Fire and Smoke are particle effects, applicable to 2D and 3D objects. This option assigns both effects to the object in one action.

Again, note that the Fire and Smoke effects are added separately to the list of Active Effects, and each effect can be adjusted individually. The Smoke effect is addressed individually below.

Flag

Applying a Flag effect gives an object the appearance of waving like a flag in the wind.

Flag Effect Configuration

Specialized attributes include:

  • Wind Speed: Specifies the speed at which the wind blows.

  • Wind Direction: Specifies the direction of the wind.

  • Flag Control: Specifies the axis or axes on which the flag waves.

The following figure shows a Flag effect with a Calm Wind Speed, Horizontal Wind Direction and waving on the Y-Axis and Z-Axis.

Flag Effect

Flipboard

The Flipboard effect splits the image into columns and/or columns, and flips the pieces over. The image can flip and disappear, or it can flip to another image.

Flipboard Effect Configuration

Specialized attributes include:

  • Effect Resolution: Specifies the number of pieces into which the image is split, as determined by multiplying the Row value by the Column value.

    • Note that if Horizontal, Synchronized Orientation and Flip from Left, Flip from Right or All at Once are selected, Rows are not visible when the effect is executed.

    • If Vertical, Synchronized Orientation and Flip from Top, Flip from Bottom or All at Once are selected, Columns are not visible when the effect is executed.

  • Back Image: Specifies the image that is applied to the back of the flipped image. It becomes visible as the image flips over. The following are available:

    • None: The image disappears as it flips.

    • Graphic: The image flips to a new image. To apply a graphic, click the Image Chip or select the Graphic radio button. The Select a Texture Source dialog box opens. Navigate to and select a 2D graphic file, and then click Open. The selected image is displayed in the Image Chip. When the Flipboard effect executes, the image flips to the selected Object Texture. If the selected Object Texture is the same as the image to which it is applied, then the image flips to itself. Note that any texture that is applied is resized to the dimensions of the flipping image, which may include transparent areas.

    • Object: The image flips to the image of an object that is on the current Canvas. The object can be placed out of the visible boundaries of the Canvas, but must be set to visible (checked) in the Scene Graph in order to be applied to the flipping image. To apply an object:

      1. Select the Object radio button. The Select Object Texture dialog box is displayed.

        Select an Object Texture

      2. All available objects in the Lyric scene are listed. 3D characters/objects do not appear in this list. Click the name of the object which is to be applied to the image, and then click OK. When the Flipboard effect executes, the image flips to the selected Object Texture. If the selected Object Texture is the same as the image to which it is applied, then the image flips to itself. Note that the texture that is applied is resized to the dimensions of the flipping image, which may include transparent areas.

  • Flip From: Specifies point from which the Flip starts. The Flip can also start from all points.

  • Orientation: Specifies if the flip progresses horizontally, vertically or randomly. The pieces of the image can flip synchronously or asynchronously.

The following figure shows a Flipboard effect Synchronized Horizontally, Flipping from the Left, and with a graphic of an arrow applied to the back.

Flipboard Effect

Frames 34, 43 and 49 of the effect show how the flip progresses through the effect.

Image: 34 Frames

34 Frames

Image: 43 Frames

43 Frames

Image: 49 Frames

49 Frames

Focus

When a Focus effect is applied, the camera appears to zoom in and object goes out of focus as the effect progresses. If Reverse Play is enabled, the object starts the effect out of focus, and becomes focused as the effect progresses.

Focus Effect Configuration

Specialized attributes include:

  • Focus Aspect - Length: A shorter Focus Aspect Length results in a shorter zoom and less defocusing. A longer Focus Aspect Length results in a longer zoom and more defocusing.

  • Focus From: Specifies the point from where the camera is zooming and focusing.

The following figure shows a Zoom effect with a Focal Aspect Length of 40 and originating from the Center.

Focus Effect

Frost

Available in Lyric Pro only

Frost is a particle effect, applicable to 2D and 3D objects. It shares the same variables as Burst and the other particle effects.

Glitter

Available in Lyric Pro only

Glitter is a particle effect, applicable to 2D and 3D objects. It shares the same variables as Burst and the other particle effects.

Globe

The Globe effect applies the selected object to a globe. The globe can be set to rotate about the X-, Y-, or Z-axis.

Globe Effect Configuration

Specialized attributes include the following:

  • Globe Size: The radius of the globe can be increased or decreased.

  • Rotation - Speed: The speed of the rotation can be adjusted.

  • Rotation - Clockwise: If Clockwise is selected (checked), the rotation executes in the clockwise direction. If Clockwise is not selected (not checked), the rotation executes in the counter-clockwise direction.

  • Rotation - About Axis: The globe can rotate about the X-, Y-, or Z-axis.

  • Formation/Deformation - Enable Culling: When the object is applied to the globe, it is, in effect, "wrapped" around the globe, much as an orange would be wrapped in cellophane. Depending on the shape, size and orientation of the object that is "wrapped" around the globe, there may be overlapping. If Enable Culling is selected (checked), overlapping portions of the graphic are removed (culled). If Enable Culling is not selected (not checked), overlapping portions of the graphic are not removed. The following figure shows an unculled and a culled globe.

    Image: Unculled and Culled Globes

    Unculled and Culled Globes

The following figure shows a bitmap applied to a globe, with a Radius of 8, Rotation of 1, counter-clockwise direction, rotating about the Z-axis and culled.

Globe Effect

Glow

Available in Lyric Pro only

The Glow effect creates a luminous border around the selected object.

The Glow controls at their default values are seen left, with the effect at its default settings shown at top. Bottom right, the effect is exaggerated; the values creating that effect are inset.

Leaf

The Leaf effect splits the image into four segments which are peeled back as the effect progresses.

Leaf Effect Configuration

Leaf Coverage determines to what degree the four leaves overlap each other before peeling open. Leaf Coverage can be set to a value that ranges from None to Full.

The following figure shows a Leaf effect set between Partial and Full Coverage.

Leaf Effect

Magic Trail

Available in Lyric Pro only

Magic Trail is a particle effect, applicable to 2D and 3D objects. It shares the same variables as Burst and the other particle effects.

Matrix

The Matrix effect splits the image as determined by number of Rows and Columns in the Matrix.

Matrix Effect Configuration

Specialized attributes include the following:

  • Matrix Motion - Add Rotation: Not currently implemented.

  • Matrix Motion - Random: Not currently implemented.

  • Matrix Size: Specifies the number of pieces into which the image is split, as determined by multiplying the Row value by the Column value.

  • Effect Speed: Specifies how quickly the effect executes within the set Effect Length.

The following shows a Matrix effect set to split into 20 Rows and 20 Columns.

Matrix Effect

Metallic Paint

Available in Lyric Pro only

The Metallic Paint effect is applicable to 3D objects. The effect is comparable to coating a physical object with glitter.

  • Smoothness has the effect of increasing or diminishing the clarity of individual particles.

  • Shininess varies the reflectivity of the particles.

  • Scale varies the size of the particles.

  • Locality restricts or expands the effect on the surface of the object.

Finally, take heed of the note at the bottom of the panel!

Page Roll

The Roll Page effect rolls an image as if to uncover an image lying below it.

Roll Page Effect Configuration

Specialized attributes include the following:

  • Roll Page from Side: Specifies the side from which the image rolls.

  • Roll Size: Specifies the size of the roll.

The following shows a PageRoll set to at a Radius of 10, and rolling up from the bottom.

Pixie Dust

Available in Lyric Pro only

Pixie Dust is a particle effect, applicable to 2D and 3D objects. It shares the same variables as Burst and the other particle effects. The effect creates a trailing cloud of luminous particles around the selected object.

Refraction

Available in Lyric Pro only

The Refraction effect is available for 2D and 3D objects. The effect distorts images seen through another image that is closer to the viewer/Camera. In the illustration below, the Refraction effect has been applied to the three-dimensional soccer ball, distorting the bitmap behind it. (Note that the alpha value of the soccer ball has been adjusted for increased transparency.)

Ripple

The Ripple effect ripples the image as if it is reflected in water.

Ripple Effect Configuration

Specialized attributes include the following:

  • Effect Resolution: Specifies the number of Row (horizontal) ripples and Column (vertical) ripples are applied to the object.

  • Ripple Size - Cycles: Increasing/decreasing the Cycles value increases/decreases the number of peaks and valleys in the curtain.

  • Ripple Size - Amplitude: Specifies the depth of the ripples.

  • Ripple Speed: Specifies the speed at which the ripples travel.

The following shows a Ripple effect set at 8 Rows, 8 Columns, 10 Cycles, 10 Amplitude and Medium Speed.

Ripple Effect

Sketch

Available in Lyric Pro only

The Sketch effect adds pencil-like detail to 3D objects.

Above left, the effect's Detail control is set to .5. With Detail set to a near-maximum value of .995, as seen at right, the effect outlines almost every polygon contained in the selected 3D object.

Slide

The Slide effect slides the image off of the screen.

Slide Effect Configuration

The image can be slid to a side or corner of the screen.

The following shows a Slide set to slide the image off the screen at the upper right corner.

Slide Effect

Smoke

Available in Lyric Pro only

Smoke is a particle effect, applicable to 2D and 3D objects. It shares the same variables as Burst and the other particle effects. In this illustration, the color has been set to pink for greater visibility.

Snow

Available in Lyric Pro only

Snow is a particle effect, applicable to 2D and 3D objects. It shares the same variables as Burst and the other particle effects.

Toon

Available in Lyric Pro only

The Toon effect adds cartoon-like shading to 3D objects. The effect has no user-adjustable parameters.

At left, object without Toon effect. Effect added at right.

Turn Page

The PageTurn effect peels an image off the screen, as if turning a page.

Turn Page Effect Configuration

Specialized attributes include the following:

  • Lift Corner of Page: Specifies the corner of the image that is lifted to execute the PageTurn.

  • Turn Orientation: Specifies whether the corner of the image is lifted over (outside) or under (inside) the image.

The following shows a PageTurn, lifting from the bottom left corner of the image, over (outside) the image.

Turn Page Effect

Venetian

The Venetian effect applies a "Venetian blinds" effect to the image.

Venetian Effect Configuration

Specialized attributes include the following:

  • Orientation of Fields: Specifies whether the blinds are vertical or horizontal.

  • Number of Folds: Specifies the number of blinds into which the image is split.

The following shows a horizontal, 6-fold Venetian effect.

Venetian Effect

Wipe Page

The Wipe Page effect wipes the image from the screen.

Wipe Effect Configuration

Specialized attributes include the following:

  • Wipe from Side: Specifies the side from which the wipe starts.

  • Softness: Specifies the softness of the edge of the Wipe.

The following shows a Wipe, originating from the Right, with an edge Softness of 14.

Wipe Effect

Zoom

The Zoom effect emulates a camera zoom out from an object.

Zoom Effect Configuration

Zoom out from specifies which from point the Zoom originates.

The following shows a Zoom originating from the upper right corner.

Zoom Effect

2D Text/Templates - Related Topics

2D Objects - Related Topics

Movie Objects

Animation - Related Topics

For Help on other Properties topics, select the desired Tab:


Transition Effects

Transition Effects Properties

Available in Lyric Pro only.
Properties > Transition Effects

The Transition Properties panel; individual features are discussed below.

NOTE

Transition Effects are available in Lyric Pro only; this tab in the Properties menu will not appear in standard Lyric installations. The controls on Lyric Pro's Transition Properties page work in conjunction with those on the Events Properties and Playout Properties pages.

Transitions Defined

Lyric Pro's Transition Effects allow the operator to configure multiple messages for simultaneous output on a single Frame Buffer. A Transition contains a group of objects and their associated keyframe animations. Transitions can be triggered for playout on output using powerful programmable logic and other mechanisms. Multiple transitions can be created; each one is accessed on the Timeline by clicking the tab associated with the Transition that you wish to select or edit.

Adding a New Transition to the Scene

To add a new transition effect, simply right click on the Default Transition Tab on the Timeline and select "Add Transition". The following menu is displayed allowing the user to select one of the predefined transition types or to create a user defined transition.

Renaming and Removing Transitions

To rename a Transition, right-click its tab on the Timeline and select the first entry, which will be the current transition name. Any name can be entered; however, using one of the predefined Transition names (such as Effect In or Effect Out) automatically applies the special behavior associated with that transition (see below).

To remove a Transition, right click on the Transition Tab on the Timeline and select "Remove Transition". Note that you cannot remove the default transition.

Show Local Nodes

If "Show Local Nodes" is selected, only those objects in the Scene Graph that exist in the current Transition will be displayed on the Canvas. This option may be especially useful when a Transition is being edited.

The Different Types of Transitions

When a Transition is added to the scene, a new tab is added to the Timeline. The different transition types are described below.

Default

This tab represents a basic Scene Graph view of all the objects on the Canvas, as in previous versions of Lyric. Note: When a "legacy" Lyric message (created in a previous version of the application) is read up in Lyric Pro, it will appear with only the Default Timeline tab, and will have no Intelligent Transitions effects unless added in this version of the application.

Effect In

All objects and animations that are part of the "Effect In" will be executed automatically when the message is first played to output.

Effect Out

If a message is currently playing on Output and has an "Effect Out" defined, that Transition is automatically executed when a new message is transferred to Output. Note: A message currently on Output that is marked Persistent will not automatically execute its Effect Out transition, but will remain on the Output.

Update In/Update Out

These transitions are used when all or part of a message that is currently playing is to be replaced by the succeeding message. Each message used in this fashion must have precisely the same name entered in the Message Properties Name field (top left corner in the illustration above).

The message currently playing executes its Update Out effect, when a new message is played to is played to Output, executing its own Update In effect.

Transition

This type of Transition has no special behavior of its own; creating a "placeholder" in this manner allows the storage of any type of animation. This selection in the Add Transition dialog may be renamed by the user.

The text fields other controls in the Transition Properties tab are as follows:

The Transition Properties Panel

The Transition Properties panel includes attributes that control and describe the behavior of message transitions in Lyric Pro. The panel is divided into four sections; the attributes they contain are discussed in more detail below; follow the links below left or click on the appropriate part of the panel in the illustration below.

  1. Message Properties

These attributes apply to the entire message and its associated Scene Graph.

  2. (Object) Properties

These attributes apply to the currently selected object in the Scene Graph. Note that the label of this area will vary with the selected object.

  3. Transition Properties

These attributes apply to the various transitions that have been created for a particular message. Note that the label of this area will vary with the name of the Transition currently being configured.

  4. Transition HotKey Assignments

These options enable the operator to control Transition Effects via the system's GPI facility.

Adding a New Transition to the Scene

To add a new transition effect, simply right click on the Default Transition Tab on the Timeline and select "Add Transition". The following menu is displayed allowing the user to select one of the predefined transition types or to create a user defined transition.

Renaming and Removing Transitions

To rename a Transition, right-click its tab on the Timeline and select the first entry, which will be the current transition name. Any name can be entered; however, using one of the predefined Transition names (such as Effect In or Effect Out) automatically applies the special behavior associated with that transition (see below).

To remove a Transition, right click on the Transition Tab on the Timeline and select "Remove Transition". Note that you cannot remove the default transition.

Show Local Nodes

If "Show Local Nodes" is selected, only those objects in the Scene Graph that exist in the current Transition will be displayed on the Canvas. This option may be especially useful when a Transition is being edited.

The Different Types of Transitions

When a Transition is added to the scene, a new tab is added to the Timeline. The different transition types are described below.

Default

This tab represents a basic Scene Graph view of all the objects on the Canvas, as in previous versions of Lyric. Note: When a "legacy" Lyric message (created in a previous version of the application) is read up in Lyric Pro, it will appear with only the Default Timeline tab, and will have no Intelligent Transitions effects unless added in this version of the application.

Effect In

All objects and animations that are part of the "Effect In" will be executed automatically when the message is first played to output.

Effect Out

If a message is currently playing on Output and has an "Effect Out" defined, that Transition is automatically executed when a new message is transferred to Output. Note: A message currently on Output that is marked Persistent will not automatically execute its Effect Out transition, but will remain on the Output.

Update In/Update Out

These transitions are used when all or part of a message that is currently playing is to be replaced by the succeeding message. Each message used in this fashion must have precisely the same name entered in the Message Properties Name field (top left corner in the illustration above).

The message currently playing executes its Update Out effect, when a new message is played to is played to Output, executing its own Update In effect.

Transition

This type of Transition has no special behavior of its own; creating a "placeholder" in this manner allows the storage of any type of animation. This selection in the Add Transition dialog may be renamed by the user.

The text fields other controls in the Transition Properties tab are as follows:

Message Properties

Name | The titles given to messages in this field are user-defined; however, they are more than mnemonic devices. This variable plays an important role in the use of the Update In/Update Out function. Messages intended to directly replace each other via Update In/Update Out must have precisely the same text entered in this field.
Description | This field is used for Activations (External). If this field has a value then that value will take precedence over the Name value and be displayed in the Scene Tree and Playout Panel next to the Message Number.
Persistent | Selecting this checkbox causes the message so configured to remain on Output as succeeding messages are called up. Persistent messages on Lyric's Scenes Tree are designated by the [image] symbol.
Swap Update Priority | In situations where one message is set to replace another, outgoing messages normally have visual priority over incoming messages. Selecting this option in the Transition properties of an incoming message causes that message's animation and/or effects to take place 'in front of' those executed by the outgoing message. This setting is only relevant to messages intended to replace another message that is already on Output.
Scene Priority | Multiple Persistent messages on Output simultaneously may be seen as layers in a stack. In this situation, some visual elements of multiple messages on the Output may overlap; their priority determines which element is on top. Therefore each message intended for simultaneous display on Output can be assigned a Scene Priority value with this slider. A message with a Scene Priority value of "1" would be at the top of the stack, and one with a value of "5" would be at the bottom. Where two messages have the same Scene Priority value assigned, the message called up most recently is on top.

(Object) Properties

Loop

This option causes an object's animation to repeat indefinitely for the life of the message on output.

Hold Last Frame

This option causes an object to remain visible after completion of its animation for the life of the message on output.

When a new Canvas is created (for example, after an Erase operation), one Transition is created called the Default Transition. When the content of the Scene Graph (the Message as a whole) is played to Output, the objects and animations contained in this transition will be played automatically.

For more flexibility, other Transitions can be added to the message and their properties further modified. These options are described below.

Continuous Update

This option enables a 2D-text window on the current Scene Graph to display data from data feeds or from Rich Text Format (RTF) files. The data is fed to Lyric via Intelligent Interface commands; updates may be triggered at a designated keyframe within a given Transition.

(Individual Transition) Properties

Available/Active | These fields are used to select the objects involved in each transition; they become active when a Transition is initially created. If the Selected radio button in the Add Transition dialog is selected, the object highlighted in the Scene Graph is automatically added to the Active field. The Add>> button may be used to move additional objects to the Active field and the <<Remove button may be used clear an item from the Active field.
Add at Current Frame | By default, when adding an Available Node to a Transition, the new node is added at “00:00:00:00” on the Timeline. With Add at Current Frame selected, Lyric adds the new node at the current point on the Timeline.
Visible on Playout Panel | Selecting this checkbox adds the transition to the Playout Properties tab, where it will appear in its own section of that panel.

Transition HotKey Assignments
GPI | Identifies the GPI (if any) currently assigned to the transition being set up.
Keyboard | Identifies the keyboard shortcut (if any) currently assigned to the transition being set up.
Configuration | Opens a familiar Configuration dialog, which is used to create GPI and HotKey assignments .

For Help on other Properties topics, select the desired Tab:


Rendering Properties

The Rendering Properties panel controls eight variables in the appearance of objects placed on the Lyric Canvas. These include many of the Internal Properties formerly available via context menu for 2D Text Windows, 2D bitmap objects, 3D characters and 3D objects.

Primitive

Polygon Mode (3D Characters and Objects only)

At left, a 3D object rendered in the normal Solid mode. Center: Wireframe mode. Right: Points mode.

Solid

In Solid mode, Lyric displays 3D characters and objects in the normal manner.

Wireframe

This selection displays the polygons comprising a 3D character or object. The displayed outlines of the polygons reflect any colors and mapped textures intrinsic to the unseen solid surfaces, along with current Shininess and Alpha values.

Points

This selection displays only the mathematical points situated at the intersection of the lines comprising each polygon. The following illustration shows a closeup of a 3D character rendered in Wireframe mode. The same character is also shown in Points mode; we have modified the illustration to faintly show the polygons defined by those points. Note that Points mode actually displays only points, as seen in the previous illustration.

At left, a 3D character rendered in Wireframe mode. At right, the same character in Points mode.
The illustration of the Points-mode character has been modified to show the polygons defined by the points.

Polygon Winding

The triangles or quads comprising the front faces of three-dimensional shapes in Lyric are, by default, drawn in counter-clockwise order. The Polygon Winding adjustment may be used to correct imported 3D objects whose polygons are presented to Lyric in clockwise order.

Draw Backfaces

This option allows the operator to limit Lyric's allocation of resources for complete rendering of 3D objects, 3D characters, 2D text, imported bitmaps and imported Movies (as opposed to clips).

Any of these objects may be manipulated on X, Y and Z axes in Lyric's three-dimensional workspace. Therefore, certain surfaces of an object may move in and out of view within a composition.

Where rear surfaces of a given object are not seen in a composition, the operator may wish to save computational resources by disabling the Draw Backfaces option.

Disabled is the default state of this option.

At left, an object is seen with Draw Backfaces enabled; at right, the option is disabled.

A Word About 2-Dimensional Objects and Draw Backfaces

Note that 2-dimensional objects will disappear as they are rotated with Draw Backfaces disabled. In the following illustration, Selection Guides are enabled in Config>Preferences>CG Preferences. On the Canvas and in the Timeline and Scene Graph, 2D objects in this state still "exist"; note that the Selection Guides in the illustration outlines the region still occupied by the rotated 2D bitmap object.

Left: Imported bitmap, normal view.
Center: Rotated -165° with Draw Backfaces enabled. Left: rotated -165° with Draw Backfaces disabled.

Antialiasing

This setting affects the object currently selected in the composition, as opposed to the adjustable Full Scene Antialiasing selections on the Config>Canvas Resolution menu.

Antialiasing is another means of combatting the 'stair-stepping' or 'jaggies' symptom sometimes seen on 3D objects. Default leaves the state of the selected object up to the Full Scene setting mentioned above.

Left: Antialiasing turned Off. Right: Antialiasing turned On.

Lighting

Lighting determines if the global and individual light sources affect the selected object. When lighting is disabled, an object displays no reflected light from the Global light or the Individual lights. The default setting is Enabled.

  • With Lighting enabled, 3D characters and 3D objects are affected by all light sources, global and individual, in all circumstances.

  • With Lighting enabled, 2D text can be affected by only the Global light source.

  • With Lighting enabled, 2D bitmap objects can be affected by any of Lyric's light sources.

At left, Lighting is disabled, at right, enabled.

Note

You may see something that doesn't look right when Lighting is enabled for an object, and the first individual light selected (not necessarily Light 1) is specified in Lighting Properties as a Spotlight.

It may appear that the lighting for the object is disabled, even if it is enabled and the Global Light is set at a high Intensity. The Global Light is affecting the appearance of the object, but the object appears flat. This is due to the Spotlight Angle's initial default setting of 0°.

Once the Spotlight Angle is set to a value higher than 0, the object resumes its 3D appearance.

Refer to Lighting Properties for additional information on setting lights.

Depth Testing/Depth Writing

The Depth Testing setting determines if an object can be covered by another object when the objects intersect in Z-Space. Normally, even if they are rotated in Z-Space, and points on each object share the same Z-Position, 2D objects simply lie one on top of the other, without intersecting.

  • If Depth Testing is enabled, then another object can cover the selected object.

  • If Depth Testing is disabled, then another object cannot cover the selected object.

Default settings:

  • By default, Depth Testing is disabled for imported 2D bitmap objects.

  • By default, Depth Testing is enabled for 2D Text windows.

  • By default, Depth Testing is enabled for 3D characters and 3D objects.

The Depth Writing setting determines if the selected object can obscure another object when they intersect in Z-Space.

  • If Depth Writing is enabled, the object is allowed to cover another object.

  • If Depth Writing is disabled, the object cannot cover another object, even if Depth Testing is enabled on the other object.

Default settings:

  • By default, Depth Writing is normally enabled for imported 2D bitmap objects.

  • By default, Depth Writing is normally disabled for 2D Text windows.

  • By default, Depth Writing is normally enabled for 3D characters and 3D objects.

For objects to intersect and order properly, both Depth Testing and Depth Writing should be enabled. If an object has an alpha component (e.g. 2D Text Windows), however, enabling Depth Writing may unintentionally prohibit objects behind the alpha object from showing through. In this instance, disable Depth Writing. Note that doing so may require that the animation requires adjustment, as the object will no longer be able to overwrite other objects.

When working with 2D Text Windows that intersect with other objects, the Use Scene Camera and Modified Space options, both accessed from the 2D Text Window context menu, should be enabled to allow manipulation of the 2D Text Window in 3D space.

When Depth Writing and Depth Testing are disabled for the two rotated 2D bitmaps, as shown in the following figure, there is no intersection between each of them and any other object.

Image: Depth Write and Depth Test Disabled

Depth Writing and Depth Testing Disabled

When Depth Writing and Depth Testing are enabled for the two rotated 2D bitmaps, they intersect with each other and the 3D cube.

Image: Depth Write On, Depth Test On

Depth Writing and Depth Testing Enabled

There may be an occasion where it may be desirable to set Depth Testing Enabled and Depth Writing Disabled for an object, depending on how objects are to interact.

Separate Specular

This option is used primarily when textures are applied to 3D objects. With the Separate Specular option turned on, Specular lighting effects are applied to the 3D object after the texture is applied. (In other words, the application performs the calculations taking into account the texture image.)

At top, the Separate Specular option is enabled; at bottom, disabled.

Composite Transform

Composite Transform dictates the rendering order of objects in Groups. In the following illustration the Lyric logo is "physically" in front of the HyperX logo; it is closer to the viewer on the Z axis. As shown, the Lyric logo is given visual display priority on the Scene Graph. The objects are grouped, as shown by the Scene Graph. In the bottom illustrations, visual display priority has not been changed on the Scene Graph.

At lower left, the Group has been rotated 180 degrees, with Composite Transform set to OFF. The objects behave in accordance with the visual display priority as set on the Scene Graph, with the Lyric logo remaining in front of the HyperX logo. This situation, however, contradicts how the objects would behave in real space. Were these logos real objects attached to opposite ends of a glass box, and the box rotated 180 degrees, the HyperX logo would be closer to the viewer.

At lower right, Composite Transform is set to ON, and the objects in the Group behave in accordance with the rules of the real world. With the group rotated 180 degrees, the HyperX logo does appear closer to the viewer, and thus partially obscures the Lyric logo.

At lower left, Composite Transform is set to Off, maintaining the visual display priority set by the Scene Graph, in contradiction to real-world behavior.
At lower right, Composite Transform is set to On, allowing the objects to be seen as they would in the real world.

Blending

The interaction between color and Alpha values of objects being added to a scene on the Lyric Canvas, and those of the Canvas's previously existing contents may be handled in several ways by different OpenGL Blending functions.

In each of the illustrations below, the teapot in the foreground is being added to a scene containing existing content, using the different Blending methods. Mouse-hover over each example to identify the selected Blending effect, and click the illustration for further explanation of the OpenGL operations involved (or click here).

Scene

2-Pass Rendering (Depth/Blend)

  • With 2-Pass Rendering enabled, Lyric renders only the opaque objects in the composition.

  • With 2-Pass Rendering disabled, Lyric renders all pixels, including those with an Alpha value of less than %100. Hence, the transparent pixels in an object will obscure an object located behind it.

In the illustration below, a .tga (Targa) containing alpha information is rotated over another copy of the same image. The translucent region between the outer arc and the blue globe is visibly jagged with 2-Pass Rendering enabled. The same region appears smoother with the option disabled.

At left, 2-Pass Rendering is enabled, at right, disabled.

HINT

Certain textures and colors may be difficult to see during composition and editing on the Lyric Canvas. The Toggle Canvas Background Color [image] button can help the user see Canvas contents with a number of options.

Take note that this is a matter ONLY of the Canvas background seen by the user during composition; this adjustment is different from setting a Background that will appear in the composition that will appear on Output.

Clicking the [image] button toggles between black and gray composition-only backgrounds. Press the Control key and click on this button to choose a custom color in a familiar Color Select dialog, which also offers a checkerboard option, similar to that seen above.

For Help on other Properties topics, select the desired Tab:


Playout Properties

Properties > Playout
Available in Lyric Pro only.

This tab in the Properties menu will not appear in standard Lyric installations.

NOTE

The Playout Properties page and its controls are available in Lyric Pro only; this tab in the Properties menu will not appear in standard Lyric installations. The controls on Lyric Pro's Playout Properties page work in conjunction with those on the Events Properties and Transition Effects pages.

The Playout Properties Panel is a convenient tool for controlling the playout of messages and transitions across all frame buffers in the system.

Buttons to trigger Transitions, for the currently selected message, appear here (provided that they are marked as visible on the Transition Properties Panel).

In situations involving Persistent messages, multiple messages may be sent to the system's Output. Any Transition in any of the active messages can then be executed, in any order, using these controls.

Controls On the Playout Tab

The Playout Properties tab contains groups for each available Frame Buffer, as well as a group detailing the available Transitions in the message currently selected. Two additional buttons at the top of the panel will transfer the current message to output and Play the current message to output.

Each button inside a frame buffer group is labeled with the corresponding message number. A message can be selected by clicking the desired button. When selected, all transitions defined for that message are displayed and a Transition can be triggered by clicking on the desired Transition button. Off-line installations of the software will display the label Canvas Scenes, as opposed to Frame Buffer.

Buttons shown in red are on the system's Output and those in green are on the Lyric Canvas. Buttons marked "Untitled" indicate an available blank or unnamed Canvas, which can be used for composition and transferred to Output.

A message whose playout has reached a programmed pause will show yellow for the duration of that Pause. An animation can be resumed, if at a pause point and waiting for a keypress, by clicking on the Yellow button.

For Help on other Properties topics, select the desired Tab:


3D Primitives Plugin

3D Adaptive Primitives Plugin Properties

Properties > Plugin

With Lyric Version 7.0 and later, adaptive primitives may be created within the Lyric application itself. Their attributes are keyframeable and may be modified programmatically.

On the Tools menu and select 3D Object > 3D Object Primitive

3D object primitive plugin on Tools Menu

The Plugin Objects dialog appears:

3D primitive dialog on Tools Menu

Pick one of the selections and click OK.

3D Primitives Currently Available

Unless otherwise specified, all the controls described herein are sliders with accompanying edit boxes. Note that in some of the edit boxes, only whole numbers may be entered.

The variables Height, Width, Depth (including Bevel sizes), Angle Size, Hole (size), Skew, and Inner and Outer Radius all use the same 'world-space' - type values as those upon which Lyric's XYZ controls are based.

The 3D primitives available at the time of this writing, and their variables are discussed below.

Note

Some of the shapes are initially shown in Wireframe view, to best explain the variables being discussed.

Cone

The Cone shape offers these settings.

  • Tessellation: Default value, 29; maximum value, 100. Varies the number of triangles comprising the object being rendered. (Note that the base of any shape is always present and the number of triangles specified by the user is in addition to the base surface.) As in construction of any 3D primitive, a certain minimum number of triangles is required to successfully produce the desired shape. Varying the Tessellation value has a dramatic effect on the quality of the shape. The lowest setting of 3 produces only 3 triangular sides in addition to the base, forming a tetrahedron rather than the desired cone. With progressively higher settings, the shape looks more like a cone with the expected smooth surfaces.

Cone: Tessellation value set at 3 (extreme left), 9, 13 and 100 (extreme right).

  • Height and Width: Default value, 0; maximum value, 5. Vary the dimensions of the Cone shape in the same manner as adjusting the X and Y Scale controls on the XYZ Properties page.

Cube

The Cube shape offers these settings:

  • Tessellation, as described above. For this shape, default value, 1; maximum value, 100.

  • Bevel: For this shape, default value, 0; maximum value, 0.5. With this control set at "0" the cube's sides meet at 90° angles. As with 3D objects and Lyric-produced 3D characters, this control introduces an additional surface connecting the 6 sides that comprise the shape's most basic form.

Cube, bevels comparison

Cube with Bevel value set at 0 (left). Bevel value set at 0.045 (right). The cube's dimensions are otherwise unchanged.

Cylinder

The Cylinder shape offers these settings:

  • Sides: For this shape, default value, 20; maximum value, 100. The default value produces a shape whose individual sides are barely visible. As with other curved shapes, increasing this setting will result in a smoother appearance.

  • Height: For this shape, default value, 1; maximum value, 5.

  • Diameter: For this shape, default value, 1; maximum value, 5.

  • Start Angle: For this shape, default value, 0; maximum value, 360. This setting allows the user to set the initial position from which animated movement, or changes to the shape, begin.

  • Angle Size: For this shape, default value, the maximum of 360; minimum value, 0. With this adjustment set at 360°, the cylinder's bases describe closed circles, and its sides an unbroken surface. Decreasing the Angle Size value cuts a 'slice' into the shape, as seen below:

Angle Size: At left, 360°, center 270° and at right, 90°

  • Hole: Default value, 0; maximum value, 5. Self explanatory; opens a hole through the center of the object.

Hole set at 0.4; be careful of setting the Hole value too high, as it can 'consume' the base of the shape completely.

  • Bevel: For this shape, default value, 0; maximum value, 2.5. Again, Bevels introduce an additional surface connecting each of the basic object's original sides. The cylinder shown here has no image mapped to its base, so that the Bevel effect can be seen more clearly.

Bevel settings: At left, 0.125; center, 0.3 and at right, 0.4.
The variation on the right is rotated on its X axis to show the effect of high Bevel settings on the object as a whole.

Pod

When a Pod is first created on the Lyric Canvas, it appears as a simple square, without sides that give the appearance of three dimensions. The Pod may be shaped and given depth by these settings:

Properties governing the entire shape:

  • Tessellation: Default value, 8; maximum value, 100. As with other shapes, setting this value below a certain number creates too few constituent triangles to successfully form the shape. An example in the Wireframe Properties > Rendering view is seen below:

Tesselation values 3 and 4 seen in Wireframe

Left: Pod Tessellation value set at 3, creating only the front and back of the object.
At right, Tessellation is set at 4, enabling the plugin to create the object's sides.

  • Depth: Default value, 0; maximum value, 5. This setting is a variable in the software's initial extrusion of the object on the Z scale. Visually, it has the same effect as increasing an imported 3D object's, or a 3D character's Z axis on the Scale control.

  • Skew: Default value, 0; maximum value, 1. Distorts the Pod shape. Seen from the front, increasing the Skew value causes the shape to lean to the viewer's right. When the user requires a Pod shape that leans to the left, this may be accomplished by rotating the object on its Y axis.

Pod with Skew value set at 0 (left), 0.5 (center) and Skew value set at 1 (right).

Properties governing the Pod's four corners

Each of the Pod's four corners (Upper Left, Upper Right, Lower Left and Lower Right) may be varied by these controls:

  • Size: Default value, 0; maximum value, 0.5. Increasing the Size value decreases the selected corner's distance from the object's center.

  • Smoothing: Default value, 0.5; maximum value, 1. Raising the Smoothing value increases the curve applied to the selected corner. Note that lowering the Smoothing value can reduce the curve to a flat surface.

At left, Pod with Upper Right Corner Smoothing set at 0.05. At right, the Smoothing value is set at 0, producing a flat surface.
In both examples, the corner's Size setting is 0.03.

Sphere

The Sphere shape offers these settings:

  • Tessellation, as described above: For this shape, default value, 30; maximum value, 100.

  • Open Angle: Default value, 0; maximum value, 360. This setting can create, and vary the size of, a slice taken out of the sphere. The Inside surface of the Sphere is thus exposed. The Inside and Outside are two distinct surfaces that may be treated with different color and Texture (Surface) settings. Below, the object is shown with its Selection Guide enabled, to help the reader distinguish the Y axis, and hence the origin of the Open Angle.

Sphere with Open Angle set at 60°, Inside and Outside surfaces mapped with different colors.

  • Stretch Texture to Fit (checkbox): If an image mapped to either of the available surfaces is too small to cover that surface in its entirety, the image may be stretched to cover the entire surface.

Torus

The Torus shape offers these settings:

  • Rings: Default value, 20; maximum value, 200. Varies the number of concentric circles conjoined to form the Torus's surface.

Torus: At top, the minimum Rings setting of 2. At bottom, set at 24, making for a smoother shape.

  • Sides: Default value, 40; maximum value, 200. As with the Cylinder, a minimum number of sides are required to successfully form the desired shape.

Torus: Left, 3 Sides; insufficient for forming a shape recognizable as a Torus. Center, 12 Sides. Right, 120 Sides, creating a smoother shape.
This adjustment may be set as high as 200 Sides.

  • Outer Radius: Default value, 100; maximum value, 1000. This control varies the overall size of the Torus. The "hole" in the object ("Inner Radius") varies in direct proportion to the Outer Radius unless it is adjusted separately.

At left, a Torus at its default Outer Radius setting of 100. At right, the Outer Radius is set at 200.
In both examples, the Inner Radius is set at its default value of 30.

  • Inner Radius: Default value, 30; maximum value, 1000. The size of the hole in the Torus. Note that varying combinations of Outer and Inner Radius values can have some extreme effects as in the following illustration.

In both these examples, the Outer Radius is set at 200, as in the previous illustration. At left, the Inner Radius is set at a value of 150; at right, it is set at a value of 2.

  • Open Angle: Default value, 0; maximum value, 360. As described above, varying the Open Angle can take a 'slice' out of the shape.

Other Variables

Surface Properties

Like imported 3D objects and Lyric-produced 3D characters, shapes produced with the 3D Primitives plugin may be modified with colors and mapped images, 2D text or movie files. These options appear on the Surface > Properties page, and the options available for each 3D Primitive will appear on the Surface Properties page when the object is selected for editing. Given the resources used in creating and dynamically updating shapes produced by the plugin, such texture options may be limited in comparison with imported 3D objects and Lyric-produced 3D characters.

A Cylinder produced by Lyric's 3D Primitives plugin, with different colors mapped to its various surfaces.
The two insets show the selection of surfaces available for this shape as seen on the Surfaces > Properties menu.

Rendering Properties

With some exceptions, Rendering > Properties options such as Polygon Mode (Solid, Wireframe or Points), Draw Backfaces, and Antialiasing for the individual object may be applied to shapes created with the 3D Primitives plugin.

Other shapes and their variables will be discussed in future updates to this Help topic.

For Help on other Properties topics, select the desired Tab:


Clock and Timer Properties

Clocks, Timers and Clock/Timer Properties

Clock: Tools Menu > Clock; Chyron Toolbar
Timer: Tools Menu > Timer; Chyron Toolbar
Properties > Clock/Timer

Important: See also Clock and Timer Formats .

Clock/Timer Properties Tab, at right, with a Clock on the Canvas, left

On-screen Clock and count-up or count-down Timers can be created and run in specialized 2D Text Windows in Lyric. Clocks and Timers can be composed of Lyric TrueType® fonts or RGB Fonts, and can display a variety of hour-minute-second formats. Refer to Clock/Timer Formats for additional format information.

Toolbar Buttons

Click this button to add a Clock window to the composition. The first Clock created will be named "Clock 1" and Clocks added subsequently by this method will be named "Clock 2", etc.

Click this button to add a Timer (count up or count down) to the composition. The first Timer created will be named "Timer 1" and Timers added subsequently by this method will be named "Timer 2", etc. By default, clicking this button creates a Timer that counts up from zero. The Timer thus created (or any Timer currently selected) can be changed to a Timer Down, using the Type dropdown (see below).

The name of any Clock or Timer can be changed after its creation by single-clicking its entry on the Scene Graph.

Parts of this Properties Panel

Select Clock/Timer

This portion of the panel provides another method for adding new Clocks and Timers (with custom names) to the composition, in addition to the [image] and [image] buttons on the Toolbar.

Name

The Name field provides a means to custom-name new Clocks and Timers as they are created. By contrast, the [image] and [image] buttons create windows that are automatically named ("Clock 1", "Clock 2", "Timer 1", "Timer 2", etc.). To begin, enter your new Name text, typing over the text "All Timers" (the "All Timers" entry comes into play as a Delete option).

This dropdown can also be used to select a Clock or Timer for editing or deletion when multiple Clocks and Timers are on the Canvas.

Type

If a new user-entered Name is entered, the Type dropdown must be used to define the newly-named object as a Clock, a Timer Up or a Timer Down. With these two settings made, the Add button becomes available. Using the Timer Up function differs from a clock only insofar as the count begins at a zero value (typically hours, minutes, seconds and tenths of a second) instead from the current time of day.

Add

When the fields discussed above are filled in, press this button to create the Clock or Timer you've configured.

Delete

Select any Clock or Timer in the composition using the Name dropdown, and click this button to remove it from the composition. You may choose the selection All Timers to remove all Clocks and Timers.

Specify Appearance

Format

With a Clock or Timer selected, this field and its dropdown menu become available. Common formats are available in the dropdown, but the user may enter any format that uses the system's specifiers properly. The Clock in the illustration at the beginning of this section is configured with the clock format M D, YY hh:mm N. Refer to Clock/Timer Formats for additional format information.

One common format is hh:mm:ss, which displays hours, minutes and seconds in 'leading zero' fashion when the values are less than ten (02:09:07), and the "hh" specified is preceded by a "0". To strip leading zeroes from a Clock or Timer display, add -0 at the beginning of the format specification. The " - " character, or any other entry of user-defined formats may be typed directly into the Format text field.

Reset

When a Timer Down is being set up, enter a beginning value here. When the Timer is reset, this value will be restored, and when played again, count down from this value.

Maintain Baseline on Font Changes

With this checkbox selected, changes in the Clock or Timer's font will not cause the displayed characters to shift vertically.

Action as Timer Expires

This portion of the controls is not currently enabled.

Specify Timeline

This portion of the controls is not currently enabled.

Operate Clock/Timer

The three large buttons on this part of the panel are assignable; the Toggle, Start, Toggle Show and Reset functions shown are simply the buttons' defaults. Several other functions, discussed below, may be selected from the pull-down menu and set with the Execute button.

Timer Key/GPI Assignment and Clock/Timer Setting

To reassign the large buttons to functions other than their defaults, select Set Key/GPI and press Execute. The Timer Key/GPI Assignment dialog box opens. The Action pull-down at the top of this dialog box presents the same list of functions as the pull-down at the bottom of the Clock/Timer Properties tab. Select one and locate the large button in the Assign Button area to which you wish to assign the function. Click the button and it takes on the label of the function you have selected. Repeat this procedure with the two remaining buttons and click OK. The large buttons in the Clock/Timer tab take on these functions. Refer to the table below for a complete list of these functions.

Save and Recall

The Save button creates Lyric Clocks/Timers messages which save all ONLY clock/timer information and any included formatting. Clocks/Timers messages DO NOT capture the other objects present in your composition at the time of saving. All Clock and Timer information is saved when complete Lyric messages are saved normally.

Use the Recall button to call these messages back up from the directory where they are stored.

Sample Procedure

To place a Clock on the Canvas:

  1. Click the [image] icon. A Clock window appears on the Canvas. The Clock/Timer Properties tab is automatically selected on the Properties menu and is displayed.

  2. Next, specify the Clock’s Format.

It is not necessary to control the movement of Clocks and Timers separately from other animations. If the entire scene is played with the Canvas' transport controls, Clocks and Timers will animate along with the other elements.

When the Xfer or Image: Live Button button is clicked, any Clock or Timer in the scene will become visible on the video output. It should be noted that Clocks and Timers do not run on the monitor screen of your HyperX or PC. They will only function on the VGE output via the XFER or Chyron tools buttons on the Lyric interface. (Remember that other actions such as playing an animation are equivalent to pressing the Image: Live Button button).

The manual Show and Hide controls may also be used. Clocks transferred to the video output via the Xfer or Image: Live Button buttons immediately begin updating. However, Timers must be started manually.

Clock and Timer Functions

Function | Description
Start | Starts updating the clock or timer. If the clock or timer is off the Canvas or otherwise hidden, the Start command does not display it.
Stop | Stops updating the clock or timer. If the clock or timer is shown, the Stop command does not hide it.
Toggle Start | Cycles between Start and Stop.
Split (Lap) | Continue updating the clock or timer, but if visible, maintain display of the time value at the moment the Split was invoked.
Toggle Split | Cycle between Start and Split.
Reset | Reset clock to the current time or the timer to a previously defined reset value.
Show | Makes the clock or timer visible. If the clock or timer is stopped, the Show command will not start it. Clocks or timers appearing alone on the Lyric Canvas may be used for keying over other video sources.
Hide | Makes the clock or timer invisible. If the clock or timer is running, the Hide command will not stop it.
Toggle Show | Cycles between Show and Hide.
Anim In | Executes any defined animation to bring the clock or timer on-screen. Anim In is not supported on LE/LEX/PCI/PCI+ systems.
Anim Out | Executes any defined animation to send the clock or timer off-screen.
Toggle Anim | Cycles between Anim In and Anim Out.
Set Key/GPI | Used to assign functions to three large assignable buttons at the bottom of the panel.

Any appropriate action for the clock or timer may be executed in one of three ways:

  • Selecting the desired action from the Operate Clock/Timer pull-down menu, and then pressing Execute.

  • Typing a Hotkey combination that has been previously defined.

  • Issuing any GPI event that has been previously set up to trigger the action.

Any previous Lyric Timer messages may be recalled by pressing the Recall button in the Clock/Timer dialog box, by pressing the Read key or selecting Open on the File menu. This will cause the saved clocks/timers to be imported into the current scene without erasing any existing scene elements from the Canvas. If a standard Lyric message containing clocks is read, however, then the entire Canvas will be erased prior to reading the new message. Existing persistent clocks and timers will not be erased upon message read. Persistent Clocks and Timers can only be deleted from the Canvas with the Persistent Timers option in the Erase dialog box.

A quick method for recording a Clock/Timer file is as follows:

  1. Press Ctrl + Record. The Record Only: dialog box opens.

  2. Select Clocks/Timers.

  3. Click Record. The Clock/Timer settings are saved to the current Message Number in the Default Message Directory.

A Hotkey combination can also be used to record the Click/Timer settings:

  • Press Ctrl + Record K Enter. The Clocks/Timer settings are saved to the current Message Number in the Default Message Directory.

See also Clock and Timer Formats .

For Help on other Properties topics, select the desired Tab:


File Menu

From the File menu, familiar Windows file operations such as Open, Save, Save As and Close can be performed. The File menu also contains Lyric-specific file Import and Export functions.

Certain File Open, Save and Save As operations can be performed using Lyric's Read and Record functions, as well as via the Lyric Browser. Refer Recording and Reading Messages and to Browser: Message Asset Operations for additional information.

Click on an item in the File menu below for details on each of the functions.

File Menu


New (Create New Canvas, Browser, Playlist)

New

File Menu > New; Windows Toolbar Image: New Icon; Ctrl + N

Creating New Canvas, Browser, or Playlist

Use the New command to create a new Canvas, Browser, or Playlist in Lyric.


Open (File)

Open

File Menu > Open; Windows Toolbar ; Ctrl + O

Use this command to open existing Lyric messages, Playlists , .fbx files or any of the other file types shown below.

Opening a Lyric File

Take note, however, that the All Files option is limited as in virtually all software applications. For example, "All Files" does not allow opening bitmap files in a Lyric composition. These files must be imported into a composition using the Graphic Import command.


Close File

Close

File Menu > Close

The familiar Windows [image] button is never available on the Canvas itself. This is a safety measure. If you wish to close a composition when the Canvas is the active window:

  • Select File > Close.

File > Close can be used to close the currently active Canvas, Browser, or Playlist. If a file such as a Canvas or Playlist has unsaved changes, Lyric displays a Save prompt.

Canvas

Playlist

Clicking Yes opens the Save As dialog box, in which File Name, File Type and other associated information can be entered.

Selecting Exit on the File menu or selecting the [image] button on the Lyric interface also closes the current composition. If the composition has unsaved changes, Lyric displays one of the prompts seen above.

Windows Close Button


Save

File Menu > Save; Windows Toolbar Image: File Save Icon; Ctrl + S

Save saves, or records, a file. The type of file depends on the current focus, or cursor location, in the Lyric interface. The Save function is accessed as follows:

  1. In the Windows Toolbar, click the Save icon Image: File Save Icon, press Ctrl + S or select Save from the File menu. A prompt is displayed asking for overwrite permission. If the file has not yet been named, it is assumed by Lyric that the name is Untitled.

    Image: Overwrite Confirm

    Overwrite Confirm

  2. Click OK to save, or Cancel to cancel the save.

The different files types are described in the following sections.

Saving a Lyric Message

If the focus is on any part of the Lyric interface other than a Playlist or the Macros dialog box, Save saves the Lyric message (*.lyr) using the file name currently displayed on the Canvas Title Bar. If the file has not previously been saved, it is saved under the name Untitled, to the Default Message Directory. The file is saved to the Default Message Directory as set in Config Menu > Preferences > Default Paths.

The message file is also saved to the Browser database if File Save Adds to Browser is selected (checked) in Config Menu > Preferences > Browser. Name in file name displayed in the Browser is the same as that displayed in the Canvas Title Bar.

Saving a Playlist

If the focus is on the Playlist, the Save As dialog box is displayed, and Playlist Files ( *.ply) is automatically displayed in the Save as Type field. Refer to Playlists for additional information.

Saving a Macro

If the focus is on the Macros dialog box, the Save Macros To dialog box is displayed, and Lyric Macro Files (*.lmx)is automatically displayed in the Save as Type field. Refer to Macros for additional information.

Additional Save Methods and File Types

There are many saving options in Lyric. Refer to the section on the particular type of file or feature. For example, there are Clock/Timer files, two types of Macros files, etc. You may wish to continue with the Save As topic. Also refer to File Operations - Related Topics.


Save As

File Menu > Save As

Save As can be used to store a modified version of the file without overwriting the original, store a Lyric message or other type of file to a destination or name other than the default path or a numeric message number, or store the file as a different type of file. For example, a Lyric animation can be stored as an *.avi animation..

If Save As is used to store duplicate versions of the same message to different locations, it can cause the same thumbnail to appear twice in a Browser Window. This may be useful to remind the operator that a message is stored in two different locations. When duplicate assets appear in the Browser, the Text Only view or Icons and Text view can be checked to verify the location of each copy.

The following example demonstrates how to save an animation.

  1. From the File menu, Select Save As. The Save Animation dialog box opens.

Save Animation Dialog Box

Take note of the option checkboxes in the upper-left corner of the dialog. Remember that the availability of these options will vary with the file-format you're saving in.

Also note that when a Playlist is the active window on the interface, the Save As dialog defaults to the Playlist format.

Saving File as a Playlist

To save changes to a file without altering its name or format, use the Save command.


Import from iNFiNiT!

File Menu > Import from iNFiNiT!

Copying iNFiNiT!® Files to Windows-Formatted Directories

Lyric's power and flexibility includes the ability to import and read messages created on Chyron® iNFiNiT!® Family systems, which include the iNFiNiT!®, MAX>!® and MAXINE!®. In order for Lyric to read iNFiNiT!-formatted messages, both the iNFiNiT! messages and the iNFiNiT! fonts associated with the messages must be copied to Windows-formatted directories that reside locally on the system running Lyric. Files from iNFiNiT! - type systems are copied to Windows-formatted directories via FTP.

Once the iNFiNiT! messages and their fonts are copied to Lyric, they can be read in Lyric using the following methods:

  • The iNFiNiT!-formatted messages can be read to the Canvas using the Read function accessed from the iNFiNiT! Message Import dialog box.

  • The copied iNFiNiT! messages can be converted into Lyric-formatted messages, where they can be read to the Canvas in the same manner as other Lyric messages.

Creating Windows-Formatted Message and Font Directories

Two Windows-formatted directories should be created for the storage of the iNFiNiT! message and font files. It is possible to copy both message and font files to a single Windows-formatted directory, but for ease of organization, it is recommended that they be stored in separate directories. In addition, it allows the use of the same ID number for both a message and a font, as they reside in different directories.

  1. Before copying files from the iNFiNiT!, create a Windows-formatted directory to accept message files, and a Windows-formatted directory to accept font files. In the following example, the directories used are as follows:

    • C:\iNFiNiT\MESSAGE

    • C:\iNFiNiT\FONT

  2. If there are no files in either or both of the directories, place a dummy file in each directory. It need not be an iNFiNiT! message or iNFiNiT! font file. This is necessary in order to select a directory if using the Browse function described below.

Copying Files from an iNFiNiT! Disk via FTP

In most Lyric installations, the Copy files from iNFiNiT! Disk button will appear grayed out. In any case, Chyron does not recommend attempting to use this method for moving iNFiNiT! files onto Windows-based Chyron systems.

Files can be copied from any onboard or connected drive on an iNFiNiT! Family system to a local, Windows-formatted drive. To copy the files via FTP from an iNFiNiT! drive to a local drive:

  1. From the Lyric File menu, select Import from iNFiNiT!. The iNFiNiT! Message Import dialog box opens.

    IMage: iNFiNiT! Message Import

    iNFiNiT! Message Import Dialog Box

  2. Click the Copy iNFiNiT! files via FTP button. The Copy iNFiNiT! Files via FTP dialog box opens.

    Image: Copy iNFiNiT! Files via FTP

    Copy iNFiNiT! Files via FTP Dialog Box

  3. Enter the IP Address or select from the drop-down. If necessary, enter a Username and a Password. To save this information for future use, select (check) the Save checkbox.

  4. Enter the Local Directory (i.e., the Windows-formatted directory) to which the file is to be copied. The directory also may be available from the Local Dir drop-down. It can, as well, be located by clicking the Browse button and navigating to the directory. In this instance, it is necessary to select a file in order to select the directory, which is why there must be a file in the directory. Note that if a file format other than an iNFiNiT! message or iNFiNiT! font file is selected, the directory name is entered into the Local Dir field, but the File field remains blank. This is fine, as a different File ID will be entered.

  5. Enter the Remote Directory (i.e. the iNFiNiT! system directory) from which the file is to be copied. Note that a forward slash at the end of Directory name is optional. The directory also may be available from the Local Dir drop-down. It can, as well, be located by clicking the Browse button and navigating to the directory. In this instance, a File, a range of files, or noncontiguous files to copy can be selected as well. See the next step for details.

    Select Server Folder Window

    Select Server Folder Window

  6. Use one of the following methods to enter a File ID or multiple File IDs:

    • Enter (type) the file names by typing into the File field. It can be formatted xxxx or .xxxx, where x is a numeral. A range of File IDs can also be entered using the format xxxx-yyyy, or .xxxx-.yyyy. Note that thumbnail files (xxxx.TN) can be copied as well. The thumbnail file can be formatted xxxx.TN or .xxxx.TN.

    • Use the Browse function, as shown in the previous figure, to navigate to the directory that contains the file or files that are to be copied. Select (check) Show Files in order to display files. To select a single file, click a File ID. To select a range of files, hold the Shift key while clicking the first, then the last (or vice versa) file in the range. To select noncontiguous files, press and hold the Ctrl key, then click the File IDs. When file selection is complete, click OK. If a single file is selected, it is in the displayed in the format .xxxx in the File field. If a range of files or noncontiguous files are selected, SELECTED FILES is displayed in the File field.

  7. There are three options in the Options Area. Each can be made active by selecting (checking) or made inactive by deselecting (unchecking):

    • Skip Warnings: Select Skip Warnings to prevent the display of overwrite and other warnings when the FTP operation is executed. Note, however, that warnings will be displayed regardless of the Skip Warnings setting unless such warnings have been disabled in the Preferences menu.

    • Overwrite All: Select Overwrite All if all files in the local target directory which have matching file IDs as the incoming files are automatically overwritten when the FTP operation is executed.

    • Passive FTP: Select Passive FTP to have the data transfer initiated by the File Transfer Program client, rather than the FTP server program. This is recommended where security is a concern, as it ensures that all data flow initiation comes from inside, rather than outside, the network. It has no visible effect on the file transfer operation.

  8. A sample Copy iNFiNiT! Files via FTP dialog box is shown in the following figure. Click FTP Execute. The files are copied from the iNFiNiT! Remote Directory to the target Local Directory.

    Image: Copy iNFiNiT! Files via FTP

    Copy iNFiNiT! Files via FTP

  9. If necessary, repeat the FTP Execute to copy additional files. Remember that when copying Message files, the accompanying Font files must be copied as well. When all FTP operations are complete, click Close. Copied Message files can now be read into Lyric. See Reading iNFiNiT! Messages without Conversion to Lyric Format later in this section. Copied Font files can now also be loaded into the Browser for use in building Lyric and iNFiNiT! compositions. Refer to Browser: iNFiNiT! Font Asset Operations for additional information.

FTP Execute Error Messages

The following errors and/or warnings may be displayed during an FTP Execute:

Message and Description/Fix

Image: FTP Open Error

FTP Open Error

One or more of the FTP parameters, including IP Address, Username, Password or Remote Dir may not be correct.

Image: Server Name and Address Not Resolved

Server Name and Address Not Resolved

This error message can be generated by a variety of network-related problems, including the following:

  • The iNFiNiT! may not be not properly connected to the network.

  • If using a Computer Name instead of an IP Address to identify the iNFiNiT!, the name may not be properly mapped to the IP Address.

Image: Remote Directory Not Found

Remote Directory Not Found

The iNFiNiT! Remote Directory name is invalid.

Image: Operation Timed Out

Operation Timed Out

Check that all involved systems are turned on, properly networked and that the IP Address and directory names entered in the Copy iNFiNiT! Files via FTP dialog box are valid.

Image: Invalid ID Error

Invalid ID Error

One or more of the iNFiNiT! system File IDs is invalid.

Image: Overwrite Warning

Overwrite Warning

This warning is displayed if there is a file of the same File ID in the target directory as the File ID of an incoming file. Select Yes to overwrite, No to prohibit the overwrite, or Cancel to cancel the FTP Execute operation. Note that any files that were copied to the target Local Directory before an FTP Execute is cancelled are not deleted or changed to the pre-overwrite state.

Image: File Used by Another Process

File Used by Another Process

The file has already been imported and is currently in use. Close the file in Lyric.

Reading iNFiNiT! Messages without Conversion to Lyric Format

Lyric can read and properly display iNFiNiT! message files as long as the message's accompanying font files are available. To read an iNFiNiT! message in Lyric:

  1. Copy iNFiNiT! message and iNFiNiT! font files to a Local Directory as previously described, and then close the Copy iNFiNiT! Files via FTP dialog box. The iNFiNiT! Message Import dialog box is displayed.

    IMage: iNFiNiT! Message Import

    iNFiNiT! Message Import Dialog Box

  2. In the Font Dir field, enter the Windows-formatted directory in which the iNFiNiT! fonts were copied. Note that a forward slash at the end of Font Directory name is optional. The directory also may be available from the Font Dir drop-down. It can, as well, be located by clicking the Browse button and navigating to the directory, then selecting any file. This is necessary in order to select the directory. Note that if a file format other than an iNFiNiT! message or iNFiNiT! font file is selected, the directory name is entered into the Font Dir field, but the Msg ID field remains blank. This is fine, as a Message ID will eventually be entered.

  3. In the Msg Dir field, enter the name of the Windows-formatted directory into which the iNFiNiT! fonts were copied. Note that a forward slash at the end of Message Directory name is optional. The directory also may be available from the Msg Dir drop-down. It can, as well, be located by clicking the Browse button and navigating to the directory. Select a message file. Note that for proper display of the message file, all associated fonts must be resident in the selected Font Directory.

  4. If the Message ID has not yet been entered, enter a Message ID in the Msg ID field.

  5. Optional: Select (check) Skip Warnings to prevent the display of warnings when the FTP operation is executed. Note, however, that warnings will be displayed regardless of the Skip Warnings setting unless such warnings have been disabled in the Preferences menu.

  6. A sample iNFiNiT! Message Import dialog box is shown in the following figure. Click Read, press the Read key or press Enter on the PC keyboard. If the selected iNFiNiT! message is a text message, the file is read to the Lyric Canvas. If the selected iNFiNiT! message is an RGB message, continue to the next step.

    Image: iNFiNiT! Message Import Dialog Box

    iNFiNiT! Message Import Dialog Box

  7. If the message is an RGB message, the iNFiNiT! RGBA Import dialog box is displayed. Select Insert as Object to place the file in the Lyric Canvas as an object, or select Insert as Background to place the file as a Background. The message is placed on the Lyric Canvas as specified.

    Image: iNFiNiT! RGBA Import

    iNFiNiT! RGBA Import Dialog Box

    If the message is a Text message, the message is read to the Lyric Canvas, and the Machine fonts are loaded to the Lyric Browser in the iNFiNiT! Font Assets Window.

Various error and/or warning messages may be displayed during a Read operation. Refer to iNFiNiT! Message Import Read and Batch Convert Errors later in this section for details.

The following occurs when an iNFiNiT! message is read in Lyric:

  • iNFiNiT! Message Import opens a new 2D Text Window on the Canvas, into which all text from the iNFiNiT! message is placed.

  • All available fonts that are associated with the message, and stored in the selected Local Font Directory, are loaded into Browser's iNFiNiT! Asset Window. Hotkeys are automatically assigned to the fonts, in order of the Font ID numbers. Refer to Browser: iNFiNiT! Asset Operations for information on Browsers.

  • The Msg ID in the iNFiNiT! Message Import dialog box increments to the next Message ID found in the Local Directory.

  • If the cursor is on text that has been created using an iNFiNiT! font, the name and size of the font are displayed in the Font Toolbar.

NOTE

Remember that the Canvas Resolution setting, accessed from Lyric's Config menu, affects how accurately Lyric reproduces an iNFiNiT! message on the Lyric Canvas, and subsequently, on output. Specifically, most iNFiNiT! messages are composed for display in 4:3, therefore import into a 16:9 Lyric Canvas may yield undesirable results. It is recommended that graphics that are to be used for 16:9 output from Lyric, be created on the iNFiNiT! in 16:9 format.

Converting iNFiNiT! Messages to the Lyric Format

Converting a Single Message

To convert a single iNFiNiT! message to Lyric format:

  1. Use the iNFiNiT! Message Import Read function to read an iNFiNiT! message to the Canvas.

  2. Use one of the Lyric Save functions to record the message in the Lyric format to the current Lyric Default Message Directory. Refer to File: Save , File: Save As , Recording/Reading Messages for additional information on Save functions.

Remember that editing a Lyric message converted from the iNFiNiT! format requires Machine Fonts associated with the original iNFiNiT! messages.

Converting Multiple Messages - Batch Convert

To convert multiple iNFiNiT! messages to Lyric format:

  1. Select a Font Dir and a Msg Dir as previously described in Performing an iNFiNiT! Message Import Read Operation, but do not enter a Msg File ID. If a Msg File ID is present, delete it from the Msg File field.

  2. Click the Batch Convert button. The Import Batch Convert dialog box opens.

    Image: Import Batch Convert

    Import Batch Convert

  3. In the Start ID and End ID fields, enter a range of File IDs for the files that are to be converted.

  4. Optional: Select (check) Skip Warnings to prevent the display of warnings when the FTP operation is executed. Note, however, that warnings will be displayed regardless of the Skip Warnings setting unless such warnings have been disabled in the Preferences menu.

  5. Click OK to convert the selected messages. The messages are saved to the current Lyric Default Message Directory.

iNFiNiT! Message Import Read, Save and Batch Convert Errors

The following errors and/or warnings may be displayed during an iNFiNiT! Message Import Read or Batch Convert operation:

Message and Description/Fix

Image: Can't Find File Specified

System Couldn't Find File Specified

iNFiNiT! message file not found in specified directory.

  • If Displayed During a Read or Save Operation: Click OK to cancel the Read operation.

  • If Displayed During a Batch Convert Operation: Click OK to skip and continue to the next file.

Image: Couldn't Find iNFiNiT! Font File

Couldn't Find iNFiNiT! Font File

The specified iNFiNiT! Machine Font file not found in specified directory.

  • If Displayed During a Read or Save Operation: Select Yes to browse for the file; No to ignore the font and continue the Read or Save operation; or Cancel to cancel the Read or Save operation. If the specified Machine Font is not found, the text using the font is not displayed.

  • If Displayed During a Batch Convert Operation: Select Yes to browse for the file; No to ignore the Machine Font and continue the Batch Convert operation; or Cancel to cancel the Batch Convert operation. If the specified Machine Font is not found, the text using the font is not displayed when the message is read.

Image: Confirm Overwrite Message

Confirm Overwrite

This warning is displayed if there is a file of the same File ID in the target directory as the File ID of an incoming file. Note that the Title Bar of the warning reflects the message File ID number of the message in question.

If Displayed During a Save Operation: Select OK to overwrite, or Cancel to skip the overwrite.

If Displayed During a Batch Convert Operation: Select OK to overwrite, or Cancel to skip the overwrite of that file and move to the next file.

Image: iNFiNiT! RGBA Import

iNFiNiT! RGBA Import Dialog Box

Read, Save or Batch Convert Operation: The iNFiNiT! message about to be converted is an RGBA message. Select Insert as Object radio button to import into the Lyric Canvas as a 2D bitmap graphic, or the Insert as Background radio button to insert as a centered Background.

Image: iNFiNiT! Template Data Message Not Supported

iNFiNiT! Template Data Message Not Supported

iNFiNiT! Tab Data messages (known as Template Data messages in Lyric) are not supported in Lyric unless renamed to Lyric format. See Using Tab/Template Description and Data Messages in Lyric later in this section for information on these types of messages.

  • If Displayed During a Read or Save Operation: Click OK to cancel the Read or Save operation.

  • If Displayed During a Batch Convert Operation: Click OK to skip this message and continue to the next file.

A number of iNFiNiT! additional message types are not supported for conversion to Lyric. Examples are as follows:

Image: iNFiNiT! 'LyricText and Graphics Message' Not Supported

iNFiNiT! 'Lyric Text and Graphics Message' Not Supported

IMage: Single Function Key Message Not Supported

iNFiNiT! 'Single Function Key Message' Not Supported

Image: iNFiNiT! Multi FX Message Not Supported

iNFiNiT! 'Multi FX Message' Not Supported

The specified message type is not supported for conversion to a Lyric message.

  • If Displayed During a Read or Save Operation: Click OK to cancel the Read or Save operation.

  • If Displayed During a Batch Convert Operation: Click OK to skip this message and continue to the next file.

Image: Unknown Error While Accessing Font File

Unknown Error While Accessing Font File

Read, Save or Batch Convert Operation: The Machine Font file on the iNFiNiT! system may not be valid. Click OK to continue. When the message is read, the text using the specified Machine Font is not displayed.

Image: Flash Font Unsupported

Flash Font Unsupported

Read, Save or Batch Convert Operation: The iNFiNiT! message contains FlashFont characters, which are not supported by this operation. Click OK to continue. When the message is read, the text using FlashFont characters is not displayed.

Using Tab/Template Description and Data Messages in Lyric

Before describing the procedure used to import and use iNFiNiT! Tab Description and Tab Data messages in Lyric, the following equivalent terms used in iNFiNiT! Message Compose and Lyric operations should be reviewed:

Message Compose

Lyric

Tab

Template

A Message Compose Tab field or Lyric Template field can be individually formatted for Font, Color, Justification, etc. It can also be updated using Intelligent Interface or by reading a Tab Data message (iNFiNiT!) or Template Data message (Lyric) based on a Tab Description message (iNFiNiT!) or Template Description message (Lyric).

Tab Description Message

Template Description Message

This type of message contains one or more Tab/Template fields, and can also contain graphics and text not contained in Tab/Template fields.

Tab Data Message

Template Data Message

A Tab/Template Data message contains text data that is used to update a specific Tab/Template Description message. It also contains information referencing it to the specific Tab/Template Description message.

A Tab /Template Data message can be created on the fly, via Intelligent Interface, or from within Lyric, using the selective record (Ctrl + Record) function.

NOTE

The term Tab has a different definition with regard to Lyric, and is not to be confused with the iNFiNiT! Tab, which is equivalent to a Lyric Template. In Lyric, a Tab, also referred to as a Row Tab, is a column delineator similar to that found on a typewriter. Refer to Row Tab Functions for additional information.

To import a Message Compose Tab Description message into Lyric:

  1. On the iNFiNiT! system, make sure that each Tab field in the Tab Description message contains at least one character. This ensures that the Palette is properly imported into Lyric. Also set each Tab field to Auto-Erase.

  2. Import the message using the FTP procedure as previously described.

  3. Using the Reading iNFiNiT! Messages without Conversion to Lyric Format procedure described above, read the message file to the Canvas.

New Tab/Template Data messages based on this message can be created via Intelligent Interface.

An iNFiNiT! Tab Description message can also be saved as a Lyric Template Description message. To save as a Lyric message:

  • Enter a message number, then press Record or the PC numeric keypad minus (-) key. If using the File > Save or File > Save As function, save as a Lyric (*.lyr) file in the format xxxxxxxx.lyr, where x represents a numeral. Note that leading digits must be included in the file name, or the file will not be recognized by Intelligent Interface when referencing it to create a Template Data message.

Once the Tab Description message has been recorded in the Lyric format, Template Data messages based on the new Template Description message can be created via Intelligent Interface. When reading Lyric-formatted Template Description messages or referencing them from an Intelligent Interface command, it is not necessary to include the leading zeroes in the file name.

Remember that unless otherwise changed using the M command, Intelligent Interface records the Template Data messages to the Default Message Directory set in Lyric. Make sure that the Template Description message is saved to this directory as well. Refer to Config Menu: Preferences: Default Paths for details on setting this directory. This directory is also reflected in the Intelligent Interface dialog box, accessed from Config Menu > Intelligent Interface. Refer to Intelligent Interface for additional information.

iNFiNiT! and Lyric - Related Topics


Export To iNFiNiT!

File Menu > Export to iNFiNiT!

Lyric compositions may be exported as iNFiNiT! Text or RGB messages using the Export to iNFiNiT! function. Before setting up an export:

  • If there is no file in the Local Save Directory, place a dummy file in the directory. It need not be an iNFiNiT! message file. This is necessary in order to select a Local Save Directory if using the Browse function described below.

NOTE ON EXPORTING MESSAGES AND FONTS

An Export operation exports only the message(s), and not its associated fonts. It is crucial that the fonts used to create the message are resident on the iNFiNiT!, or the message will not properly display. iNFiNiT! fonts can be exported using an FTP utility. Using FTP to copy files is described in FTP - Transferring Files to/from an iNFiNiT!® System.

About Fonts and 2D Text Windows/Templates

iNFiNiT! messages can be composed only using Machine Fonts or FlashFonts. Each Machine Font character is a separate bitmap. When imported, FlashFont characters are ignored. There is no facility with which to create or interpret FlashFonts within Lyric.

In messages created in Lyric and destined for iNFiNiT! system playback, only iNFiNiT! Machine Fonts may be used during composition in Lyric. When an iNFiNiT! message is imported and edited within Lyric, text composed using Machine Fonts is transferred correctly back to the iNFiNiT! when the message is exported. If export of a message incorporating TrueType® fonts is attempted, the TrueType characters are ignored.

iNFiNiT! fonts can be used only for typing 2D text, not 3D characters. If an attempt is made to type a 3D character using an iNFiNiT! font, the following is displayed:

Image: 3D Character iNFiNiT! Font Warning

3D Character iNFiNiT! Font Warning

While Machine Fonts can be resized and otherwise modified within Lyric, the following must be noted:

  • When Machine Font characters are resized within Lyric, they are interpolated, and are therefore of less quality as TrueType fonts that have been resized through Font Tools or Font Properties.

  • When resized Machine Font characters are contained in a message that is exported to the iNFiNiT!, the resizing information is ignored, and the characters are displayed in the original size of the Machine Font.

RGB Fonts can be created in Lyric using the Custom Font Editor and saved as iNFiNiT! RGB Machine Fonts. For information on accessing the Custom Font Editor and creating RGB Fonts, refer to Browser: RGB Font Assets and Custom Font Editor.

There are a number of additional considerations which must be noted with regard to iNFiNiT! message export.

  • Only the first eight Face and first eight Edge colors in the Lyric Palette are exported to the iNFiNiT!, in correspondence with iNFiNiT!'s eight color keys. If any of the first eight Face or Edge Palette colors are changed after the message has been imported, a warning message is displayed upon export, requesting if the user wishes to export the current Palette (as seen in Lyric) or the Palette as originally imported.

  • 2D Text Windows created on the Lyric Canvas must be full-screen to maintain the proper positioning of text on export to the iNFiNiT!. Non-full-screen 2D Text Windows are repositioned to the upper left corner of the screen upon export to the iNFiNiT! system.

  • It is advisable to avoid using multiple 2D Text Windows on one Canvas, as the results can be unpredictable.

  • 2D Text Templates shifted vertically off of their row's baselines in Lyric are not supported for iNFiNiT! reproduction. Upon export, the Templates snap vertically to a row baseline.

  • Text that is positioned beyond the boundaries of the Lyric Canvas may not export to the iNFiNiT! file format.

Exporting a Single File

The currently displayed composition on the Canvas can be exported to an iNFiNiT! family system. To execute an export:

  1. From Lyric's File menu, select Export To iNFiNiT!. The iNFiNiT! File Save Options dialog box is displayed.

    iNFiNiT! File Save Options

  2. Choose the File Type for the file to be exported by selecting one of the following radio buttons:

    • Text Message: Text, Palettes and Templates can be edited on iNFiNiT! Family systems

    • RGB Message: The message is saved as a full-screen image.

  3. In the Description field, enter identifying information to be recorded to the iNFiNiT! database.

  4. Optional: In the Local Save area, select (check) Enable to save a copy of the message in the iNFiNiT! RGB message format to a PC, Chyron CG or Aprisa system. Enter a Directory Name, or click Browse to navigate to a directory. Note that if using Browse, a file must be selected from the directory. This file name can be changed in the next step.

  5. In the Msg Number field, enter an iNFiNiT! message number, omitting the leading decimal point. Note that PC file name dialog boxes do not accept a leading decimal in a file name. The range is from 0 - 9999 inclusive.

  6. Copy Files has not yet been implemented.

  7. To enable transfer of the file to an iNFiNiT! system, in the FTP Save area, select (check) Enable.

  8. Use one of the following methods to select a target directory on the iNFiNiT!

    • In the Directory field, enter a filepath. Note that a forward slash at the end of Directory name is optional.

    • Use the Browse function to navigate to the directory. Click the Browse button. The Select Server Folder window is displayed. Select the target directory folder, and then click OK.

      Image: Select Server Folder

      Select Server Folder Window

  9. Enter the iNFiNiT! system’s IP Address. If necessary, enter a Username and a Password. To save this information for future use, select (check) the Save checkbox.

  10. Optional: Select Skip Warnings to prevent the display of overwrite and other warnings when the Export operation is executed.

  11. A sample iNFiNiT! File Save Options dialog box is shown in the following figure. Click OK to close dialog box and save settings. Click Export to export the file to the iNFiNiT!, and if specified, to copy it locally. The message is saved in the iNFiNiT! message format.

Image : iNFiNiT! File Save Options

iNFiNiT! File Save Options

When the message is read on the iNFiNiT! system, the Description entered in Lyric is reflected in the Description field at the bottom of the iNFiNiT! interface.

Image: iNFiNiT! Interface

iNFiNiT! Interface

Batch Export

Multiple files can be exported to the iNFiNiT! in one operation, making it unnecessary to read and export each file individually. The files can be a mix of Text Messages and RGB Messages. To execute a Batch Export:

  1. From Lyric's File menu, select Export To iNFiNiT!. The iNFiNiT! File Save Options dialog box is displayed. Do not enter File Type, Description or Msg Number information. Since a File Type is always selected, the File Type setting is ignored in a Batch Export operation.

    iNFiNiT! File Save Options

  2. Optional: In the Local Save area, select (check) Enable to save a copy of each message in the iNFiNiT! RGB message format to a PC, Chyron CG or Aprisa system. Enter a Directory Name, or click Browse to navigate to a directory. Note that if using Browse, a file must be selected from the directory. This file name should then be deleted.

  3. To enable transfer of the files to an iNFiNiT! system, in the FTP Save area, select (check) Enable, then select an iNFiNiT! target directory as described in the previous procedure.

  4. Enter the iNFiNiT! system’s IP Address. If necessary, enter a Username and a Password. To save this information for future use, select (check) the Save checkbox.

  5. Optional: Select Skip Warnings to prevent the display of overwrite and other warnings when the Export operation is executed.

  6. A sample iNFiNiT! File Save Options dialog box is shown in the following figure. Click OK to close dialog box and save settings. Click Export to export the file to the iNFiNiT!, and if specified, to copy it locally. The message is saved in the iNFiNiT! message format.

    Image : iNFiNiT! File Save Options

    iNFiNiT! File Save Options for Batch Export

  7. Click Batch Export. The Batch Export dialog box opens.

    Image: Batch Export

    Batch Export Dialog Box

  8. Enter a Start ID and End ID.

    Image: Start and End files Entered

    Start and End Files Entered

  9. Click OK. The files are copied to the selected local and iNFiNiT! directories. The status of the transfer is shown in at the bottom of the Batch Export dialog box.

Export Errors

The following errors/warnings may be displayed when executing a Text message export.

Message and Description/Fix

Image: FTP Open Error

FTP Open Error

One or more of the FTP parameters, including IP Address, Username, Password or Directory may not be correct.

Single Message Only:

Image: Message Number Out of Range

Message Number Out of Range

The entered Message Number (Msg Number) is outside the range of 0 - 9999 inclusive.

Text Message Only:

Image: Error on Export - No Text Window Available

Error on Export - No Text Window Available

There must be a 2D Text Window on the Canvas, and an iNFiNiT! font loaded into the Lyric Canvas. Click OK to continue. The following warning is then displayed.

Image: Failure Creating Message as Export File

Failure Creating Message as Export File

Because the above conditions were not met, the Export file could not be created.

Image: Overwrite Warning

Overwrite Warning

This warning is displayed if there is a file of the same File ID in the target iNFiNiT! directory as the File ID of an incoming file. Select Yes to overwrite, No to Cancel to cancel the Export operation.

Overwrite Warnings are displayed regardless of the Skip Warnings checkbox unless such warnings have been disabled in the Preferences menu.

Text Message Only:

Images: Palettes Do Not Match

Lyric Palette Does Not Match iNFiNiT! Palette

Only the first eight Face and first eight Edge colors in the Lyric Palette are exported to the iNFiNiT!, in correspondence with iNFiNiT!'s eight color keys.

If any of the first eight Face or Edge Palette colors are changed after the message has been imported, a warning message is displayed upon export, asking if the user wishes to export the current Palette (as seen in Lyric) or the Palette as originally imported.

Select Yes to export the modified Palette, or No to preserve the original Palette.

Text Message Only:

Image: Not All Palette Entries Converted

Not All Palette Entries Converted

One or more Palette entries are not valid. Invalid character colors default to white. Click OK to continue.

Text Message Only:

Image: TrueType Characters Ignored

TrueType® Characters are Ignored

TrueType characters in the exported message are not supported by the iNFiNiT! and are not recorded with the iNFiNiT! message. Click OK to continue.

Image: Error During FTP Transfer

Error During FTP Transfer

The target disk or directory may be full.

  • If Displayed During a Single Message Export Operation: Click OK to cancel the Export operation.

  • If Displayed During a Batch Export Operation: Click OK to continue to the next message. If this error message is repeatedly displayed, press ESC to cancel the Export operation.

iNFiNiT! and Lyric - Related Topics


Import from Aprisa

File Menu > Import from Aprisa

An Aprisa still can be imported as an object or a Background from an Aprisa system into Lyric.

The import and export processes entail complete conversion to and from the Lyric format. Once an Aprisa still is imported from into Lyric, it becomes part of a Lyric graphic object or Background. When it is exported back to the Aprisa, the entire Lyric graphic is exported as an Aprisa still.

Running on a Chyron system or a PC, Lyric can connect to the Aprisa over a network and open stills chosen from the Aprisa database. The image can be titled or otherwise manipulated in Lyric and then networked back to the Aprisa system for storage and use as an Aprisa still. Note that the Aprisa image can also be stored as a standard Lyric message on the Chyron system or PC.

Before performing import and export operations within Lyric, it is necessary to configure Lyric for access to the Aprisa. Refer to Config Menu: Aprisa Interface for details.

NOTE

A still can also be quickly imported from the Aprisa via the Aprisa Still Assets Browser Window. Refer to Aprisa Still Asset Operations for details.

To import a still from an Aprisa system:

  1. From the File menu, select Import from Aprisa. The Aprisa Import dialog box opens.

    Imae: Aprisa Import Dialog Box

    Aprisa Import Dialog Box

  2. In the Source drop-down list box, specify the source of the file:

    • File: From Aprisa database. If the file is to be selected from the database, enter the Still ID. Note that all available still files are also displayed in Lyric's Aprisa Still Asset Browser Window. Refer to Aprisa Still Asset Operations for details.

      Iimage: Aprisa Stills Browser

      Aprisa Stills Browser

    • Directly from the current image on one of Aprisa’s three Air Channels, three Preview Channels or five Virtual Channels.

  3. Select the Insert as Object or Insert as Background radio button.

    • If the image is imported as an Object, the image is placed on the Lyric Canvas as a 2D bitmap object that can be repositioned, rotated, scaled, etc.

    • If the image is imported as a Background, it is centered on the Lyric Canvas. Note that there is no Stretch to Fit option when using this import method. Stretching the image to fit the Canvas size is available from the Browser. Refer to Aprisa Still Asset Operations for details.

  4. Click the Import button. The image appears on the Canvas as specified.

  5. Modify the composition by adding text and/or objects, resizing, rotating, scaling, etc.

  6. When composition is complete, it can be saved as a Lyric message and/or exported back to the Aprisa. Refer to File Menu: Export to Aprisa for information.

For additional information on Aprisa operations, refer to the documentation that accompanies the Aprisa hardware and software.

Aprisa - Related Topics


Export to Aprisa

File Menu > Export to Aprisa

Graphics created in Lyric can be exported as an Aprisa still to an Aprisa system.

The import and export processes entail complete conversion to and from the Lyric format. Once an Aprisa still is imported from into Lyric, it becomes part of a Lyric graphic object or Background. When it is exported back to the Aprisa, the entire Lyric graphic is exported as an Aprisa still.

Before performing import and export operations within Lyric, it is necessary to configure Lyric for access to the Aprisa. Refer to Config Menu: Aprisa Interface for details.

  1. From the File menu, select Export to Aprisa. The Aprisa Export dialog box is displayed. The following figure shows the Destination drop-down list box expanded.

    Aprisa Export Dialog Box

    Aprisa Export

  2. If saving as a File, enter a Still ID number. File Names are always of the format xxxx, where xxxx is a four-digit number.

  3. Optional: Enter a Description for the still.

  4. Optional: Enter additional descriptive information in Fields 1 through 8.

  5. Select a destination for the still from the Destination drop-down list box. There is a choice of three Air Channels, three Preview Channels, five Virtual Channels or File. If File is selected, the composition is saved to the Aprisa database. The following figure shows parameters entered.

    Image: Aprisa Export Dialog Box - Edited

    Aprisa Export Dialog Box - Parameters Entered

  6. Click Export. If the destination of the composition is a channel, the composition appears on the channel. If the destination is a file, the composition is saved as a still to the Aprisa database, and the file appears in the Aprisa Still Assets Browser Window. Refer to Aprisa Still Asset Operations for information on the Browser.

The Export to Aprisa procedure can also be used to update an existing still file. Refer to Aprisa Still Asset Operations for details.

For additional information on Aprisa operations, refer to the documentation that accompanies the Aprisa hardware and software.

Aprisa - Related Topics


Import from Quantel®

File Menu > Import from Quantel
Also: Browser > Image: Quantel Asset Icon > Image: Load from Database Icon; Browser Menu > Show Quantel Assets > Load from Database

Images produced on Quantel® systems can be imported to the Lyric Canvas. Graphic compositions created in Lyric can also be exported back to the Quantel system. The system running Lyric and the Quantel system must be networked so that Lyric can access the Quantel directories. Refer to Quantel Interface for details on Quantel interface configuration, and to Quantel documentation for information on Quantel system operation.

A Quantel graphic can also be imported to the Lyric Canvas and a Lyric graphic can be exported to a Quantel system from the Lyric Browser. Refer to Quantel® Asset Operations for details.

The following describes terms that are specific to Quantel operations:

  • Volume: Quantel’s equivalent of a directory within a Windows PC.

  • FID: File or Message ID.

  • List Max: Limits the number of results per page that may be returned by a search operation.

  • Image Type: Quantel systems store three image types:

    • Pictures, which are YUV images.

    • Stencils, which are Alpha channel-only images.

    • Cuts or Cutouts, which are complete YUV-A or RGB-A images.

Connecting to a Quantel System

A connection to a Quantel system must be opened before importing a graphic.

  1. From the Lyric File menu, select Import from Quantel. The Quantel Import dialog box opens.

    Image: Quantel Import Dialog Box

    Quantel Import Dialog Box

  2. From the System Information Host Name drop-down list box, select the networked Quantel system from which files are to be imported, then click Connect. Note that Username always defaults to ftp, and entering a Password is not necessary. Both fields are always grayed out. Refer to Quantel Interface Configuration for details on setting up a host table to add systems to the Host Name list.

    NOTE

    Configure Quantel Interface does not perform a check on the validity of the Quantel Host Name and/or IP Address. If an error message is displayed when attempting to connect to the selected system, confirm that the system is available and that the Host Name and IP Address are correctly entered. Refer to Quantel Interface Configuration for details on error messages.

A connection can also be established by clicking List Next Set or List Prev Set. This will also result in the display in the FID list of the available files in the selected volume (directory), with the selected parameters applied. Volume selection and parameters are described below.

Displaying Quantel Files and Viewing Thumbnails

To display a list of available files in a Quantel system:

  1. Set up a connection to a Quantel system as described above.

  2. In the Options area, select the Image Location (Volume or Directory) that is to be viewed.

  3. In the Options area, select the Image Type: Quantel Pictures, Quantel Cutouts or Quantel Stencils.

  4. In the List Max field, enter the maximum number of files to be displayed. This setting determines how many files are to be listed in the FID List at one time. For example, if List Max is set at 20, and there are 45 files that fit the import criteria, three pages would be generated. There would be 20 files on each of the first two pages, and 5 files on the third.

  5. Optional: Click Search to set additional parameters. The Search By dialog box is described at the end of this section. After setting parameters, close the Search By dialog box.

  6. In the area below the FID List (unlabeled), click List Next Set. The files of the selected type, in the selected system and volume (directory) are displayed. If the number of files found exceeds the List Max setting, the first page of files is displayed. To view a following page, click List Next Set. To view a preceding page, click List Prev Set.

Image: Quantel Import Dialog Box - Files Displayed

Quantel Import Dialog Box - Selecting a File

NOTE

If a List Next or List Prev is executed, and either files are not displayed or far fewer than expected are displayed, check the Search By dialog box shown below to make sure that there are no leftover parameters that may unwittingly be affecting the results.

To view a thumbnail of a graphic:

  1. Select (check) the Show Thumbnail checkbox.

  2. Click a file ID in the FID list. Note that clicking in the Title column does not select a file.

To save settings for future use:

  • Select (click) the Save Settings on Exit checkbox. Image Type, Volume and Search settings are preserved. List Max is not. These settings also determine the Quantel Assets that are displayed in the Browser.

Importing a Quantel Graphic to the Lyric Canvas

To import a Quantel graphic to the Canvas:

  1. Click on a file in the FID List to highlight it. If Show Thumbnail is selected, the thumbnail is displayed.

  2. Click Import. The image appears on the Lyric Canvas.

Quantel Assets are always imported at output pixel size, regardless of the Use 1:1 Pixel Aspect for Graphic Import setting, accessed from Config Menu > Canvas Resolution. This results in the aspect ratio of the image always being correct.

The FID Context Menu

Information about a Quantel file can be viewed, but not edited in the Quantel Import dialog box. This information can be edited only on the Quantel system.

  • Left-click the FID for a file to display the context menu:

Image: FID Context Menu

FID Context Menu

The context menu displays the following:

  • File ID: The ID number of the Quantel graphic. This number is automatically assigned when a graphic is created on the Quantel system. This occurs when a graphic is exported to the Quantel either from the Quantel Export dialog box (accessed from File Menu > Export to Quantel), or from the Browser Save to Database function.

  • Volume: The directory on the Quantel in which the file is stored.

  • Size: The Width-by-Height dimensions in pixels.

  • Owner: The author of the graphic.

  • Description: The description of the graphic.

  • Updated: Date of last update to the file.

Searching Quantel Assets

Quantel files can be searched based on a variety of parameters. The Quantel Import Search function differs from the Browser Search function in that the Quantel Import Search function searches the selected directory on the Quantel system, whereas the Browser Search function searches only the Quantel files already displayed in the Browser. Refer to Quantel® Asset Operations for details on the Browser Search function. To execute a search:

  1. From the Lyric File menu, select Import from Quantel. In the Quantel Import dialog box, connect to a system, then display a set of files. In the Options area, click Search.

    Image: Quantel Search By Dialog Box

    Search By dialog box

  2. A Quantel Asset can be searched by Author, Title, Category, and Date. Specify all or part of an Author, Title and or Category in their respective fields.

  3. The Date field reflects the current date. A different date can be selected from the drop-down calendar as shown above. To disable the Date as a search condition, deselect (uncheck) the checkbox located within the Date field.

  4. Click OK. The Search By dialog box closes.

  5. Click List Next Set. The results of the search are displayed in the FID List.

To clear the search fields in the Search By dialog box:

  • Click Clear. The Search By dialog box closes.

To cancel the search:

  • Click Cancel in the Search By dialog box.


Export to Quantel®

File Menu > Export to Quantel
Also: Browser > Image: Quantel Asset Icon > Image: Save to Database Icon; Browser Menu > Show Quantel Assets > Save to Database

Images produced on Quantel® systems can be imported to the Lyric Canvas. Graphic compositions created in Lyric can also be exported back to the Quantel system. The Chyron system or PC running Lyric and the Quantel system must be networked so that Lyric can access the Quantel directories. Refer to Quantel Interface Configuration for details on Quantel interface configuration, and to Quantel documentation for information on Quantel system operation.

A Quantel graphic can also be imported to the Lyric Canvas and a Lyric graphic can be exported to a Quantel system from the Lyric Browser. Refer to Quantel Asset Operations for details.

The following describes terms that are specific to Quantel operations:

  • Volume: Quantel’s equivalent of a directory within a Windows PC.

  • FID: File or Message ID.

  • List Max: Limits the number of results per page that may be returned by a search operation.

  • Image Type: Quantel systems store three image types:

    • Pictures, which are YUV images.

    • Stencils, which are Alpha channel-only images.

    • Cuts or Cutouts, which are complete YUV-A or RGB-A images.

NOTE

Lyric compositions are exported to a Quantel system as 32-bit images, and are saved to the Quantel system as Cuts, also known as Cutouts.

To export a message from Lyric to a Quantel system:

  1. From the File Menu, select Export to Quantel. The Quantel Export dialog box is displayed. It is shown with parameters entered.

    Image: Quantel® Export Dialog Box

    Quantel® Export Dialog Box

  2. Optional: Enter a Description.

  3. To also save the file locally on the system running Lyric, select (check) the Local Save Enable checkbox, then in the File field, enter a filepath to the directory in which the file is to be saved.

  4. Click the FTP Save Enable checkbox.

  5. In the Filename field, enter the Filename under which the file will be saved in the Quantel system.

  6. In the IP Address field, enter the Quantel system IP Address or Hostname.

  7. If required to access the Quantel system, enter a Username in the Username field.

  8. In the Location field, enter a destination Volume or directory.

  9. Click OK to execute the export and, if enabled, the save to the local disk.

NOTE

Configure Quantel Interface does not perform a check on the validity of the Quantel Host Name and/or IP Address. If an error message is displayed when attempting to export to the selected system, confirm that the system is available and that the Host Name and IP Address are correctly entered. Refer to Quantel Interface Configuration for details on error messages.


Print

Print/Print Preview

Print: File Menu > Print; Windows Toolbar Link to Print Icon; Ctrl + P
Print Preview: File Menu > Print Preview

Printing a Lyric Composition

The Print and Print Preview entries under the File menu cannot be used for printing Lyric compositions.

Recommended:

However, any given point in a Lyric composition may be Saved As a still image in a variety of formats. See Saving a 2D Bitmap Graphics File. The still images thus produced can be printed and otherwise manipulated by familiar means.

Alternate method:

An image of the entire Lyric interface can, however, be captured, pasted into a paint or other graphics program, and then printed.

To perform a screen grab and paste:

  1. From a Chyron keyboard: Press Fn + Erase/Print Screen. The Fn key is located directly to the left of the right Shift key. The top of the keycap is blank; the front is labeled "Fn." The Erase/Print Screen key is at the top right of the keyboard.

    From a PC keyboard: Press Print Screen.

  2. Launch a paint or graphics program; open a new file; then paste the captured image into the blank Canvas. The image can now be saved and printed.

Printing Online Help

If the system or PC is connected to a printer, Online Help topics can be printed.

From within the Online Help window:

  • Right-click, and then select Print... from the context menu, and then proceed as usual from the Print dialog box.

OR

  • Click on the Print icon in the Online Help toolbar, and then proceed as usual from the Print dialog box.

Image: Printing Lyric Help

Print Icon in Online Help


Print Setup

File Menu > Print Setup

Printing parameters such as printer choice and connection are set from Print Setup. Note that while Lyric does not currently support printing, a printer can still be set up for use outside of Lyric. Consult Windows and printer-specific documentation for complete details on printer setup.

To access Print Setup:

  • Select Print Setup from the File menu.


Backup

Backup Utility

File Menu > Backup

Lyric provides a Backup Utility for the various types of files used by Lyric, as well as Browser databases. See also Restore Utility .

The Backup Utility can be used to back up Message Assets (components such as clips, bitmap images and fonts), other relevant file types such as Playlists and Macros, and Browser assets. In addition, this feature can convert Lyric messages created by older versions of the application for compatibility with the current version of Lyric.

The type of file(s) to be backed up are individually selectable, enabling the user to minimize the amount of data contained in backup files created.

For example, fonts created for a specific show may be needed for a different production, and stored in the original production's particular Browser database. The fonts may be selected as the sole type of asset needing backup. Then the backup operation would be performed, and the backup files produced could be restored to another system. Files and Browser databases are restored using Lyric's Restore Utility. To access the Backup Utility:

  • From the File menu, select Backup. The Lyric Backup Utility dialog box opens.

Image: Lyric Backup Utility

Lyric Backup Utility

The Lyric Backup Utility dialog box is comprised the following areas:

  • From: Files can be backed up from either a directory or a Lyric Browser.

    • When Directory is selected, the drop-down list box becomes a field into which a directory path can be entered. A navigation button Image: Navigation Button appears next to the field. A directory can also be selected by clicking the navigation button, and then navigating to a directory in the Browser for Folder dialog box. The Browser Assets area at the left of the dialog box is grayed out. When the backup is generated, it includes the selected Message Assets and File Types, as well as any fonts that are necessary for restoring backed-up messages. Note that the Recursive option must be checked in order to back up subdirectories within the selected directories.

      Image: Browser for Folder

      Browse for Folder

    • When Browser is selected, the dropdown list box in the From area displays a list of Lyric Browsers from which a backup can be generated. The File Types area at the left of the dialog box is grayed out. When the backup is generated, it includes the selected Message Assets and Browser Assets, as well as the Browser database itself. Where applicable, images that are part of RGB Fonts are included as well.

    • When Specify Files is selected, all Message Assets and File Types checkboxes remain available. However, only Lyric message files with the .lyr extension and their constituent assets may be backed up by this method. (You may find that the File Types checkboxes are available; disregard them, and use the Backup operation only with .lyr messages.) Again, note that the Recursive option must be checked in order to back up subdirectories within the selected directories.

With the Message Assets checkboxes at upper left, you may decide which assets needed by the .lyr message should be included in a backup file. For instance, if you are certain that a large video clip file will already be present on another machine playing this message, you may choose to omit the clip file to minimize the size of the Lyric message file being backed up.

  • To: The destination file for the backup is entered in the To field. A file can also be selected by clicking the navigation button Image: Navigation Button, and then navigating to a directory in the Save As dialog box and entering a file name. Note that the file is saved with the extension *.lbu, which is a Lyric Backup File format.

    Image: Save As

    Save As

  • Options: Convert Messages to Current Version: If selected, any backed up messages are converted to Lyric 5.0 format. If not selected (unchecked), backed up messages are saved in their original format.

  • Status: Displays the status of the backup as it is in progress.

  • Message Assets: A list of message asset types from which can be selected any or all for backup. Message Assets are the assets that belong to a message. For example, a message can contain TrueType fonts, bitmap images, and a data source as its message assets. Selecting (checking) an asset type includes all files of that asset type from the selected Browser/directory in the backup. Message Assets include:

    • Bitmaps: 2D images in supported formats.

    • Flipbooks: Lyric Flipbooks.

    • Video Clips: Animations in supported formats.

    • Audio Clips: Sound files in supported formats.

    • TrueType Fonts: Fonts on which Lyric fonts are built. Note that RGB Fonts are automatically backed up with the message, even if Bitmaps is not selected.

    • Data Sources: Data sources such as Microsoft Excel spreadsheets which are referenced by Lyric messages for update.

  • File Types: A list of file types from which can be selected any or all for backup. Selecting (checking) a file type includes all files of that file type from the selected directory in the backup. File Types include:

    • Messages

    • Playlists

    • Macros

    • User Profiles

    • All Other: Causes any files of types not normally associated with Lyric to be included in backup operations.

    • Recursive (or 'Include Subdirectories'): Causes the Backup operation to include subdirectories within directories designated for backup.

  • Browser Assets: A list of Browser assets from which can be selected any or all for backup. Selecting (checking) a Browser asset includes all files of that Browser asset type from the selected directory in the backup. Browser Assets include:

    • Messages

    • Bitmaps

    • Fonts. Browser assets are not available to directory backup. File Types are not available to Browser backup.

  • Start: Starts the backup process.

  • Stop: Stops the backup process.

  • Close: Closes the Lyric Backup Utility dialog box.

To perform a backup:

  1. In the From area, select either Directory or Browser.

  2. In the To area, enter the backup file name. The File as Type field is always set to *.lbu for this operation.

  3. In the Message Assets and the Browser Assets (for Browser backup) or File Types (for Directory backup) areas, select the appropriate file types for backup.

  4. Optional: In the Options area, select (check) Convert Message to Current Version.

  5. Click Start.

    • If Convert Message to 5.0 Format is selected, the following message is displayed. Click Yes to continue, or No to stop backup execution.

      Image: Conversion Warning

      Conversion Warning

    • If the file name entered in the To area File field is the same as the name of a file already in the same directory, the following message is displayed. Click Yes to continue, or No to stop execution.

    Image: Backup Overwrite Confirm

    Overwrite Confirm

  6. The backup process proceeds, and files are recorded to a Lyric *.lbu file. The Status window displays the progress of the backup as the information is simultaneously recorded to a log file with the same name as the backup file.

    Image: Browser Backup Execute

    Browser Backup Executing

    The Status window may indicate that elements such as images are missing from a message. When the backup is complete, the following is displayed, specifying the number of files that have been archived. Click OK, and then click Close to exit the Backup Utility window.

    Image: Backup Results

    Backup Results

Both the backup and log files are saved to the directory specified in the File field. The backup file (*.lbu) is accessed by Lyric's Restore Utility to restore Lyric files. The log file (<backup file name>_lbu_backup.log) can be viewed by double-clicking on its listing or icon in its directory. It can also be opened in a text editor.

It is good practice to review the log file each time a Backup is performed. The log file lists the files that were backed up, as well as files that are referenced, but are missing.


Restore

Restore Utility

File Menu > Restore

Lyric's Restore Utility provides the ability to retrieve files and Browser databases that have been backed up using Lyric's Backup Utility.

To access the Restore Utility:

  • From the File menu, select Restore. The Lyric Restore Utility dialog box opens.

Restore Utility

The Lyric Restore Utility dialog box includes the following areas:

  • Restore From: The source file for the restore operation is entered in the From field. Only files with the *.lbu extension may be selected here.

  • Restore To: Files can be backed up to either a specified root drive or to a specified path for each type of asset or file type.

    • When Specify New Root Drive is selected, the dropdown list box in the Restore To area displays a list of available drives to which the files can be restored. The filepath fields are grayed out.

When a restore is executed to the same drive as the backed-up files, the files are restored to their original locations.

When a restore is executed to a different drive from the original, the assets specified for restoration, the Browser database (if specified) and the directory structure containing the specified assets are copied to the new drive.

Regardless of the destination of the restored Browser and its assets, all TrueType® fonts associated with the Browser are restored to a RestoredFonts directory that Lyric creates in the Lyric installation directory on the system. Note that this may be different from the drive specified as the destination. If these fonts are not resident in the Windows Fonts directory, they must be copied into the directory to ensure that the restored Lyric messages display properly.

    • Specify New Root Drive and Path: This function works in the same manner as Specify New Root Drive, but allows the operator to move the assets in each source folder designated in the file path, to a new drive and new folders that can be created simply by entering their names in this field.

    • When a Restore operation's destination is a folder hierarchy that is different from the original location, the assets specified for restoration, the Browser database (if specified) and the directory structure containing the specified assets are copied to the new folder hierarchy.

For example, when the source path for a specific file is:

D:\Old Primary\Old Secondary\Old Tertiary\Old Final ,

and the operator enters

C:\New Primary\New Secondary ,

the destination path will be

C:\New Primary\New Secondary\Old Tertiary\Old Final .

Each file included in the backup operation will be treated similarly.

    • Regardless of the destination of the restored Browser and its assets, all TrueType® fonts associated with the Browser are restored to a RestoredFonts directory that Lyric creates in the Lyric installation directory on the system. Note that this may be different from the drive specified as the destination. If these fonts are not resident in the Windows Fonts directory, they must be copied into the directory to ensure that the restored Lyric messages display properly.

    • When Specify New Path for Each Asset is selected, the filepath fields become active, and separate filepaths can be entered for each file or asset type. When a Restore is executed, the selected groups of files are restored to the specified directories. If a file type is selected (checked), but no path is entered, the files of that type are copied to the same location as the backup file from which the restoration is generated. As previously described, the TrueType fonts must be copied from the RestoredFonts directory to the Windows Fonts directory. Note that Bitmap Fonts are the same as Lyric RGB Fonts and Data Sources are data files such as Microsoft Excel spread sheets which are references by Lyric messages. They are not to be confused with Browser databases.

      Image: Specify New Path

      Specify New Path

To perform a Restore:

  1. Enter the name of a Backup File.

  2. Select either Specify New Root Drive or Specify New Path.

  3. If Specify New Root Drive is selected, skip to the next step. If Specify New Path was selected, select the file types to restore, and then enter their file paths.

  4. Click Start. The Restore operation proceeds, and progress is displayed in the Status window.

    Image: Restore in Progress

    Restore in Progress

  5. If the Restore operation encounters a file with the same name in the destination directory as a file it is about to restore to the directory, an overwrite prompt is displayed. Click Yes to overwrite the file; Yes to All to overwrite all files with duplicate file names; No to prevent overwrite of the file, or No to All to prevent overwrite of all files with duplicate file names.

    Image: Overwrite Confirmation

    Overwrite Confirmation

    Note that even if No or No to All is selected, the Restore operation still decompresses all of the files, although it does not overwrite the indicated files. Additionally, TrueType® fonts that are components of the backup file are always written to the RestoredFonts directory (see Step 8), regardless of whether or not No or No to All has been selected.

  6. The Status window indicates when the Restore is complete. If a directory has been backed up, skip to the next step. If a Browser has been backed up, the New Browser Name window is displayed. Enter the name of the new Browser, then click OK.

    Image: New Browser Name

    New Browser Name

  7. The BackupRestore prompt is displayed, indicating how many files were restored from the archive. Click OK.

    Image: Files Restored from Archive

    Number of Files Restored from Archive

  8. If a TrueType font(s) was a component(s) of any message in the backup file, the following is displayed when the messages are restored. Fonts that are not already in the destination system's Windows Fonts folder must be copied to the folder in order that the restored messages display properly. Click OK.

    Image: Font Copy Prompt

    Font Copy Prompt

  9. If necessary, copy the fonts from the RestoredFonts directory to the Windows Fonts directory. The messages are now ready to display.


Message Info

File Menu > Message Info

The Message Info dialog offers General file information such as:

  • Location: The message file's directory.

  • Size: Note that the size of the message will be affected by differences in embedding images and other objects in the message.

  • Created/Modified/Accessed.

Message Information dialog, opened via File menu > Message Info

Message Information also offers Lyric specific data such as:

  • Last Saved In: The version of the Lyric application in which this message is saved. Recall the distinctions among creating a Lyric message in a given version of the software, opening it in a later version and then re-saving it in that later version. Lyric messages created or updated in a the latest version of Lyric will very likely not be compatible with earlier versions of the software. You may wish to make backup copies of messages which must remain compatible with a given version of Lyric, before working with them and updating them in a newer version.

  • Native Resolution

  • Pixel Aspect

  • Frame Rate; see also Hardware Configuration - Setup Board Configuration.

The OK button dismisses the Message Information dialog.

Note

The Message Info dialog displays information about SAVED Lyric messages. Opening the Message Info dialog for an unsaved message will yield this result:


Recently Used File List

File Menu > File Listing Directly above Exit Menu Item

Lyric lists up to eight of the most recently accessed files in the File menu as shown below. Any listed file can easily be opened by clicking on the file listing.

Image: Most Recently Used Files

List of Recently Used Files


Exit

File Menu > Exit

Selecting Exit on the File menu or selecting the [image] button on the Lyric interface closes the application. If the current composition has unsaved changes, Lyric shows one of the prompts seen above.

Image: Exit Icon

Exit Button


3D Characters and Objects

3D text composition takes place in the Text Properties Page.

About 3D Characters

3D characters are composed of extruded 2D characters created from Font Faces, also known as Font Styles, to which a set of characteristics such as Font Size, Font Color, textures, etc. can be applied.

Lyric's Text Properties tab affords a variety of options for input of Chinese, Japanese, Korean, Arabic, and other languages.

Note

Many important features of Lyric's 3D text capability are controlled from the Text Properties menu and the 3D Text Template dialog box. Only some basic 3D text functions are discussed below.

Adding 3D Text to the Canvas

See also 3D Text Templates and Text Properties Page.

With Lyric Versions 7 and later, 3D text composition necessarily takes place in a text template. 3D characters are placed on the Canvas by clicking the Template [image] button on the Lyric Toolbar. This action places a single element on the Timeline and the Template's Selection Guide on the Canvas:

The Text Properties menu also appears automatically, as seen in the following illustration.

The user may enter text directly into the Template on the Canvas, but this requires placing the cursor at the exact intersection of the displayed X and Y axes before beginning to type. Mis-aiming the cursor even slightly can take focus off of the Template, reverting the Timeline/Scene Graph's active element to Global Light. We recommend entering text into the input field on the Text Properties tab, as seen below. Input text will appear immediately in the Template on the Canvas.

Notes:

  • 3D characters may also be added to the Text Properties tab's Text input field, using the TrueType Font Preview function, accessed from the button in the Properties > Font tab. Refer to Properties: Font for additional information.

  • The Backspace ç and Delete keys may be used to delete characters in traditional Windows-typing fashion, as long as the operator's pointer/cursor remains active in the Text input field, or is placed inside the 3D text template, while that template is active for editing on the Canvas/Timeline/Scene Graph.

  • Note the distinction between expanding the Template's entry on the Timeline with its [image] icon, and expanding it on the Scene Graph to make individual characters available for editing and animation (SEE THE NEXT SECTION). In keeping with long-standing Lyric conventions, expanding this type of element on the Timeline simply exposes its X, Y and Z attributes.

The Template element is seen here with only its X, Y and Z Timeline elements exposed, as opposed to expanding its individual characters for independent animation.

Animating 3D Characters

The 3D Text Template dialog contains many important controls. Here, we will concentrate on animating individual characters within the template.

With a 3D text template present on the Canvas, right-click on the template on the Canvas to access the template's context menu, and select 3D Template Properties:

3D Text Template, its Context Menu and the 3D Text Template properties dialog. See the 3D Text Templates topic for other functions available on this dialog box.

The action of checking Animate Elements on the 3D Text Template properties dialog instantly adds Timeline elements for each character present in the 3D text template. This includes spaces and carriage returns, whose Scene Graph and Timeline elements appear unnamed.

The 3D character "7" is shown selected for animation on the Scene Graph, Timeline and on the Canvas.

Notes:

  • With the 3D template expanded to make its individual elements available , the 3D Template element itself remains on the Timeline and Scene Graph. This allows the user to conveniently select the entire Template without the need to collapse its Scene Graph entry.

  • With an individual character selected for animation/editing, the XYZ Properties controls will affect that single character, while any of the Transform Tools [image] will manipulate the entire Template.

Setting 3D Font Characteristics

Font, Style, Size, Face color and Edge color may be selected from Lyric's Font Toolbar, seen below. Note that the text to be modified must be highlighted in text input field of the Text Properties menu.

Note:

For more finely detailed control over these characteristics, we recommend using the Text Properties menu.

Color, Texture and Surface Properties

Texture and colors (including the Alpha and Shininess variables) can be applied to 3D characters' Face, Sides and Bevels on the Surface Properties menu. Not all Texture options may be available.

TrueType Font Preview

TrueType® Font Preview enables the user to quickly review the available characters in a font, change the current font, or select a character (including Unicode) to add to the Canvas at the current cursor position. TrueType Font Preview can be used with both 2D and 3D characters. TrueType Font Preview is accessed from the Font Properties tab. Refer to Properties: Font for additional information.

About 3D Objects

Chyron Toolbar >
Tools Menu > 3D Object and 3D Primitives Plugin

3D characters are created within Lyric. The 3D objects discussed in this topic are imported. The folder containing your Lyric installation includes a library of "prebuilt" 3D objects (C:\Program Files\Chyron\Lyric 7.x\3D Objects). The folder name "7.x" refers to your current Lyric installation directory.

With Lyric versions 7.0 and later, a "Plugin" tab on the Properties page also allows the user to place 3D primitives in a Lyric composition and vary their most basic properties. See Properties: Plugin for additional information. The action of importing 3D objects and creating them via the 3D Primitives plugin page are different operations. At the time of this writing (Lyric 7.0, September 2008), the [image] icon presently represents only the "Import 3D Object" function. To import 3D primitives, use the appropriate section on the Tools menu:

Lyric's 3D characters and 3D objects may be modified with solid colors or mapped textures originating from images and movie files. Refer to Properties: Surface and Properties: Rendering for additional information. Additionally, 3D objects and 3D characters can be resized using Transform Tools and the Properties: XYZ tab on the Properties menu.

Importing a 3D Object

Tools Menu > 3D Object; Chyron Toolbar > ; Canvas/Scene Graph Right-Click Menu > 3D Object

Lyric can import Wavefront (.obj) files, 3D Studio files (.3ds and .prj) and Chyron's proprietary 3D object format files (.3do) to the Canvas for use in a Lyric composition. To do so:

  1. From the Tools menu, select 3D Object, or click the [image] icon on the Chyron Toolbar. The Select a 3D Object dialog box appears. At right, a Preview option is available.

  2. Select Import as Triangle Strips to minimize the calculations that Lyric must perform regarding the vertices that comprise the object's constituent triangles. This action can have an advantage in the ease and speed with which Lyric executes animations involving the 3D object.

  3. When selected, the Preview option shows an animated display of the object moving on all three spatial axes.

Select a 3D Object dialog; samples from the Preview window are seen at right.

  1. Select a file type from the Files of Type dropdown menu. Select a file name, and then click Open. The object is placed at the center of the Canvas; note that it may obscure other objects "behind" it in Z-axis space.

The Backspace ç key can be used to delete only the most recently imported object. To delete a different object:

  • Select the object, then click Image: Delete Icon, press Ctrl + Delete or select Delete from the Edit menu.

3D Object Properties Dialog Box

The 3D Object Properties dialog provides information about the selected 3D object. Right-click the selected 3D object and a context menu opens:

A 3D object on the Lyric Canvas, its right-click context menu and the 3D Object Properties dialog.

Select Show 3D Object Properties.

  • The Name field displays the object's name (without its file extension).

  • The Data area displays:

  • The number of Triangles comprising the object.

  • The object's file size (Size on Disk).

  • The Geometry area includes:

  • The Filename, which displays the object's filepath, name and extension. The Filename field's Browse button ( [image] ) allows the user to designate a different 3D object to replace the object originally included in the Lyric composition. All animation data associated with the original object is preserved.

  • The Embed on Save checkbox. This option includes the data comprising imported 3D objects as part of the saved Lyric message. With this option enabled, Lyric does not need to retrieve the object's file 3D object file from its original location. The size of the saved message file is increased by the inclusion of the 3D object data, but any danger of not locating a missing or moved file in an external location is eliminated.

  • The Maintain Surfaces on Replace checkbox. Selecting this option causes Lyric to assign individual surface colors from a given 3D object to the surfaces of one with which it is substituted. However, the number of surfaces on each object comes into play!

For example: A cube whose six surfaces have different colors may be substituted with a cone, via the replacement option mentioned above. The cone only has two surfaces. Upon substitution, Lyric will display this warning:

This indicates that the colors from only two of the cube's six surfaces will be applied to the newly-substituted cone's two surfaces. Which surfaces those colors are drawn from is determined by the order in which Lyric loads and enumerates the components of the original object. The names of the objects' surfaces and colors ('materials') are determined by the creators of the original 3D objects.

If a 3D object is replaced by another object with a greater number of surfaces, the original object's colors ('materials') will be assigned to a corresponding number of surfaces on the replacement object. In this case, the following dialog is displayed:

In the following illustration, a two-surface cone is replaced by a six-surface cube. As seen, only two of the cube's surfaces receive the cone's two colors. The cube's remaining surfaces (only one of which is visible here) retain their default color, which is often a plain gray.

NOTE

With Maintain Surfaces on Replace NOT selected, Lyric does not alter the default colors of 3D objects when one is substituted for another.

  • The Textures area contains the Embed on Save checkbox. Make this selection to preserve the data comprising bitmap images and movie files used for Textures as part of the Lyric message. This option performs the same function as the Embed on Save button on the Surface Properties page. NOTE: Clicking the Embed on Save checkbox activates the matching checkbox on the Surface Properties page, and vice versa.

3D Character/Object Antialiasing

The edges of 3D objects and 3D characters can sometimes appear jagged (stair-stepped). Full Scene Antialiasing, accessed from Config Menu > Preferences > Animation Settings, can be enabled to smooth out the rough edges of these objects.

Chyron Proprietary 3D Object Format (.3DO)

Lyric is able to save an imported 3D object that has been modified with any texture attributes added (and embedded) by the user. (For more information on working with surface textures, see Properties > Surface.)

Imported 3-dimensional object with texture information added by the user.

If the object has been modified with added image- or other texture-data, and the Embed Textures option selected as seen above right, you may right-click on the modified object to access the Save As option. The default Save destination is your Lyric installation's normal 3D Objects directory.

Saving the user-modified 3-dimensional object in Chyron's .3do format, which preserves texture data.

When used in another composition, the newly-created 3D object retains the textures with which it has been "customized". Note that the file size of a 3D object is increased when it is saved incorporating texture data. Also, note that the Preview of a customized .3DO objects displays its original appearance without the added texture information.

3D Characters/Objects - Related Topics


Background

Tools Menu > Background; Chyron Toolbar >
Canvas/Scene Graph (Light, Global Light or Camera Selected) Context (Right-Click) Menu > Background
2D Text Template Dialog Box > Set Bkg

A Background can be applied either to the Canvas, to an individual 2D Text Window (including Roll, Crawl and Type On/Slow Reveal) or an individual 2D Text Template. A Background is always positioned behind the editable elements on the Canvas and cannot itself be edited. Backgrounds are not available on a PCI-Squeezeback board. There are two types of backgrounds:

  • A Solid/Ramp Color Background, which is rendered by Lyric as either a solid color or gradations involving more than one color.

  • A Graphic Background that uses an imported bitmap graphic as a Background.

  • Unless it is transparent, a Background covers anything over which it is positioned, including an external video source. Mask Objects and resizeable areas generated by a PCI-Squeezeback board can be made to cut through Backgrounds. Refer to Mask Introduction and Video Squeezeback for additional information.

Different types of Backgrounds are illustrated in the last section of this topic.

Selecting the Element to Which to Apply the Background

Before applying a Background, select the Canvas, the 2D Text window or the 2D Text Template to which the Background is to be applied.

To select the Canvas:

  • Click on the Canvas outside of a 2D Text window.

OR

  • Select any element on the Scene Graph except a 2D Text window (which includes Roll, Crawl and Type On - Slow Reveal). Global Light or Camera is a safe choice.

To select a 2D Text window:

  • Click on the 2D Text window, but not inside a 2D Text Template.

OR

  • Select the 2D Text window on the Scene Graph.

To select a 2D Text Template:

  • Click in the 2D Text Template. Make sure that the row handles in one of the Template rows are visible, indicating that the Template has been selected. If the row handles are not visible, it indicates that the 2D Text Window has been selected, and the Background will be applied to the 2D Text Window instead of the 2D Text Template.

Selecting Background Type

To select the Background type to apply to the Canvas or selected 2D Text Window or 2D Text Template:

  1. Select Background from the Tools menu or the Canvas/Scene Graph right-click menu, or click the [image] button on the Chyron Toolbar. The Background submenu opens. The figure below shows the submenu from the [image] button.

    Image: Background Icon with Submenu

    Background Tool Drop-Down Menu

    OR

    In the instance of a 2D Text Window only, right-click on the 2D Text Template, then select Template Properties from the context menu. From the 2D Text Template dialog box, click Set Bkg in the Background Area.

    Image: Setting a Background in a 2D Text Template

    Background Drop-Down Menu in 2D Text Template Dialog Box

  2. Select one of the following:

    Solid/Ramp to apply a Lyric-rendered solid or gradated color Background. Continue to "Applying a Solid/Ramp Color Background" below.

    OR

    Graphic File to use a bitmap graphic as a Background. Continue to "Applying a Graphic File Background" below (follows "Applying a Solid/Ramp Color Background").

The procedures for applying a Solid/Gradient or a Graphic Background differ greatly and are covered separately below.

Applying a Solid/Gradient Background

After selecting Solid/Ramp Color from the Background submenu, the Color Select dialog box is displayed. This dialog box is used as well to set palettes for other functions.

  1. Refer to the section on "Color Palette for 2D Text and Backgrounds" for details on setting and applying a Solid or Ramp Color.

  2. When Solid or Ramp Color selection is complete, click Apply, then OK. The color is applied to the Background of the Canvas or the 2D Text window.

Applying a Graphic File Background

After selecting Graphic File from the Background submenu, the Select a Graphic File for the Background dialog box is displayed:

Image: Select a Graphic File for the Background

Select a Graphic File for the Background

  1. Enable (check) the Preview checkbox to display a thumbnail of the selected graphic at the right side of the dialog box.

  2. Select Graphic Files from the Files of Type list box.

  3. Select the file that is to be applied as the Background. Note that the Width (in pixels), Height (in scanlines) and color Depth (in bits) reflect the original size of the selected graphic. These values cannot be changed.

  4. In the Apply to Background area, select Size to Fit to automatically resize the graphic to fill the screen, or Center, to center the unresized graphic on the screen. Note that Size to Fit may change the aspect ratio of the graphic.

  5. Select Open to apply the graphic file to the Background. The graphic is applied to the Background.

Background Examples

The figure below illustrates the different types of Backgrounds.

  • The Canvas has a complex Ramp Color Background.

  • The 2D Text 1 has no Background and contains five Templates. From top to bottom, they have no Background; a Solid Color Background, a simple Ramp Color Background, a complex Ramp Color Background and a Graphic Background.

  • 2D Text 2 has a Solid Color Background.

Image: Background Examples

Background Examples

Deleting a Background

Edit Menu > Delete Background; Chyron Toolbar > Delete; Chyron Toolbar Image: Erase Icon > Background

Before deleting a Background, make sure to select the Canvas, 2D Text Window or 2D Text Template from which the Background is to be removed.

Choose one of the following methods to delete a Background:

  • Canvas, 2D Text Window or 2D Text Template: Select Delete Background from the Edit menu.

    OR

  • Canvas, 2D Text Window or 2D Text Template: Click the Background [image] icon on the Chyron Toolbar, and then select Delete from the dropdown menu as shown below.

Image: Background Icon with Delete Selected

Background Button with Delete Selected

  • Canvas: Click the Erase icon Image: Erase Icon on the Chyron Toolbar. The Erase dialog box is displayed. Select the Scene radio button, and the Background checkbox. Click OK.

Image: Erase Background - Scene

Erase Background from Scene (Canvas)

  • 2D Text Window: Click the Erase icon on the Chyron Toolbar. The Erase dialog box is displayed. Select either the This Window or All Windows radio button, and the Background checkbox. Click OK.

Image: Deleting a Background from a 2D Text Window

Erase Background from a 2D Text Window

  • 2D Text Template: Right-click on the 2D Text Template, then select Template Properties from the context menu. In the 2D Text Template dialog box, click Clear in the Set Background area.

Image: Deleting a Background from a 2D Text Template

2D Text Template - Clear Background


Flipbook Animation

To Save: Create Animation, then File Menu > Save As Targa (*tga)
To Read to Canvas: Tools Menu > Flipbook

A Lyric Flipbook animation is a series of targa (.tga), .tif or .bmp files, pre-loaded into memory and played out in sequence, much like the old-time paper flipbooks. In a Flipbook animation, each bitmap image appears for 1 frame of video. Flipbook animations can be created on the Chyron platform, or on off-line PCs, typically using third-party animation applications such as SoftImage or 3D Studio. Flipbook animations can also be created within Lyric itself.

Flipbooks can be created in the .tga, .bmp or .tif format. It is recommended that the .tga format be used for Flipbook creation, as it can carry Alpha (Transparency) information. If the Flipbook image is rectangular with no Transparency, it could be saved in a .bmp format. Be aware, however, that Alpha information is not supported by the .bmp format. Creating a Flipbook in a .tif format is generally not recommended, due to the large size of uncompressed .tif files. The .tif file format does support Alpha.

For playback on Output, multiple Flipbook objects can be added to Lyric's Scene Graph. In addition, these objects can be keyframed and animated using Lyric Transform Tools (Position, Scale, Rotate, Center of Rotation).

A Flipbook animation on the Canvas is known as a Flipbook Region. Flipbook Regions are objects that may be manipulated in the same ways as bitmaps and 2D Text/Roll/Crawl windows (Rotation, Position and Scale on X, Y and Z axes, etc.).

Flipbook Regions can also act as Mask Objects (all systems), and be assigned to a Mask Layer , and have an Inside Mask and/or Alpha Trim Mask applied.

In this exercise, we will first create a simple Flipbook animation using Lyric itself to produce a series of Targa files. We will then open a Flipbook region containing this animation, and incorporate that region into another composition.

  1. Create a 1-second animation that rotates text in a 2D Text Window, finishing at its original position. This animation rotates 360 degrees on all axes over the span of 1 second.

    Image: Creating a Flipbook Animation

    Creating a Flipbook Animation

  2. Create a directory named Flipbook Test. This is the directory in which the Flipbook files will be saved. This is not a required step, but helps to illustrate how Flipbook files are stored.

  3. Select Save As from the File menu, and browse to Flipbook Test directory in the Save In dropdown list box. The File Name field shown below will display the name of a new, untitled file in the format of the last saved file, most likely Untitled. The expanded Save as Type dropdown list box is closed, and displays the file format of the last saved file.

    Image: Saving a Flipbook Animation

    Saving a Flipbook Animation

  4. Remember the number in the End Frame field in the upper left corner of the dialog box. Note that if Flipbook animations have previously been recorded during the current Lyric session, or there is already a Flipbook animation in the directory in which the new Flipbook is to be recorded, other frame numbers could populate the Start Frame and End Frame. These cases will be covered below.

  5. Select Targa (*.tga) from the Save As Type dropdown list box, as shown in the above figure. Enter a name in the File Name field, but do not press Save yet. In this example, the file is named Flipbook_Test.tga.

  6. At this point, notice that the value in the End Frame field may have reset to 0. Re-enter the End Frame value displayed and noted in Step 4. If, however, there are other values in the Start Frame and/or End Frame fields, enter 0 in the Start Frame, and 30 in the End Frame field. This defines an animation that runs for the entire 1 second.

    Note that for this example, the entire animation is saved. A shorter animation can be saved by entering values other than 0 and/or 30 in the Start Frame and End Frame fields, respectively.

    Image: Saving a Flipbook

    Saving a Flipbook Animation - Setting Start and End Frames

    • Image Width and Image Height are set automatically, but can be changed. Note that changing these settings does not clip the graphic, but rather resizes the dimensions - in this instance, the entire screen. To clip an image, use Clip to Safe Title, described below. When a Flipbook file is saved, all files in the Flipbook are sized to the Image Width and Image Height dimensions.

    • If an animation is saved with Interlaced enabled (checked), the odd and even fields of the TGA (or other bitmap format file) are rendered offset in time by 1/60 second (NTSC) or 1/50 second (PAL) on playback. Interlaced should be enabled if the animation is to be saved to an animation format such as AVI, and then played back through a Matrox clip player. For Flipbook purposes, keep Interlace disabled.

    • Clip to Safe Title clips the image to the size of the Safe Title box before saving the Flipbook. The Safe Title can be resized to clip the image, then enable (check) Clip to Safe Title. If Clip to Safe Title is enables when a Flipbook file is saved, all files in the Flipbook are clipped to the size of the Safe Title.

    • Enabling Save Alpha saves the Alpha (Transparency) information with the file. If Save Alpha is not enabled, Transparency is lost in the recorded Flipbook. The Flipbook Region (described below) then appears as a rectangular area, in which the Flipbook animation executes.

  7. Click Save. It may take a few moments to complete the Save operation, because Lyric creates a separate file for each frame of the animation. Look at the folder where the files are saved to see how they are stored and numbered.

    Image: Flipbook Directory

    Saved Flipbook Files

  8. Return to Lyric and clear the Canvas.

Next, you will create a Flipbook region for playback as part of a Lyric composition. Remember that Flipbook regions are intended for use with sequences of files created by many types of animation programs. For the purpose of this exercise, however, the most convenient file sequence to use is the one you just created.

  1. If the Flipbook animation starts as just a black field, you may want to set the Default Background Color to gray for easier visibility. To do so, select Toggle Canvas Background Color from the Tools menu, or click Image: Set Default Background Color on the Chyron Toolbar to change the Canvas to a gray backdrop.

  2. From the Tools menu, select Flipbook.

  3. The Flipbook Region dialog box opens. Click the Browse button next to the First File field.

    Image: Flipbook Region

    Flipbook Region

  4. The Select the First File for Flipbook Animation dialog box is displayed.

    Image: Select First Flipbook File

    Select the First File for Flipbook Animation

    Select the first file that Lyric created in the previous exercise. Take careful note of the file names, so that you select the correct one. Its name will end with the digits 0000.

    Optional: Enable (check) Preview to display a thumbnail of the selected frame directly below the Preview checkbox.

  5. Click Open; the file selection box closes and the Flipbook Region dialog box is displayed, with the First File and Last File fields filled in. Note that Lyric selects the highest numbered file that it can interpret as the end of a Flipbook sequence. Both the First File and/or the Last File field, however, can be changed to shorten a sequence. When the First File and Last File settings are changed, only the playback is affected. The original files remain intact.

    Image: Flipbook Files Selected

    Flipbook Region Dialog Box - Setting Files and Execution Parameters

    • To set the Flipbook animation to repeat for the duration of the Lyric animation, select (check) the Loop checkbox.

      Note that enabling the Flipbook's Loop option does not cause the Flipbook animation to repeat indefinitely. The Flipbook loops only for the set duration of the animation. It does not extend beyond the end point of the animation as set on the Timeline.

    • Enabling Embed Image on Save saves the Flipbook image data in the Lyric message. Disabling Embed Image on Save allows Flipbook messages to be saved without embedded image data, in order to minimize the resulting size of the message. The Flipbook images, however, must be re-read from disk during message Read, which increases recall time.

    • Enabling Compress Image Data compresses the image texture when the Flipbook is saved, resulting in smaller Flipbook a file. Preview this type of playback before playing to air. When Compress is enabled, a 4:1 compression is imposed. Compressing texture saves Read and Record time.

    • Enabling Ignore Pauses allows the Flipbook animation to continue running through a programmed Pause. If Ignore Pauses is not enabled, a Flipbook pauses at established Pause points in animation playout. Additionally, the Play to End checkbox becomes available. If Play to End enabled, the Flipbook plays to the end.

  6. Click OK. The Flipbook Region appears on the Canvas as an object, showing the first bitmap file in the specified sequence. In the following illustration, the boundaries of the Flipbook object are not visible, as the Alpha information has been saved. Other objects passing behind the Flipbook Region are visible if there is wherever there is Transparency. In this example, if the Alpha information had not been saved, the Background would not have been visible, as the Flipbook is the size of the entire screen.

    Image: Flipbook Playback

    Flipbook Region - Boundaries Not Visible

    The following figure shows a smaller Flipbook where the Alpha information has not been saved. The Default Canvas Color has been changed to gray to show that the boundaries of the Flipbook Region are visible. Other objects passing behind the Flipbook Region are covered by the Flipbook Region.

    Flipbook Region - Boundaries Visible

  7. The Flipbook region can be repositioned, rotated, etc., and other objects can be added to create a Lyric composition.

  8. Click the Play Image: Play Button button on the Transport Controls. The Flipbook animation runs within the Flipbook Region as the Lyric animation plays. Additionally, the Flipbook Region can be animated the same as any other object. If you have selected "Loop" in the Flipbook Region dialog box, the animation continues to repeat for the default animation length as set in the Preferences > Animation Settings tab.

Once the Flipbook animation has been programmed, you can make changes:

  1. Right-click on the Flipbook region. The (Context) right-click menu is shown below.

    Image: Flipbook Context Menu

    Flipbook Region Context (Right-Click) Menu

  2. Select Modify Flipbook. The Flipbook Region dialog box described above opens, and the parameters can be modified.

Click on the menu items for details on each function.

The following provides a brief description of each of the menu items:

  • Object Name and Type: The first item in an object's context menu displays the object's name and type. Refer to Navigating and Entering Information in Lyric: Object Name and Type for details on renaming objects.

  • Show Flipbook Properties: Show Flipbook Properties displays the Flipbook Region dialog box, described earlier in this section, in which Flipbook parameters can be modified.

  • Color Code Object: Enables the object listing in the Scene Graph to be displayed with colored text in order to make it easier to quickly identify.

  • Position Lock On: The Position Lock On setting specifies whether or not an object (2D Text Window, 2D or 3D object, etc.) can be moved on its X, Y or Z axes, as well as rotated, scaled or have its center of rotation changed.

  • Enable Bounding Box: Enable Bounding Box allows for the selection of a 2D bitmap object, including a Flipbook frame. A Flipbook is a collection of bitmap images that play back as an animation. Once selected, the object can be scaled, rotated and moved forward in backward along Z-axis.

  • Mask Object: An image specified as a Mask Object displays at the transparency set in Properties > Surface combined with built-in transparency, and covers the object over which it is positioned. Transparent areas of a Mask Object allow video input to show through. Mask Object, Alpha Trim Mask and Soft Mask are not currently implemented for Flipbooks.

  • Copy/Paste Animation State: Copy/Paste Animation State enables animation attributes such as Position, Rotation, Scaling, etc., to be copied from one object and pasted to another.

  • Show Center of Rotation: The Center of Rotation for an object can be displayed on the Canvas for ease of editing.Position

  • Motion Path: The path of an object as it progresses through an animation can be graphically displayed on the Canvas. The Motion Path can be edited, keyframes added and deleted, acceleration set and interpolation specified from the Canvas.

  • Internal Properties: Properties of an object or a message can be tailored to a specific composition or playback situation. Internal Properties are currently not implemented for Flipbooks.


Movie Objects

Tools and Canvas/Scene Graph Context Menu > Movie
See also Movie File Update

A NOTE ON THE DIFFERENCE BETWEEN MOVIES AND CLIPS

Movie objects are .mov or .avi files that are added to the Lyric composition strictly within the Lyric software, and are visible on the Canvas. Clips originate from dedicated hardware such as eFX boards or Matrox devices within your Chyron system or external sources such as DDRs or videotape playback. Such clips play behind Lyric graphics on output, via keying. Behavior of the clip in terms of duration, position and animation are controlled by Lyric, but the clip is only visible on output.

Clip playout signals from Matrox-type devices within the Chyron system must be routed and keyed as if from an external source. Routing and keying of clip playout from clips-enabled eFX boards are handled on the eFX boards themselves.

Animation files can be imported into a Lyric composition as Movie objects. As the Movie object plays its own animation, it can be moved, scaled and rotated through 3D space. Like Clip files, use of imported Movie objects requires access to the source file(s). The Movie files should be stored on your system's fastest drive, preferably on a different drive than Clip files.

There may limits to the on-Canvas size and duration of Movie files imported into Lyric compositions.

To import a Movie object:

  1. From the Tools menu, select Movie. The Movie Properties dialog box opens.

    Movie Properties

  2. Enter a movie file name in the Movie File field, or navigate to and select a 24-bit or higher Movie (*.avi, *.mov), AVI (*.avi) or Quicktime (*.mov) file.

  • 32-bit Quicktime movies may contain alpha information for keying. Upon loading, Lyric automatically distinguishes between 24-bit and 32-bit Quicktime files.

  • Importing .avi movies into a Lyric composition affords two options for keying.

  • A separate .avi file can now be used to represent a movie's matte channel (key information). The naming convention is Name.avi for the video channel file and Name.matte.avi for the matte channel file. The matte file is loaded automatically when a "regular" .avi file with a ”matching” name is manually selected and loaded. Note that all VFW CODECS loaded in Windows are now supported.

  • 32-bit uncompressed .avi movie files containing alpha/key information can be imported into Lyric compositions.

  3. Optional: If the file is to loop (play continuously), select (check) Loop. The default setting is selected. If Loop is not selected, the animation plays only once.

  4. Enter a frame number in the First Frame frame counter to set the start frame of the animation. To preview the entered frame, click Goto. If Enable Preview is selected, the frame is displayed in the Preview Window. Click Set to apply the value. The default First Frame is the first frame of the animation file. Note that setting frame numbers different from the first and last frames of the animation file does not modify the source file. These settings affect only what is imported into Lyric. The source file remains unchanged.

  5. Enter a frame number in the Last Frame frame counter to set the end frame of the animation. To preview the entered frame, click Goto. If Enable Preview is selected, the frame is displayed in the Preview Window. Click Set to apply the value. The default Last Frame is the last frame of the animation file.

  6. Optional: If Loop is enabled, enter the frame number to which the animation should loop once it reaches the end of the animation. To preview the entered frame, click Goto. If Enable Preview is selected, the frame is displayed in the Preview Window. Click Set to apply the value. The default Loop-To Frame is the first frame of the animation file. The following figure shows a movie file about to be placed on the Canvas.

Movie Object Selected for Import

  9. Click OK to import the movie file to the Canvas.

Note: The Samples/Sec area, upper right, displays the frame rate of the animation. The Preview Window displays a frame of the animation as specified by the Goto function. The scrub slider, located directly beneath the Preview Window, may be dragged through the animation. The Frame Counter displays the current frame of the animation.

When a movie file is imported to the Canvas, it becomes a Movie object, and is added to the Scene Graph and Timeline as well. Right-clicking on the Movie object displays its context menu. Click on a menu item for additional information.

Movie Object Context Menu

A brief description of each menu item:

  • Object Name and Type: The first item in an object's context menu displays the object's name and type. Refer to Navigating and Entering Information in Lyric: Object Name and Type for details on renaming objects.

  • Show Movie Properties: Show Movie Properties opens the Movie Properties dialog box, in which Movie object parameters can be modified.

  • Color Code Object: Enables the object listing in the Scene Graph to be displayed with colored text in order to make it easier to quickly identify.

  • Position Lock On: The Position Lock On setting specifies whether or not an object (2D Text Window, 2D or 3D object, Movie object, etc.) can be moved on its X, Y or Z axes, as well as rotated, scaled or have its center of rotation changed.

  • Enable Bounding Box: Enable Bounding Box allows for the selection of a 2D bitmap object, including a Flipbook frame. Once selected, the object can be scaled, rotated and moved forward in backward along Z-axis.

  • Turn Off Alpha Border: Not applicable to Movie objects.

  • Copy/Paste Animation State: Copy/Paste Animation State enables animation attributes such as Position, Rotation, Scaling, etc., to be copied from one object and pasted to another.

  • Mask Object: An image specified as a Mask Object displays at the transparency set in Properties > Surface combined with built-in transparency, and covers the object over which it is positioned. Transparent areas of a Mask Object allow video input to show through. Mask Object, Soft Mask and Alpha Trim Mask are not currently implemented for Movie objects. Chyron strongly recommends that you review the Mask Objects overview linked here.

  • Motion Path: The path of an object as it progresses through an animation can be graphically displayed on the Canvas. The Motion Path can be edited, keyframes added and deleted, acceleration set and interpolation specified from the Canvas.

  • Save As is not implemented in this menu.

  • Playout Mode: The locks and ' Visible ' setting in this menu control variable editing privileges access to three aspects of any given object or group of objects (hereafter referred to as 'nodes') on Lyric's Scene Graph.

  • Internal Properties: Properties of an object or a message can be tailored to a specific composition or playback situation.


2D Objects - Bitmap Graphics

2D Objects

Tools Menu > Graphic; Chyron Toolbar > Image: Graphic Import Icon; File Menu > Open; Browser > Bitmap Assets

Supported Graphic Formats

2D graphics, also known as bitmaps, are widely used in Lyric compositions. They can act as objects in 3D space, placed in 2D Text Windows as 2D font characters, applied to 2D text Faces/Edges and 3D character and object surfaces, and used as Backgrounds for the entire Canvas, a 2D Text Window, or a 2D Text Template. Lyric can import over 30 distinct 2D file types. The following 2D graphics formats can be imported onto the Lyric Canvas.

Image: Graphic Import

Select a Graphic Dialog Box Showing Supported Graphic Formats

  • CHY (*.chy) is no longer supported.

  • LZW compression is supported for file import.

  • The Apply to Background setting in the Select a Graphic dialog box is not currently implemented. For information on importing a 2D bitmap as a Background for a 2D Text Template, 2D Text Window or the Canvas, refer to Color, Transparency, Background, Lighting and Texture: Backgrounds.

  • For information on applying a 2D bitmap to a 2D font, refer to Creating and Using Fonts in Lyric: 2D Font FX Properties.

  • For information on applying a 2D bitmap to a 3D character or object surface, refer to Color, Transparency, Background, Lighting and Texture: Surface Properties.

Importing a 2D Bitmap Graphic

2D graphics can be imported in a variety of manners:

  • From the Tools menu.

  • From the Import Graphic Image: Graphic Import Icon icon in the Chyron Toolbar.

  • From the Browser Bitmap Assets Window, double-click an image in the Browser, or drag-and-drop it from the Browser to the Canvas. Refer to the section on Browser: Bitmap Asset Operations for additional information.

To import a 2D graphic:

  1. Click on the Image: Graphic Import Icon icon in the Chyron Toolbar, or from the Tools menu, select Graphic. The Select a Graphic File dialog box is displayed.

    Image: Selecting a Graphic File

    Selecting a Graphic File

  2. Navigate to the desired file, and then enter the file name in the File Name field. If the directory contains files of multiple formats, select the desired format in the Files of Type field. Only files of the selected format are displayed. When a graphic is selected, the image's Width, Height, and bit depth appear at the lower right corner of the dialog box. If Preview is selected (checked), a bitmap preview, if available, is displayed.

  3. If the selected file is any format but Adobe® Photoshop® PSD (*.psd), skip this step. A Photoshop file can be imported as a single graphic with all layers merged, or as separate 2D graphic objects. To merge to a single layer on import, select (check) the Merge Layers checkbox. To import separate layers as individual objects, deselect (uncheck) Merge Layers.

  4. Click Open. The image is imported to the Canvas. When imported, the Scene Graph shows the file name of the object. If Photoshop layers are imported, the layers all share the same object name, followed by layer numbers.

Image: Scene Graph showing Graphic Import of Photoshop Layers

Scene Graph Showing Graphic Import of Photoshop Layers

The cursor position on the Canvas determines how the 2D graphic is treated in the composition.

  • If the cursor is in 3D space when the 2D object is imported, i.e. not in a 2D Text Window, it is treated as an independently animatable object. Right-clicking on the object accesses the 2D object context menu, in which various tools available. Of particular importance is the 2D Object Template dialog box, in which the 2D object properties are displayed, and in which Intelligent Interface and DBLink parameters can be set.

  • If the cursor is in a 2D Text Window when the 2D object is imported, it becomes locked to a baseline and is treated as a 2D text character in how it can be animated.

The Backspace ç key can be used to delete only the most recently imported object. To delete a different object:

  • Select the object, then click Image: Delete Icon, press Ctrl + Delete or select Delete from the Edit menu.

About Imported Graphics

On a Lyric Canvas, imported graphics appear as though printed on a sheet of paper. As such, graphics may be freely positioned, scaled and rotated.

A graphic created in a resolution different from the current Canvas Resolution may result in a stretched or squashed appearance when imported. If this occurs, correct the Use 1:1 Pixel Aspect for Graphics Import setting and reimport the graphic. Refer to Config Menu: Canvas Resolution for details on setting these parameters.

Enable Bounding Box - Selecting 2D Graphics

2D Object Context (Right-Click) Menu > Enable Bounding Box
Flipbook Object Context (Right-Click) Menu > Enable Bounding Box

Selecting an Object Using a Bounding Box

Enable Bounding Box allows for the selection of a 2D bitmap object, including a Flipbook frame. A Flipbook is a collection of bitmap images that play back as an animation. Once selected, the object can be scaled, rotated and moved forward in backward along Z-axis.

To enclose a bitmap object or Flipbook image in a bounding box:

  1. Click on the object in the Canvas, or highlight its listing in the Scene Graph.

  2. Select Enable Bounding Box from the context menu. A box appears around the object, and a check mark appears next to the Enable Bounding Box item in the menu. Note that if a Flipbook is selected, the Bounding Box is defined by the boundaries of the Canvas, even if Clip to Safe Title is selected when the Flipbook is saved. Refer to Tools Menu: Flipbook for additional details on saving options.

    Image: Bounding Box Around 2D Bitmap Object

    Bounding Box Around a 2D Bitmap Object

  3. Use one of the following methods to transform the object or objects (see below).

    • Select a Transform Tool from the Transform Toolbar, then click-and-drag any of the blue handles to move, scale, rotate or change the center of rotation of the object.

    • Change the settings in Properties > XYZ.

When an object that has a Bounding Box is deselected, the Bounding Box disappears, but remains enabled. It reappears when the object is reselected.

Selecting Multiple Objects Using Bounding Boxes

Multiple objects can be transformed at the same time.

  1. Enable the Bounding Box on each of the objects.

  2. Use one of the following methods to select the objects:

    • Press and hold Ctrl, then on the Canvas, click on each object that is to be transformed.

    • In the Scene Graph, press and hold Shift, then click on each object that is to be transformed. Note that these objects must be consecutively listed.

  3. Apply a transform as described above.

    • If the objects are not grouped using the Group Tool Image: Group Icon or Tools > Group, they will transform independently. For example, if three objects are selected and a rotation is applied, they will rotate around their own axes.

    • If the objects are grouped using the Group Tool Image: Group Icon or Tools > Group, they will transform as one entity. For example, if three objects are selected and a rotation is applied, they will rotate as one object around one axis.

Disabling a Bounding Box

To disable a Bounding Box:

  1. Click on the object in the Canvas, or highlight its listing in the Scene Graph.

  2. Select Enable Bounding Box from the context menu. The Bounding Box disappears from around the object, and the check mark disappears from next to the Enable Bounding Box item in the menu.

Saving a 2D Bitmap Graphics File

The currently displayed composition on the Canvas can be saved in a variety of supported graphics formats. To save a graphic file:

  1. From the File menu, select Save As. The Save Animation dialog box opens. Note that although it is possible to save the file as an animation, that in this example, only one frame will be saved as a static graphic.

    Image: Saving a 2D Object

    Saving a 2D Object

  2. Select a file format from the Save as Type drop-down list box. In the preceding figure, the Adobe® Photoshop® *.psd format is selected.

  3. In the Start Frame and End Frame fields, make sure that the values match, as only one frame is saved.

  4. Optional: Adjust values for Image Width and Image Height.

  5. Field Render is currently not implemented and not applicable to static graphics.

  6. Optional: Select (check) Clip to Safe Title. If Clip to Safe Title is not selected, the contents of the entire Canvas are recorded as the graphic. If Clip to Safe Title is selected, only the contents within the Safe Title Area are recorded as the graphic. The Safe Title Area can be adjusted in the Safe Title Adjust dialog box, accessed from Config Menu > Safe Title Adjust.

  7. Save RGB is always active. RGB information is always saved.

  8. Optional: Select (check) Save Alpha. This is available for those file formats where the Alpha (transparency) information can be saved as part of the graphics file (such as Adobe® Photoshop® *.psd). If Save Alpha is not selected, the Alpha information is not saved with the file. If Save Alpha is selected, the Alpha information is saved with the file. See example immediately following this operation.

  9. Enter a File Name.

  10. Click Save. The graphic is saved to the selected file format.

When the Alpha information is saved, it can be displayed and modified in a program such as Adobe® Photoshop® when the file is opened.

Image: Opening a 2D Bitmap Graphic with Alpha in Photoshop

Alpha Channel Displayed in Adobe® Photoshop®

2D Objects - Related Topics


Crawl

Tools Menu > Crawl; Chyron Toolbar >

Crawls, in which one or more rows of 2D text travel horizontally across the screen, can easily be created in Lyric. Creating a Crawl is a three-step process.

  1. Pull down the Tools menu and select Crawl or press the [image] button on the Lyric interface. A Crawl window appears. When first opened on the Canvas for composition, Crawl windows look much like regular 2D text windows except for the Crawl window's scroll bar.

    Crawl and 2D Text Windows

  2. Enter text into the 2D Text Crawl window exactly as you wish it to appear on the output, using whatever fonts/styles/sizes you desire.

  3. In the Properties menu, use the [image] arrows to locate the Animation tab, or right-click anywhere on any Properties tab and then select the Animation tab.

    Crawl Animation Properties
    Any Properties tab currently selected is not shown on the context-menu seen at right.

Refer to the section on the Animation Controls Properties page for information on programming Crawls and other animations using the attribute controls seen above.

Let's walk through the creation of a Crawl that lasts five seconds.

  1. Create a 2D Crawl Window by clicking on the Crawl button:

    Crawl Button

    A Crawl window appears:

    Crawl Window

  2. Position and size the 2D Crawl window as desired.

  3. Enter text into the Crawl Window:

    Text Entered in Crawl Window

  4. Select the Animation tab on the Properties menu. In the Object field, select the 2D Crawl item from the dropdown, if it is not already selected:

    Properties: Animation - Crawl Object Selected

  5. Of the available parameters (Start and End Frame, Duration, Speed and Rate (Pixels/Field), select Duration, and set the value to five seconds (00:00:05:00). Click Apply.

  6. On the Transport Controls, click the Play [image] button. If you are working on a PC or on a Chyron system without the Image: Live Button - Inactive button activated, the animation will play out on your VGA monitor. On a Chyron system with the Image: Live Icon button activated, the system will request confirmation that you wish to play the animation on the video output.

    Animation Execution Prompt

The following should be noted about Crawls:

  • Lyric is capable of simultaneously animating multiple 2D Crawls and Rolls along with other animated objects.

  • A 2D Crawl window is a "normal" Lyric object, so you may animate and change its position attributes while it is crawling text.

  • Text copied from any Windows application can be pasted into a Crawl window (or any of Lyric's 2D Text windows, including Rolls, Type-On/Slow Reveals and Spline Windows).

To resize the Crawl Window, you may drag the window's edges and corners. To reposition the entire Crawl window, move your pointer near the Title Bar until it becomes a "Move" cursor as seen at upper right in the illustration. Use the Scroll Bars to scroll left and right within the Crawl's text.

Resizing the Crawl Window

To delete a Crawl Window, click on its title bar, and then press Ctrl + Delete. Or, select the proper 2D Crawl item in the Scene Graph then press Delete.


Custom Font Editor

Browser > Select, then right-Click RGB Font or Right-Click Blank Area in Browser > Custom Font Editor
Tools Menu > Font Editor
Lyric Directory > Open CFE.exe

Before working with the Custom Font Editor, it is important to understand RGB Fonts. RGB Fonts are sets of bitmaps, where each bitmap is assigned to a unique key or key combination. When the key or key combination is typed, the assigned graphic is imported to the Canvas. Refer to RGB Fonts for detailed information RGB Font characteristics and operations.

Custom Font Editor features include:

  • Conversion of Lyric RGB Fonts to iNFiNiT!!® RGB Fonts and conversion of iNFiNiT!! RGB Fonts to Lyric RGB Fonts.

  • Drag-and-drop character assignment within the Custom Font Editor, or from one open Custom Font Editor to another.

  • Independent Logo Clipboard.

The Custom Font Editor also performs the same functions as Lyrics Font Browser while offering different methods of adding, modifying and cataloging characters in an RGB Font. Refer to RGB Fonts for information on the Font Browser.

Launching the Custom Font Editor

The Custom Font Editor can be launched from within Lyric or independently from outside of Lyric:

  • From the Lyric Browser, display the Font Assets. Select, then right-click an RGB Font, or right-click a blank area in the Browser. From the context menu, select Custom Font Editor.

  • From the Lyric Tools menu, select Font Editor.

  • In the directory in which Lyric is installed, double-click CFE.exe.

    Image: Custom Font Editor Icon

    CFE Icon

A blank Custom Font Editor opens.

Image: Custom Font Editor - Just OPened

Custom Font Editor - Newly Opened

Along the top of the Custom Font Editor, are a set of menus and tool icons, which access the Custom Font Editor functions. The status bar, located at the bottom of the Custom Font Editor, displays information about the source of the image and information about the font.

The main area of the Custom Font Editor interface consists of cells, each of which represents a character. A cell with a green border indicates that it is selected. Each cell is numbered with an ASCII character code, and with the Western character that is normally associated with it. Note that unlike creating an RGB Font from the Lyric Browser, there is no default graphic assigned to the uppercase A (Shift + A) key combination. The following figure shows a blank cell for ASCII Code 67.

Blank Cell - ASCII Code 67

When a font is loaded, a thumbnail of the image that is assigned to that ASCII code is displayed in the cell. The following figures show an iNFiNiT! alphanumeric font character assigned to ASCII Code 67, and a Lyric RGB Font character assigned to the same ASCII code. Because any image can be assigned to a cell, a cell is always identified by its ASCII code, rather than its letter.

iNFiNiT! Character

Lyric RGB Character

Lyric RGB Character

Multiple instances of the Custom Font Editor can be open at the same time. All open Custom Font Editors are listed in the lower portion of Window menu. The currently displayed Custom Font Editor has a checkmark next to its listing. To display a different Custom Font Editor:

  • From the Window menu, select the desired Custom Font Editor.

    List of Open Custom Font Editors

    List of Open Custom Font Editors

    • Lyric fonts are listed by the database file name of which they are a member.

    • iNFiNiT! fonts are listed by their Font ID Numbers.

About Font Character Sources, Target Files and Special Characters

Overview

When a font is specified for use in Lyric or iNFiNiT!, the font is referenced each time a character is typed. If, for example, the letter "A" is typed in using Machine Font .1115 on the iNFiNiT!, the information used to type the "A" character is referenced from the font. This eliminates duplication of information which would quickly increase the size of a file. iNFiNiT! FlashFonts are the exception, and are beyond the scope of this document. Refer to iNFiNiT! documentation for details on FlashFonts.

About Missing Font Images

The images referenced by a font must be available when the font is loaded in order to be able to type the font character. If an image referenced by a font is not available when the font is loaded, the cell displays a question mark:

Missing Image - Not Selected

Missing Image - Not Selected

Missing Image - Selected

Missing Image - Selected

In addition, when opening a Lyric font, if the missing image is the Sample Character, then the following is displayed in the Open Lyric Font dialog box:

Missing Sample Character

Missing Sample Character

Font Character Types

The Custom Font Editor can work with the following types of font characters.

  • Lyric RGB Fonts are comprised of RGB(A) images only. Each image in the font is referenced from an image file on disk, known as a Target File. When a character is selected in the Custom Font Editor, the path to the Target File and the image dimensions, in pixels, are displayed in the Custom Font Editor Status Bar. In addition, an orange bullet is displayed in the upper left corner of the cell, indicating that the source of the image is a Target File. Example:

    TargetFile: C:\Program Files\Chyron\Images\Chyron_Logo_Elections.tga, 179 x 71

  • iNFiNiT! Machine Fonts are themselves referenced from iNFiNiT! Master Fonts. Master Fonts are sets of alphanumeric characters, and determine the font face (style). When a Machine Font is built, attributes such as size, color, and edge specifications are incorporated. When a Machine Font is used on an iNFiNiT!, these attributes can be changed. The Custom Font Editor does provide the ability to change the Palette (colors), after which the font can be saved and then used in Lyric or on the iNFiNiT!. When, however, they are first used in Lyric, iNFiNiT! fonts are typed in white, and color is the only attribute that can be changed. Color can be changed via Font Tools or 2D Font FX Properties. Refer to iNFiNiT! documentation for details on Master Fonts and Machine Fonts.

    For the most part, Machine Fonts contain only alphanumeric characters based on Master Fonts. Special Characters, however, can also be added to a Machine Font. There are two types of Special Characters:

    • RGB(A) images can be specified as font characters within a Machine Font.

    • iNFiNiT! Encoded Characters, which are plotted characters that can process Palette (color) changes, can be added to a Machine Font. Import of these characters into a font is beyond the scope of this document. Refer to iNFiNiT! documentation for details.

    iNFiNiT! Machine Font characters, including Special Characters, are embedded in font when it is created on the iNFiNiT!, and therefore do not have an accessible file path. When the image source is embedded, there is no orange bullet in the upper left corner of the cell. A font character can, however, be saved to an image file outside of the embedded font. Note, however, that once it has been saved to an outside file, it cannot be re-embedded using the Custom Font Editor!

    When an iNFiNiT! embedded character is selected in the Custom Font Editor, the path to the character is specified as shown in the following example:

    GoTo: C\Pic\-0001\105.tga, 12 x 26

    • C\Pic is the directory specified as the Folder Format String in the Lyric Settings dialog box. Refer to Edit Lyric Settings, later in this section, for additional information.

    • -0001 specifies that the font character is embedded. -0001 is not a physical, valid directory, but rather, specifies that the font entry number is not yet specified. This does not impact Lyric operations.

    • 105.tga specifies the name of the embedded file. The number identifies the cell position, which is the ASCII number of the character.

    • 12 x 26 specifies the dimensions, in pixels, of the image.

    If a character is added to the Machine Font using the Custom Font Editor, then that character is specified as a Target File, in the same manner as a character in a Lyric RGB font.

  • iNFiNiT! RGB Fonts are comprised of RGB(A) images only. The image characters are embedded in the font, and therefore do not have an accessible file path. An image can, however, be saved to an image file outside of the embedded font. Note, however, that once it has been saved to an outside file, it cannot be re-embedded using the Custom Font Editor!

    • When a character is selected in an RGB font that was created on an iNFiNiT!, the character is specified in the same manner as a Machine Font.

    • When a character that has been added to a new or existing RGB font in Custom Font Create is selected, the character is specified as a Target File, in the same manner as a Lyric RGB font.

File Menu

Overview

The File menu includes commands familiar to Windows® users, as well as those specific to the Custom Font Editor.

Image: File Menu

File Menu - Expanded

New

The New Font Editor Window Image: New Font Editor Window command opens a new Font Editor.

Open

The Open s Font File Image: Open a Font File Icon command displays a dialog box for opening a font which has the same format (Lyric or iNFiNiT!) as the last font loaded in the Custom Font Editor. The procedure for opening each type of font is described in the following section.

Open iNFiNiT! Font

The Open iNFiNiT! Font command opens an iNFiNiT! font that is stored on the PC or the system's local drive or on a networked iNFiNiT! Family system or other drive. An iNFiNiT! font can also be opened from the drop-down menu accessed from the Open icon located on the Custom Font Editor toolbar.

Image: Open iNFiNiT! Font

Open iNFiNiT! Font

When Open iNFiNiT! Font is selected, the Open a Machine Font dialog box opens. Navigation to a file is the same as in the Windows environment. iNFiNiT! fonts are all formatted .xxxxxxxx.fnt, where the x's are always numerals. Leading zeroes are not displayed in the file name. Note that Machine Fonts in this environment also refer to RGB Fonts. Additionally, Machine Font characters and RGB Font characters can be mixed within one font.

Image: Open a Machine Font Dialog Box

Open a Machine Font Dialog Box Showing RGB Font Characters

Open Machine Font

Open a Machine Font Dialog Box Showing Machine Font and RGB/Special Characters

The information area below the file selection area displays the File Header Name, the Font Type, the File Size and the Status of the font load.

The right area of the Open a Machine Font dialog box displays the Font Preview pane, in which the graphic assigned to the font are displayed on a grid representing the Key assignments. The top left cell of the grid represents ASCII Code 0. The cells are numbered from left-to-right, top-to-bottom. The character A is at ASCII Code 65, which in this grid, is located in the sixth row, at the sixth cell.

After navigating to the iNFiNiT! font file:

  • Click Open. The Open a Machine Font dialog box closes, and the iNFiNiT! font is loaded into the Custom Font Editor.

iNFiNiT! Font Loaded

iNFiNiT! Machine Font Loaded

The Title Bar at the top of the Custom Font Editor displays the file name, also known as the Font ID Number, of the font. In addition:

  • If the font is an alphanumeric font, which on an iNFiNiT!, would be referred to as a Machine Font, it also displays the Font Style name. In the previous figure, the Font Style name is TT Geometr415 Blk BT.

  • If the font is an RGB font, then the Font Style name is Blank.

The Status Bar at the bottom of the Custom Font Editor displays information about the selected character, font file size, font face (style), font size, edge type, edge size and edge direction. For example, if character 77 is selected, the following is displayed in the Status Bar.

Status Bar - iNFiNiT! Machine Font Loaded

Status Bar - iNFiNiT! Machine Font Character Selected

If the font is an iNFiNiT! RGB font, then the information at the right of the Status Bar indicates that the font is an RGBA font. Descriptive information such as Font Size, Edge Style, Edge Size and Edge Direction are not displayed.

If the font had been saved as an iNFiNiT! font from a Lyric RGB font, the Style Name given to the Lyric font when it was saved now becomes the Style Name of the iNFiNiT! font. This information is not displayed in the Title Bar, however.

Note that the Open operation is completely different from importing an iNFiNiT! file from the File menu in Lyric, or loading an iNFiNiT! font from the Lyric Browser.

Open Lyric Font

The Open Lyric Font command opens a Lyric font that is stored on the PC or Chyron system's local drive or on a networked drive. A Lyric font can also be opened from the drop-down accessed from the Open button located on the Custom Font Editor toolbar.

Image: Open Lyric Font

Open Lyric Font

When Open Lyric Font is selected, the Open Lyric Font dialog box opens:

Image: Selecting a Lyric Font

Open Lyric Font Dialog Box

The Open Lyric Font dialog box is composed of the following elements:

  • Available Fonts lists the available RGB Fonts in the selected data source (database). This window contains five fields for each listed font.

    • Font Number: Assigns a number to the RGB Font, in order of its creation in the database. Font Number 1 is reserved for use by the Custom Font Editor. The Font Number is displayed in the Title Bar of the Custom Font Editor when the font is loaded.

    • StyleName: The name assigned to the font.

    • Height: Default Height is always set at 50 for RGB Fonts. The Height setting has no effect on the size of each RGB graphic in the font.

    • Edge: Default Edge is always set at None for RGB Fonts. The Edge setting has no effect on the appearance of each graphic in the font.

    • Last Modified: Displays date and time of last modification to the RGB Font.

  • Preview determines which graphic is displayed as the identifying icon (thumbnail) in the Lyric Browser. The default is the graphic assigned to uppercase A, which is ASCII Code 65. The Preview Icon can be set to another graphic as seen previously.

    • Preview Icon Assignment: This field displays the ASCII Code for the Preview Icon. As seen previously, it is 137, which corresponds to Alt + U. It can be changed by selecting a new ASCII Code from the drop-down list box.

    • Preview Icon Graphic: Displays the graphic associated with the Preview Icon Assignment.

    • Preview Icon Path: Displays the path to the Preview Icon graphic.

  • Delete Font deletes the font on which the cursor is positioned.

  • Select Data Source enables selection of new data source. When clicked, the following Data Link Properties dialog box opens:

    Image: Data Link Properties Dialog Box

    Data Link Properties Dialog Box

    Navigate to the database, and then click OK. For information on setting other parameters in this dialog box, refer to Microsoft® Windows® documentation.

    The following error message may be displayed when attempting to select a data source. This error indicates that the data source has been deleted or moved.

    Data Source Error

    Data Source Error

  • Open loads the selected font into the Custom Font Editor.

  • Cancel cancels the font load and closes the Open Lyric Font dialog box.

To load a Lyric font:

  • In the Open Lyric Font dialog box, place the cursor on the row that lists the font, then double-click the row or click Open. The Open Lyric Font dialog box closes, and the Lyric font is loaded into the Custom Font Editor. The Title Bar of the Custom Font Editor displays the name of the data source, as well as the Font Number as displayed in the Open Lyric Font dialog box.

Lyric Font Loaded

Custom Font Editor - Lyric Font Loaded

A Lyric RGB font entry is a collection of references to image files. When the Lyric RGB font is loaded in the Custom Font Editor, each of the cells have an orange bullet in the upper left corner, indicating that the character references a specific location. When such a character is selected, the Status Bar of the Custom Font Editor window displays the file path of the source image file, also known as the Target File Name.

The Title Bar at the top of the Custom Font Editor displays the database file name to which the font is saved, and the Font Number of the font within the database. Note that the database file name is not the same as the database name, which can be set within Lyric. Refer to Selecting/Creating/Importing/Deleting/Repairing a Database for information on Browser databases.

The Status Bar also displays information about the selected character, image dimensions, font file size, Lyric database name and character type. For example, if character 65 is selected, the following is displayed in the Status Bar.

Status Bar - Lyric RGB Font Loaded

Selected Lyric RGB Character and Target File Name

An RGB character can be saved to a new Target File Name.

Save

Save Image: Save Font Icon saves the font in its current format, with the most recent changes. Refer to Saving Fonts and Font Images, later in this section for additional information on save options.

Save As

Save As provides the operator the opportunity to specify a new name or a different format for the font being saved. A copy of the file may also be created and saved with these changes without affecting the original. Refer to Saving Fonts and Font Images, later in this section for additional information on Save As and other save options.

Image: Save As iNFiNiT! or Lyric Font Icon and Drop-Down

Save As iNFiNiT! or Lyric Font Icon and Drop-Down Menu

Print

Print Image: Print Icon allows the contents of an RGB Font to be printed out as a keyboard map for reference. Refer to Printing Font Sets later in this section for details.

Print Setup

Print Setup accesses the setup facility for the specific printer. Refer to the printer documentation for information on setting up the printer.

Close

Close Editor Image: Windows Close File Icon exits the Custom Font Editor.

Close All Unmodified Editors

Close All Unmodified Editors only closes Custom Font Editors to which no changes have been made.

Close All Editors

Close All Editors closes all Custom Font Editors, whether or not they have been modified, but does request confirmation.

Image: Confirm Close All Editors

Confirm Save Changes to Browser

Selecting Characters

One or multiple characters can be selected. Delete and Toggle Marker operations affect all currently selected characters.

To select a character:

  • Click on the character.

To select a range of characters:

  1. Click the character in the range.

  2. Hold the Shift key down while clicking the last character in the range.

To select noncontiguous characters:

  • Hold the Ctrl key down while clicking the characters.

Logo Clipboard

The Logo Clipboard can store images which are available to any of the fonts that are currently displayed in open Custom Font Editors. Images may be added to the Logo Clipboard directly from directories accessible to the system. An image can then be drag-and-dropped from the Logo Clipboard to any font displayed in an open Custom Font Editor. An image on the Logo Clipboard may also be added to a font through the Add Picture function in the Custom Font Editor. The Logo Clipboard is independent of the Windows Clipboard. To open the Logo Clipboard:

  • Click the View Logo Clipboard Image: View Logo Clipboard Icon icon on the Custom Font Editor toolbar, or select View Logo Clipboard from the Window menu.

    View Logo Clipboard

    View Logo Clipboard

    The Logo Clipboard is displayed. When a Logo Clipboard is first opened, it is blank. The following figure shows the Logo Clipboard with images.

    Image: Custom Font Editor Logo Clipboard

    Logo Clipboard

Logo Clipboard functions are available from both Logo Clipboard toolbar, the Logo Clipboard context menu, as well as from shortcut keys. To display the Logo Clipboard context menu:

  • Right-click the Logo Clipboard. Note that access to certain functions require that a selected graphic is right-clicked.

Image: Logo Clipboard Context Menu

Logo Clipboard Context Menu

To add a graphic to the Logo Clipboard:

  1. Click the Add icon Image: Add Icon, press Insert or select Add Picture from the Logo Clipboard context menu. The Open a Picture File dialog box opens.

    Image: Open a Picture File Dialog Box

    Open a Picture File

  2. Navigate to the desired image file.

  3. The following Alpha parameters can be set, depending on the type of image file:

    • Track Alpha File: Not applicable to Lyric or iNFiNiT! operations.

    • Invert Alpha: Available to only RGB + Alpha image files.

    • Invert Alpha: Not available to RGB + Associated Alpha image files.

  4. Click Open. The image is added to the Logo Clipboard.

To add RGB font characters from an iNFiNiT! Machine Font:

  1. Select Add Pictures from Machine Font from the Logo Clipboard Context menu. The Open a Machine Font dialog box opens.

  2. Select a Machine Font, and then click Open. All RGB font characters from the Machine Font are added to the Logo Clipboard, following any existing graphics on the Logo Clipboard.

To delete a graphic from the Logo Clipboard:

  • Select the graphic that is to be removed, and then click the Delete icon Image: Delete, press Delete or select Remove Selected Picture from the Logo Clipboard context menu.

To clear all graphics from the Logo Clipboard:

  • Click the Clear icon Image: Clear Icon or select Clear Clipboard from the Logo Clipboard context menu.

To save a Logo Clipboard graphic to an image file:

  1. Click the Save icon Image: Save Icon, press Ctrl + S, or select Save Picture from the Logo Clipboard context menu. The Save As dialog box opens.

    Image: Save As Dialog Box

    Save As Dialog Box

  2. Navigate to the directory in which the file is to be saved, enter a name in the File Name field, select a file type in the Save as Type field, and then click Save. Note that Track Alpha File is not applicable to this operation.

Graphics can be cut and copied to the Windows® Clipboard and pasted from the Windows® Clipboard. Note that Paste operations do not overwrite graphics already on the Logo Clipboard. Pasted graphics are always added to the Logo Clipboard.

  • To cut a graphic to the Windows Clipboard: Select the graphic, and then press Ctrl + X select Cut to Windows Clipboard from the Logo Clipboard context menu. The graphic is removed from the Logo Clipboard and pasted to the Windows Clipboard.

  • To copy a graphic to the Windows Clipboard: Select the graphic, and then press Ctrl + C select Copy to Windows Clipboard from the Logo Clipboard context menu. The graphic is remains on the Logo Clipboard and is copied to the Windows Clipboard.

  • To paste a graphic from the Windows Clipboard: Press Ctrl + V select Paste from Windows Clipboard from the Logo Clipboard context menu. The graphic is pasted from the Windows Clipboard to the Logo Clipboard. The graphic remains available on the Windows Clipboard until it is overwritten by another Cut or Copy operation. Note that a graphic pasted to the Windows Clipboard can originate from an external program such as Adobe® Photoshop®.

The size of the Logo Clipboard thumbnails can be set to Small, Medium, Large or Extra Large.

Image: Thumbnail Sizes

Thumbnail Sizes: Small, Medium, Large, Extra Large

To change thumbnail size:

  • Click the S, M, L or XL icon to display characters as Small, Medium, Large or Extra Large, respectively.

OR

  • Press S for Small; M for Medium; L for Large; or X for Extra Large.

OR

  • Select Picture Size from the Logo Clipboard context menu, and then select Small, Medium, Large or Extra Large from the Picture Size menu.

    Image: Picture SIze Menu

    Picture Size Menu

To change the order in which the graphics are displayed:

  1. Select Arrange Pictures from the Logo Clipboard context menu. The Arrange Pictures menu is displayed.

    Image: Arrange Pictures Menu

    Arrange Pictures Menu

    The menu is divided into two sections:

    • Parameter: The specific parameters associated a graphic on which ordering can be based.

      • TimeStamp: The time at which the graphic was added to the Logo Clipboard.

      • Index: The original order in which the graphic is added to the Logo Clipboard.

      • Description: The Description as set in the Logo Clipboard. This information is also reflected in metadata in the header of an iNFiNiT! RGBA Message.

      • Size: The area of the graphic as calculated by multiplying Width X Height.

      • Width: The Width of a graphic, in pixels.

      • Height: The Height of a graphic, in scanlines.

      • Aspect Ratio: The Aspect Ratio of the graphic, as calculated by dividing Width divided by Height.

    • Order Direction: The direction of ordering.

      • Reverse Order: Reverse order of the currently set ordering.

      • Auto Arrange: When Auto Arrange is enabled, the images in the Logo Clipboard automatically regroup in rows as the Logo Clipboard is resized, eliminating the presence of a scroll bar.

  2. Select one choice from the Parameter section. The menu closes. The Logo Clipboard reorders the graphics based on the specified Parameter.

  3. Reopen the menu, and then select one or both orders from the Order Direction section. The Logo Clipboard reorders the graphics based on the specified Order Direction(s).

The Logo Clipboard can be set to display on top of the open Custom Font Editors when they overlap, or to display behind the active Custom Font Editor when they overlap.

  • To display the Logo Clipboard in front of all open Custom Font Editors when they overlap, select (check) Stay on Top from the Logo Clipboard context menu.

  • To display the Logo Clipboard behind the active Custom Font Editor when they overlap, deselect (uncheck) Stay on Top from the Logo Clipboard context menu.

To edit the description of the graphic:

Edit Description: Each image in the Logo Clipboard can have a description. To set the Description:

  1. Select Edit Description from the Logo Clipboard context menu. The Edit Description dialog box opens.

    Image: Edit Description Dialog Box

    Edit Description Dialog Box

  2. Enter a description in the New Description field, and then click OK. This information is also reflected in metadata in the header of a iNFiNiT! RGBA Message.

Assigning an Image to a Key Combination (ASCII Code)

Images can be quickly assigned to Custom Font Editor cells from local or network drives, or from the Logo Clipboard. An image can also be dragged and dropped from the Logo Clipboard to a cell in the Custom Font Editor, or from one cell to another.

NOTE

An image that is assigned to the cell automatically overwrites any image that was previously assigned to that cell.

Add Picture from Logo Clipboard

Logo Clipboard enables the operator to paste a selected element on the clipboard directly to a selected cell on the Custom Font Editor. There are two ways to add a picture from the Logo Clipboard:

  1. In the Logo Clipboard, place the cursor on the image that is to be copied to a cell.

  2. Use the mouse to drag-and drop the image to a cell in the Custom Font Editor. The image thumbnail appears in the cell. The file path is specified in the Status Bar as follows:

    GoTo: <File path as specified in Lyric Settings>

OR

  1. In the Logo Clipboard, place the cursor on the image that is to be copied to a character cell.

  2. In the Custom Font Editor, place the cursor on the cell to which the image is to be assigned.

  3. Click the Add Picture from File (Ins) icon on the Custom Font Editor toolbar, and then select Picture at Cursor from > Logo Clipboard from the drop-down menu.

    Add Picture from Logo Clipboard

    Add Picture from Logo Clipboard

    The image thumbnail appears in the cell. The file path is specified in the Status Bar as follows:

    GoTo: <File path as specified in Lyric Settings>

Add Picture from File

File in Local Drive enables the operator to navigate to and select an image, and then assign it to cell into the Custom Font Editor.

  1. In the Custom Font Editor, place the cursor on the cell to which the image is to be assigned.

  2. Press the Insert key, or click the Add Picture from File (Ins) icon on the Custom Font Editor toolbar, and then select Picture at Cursor from > File in Local Drive from the drop-down menu.

    Add Picture at Cursor from File in Local Drive

    Add Picture from File

  3. The Open a Picture File dialog box opens.

    Image: Add Picture from File (Ins)

    Open a Picture File

  4. Navigate to and select an image, and then click Open. The image thumbnail appears in the cell. The file path is specified in the Status Bar as follows:

    TargetFile: <File path as specified in the Open a Picture File Dialog Box>

Drag-and-Drop from within the Custom Font Editor

An image already assigned to a character that is displayed in an open Custom Font Editor, can be dragged-and-dropped to another position in the same or another open Custom Font Editor. Note that the original character assignment remains the same. The image is copied to the new position.

When the image is copied to the new position, its file path is specified in the Status Bar as follows:

GoTo: <File path as specified in Lyric Settings>

Character Attributes

To display basic character attributes, as well as change display parameters:

  • Double-click a character. The Character Attributes and Display Parameter dialog box is displayed:

Image: Character Attributes and Display Parameter Dialog Box - iNFiNiT! Fonts

Character Attributes and Display Parameter Dialog Box - iNFiNiT! Machine Font Character

Image: Character Attributes and Display Parameter Dialog Box - Lyric/iNFiNiT! RGB Font Character

Character Attributes and Display Parameter Dialog Box - Lyric/iNFiNiT! RGB Font Character

The Title Bar displays the Key assignment for the character, as well as the size of the character. There are two display parameters which can be set. Note that they affect the display only within the Character Attributes and Display Parameter dialog box, not in the grid display in the Font Editor.

Chess: When Chess is enabled (selected), any transparent areas in the character display as a chessboard pattern similar to that used in Adobe® Photoshop®. In the previous two figures, Chess is enabled. When Chess is disabled (deselected), the chess pattern is not displayed. The default setting is Enabled. To enable/disable Chess:

  • Click the Chess button.

The following figure shows Chess disabled.

Image: Chess Disabled

Chess Disabled

Show Alpha: When Show Alpha is enabled (selected), the Alpha information for the character is displayed. When Alpha is disabled (deselected), the Alpha information is not displayed. In the previous three figures, Alpha is disabled. The default setting is Disabled. To enable/disable Alpha:

  • Click the Alpha button.

The following figure shows Alpha enabled.

Image: Alpha Enabled

Alpha Enabled

To display the previous character in the font:

  • Click the < Back button.

To display the next character in the font:

  • Click the Next > button.

To close the Character Attributes and Display Parameter dialog box:

  • Click the Close button.

Character Context Menu

A variety of operations can be applied to each character from its context menu. To display this menu:

  • Right-click the character.

Image: Character Context Menu

Character Context Menu

Delete (Ctrl + Delete)

Delete removes the selected character or characters from the font. To execute a Delete:

  • Select Delete from the Character context menu or press Ctrl + Delete. The character is removed from the font without confirmation. Note that the image file is not deleted from its original location. This operation is also available from the Edit menu.

Clear Target File Name (Alt + Del)

Clear Target File Name removes the path to the font character's Target File. When Clear Target File Name is performed, the orange bullet in the corner of the character's cell disappears. When the font is then saved, the font character's image is saved to a file path as specified by the Lyric Settings. The Status Bar now displays GoTo: instead of TargetFile:. For example the following shows a TargetFile path to an image in cell 68.

TargetFile: C\Images\Storm.tga

If Clear Target File Name is performed, then the path would be saved to a path like the following:

GoTo: C:\Pic\0005\068.tga

The directory would be specified in Lyric settings; the font number (0005) would be the next available font; and file name is based on the ASCII character code.

Refer to Edit Lyric Settings, later in this section, for additional information.

Set as Sample Character - Lyric Fonts Only

The default character that is displayed in order to more easily identify the font in Lyric is normally character 65, which corresponds to the key combination Shift + A. In most letter character-based fonts, this is upper case A. To change this display to another character:

  • Select Set as Sample Character from the Character context menu. When a Browser containing this font is opened in Lyric, the selected Sample Character is displayed.

Toggle Marker (Space Bar)

Toggle Marker applies a marker Image: Toggle Icon to the currently selected characters. Multiple characters that are marked can be batch-processed for operations such as Delete. Unlike selecting characters by clicking, Shift-clicking or Ctrl-clicking, this type of marker applied to characters is not lost when characters outside of the selection are clicked. To mark a character or characters:

  • Select the character or characters to be marked, then select Toggle Marker from the Character context menu or press the Space Bar. This operation is also available from the Edit menu.

To remove the marker from a character or characters:

  • Select the marked character or characters from which to remove the mark, then select Toggle Marker from the Character context menu or press the Space Bar. This operation is also available from the Edit menu.

Toggle Mix Mode (iNFiNiT! Fonts Only)

An RGB character within an iNFiNiT! font can be designated as an iNFiNiT! Mask Character by disabling Mix Mode for that character. The character then does not mix with the other graphics on in the frame buffer, but rather cuts through the frame buffer. When a character's Mix Mode is disabled, a small red Image: Mix Mode Icon icon is displayed in the upper right corner of the character in the Custom Font Editor.

Image: iNFiNiT! RGB Character - Mix Mode Disabled

iNFiNiT! RGB Character - Mix Mode Disabled

To enable/disable Mix Mode:

  • Select the RGB character or characters for which to enable/disable Mix Mode, and then select Toggle Mix Mode from the Character context menu. This operation is also available from the Current Character context menu, as described in the following paragraphs.

When an iNFiNiT! Mask Character is converted to a Lyric font character, the resulting Lyric font character loses the Mask attribute, and becomes an RGB font character.

Current Character

Current Character accesses additional functions that apply to only the currently selected character. To access these functions:

  • Select Current Char from the Character context menu. The Current Char(acter) context menu is displayed.

Image: Current Character Context Menu

Current Character Context Menu

Delete removes the selected character or characters from the font. To execute a Delete:

  • Select Delete from the Current Char context menu or press Ctrl + Delete. The character is removed from the font without confirmation. Note that the image file is not deleted from its original location. This operation is also available from the Edit menu.

Edit Marker enables a marker to be applied, toggled or removed. To edit a marker:

  • Select Edit Marker from the Current Char context menu. The Edit Marker context menu is displayed:

    Image: Edit Marker

    Edit Marker

    • Select Set or press S to set a character as marked.

    • Select Clear or press C to clear the marker from the character.

    • Select Toggle or press T to toggle from marked to unmarked, or unmarked to marked.

Edit Mix Mode (iNFiNiT! fonts only) enables an iNFiNiT! RGB character to be designated an iNFiNiT! Mask Character. This feature is covered earlier in the section on Toggle Mix Mode. To enable/disable/toggle Mix Mode:

  • Select Edit Mix Mode from the Current Char context menu. The Edit ix Mode context menu is displayed:

    Image: Edit Mix Mode

    Edit Mix Mode

    • Select Enable Mix or press E to set the character to normal (mixed).

    • Select Disable Mix or press D to revert the character as an iNFiNiT! Mask Character.

    • Select Toggle or press T to toggle from iNFiNiT! Mask Character to normal character or from normal character to iNFiNiT! Mask Character.

An image can be assigned as a font character using the Add Picture From function.

Image: Add Picture From

Add Picture From

Edit Menu

The Edit menu provides editing tools that make it easy to move, cut-and-paste and copy graphics among Key assignments.

Edit Menu

Cut

  • The Cut Image: Cut Icon command deletes the image associated with the highlighted thumbnail and places it on the Windows Clipboard.

Copy

  • The Copy Image: Windows Copy Icon command copies the image associated with the highlighted thumbnail and places it on the Windows Clipboard.

Paste

  • The Paste Image: Windows Paste Icon command pastes the image from the Windows Clipboard into the thumbnail cell that is selected on the Font Editor interface.

Delete (Ctrl + Delete)

Delete removes the selected character or characters from the font. To execute a Delete:

  • Select Delete from the Edit menu or press Ctrl + Delete. Note that the image file is not deleted from its original location. The character is removed from the font without confirmation. This operation is also available from the Character context menu.

Select All

  • Select All Image: Windows Select All Icon highlights all thumbnails for use with the other editing functions.

Toggle Marker (Space Bar)

Toggle Marker applies a marker Image: Toggle Icon to one or more characters. Multiple characters that are marked can be batch-processed for operations such as Delete. Unlike selecting characters by clicking, Shift-clicking or Ctrl-clicking, this type of marker applied to characters is not lost when characters outside of the selection are clicked. To mark a character or characters:

  • Select the character or characters to be marked, then select Toggle Marker from the Edit menu or press the Space Bar. This operation is also available from the Character context menu.

To remove the marker from a character or characters:

  • Select the marked character or characters from which to remove the mark, then select Toggle Marker from the Edit menu or press the Space Bar. This operation is also available from the Character context menu.

Initializing a Font

The Custom Font Editor can be initialized to a variety of states: RGB characters only; Marked characters only; Special characters only; or a blank font. To access this function:

  • From the Tools menu, select Initialize Font. A drop-down menu is displayed.

    Image: Tools Menu

    Tools Menu

The following initialization types are available:

  • Initialize to Only RGB Characters (iNFiNiT! Fonts Only): Clears all but RGB Font characters. Note that all RGB Font characters are also Special characters.

  • Initialize to Only Marked Characters: Clears all but marked Image: Toggle Icon characters.

  • Initialize to Only Special Characters (iNFiNiT! Fonts Only): Clears all but Special characters. A Special character a character that has been added to a Machine Font, but that is not based on a Master Font. For example, a logo can be assigned to a Key combination in a Machine Font. The logo would be both a Special character as well as an RGB Font character. Note that all RGB Font characters are Special characters, even when part of an RGB Font.

  • Initialize to Blank Font: Clears entire font.

Editing Font Name

The Edit Font Name function can be used to set or change the File Header Name, the Effect Name and/or the Font Header Name of an existing iNFiNiT! font, making the font easier to identify. When the font is loaded, the Font Header Name is reflected in the Title Bar of the Custom Font Editor, and the File Header Name is reflected in the Status Bar.

Edit Font Name is not available when a Lyric font is loaded. The File Header Name and Font Header Name of a Lyric font can be edited, however, by saving the Lyric font as an iNFiNiT! font, using the Edit Font Name function to perform the edits, and then saving the iNFiNiT! font back to a Lyric font.

The File Header Name of a Lyric font can also be edited by right-clicking on a Lyric RGB font in the Lyric Browser, selecting Font Browser from the context menu, and editing the Name field. Saving fonts is covered later in this section.

To edit the File Header Name, the Effect Name and/or the Font Header Name:

  • From the Tools menu, select Edit Font Name.

    Selecting Edit Font Name

    Selecting Edit Font Name

    The Edit Font Name dialog box is displayed. The following examples show different types of fonts loaded.

    Edit Font Name - RGB Font

    Edit Font Name - iNFiNiT! RGB Machine Font

    Edit Font Name - iNFiNiT! Machine Font

    Edit Font Name - iNFiNiT! Alphanumeric Machine Font

The File Header Name, Effect Name and Font Header Name are reflected as follows:

  • iNFiNiT! Fonts:

    • The File Header Name appears in the Open a Machine Font dialog box information area and the Status Bar of the Custom Font Editor. It also appears in the Name 1 field of the Browse for iNFiNiT! Fonts dialog box, accessed from the Lyric Browser iNFiNiT! Assets context menu.

    • The Effect Name appears in the Open a Machine Font dialog box information area and the Status Bar of the Custom Font Editor. It also appears in the Name 2 field of the Browse for iNFiNiT! Fonts dialog box, accessed from the Lyric Browser iNFiNiT! Assets context menu.

    • The Font Header Name is displayed in the Title Bar of the loaded font in the Font Editor.

  • Lyric Fonts:

    • The File Header Name appears in the StyleName field in the Open Lyric Font and Save as Lyric Font dialog boxes, and the Name field of the Font Browser in Lyric, accessed from right-clicking on a Lyric RGB font in the Browser, and then selecting Font Browser from the context menu.

    • The Effect Name is generally None. If, however, an iNFiNiT! alphanumeric font is saved as a Lyric font, the Edge type would be displayed in the Effect Name field. As mentioned previously, the Edge Name can be modified if the font is first saved as an iNFiNiT! font, the Effect Name is edited, and then resaved as a Lyric font. The Effect Name is not used in Lyric operations.

    • The Font Header Name is displayed in the Title Bar in the Custom Font Editor, but the Font Header Name is not used in Lyric operations.

To edit the File Header Name, Effect Name and the Font Header Name:

  1. Enter a name in the File Header Name field. Note that if the Link icon at the right of the data fields is active, the same name is reflected in the Font Header Name field. If the Link icon is not active, a different name can be entered in the Font Header Name field. The Font Header Name is reflected in the Title Bar of the Custom Font Editor.

    Image: Link Icon Active

    Image: Link Icon Inactive

    Link Icon Active

    Link Icon Inactive

  2. If desired, enter an Effect Name.

  3. Click OK to apply.

Merging Graphics from One Font into Another

Merge Graphics from is a means for quickly adding all of the RGB Font characters an iNFiNiT! Machine Font or iNFiNiT! RGB Font to the currently loaded Lyric or iNFiNiT! font. When a font is merged into another font, the RGB characters in the merging font are copied to the same key assignments in the currently loaded font. For example the characters assigned to cells 66, 75, 80 and 95 in the merging font are copied to cells 66, 75, 80 and 95 in the currently loaded font.

IMPORTANT!!!

Performing a Merge may overwrite the contents of an existing RGB font!

  • If key assignments in the merging (incoming) font match key assignments of the currently loaded font, then the characters at these key assignments will overwrite the currently loaded characters at the same key assignments. For example, if characters are assigned to cells 67, 68 and 69 in both the currently loaded font and the merging font, then the characters at cells 67, 68 and 68 in the merging font will overwrite characters in cells 67, 68 and 69 in the currently loaded font.

  • If key assignments in the merging (incoming) font do not match key assignments of the currently loaded font, then the merged characters will populate the blank cells in the currently loaded font. For example, if characters are assigned to cells 75, 76 and 77 in the merging font, but none are assigned to the same cells in the currently loaded font, then cells 75, 76 and 77 in the currently loaded font will be populated with the characters assigned to cells 75, 76 and 77 from the merging font.

  • Blank cells and alphanumeric characters from the merging font do not overwrite populated cells from the currently loaded font.

To perform a Merge:

  1. Load an iNFiNiT! or Lyric font. An iNFiNiT! font can contain alphanumeric characters and/or RGB characters.

  2. In the Custom Font Editor toolbar, click the Add Picture from File (Ins) icon, select Merge Graphics from > Machine Font in Local Drive.

    Merge Graphics from Machine Font in Local Drive

    Merge Graphics from Machine Font in Local Drive

  3. The Open a Machine Font window opens. Navigate to and select the iNFiNiT! font that is to be merged with the currently loaded font. It can contain alphanumeric characters, but must contain RGB characters as only RGB characters are merged.

  4. Click the Open button. The RGB characters from the merging font populate the cells in the currently loaded font. The system displays a dialog box specifying the number of font characters merged, and the ASCII range in which they were placed.

  5. Click OK.

If the merging font did not contain any RGB characters, the following prompt is displayed:

Font Does Not Contain Graphics

Font Does Not Contain Graphic

Saving Fonts and Font Images

There are a number of methods for saving images from the Font Editor to local or mapped network drives. These options are accessed from the File menu and Save Picture to File (Ctrl + S) icon Save Picture to File Icon, in the Custom Font Editor toolbar.

In iNFiNiT! parlance, a Machine Font generally refers to an alphanumeric font based on an iNFiNiT! Master Font, although an RGB Font is a type of Machine Font. When working with the Custom Font Editor, the term Machine Font encompasses both alphanumeric fonts as well as RGB Fonts. The following applies to Save As operations:

  • A Lyric RGB Font can be saved as another Lyric RGB Font or as an iNFiNiT! RGB Machine Font.

  • An iNFiNiT! RGB Machine Font can be saved as another iNFiNiT! RGB Machine Font or as a Lyric RGB Font.

  • An iNFiNiT! (Alphanumeric) Machine Font can be saved as another iNFiNiT! (Alphanumeric) Machine Font or as a Lyric RGB Font.

  • An iNFiNiT! (Alphanumeric) Machine Font cannot be saved as a Lyric Font based on a TrueType® font style.

Refer to the following paragraphs for information specific to saving Lyric and iNFiNiT! fonts.

Save Picture at Cursor as File in Local Drive (Ctrl + S)

Save Picture at cursor as File in Local Drive allows the operator to save a copy of the highlighted Lyric or iNFiNiT! character in the Font Editor as a standard file type (*.bmp, *.jpg, *.tif, *.tga, *.psd), locally or on a network. A green border surrounding the image indicates that the character is selected. The Save As dialog box can also be opened by pressing Ctrl + S.

Image: Save Picture to File on Local Drive

Save As File in Local Drive

If the font image has an automatically generated file name, the new file name displayed in the File Name field is formatted as follows:

F<Font Number>_A<ASCII Character Code>.<File Extension>

For example, the new file name for a TGA image in Font Number 30057, assigned to ASCII Character Code 106, would be as follows:

F30057_A106.tga

This name can be changed before saving.

Edit Lyric Settings

Before saving a Lyric font, Lyric Settings should be configured. The Lyric Settings determine the destination to which the graphics from a font will be saved when the font is saved as a Lyric font. These settings are applied to all Lyric font save operations, unless specified in an individual Lyric font save (described later in this section). Get Default in all instances sets the default value for that field. To access Lyric Settings:

  • From the Tools menu, select Lyric Settings.

    Selecting Edit Lyric Settings

    Selecting Edit Lyric Settings

    The Lyric Settings dialog box opens.

    Lyric Settings Dialog Box

The following parameters can be set:

Folder Format String

The default string specifies the default location to which new Lyric fonts are saved. The string %.4d specifies that the font directory (folder) name that is generated is a four-digit numeric name. Each time a new font is saved to the default location, the directory name increments by 1. For example, the font created after the font saved in G:\Pic\0003 would be G\Pic\0004. The default folder is C:\Pic, and the default file name format is %.4d. To specify a different folder and/or different file format:

  • Either enter the folder name or use the Browse function to navigate to the folder. Delete the text following the last slash \, and then enter the new file format.

Note that the files that are saved in this directory are named based on the Key Number to which they are assigned. For example, the graphic assigned to Key Number 65, which is Shift + A, is named .065.tga when saved to the directory.

Pictures Format

There are a variety of formats in which the images can be saved: RGBA (*.chy), TGA (*.tga), Bitmap (*.bmp), JPEG (*.jpg) or AdobePShop (*psd) or TIFF (*.tif).

Picture Quality - JPEG Images Only

Range is 0 to 100.where 0 specifies no compression and 100 specifies maximum compression. The Picture Quality setting does not apply to RGBA (*.chy), TGA (*.tga), Bitmap (*.bmp) or AdobePShop (*psd) or TIFF (*.tif) files.

Save Only RGB Characters

When selected (checked), saves only RGB characters. This setting applies only to Lyric fonts that are saved from iNFiNiT! fonts. iNFiNiT! alphanumeric font characters are converted to bitmap images when saved to a Lyric font, therefore losing the ability to change font attributes in Lyric. These bitmap alphanumeric images are generally not useful in Lyric. It is recommended, instead, to select (check) Save Only RGB characters. Only RGB characters are saved to the new Lyric font, and disk space is saved.

Lyric Settings can also be configured when saving an individual Lyric font. Note that changing the Lyric settings in this manner does not affect the settings configured from Tools Menu > Edit Lyric Settings.

  1. Click the Save Picture to File (Ctrl + S) icon in the Custom Font Editor toolbar, select Font As, and then File in Local Drive.

    Save Font as File in Local Drive

    Save Font as File in Local Drive

  2. The Save as Lyric Font dialog box opens. Click the Configure Settings button. The Lyric Settings dialog box opens. Modifications to the Lyric settings apply only to the current font save operation.

Saving a Lyric Font as a Lyric Font

Save

Save Image: Save Font Icon saves the Lyric font in its current format, as well as modifications that have been made to the font. A Save can be performed in two manners:

  • Click the Save Font icon Image: Save Font Icon, located in the Custom Font Editor toolbar.

  • From the File menu, select Save.

Note: When saving a Lyric font, if the Save operation generates an error message, then perform a Save As operation instead.

Save As

To save a copy of the current Lyric font, the Save as Lyric Font dialog box must be opened. This dialog box can be opened in the following manners:

  • From the File menu, select Save As, and then Save as Lyric Font.

  • Click the arrow directly to the right of the Save icon, and then select Save as Lyric Font from the drop-down menu.

    Save as Lyric Font

    Save as Lyric Font

  • Click the Save Picture to File (Ctrl + S) icon, and then select Font as > File in Local Drive.

    Save Font as File in Local Drive

    Save Font as File in Local Drive

The Save as Lyric Font dialog box is displayed. The font can be saved under the current font number, a different existing font number or as a new font.

Save as Lyric Font

Save as Lyric Font

If desired, select a different Data Source to which the font is to be saved.

  1. Click the Data Source button. The Data Link Properties dialog box opens.

    Data Link Properties

    Data Link Properties

  2. Navigate to the database to which the font is to be saved, and then click OK. For information on setting other parameters in this dialog box, refer to Microsoft® Windows® documentation.

A Lyric font can be saved to the current Font Name/Number or as a new Font Number. In addition, a Lyric font can be saved to a folder that is automatically generated by Lyric. The image files that make up the font are given consecutively numbered file names. The folder and numbering specifications are set in the Lyric Settings dialog box. To access Lyric Settings, use one of the following methods:

  • In the Save as Lyric Font dialog box, click the Configure Savings button. Modifications to the Lyric settings apply only to the current font save operation.

  • From the Tools Menu, select Edit Lyric Settings. Modifications to the Lyric settings apply to all Lyric font save operations. Settings for the current font save operation can be modified via Configure Savings, described in the previous paragraph.

To save the file under a new name:

  1. Click the Add New Font button. The New Font Configuration dialog box opens.

    New Font Configuration

    New Font Configuration

  2. Copy Graphics copies all of the font graphics to a new font folder. If new images have been added to the font before saving, select (check) Copy Graphics, otherwise the following error message is displayed after OK is clicked in the New Font Save Configuration dialog box:

    Cannot Create File

    Cannot Create File

    If no changes have been made to the font, then a new, duplicate font can be created without copying the graphics.

  3. The font can be saved to a specified folder or to a folder generated by the Custom Font Editor as specified in the Lyric Settings.

    • To save to a specified folder, enter the path to a new or existing folder in the Folder Name field, or use the Browser function to navigate to and select the folder. If the folder does not yet exist, it will be created when the font is saved.

    • To save to a folder as specified in Lyric Settings, select (check) the Use the Default Folder for Graphics checkbox.

  4. Click OK. The new font is created.

When a new Lyric font is created, it is automatically assigned a Font Number in the database to which it has been saved. This is the number that is displayed in the Reserved1 column in the Save as Lyric Font dialog box. The Font Number is also displayed in the Title Bar of the Custom Font Editor when the font is loaded.

Saving an iNFiNiT! Font as a Lyric Font

An iNFiNiT! font can also be saved as a Lyric font. To do so:

  1. From the File menu, select Save As > Save as Lyric Font. The Save as Lyric Font dialog box is displayed.

  2. Use the procedure just described to save a Lyric font.

Lyric Settings are covered in detail earlier in this section.

About Closing the Custom Font Editor after a Lyric Font Has Been Modified or Created

When closing the Custom Font Editor after a new Lyric font has been modified or created, the following prompt is displayed:

Save to Database Prompt

Save to Database Prompt

The following Confirm choices are available:

  • Clicking Yes saves the font changes or the new font to the specified database.

  • If changes have been made to the Lyric font clicking No saves the images to the location specified in the New Font Save Configuration dialog box, but does not save the changes to the font in the database. If a new Lyric font has been created, clicking No saves the images to the location specified in the New Font Save Configuration dialog box, but does not save the new font to the database.

  • Clicking Cancel cancels the operation.

Saving an iNFiNiT! Font as an iNFiNiT! Font

Save

Save Image: Save Font Icon saves the iNFiNiT! font in its current format, as well as modifications that have been made to the font. A Save can be performed in two manners:

  • Click the Save Font icon Image: Save Font Icon, located in the Custom Font Editor toolbar.

  • From the File menu, select Save.

Save As

To save a copy of the current iNFiNiT! font, the Save Machine Font As dialog box must be opened. This dialog box can be opened in the following manners:

  • From the File menu, select Save As, and then Save as iNFiNiT! Font.

  • Click the arrow directly to the right of the Save icon, and then select Save as Lyric Font from the drop-down menu.

    Save as iNFiNiT! Font

    Save as iNFiNiT! Font

  • Click the Save Picture to File (Ctrl + S) icon, and then select Font as > File in Local Drive.

    Save Font as File in Local Drive

    Save Font as File in Local Drive

The Save Machine Font As dialog box is displayed. The font can be saved under the current font number, a different existing font number or as a new font.

Save Machine Font As

Save Machine Font As

  1. Navigate to the directory in which the font is to be saved. Either select a Font Number or enter a new Font Number in the File Name field. The File Name should be in the format .xxxxxxxx, where x represents any numeral. Note that any leading zeroes can be omitted from the File Name. iNFiNiT! Machine Font File Names always begin with a decimal, are always numeric, and are never longer than eight digits. Examples: .0001, .12345678, .86940.

  2. Click the Save button. The font is saved to the specified Font Number and loaded into the Custom Font Editor.

The Machine Font can then be sent via FTP to an iNFiNiT! Family system. Refer to FTP - Transferring Files to/from an iNFiNiT! System for information.

Saving a Lyric Font as an iNFiNiT! Font

If not already present either on the system running Lyric or on a network, it is recommended that a Windows-formatted directory be created for storing iNFiNiT! messages, and another Windows-formatted directory for storing Machine Fonts. The following example shows directories created in C:\iNFiNiT on the system on which Lyric is running.

Image: Creating Directories

Creating Directories for Storing iNFiNiT! Messages and Machine Fonts

IMPORTANT!!!

iNFiNiT! Machine Fonts range from ASCII 0 through 192. When a Lyric font is saved as an iNFiNiT! font, font characters in the ASCII range 192 through 255 are lost. All Lyric image files become Special RGB files.

A Lyric font can also be saved as an iNFiNiT! font. To do so:

  1. From the File menu, select Save As > Save as iNFiNiT! Font. The Save Machine Font As dialog box is displayed.

  2. Use the procedure just described to save an iNFiNiT! font.

The Machine Font can then be sent via FTP to an iNFiNiT! Family system. Refer to FTP - Transferring Files to/from an iNFiNiT! System for information.

Using an iNFiNiT! RGB Font in Lyric

An iNFiNiT! RGB Machine Font can be used in Lyric. First, it must be transferred via FTP from the iNFiNiT! system to a local or networked Windows-formatted directory. From the local directory or network directory, it can then be loaded Lyric Browser for immediate use, or into the Custom Font Editor. For information on this procedure, refer to FTP - Transferring Files to/from an iNFiNiT! System .

Note that when an iNFiNiT! alphanumeric font is loaded from the Lyric Browser, it always types as white, regardless of its original color. Color attributes can be changed using Font Tools or 2D Font FX Properties.

Save Font as Suite of Picture Files in Local Drive

Save Font as Suite of Picture Files in Local Drive saves a copy of each image in a font a specified directory.

Sae Font as Pictures

Save Font as Pictures

The Base Folder is the directory in which the font images are to be stored. To set:

  • Enter a directory name or use the Browse function to navigate to and select a directory.

If only one set of font images is to be created, it can be saved directly to the Base folder. If, however, more than one set of font images is to be saved to the Base folder, it may be desirable to create a folder for each set of font images within the Base folder.

  1. Select (click) the Create a New Folder into the Base Folder checkbox. A check should appear.

  2. Enter a name into the New Folder Name field.

The images can be saved to a Root file name that makes them easier to identify. Each image file name will be the Root name, followed by the cell (ASCII) number to which it was assigned in the font. If a Root file name is not set, then only the ASCII number is used as the file name. To set a Root file name:

  • Enter a name into the Root File Name field.

A report can be generated that lists the names of the files that were created. This report can be opened in Notepad. To set a report name:

  1. Select (click) the Create a Report File checkbox. A check should appear.

  2. Enter a name into the Report File Name field.

The font images can be saved to the following formats. Depending on the format, an Alpha file can be saved in conjunction with each image file, and/or picture quality can be set. The Alpha file is named as follows: <Root File Name><ASCII Number>_AssocAlpha.jpg or <Root File Name><ASCII Number>_AssocAlpha.bmp.

Picture Format | Can Save Alpha File? | Can Set Quality?
Targa | No - Alpha information contained in Targa file. | No
RGBA | No - Alpha information contained in Targa file. | No
Bitmap | Yes | No
JPEG | Yes | Yes

To select a Picture Format and set its parameters:

  1. Click the radio button which corresponds to the Picture Format. If the Picture Format is Targa or RGBA, then Picture Format selection is complete.

  2. Optional (Bitmap or JPEG): Click the Save Alpha Files checkbox to create an Alpha file for each image. If the Picture Format is Bitmap, then Picture Format selection is complete.

  3. Optional (JPEG): Set picture quality by dragging the slider. 0 is the lowest quality; 100 is the highest quality.

After the parameters have been set, the font images can be created:

  • Click OK.

Example

Load a font in the Custom Font Editor, open the Save Font as Pictures dialog box, and then set the parameters as follows:

Save Font as Pictures - Parameters Entered

Save Font as Pictures - Parameters Entered

The newly-created set of font images is saved to News, a sub-directory of the News_Sports_Weather directory.

New Font Image Set

New Font Image Set

Palette Designer

The palette for iNFiNiT! Machine Font characters can be set by the user. Note that any application of a Color set is applied to all of the Machine Font characters in the font. RGB Font and are not affected by Palette changes or application of Color. Color changes can be applied to Palette-sensitive Special characters.

Edit Palette is not available when a Lyric font is loaded.

To open the Palette Designer:

  • From the Tools menu, select Edit Palette.

    Selecting Edit Palette

    Selecting Edit Palette

    The Palette Designer opens.

    Image: Palette Designer

    Palette Designer

There are eight color sets for Body, Edge and Background of the font. To edit a color for the Body, Edge or Background of a font:

  1. Double-click the color chip, or highlight the row, and then click the Edit Body, Edit Edge or Edit Bkgnd button. The Color dialog box opens.

    Image: Color Dialog Box

    Color Dialog Box

  2. Set color as described in Color Selection for Light Sources and 3D Characters/Objects.

  3. When color is set, click OK to apply the color. The Color dialog box closes.

Activating Drag Colors allows a color to be dragged-and-dropped from one color chip to another. To activate/deactivate Drag Colors:

  • Select (check)/deselect (uncheck) the Drag Colors checkbox.

A color can also be copy-and-pasted from a Body, Edge or Bkgnd to another Body, Edge or Bkgnd:

  1. Highlight the row which displays the Body, Edge or Bkgnd color that is to be copied.

  2. Click the Copy Body, Copy Edge or Copy Bkgnd button.

  3. Highlight the row that contains the Body, Edge or Bkgnd color that is to be replaced.

  4. Click the Paste Body, Paste Edge or Paste Bkgnd button. The copied color is pasted to the selected color chip.

The Subpalette corresponds to the iNFiNiT! Subpalette, and can also be edited. The Subpalette is composed of 29 separate segments, each which can have its color individually set. The default setting is a gradation that coordinates with the currently selected Palette. The Subpalette segments are identified as follows: Bkgnd, Name 4 - 31. When editing a Subpalette segment, they are further identified as follows: Name: Bkgnd corresponds to Sub(palette): Bkgnd; Names: 4 - 31 correspond to Sub(palettes): 2 - 29.

To edit the color of a segment:

  1. Double-click the color chip, or highlight the segment, then click the Edit button. The Color dialog box opens.

  2. Set color as described in Color Selection for Light Sources and 3D Characters/Objects.

  3. When color is set, click OK to apply the color. The Color dialog box closes.

Activating Drag in the Name or the Color column allows a color to be dragged-and-dropped from one segment to another. When Drag is inactive, dragging through the Subpalette selects a range of segments. To activate/deactivate Drag:

  • Select (check)/deselect (uncheck) the Drag checkbox.

A range of segments can also be selected as follows:

  1. Click the first segment in the range.

  2. Hold the Shift key down while clicking the last segment in the range.

In the following figure, the Subpalette on the left shows the color at Name 10, which is Sub(palette) Position 8, dragged to Name 29, which is Sub(palette) 27. The Subpalette on the right shows the range selected from Name 10 through Name 29, which corresponds to Sub 8 through Sub 27.

Image: Dragging Color vs. Dragging to Select Range

Dragging Color vs. Dragging to Select Range

To select the entire range of segments in the Subpalette:

  • Click the Select All button.

To select noncontiguous segments in the Subpalette:

  • Hold the Ctrl key down while clicking the segments.

A color can also be copy-and-pasted from one segment to another segment, selected segments or a range of segments:

  1. Highlight the segment which displays the color that is to be copied.

  2. Click the Copy Color button.

  3. Highlight the segment, select noncontiguous segments or select the range of segments in which the color is to be replaced.

  4. Click the Paste Color button. The copied color is pasted to the selected segments.

A gradation can be applied to a range of contiguous or noncontiguous segments. The gradation is applied from the topmost selected segment color to the bottom-most selected segment color.

  1. Apply a color to the top segment of the gradation, and then apply a color to the bottom segment of the gradation.

    Image: Top and Bottom Colors Applied

    Top and Bottom Colors Applied

  2. To apply the gradation to a range of segments, select the range so that it starts with the top color that was just set, and ends with the bottom color that was just set. To apply the gradation to noncontiguous segments, select the segments, making sure that the top and bottom segments to which the colors were applied are selected.

    Image: Setting Up a Contiguous and Non-Contiguous Gradation

    Setting Up a Contiguous and a Noncontiguous Gradation

  3. Click the Gradate button. The gradation is applied to the selected segments. Note that in the instance of noncontiguous segments, the gradation is not applied to segments positioned between selected segments.

    Image: Gradation Applied

    Gradation Applied to Contiguous and Noncontiguous Segments

Printing Font Sets

Browser (Font Assets) > Click RGB Font > Custom Font Editor
Tools Menu > Font Editor

Print [image] allows the contents of an RGB Font to be printed out as a keyboard map for reference as seen below.

Image: Print Display

Print Browser

The viewing area can be zoomed [image] to show keys of particular interest. Use the Zoom control in the lower-right corner of the interface and the scroll bars.

Image: Print Display - Zoomed

Zooming In on the Print Browser

The printout can include user-created text headers and footers and can include filepath information on the source images assigned to each key. The keyboard map can be laid out in various ways with the controls at the right side of this options interface.

About the Custom Font Editor

The Custom Font Editor is a third-party plugin to Lyric, produced by Converge Horizons. To display version information:

  • From the Window menu, select About.

    About the Custom Font Editor

    Version information is displayed. For additional support, please visit http://www.convergetech.com.

Fonts - Related Topics

Browsers - Related Topics


Roll

Tools Menu > Roll; Chyron Toolbar >

Crawls, in which one or more rows of 2D text travel vertically over the screen, can easily be created in Lyric. Creating a Crawl is a three-step process.

  1. To create a 2D text Roll window, pull down the Tools menu and select Roll, or press the Roll [image] button on the Chyron Toolbar.

  2. Next, enter text into the 2D Text Roll window exactly as you wish it to appear on the output, using whatever fonts, styles and sizes you desire. Click inside the Roll Window and type the desired text. Please note that lines wrap around automatically based on line length only, and could incorrectly split words. You may also create Templates within Roll windows, which afford greater control over line-wrapping.

    Roll Window

    To resize the Roll window, you may drag the window's edges and corners. To reposition the entire window, move your pointer near the Title Bar until it becomes a "Move" cursor as seen at upper right in the illustration. Use the Scroll Bars to scroll up and down within the Roll's text.

  3. Position and size the window as desired.

  4. In the Properties menu, use the [image] arrows to locate the Animation tab. (Or right-click anywhere on any Properties tab to open a context menu from which you may select the Animation tab.

    Roll Animation Properties

  5. Make sure that the 2D Roll element is selected in the Object drop-down.

  6. Using the available parameters (Start and End Frame, Duration, Speed and Rate (Scanlines/Field), set the duration or speed of the Roll. See Animation for more detail on using these controls.

  7. Click the Play [image] button on the Transport Controls. If you are working on a PC or on a Chyron system without the Image: Live Button - Inactive button activated, the animation will play out on your VGA monitor. On a Chyron system with the Image: Live Icon button activated, the system will request confirmation that you wish to play the animation on the video output.

    Animation Ready Prompt

The following should be noted about Rolls:

  • Lyric is capable of simultaneously animating multiple 2D Rolls and Crawls along with other animated objects.

  • A 2D Roll window is a "normal" Lyric object, so you may animate and change its position attributes while it is rolling text.

  • Text copied from any Windows application can be pasted into a Roll window (or any of Lyric's 2D Text windows, including Crawls, Type-On/Slow Reveals and Spline Windows).

To delete a Roll Window:

  • Click on its title bar, then press Ctrl + Delete; or select the proper 2D Roll item in the Scene Graph then press Delete.


Spell Check

Tools Menu > Spell Check; F7

Lyric 2D Text provides a Spell Check feature, which examines all 2D text on the Canvas (including text in Roll, Crawl and Type On windows and in Templates), and compares them to words in a standard dictionary, as well as those in a User Dictionary. The User Dictionary, as well as other spelling parameters, can be set in Spelling Preferences. To initiate Spell Check:

  • Select Spell Check from the Tools menu, or press the function key F7.

When activated, Spell Check opens a window (shown below) and begins checking spelling of the first 2D Text window. Other 2D Text boxes on the Canvas are checked in order. Any words not appearing in the current Dictionary are flagged as shown:

Spell Check - Correcting a Word

The Spell Check dialog box provides the following functions:

Button | Description
Ignore | Ignores the flagged word, continues checking.
Change | Changes the flagged word to the version appearing in the Word List. Please note that you may type a new word into the top of the Word List, and then change the flagged word to the new spelling.
Ignore All | Ignores all subsequent instances of words with this spelling.
Change All | Changes all subsequent instances of words to the spelling you've selected or entered.
Add to User Dict | Adds the word to the User Dictionary.
Exit | Exits from Spell Check.


Spline Window

Tools Menu > Spline Window; Chyron Toolbar

Setting Up a Spline Animation

Lyric's Spline Window tool allows 2D text to be mapped and animated to a curved baseline. Note that double-byte characters from languages such as Korean, Chinese and Japanese are supported.

  1. Select Spline Window from the Tools menu or click . The Spline Editor window is displayed.

    Spline Editor Window

  2. Before continuing, locate the Fade In and Fade Out controls in the lower left corner of the dialog, and slide them all the way to the left. We'll get back to these controls shortly.

    Fade In/Fade Out Sliders

  3. First, we'll practice creating static text on a curved path. By default, Lyric assumes that you wish to create animated text on a curve. So, to create static text, you'll simply designate a point in the default animation. In the Options area of the dialog, make sure Show Text At button is selected.

    Options Area

  4. Enter a value in the Frame Counter window which specifies the point in the animation at which the text will appear in the Canvas. Given that Lyric's default animation length is most likely set to 5:00 (5 seconds), use a value of 2:00.

  5. Next, input some sample text, as shown here.

    Entering Sample Text

  6. Now, right-click in the Spline Editor window, and for this exercise, select Insert.

    Spline Editor - Insert Selected

    A Spline Control Point appears.

    Spline Control

  7. Click on the square in middle of the arrow and move it to any position to establish one end of the path onto which the text will be mapped. When you click on the arrow, it turns from its initial blue to yellow, signifying that it is active for editing.

  8. Next, right-click on the Canvas and select Insert again, to add a Spline Control Point.

    Spline Editor

  9. Note the white line connecting the arrows. To start placing each end of a curved path, try moving the arrows around the Canvas by dragging them as desired. The line connecting the arrows remains more or less straight for the moment.

  10. Now, click on each arrow's head and tail to lengthen or shorten the front or rear section of the arrow, or to change the arrow's direction. Note the effects of these actions on the path connecting the arrows. This may take a little getting used to, but you'll soon get accustomed to defining curved paths this way.

    Adjusting the Spline Control Point

    Note that you may add as many arrows as necessary to define the path by smoothing out the curve as needed.

    Spline Editor Window - Smoothing the Spline Curve

  11. When you're finished defining the path, click OK. The Canvas appears with the text placed on the curve.

    Canvas Showing Text on a Spline Curve

Note that in preview, the path itself is displayed, along with the text. The path won't appear when the text is displayed for air.

If you get something that looks like this, however, don't panic:

Text on a Spline Curve - Out of Bounds

All you need to do is drag the borders of the Spline Curve region on the Canvas until the entire composition is visible.

Adjusting the Spline Control Window Size

Note that the borders of the region do determine what's visible when the completed text is displayed, either statically or in an animation, not just in preview.

Again, remember that the time value you defined above is a point in the progress of an actual animation, so you need to be mindful of the effect it will have on the appearance of text you'll be showing as static in a finished composition.

Below, the text is shown as it would appear at 2 seconds into a five-second animation.

Animation at Two Seconds

Here's how it would look at 3 seconds, 25 frames.

Animation at 3 Seconds, 25 Frames

From here, let's move on to actually animating text on a curved path.

  1. Open a new Canvas and a new Spline Editor window. This time, select the Animate option. The Show Text At Frame Counter becomes unavailable, because you are now creating an animation whose duration will be determined by Lyric's default animation length unless otherwise modified.

  2. Also, for the moment, move the Fade In and Fade Out sliders all the way to the left again.

  3. Enter some sample text again, and create a curved path using multiple arrows, as you did earlier.

    Creating a Spline Curve

    By the way, this time, take note of the order in which you created the arrows. The order of the arrows' creation determines the starting point of the animated text.

  4. Click OK on the Spline Editor window, and the Canvas appears, displaying the path which you have defined. Note that in this situation, the text won't appear until the animation is running.

    Spline Window Animation About to Execute

  5. Click Play on the Lyric Transport Controls, and the text moves along the curve from the beginning of the path (established by the first arrow you placed on the Spline Editor dialog window) to the end.

After you've got the hang of animating text on a curved path, try adjusting other parameters:

  • Experiment with the Fade In and Fade Out controls; these sliders cause the text to gradually appear and disappear at the beginning and end of the path.

  • Use Reverse Path causes the animation to begin at the point originally established as the end of the path, moving to the point originally established as the beginning.

  • The Baseline Offset adjustment varies the distance between text and the established path.

  • Right-click in the Spline Editor window and select Insert Ellipse to define a circular path.

    Circular Path

    As seen above, the default shape is a perfect circle, but you may click on any of the corner handles to drag the circle into an ellipse of any proportions.

    Elliptical Path

    Click on the square in the center of the circle/ellipse to drag it to a new location in the Spline Editor window.

    Any curved path arrow or an elliptical path may be removed from the Spline Editor window by right-clicking and selecting Delete. The object you wish to delete must be active in the window (highlighted in yellow).

Modifying a Spline Animation

2D Text Window Right-Click Menu > Modify Spline

Once a Spline curve has been set up, it can be modified.

  1. Place the cursor in a Spline Window on the Canvas.

  2. Right-click, then select Modify Spline from the menu. The Spline Editor Window is displayed.

  3. Adjust the curve as described in Spline Window.

Modify Spline is available only when a Spline Window is active on the Canvas.


Text Window

Tools Menu > Text Window; Chyron Toolbar > Image: Chyron Toolbar Text Window Icon

Text Window places a new 2D Text Window on the Canvas.

Image: New 2D Text Window

New 2D Text Window

Text can be typed in the window at the current cursor position, or the cursor can be moved using the cursor keys éêçè, or by clicking at another point in the 2D Text Window. Text is typed in the currently selected font, color and size. Refer to 2D Text for additional information.


Template Types

Lyric can create 2D Text Templates and 3D Text Templates via icons on the Lyric Toolbar and selections on the Tools menu.

On the Tools menu, the function of the Template selection depends on the current state of the Canvas.

    • If the cursor is in a 2D Text Window, a 2D Text Template is placed at the cursor position.

    • If 2D text is highlighted, a 2D Text Template is created which encloses the highlighted text.

    • If the cursor is outside of a 2D Text Window, a 3D Character Template is created, and the Text tab on the Properties menu opens.


2D Text Templates

Templates - Related Topics
Tools Menu > Template; Lyric Toolbar Image: Template Icon
Select Text, then: Tools Menu > Template; or Chyron Toolbar > Image: Template Icon

Refer to 3D Character Templates for information on 3D Character Templates.

Refer to 2D Object Templates for information on 2D Object Templates.

Overview

2D Text Templates are rectangular regions, created within 2D Text Windows, which can be formatted for default font, color, alignment, update and other attributes. 2D Text Templates also provide a means for fast text updates on-screen with the use of Intelligent Interface, DBLink and Template Update. Updated information is displayed using the attributes set for the Template.

In addition to the above update methods, Lyric provides quick 2D text update capability, regardless of whether or not the text is in a 2D Text Template. Refer to Pop-On Messages for details.

Creating a Template

Select Text, then: Tools Menu > Template; or Chyron Toolbar > Image: Template Icon

A 2D Text Template can be created empty, or can enclose existing text.

To create an empty 2D Text Template:

  1. Place the cursor at the position in a 2D Text Window where a 2D Text Template should be placed.

  2. Click the Template icon Image: Template Icon on the Chyron Toolbar, or select Template from the Tools menu. A 2D Text Template appears in the 2D Text Window:

    2D Text Template

    Text can then be typed in the Template using the currently selected font. The Template can be expanded to a multi-line Template by pressing the Enter key.

To create a 2D Text Window that encloses existing 2D text:

  1. In the 2D Text Window, select the desired 2D text.

  2. Click the Template icon Image: Template Icon on the Chyron Toolbar, or select Template from the Tools menu. Important: To ensure proper Template height, be sure to include a space character in the selected text. Multiple lines can be selected to create a multi-line Template. A 2D Text Template encloses the selected 2D text.

    Inter-row spacing is maintained, but any deviation in inter-character spacing is not. The Default Template Font (see Template Properties following this section) is taken from the leftmost character in the selection rectangle (usually the first character on the line).

Once the cursor is inside a 2D Text Template, all subsequently typed text is typed until the cursor is moved outside of the Template. To move the cursor out of a 2D Text Template:

  • Click outside of the Template or press the Esc key. When the Esc key is pressed, the cursor is moved to a position directly outside of the Template.

To navigate among 2D Text Templates:

  • Press Tab to move forward in numerical order, or press Shift + Tab to move in reverse numerical order.

Template numbering is covered later in this section.

Entering Text

Text is typed in 2D Text Templates the same as it is typed in 2D Text Windows. Note that Unicode and Complex Scripting text can be entered in 2D Text Templates if their respective settings are enabled in CG Preferences.

Editing Templates

About Keyboard/Mouse Shortcuts

Lyric provides numerous text and Template editing functions. Refer to the chapter on Keyboard/Mouse Shortcuts: 2D/3D Text/Text Templates/Row Tabs for in-depth information.

Delete Templates/Leave Text

Edit Menu > Delete Template/Leave Text

The Templates in a 2D Text Window (including Roll, Crawl and Type On) can be deleted, leaving the text intact:

  • Select Delete Templates/Leave Text from the Edit menu. All Templates are deleted from the currently active 2D Text Window.

Setting Template Properties

Once a 2D Text Template is created, the attributes of the Template can be set. Each Template in a Lyric composition can have a distinct set of attributes that are different from other Templates in the same composition, as well as from other, non-Template text. To access the 2D Text Template dialog box:

  • Right-click inside the Template, then select Template Properties from the context menu. The 2D Text Properties dialog box is displayed.

    2D Text Template Dialog Box

The 2D Text Template dialog box displays the attributes of the current 2D Text Template. To display the attributes of other 2D Text Templates in the composition, scroll through the 2D Text Templates by clicking the Prev/Next icons. The following Template attributes can be set:

Name

Name enables a 2D Text Template to be named for easy recognition.

  • Enter a name in the Name field.

DB Link

See DB Link for complete information on DBLink configuration.

DB Link allows a 2D Text Template or 2D Object Template to be automatically populated and updated from a database. To enable/disable DB Link:

  • Click the DB Link checkbox to select/deselect. When the DB Link checkbox is selected (checked), the DB Link dialog box opens. Refer to DB Link for setup procedure.

DB Link parameters can be set or modified whether or not DB Link is enabled. To do so:

  • Click the DB Link button. The DB Link dialog box opens. Refer to DB Link for setup procedure.

NOTE

Be careful about enabling DB Link fields in Template Data messages in which Intelligent Interface Updates are to be executed. See II Update later in this section for additional information.

Update DB Link Fields

Edit Menu > Update DB Link Fields

To update all DBLink fields with the latest data from the data source without having to save and re-read the message:

  • Select Update DBLink Fields from the Edit menu.

Disable DB Link Fields

Edit Menu > Disable DB Link Fields

When DBLink Update capability has been set up in a Lyric message, selecting Disable DBLink Fields turns off the DBLink attribute for all Templates in the message, although the database links remain as set. Templates do not update from a database when the message is read or Update DBLink Fields is selected. To execute:

  1. Select Disable DBLinks from the Edit menu. The following prompt is displayed.

    Image: Diable DB Link Popup

    Disable DB Link Popup

  2. Select Yes to Disable DB Link for the message, or No to cancel.

To re-enable DB Link:

  1. Select a Template in the message, then right-click on the Template. The 2D Text Template dialog box is displayed. Note that the DB Link Checkbox is not enabled (checked) for the selected Template.

  2. Click the DB Link checkbox to re-enable DB Link capability. Use the Prev/Next buttons to cycle through the other Templates in the message, and for each, click the DB Link checkbox to reactivate DB Link capability.

Number

Templates are numbered in the order in which they are created, regardless of the 2D Text Window in which they are placed. Numbering starts at 0. Note that a Template Number must be unique within a Lyric composition, as accurate update of Template text requires that the correct Template be addressed.

  • When the Tab key is pressed, the focus moves from Template to Template in ascending Number order.

  • When Shift + Tab is pressed, the focus moves from Template to Template in descending Number order.

The Template Number can be changed to make a more convenient or logical order:

  • Enter a number or click the arrows to set the Number. Remember not to set more than one Template to the same Number, as updates may not be performed properly.

To skip a Template when tabbing through Templates:

  • Set the Number to –1. Note that when set to -1, the Template cannot be updated via DB Link or Intelligent Interface. It can still be updated using the Template Update function.

Renumbering Templates

Edit Menu > Renumber Templates

If Templates are created in a haphazard order, it may be advantageous to renumber the Templates so that content management and navigation among Templates is easier. To renumber all Templates in a 2D Text Window in ascending order, starting from 0:

  • Select Renumber Templates.

Starting with the bottom-most 2D Text Window as listed on the Scene Graph, Templates are renumbered from left-to-right; top-to bottom. Numbering continues with Templates in next highest 2D Text Windows in the same manner.

Although the Lyric interface allows the operator to assign the same value to multiple templates using the Number control, this should be avoided, as it will cause errors.

Priority

Priority sets the layering of 2D Text Templates. Priority 1 is front-most in Z-space. Higher-numbered Templates are displayed behind lower-numbered Templates. To set Priority for the Template:

  • Enter a number or click the arrows.

Text Lines

Text Lines determines the number of Text Lines in the 2D Text Template. A new line can also be added to the 2D Text Template by placing the cursor at the end of a line, then pressing Enter. To set Text Lines:

  • Enter a number or click the arrows.

Default Content

Default Content sets a 2D Text Template to display fixed text. When the message is read, the Default Content is displayed in the 2D Text Template. Setting Default Content in a Template is a two-part procedure.

  1. Define the Default Content.

  2. Assign a Default Content item to a row in the 2D Text Template.

To define Default Content:

  • Enter the content into the Default Content field, and then click Add. The content is added to the Default Content list, located directly below the Default Content field.

This process can be repeated to add multiple Default Content items to the Default Content list. The order in which they are entered has no bearing on assignment to a 2D Text Template row.

To assign Default Content to a 2D Text Template row:

  1. Place the cursor on the desired row in the 2D Text Template.

  2. Double-click on the desired item in the Default Content list. The Default Content item now appears in the 2D Text Template, positioned from the start of the row.

This process can be repeated to add text to other rows of the 2D Text Template or to modify existing Default Content.

Note the following:

  • Existing text in the row is overwritten by Default Content.

  • Default Content is overwritten if the Template is updated via DB Link, Intelligent Interface or Template Update.

  • If Size to Fit is disabled (unchecked), display of Default Content that extends beyond the bounds of the 2D Text Template is truncated after the last character that is at the edge of the 2D Text Template. If Size to Fit is enabled (checked), Default Content that extends beyond the bounds of the 2D Text Template is squeezed to fit within the 2D Text Template. As this my produce undesirable results, it is recommended that 2D Text Template be extended to accommodate the Default Content. Refer to Keyboard/Mouse Shortcuts - 2D/3D Text/Text Templates/Row Tabs for details on resizing a 2D Text Template.

To delete Default Content choices from the list of Default Content text:

  • Click on the text in the Default Content list, and then click the Del button. The text is removed from the list.

To remove Default Content from a Template:

  • Delete the text directly from the Template.

Auto Erase

When enabled, Auto Erase sets the 2D Text Template to automatically erase its contents when new text is typed in the Template. To enable/disable Auto Erase:

  • Select (check)/deselect (uncheck) the Auto Erase checkbox.

Note that when a Template is updated via DB Link, Intelligent Interface or Template Update, the contents of the Template are always completely replaced by the new contents, regardless of the Auto Erase setting.

Word Wrap

When text is typed or entered via update past the end of a row in a 2D Text Template, it can be set either to continue past the border of the 2D Text Template, or to wrap to the next line so that all text displays within the borders of the 2D Text Template.

Note that the Word Wrap setting is not affected by and has no bearing on the Enable Word Wrap setting applied to a 2D Text Window. They are independent of each other. Refer to 2D Text Overview for additional information.

  • When Word Wrap is disabled, text types beyond the border of the 2D Text Template.

  • When Word Wrap is enabled, text wraps to the next line when typing reaches the end of the row.

To enable/disable Word Wrap:

  • Select (check)/deselect (uncheck) the Word Wrap checkbox.

Numeric

The Numeric setting determines how numbers are justified in a Template.

  • When Numeric is not enabled, numbers are not monospaced, so they do not properly align if the numbers are of different widths.

  • Numeric is best used when Right Justification is selected, although it can also be used when Center or Page Center Justification is selected. If Numeric is enabled, only numbers typed on the alphanumeric keyboard, the dollar sign ($), the comma (,), and the period (.) characters can be typed in the Template. Numbers are monospaced instead of kerned so that multi-row numbers vertically align. Note that while only certain characters can be typed when Numeric is enabled, a Template in which Numeric is enabled can be updated with any type of text.

    • When Right Justification is set, the numbers justify to the right. To ensure vertical alignment of the numbers, make sure that each number in the Template contains the same number of digits following the decimal point.

    • When Center or Center Page Justification is set, the numbers justify horizontally to the center. In addition, with Center Page Justification, the rows vertically to the center. To ensure vertical alignment, use this setting only if all of the numbers in the Template contain the same number of digits preceding and following the decimal point.

To enable/disable Numeric:

  • Select (check)/deselect (uncheck) the Numeric checkbox.

Size to Fit

The Size to Fit setting determines whether or not text that is too long to fit on one row of the Template is squeezed to fit on the row.

  • If Size to Fit is disabled, text that is too long to fit on a row types beyond the border of the Template, or, if Word Wrap is enabled, wraps to the next line.

  • If Size to Fit is enabled, text that is too long to fit on a row is squeezed to fit on the row of the Template. This can sometimes result in an unsatisfactory appearance. If so, extend the length of the Template.

To enable/disable Size to Fit:

  • Select (check)/deselect (uncheck) the Size to Fit checkbox.

II Update

The II Update setting does not affect Intelligent Interface update of 2D Text Templates. It can, therefore, be selected (checked) or deselected (unchecked). It does, however, enable/disable Intelligent Interface update of 2D Object Templates.

NOTES

When receiving W commands to update Templates, be careful about mixing Template fields enabled for DB Link with Template fields marked for Intelligent Interface Update. If DB Link is enabled for a particular Template(s) when the Template Data message is read, the Template(s) will update as per the Intelligent Interface command, but then immediately update again using data from the linked database. This occurs even if the Template is marked for Intelligent Interface Update, i.e., the DB Link data overrides the Intelligent Interface data.

This is also the case for the U command that updates the data in a single Template in a Template Data Message. The DB Link Enable setting, however, does not affect the execution of the U\* command which updates a specified Template without reloading the Template Data Message.

Refer to Intelligent Interface for in-depth information on these commands.

Ext. Update

When a Lyric message is containing a Template(s) marked for External Update is read, the system running Lyric sends an X command requesting Intelligent Interface Update to the host system. Additionally, the following prompt is displayed:

Image: Waiting for Update

Waiting for Update Prompt

The host computer then sends an R command to update the marked Template(s).

To enable/disable Ext. Update:

  • Select (check)/deselect (uncheck) the Ext. Update checkbox.

Note that when Ext. Update is enabled, II Update is automatically enabled as well.

Refer toIntelligent Interface for additional details.

Disable Interface Fields

Edit Menu > Disable Interface Fields; Alt + U

Disable Interface Fields disables Intelligent Interface® External Update of all 2D Text Templates and 2D Object Templates in the entire Lyric composition. When a Lyric message is containing a Template(s) marked for External Update is read, the system running Lyric does not send an X command requesting Intelligent Interface Update to the host system. Disabling Interface Fields does not affect, however, the ability of 2D Text Templates to be updated via other Intelligent Interface commands. It does, however, disable the ability of 2D Object Templates to be updated via other Intelligent Interface commands.

To execute:

  1. Select Disable Interface Fields from the Edit menu, or press Alt + U. The following prompt is displayed.

    Disable Intelligent Interface Fields Prompt

  2. Click Yes to disable or No to cancel.

All Caps

All Caps enables typing of all characters to be in upper case, regardless of whether or not Caps Lock is enabled or the Shift key is pressed. It can also be used to quickly change all text in a 2D Text Template into all upper case characters. To enable or disable All Caps:

  • Select (check)/deselect (uncheck) the All Caps checkbox.

When typing in a 2D Text Template, All Caps can be toggled between enabled and disabled, without opening the 2D Text Template dialog box, by pressing Ctrl + Alt + U. This toggle affects typing in only the 2D Text Templates in which All Caps is enabled. Additionally, it does not disable the All Caps setting in the 2D Text Template dialog box.

When the Ctrl + Alt + U is first pressed, the following appears in the Status Bar:

All Caps Enabled

All Caps Override Enabled

When Ctrl + Alt + U is pressed again, the following is displayed:

All Caps Disabled

All Caps Override Disabled

Note that the All Caps Enabled/Disabled toggle state is applied to typing text in all 2D Text Templates on the Canvas that have All Caps enabled in the 2D Text Templates dialog box. The All Caps Enabled/Disabled toggle state does not affect typing in 2D Text Templates that do not have All Caps enabled in the 2D Text Templates dialog box.

Auto Follow

Auto Follow may be used to maintain a user-defined gap between 2D text templates on a given row. The Auto Follow value is set for any template following the first template in a row. Remember that templates are numbered by the order in which they are created, in keeping with the Numbering scheme described earlier in this section. The Auto Follow value is measured in pixels.

Top: The middle template's Auto Follow value is set at 5.
Bottom: The value has been increased to 40, moving the template (and the one next to it) to the right.

Justification

Justification determines how the text aligns in the Template. To set Justification, select (click) one of the following radio buttons:

  • NONE: The text is does not justify, and is positioned as typed.

  • Center: The text justifies horizontally to the center. Vertical position is as typed.

  • Left: The text justifies horizontally to the left. Vertical position is as typed.

  • Page Center: The text justifies horizontally and vertically to the center.

  • Right: The text justifies horizontally to the right. Vertical position is as typed.

To set justification to center vertically, but also to the left or right horizontally:

  1. Type all of the text that is to be placed in the Template.

  2. Set Justification to Page Center. The text centers both horizontally and vertically.

  3. Now set Justification to Left or Right. The text centers horizontally to the left or the right, leaving the vertical centering intact.

Font

A 2D Text Template can have only one Default Font set, although more than one font can be used in a particular Template. Note, however, that any update to the Template results in all of the text in the Template changing to the Default Font.

The Font Sample Area shows a sample of the current Default Font for the Template.

Image: Font Sample

Font Sample

To change the Default Font for the Template:

  1. Modify the font using Font Tools, Font Properties and/or 2D Font FX Properties.

  2. After the font is modified, click the Set button in the 2D Text Template dialog box. All existing text and subsequently typed text in the Template has the attributes of the newly set font.

When a cursor is first placed in a 2D Text Template in a 2D Text Window, Font Tools, Font Properties and 2D Font FX Properties display the attributes of that 2D Text Template even if the cursor is moved to other Templates within the 2D Text Window. To display the font attributes of another Template within the same 2D Text Window:

  • Place the cursor within the Template, and then click Pickup. The picked-up font attributes are now displayed.

These attributes can also be applied to another Template within the same 2D Text Window using the Set procedure just described.

Note that if the TrueType® font on which a Lyric font is based is not available a red slash is displayed across the Font Sample.

Image: TrueType Font Unavailable

TrueType® Font Unavailable

Background

A solid color, ramped color or graphic Background can be applied to a 2D Text Template. A sample of the currently set Background is displayed in the Background Sample Area.

To set a Background:

  1. Click the Set Bkg button, and then select Solid/Ramp Color or Graphic File from the displayed menu.

  2. Set a color or ramped color or select a file to use as the Background.

Refer to Backgrounds for in-depth information on applying a Background to a Template.

To delete a Background from a Template, use one of the following methods:

  • Click the Clear button.

  • Click the Set Bkg button, and then select Delete from the displayed menu.

Templates - Related Topics


3D Text Template Properties Dialog

IMPORTANT Related Topic: Text Properties

With Lyric Versions 7 and later, 3D text is necessarily created in a template. 3D text templates may be updated via the Template Update dialog box in the same manner as a templates. To create a 3D Character template:

  • With the cursor/pointer on the Canvas and outside of a Text Window, click the Template icon Image: Template Icon in the Chyron Toolbar.

  • Again, with the cursor/pointer on the Canvas and outside of a Text Window, select Template from the Tools menu.

  • With the cursor/pointer on the Canvas and outside of a Text Window, press Alt, and then press O and T. Do not hold down the Alt key, but the O and T keys may pressed in succession or simultaneously.

The 3D Text Template dialog box

Right-clicking a 3D text template opens its context menu. Select 3D Template Properties and that dialog will open, as seen in the following illustration. The 3D Text Template dialog can also be opened by pressing the 3D Text Options button [image] on the Text Properties page.

The 3D Text Template dialog, showing the attributes of the currently selected template.

Template attributes may be modified as follows:

Previous/Next buttons

These buttons are used for toggling through multiple templates on the Canvas in order of their values in the Number field in the template dialog's Setup area. One may toggle forward or back through the order of the numbered templates. See Number, below.

Name

Name enables a given template to be named for easy recognition. Enter a name in the Name field, but if multiple templates are present in the composition, be sure that the template you wish to so name is selected for editing.

DB Link
See DB Link for complete information on DBLink configuration. You may also need to refer to the Help topic on registering ODBC-accessible databases.

DB Link allows a text template or Object template to be automatically populated and updated from a database. To enable/disable DB Link:

  • Click the DB Link checkbox to select/deselect. When the DB Link checkbox is selected (checked), the DB Link dialog box opens. Refer to DB Link for setup procedure.

DB Link parameters can be set or modified whether or not DB Link is enabled. To do so:

  • Click the DB Link button. The DB Link dialog box opens. Refer to DB Link for setup procedure.

NOTE

Be careful about enabling DB Link fields in Template Data messages in which Intelligent Interface Updates are to be executed. See II Update later in this section for additional information.

Update DB Link Fields
Edit Menu > Update DB Link Fields

To update all DBLink fields with the latest data from the data source without having to save and re-read the message:

  • Select Update DBLink Fields from the Edit menu.

Disable DB Link Fields
Edit Menu > Disable DB Link Fields

When DBLink Update capability has been set up in a Lyric message, selecting Disable DBLink Fields turns off the DBLink attribute for all templates in the message, although the database links remain as set. Templates do not update from a database when the message is read or Update DBLink Fields is selected. To execute:

  1. Select Disable DBLinks from the Edit menu. The following prompt is displayed.

    Image: Diable DB Link Popup

    Disable DB Link Popup

  2. Select Yes to Disable DB Link for the message, or No to cancel.

To re-enable DB Link:

  1. Select a template in the message, then right-click on the template. The text template dialog box is displayed. Note that the DB Link Checkbox is not enabled (checked) for the selected template.

  2. Click the DB Link checkbox to re-enable DB Link capability. Use the Prev/Next buttons to cycle through the other templates in the message, and for each, click the DB Link checkbox to reactivate DB Link capability.

Setup

Number

Templates are numbered in the order in which they are created in the current composition. Numbering starts at "0" by default. A second message would be numbered "1", a third would be numbered "2" and so forth.

  • When the Tab key is pressed, the focus moves from template to template in ascending Number order.

  • When Shift + Tab is pressed, the focus moves from template to template in descending Number order.

Rows

This control for adding or deleting text rows in a template has not been implemented. As of this release, however, it does display the number of rows in a template where additional rows have been created by carriage returns.

Digit Substitution

This option allows the user to switch easily between numerical characters in the 'native tongue' of the message being composed, or in foreign-language characters that may be most common for displaying numbers in that language. The feature will be further documented in forthcoming updates to Lyric's Online Help. Check for updates at http://www.chyron.com/support/downloads.aspx.

Animation

Type

The following text animation options are available in the Type dropdown box on the 3D text template dialog.

  • Static: The default selection. Applies no animation to the selected 3D text template.

  • Crawl: As with text, this option automatically creates an animation which moves text horizontally across the Canvas. The Crawl animation's default length is the same as the currently set Default Animation Length. Various options for modifying the 3D text Crawl are described below.

  • Roll: As with text, this option automatically creates an animation which moves text vertically on the Canvas. The Roll animation's default length is the same as the currently set Default Animation Length. Various options for modifying the 3D text Roll are described below.

  • Type On: As with text, this option produces an animation that mimics the look of a typewriter "typing" text on the screen. Note that when this animation type is selected, the Reverse checkbox is replaced by a Soft option.

Animation options

  • Reverse: This option will cause Crawl text to move left to right, or Roll text to move down on the Canvas. This option is not available for 3D Type On animations.

  • Preserve Rate: Moving the initial position of a 3D text animation, or changing the Width or Height of its Clip area (see below) will alter the amount of Canvas space that the animated text must travel. This can effectively alter the speed at which the text moves through its Roll, Crawl or Type On region. Selecting this option causes Lyric to recalculate the point on the Canvas at which moving text disappears from view, so as to maintain the speed at which the characters move from their point of origin. Be careful to preview messages to which this option is applied after initial composition, as there may be a dramatic effect on the appearance of the finished product.

  • Clip On Canvas: With this option enabled, the boundaries of a 3D text template's visible regions are displayed to the user on the Canvas. This feature is particularly useful for sizing the area through which Crawls and Rolls visibly move. Normally, displayed Clip On Canvas-restrictions are not visible on output and have no effect on setting the Bound controls. However, the effect of the Clip On Canvas option CAN be seen on Output when the Live button is enabled, so caution with Clip On Canvas should be exercised in those rare instances when Live Output is in use. (See below.)

Bounds

Justify

This checkbox enables the Width and Height controls, allowing the user to define the size of the template's visible area. Bounds are initially set by the height of the text's tallest character and the width required by the number of characters and spaces in the template. Bounds may be increased beyond the area occupied by the text, or narrowed to restrict the visible area of Rolls and Crawls to desired size. See below for discussion of using the Justify control along with the Size to Fit controls.

Wrap

The Wrap feature allows the user to contract the horizontal boundaries of a text template, moving words, intact, to newly-created rows as needed. Unneeded rows may also be deleted when left unpopulated by the action of expanding those boundaries. New line breaks created by these actions are reflected in the Text input field, as seen in the following illustration.

Inset in each illustration is the text input field. The second illustration displays the 'soft returns' added by the Wrap feature when new Rows are created by the action of contracting the template's horizontal boundaries.

Optional

Auto Erase

When enabled, Auto Erase sets the text template to automatically erase its contents when new text is typed in the template. To enable/disable Auto Erase:

  • Select (check)/deselect (uncheck) the Auto Erase checkbox.

Note that when a template is updated via DB Link, Intelligent Interface or Template Update, the contents of the template are always completely replaced by the new contents, regardless of the Auto Erase setting.

Numeric

The Numeric setting determines how numbers are justified in a template.

  • When Numeric is not enabled, numbers are not monospaced, so they do not properly align if the numbers are of different widths.

  • Numeric is best used when Right Justification is selected, although it can also be used when Center or Page Center Justification is selected. If Numeric is enabled, only numbers typed on the alphanumeric keyboard, the dollar sign ($), the comma (,), and the period (.) characters can be typed in the template. Numbers are monospaced instead of kerned so that multi-row numbers vertically align. Note that while only certain characters can be typed when Numeric is enabled, a template in which Numeric is enabled can be updated with any type of text.

    • When Right Justification is set, the numbers justify to the right. To ensure vertical alignment of the numbers, make sure that each number in the template contains the same number of digits following the decimal point.

    • When Center or Center Page Justification is set, the numbers justify horizontally to the center. In addition, with Center Page Justification, the rows vertically to the center. To ensure vertical alignment, use this setting only if all of the numbers in the template contain the same number of digits preceding and following the decimal point.

To enable/disable Numeric feature, select or deselect the Numeric checkbox.

Ext. Update

When a Lyric message is containing a template(s) marked for External Update is read, the system running Lyric sends an X command requesting Intelligent Interface Update to the host system. Additionally, the following prompt is displayed:

Image: Waiting for Update

Waiting for Update Prompt

The host computer then sends an R command to update the marked template(s).

To enable/disable Ext. Update:

  • Select (check)/deselect (uncheck) the Ext. Update checkbox.

Note that when Ext. Update is enabled, II Update is automatically enabled as well.

Refer toIntelligent Interface for additional details.

II Update

The II Update setting does not affect Intelligent Interface update of text templates. It can, therefore, be selected (checked) or deselected (unchecked). It does, however, enable/disable Intelligent Interface update of Object Templates.

Notes:

When receiving W commands to update templates, be careful about mixing template fields enabled for DB Link with template fields marked for Intelligent Interface Update. If DB Link is enabled for a particular template(s) when the Template Data message is read, the template(s) will update as per the Intelligent Interface command, but then immediately update again using data from the linked database. This occurs even if the template is marked for Intelligent Interface Update, i.e., the DB Link data overrides the Intelligent Interface data.

This is also the case for the U command that updates the data in a single template in a Template Data Message. The DB Link Enable setting, however, does not affect the execution of the U\* command which updates a specified template without reloading the Template Data Message.

Refer to Intelligent Interface for in-depth information on these commands.

All Caps

Not available at this time.

    Animate Elements

    The action of checking Animate Elements instantly adds Timeline elements for each character present in the 3D text template. This includes spaces and carriage returns, whose Scene Graph and Timeline elements appear unnamed.

    The 3D character "7" is shown selected for animation on the Scene Graph, Timeline and on the Canvas.

    Notes:

    • With the 3D template expanded to make its individual elements available , the 3D Template element itself remains on the Timeline and Scene Graph. This allows the user to conveniently select the entire Template without the need to collapse its Scene Graph entry.

    • With an individual character selected for animation/editing, the XYZ Properties controls will affect that single character, while any of the Transform Tools [image] will manipulate the entire Template.

    Vertical Typing

    This option functions similarly to the H/V button on the Text Properties page. Clicking this checkbox toggles between typing conventionally on a Horizontal baseline, and tipping the baseline -90° on its Z axis, effecting a Vertically oriented baseline. Note that when the option is in effect, the change is not reflected in the XYZ Properties Page's Rotation values. This option can be selected prior to text entry in a newly-created template or applied to an existing template. Note that the text selected for editing will also rotate clockwise in the Text input field on the Text Properties menu.

    Size to Fit

    With Bounds enabled by selection of the Justify checkbox, the user may restrict the visible portion of a 3D text template's contents (i.e., for properly sizing Roll and Crawl windows), or for scaling text content.

    The Justify option, Size to Fit not enabled, being used to restrict the portion of the text which is visible within a larger Template region.

    The Justify option, Size to Fit, Width enabled, being used to compress the horizontal size of 3D text .

    Note that the modification pictured in the second illustration is a change to the 3D text template as a whole, as if it were an object being manipulated on the XYZ Properties menu. There is, however, no corresponding change to the Scale properties seen on the XYZ menu. Though they appear similar to adjustments in the text's Kerning, changes to the Size to Fit value are a different effect, and variations in these settings will not reliably produce similar results.

    Enabling Size to Fit, Height, compresses the vertical size of 3D text.

    Maintaining Aspect Ratio: With both Size to Fit, Width and Height selected, the adjustable Bounds values serve to maintain aspect ratio in 3D text whose size is altered by these means.

    Correct for Overlap

    In languages such as Hindi and Arabic, unwanted bright spots may occur where characters overlap by design. This option normalizes such bright spots without disturbing the desired overlap of those characters.

    Supersample

    This option renders the original geometry of 3D characters as a texture and substitutes that texture for the geometry comprising your text composition. This gives 3D characters a smoother appearance on output. When enabled, the Supersampling process runs in the background, constantly working on any changes to 3D text composition.

    Homogenous Materials

    With this checkbox selected, any adjustments to 3D character colors and/or textures are now applied to Face, Edge (Bevels) and Sides in the active template as a whole. In this mode of operation, color and texture need not (and cannot) be set for Face, Edges and Sides individually. Use of this option optimizes the speed with which such changes are applied, when the operator wishes to change all surfaces with one action.

    Font

    Templates use the default font set and displayed at the top of the Text menu, although more than one font can be used in a particular template. Note, however, that any update to the template results in all of the text in the template changing to the default font.

    The Font Sample Area shows a sample of the current default font for the template.

    Image: Font Sample

    Font Sample

    To change the default font for the template:

    1. Modify the font using the Font controls at the top of the Text Properties Page.

    2. After the font is modified, click the Set button in the text template dialog box. All existing text and subsequently typed text in the template has the attributes of the newly set font.

    Templates created subsequently will use the same font, unless altered individually.

    Note that if the TrueType® font on which a Lyric font is based is not available a red slash is displayed across the Font Sample.

    Image: TrueType Font Unavailable

    TrueType® Font Unavailable

    Language indicator

    An icon of this type appears at the top of the Font area to remind the user what input language is currently set.

    Set

    This action instantly changes the text in the currently selected template to a different set of font settings in Lyric's Font Toolbar.

    Pickup

    This action resets the default font (as seen on the Font Toolbar and the Text menu's own font setting) to the currently selected template's font.

    Templates - Related Topics

    3D Characters - Related Topics


Template Update

Tools Menu > Template Update; Alt + T

All of the Template-updatable objects in your composition may not be visible on the Canvas simultaneously, and tabbing through each 2D Text Template or selecting each 3D Text Template, 2D Image object, Movie or 3D Object with which you wish to work can be time-consuming. The Template Update feature offers a convenient way to view, modify or replace any of these Template-updatable objects.

The Template Update menu may be opened by using the key combination ALT + T, or by pulling down the Tools menu and selecting Template Update. With the Template Update menu thus opened, click on the tab for any of the object types with which you wish to work.

In each of the four object-types represented by the tabs pictured below, pressing the Tab key toggles the cursor through the fields in each of the four panels; pressing Shift + Tab moves the cursor back to the previous field.

Notes

Where a great number of objects is present in any of these four categories, scroll bars will become active to allow access to all fields on the active panel.

Individual objects and the templates they inhabit are made accessible to the Template Update dialog by selecting the Show in ALT+T checkbox in their individual Template or Properties menus.

This is to say that a Template-updatable object will not appear on the Template Update panel if it is not designated Show in ALT+T Each object type's individual Template or Properties dialog is accessible by right-clicking the object itself on the Canvas OR its entry on the Scene Graph. (Right-clicking an object's entry on the Timeline will display only animation-relevant data, and not the types of information discussed here.)

2D Object Template menus (which correspond with the Images tab in the Template Update panel), 3D Object Properties menus and Movie Properties menus all include the Show in ALT+T checkbox. This option is available for each individual object of these types, making them available for update/replacement via the Template Update menu.

Note that the Show in ALT+T checkbox does not appear in 2D Text Template or 3D Text Template dialogs; text templates of both types are always available to the Template Update menu.

Text Templates

2D Text Templates are listed first. Note that the customary numbering of 2D Text Templates is displayed, wherein the first of multiple 2D templates (or a single 2D template) is numbered "0". 3D Templates appear after all listed 2D Text Templates.

The Text tab of the Template Update menu.

The contents of either 2d- or 3D- text templates may be manually, instantly updated by direct entry of new text into the appropriate field. A single template containing multiple lines may be updated in just this fashion, but a little more care is required. Pictured below, the Template Update dialog reflects the content of a single 2D text template with 3 lines. In each template's field on the Template Update panel, the content of each line is separated by the ¨ symbol. To amend a single line within an individual template, the content must be selected carefully for editing. Don't forget to press the Apply or OK button (see below).

Editing an individual line within a single 2D text template.

  • The Apply button executes the changes you've made without closing the Template Update dialog.

  • The OK button applies any changes and closes the Template Update dialog box. Any changes to the Templates text are reflected on the Canvas.

  • The Cancel button abandons any changes and closes the Template Update dialog box.

Image, Movie and 3D Object Templates

The Images tab of the Template Update menu. The Movies and 3D Objects tabs give similar access to replacement objects of their respective categories.

As with text, Images, Movies and 3D Objects may be instantly replaced on the Canvas by using the Template Update panel. Again, templates or objects on the Canvas must be designated Show in ALT+T in their respective Template or Properties dialogs.

The Image, Movie or 3D Object may be replaced by direct entry of a new filename (with full path information). However, many operators will probably elect to use the familiar [image] button to navigate to the file location of the object that will replace the one currently on the Canvas. With all object replacement operations using the Template Update panel, don't forget the Apply or OK button.

Templates - Related Topics


Type On/Slow Reveal

Tools Menu > Type On; Chyron Toolbar > ; Canvas/Scene Graph Right-Click Menu > Type On

Type On (also known as Slow Reveal) produces an animation that mimics the look of a typewriter "typing" text on the screen. To set up a simple Type On animation:

  1. Erase the Canvas, set the Timeline at 00:00:00:00, and open the Animation tab of the Properties window.

  2. Select Type On from the Tools menu, or click the icon. A 2D Type On window appears on the Canvas.

    Type On Window, at left, with Animation Properties page

  3. Enter your text.

  4. Press Play on Lyric's Transport Controls. The text you have typed now appears, one character at a time. By default, the Type On animation's duration is the same as the default animation length set in the Preferences > Animation Settings tab.

Remember that the Type On function automates the work of producing a complete animation. Therefore, Lyric automatically assumes the Type On animation's start point to be whatever the current time is on the Timeline. If the Timeline is at a point other than 00:00:00:00 when you enter Type On text, the Type On region will "begin to exist" at that point, for a duration the same as Lyric's default animation length. This will cause the Type On region to extend beyond the end of the other elements on the Timeline, increasing the total length of the animation. Note however, that such crucial elements as Camera and Global Lighting are not automatically extended by such an action.

This type of adjustment is made on the Properties > Animation tab, using the Start/End Frame, Duration, Speed Number and Rate controls. Clicking the Apply button imposes these Timeline values on the Type On region on which you are working (or any Canvas object selected in the Object dropdown list box). Pressing the Apply All button imposes the same Start/End Frame and Duration values on every object on the Timeline, including Camera, Global Light and individual Light Sources.

Refer to Animation Properties for details on the Properties > Animation settings.

Several execution parameters can be set using the Type On feature.

Type On Options

  • Click the Soft checkbox if you wish the characters to fade in.

  • Click the Random checkbox if you wish the characters to appear in random order, instead of appearing first letter to last.

  • If Underline is a font attribute and Random is active, the underline for the entire character string appears at a random point in the Type On execution. If Underline is a font attribute and Random is not active, the underline for the entire character string appears first when the Type On animation is executed, followed by the remainder of the characters.

  • Don't forget to click Apply or Apply All. The Soft and Random options may be used on the same text.

A Pause can be programmed into Type On execution.

  1. Click the Pause checkbox. The Pause button becomes active. Click the Pause button. The Pause Options dialog box is displayed. Available Pause At settings are specific to each Pause For selection.

    Image: Type On Pause Options

    Type On Pause Options

  2. There are three Pause options for triggering Type On animation:

    • Select Keystroke if the Type On animation is to be triggered by an operator at the Lyric keyboard. There is only one choice for Pause At, which is Row. When the Type On animation triggered by clicking the Play button on the Transport Controls, a Paused for Keypress prompt is displayed in the Status Bar before each row is displayed on the screen. The user presses any key on the keyboard (except Esc) to execute the display of each row.

    • Click Timeout to instruct Lyric to program a delay. Clicking the Timeout radio button activates the Timeout Frame Counter, where a delay time can be entered. There is only one choice for Pause At, which is Row. When the Type On animation is triggered by clicking the Play button on the Transport Controls, the execution of each row is delayed by the amount of time set in the Timeout Frame Counter. A Paused for Delay prompt is displayed in the Status Bar before each row is displayed on the screen.

    • If the Chyron system has GPI connections, the GPI radio button also becomes available. Click the GPI radio button. From the dropdown list box, select the GPI input that is to trigger the Type On animation. There is only one choice for Pause At, which is Row. When the Type On animation is triggered by clicking the Play button on the Transport Controls, the execution of each row is delayed by the amount of time set in the Timeout Frame Counter. A Paused for GPI prompt is displayed in the Status Bar before each row is displayed on the screen.

NOTE

The Replay button should not be selected when working with the Type On function.


Animation Playback - Transport Controls

Animation Playback - Transport Controls, Reverse Animation

Transport Controls

The Transport Controls provide easy navigation and playback control of the current animation. They are usually located at the bottom edge of the Canvas, and are organized as familiar Play, Stop, Rewind and Fast Forward buttons. Intermediate buttons advance or reverse the animation by one frame or one second of video, or to the next/previous keyframe. The buttons at each end advance or reverse animation to the end or beginning of the sequence.

Transport Controls

Changes made with the Transport Controls buttons are reflected by the Frame Counter display, and by the Current Frame indicator on the Timeline and on the Keyframe Graph.

Reverse Animation

Tools Menu > Reverse Animation

Reverse Animation reverses the direction of the animation currently on the Canvas, causing the animation to run in reverse. To apply Reverse animation:

  1. Click on the Canvas to make it active.

  2. Select Reverse Animation from the Tools menu.

Once Reverse Animation has been applied, the reversed animation becomes the new forward animation state, which is why a checkmark does not appear next to the Reverse Animation item on the Tools menu.

While Reverse Animation cannot be applied to selected objects, reverse and forward animations can be mixed on a Canvas:

  1. First create the animated objects that are to be reversed, then apply Reverse Animation. Remember that this now creates a new forward state.

  2. Now, create the animated objects that are to remain in the forward direction.

When executed, the objects to which the Reverse Animation was applied will still appear to animate in reverse, while the other objects will animate in the forward direction.

Animation - Related Topics


eFX Panel

Tools Menu > eFX Panel

The eFX Panel is a powerful feature which takes full advantage of the video processing speed and capacity of the eFX board. The eFX Panel is comprised of four main tabs:

  • Record: Video and/or Audio clips can be recorded from the Record tab. Video can be recorded as compressed or uncompressed SD or HD. Audio is recorded with PCM compression.

  • Clip: Video and/or Audio clips can be played back from the Clip tab. Clips can be added to the Lyric Timeline and saved as part of a Lyric message for later playback. Note that the Clips tab in the eFX Panel is not accessible unless at least one Clips option is installed in the system.

  • DVE: The eFX board's DVE option offers a wide range of digital video effects applied to any available video source, such as video input, clips and graphic layers.

  • Video Mix: Video Mix provides advanced mixing and routing capability for producing complex, multi-layered graphics with effects such as Wipes and Dissolves. Video Mix objects can be added to the Lyric Timeline and saved as part of a Lyric message for later playback.

  • Audio Mix: The eFX Audio Mixer allows the operator to create as many as eight separate audio mixes, all of which may be output simultaneously. All of these mixes may be controlled by individual objects on the Lyric Timeline. The eFX Audio Mixer offers extensive Input, Output and routing/distribution options.


Clip Control Panel

Tools Menu > Clip Control Panel

Note

The Clip Control Panel is dedicated primarily to Matrox-type internal clip player/recorders, and external systems, as mentioned below.

The Clip Control Panel will operate the optional Clip playout and record functions on eFX boards, but in limited fashion. Chyron STRONGLY recommends operating all eFX Clip functions through the eFX Panel. For full information on the eFX board's inputs, outputs and options, see eFX Panel - Clip Playback and eFX Panel - Recording a Clip.

Overview

The Clip Control Panel provides the ability to play back video and/or audio clips either independently or as part of a Lyric animation. A video clip plays behind Lyric graphics on output, and is not visible on the Canvas during clip editing, preview or playback. In addition to your facility's monitoring capabilities, audio from our Internal Clip Players may be monitored through a headset or speakers connected to the Chyron system.

Lyric does not perform actual edits on the recorded content of the source material. The Clip File contains the In and Out point information that defines the duration of the clip. In order to play back the video/audio, the original material and the playback device must be available to the system running Lyric.

Information about how the clip is to be played back is recorded to a Lyric clip file (*.ccf). The clip file defines the start frame and end frame of the clip, duration, and loop and other data. When recording a clip file, Lyric does not perform actual edits on the recorded content of the source material.

Again, in order to play back the video/audio, the original material and the playback device must be available to the system running Lyric.

Clip files can be created from sources such as the following:

  • Internal Clip Player s, either optional dedicated hardware or an optional function on Chyron's eFX frame buffer board.

  • Audio files played via the system's internal audio capability, either a PC-type audio board or the system motherboard's audio facility.

  • Chyron Aprisa DDR.

  • VTR or DDR (Digital Disk Recorder) via BVW-75 serial protocol. Consult Chyron Customer Service for more information on the relevant configurations.

A NOTE ON THE DIFFERENCE BETWEEN CLIPS AND MOVIES

Movie objects are .mov or .avi files that are added to the Lyric composition strictly within the Lyric software, and are visible on the Canvas. Movies objects appear in the playout of Lyric compositions without the routing and keying requirements discussed in this topic.

DigiSuite LE and DigiServer Clip Players

The following Internal Clip Players are available for playback of video files:

  • The Matrox DigiSuite LE Internal Clip Player records and plays Motion JPEG (M-JPEG) files. The board provides support for both analog and digital video/audio I/O.

  • The Matrox DigiServer Internal Clip Player records and plays Digital Video (DV, DV-25, DV-50) and MPEG-2 files. It supports only digital video/audio I/O. It is available as a single-channel or dual-channel unit. There are two versions of the DigiServer Internal Clip Player, one that supports DV/DV-25/MPEG-2 and one that supports DV-50/MPEG-2.

NOTE

  • M-JPEG, DV and MPEG-2 files all share the *.avi extension. They do not, however, share the same compression codec. M-JPEG files must be recorded and played back on a DigiSuite LE clip player, and DV, DV-25, DV-50 and MPEG-2 files must be played back on the appropriate DigiServer clip player.

    • Recording and playing back an M-JPEG *.avi file requires a DigiSuite LE clip player.

    • Recording a DV or DV-25 *.avi file requires a DigiServer DV-25 clip player, "DV" must be selected in the Internal Clip Recorder Panel, and "DV" or "DV-25," respectively, must be selected in the DV Capture Settings dialog box. Playback of the recorded file requires a DigiServer DV-25 clip player, and "DV" must be selected in the AVI Properties dialog box (accessed from the Clip Control Panel).

    • Recording a DV-50 *.avi file requires a DigiServer DV-50 clip player, "DV" must be selected in the Internal Clip Recorder Panel, and "DV-50" must be selected in the DV Capture Settings dialog box. Playback of the recorded file requires a DigiServer DV-50 clip player, and "DV" must be selected in the AVI Properties dialog box (accessed from the Clip Control Panel).

    • Recording an MPEG-2 *.avi file requires either a DigiServer DV-25 or DV-50 clip player, and "MPEG-2" must be selected in Internal Clip Recorder Panel. Playback of the recorded file requires a DigiServer DV-25 or DV-50 clip player, and "MPEG" must be selected in the AVI Properties dialog box (accessed from the Clip Control Panel).

AVI Properties are covered later in this section.

There are a number of MPEG codecs. The DigiServer clip player plays back and records only MPEG-2 AVI files. Any mention of "MPEG" with regard to DigiServer clip player operation refers to "MPEG-2."

  • As cited above, the eFX board's .ltv files are a proprietary format. Licensing and installation of the eFX board's Clips option installs the utility LtvMediaConverter.exe, which can be used to convert .avi-format video clip files to the format used by the eFX board.

Dual Clip Player Use

NOTE

DigiSuite LE and DigiServer clip players cannot be mixed within a system. If two clip players are to be installed in a system, they must be either two DigiSuite LE or two DigiServer clip players. When two clip players are installed, both can draw video and audio data from the same SCSI drive.

The optional clips capability on eFX boards permits playout of two standard-definition clips simultaneously. (High-definition operation limits playout to one clip at a time.)

Configuration for Display of Video Clips

Depending on the video/audio source and the system, special configuration may be necessary. Refer to Matrox documentation for information.

NOTE

  • Video configuration for clip playout is not necessary in situations where only audio files are being triggered via the Clip Control Panel.

  • If using an Internal Clip Player or other device such as an Aprisa DDR or a VTR to play back video clips, specific Hardware Configuration settings are required. Refer to Configuration for Display of Video Source for information.

Note that all three of Chyron's Internal Clip Player configurations offer video and audio recording capability. Thus, in most situations, all clip operations can be handled on-board the Chyron system, eliminating the need for external equipment such as DDRs and tape machines.

Accessing the Clip Control Panel

To access the Clip Control Panel:

  • Select Clip Control Panel from the Tools menu. A new menu heading, Clip, is added to the menu bar between Tools and Window.

Image: Clip Menu

Clip Menu

The Clip Control Panel is also displayed. The Playback Device drop-down list box (unlabeled) at the top of the Clip Control Panel displays the default device for the system. If there is no Internal Clip Player installed, or no DDR or other video playback device connected, the Playback Device field specifies only Audio Hardware, if available. If either type of Matrox Internal Clip Player installed, the Playback Device field specifies Internal Clip Player.

The following illustrations show Internal Clip Player and Audio Hardware selections. Specific features of these menus may vary slightly from the illustrations.

Clip Control Panel - Internal Clip Player Selected

Internal Clip Player; Matrox-type

Image: Clip Control Player - Audio Hardware Selected

Audio Hardware only present

The following illustrations show Aprisa DDR, SONY PVW-2800 and Sierra DDR selections.

Image: Clip Control Panel - Aprisa DDR Selected

Aprisa DDR

Image: Clip Control Panel - External VTR Selected

External VTR

Clip Control Panel - External DDR Selected

External DDR

NOTE

Many of the controls on the Clip Control Panel are duplicated as commands in the Clip menu.

Clip Control Panel and Clip Menu Controls and Parameters

Parameters and controls on the Clip Control Panel and in the Clip menu provide settings for a variety of clip-related operations. The following table specifies which parameters in the Clip Control Panel are available with each type of video/audio source. The table below is followed by more detailed discussion of each part of the Clip Control Panel.

Clip Control Panel Parameter | Internal Clip Player: .LTV Files | Internal Clip Player: .AVI Files | Audio Hardware: .WAV Files | Aprisa DDR: Aprisa Clips | Video/Audio from External VTR/DDR
Playback Device | Yes | Yes | Yes | Yes | Yes
Configure | Yes (see below) | No | No | No | No
Channel | No | Yes | No | Yes | Yes
Goto | Yes | Yes | No | Yes | Yes
Record (from External Video/Audio) | Yes | Yes | No | No | No
Transport Controls | Yes | Only Stop and Play, until Scrub Mode is made active. | Play, Stop and Rewind Only | Yes | Yes
Scrub Mode | No; Scrub is available from the eFX Panel | Yes | No | No | No
Slide Box (Jog/Shuttle) | As above | Yes, when Scrub is enabled. | No | Yes | Yes
Source Type | .LTV file | AVI File | Wave | Event # | None
.LTV/ .AVI Properties | Complete control of .LTV-format clips is available through the eFX Panel. Access the eFX panel through the Clip Control Panel's CONFIGURE button. | Yes | No | No | No
Key Delay |  | Yes | No | No | No
Audio Delay |  | Yes | No | No | No
Loop Frame |  | Yes | No | No | No
CODEC: MPEG, DV |  | DigiServer Clip Player Only | No | No | No
CODEC: Latency |  | Yes | No | No | No
Load | Yes | Yes | Yes | Yes | No
Browse | Yes | Yes | Yes | No. However, Aprisa Clips may be browsed from the Lyric Browser | No
Clear | Yes | Yes | No | Yes | No
In/Out Points | Yes | Yes | No | Yes | Yes
Mark | Yes | Yes | No | Yes | Yes
Go To | Yes | Yes | No | Yes | Yes
Play To End | Yes | Yes | No | Yes | Yes
Loop | Yes | Yes | No | No | No
Save | Yes | Yes | Yes | Yes | Yes
Recall | Yes | Yes | Yes | Yes | Yes
TLine Add | Yes | Yes | Yes | Yes | Yes
TLine Update | Yes | Yes | Yes | Yes | Yes
Play Clip | Yes | Yes | Yes | Yes | Yes
OK | Yes | Yes | Yes | Yes | Yes

The following table specifies which parameters in the Clip menu are available to each type of video/audio source.

Clip Menu Parameter | Internal Clip Player: .LTV Files | Internal Clip Player: AVI Files | Audio Hardware: WAV Files | Aprisa DDR: Aprisa Clips | Video/Audio from External VTR, DDR
Play Stop Rewind Fast Forward Next Frame > Previous Frame < | Yes | Only Stop and Play, until Scrub Mode is made active. | Play, Stop and Rewind Only | Yes | Yes
Mark In Mark Out | These functions are best carried out on the eFX Panel. | Yes | No | Yes | Yes
Go to: Beginning End Timecode | Yes | Yes, but only when Scrub Mode is active. | Go to Beginning Only | Yes | Yes
Play Clip | Yes | Yes | Yes | Yes | Yes
Add Timeline Clip | Yes | Yes | Yes | Yes | Yes

Top area of Clip Control Panel (unlabeled)

Playback Device dropdown menu

The Playback Device drop-down list box (unlabeled), located at the top of the Clip Control Panel, specifies the selected playback device. Only playback devices that are available to the system appear in the drop-down list box. Examples of playback devices are: Audio Hardware, Internal Clip Player, eFX (the entry may read "HyperX eFX) , Aprisa DDR, Sony PVW-2800 and Sierra DDR. Depending upon which device is selected, specific controls or parameters may or may not be available.

In order to communicate with an external BVW-75-protocol playback device, such as a VTR or DDR, the device must be connected to an RS-422 port on an optional RS-422 Serial I/O and GPI/O board; contact Chyron Customer Service for information on this piece of hardware. It must then be properly configured in the Device Control Configuration dialog box, accessed from Config Menu > Hardware > Device Control. When the external playback device is selected in the Clip Control Panel, the name displayed in the Playback Device field reflects the name as set in the Description field in the Device Control Configuration dialog box.

Configure button

When optional eFX clip operation ( for using *.ltv files) is selected, the Configure button opens the Clip Playback menu on the eFX Panel. This is equivalent to configuring *.avi files with the AVI Properties button described below.

Output Channel

Matrox Clip Players

One or two clip players can be installed in a system, and are identified as 1 and 2 in Output Channel drop-down list box. When a clip player is selected, the settings for that clip player are displayed in the Clip Control Panel.

When Frame Buffer 1 in a Chyron system is selected as active, the Clip Control Panel automatically displays the settings for Internal Clip Player 1. When Frame Buffer 2 in a Chyron system is selected as active, the Clip Control Panel automatically displays the settings for Internal Clip Player 2. This occurs regardless of how the clip players are connected to the various boards in the system.

eFX Boards

Again, Chyron recommends controlling all eFX Clip operations through the eFX Panel.

A single eFX board can produce playout of multiple clips simultaneously. However, no more than TWO clips at one time should be played from an eFX board. Playout of even two simultaneous clips can degrade system performance. Such operations should be carefully previewed before air/production. See eFX Panel - Clip Playback.

Control area

The Control section of the Clip Control Panel is devoted primarily to preview of the "raw material" comprising the video clip, with no regard for programmed use of the material in your composition (such as In and Out Points, the programmed duration of clip playout, etc.).

GoTo

Entering a frame number in the Goto frame counter moves the source video to that frame. GoTo is available as follows:

  • When an eFX board is selected to play *.ltv files.

  • When Internal Clip Player is selected to play *.avi files, but only when Scrub Mode is active. Scrub Mode is covered later in this section.

  • When Aprisa DDR is selected to play back Aprisa Clips, or an RS-422 protocol external VTR or DDR is selected to play back video.

  • Not available when Audio Hardware is selected to play back *.wav files.

The Clip menu also offers three Go To choices:

  • Go to Beginning: Moves the source video to the beginning.

  • Go to End: Moves the source video to the end.

  • Go to Timecode: Moves the source video to the specified frame or Timecode (e.g., from an external VTR).

Record

The Record icon Image: Record Icon is located to the right of the Goto frame counter.

The Record function enables video or key from an external source such as an Aprisa DDR or a VTR to be recorded and saved in *.avi or *.ltv formats, with accompanying audio. Recording such video and/or audio files onto your system's Internal Clip Player can eliminate need for the external device originally containing the clip. Lyric's clip Record function controls only the Chyron Internal Clip Players discussed here, and not external devices such as DDRs or VTRs. For more on recording to DigiSuite and DigiServer Internal Clip Players, see Recording Video/Audio to Video/Audio Files. For more on recording to eFX-type Internal Clip Players, see eFX Panel - Recording a Clip.

Clip Transport Controls

The Clip Transport Controls are similar to the Transport Controls found on the Lyric interface. Clicking a Transport Control icon moves the video or audio source as specified in the following figure.

Image: Clip Transport Controls

Clip Transport Controls

The Clip Transport Controls are also available from the Clip menu. Additionally, pressing > or < moves the video or audio source to the next or previous frame, respectively. Using these controls does not play a clip as set in the In Point and Out Point areas (described later in this section), but instead allows preview of the entire source video/audio.

When eFX is selected in order to play .ltv files, all of these controls are available. When Internal Clip Player is selected in order to play *.avi files, only Play and Stop are available, until Scrub Mode is made active.

NOTE

Again, the Play button in these transport controls will play all of the content in the selected clip file.

Scrub Mode and Scrub Slide Box

When using an eFX board's clip facility, Chyron recommends that Scrubbing and similar editing/preview operations be handled from the eFX Panel - Clip Playback menu.

When Internal Clip Player is selected for control of DigiSuite and DigiServer devices, Scrub Mode allows *.avi file to be easily previewed, and provides quick access to any frame. The slide box is similar in operation to the Jog/Shuttle control found on VTRs and DDRs.

Image: Scrub Control

Scrub Slide Box and Scrub Mode Button

To enable Scrub Mode:

  1. Click the Scrub button. The Scrub name on the button turns blue Image: Scrub Button - Active.

  2. Use the mouse to drag the Scrub slide box to play through the video or audio.

Scrub Mode should be active only when previewing and editing video. Scrub Mode should be disabled before playing video to air in order to avoid video artifacts at the beginning of playout. To disable Scrub Mode:

  • Click the Scrub button. The Scrub name on the button turns black Image: Scrub Button - Inactive. Note that the slide box cannot be moved when Scrub Mode is disabled.

The following points also apply to Scrub Mode:

  • When Scrub Mode is disabled (not active), only Play and Stop in the Transport Controls are available. GoTo and In Point/Out Point Go To are not available.

  • When Scrub Mode is enabled, all Transport Controls, GoTo and In Point/Out Point Go To become available. In addition, Scrub Mode Enabled is displayed on a red Status Bar.

  • Scrub Mode is automatically disabled when the Play Clip function in the Clip Control Panel is executed.

Scrub Mode does not apply to Audio Hardware, Aprisa DDR or external playback devices. The Scrub slide box, however, can be used to preview Aprisa Clips or material from external playback devices.

  • If Previewing an Aprisa Clip: After moving the Aprisa Clip to a new position, the slide box returns to the center position.

  • If Previewing Material from an External Playback Device: After moving the source material to a different frame, click the Stop icon or select Stop from the Clip menu. The slide box returns to the center position.

Clip ID area

Source Type, Load, Browse

The procedure for selecting video/audio to play back from the Clip Control Panel depends on the playback device that has been selected:

  • If eFX is selected: In the Clip File field, enter a file path and the name of an appropriate (.ltv format) video file. Files may also be located with the Browse button.

  • If Internal Clip Player is selected: In the AVI File field, enter a file path and the name of an appropriate video file. Files may also be located with the Browse button.

  • If Audio Hardware is selected: In the Wave field, enter a file path and name of an audio file. Click the Load button to open and load the file. Note that Audio Hardware refers to the onboard audio card currently in use in the Chyron system.

    The following should be considered when playing audio files through the Clip Control Panel.

    • All Windows® alarms, system beeps and other system sounds should be disabled in whichever utilities and other applications that might trigger them. If they are not disabled, the sounds could be included in the production's sound mix!

    • Lyric cannot stretch or contract audio clips on the Timeline. Audio clips can only be moved to a different position along the Timeline.

    • Beware of programming a Lyric composition to play two audio clips from your system's "Windows" audio facility in rapid succession, or programming an audio clip to repeat too quickly. The characteristics of the your system's sound card or motherboard audio facility, and its drivers determine how quickly a *.wav file can be loaded and played following the playout of another *.wav file.

  • If Aprisa DDR is Selected: In the Event # field, enter a number of a video event that is available from the Aprisa DDR. Note that the Aprisa DDR application must be open on the Aprisa DDR to enable playback.

    The Browse feature available in the Clip Control Panel is not available to navigate to and select Aprisa clips. Thumbnails and information about Aprisa clips, however, can be viewed in the Lyric Browser, although they cannot be loaded into the Clip Control Panel from the Browser.

    Refer to Aprisa Interface Configuration, Aprisa Systems, Browser Overview, Aprisa Clip Asset Operations and Aprisa documentation for comprehensive information on Aprisa operations.

An *.avi or *.wav file can also be selected and loaded using the Browse feature, which provides the ability to navigate to and select a file for loading.

  1. Click the Browse button.

    • if eFX is selected, the Clip ID field is labeled Clip File.

    • If Internal Clip Player is selected, the Clip ID field is labeled AVI File.

    • If Audio Hardware is selected, the Clip ID field is labeled Wave.

  2. Navigate to and select a file.

  3. Once the file is selected, click OK. The file is loaded into the clip player.

To reload the previously loaded clip:

  • Click the Load button.

NOTE

When ANY clip (video or onboard .WAV audio) is added to the Timeline, its entry on the Timeline will appear to be ONE SECOND (00:00:01), regardless of the duration of the content recorded in the *.ltv, *.avi or *.wav file. This is as it should be. Any changes to the beginning, end and duration of the clip as seen in your Lyric composition should be effected with the In Point, Out Point and Duration controls discussed below.

DO NOT attempt to modify the apparent length of a clip entry on the Timeline. See Clip Timeline/Scene Graph Operations for more information.

AVI Properties

When a clip file containing playback information for an *.avi file is loaded, then the *.avi file, the associated file containing the *.avi file's alpha (key) component and any associated audio files are loaded as well. For the Internal Clip Player to recognize the files as associated, they must share the same name and reside in the same directory. For example, the following files are associated: Sports_Intro.avi, Sports_Intro.matte.avi, Sports_Intro.a1.wav and Sports_Intro.a2.wav. They correspond to the video, key, left audio and right audio files. The *.avi file and the associated key file must be of the same duration. If not, Lyric adjusts the duration of the shorter file accordingly.

When using the Internal Clip Player to play back AVI files, configuration parameters must be set. The AVI Properties configuration differs slightly between a DigiSuite LE and a DigiServer clip player. To access AVI Properties:

  • Click the radio button directly to the right of the AVI field.

    Image: Accessing AVI Properties

    Accessing AVI Properties

    The AVI Properties dialog box opens.

AVI Properties - DigiServer

AVI Properties

Key Delay, Audio Delay and Loop Frame are available to both types of clip players. The MPEG and DV radio buttons are available to only the DigiServer board.

To apply AVI Properties settings:

  • Click the OK button.

Key Delay, Audio Delay, Loop Frame - AVI Files Only

A file can be composed of a number of separate components:

  • Video: This is the file that contains the video information. The format is *.avi file.

  • Matte: This is the file that contains the Key information. The format is *.matte.avi.

  • Audio: There can be one or two audio files, depending on if the audio is mono or stereo. The formats are *.wav, *.a1.wav and/or *.a2.wav.

Note that the Video and Alpha components of a Key signal originating from the Internal Clip Player are likely to have been created separately. Video and Alpha components are always separate files playing back simultaneously from the Internal Clip Player. It may be desirable to delay or advance playout of one or both files to compensate for slight differences between their start times and durations.

In the AVI Properties dialog box, the following playback parameters can be set:

  • Key Delay: If the Key Delay is set to a positive number, the Matte file starts playing the specified number of frames later than the Video file starts to play. If the Key Delay is set to a negative number, the Matte file starts playing the specified number of frames before the Video file starts to play. Default value is 0, which specifies that the Matte file starts playing simultaneously with the Video file.

  • Audio Delay: If the Audio Delay is set to a positive number, the Audio file(s) starts playing the specified number of frames later than the Video file starts to play. If the Audio Delay is set to a negative number, the Audio file(s) starts playing the specified number of frames before the Video file starts to play. Default value is 0, which specifies that the Audio file(s) starts playing simultaneously with the Video file.

  • Loop Frame: When Loop is enabled (checked) on the Clip Control Panel, the Loop Frame specifies the frame to which the playback loops after it reaches the end of the animation. The default value is 0, which specifies that playback loops back to the beginning of the animation. The minimum number of frames that can be looped to from the end of a clip is 15. Output is unpredictable if the loop frame is set to fewer than 15 frames from the end of the clip.

CODEC Type - DigiServer Clip Player Only

Two compression codecs are available to the DigiServer clip player for playback and recording: Digital Video (DV) or Motion (MPEG-2). To select a codec:

  • Click the MPEG or DV radio button.

Note that only the files formatted in the selected codec can be played on the DigiServer clip player.

  • If MPEG is selected, DV files and M-JPEG files cannot be played.

  • If DV is selected, MPEG-2 files and M-JPEG files cannot be played. In addition, files recorded using DV or DV-25 compression must be played back on a DigiServer DV-25 clip player. Files recorded using DV-50 compression must be played back on a DigiServer DV-50 clip player.

  • The codec set in the Clip Control Panel is independent of the format set in the Internal Clip Recorder Panel.

The MPEG and DV radio buttons are unavailable (grayed out) for DigiSuite LE clip players, as they support only M-JPEG video files.

Latency

Since the exact load time for a clip depends on a variety of factors, it may be necessary to slightly delay the start of an animation so that the animation and the clip are in sync. To set this delay:

  • In the Latency spin control box, set the number of milliseconds that the animation is to be delayed.

It may take experimentation to arrive at the optimal Latency value, as clip load time can depend on a variety of factors including the type of CPU and the type of clip player.

  • The default Latency for DigiSuite LE clip players is 200ms.

  • The default Latency for DigiServer clip players is dependent on a registry key indicating how fast the Matrox Switcher switches. If this value has not been set by the user, the Latency defaults to 1000ms.

Range: 0 - 2000ms

Clear

The Clear function allows the output of the currently selected clip player to be quickly purged of images remaining from previously loaded clip files. To clear the clip player output:

  • Click the Clear button.

To clear the clip player output channel and the Chyron system output channel:

  • Press Alt + Erase (Chyron keyboard) or Ctrl + Alt + Q (PC keyboard).

In and Out Points, Play to End, Loop

As mentioned earlier in this section, recording a clip file saves information about how to play back the clip, but not the video file itself. Included in the information are the In and Out Points, and instructions on when to stop the clip. These parameters are set in the In Point and Out Point areas of the Clip Control Panel.

Image: In and Out Point Areas

Setting In and Out Points

In Point, Out Point, Play to End and Loop are available as follows:

  • When eFX is selected to play *.ltv files. As above, there are more comprehensive controls for these functions on the eFX Panel.

  • When Internal Clip Player is selected to play *.avi files, but only when Scrub Mode is active.

  • When Aprisa DDR is selected to play back Aprisa Clips, or an RS-422 protocol external VTR or DDR is selected to play back video. Loop is not available for either the Aprisa DDR or other external systems.

  • In Point, Out Point and their related parameters are not available when Audio Hardware is selected to play back *.wav files. An audio file saved as a clip is always played back at its full length.

To set In Point, Out Point, Play to End and Loop:

NOTE:

Chyron strongly recommends checking the Play to End option in virtually all clip playout situations, on both eFX and Matrox-type (DigiSuite and DigiServer) hardware. Loop should be set as appropriate for your needs.

In situations where Loop is not desired, Play to End causes the last frame of the clip (any format, any clip hardware) to remain visible on the clip hardware's output.

  1. In the In Point area, use one of the following methods to move the video source to the desired In Point:

    • Use Scrub Mode.

    • Use the Transport Controls to move the video to the desired frame. Remember that when Internal Clip Player is selected as the playback device, Scrub Mode must be active in order to have complete access to the Transport Controls and to the In Point and Out Point parameters.

    • Enter a frame number in the frame counter, and then click Go To or select Go to Timecode from the Clip menu.

  2. Click Mark or select Mark In from the Clip menu.

  3. In the Out Point area, use one of the methods just described to move the video source to the desired Out Point. Remember to click Go To, or the Out Point will revert to the previously selected Go To frame.

  4. Click Mark or select Mark Out from the Clip menu.

  5. Optional: Select (check) Play to End to override the Out Point setting. The loaded file or other video source plays from the Mark In frame to the end.

  6. Optional (Internal Clip Player playout only): Select (check) Loop to enable looping. After the clip plays to the specified Out Point or the end, it loops back to the frame set as the Loop Frame in the AVI Properties dialog box. If no loop frame is set, the clip loops back to the beginning of the clip. When Loop is enabled, the clip plays indefinitely until stopped, unless it has been added to a Timeline. In this instance, it plays for the duration set on the Timeline. Adding a clip to a Timeline is covered later in this section. Loop is available only to *avi files played on the Internal Clip Player.

Play Clip

The clip can be previewed by using the Play Clip function, which plays only the clip as set by the marked In Point and Out Point, as opposed to the entire length of the file or video source. The clip file (*.ccf) need not be saved first to preview a clip using the Play Clip function. To play back a clip:

  • Click the Play Clip button.

    • When Play Clip is used to play an audio file, it always plays the entire file.

    • Scrub Mode is automatically disabled when the Play Clip function in the Clip Control Panel is executed.

Clip Player - Related Topics

Aprisa - Related Topics


Playlists

Tools Menu > Playlist; File Menu > New > Playlist
File Menu > Open > Files of Type > Playlists (*.ply)

NOTES

  • It is strongly recommended that all Playlists be previewed prior to air.

  • As of Lyric Version 4.0, the [image] button (formerly the Duet [image] or [image] button, depending upon the system) is now disabled during Playlist execution. This prevents the message that is cueing up from prematurely displaying on the output.

Creating and Opening a Playlist

The Playlist feature allows multiple Lyric messages to be compiled into an automated list and played out sequentially using preset transition effects. For example, a Playlist could be used to automatically play a dissolving sequence of graphics displaying sports statistics.

A Playlist can consist of up to 500 preset events which are numbered from 0 - 499. Each event specifies the playout parameters of a Lyric message, including file name and transition effect. When a message completes playout, the Playlist proceeds to the next specified message.

When used in conjunction with the powerful Chyron MOS newsroom application, a Playlist can be remotely built and edited. Messages can be created on remote PCs and sent to the Chyron system, where they are added to a Playlist for execution.

If necessary, Playlist execution can be manually overridden.

To create a new Playlist:

  • Pull down the File menu and select New > Playlist.

    Creating a New Playlist

    A blank Playlist is displayed.

Image: New Playlist

New Playlist

Playlist files have the extension .ply. To open an existing Playlist, use one of the following two methods:

  • From the Tools menu, select Playlist. A file Open dialog box is displayed. The Files of Type field specifies Playlist Files (*.ply) and displays the available Playlist files in the current directory. Select the file from that directory or browse to the file in another directory, and then click Open. The Playlist is displayed.

    Open Dialog Box

  • Select Open from the File menu or click [image] on the Windows Toolbar. Select Playlist Files (*.ply) from the Files of Type dropdown list box, then browse for the file. Select the file, then click Open. The Playlist is displayed.

Playlist Layout

The Playlist is composed of a list of messages to be played out, and parameters that control the playout of each of them. To the right of the list are execution controls, as well as Timecode setup. Playlists can be composed on a PC for later use on a Chyron system. The Playlist can be resized by dragging any corner or edge, and an individual column can also be resized by dragging the column separator in the heading.

Sample Playlist

Navigating the Playlist

Use the following methods to navigate through the Playlist:

  • Press the cursor keys éêçè to navigate up, down, left and right. Note that when using the çè keys to navigate, that when cursor reaches a field that accepts text entry, the cursor steps through the text first before proceeding to the next field.

  • When the cursor is in a Line, Control, Effect or Channel field, press Page Up or Page Down to navigate up or down in five-line increments. If the cursor is in the Line column, the entire line is highlighted.

  • In the Scroll Bar, click above or below the scroll box to page backwards or forwards, respectively, through the Playlist.

  • In the Scroll Bar, click the up or down arrow to scroll the Playlist one line up or one line down, respectively.

  • Press End to move the cursor to the next instance of End or to the final line of the Playlist that contains an entry.

The Playlist scrolls, based on a fixed number of lines or a percentage. This value is set in the Playlist Configuration dialog box.

Current Message on Output Indicator

The currently displayed message in the Playlist is indicated by the green square Image: Current Message on Output Indicator located at the left side of the Playlist. During playout, the indicator proceeds line-by-line through the Playlist.

During Playlist execution, the Playlist automatically scrolls to display upcoming events.

Current Take Line Indicator

The Current Take Line Indicator Image: Current Take Line Indicator identifies the Playlist line that will be executed next. When a step is executed, the Current Message on Output Indicator moves to the same line as the Current Take Line Indicator, and the two indicators are briefly positioned on the same line Image: Current Take Line and Current Message on Output Indicators. The Current Take Line Indicator then moves to the following line.

In the event that non-sequential execution of the Playlist is necessary, the Current Take Line Indicator can be moved to a different step using one of the following methods:

  • Click to the left of a line to move the Current Take Line Indicator to the line.

  • Press Ctrl + é or Ctrl + ê to move the Current Take Line Indicator up or down in one-line increments.

  • Press Ctrl + Page Up or Ctrl + Page Down to move the Current Take Line Indicator up or down in five-line increments.

  • Press Ctrl + Home to move the Current Take Line Indicator to the first line of the Playlist.

  • Press Ctrl + End to move the Current Take Line Indicator to the next instance of End or to the final line of the Playlist that contains an entry.

  • Trigger a GPI to move the Current Take Line Indicator up or down in one-line increments. The GPI is set up in the Playlist Configuration dialog box. A GPI can also be used to execute a Take.

Line

The number in the Line column identifies the Line number for each event or Step on the Playlist. The terms Line and Step are used interchangeably in reference to Playlists in this documentation. A Playlist can contain up to 500 steps, numbered from 0 - 499.

Control

Control determines how the step is triggered. This field cannot be set until a File Name field is entered. Once a file name is entered, the Control field displays the default setting, Delay, with Parameter 00:00:00:00. To select a Control, use one of the following methods:

  • Click the Control field for the event to toggle through the Control choices.

  • Press the first letter of the name of the Control. If there is more than one Control starting with the same letter, press the same key to scroll through the additional Control names.

Parameter/
Function

Description

Wait for Key

When a Wait for Key is encountered in a Playlist, execution pauses until the user presses any key except Esc on the system keyboard. The Status Bar displays the prompt, Waiting for Keypress, until a key is pressed to execute the message. Wait for Key does not use a Parameter setting. Note that pressing the Esc key stops Playlist execution!

Delay

When the Delay control is encountered in the Playlist, list execution pauses after the completion of the execution of the previous Line. The current step is executed after specified Delay duration. The Delay duration is entered in the Parameter field.

Image: Delay Setup

Setting a Delay

The system reads the message during the delay and the message may appear on the system's VGA monitor, depending on the system and its configuration. The message, however, does not play on output until after the specified Delay has elapsed. In the figure above, Line 0 executes, then a delay of 2 seconds occurs after the completion of the execution of Line 0, then, the message on Line 1 executes.

Loop

A Loop causes the Playlist to return to a step specified in the Parameters field, for a specified number of iterations. Two values are entered in the Parameters field. The format of the field is 000,000. Values are entered to the left of to the right of the comma.

  • The Step (Line) number to which the Loop should return is entered in the three-digit area to the left of the comma.

  • The iterations, or number of times the message should loop, is entered in the three-digit area to the right of the comma.

In the following figure, Step 8 loops to Step 6, and repeats the loop 3 times, as specified by the Parameter setting 002,003.

Setting a Loop

List execution resumes after the specified number of iterations has occurred.

Timecode

The Timecode control specifies a Timecode at which to trigger the execution of the step. See Using Timecode in a Playlist below for details on setup.

Skip

A Skip control causes the Playlist to skip the Line/event on which it appears and move to the next Step. Skip does not use a Parameter setting. Skip can be a useful tool when assembling and testing Playlists.

End

An End control causes the Playlist to halt, and the Current Step indicator to return to Step 0. A line containing the End control is automatically added after the last valid line in the Playlist. End does not use a Parameter setting. Do not enter a File Name. Any Message listed in the File Name field on the same line as an End control is not played to output.

GoTo

A GoTo control specifies a skip to a specified step in the Playlist. The Step number is entered in the Parameter field. Do not enter a File Name.

  • Do not set a Goto control to its own line number!

  • Any Message listed in the File Name field on the same line as a Goto control is not played to output.

After a Skip is executed, Playlist execution continues from the new position of the Step Indicator.

GPI

The Playlist can trigger output of a GPI to an external system, or cause the system to await input of a GPI signal before continuing with subsequent events, much like the Wait For Key control. As shown below, Step 5 is set to be triggered by input from GPI 4. It is recommended that a GPI, which is already assigned as a Global GPI, not be assigned to trigger a Playlist event, as it could cause a potential conflict. Set the GPI number in the Parameter field.

Setting a GPI

LE/LEX/PCI/PCI+: LE/LEX/PCI/PCI+ systems have sixteen GPIs available for each CODI-type board. The presence of a single such board in the system makes sixteen GPIs available, numbered 1 - 16. A second board in the system makes available another sixteen GPIs, numbered 17 - 32 and so on. Note that PCI-Squeezeback boards do not have GPI capability on their own, but can access the GPIs of VPBs in the same system. The GPI Out setting is not available on LE/LEX/PCI/PCI+ systems.

Care must be taken when setting up a Playlist containing GPI triggers for playout on a different system, or when composing the Playlist on a PC. Be sure that the GPI numbers and Input/Output selections in the Playlist Parameter field are appropriate for the available hardware and configuration of the Duet that will be used! Make sure also that the GPI is not the same number as a Global GPI that has been set on the system. Refer to GPIs - Related Topics for additional information on GPIs.

Cue Clip

As of Lyric v5.0, Cue Clip was relocated to the Playlist Configuration dialog box. Refer to Playlist Configuration later in this section for details.

Parameter

A number of the Control functions require additional Parameters, such as number of Loops, Delay duration, Timecode times, etc. A Parameter specific to particular Control are described in the preceding table.

Effect

Effect sets the transition effect that the system executes at the beginning of the message named on the numbered line of the Playlist. To select an Effect, use one of the following methods:

  • Click the Effect field for the event to toggle through the Effect choices.

  • Press the first letter of the name of the Effect. If there is more than one Effect starting with the same letter, press the same key to scroll through the additional Effect names.

Toggling to a blank field is equivalent to selecting Cut.

NOTES

Playlist Effect settings override Default Effect settings specified in the Config menu. Refer to Configuration Menu: Default Effect for information on Default Effects.

The effects available when composing a Lyric message offline on a PC are as follows:

  • Cut, Dissolve, Wipe Right, Wipe Left, Wipe Down, Wipe Up, HSplit, VSplit, HBlind, VBlind, Box, BoxNW, BoxNE, BoxSE, BoxSW, Pixel, Rev HSplit, Rev VSplit, Rev HBlind, RevVBlind, Rev Box, Rev BoxNW, RevBoxNE, Rev BoxSE, Rev BoxSW.

The effects available for Chyron platforms are as follows:

  • Cover, Cut, Dissolve, Fade, Hide, Matrix, Peel, Pour, Push, Reveal, Split, Weave, Sqz-In, Sqz-Out. Refer to Setting Up a Squeezeback Effect in a Playlist later in this section for information on Sqz-In and Sqz-Out setup.

    IMPORTANT!! Effect parameters such as Speed, Effect Direction, etc., for LE/LEX/PCI/PCI+ Playlists must be set within the Primary Message Effects dialog box, accessed by either highlighting an effect on the Playlist, then pressing X, or by right-clicking on the Playlist, then selecting Effect Properties from the context menu.

NOTES

  • If an attempt is made to execute an effect that is not supported by the assigned board, such as a PCI-Squeezeback effect on a another frame buffer device, the transition defaults to a Cut.

Speed

Speed is interpreted differently by the various systems:

  • LE/LEX/PCI/PCI+: The Speed field is not enabled for Playlists created and executed on the Duet LE/LEX/PCI/PCI+, with the exception of the Video Squeezeback effects Sqz-In and Sqz-Out, where the Speed field is used to identify a Squeezeback Effect number. Refer to Triggering a Squeezeback Effect from a Playlist below for information on Sqz-In and Sqz-Out setup.

On an LE/LEX/PCI/PCI+ system, effect Speed in a Playlist must be set instead within the Primary Message Effects dialog box, accessed by either highlighting an effect on the Playlist, and then pressing X, or by right-clicking on the Playlist, and then selecting Effect Properties from the context menu. Note that the Speed set in the Primary Message Effects dialog box is not reflected in the Playlist, although the Playlist executes at the Speed specified in the Primary Message Effects dialog box.

File Name

File Name specifies the file to be recalled. File types that may be entered in this field are as follows:

  • Lyric messages with numeric file names, as seen in the Message Number Display. If recalling a message that is stored in the Default Message Directory, only the Message Number itself must be entered in the field. Otherwise, the full file path is necessary. If entering only a Message Number, do not enter the .lyr extension.

  • Macros that have been saved with the .lyr file extension. Note that a Macro file used in a Playlist must be autoexecuteable, as the Playlist will not attempt to "play" it. Macro files with the .lmx extension may not be used in the Playlist.

Note that files other than graphics and Macros files that have the .lyr extension, such as Default Effects and Video Settings files should not be used in a Playlist.

The following should be noted when entering a File Name of a file stored in the Default Message Directory:

  • If the File Name is completely numeric (no decimals or other symbols or letters) only the Message Number need be entered, not the entire filepath. The leading zeros and the extension may be omitted. Example: 35849

  • If the File Name is alphanumeric, (contains numbers and/or symbols and/or letters), only the File Name and the extension must be entered, not the entire filepath. Example: 2003_Sports_Intro.lyr

The following should be noted when entering a File Name of a file stored outside of the Default Message Directory:

  • If the File Name is completely numeric (no decimals or other symbols or letters), the entire filepath, including leading zeroes, must be entered. Example: C:\News_Graphics\000358490.lyr

  • If the File Name is alphanumeric, (contains numbers and/or symbols and/or letters), the entire filepath must be entered. Example: C:\News_Graphics\Election_Coverage_Opening.lyr

To enter a File Name, choose one of the following methods:

  • Type the File Name, including, if necessary, the full filepath.

  • Drag-and-drop the file from the Browser or from a Windows Explorer-type window. The full filepath is automatically entered in the File Name field.

After the File Name is entered, Enter can be pressed to advance the cursor to the File Name field for the next Step.

Channel

Channel specifies the output channel on which the effect will execute. The type of Duet system and the presence of a Video Mixer determine how channel settings affect execution.

IMPORTANT!

If a Channel is not assigned to a Playlist step, the step does not execute to output!

Available settings are None, 1, 2, 3 or 4. As of Lyric 4.0, this is a new feature for these systems. Previously, the entire Playlist was executed on the currently active frame buffer. Now, each step of the Playlist can execute on a specified frame buffer.

  • Playlist operation is limited to one VPB or PCI-Squeezeback output. Air and Preview designations do not apply.

  • Whichever VPB or PCI-Squeezeback board is active when Playlist execution is started becomes the output on which the entire Playlist is executed. The exception is that a Sqz-In or Sqz-Out effect executes on the PCI-Squeezeback board on which the on which the effect was originally programmed, which may not be the currently active board.

  • Keep in mind that when executing a Sqz-In or Sqz-Out effect that has an associated graphic, it should be still be executed in the same frame buffer in which it was created. When Channel is set to None, the effect executes to the Canvas.

  • Using the Playlist function while in Link mode is not recommended.

If the message is a static graphic, it displays on the Canvas, then the specified Effect is triggered by the specified Control and executes to the specified Channel. If the message is an animation, it loads, then the first frame displays on the Canvas. The specified Effect is triggered by the specified Control, then the effect and animation execute on the specified Channel.

Timecode Display

Timecode Display

The Timecode Display, located at the top right of the Playlist, displays the current Timecode. The Timecode is by default, System time from the Chyron system's or PC's clock, unless the system is connected to an external source of Timecode. To use an external Timecode source, the Chyron hardware must be properly configured. Refer to Hardware Configuration - Timecode for details on Timecode configuration. Using Timecode in a Playlist is covered later in this section.

Execution Controls

The following buttons and key control execution of the Playlist.

Control

Description

Image: Playlist Play Button

Play: Click Play to begin or resume execution at the location of the Current Take Line Indicator Image: Current Take Line Indicator.

NOTE

How Play executes a clip in a message is determined by the Matrox Source Switcher setting.

  • If the Matrox Source Switcher is enabled, then the graphics and text from the new message display on output over the clip from the previous message as the clip from the new message loads. The clip from the previous message is replaced when the clip from the new message executes.

  • If the Matrox Source Switcher is disabled, then the graphics and text from the previous message continue displaying as the first frame of the clip from the new message is displayed. When the new message is completely loaded, then the clip and graphics from the new message execute.

Image: Plaalist Take Button

Image: Take Button - Green

Image: Take Button - Yellow

Take: The Take button is similar in function to the Read Next function. Clicking Take preloads the next message in the Playlist. Clicking Take again plays the message to air as programmed in the Playlist, and simultaneously preloads the following message.

Generally, when using Take to execute a Playlist, the Control specified in a Playlist step should be Delay, which should be set to 00:00:00:00. With this setting, the message executes to air immediately when Take is clicked.

In addition, pressing the Take button on a Duet LE/LEX/PCI/PCI+ system also executes an Xfer to Preview, so that the preloaded message is displayed in the Preview Channel. This necessitates the dedication of one Frame Buffer to the Preview channel. If more than one Frame Buffer is dedicated to the Preview channel, Take preloads into the first available Preview buffer. Refer to Configure Board Use for additional information.

  • The Take button appears red until clicked the first time to start Playlist execution.

  • If the Take button is not clicked to start execution, it cannot be used later in the execution unless Playlist execution is first stopped by pressing the Stop key. When the Take button is unavailable, it is grayed out.

  • The Take button is also grayed out when a Playlist step is in progress, or the system is waiting for a Keypress.

  • The Take button appears green when it becomes available for use.

  • The Take button appears yellow when Cue Clip is enabled, and a Clip programmed into the Playlist is ready to play. Refer to Playlist Configuration, later in this section, for information on Cue Clip.

The Take button can be assigned a GPI Shortcut or a Keyboard Shortcut, eliminating the need to use the mouse to execute a Take during execution. Refer to Setup Take later in this section, for details on setup.

Image: Playlist Stop Button

Stop: Click Stop to halt Playlist execution. Playlist execution can be resumed at the current Step by pressing Play or Take. The Stop button is available only when execution of a Playlist step is in progress. It otherwise appears grayed out.

A Playlist can also be stopped in order to read messages that are not in the Playlist. Playlist execution can be resumed as just described.

Esc

Esc Key: Press Esc to halt execution and exit from the Playlist.

TC Relative To

See Using Timecode in a Playlist below for details.

Configuration

Refer to the following section for details.

Playlist Configuration

Playlist parameters such as GPIs, Take hotkey, default settings and other options are set in the Playlist Configuration dialog box, accessed by clicking the Configuration button.

Image: Playlist Configuration

Playlist Configuration

After all values are set, click OK to apply the values, or Cancel to cancel the settings.

Playlist GPIs

GPIs can be used to move the Current Take line up or down, and to execute a Take. Before a GPI can be specified in the Playlist Configuration dialog box, it must be configured in Duet Hardware Configuration. Refer to Hardware Configuration - Setup GPI Lantern/CODI for information on GPI configuration. Refer to GPIs - Related Topics for additional information on GPIs.

Once the GPIs have been configured in Duet Hardware Configuration, it can be specified in the Playlist Configuration dialog box.

  • The Line Up GPI moves the Current Take Line Indicator up one line.

  • The Line Down GPI moves the Current Take Line Indicator up one line.

  • The Take GPI executes a Take at the line at which the Current Take Line Indicator is positioned.

Perform the following procedure for the Line Up GPI, the Line Down GPI and he Take GPI:

  • From the Line Up/Line Down/Take GPI drop-down list box, select the GPI that is to be used to trigger the Line Up, Line Down or Take. The selected GPI number is displayed in the drop-down, and its description (as set in Duet Hardware Configuration) is displayed in the Description field (unlabeled). The description is not editable from this dialog box.

In the following example, GPI 1 is set to trigger Line Up; GPI 2 is set to trigger Line Down; and GPI 3 is set to trigger a Take.

Image: GPI Setup

GPI Setup

Take Keyboard Shortcut

A keyboard shortcut can be set to execute a Take.

  • In the Take Keyboard Shortcut area, enter a key in the Key field. F5 is the default setting. If desired, select (click) the Ctrl, Alt and/or Shift checkboxes. For example, if T is entered in the Key field, and Ctrl, Alt and Shift are selected, the resulting Keyboard Shortcut would be Ctrl + Alt + Shift + T. Pressing Ctrl + Alt + Shift + T during Playlist execution would execute a Take.

    Image: Take keyboard Shortcut Configuration

    Setting a Keyboard Shortcut

The Esc key cannot be specified as a keyboard shortcut for Take.

To clear the keyboard shortcut:

  • Click the Clear button.

Clip Player Options

Cue Clip enables the control of the display of the first frame of a clip when a message containing the clip is read from the Playlist using the Take function.

For example, two consecutive messages (call them 900 and 901) in the Playlist each contain a video clip. Cue Clip is enabled, and the cursor is on the first message.

  1. When the Take button is clicked or triggered, it turns yellow. Graphics and text from Message 900 are displayed on the Canvas. The clip from Message 900 is not yet displayed.

  2. When the Take button is clicked or triggered again, it turns green. Graphics and text from the previously displayed message are erased from the output. The clip is loaded, and the first frame of the clip from Message 900 is displayed on output. Graphics and text from Message 900 are still displayed only on the Canvas.

  3. When Take button is clicked or triggered again, the clip from Message 900 plays on output, and graphics and text from Message 900 are displayed on output.

  4. The Take button turns yellow. Message graphics from Message 901 are displayed on the Canvas, and the clip from Message 901 is not yet loaded. The procedure to display to output continues as with the first message.

When Cue Clip is disabled:

  1. When the Take button is clicked or triggered, it turns green and first frame of the clip from Message 900 is displayed on output. Message graphics and text from Message 900 are displayed only on the Canvas.

  2. When the Take button is clicked or triggered again, the clip from Message 900 plays on output, and the message graphics and text from Message 900 are displayed on output.

  3. After message execution is complete, the first frame of the clip from Message 901 and the graphics from Message 900 are displayed on output. The message graphics and text from Message 901 are displayed on the Canvas. When the Take button is clicked or triggered, the clip from Message 901 executes, and the graphics and text from Message 901 are displayed.

NOTE 1

As of Lyric v5.0, the first frame of a clip is not displayed in output when a message containing a clip is loaded. When the message is executed, the clip starts plays directly to output without displaying the first frame beforehand.

When enabling Cue Clip, and in some situations when Cue Clip is not enabled, it is desirable to display the first frame of the clip. To set the clip player to display the first frame of the clip, it is necessary to disable the Matrox Source Switcher. An indication that the Matrox Source Switcher should be disabled is that when a yellow Take button is clicked or triggered, the first frame of the clip is not displayed on output.

To disable the Matrox Source Switcher:

  • Navigate to file in which Lyric is installed and then double-click on the file DisableMatroxSourceSwitcher.reg. Exit and then relaunch Lyric.

To revert to the default behavior:

  • Navigate to file in which Lyric is installed and then double-click on the file EnableMatroxSourceSwitcher.reg. Exit and then relaunch Lyric.

Refer to Clip Playback Behavior for additional information on enabling and disabling the Matrox Source Switcher.

NOTE 2

If consecutive messages in the Playlist use the same clip, and if Always Load is disabled, then each time a message is read, the clip does not reload, and does not display the first frame. The clip, instead, continues to play uninterrupted as the messages containing the clip are displayed on output. To reload the clip every time a message containing the clip is read:

  • Right-click on the Clip listing in the Scene Graph, and then select Always Load from the context menu. A check should appear next to Always Load in the menu.

Refer to Clip Timeline/Scene Graph Operations for additional information on Always Load.

Default Playlist Line

To facilitate the setup of Playlist entries, default values can be set for Control, Parameter, Speed, Effect and Channel. A default setting can be set or modified for one, more than one or all parameters. The Default Playlist Line area in the Playlist Configuration dialog box is composed of display-only fields that cannot be edited from within the dialog box.

The following figure shows default values set at Control = Delay; Delay Parameter = 15 frames; Effect = Reveal; Speed (Duration) of Reveal = 15 frames; and playout Channel = 1. Note that on a Duet LE/LEX/PCI/PCI+ system, effect Speed in a Playlist must be set instead within the Primary Message Effects dialog box, accessed by either highlighting an effect on the Playlist, and then pressing X, or by right-clicking on the Playlist, and then selecting Effect Properties from the context menu. Note that the Speed set in the Primary Message Effects dialog box is not reflected in the Playlist, although the Playlist executes at the Speed specified in the Primary Message Effects dialog box. The Duet LE/LEX/PCI/PCI+ does, however, use the Speed field to enter an Effect Number of a Squeezeback effect.

Image: Default Playlist Line

Default Playlist Line

To set default values for the Playlist, first close the dialog box, and then perform the following steps:

  1. In the Playlist, enter a file name in the File Name field. The File Name can be typed, or dragged from the Browser or a Windows Explorer-type window. A file name must be in the File Name field in order for the default setting to be saved.

  2. Set the Control, Parameter, Speed, Effect and Channel parameters are desired.

  3. Perform one of the following operations:

    • If setting or modifying all parameters, click the Line Number of the line from which the parameters are to be saved. The entire line should be highlighted.

    • If setting or modifying more than one, but not all parameters, hold down the Ctrl key while clicking the Control, Parameter, Speed, Effect or Channel columns in the line from which the parameters are to be saved. If the parameters are contiguous, holding down the Shift key while clicking the Control, Parameter, Speed, Effect or Channel columns works as well. All selected fields should be highlighted.

    • If setting or modifying only one parameter, click the Control, Parameter, Speed, Effect or Channel column in the line from which the parameter is to be saved. The selected field should be highlighted. Note that if setting the Control and Parameter settings, both fields must be selected (highlighted).

  4. Right-click to display the Playlist context menu. Select Set as Default. The menu closes. Whenever a new file is added to the Playlist, the default settings automatically populate the fields.

To view the default settings:

  • In the Playlist window, click the Configuration button. The settings are displayed in the Default Playlist Line area in the Playlist Configuration dialog box.

Scroll Offset

When the Playlist executes, the Current Message on Output Indicator and the Current Take Line Indicator progress through the Playlist. The view of the Current Take Line, i.e., the line that is to be executed next, can be set to display a set number of lines from the top of the Playlist, or as a set percentage of total lines from the top of the Playlist.

For example:

  • If the Scroll Offset is set to 4 lines, then the Current Take Line Indicator always displays at the fourth line from the top of the Playlist.

  • If nine lines are currently displayed in the Playlist, and Scroll Offset is set to 30%, then the Current Take Line Indicator displays at third line down from the top of the Playlist.

To set the Scroll Offset:

  1. In the Scroll Offset area, select (click) either the Lines or Percent radio button.

  2. Adjust the slider to the desired value. The value is reflected in the Scroll Offset field (unlabeled). Note that a value cannot be directly entered into this field.

The following examples show a Line and a Percent Scroll Offset.

Image: Scroll Offset Lines Setting

Lines Offset

Image: Scroll Offset Percentage Setting

Percentage Offset

Preview Options

A frame of a message that is loaded, but not yet executed to air, can be previewed on the VGA monitor (Canvas). This display frame is determined as follows:

  • If the Preview Frame setting in Config Menu > Preferences > Animation Settings is disabled, the first frame is displayed, regardless of whether or not a Preview Frame was specified in the Record Only dialog box when the message was recorded.

  • If the Preview Frame setting in Config > Preferences > Animation Settings is enabled, but a Preview Frame was not specified when the message was recorded, the last frame of the animation is displayed.

  • If the Preview Frame setting in Config > Preferences > Animation Settings is enabled, and a Preview Frame was specified in the Record Only dialog box when the message was recorded, the specified Preview Frame is displayed.

Enable Preview:

  • When Enable Preview is active (checked), the Playlist transfers the display frame of the message to the Preview Channel when the message is read to the VGA monitor (Canvas).

  • When Enable Preview is not active (unchecked), the Playlist does not transfer the display frame of the message to the Preview Channel when the message is read to the VGA monitor.

Auto Preview:

  • When Auto Preview is enabled (checked), the Preview Channel updates whenever the Current Take Line Indicator changes position.

  • When Auto Preview is disabled (unchecked), the Preview Channel does not update whenever the Current Take Line Indicator changes position.

Setting Up a Squeezeback Effect in a Playlist - Duet LE/LEX/PCI/PCI+

A Squeezeback effect (Duet LE/LEX/PCI/PCI+ Only) can be triggered from the Lyric Playlist. Note that the Duet system must contain a PCI Squeezeback board in order to execute a Squeezeback effect. The Playlist Effects column contains two Squeezeback-specific effects: Sqz-In and Sqz-Out.

  1. In the first available Playlist Line (in this instance, Line 0), select enter a File Name (in this instance, 5002), a Control, a Parameter (if necessary) and an Effect.

    Image - Playlist - Squeezeback Effect Setup

    Playlist - Squeezeback Effect Setup

  2. On the next available Line (Line 1), select Sqz-In or Sqz-Out, a Control and a Parameter (if necessary). In the Speed field on the same Line, enter the Squeezeback Effect Number from the Lyric Squeezeback message specified in the previous Line. In this example, it is Effect Number 4 (from File ID 5002).

When executed, the graphic associated with the Squeezeback effect displays, then the Sqz-In effect executes immediately. The Sqz-Out effect executes when a key is pressed. Both Sqz-In and Sqz-Out execute at the duration set in the Squeezeback Panel.

NOTES

  • When executing a Playlist that contains Squeezeback effects that have associated graphics, it is necessary to execute the Playlist in the buffer from which the graphics were stored to the Squeezeback effect. If the graphics were stored to effects on SQZ board 1, which was assigned to Buffer 2, then the Playlist must be executed on Buffer 2. If there are no graphics associated with the effects, then the Squeezeback effect can be executed from any available buffer.

  • It is possible to use a Playlist Effect to transition a graphic associated with a Squeezeback effect. It is advisable, however, to preview the Playlist before airing.

Refer to the chapter on Video Squeezeback for information on Squeezeback effect setup.

Using Timecode in a Playlist

Timecode can be referenced by the Playlist in three different manners:

  • System Timecode: The Playlist step executes when the System Timecode matches the Timecode specified in the Control Parameter. To execute Playlists in this manner, TC Relative To should be disabled (unchecked).

  • Relative to Play: The Playlist sets its own starting timecode as 00:00:00:00 for each execution. All Timecode Control Parameter settings within the Playlist are calculated from the 00:00:00:00 starting timecode.

  • Relative to Start Time: The Playlist adds the Start Time set in the Timecodes Relative To dialog box to all of the Timecode Control Parameter settings in the Playlist. The Playlist waits for the System Timecode to match the recalculated Timecode in each Playlist step that has a Timecode Control before executing the step.

To set Timecodes Relative To to either Start Time or Play:

  1. Click the TC Relative To checkbox to enable relative Timecode and display the Timecodes Relative To dialog box, as shown at right in the following figure.

    The figure below shows the three possible states of the Timecode setting. Only one displays at any time. When the TC Relative To checkbox is not selected (unchecked), then the Timecode is the same as System Timecode. The Timecodes Relative To dialog box settings show how the appearance of the Playlist's TC Relative To information can be affected when TC Relative To is selected (checked).

    Timecode Reference Settings

    Timecode Reference Settings

  2. Click the Play radio button to select Relative to Play.

    OR

    Click the Start Time radio button to select timecode relative to Start Time, and then enter a start time.

  3. Click OK. Notice in the figure above how the setting is displayed to the user in the Playlist TC Relative To area.

To set a Timecode Control for a Playlist step:

  1. At the desired step, select Timecode in the Control field.

  2. In the Parameter field, enter the Timecode at which the step should execute.

    • When the Playlist is executed, the step executes at the point where the System Timecode matches Timecode as set in the Control field, or it reaches a specified relative Timecode as set in the TC Relative To area at the right of the Playlist.

    • If Timecode is set 5 minutes or less ahead of the current System Timecode or specified relative Timecode, the step executes immediately when it is reached.

    • If Timecode is set earlier than 5 minutes ahead of the current System Timecode or specified relative Timecode, the step delays execution until the System Timecode matches the set or relative Timecode.

Refer to Hardware Configuration - Timecode for details on Timecode configuration. to the appropriate chapter on

Saving and Recalling Playlists

Image: Opening a Playlist

Opening a Playlist

Playlists have their own folder in Lyric's Default Directory.

A quick method for recording a Playlist file is as follows:

  1. Press Ctrl + Record. The Record Only: dialog box opens.

  2. Select Playlist (.ply).

  3. Click Record. The Playlist is saved to the current Message Number in the Default Playlist Directory.

A Hotkey combination can also be used to record the Playlist:

  • Press Ctrl + Record P Enter. The Playlist is saved to the current Message Number in the Default Playlist Directory.


Video Squeezeback Overview

Video Squeezeback

Tools Menu > Squeezeback Panel

Introduction

The PCI-Squeezeback board adds animated video effect creation capability to Chyron systems not fitted with eFX boards. The Lyric interface provides a set of easy-to-use setup controls for the PCI-Squeezeback board. Refer to the topic on Squeezeback Effects Setup .

About the PCI-Squeezeback Board

The PCI-Squeezeback board features four independent video layers, two of which can be resized and positioned in real time to create dynamic effects such as compression of a full-screen video image to allow for display of additional graphics in the lower third.

Both Resizer Video layers can be independently set for starting/ending positions and dimensions as well as effect duration. Images from the Resizers can be clipped and layered over one another. Dissolve, Fade and Ease effects can be executed between the Video Resizer layers. Resizer effects can be played in forward or reverse. Multiple PCI-Squeezeback boards in a system can simultaneously execute Video Squeezeback effects.

The PCI-Squeezeback board's Interpolation mode smooths out jagged motion that may be visible during a slow animation.

An internal Graphics Plane and a Background Video input provide two additional layers to enhance graphic depth. The Background Input also doubles as the digital Genlock input. All layers can be independently turned on and off. The Graphics Plane can also be displayed behind or in front of the Video Resizer layers, providing additional flexibility.

Squeezeback Effects can be triggered from within the Squeezeback Panel in Lyric, from outside the Squeezeback Panel using Lyric's Squeezeback Kwik Tool (outside the Squeezeback Panel) in Lyric, from a Lyric Playlist, or via Intelligent Interface.

Analog Genlock In can be routed to the PCI-Squeezeback board from the Analog Genlock panel. Key and Video are output from the PCI-Squeezeback board.

The PCI-Squeezeback board can operate in conjunction with any combination of three additional PCI-Squeezeback and/or Chyron digital pcCODI boards.

Unsupported Functions

Analog Monitor Out and Key In are not supported on the PCI-Squeezeback board.

NOTES

PCI-Squeezeback boards (as well as Video Processing boards) should be configured before use. See the topic Hardware Configuration - Main Menu for this procedure.

The display priority (layering order) of Squeezeback boards and other frame buffer devices (typically CODI-type where Squeezeback boards are present) is determined by the manner in which they are physically cabled in connection with the system. See the topic CODI Board/Squeezeback Board/Internal Clip Player Cabling Options.


Video Capture

Tools Menu > Video Capture

Video Capture is often referred to as "Frame Grab" or "Still Capture".

Notes

In any circumstances, with eFX or CODI-type frame buffer devices, Video Capture operations require that the Video In Layer setting be turned ON in the Config>Hardware Configuration>Setup Board Configuration menu.

In Lyric Version 6.14, if Lyric is closed and restarted, the user must open the Config>Hardware Configuration>Setup Board Configuration menu and set the Video In Layer option back to ON.

Make sure that there are valid sources of analog or digital sync and digital video connected to the system's Ref In and Video In connectors, respectively. From the Lyric Tools drop-down menu, select Video Capture to open the Video Capture dialog box.

Video Capture Dialog Box

The Video Capture settings are described in the following paragraphs.

Source

To select the Frame Buffer from which video will be captured, use the dropdown menu; all installed Frame Buffer devices should be available in this menu .

View

This button displays video being input to the selected Frame Buffer, on that Frame Buffer's Output.

Configure

Enable Key Capture

Where a Key signal is present, the key component of the video signal can also be preserved as a bitmap which corresponds to the captured image of the insert video.

Enable Video Shaping

When Enable Video Shaping is selected, Input Video is attenuated to the Key signal, so that color components do not exceed the Key level.

Key Level

Select 601 for SD operation and select 709 for HD operation.

Settings

Sample/Interval

Frame Buffer memory can store as many as eight samples which are organized in eight positions in this function's Thumbnail display (see below). Samples may be captured in an automated sequence by setting Sample to Multiple. The Multiple option brings the Interval setting into play. Set the Interval value (measured in Frames) to determine the length of time between each capture. Note that the Multiple setting will capture all of the eight samples that can be held in Frame Buffer memory.

To capture individual samples manually, select one of the eight possible positions where a new sample should be stored, and click the Capture button under "Operations" (see below). Additionally, any of the eight can be selected for replacement by a new frame grab. The 1 - 8 selections in the Sample dropdown menu represent which of eight possible positions among thumbnails the capture is to occupy. For example, a capture designated 1 will occupy the upper left-most position in the field of eight thumbnails, and 8 the lower right-most. If all eight possible captures are being displayed as thumbnails, these designations may be used to selectively replace individual captures. Once an anticipated capture is designated, press the Capture button to capture the image.

Note

Sequential captures, timed with the Interval control are NOT available to the Video Capture facility on eFX boards. Only a single capture may be performed, triggered manually, as described below. When an eFX board is in use for Video Capture, the Sample and Interval controls will be unavailable.

Dimensions

The Modify control and its display box (which reads "Full Screen" in the illustration above) are not in use at this time.

Offset Image

The image may be moved within its frame on the X and Y axes. At left, the X value is set at -1 and the Y value is set at 1. On the right is an extreme example of the possible effect; the X value has been set at 40 and the Y value at -40. Note that the remaining area in the frame is filled with black.

Operations

Capture

The Capture button can trigger capture of single or multiple frames. See Sample above.

De-Interlace

This option creates new even scanlines by interpolating between consecutive odd scanlines and has the effect of removing flicker between fields.

Thumbnails

Select this checkbox to enable display of all the frames 'grabbed' in the Capture operation.

Display

The Display button shows selected captured frame on the Frame Buffer's Output.

Clear

The Clear button removes the selected image(s) from the Frame Buffer's Output.

Add Timeline

Click this button to add a selected single image to the current Lyric composition. The image will appear on the Timeline, the Scene Graph, Keyframe Graph and the Canvas.

Set Background

Click this button to add the selected image to the current composition as a Background. Recall that Lyric Backgrounds do not appear on the Timeline/Scene Graph/Keyframe Graph and may not be manipulated in space.

Save

Use this button to save the selected captured image(s) as Bitmap (.bmp), (JPEG) .jpg, TIFF (.tif) or Targa (.tga) files. The .tif format will allow preservation of a captured image's key (alpha) component.

Exit

Closes the Video Capture dialog box.


Harvester Lite

2D Text/Template Right-Click Menu > Harvester Properties, then Tools Menu > Harvester Lite

The Harvester Lite plugin enables a Lyric 2D Text Template to be linked to a text field at a remote URL for dynamic update via the Internet.

  1. Place a Template within a 2D Text window, right-click and select Harvester Properties.

  2. The Harvester Properties window opens. The default URL is the http://www.yahoo.com/. Navigate to the site from which the data is to be drawn for the update.

    Harvester Properties Window

    Note the similarity to familiar browsers. In the URL field, enter the location from which you will be drawing data. After entering the URL, press Enter/Return to navigate to the site. The OK button serves another purpose, which we'll get to in a moment.

  3. With the target Web page open, click and drag over any text which you wish to link to the template in your Lyric composition.

    Harvester Properties Window - Selecting Text

  4. DON'T FORGET to click the Enabled checkbox!

  5. Now, click the OK button. The Harvester window closes.

  6. Next, select Harvester Lite from the Lyric Tools menu. The Harvester Lite Control dialog box opens.

    Image: Harvester Lite Control

    Harvester Lite Control Dialog Box

  7. The Timeout setting determines the length of time, in seconds, that the system waits before it declares a timeout after attempting, but not succeeding, to perform an update. When the Timeout occurs, the system waits for the next period cycle to begin before attempting another update. To set the Timeout:

    • Enter a value, in seconds, in the Timeout field.

  8. The Default URL field, Stats and user preferences are covered at the end of this section.

    • Press the One Shot button to update the display once manually while this dialog is open.

    • Press Run to launch the process of regular updates to the data in the Template field.

    Running Harvester

    While Harvester is running, you will see the [image] symbol appear every time Lyric and Harvester check the source for new data.

  9. If for any reason you wish to halt the update process, press the Stop button. Click the Windows [image] control to close the Harvester Control dialog and leave the update process running.

  10. Save the composition as you would any Lyric message. When the message is recalled, the data last harvested will be displayed in the Template.

NOTE: If you wish messages containing Harvester-linked Templates to update immediately upon read-up, the Harvester Control dialog must be open, with the Run control engaged before recalling the message.

In the Harvester Control dialog box, you may also enter and save preferences for:

  • Default URL: This field sets the URL automatically opened by the Harvester Properties window. Note that the entry in this field does not undo the attributes you defined for the Template in Steps 2 and 3. In other words, you may set the Harvester Properties window to open on a specific URL by default, but navigate to another URL in that window and set Harvester attributes differently than the defaults defined here.

  • Period: In this field, enter a value (in seconds) to determine the frequency with which Harvester retrieves linked information from the selected remote URL and updates the Template accordingly. A minimum cycle of 5 seconds is recommended.

The Stats area displays the number of times the field has been updated in the current run of the program, as well as errors, if any, in navigating to the source page or in finding the desired field.

The Save button is used to retain the Default URL and Period settings. These values are saved in the user’s registry setting, so different settings can be saved for every login account in the system.


Quarterback

Quarterback is a Lyric enhanced directory access optional plugin for Lyric from Patrick Graphics Systems. Please access Quarterback online Help for operational information or contact PGS at inforequest@patrickgraphicssystems.com. Web Site: http://www.patrickgraphicssystems.com.

This menu item will not appear unless the Quarterback optional plugin is installed.


logger

Logging in Lyric

Tools Menu > Enable Logger

Logging in Lyric enables the user to view, and retain a record of Lyric operations in a text document. Lyric log files use the extension .log and are called Lyric.log. Windows will identify a Lyric.log file as a Text Document under "Type".

To enable logging in Lyric, select Enable Logger, which is near the bottom of the Tools menu.

If this menu item is checked, logging is already enabled. Note that this setting does not persist and will not be enabled when Lyric is closed and re-started.

Specifics about the manner in which the Lyric.log file writes and stores information may be altered by opening the file ClientConfig.icf in Windows Notepad. The log information may be saved as .HTML or .XML files, for instance, and the frequency with which the log is updated may be varied.


Additional Settings

Tools Menu > Squeezeback Panel

The following settings affect the routing of the video, as well as provide the version of the SDRAM-MIXER.

Set Primary Video

Tools Menu > Squeezeback Panel

All resizers, background and graphics turn off, allowing video to pass through the board. It is desirable to activate Set Primary Video when displaying full-screen video. When activated, Video A is passed through the Frame Delay module, resulting in a seamless transition between display of resized video and the unmodified full-screen video. Resized video is 8-bit, where unmodified video is 10-bit, producing superior image quality. Set Primary Video also disables Video B (Secondary Video In - Resizer 2 and the Graphics Plane.

  • Click the Set Primary Video button to activate this function. The indicator to the right of the checkbox turns red.

Set Primary Video Checkbox

  • To deactivate, Set Primary Video, click an IN or OUT button on the execution controls row.

Set Primary Video can also be activated from the SQZ Kwik Tool.

  • To activate Set Primary Video, click the Set Primary Video button.

  • To deactivate Set Primary Video, click an IN or OUT button.

SQZ Kwik Tool

Frame Delay and Ancillary Data

Tools Menu > Squeezeback Panel

Processing video through the Resizers adds a one-frame delay to the signals, putting them out of sync by one frame with video that is not processed through the Resizers.

Video containing ancillary data such as audio, as well as closed captioning data, does not pass through the Resizers and must be put in sync with the resized video. To compensate, video from the Primary Video input is fed to the Video 1 Resizer and to a Frame Delay processor, which adds a single frame delay to the unresized video signal. The output of the Frame Delay processor is then fed to a Background/Frame Delay selector and to a Video Out/Ancillary Data selector.

NOTE

The Frame Delay function is available only to Primary Video.

Image Harware Topology

PCI-Squeezeback Board Hardware Topology

Sqz Version SDRAM-MIXER

Tools Menu > Squeezeback Panel

SQZ Version SDRAM-MIXER indicates the version letter of the firmware used on the PCI-Squeezeback board, as shown in the figure below.

SQZ Version SDRAM-MIXER


Effect Active Board Settings (Duet LE/LEX/PCI/PCI+)

Effect Active Board Settings

Tools Menu > Squeezeback Panel

The Effect Active Board settings (pictured below), located on the left side of the Squeezeback Panel, contains the active/inactive board information and the PCI-Squeezeback board assignments for each of the 10 Effect Messages slots.

Effect Active Board Settings

Slot

There are ten Squeezeback Effect slots, each of which can hold one Effects Message. Each group of Effects Messages on this page can be saved as one Lyric (.lyr) message.

First, select an effect on which to work. To select a slot, click on its respective radio button.

  • If the slot is already programmed, the settings for the Effects Message assigned to that slot are displayed. Additionally, the Active Message Indicator at the left end of the row turns red. If desired, the settings can be edited.

  • If the slot is not already programmed, all values display at 0, and a new Effect Message can be programmed at that slot.

The next step is to select a board on which the effect is to be executed. Continue to the next paragraph for information on Active Board.

Active Board

Each PCI-Squeezeback board is assigned a permanent number (1, 2, 3 or 4) by the Chyron system. Up to four PCI-Squeezeback boards can be made active for an effect.

Each PCI-Squeezeback board in the system also displays a SQZ Board tab, located to the right of the Effect Active Board Settings, in which the two Video Resizer effects (Video A and Video B) can be set. The illustration above shows a system with two PCI-Squeezeback boards. SQZ Board tab setup is described in SQZ Board Tabs.

SQZ Board Tabs

Select the board(s) on which the effect is to be executed. Click the checkbox(es) corresponding to the board number. As pictured above, Effect 1 is assigned to Board 1, and Effect 2 is assigned to Board 1 and Board 2.


Executing a Squeezeback Effect

Tools Menu > Squeezeback Panel
This information applies only to systems fitted with PCI Squeezeback boards. eFX boards, appropriately enabled, perform effects equivalent to the Squeezeback effects described herein, through the eFX board's DVE facility. Please remember the distinction between "regular" CODI-type frame buffer boards, as opposed to PCI Squeezeback boards or eFX boards.

Triggering a Squeezeback Effect from the Squeezeback Panel or Squeezeback Kwik Tool

Effect Activation Buttons

The Effect Activation Buttons/GPI Controls, located directly under the Mixer Controls, set the triggers for the transition in and out of each of the ten effects.

Image: Effect Activation Buttons, GPI Controls

Effect Activation Buttons, GPI Controls

There are two rows of buttons numbered 1 through 10, each number corresponding to an effect slot as described in Effect Active Board Settings.

  • The top row (IN) contains the triggers to activate the selected effect in the forward direction. A red indicator light shows that the effect has been executed in the forward (IN) direction, and therefore the END of the effect is now displayed.

  • The bottom row (OUT) contains the triggers to activate the selected effect in the reverse direction. A green indicator light shows that the effect has been executed in the reverse (OUT) direction, and therefore the START of the effect is now displayed.

To activate an effect:

  • Click the effect number on the IN or OUT row.

The effect can also be activated using the optional Chyron® KwiKeys keypad:

  • Press the key on the KwiKeys keypad that corresponds to the effect number. The KwiKeys keypad must be configured in the Setup GPI tab of the Hardware Configuration dialog box, accessible from Config > Hardware. See VPB/PCI Squeezeback Board Setup for Setup GPI procedure. Refer to KwikKeys GPI/O Trigger Device for details on KwiKeys. Call Chyron Customer Service at 631-845-2133 for information on purchasing KwiKeys.

GPI Control

NOTES

  • To use GPI Control, the GPIs must first be configured in the Setup GPI tab of the Hardware Configuration dialog box, accessible from Config > Hardware. See VPB/PCI Squeezeback Board Setup for Setup GPI procedure.

  • The SQZ Kwik Tool must be enabled (displayed) in order for GPI Control to operate properly. See Enable Squeezeback Kwik Tool below for information on the Squeezeback Kwik Tool.

To set up GPI control of a Squeezeback effect, a GPI must be assigned to the effect IN and/or OUT that allows it to be triggered through a GPI interface. The GPI number should be entered in the field located to the left of the effect activation button that is to trigger the effect. This number corresponds to the GPI number in the GPI field of the Setup GPI tab in the Hardware Configuration dialog box. Enter 0 if the GPI trigger is not to be used.

Image: GPI Setup

GPI Control/GPI Configuration

Enable Squeezeback Kwik Tool

The Squeezeback Kwik Tool provides the ability to execute Squeezeback effects from outside of the Squeezeback Panel. The Squeezeback Kwik Tool is normally displayed (and is therefore enabled) on opening Lyric on any system that contains a PCI-Squeezeback board. If the Squeezeback Kwik Tool is closed, it can be enabled as follows:

  • From the Squeezeback Panel, click the Enable Squeezeback Kwik Tool checkbox located at the bottom of the Squeezeback Panel.

Image: Enable Squeezeback Kwik Tool

Enable Squeezeback Kwik Tool Checkbox

The SQZ Kwik Tool dialog box is displayed.

Squeezeback Kwik Tool

The left column displays the name previously set in the Name field for the effect in the Squeezeback Panel.

  • The indicator light next to the active effect is red if the effect has been executed in the IN (forward) direction, therefore the END of the effect is now displayed.

  • The indicator light is green if the effect has been executed in the OUT (reverse) direction, therefore the START of the effect is now displayed.

To trigger an effect:

  • Click IN to activate the effect in the forward direction, or OUT to activate the effect in the reverse direction.

Set Primary Video can be activated from the SQZ Kwik Tool.

  • Click the Set Primary Video button to activate. See Set Primary Video for details on this feature.

  • Click an IN or OUT button on the Squeezeback Kwik Tool dialog box to deactivate Set Primary Video.

The Designer button returns control to the Squeezeback Panel.

  • Click the Designer button to return control to the Squeezeback Panel.

Triggering a Squeezeback Effect from the Playlist

A Squeezeback Effect can be triggered from a Playlist. Refer to Playlists for additional information.

Triggering a Squeezeback Effect from Intelligent Interface

A Squeezeback Effect can be triggered via Intelligent Interface. Refer to Intelligent Interface V Command - Trigger Squeezeback Effect .


Genlocking PCI-Squeezeback Boards (Duet LE/LEX/PCI/PCI+)

Genlocking PCI-Squeezeback Boards

The PCI-Squeezeback board can be Genlocked using either an analog or digital signal. Genlock mode is set in the Setup Board Configuration tab located in the Duet Hardware Configuration dialog box which is accessible from Config>Duet Hardware. The Genlock setting is retained after the system is turned off, and does not need to be reset when the system is powered up.

Analog Genlock

Analog Genlock is fed to the Analog Genlock In on the Analog Genlock panel. A multiple-board Duet LE/LEX/PCI/PCI+ system should already be internally wired by Chyron for analog Genlock operation. In this instance, the Genlock signal can be fed to any one Genlock input.

NOTE

Feeding separate analog Genlock signals to multiple boards through their respective GENLOCK inputs can result in output video that is not in sync and/or unstable.

Digital Genlock

To use digital Genlock sync, feed a video source to BACKGND IN of the PCI-Squeezeback board. This becomes the digital Genlock source. The background can also be disabled without disrupting the Genlock signal.

To sync a PCI-Squeezeback board with one or more additional PCI-Squeezeback boards and/or VPBs using digital Genlock, designate one of the boards to receive the digital Genlock signal, then route the video output of that board to the input (BACKGND if PCI-Squeezeback; VIDEO IN if VPB) of the next board. Route the video output of the receiving board to the appropriate input of the next board, and so on, until all boards are connected.

NOTES

  • While any board can receive the digital Genlock signal and route it to other boards, one method of operation is to use the PCI-Squeezeback board to receive the digital Genlock signal and pass it to any other PCI-Squeezeback boards before routing to VPBs. U sing this configuration allows output from the VPBs to display on top of the PCI-Squeezeback video, and not be forced into the background. Additionally, Key Out from a PCI-Squeezeback board can be fed to a VPB, where the opposite is not possible.

  • Feeding separate digital Genlock signals to multiple boards through their respective BACKGND IN or VIDEO IN inputs can result in output video that is not in sync.


Lyric Graphic Message Import (Duet LE/LEX/PCI/PCI+)

Lyric Graphic Message Import

Tools Menu > Squeezeback Panel

When in the Squeezeback Panel, the graphics plane is not available for text editing or other editing functions.

It is possible, however, to compose text and/or graphics in the graphics plane of the PCI-Squeezeback board or on another board while outside the Squeezeback Panel, then use it as a component of the Squeezeback effect.

After creating the graphic, save it as a Lyric message before using it in a Squeezeback effect. The Lyric Message can then be read into the PCI-Squeezeback board for use with the Squeezeback effect.

READ Lyric Graphic for Effect

NOTE

Unless the desired graphic is already displayed in the output channel (not just the Canvas) of the PCI-Squeezeback board, it is necessary to perform the READ operation from within the Squeezeback Panel in order to use the Lyric message as part of a Squeezeback effect.

If the desired graphic is already displayed on the output channel (not just the Canvas), skip to Store MSG - Lyric Graphic.

To load a Lyric message, enter the message number in the Msg field located at the top right of the Squeezeback Panel, and then click the READ button. The graphic is read from the default Messages directory (set in Config > Preferences > Default Paths) into the Graphic Plane and the output channel of the PCI-Squeezeback board. If the graphic does not appear, be sure that Graphic Plane ON is checked, and that Video A and/or B are not completely covering the Graphic Plane.

READ, Msg Field, Store MSG, Clear MSG

Store MSG - Lyric Graphic

Store MSG associates a graphic with a Squeezeback effect. When executed, Store MSG converts the contents of the PCI-Squeezeback board graphics channel output into a bitmap that is displayed along with the Squeezeback effect.

When the Squeezeback IN effect is executed, the graphic with the effect set in the Squeezeback Panel applied. Executing the Squeezeback OUT effect has no effect on the displayed graphic.

Once converted, the graphic cannot be edited. Additionally, if the Lyric message contains a Template Field tied to Intelligent Interface, the contents do not update each time the graphic is used for the Squeezeback effect. The original Lyric message remains untouched and can still be used as before.

NOTE

Only one graphic can be stored per Squeezeback effect. If, for example, a graphic is stored for Effect 3 when PCI-Squeezeback Board 1 is active, then storing a graphic for Effect 3 when PCI-Squeezeback Board 2 is active overwrites the stored graphic on Board 1.

It is advisable to store the all of the graphics associated with the effects in a Lyric message to a single PCI-Squeezeback board. In other words, unless there is an overriding creative reason to do so, do not store graphics in a single Lyric message to more than one board number.

Additionally, if a graphic is stored in an effect where the graphic plane is disabled, it is advisable to clear the graphic from the effect to avoid accidental display. Refer to Clear MSG - Lyric Graphic for information on clearing an effect.

To associate a graphic with a Squeezeback effect:

  1. Make sure that the graphic is loaded into the graphics buffer of the PCI-Squeezeback board using the READ operation, or that it is already displayed in the buffer. Store MSG will execute even if another board happens to be active for editing.

    • If the graphic was loaded using the READ button, the Message ID number remains displayed in the Msg field. The graphic can be stored under this number, or a different number can be entered.

      Note that the Msg number is specific only to the Squeezeback effect setup, and is completely independent of the Lyric Message ID number.

    • If the graphic was already loaded, enter a number in the Msg field.

    NOTES

    • Read does not recognize alphanumeric file names.

    • Do not enter an alphanumeric identifier in the Msg field.

  2. Click Store MSG.

The ID number appears in the MSG field for the effect slot, located at the bottom of the Squeezeback Panel.

Graphic Message MSG ID Fields

The graphic stays on-screen until another Squeezeback effect with an associated graphic is made active.

NOTE

If a stored graphic does not display when an effect is activated, check to see if the Graphic Plane is turned off. If so, turn it back on.

Clear MSG - Lyric Graphic

Clear MSG is used to clear a stored graphic from an effect. Additionally, if a graphic is stored in an effect where the graphic plane is disabled, it is advisable to clear the graphic from the effect to avoid accidental display. To remove a graphic from an effect:

  • Click Clear MSG.

Erase/Replace a Squeezeback Graphic

To erase a graphic associated with a Squeezeback effect from an output, or to replace the graphic without disturbing the displayed Squeezeback regions, choose one of the following methods:

From within the Squeezeback Panel

A blank screen or other graphic message must be stored to an effect on a PCI-Squeezeback board. This effect can then be executed when an output erase/graphic replace is needed. For example, a blank screen or new graphic message can be stored to Effect 5. Whenever Effect 5 is executed, the graphics buffer and output of the board will be erased or replaced.

To keep the current Squeezeback regions constant on the output when erasing the graphic:

  • Deactivate the PCI-Squeezeback boards in the Effect Active Board Settings for the graphic erase effect. When the graphic erase effect is executed, the current Squeezeback regions stay constant.

OR

  • Copy the ENDING SQUEEZE VALUES of the previous effect to the STARTING SQUEEZE VALUES of the graphic erase/replacement effect. Set the ENDING SQUEEZE VALUES as desired.

From outside the Squeezeback Panel

  • Activate the Video Squeezeback channel and erase the Graphic Plane buffer or read a new message into the buffer in the same manner as with other frame buffer devices.

  • Xfer (Transfer) a blank/graphic message or blank/graphic active screen to the appropriate Squeezeback buffer.

Program a blank/graphic screen message to follow the Squeezeback effect in a Playlist. This works only if the Playlist is executed on the Squeezeback channel.


Mixer Controls (Duet LE/LEX/PCI/PCI+)

Mixer Controls

Tools Menu > Squeezeback Panel

The Mixer Controls determine how the various PCI-Squeezeback video layers display in relation to each other. The Mixer Controls are located below the SQZ Board tabs and the STARTING/ENDING SQUEEZE values.

Mixer Controls

A Over B, B Over A

These settings determine display priority between the two resized video layers.

  • Click the radio button A Over B to display Video A on top of Video B.

  • Click the radio button B Over A to display Video B on top of Video A.

Background On

This setting indicates whether or not the Background Video In is turned On or Off.

  • Click the Background On checkbox to toggle Background Video In On or Off.

Dissolve Effect

Dissolve programs a Dissolve effect between Video A and Video B. It is recommended that the two video images be the same size, and that they are positioned one directly on top of the other. When executed, the top layer dissolves into the bottom layer. See A Over B, B Over A above for details on Video A/B layer priority.

Graphic On Top

Graphic On Top determines the display priority between the Graphic Plane and Video A/B. The Graphic Plane can display either on top of Video A and Video B, or behind Video A and Video B. The Graphic Plane cannot display between Video A and Video B.

  • Click the Graphic On Top checkbox to toggle Graphic On Top On or Off.

Graphic Plane On

Graphic Plane On turns the Graphic Plane display On and Off.

  • Click the Graphic Plane On checkbox to toggle Graphic Plane display On or Off.

NOTE

If graphics are not reading, text input is not being accepted or importing or loading into the Squeezeback graphics buffer is inoperable, check to see if the Graphic Plane is turned off. If so, turn it back on.


PCI-Squeezeback Board Hardware Topology (Duet LE/LEX/PCI/PCI+)

PCI-Squeezeback Board Hardware Topology

All external inputs and outputs of the PCI-Squeezeback board are 10-bit SDI (Serial Digital Interface). Only the Analog Genlock In on the Analog Genlock panel can accept an analog signal, which is routed to an internal input on the PCI-Squeezeback board.

The illustration below diagrams the hardware topology of the PCI-Squeezeback board.

indicates an external BNC connector

indicates an internal Mini SMB connector

NOTE

If the PCI-Squeezeback board is disabled due to power failure or other cause, a Video Bypass Relay routes the SB VID 1 (Primary Video In) path to SB VID OUT (Video Out), bypassing the Resizer. This avoids an interruption of the video signal. When power is restored, the Primary Video is automatically rerouted to the Resizer.

Image: Hardware Topology - PCI-Suqeezeback Board

PCI-Squeezeback Board Hardware Topology


READ Lyric Graphic or Squeezeback Message


READ Lyric Graphic; READ/SAVE SQZ MSG

READ Lyric Graphic or Squeezeback Message, SAVE SQZ MSG


Squeezeback Effect Message Operations (Duet LE/LEX/PCI/PCI+)

Squeezeback Effect Message Operations

Tools Menu > Squeezeback Panel

Effect Name

Each of the ten effects can be given a name to make it more easily identifiable. To name an effect, click on the appropriate Name field for the effect slot, then enter the name. The name should be alphanumeric, and can be up to 20 characters long.

Effect Name

When entered, the effect name is reflected in the Squeezeback Kwik Tool.

SAVE SQZ MSG - Save Lyric Squeezeback Effect Message

To save a Lyric Squeezeback Effect message:

  • Enter an unused ID number or filename in the Msg field (see below), and then click the SAVE SQZ MSG button. The message is saved to the default Messages directory in the Lyric folder.

READ and SAVE Buttons

See the topic Message Number for additional details on file ID numbers.

READ Lyric Squeezeback Effect Message

To load a Lyric Squeezeback Effect Message, enter the Message ID number or filename in the Msg field, and then click the READ button. The effect settings for that message are loaded into the Squeezeback Panel. The Squeezeback effect can then be executed. If a graphic message was stored with the effect, it is displayed as well.

Note that while the graphics plane of the PCI-Squeezeback board can be used for 2- and 3-D composition and perform Read Effects and Message Effects, animations cannot be performed simultaneously with a Squeezeback effect on the same board.

Clear Effect

Click the Clear Effect button, found towards the bottom right of the Squeezeback Panel to clear all settings in the Squeezeback Panel. Settings are also cleared in the Squeezeback Designer START and END dialog boxes.

Clear Effect Button

OK/Cancel

When finished setting parameters for the Lyric message:

  • Click OK as seen below to preserve settings and close the Squeezeback Panel. The 10 effects that are active in the Squeezeback setup can be executed from the SQZ Kwik Tool. Lyric retains these settings even when closed and the system is turned off.

OR

  • Click Cancel as seen below to close the Squeezeback Panel and revert to the last group of Squeezeback settings that were confirmed using the OK button.

OK and Cancel Buttons


Squeezeback Panel - Getting Started

Tools Menu > Squeezeback Panel

The optional PCI-Squeezeback board enables the creation of resizeable video areas which can display video from independent sources such as an external video feed or the Internal Clip Player. The PCI-Squeezeback board features four independent video layers, two of which can be resized and positioned in real time to create dynamic effects such as compression of a full-screen video image to allow for display of additional graphics in the lower third. In addition, the PCI-Squeezeback board contains a graphics layer and a background video input to add additional graphic depth. Squeezeback effects are rendered independently by GPI triggers, can be programmed into Playlists using the Sqz-In and Sqz-Out effects and triggered by Intelligent Interface.

NOTE

Except for SQZ Kwik Tool Squeezeback effect execution, all setup and display options for each PCI-Squeezeback board must be set from within the Squeezeback Panel and/or the Squeezeback Designer (START/END) dialog boxes. If Video Resizer regions, the graphic layer and/or Background video are not displaying, check the appropriate settings in these dialog boxes. Note that Video and Graphic layer display options are not set in the Hardware Configuration>Setup Board Configuration tab, as they are with CODI-type frame buffer devices.

There are two methods for displaying the Squeezeback Panel:

  • Click on the Canvas displaying the active Frame Buffer (this brings the focus to the Canvas), then click Tools > Squeezeback Panel.

OR

  • Click on the Designer button in the Squeezeback Kwik Tool.

Rest the mouse on a Squeezeback Panel element for a brief description of its function. Click on the element to link to a detailed description.

Squeezeback Panel

This example shows a two-PCI-Squeezeback board system. Note that there may be other frame buffer devices in the system as well, but they do not appear in the Squeezeback Panel. The PCI-Squeezeback boards are numbered in order of channel assignment. For example, if the system contains two frame buffer devices assigned to channels 1 and 2, and two PCI-Squeezeback boards assigned to channels 3 and 4, the PCI-Squeezeback boards are numbered 1 and 2 respectively in the Squeezeback Panel. The channel to which each is assigned is in the parentheses to the right of the respective board number. The display priority (layering order) of the frame buffer devices and PCI-Squeezeback boards is dependent upon how they are physically cabled in the system. See CODI Board/Squeezeback Board/Internal Clip Player Cabling Options.

Ten Squeezeback effects can be set up and saved as one Lyric (.lyr) Message and recalled at any time. If more than ten effects are required, then additional pages of ten effects can be set up and saved as .lyr messages.

Each effect can use any number of available PCI-Squeezeback boards, up to four, in the system. Each PCI-Squeezeback board has available two resizeable video inputs. For example, to compose a four-head shot effect, use two PCI-Squeezeback boards; for six head shots, use three boards; and for eight, use all four.

Each PCI-Squeezeback board also has a graphics layer and a background input. Start and end positions, start heights and widths of each resizeable video can be set, as well as priority, interpolation and transition effect. GPI triggers are also set in this dialog box. Multiple PCI-Squeezeback boards in a system can simultaneously execute Squeezeback effects.

The PCI-Squeezeback board has a Video and a Key output. It can be Genlocked using either the Analog Genlock Panel or through the Background In BNC connection for digital Genlock. See Analog and Digital Genlock for additional information.

Non-PCI-Squeezeback board control is not accessible from the Squeezeback Panel.


Squeezeback Panel Copy/Paste Operations

Tools Menu > Squeezeback Panel (Duet LE/LEX/PCI/PCI+ Only)

Copy and Paste operations are performed using the buttons located at the right side of the Squeezeback Panel, pictured below. Note that when a Copy operation is performed, the PASTE buttons are no longer grayed out.

Copy and Paste Buttons

Settings can be pasted into the message from which it was copied, a different existing message, or a new message.

COPY A/B

Click the COPY A/B button to copy all SQZ BOARD tab, Squeezeback Designer (START) and (END) dialog boxes and Mixer Control settings for the active effect to the Paste buffer.

COPY START

Click the COPY START to copy all START settings of the Lyric Squeezeback Effect to the Paste buffer.

COPY END

Click COPY END to copy all END settings of the Lyric Squeezeback Effect to the Paste buffer.

PASTE A/B

Click PASTE A/B to paste all SQZ BOARD tab, Squeezeback Designer (START) and (END) dialog boxes and Mixer Control settings copied to the Paste buffer to the effect slot that is selected.

PASTE START

Click PASTE START to paste the contents of the Paste buffer settings of the Lyric Squeezeback Effect to the START settings of the selected effect.

  • If the Paste buffer contains both START and END settings, the START settings are pasted to the START settings of the currently selected effect.

  • If the Paste buffer contains only START settings, they are pasted to the START settings of the currently selected effect.

  • If the Paste buffer contains only END settings, they are pasted to the START settings of the currently selected effect.

PASTE END

Click PASTE END to paste the contents of the Paste buffer settings of the Lyric Squeezeback Effect to the END settings of the selected effect.

  • If the Paste buffer contains both START and END settings, the END settings are pasted to the END settings of the currently selected effect.

  • If the Paste buffer contains only START settings, they are pasted to the END settings of the currently selected effect.

  • If the Paste buffer contains only END settings, they are pasted to the END settings of the currently selected effect.


SQZ Board Tabs (Duet LE/LEX/PCI/PCI+)

SQZ Board Tabs

Tools Menu > Squeezeback Panel

Each PCI-Squeezeback board in the system displays a SQZ Board tab, located to the right of the Effect Active Board Settings, in which the two Video Resizer channels, Video A and Video B, can be set. Each channel has its own set of values with which to program an effect. Video A settings are on the left; Video B settings are on the right.

SQZ Board Tabs

A two-PCI-Squeezeback board system is shown above. The boards are numbered 1 and 2 by the system. The number in parentheses indicates the channel to which the board is assigned in the Hardware Configuration dialog box accessed from Config > Hardware.

  • To select a board to program, click on the appropriate tab.

Video A is considered the Primary Video Channel. As such, Primary Video is sent both to Resizer 1 and to a frame delay module which bypasses the Resizer, and can be sent, unmodified, to the Video output, regardless of Video A settings.

Additionally, ancillary data such as embedded audio and Line 21 Closed Caption data is carried on the frame-delayed Primary Video signal, and can be inserted into the PCI-Squeezeback board mixer Video Out stream. Note that resized Primary and Secondary Video streams are always stripped of ancillary data. Refer also to Frame Delay and Ancillary Data. Refer to Ancillary Data for details on selecting the PCI-Squeezeback board mixer video output with ancillary data vs. unmodified Primary Video.

The procedure for setting the values for Video A and Video B is identical except for the Interpolate function, which is described below in Interpolate.

Position: Starting/Ending X, Y

Starting and Ending X, Y values set the starting and ending positions of Video A and Video B. X/Y position is measured from the center of the screen. To enter a value, highlight the appropriate field, and then type the desired number into the field.

  • Starting X/Ending X defines the horizontal entry and exit positions respectively, in pixels, of the video image.
    Range: -720 to +720

  • Accepts single-pixel entry which defaults to even number of pixels.

Starting Y/Ending Y defines the vertical entry and exit positions respectively, in scanlines, of the video image.

  • Range - NTSC: -244 to +244

  • Range - PAL: -289 to +289

  • Accepts single-scanline entry which defaults to even number of scanlines.

Dimensions: Starting/Ending Width, Height

Starting and Ending Width, Height values set the starting and ending dimensions of Video A and Video B. To enter a value, highlight the appropriate field, and then type the desired number into the field.

Starting/Ending Width defines the starting and ending horizontal dimensions, in pixels, of the video image.
Range: 8 to 720

Starting/Ending Height defines the starting and ending vertical dimensions, in scanlines, of the video image.

  • Range - NTSC: 2 to 486

  • Range - PAL: 2 to 576

Clipping: Left, Top, Bottom Right

The video to be used for the Video Squeezeback effect can be clipped (cropped). Note that the clipping Line 21 of the video removes Closed Caption information. This is of no consequence for Primary Video input, as this ancillary data is diverted to the Frame Delay module and can subsequently be incorporated into Video Out. Note that Secondary Video (Video B) is always stripped of ancillary data.

To enter a value, highlight the appropriate field, and then type the desired number into the field.

  • Left/Right dimensions can be clipped in 8-pixel increments.

  • Top/Bottom dimensions can be clipped in 1-scanline increments.

Hold Control for Both Video A and B

The Hold Control slider bar is used to manually step through and view the effect frame by frame. Each frame can be individually edited. The current frame number is displayed in the display field located between the OUT and IN buttons (see below).

To move the slide box, either click on the slider bar to jump the slide box to the clicked location, or drag the slide box to the desired position.

OUT/IN and Frame Display Field

The OUT and IN buttons are used to manually step through and view the effect frame by frame. Each frame can be individually edited. The current frame number is displayed in the display field located between the OUT and IN buttons.

  • Click IN to step the effect in the forward direction.

  • Click OUT to step the effect in the reverse direction.

Ease

Ease applies an Ease effect to the beginning and end of the Video Squeezeback effect. To apply Ease, click the Ease checkbox. Note that Ease is applied only to the Video Squeezeback regions, not to the graphic associated with the effect. See Store MSG - Lyric Graphic for information on stored graphics.

Fade

Fade provides a number of choices for applying a Fade effect.

  • Click the No Fade radio button if no Fade effect is to be applied to the Video Squeezeback effect. This is the default setting.

  • Click the Fade In radio button to fade in the video at the beginning of the Video Squeezeback effect.

  • Click the Fade Out radio button to fade out the video at the end of the Video Squeezeback effect.

Note that Fade is applied only to the Video Squeezeback regions, not to he graphic associated with the effect. See Store MSG - Lyric Graphic for information on stored graphics.

Frames

The duration of the Video Squeezeback effect is set in the Frames field. To enter a value, highlight the field, and then type the desired number into the field.

Range: 1 to 300 (10 seconds)

  • To execute a Cut effect, set Frames to 1.

ON

The ON control turns the video region on or off. For example:

  • If both Video A ON and Video B ON are checked, both Video A and Video B are displayed.

  • If Video A ON is not checked, and Video B ON is checked, Video A is not displayed and Video B is displayed.

To toggle between on and off:

  • Click the ON checkbox to toggle between On and Off.

Interpolate

Interpolate causes sub-scanline and sub-pixel movement to be applied during an animation, smoothing out jaggedness that sometimes occurs during slowly-moving animations.

Applying Interpolate requires that the same video source be fed simultaneously to both Primary and Secondary Video inputs. This is necessary to produce the sub-scanline and sub-pixel movements.

Interpolate can be set only from Video A. When Interpolate is enabled, Video A settings are automatically applied to Video B, and the Video B dialog region is grayed out.

  • Click the Interpolate box to toggle between Enabled and Disabled.


STARTING/ENDING SQUEEZE VALUES - Squeezeback Designer

Tools Menu > Squeezeback Panel

The Squeezeback Designer provides the ability to program a Squeezeback effects for Video A and Video B, much as it is done in the SQZ Board tab. The Squeezeback Designer, however, provides sliders and spin boxes with which to fine-tune the effects settings. There are also additional Anchor, Lock Aspect and Justify settings in the Squeezeback Designer which are not available in the SQZ Board tab.

To access the Squeezeback Designer, click STARTING SQUEEZE VALUES to program or display the start settings of the effect, or click ENDING SQUEEZE VALUES to program or display the end settings of the effect. These buttons are located directly below the SQZ Board tabs.

STARTING/ENDING SQUEEZE VALUES Buttons

  • Depending on which button is selected, the Squeezeback Designer (START) or (END) dialog box is displayed.

  • Clicking the center button [image] swaps the settings in the STARTING SQUEEZE VALUES with the ENDING SQUEEZE VALUES settings.

The figure below shows the Squeezeback Designer (START) dialog box.

Image: Squeezeback Designer

Squeezeback Designer (START)

The settings for Video A are on the left; settings for Video B are on the right. These two dialog areas are identical except for the Video A ON or Video B ON checkbox and Video A Over B or Video B Over A radio button found at the lower left of each dialog area.

There is also a row of checkboxes at the bottom of the Squeezeback Designer (START) or (END) dialog box where display priority is set. Each of the following procedures for setting the parameters described in the following paragraphs are, except where noted, applicable to both Video A and Video B, in both the Squeezeback Designer (START) and Squeezeback Designer (END) dialog boxes.

Position - Starting/Ending X, Y

X and Y values set the starting or ending positions of Video A and Video B. X/Y position is measured from the center of the screen.

  • The X POSITION slider is located at the bottom of the Squeezeback Designer Video A and B dialog boxes. The X POSITION spin control box is located below and at the right end of the slider.

  • The Y POSITION slider is located at the right of the Squeezeback Designer Video A and B dialog boxes. The Y POSITION spin control box is located to the right and at the bottom end of the slider.

Squeezeback Designer X/Y Position

Starting X/Ending X defines the horizontal entry and exit positions respectively, in pixels, of the video image.
Range: -720 to +720

  • Accepts single-pixel entry which defaults to even number of pixels.

Starting Y/Ending Y defines the vertical entry and exit positions respectively, in scanlines, of the video image.

  • Range - NTSC: -244 to +244

  • Range - PAL: -289 to +289

  • Accepts single-scanline entry which defaults to even number of scanlines.

Dimensions - Starting/Ending Width, Height

Width and Height values set the starting and ending dimensions of Video A and Video B.

  • The WIDTH slider is located at the top of the Squeezeback Designer Video A and B dialog boxes. The WIDTH spin control box is located above and at the left end of the slider.

  • The HEIGHT slider is located at the left of the Squeezeback Designer Video A and B dialog boxes. The HEIGHT spin control box is located to the left and at the top end of the slider.

Squeezeback Designer Height/Width

Starting/Ending Width defines the starting and ending horizontal dimensions, in pixels, of the video image.

  • Range: 8 to 720

Starting/Ending Height defines the starting and ending vertical dimensions, in scanlines, of the video image.

  • Range - NTSC: 2 to 486

  • Range - PAL: 2 to 576

Clipping - Left, Top, Bottom Right

The video to be used for the Video Squeezeback effect can be clipped (cropped). Note that the clipping Line 21 of the video removes Closed Caption information. This is of no consequence for Primary Video input, as this ancillary data is diverted to the Frame Delay module and can subsequently be incorporated into Video Out. Note that Secondary Video (Video B) is always stripped of ancillary data.

The Clipping spin control boxes are located at the center of the Squeezeback Designer Video A and B dialog boxes.

Squeezeback Designer Clipping Settings

  • Left/Right dimensions can be clipped in 8-pixel increments.

  • Top/Bottom dimensions can be clipped in 1-scanline increments.

Lock Aspect

Lock Aspect preserves the aspect ratio of the image when setting a new height or width. When Height is adjusted, Width automatically adjusts to conform to the aspect ratio. When Width is adjusted, Height automatically adjusts to conform to the aspect ratio.

The Lock Aspect checkbox is located at the top center of the Video A/B dialog box.

Lock Aspect Checkbox

  • Click the Lock Aspect checkbox to toggle Lock Aspect On or Off.

Anchor

Normally in a Squeezeback effect, the image expands from or contracts to a center point. Anchor provides additional points from which to expand or contract the image, as shown in the following figure. Image Expands/Contracts To/From:

Anchors

The Anchor checkboxes are located at the top right of the Video A/B dialog box.

  • Click the appropriate Anchor checkbox to toggle it On or Off.

  • If no checkbox is checked, the image expands from or contracts to the center of the image.

Anchor Checkboxes

Copy/Paste

Settings can be copied and pasted from one Squeezeback Designer Video A/B dialog box to another. The Copy and Paste buttons are located at the right side of the Squeezeback Designer Video A/B dialog box.

Copy and Paste Buttons

  • To copy the settings of a Squeezeback Designer Video A/B dialog box. The settings are stored in a Paste buffer. When there are contents in the Paste buffer, the Paste button is no longer grayed out.

  • To paste settings, display the Squeezeback Designer Video A/B dialog box to which the settings are to be applied. Click the Paste button. Note that this can be in either a Squeezeback Designer (START) or (END) dialog box.

Video A/B Mixer Controls

The Mixer Controls determine if Video A and/or B are ON, and which one displays on top of the other. The Mixer Controls are located in the lower left corner of the Squeezeback Designer Video A/B dialog box. The Video A and Video B Mixer Controls differ slightly from each other as shown in the following figure.

Video A and Video B Mixer Controls

Video A and Video B display can be independently turned on and off.

  • Click the Video A or B ON checkbox to toggle between on and off

Video A over B and Video B over A are not independent of each other. Only one video image can be set to display on top of the other.

  • Click the Video A over B radio button in the Squeezeback Designer Video A dialog box to display Video A on top of Video B.

  • Click the Video B over A radio button in the Squeezeback Designer Video B dialog box to display Video B on top of Video A.

Justify

Justify is a quick way to move a video image to a particular area of the display. The Justify buttons are located at the left side of the Squeezeback Designer Video A/B dialog box.

Justify Buttons

  • Click the Justify Top, Left, Center, Right or Bottom button to move the image to the indicated location.

Graphic Plane/Background Video Mixer Controls

The Graphic Plane/Background Video Mixer Controls determine whether or not the Graphic Plane and Background video display, and if the Graphic Plane displays on top of or behind the video images. These controls are located at the bottom center of the Squeezeback Designer dialog box.

Graphic Plane/Background Video Mixer Controls

Graphic Plane On turns the Graphic Plane display On and Off.

  • Click the Graphic Plane On checkbox to toggle Graphic Plane display On or Off.

Graphic On Top determines the display priority between the Graphic Plane and Video A/B. The Graphic Plane can display either on top of Video A and Video B, or behind Video A and Video B. The Graphic Plane cannot display between Video A and Video B.

  • Click the Graphic On Top checkbox to toggle Graphic On Top On or Off.

NOTE

If graphics are not reading, typing importing or loading into the Squeezeback graphics buffer, check to see if the Graphic Plane is turned off. If so, turn it back on.

The Background On setting indicates whether or not the Background Video In is turned On or Off.

  • Click the Background On checkbox to toggle Background Video In On or Off.

Start/End

Selecting the Start or End radio button displays the Start or End settings, respectively, for the Squeezeback Designer. The selected settings can then be then be edited.

Start/End Radio Buttons

OK/Cancel

The OK and Cancel buttons are located at the bottom left corner of the Squeezeback Designer dialog box.

OK and Cancel Buttons

When finished setting the parameters for both Video A and Video B:

  • Click OK to save settings. The Squeezeback Designer dialog box closes, and the corresponding settings in the Squeezeback Panel are updated.

OR

  • Click Cancel to close the Squeezeback Designer dialog box without saving settings. The settings in the Squeezeback Designer dialog box revert to the values that were displayed on opening the dialog box. the corresponding settings in the Squeezeback Panel remain unchanged.


Paste Unicode Text

Edit Menu > Paste Unicode Text; Ctrl + Alt + V;
Windows Character Map > Select, then Copy, then Lyric Edit Menu > Paste or Ctrl + V

Occasionally, a Lyric composition will require nonstandard characters or characters not commonly occurring in the user's native language. Lyrics Paste Unicode Text option may be used to copy these characters from other applications, such as word processors. Note that Paste Unicode Text can be applied only to 2D text, not 3D characters. Lyric supports double-byte characters if the Windows® operating system supports double-byte characters. Examples include Chinese, Japanese and Korean Windows.

NOTE

It is possible that the Unicode character from the source document is not available in the font set selected in Lyric. Although the most widely used font sets contain a standard set of Unicode characters, it is recommended that the font used in Lyric either matches the font from the source document or that it is confirmed that the Lyric font contains the Unicode characters. This is especially important when a Template is updated with Unicode characters. The Template must also have the correct font assigned in order to correctly display the Unicode characters. The font can be set either from the Font Toolbar, or the Properties > Font tab.

To copy a Unicode character to a Lyric composition:

  1. Open the document containing the Unicode text.

    Image: Document Containing Unicode Character

    Source Containing Unicode Character to Copy to Lyric

  2. Highlight the Unicode character in the document, and then copy the character from the application.

    Image: Highlighting Unicode Character

    Highlighting the Unicode Character

  3. In the Lyric composition, place the cursor at the point where the Unicode character is to be inserted, then select Paste Unicode Text from the Edit menu or press Ctrl + Alt + V. The character is pasted at the cursor location.

    Image: Unicode Character Pasted into Lyric Composition

    Unicode Character Pasted into Lyric Composition

You may also copy and paste special characters directly from the Windows Character Map.

  1. Access the Windows Character Map. It can oftentimes be found in Start > Programs > Accessories, but may be located elsewhere on the system.

    Copying a Unicode Character from the Windows Character Map

  2. Click on the character, then click Select. The character appears in the Characters to Copy field.

  3. Click Copy.

  4. In the Lyric composition, place the cursor at the point where the Unicode character is to be inserted, then select Paste from the Edit menu or press Ctrl + V. The character is pasted at the cursor location.


Insert/Delete Row

Insert Row/Delete Row

Edit Menu > Insert Row; Alt + Insert; 2D Text Window Right-Click Menu > Insert Row

Insert Row creates a new row at the cursor location, or inserts a row into the current Template at the cursor location (2D text only).

Edit Menu > Delete Row; Alt + Delete; 2D Text Window Right-Click Menu > Delete Row

Delete Row deletes the row at the current cursor location (2D text only). If in a Template, this function deletes a Template row.


Swap Row Priorities Up/Down

Swap Row Priorities Up: Edit Menu > Swap Row Priorities Up; 2D Text Window/Template Right-Click Menu > Swap Row Priorities Up; Alt + P
Swap Row Priorities Down: Edit Menu > Swap Row Priorities Down; 2D Text Window/Template Right-Click Menu > Swap Row Priorities Down; Alt + N

The display priority of 2D text rows on the Z-axis may be adjusted in compositions where rows overlap. The Swap Priority Up/Down operations are similar to Bring Forward and Send to Back operations found in graphics programs such as Adobe® Photoshop®.

Image: Swap Priority

Swap Row Priority Examples

Refer to the illustration above. Both Swap Priority operations are applied to the top set of three rows.

  • The top set of three rows shows normal priority when rows are typed in Lyric. Each new row displays behind the previously-typed row. Row 1 displays on top of Row 2, which displays on top of Row 3.

  • In the second set of rows, Swap Row Priority Up has been applied to Row 3. Row 3 now displays in front of Row 2, and behind Row 1.

  • In the third set of rows, Swap Row Priority Down has been applied to Row 1. Row 1 displays behind Row 2, and in front of Row 3.

To apply a priority change:

  1. Click on the left or right handle of one of the two rows that are to be swapped.

    Row Handle

  2. If the row is to be moved forward, i.e., "closer" to the viewer, use one of the following methods to execute the swap:

    • Select Swap Priority Up from the Edit menu.

    • Press Alt + P.

    • Right-click on the 2D Text window or its entry in the Scene Graph, then select Swap Up.

    If the row is to be moved back, i.e., "further away" from the viewer, use one of the following methods to execute the swap:

    • Select Swap Priority Down from the Edit menu.

    • Press Alt + N.

    • Right-click on the 2D Text window or its entry in the Scene Graph, then select Swap Down.


Row Tab Functions

Insert Tab: Edit Menu > Insert Tab; Ctrl + T
Tab Column Mode: Edit Menu > Tab Column Mode; Alt + M
Select Next Tab: Edit Menu > Select Next Tab; Alt + J, Alt > or Alt <
Row/Tab Properties: Edit Menu > Row/Tab Properties; 2D Text Window Right-Click Menu > Row/Tab Properties

Setting up a Row Tab

Row Tabs are used to produce columns in 2D Text windows and Roll, Crawl and Type On (Slow Reveal) windows, and are similar to ordinary tabs in a traditional word processor. The term Row Tabs is used to distinguish this function from Template Fields (in the context of Intelligent Interface and External Update) and the use of Tab keys in keyboard shortcuts.

Row Tabs may be used simply for convenience when inputting text, same as when using tab stops in a word processor. Each Row Tab's attributes may be individually set. To set attributes, a Row Tab must be established in a 2D Text window on the Canvas.

  1. For this example, open a full-screen 2D Text window. If you are not in Full Screen mode, right-click on the text window's Title Bar or within the window itself. In the menu that appears, select Make Full Screen. Note that 2D Text windows can be either full- or not full-screen when using Row Tabs.

  2. Pull down Lyric's Edit menu or right-click on the 2D Text window context menu, and then select Insert Row to create the Canvas's first row without typing text.

  3. Click anywhere on the baseline of the first row and press Ctrl + T to set a tab stop. A red Row Tab Marker appears (see figure below). Note that you may click and drag Row Tabs to adjust their locations on the row's baseline. Whenever a Row Tab is selected, it turns red. When it is not selected, it is green. When its properties are being set, it turns purple (see next step).

    Image: Row Tab

    Row Tab Added to Canvas

  4. Right-click on the marker to display the context menu, then select Row Tab Properties. The Row Tabs Properties dialog box is displayed. The Row Tab marker now turns purple.

    Image: Row Tabs Properties Dialog Box

    Row Tabs Properties Dialog Box

  5. Select the Justification Properties:

    None: Text appears where typed.

    Center: Text centered on Row Tab marker.

    Left: Left end of text stays at Row Tab marker.

    Right: Right end of text stays at Row Tab marker.

    Numeric: Right end of number stays at Row Tab marker. Use with whole (non-decimal) numbers. Two examples are shown below.

    Decimal: Decimal point stays at marker.

    Image: Row Tabs Justification

    Justification Examples

    Auto Erase: When Auto Erase is enabled, text is automatically erased when new text is typed. You must use one of the following methods to access the Row Tab in order for this to work. Just typing in the column does not erase the existing text.

    • Press Alt + J, Alt > or Alt <.

    • Select Select Next Tab from the Edit Menu.

    • Click the Row Tab marker with the mouse before typing

    X Position: Reflects X Position of the Row Tab relative to the left border of the 2D Text window. This value can be changed in this field.

    Tab Column: Reflects the column number. The Row Tab columns are automatically numbered in order of their creation, starting at 0. This value cannot be changed.

  6. Click OK.

Note the following about Row Tabs:

  • Each Row Tab's properties may be set individually, but may affect other Row Tabs if working in Tab Column Mode (see "Working with Tab Columns," below).

  • Note that Templates attached to a Row Tab have their own justification for text within the Template borders, but their placement on the row is set by Row/Tab Properties.

In the preceding example, a Row Tab was created without first inputting text. To create a Row Tab in existing text:

  • Position the cursor where the Row Tab is to be inserted, then click the Ctrl + T key combination or the pull down the Edit menu and select Insert Tab.

NOTE

When a Row Tab is established, text is "attached" to it. All text attached to a Row Tab remains so until the text or Row Tab is deleted, or the text is selected and repositioned using the mouse.

Tab Columns

Row Tabs can be used to create columns in Lyric, making alignment of text columns easy.

  1. Select Tab Column Mode from the Edit Menu or press Alt + M. This puts Lyric into Tab Column Mode. The Edit Menu displays a checkmark next to Tab Column Mode.

  2. Open a full-screen 2D Text window. Next, pull down the Edit menu and select Insert Row to create a row on the Canvas.

  3. Click at a second location on the baseline of the row, then and press Ctrl + T to set a second tab stop. A second Row Tab marker appears.

    Adding a Second Row Tab

    Adding a Second Row Tab

  4. Press Enter, and then a second row is created, containing the same tab stops. Optional: Press Enter to create additional rows containing the same Row Tabs. The columns are numbered in the order of their creation. Tab column numbers cannot be changed.

  5. Click at the Row Tab marker for the first column on the first row and begin inputting text. If you press Enter, the cursor will move to the beginning of the same column on the next row. Remember that pressing Enter when the cursor is in the last row on the Canvas adds a new row(s).

Note the following about adjusting Row Tabs Properties while in Tab Column Mode:

  • Setting the Row Tab Properties of one Row Tab in any row affects the properties of all Row Tabs in the same column.

  • Selecting a Row Tab and repositioning it moves all Row Tabs in the same column in the following rows.

  • Selecting a Row Tab and sliding it past another previously repositioned Row Tab(s) in the same column and below it "picks up" the repositioned Row Tab and brings it into alignment with the moving Row Tab above.

To exit Tab Column Mode:

  • Select Tab Column Mode from the Edit Menu or press Alt + M. Tab Column Mode is now disabled, and the Edit Menu no longer displays a checkmark next to Tab Column Mode.

Row Tab Navigation, Selection and Deletion

Select Next Tab

To move among the tab stops on a single row:

  • Select Select Next Tab from the Edit menu, or press Alt + J, Alt > or Alt <.

Navigating Among Row Tabs

To move left-to-right/top-to-bottom or vice-versa among Row Tabs on different rows:

  • Press Alt plus the < or > keys.

Moving Row Tabs

To move all the Row Tabs to the right of a Row Tab:

  • Press the Alt key while clicking and dragging a Row Tab.

Deleting a Row Tab

To delete a Row Tab:

  • Select the Row Tab marker, then press the Delete key; or left-click on the Row Tab marker, then hold down the left mouse button and press Delete.


Find/Replace

Edit Menu > Find/Replace; Ctrl + H

  1. Find/Replace is used to locate a text string in a 2D Text window (including Roll, Crawl, etc.), and if desired, replace it with another text string. To set up the Find/Replace operation:

  2. Select Find/Replace from the Edit menu or press Ctrl + H. The Find/Replace dialog box is displayed (see figure below).

  3. Enter the text string for which you will search (the "search string") into the Find what field. There are two parameters which can narrow the search:

    • If activated (checked), Match Whole Word Only searches only for the string as a whole word, not as part of another string. For example, a search for the string "some" will find the string "some" but not the string "something".

    • If activated (checked), Match Case searches only for matching strings which also match upper/lower case spelling. For example, a search for the string "Cat" will find the string "Cat" but not the string "cat".

  4. If only the Find is to be executed, skip to the next step. Otherwise, enter the text string that is to replace the search string in the Replace with field.

  5. In the 2D Text window on the Lyric Canvas, place the cursor at the point at which the search should begin. Click Find Next to find the next occurrence of the search string. There are three execution options:

    • Find: Click Find Next to find the next occurrence of the search string. Repeat as many times as necessary to find additional occurrences.

    • Find/Replace: Click Find Next to find the next occurrence of the search string. If you want to replace the found search string with the text string entered in the Replace with field, click Replace. If you don't want to replace a particular occurrence but would like to continue searching, don't press Replace; press Find Next. Repeat Find/Next/Replace as necessary.

    • Find/Replace All: Click Replace All to replace all occurrences of the search string with the replacement string. Before executing a Replace All, make absolutely sure that you want to have all occurrences replaced.

    Find/Replace Operation


2D Object Templates

2D Object Context (Right-Click) Menu > 2D Object Properties
Also is displayed when bitmap is imported.

Overview

Each 2D object imported into Lyric has a number of attributes that can be set. To view these attributes:

  • Right-click on a 2D object (bitmap graphic) or its listing in the Scene Graph. For this example, a graphic of an arrow (shown below) is used. Select 2D Object Properties from the context menu. The 2D Object Template dialog box is displayed.

2D Object with 2D Object Template Dialog Box

Setting 2D Object Properties

Name

By default, the Template Name is taken from the 2D object's file name. The Template Name may be changed by single-clicking the 2D object's name only on the Scene Graph. The object's name then becomes editable. Click again anywhere outside the object's name, and the new name is set. This change will appear on the Timeline, Keyframe Graph, Animation Properties tab and any other part of the Lyric interface that lists elements present on the Canvas. The change is also reflected in the Name field at upper left, in the 2D Object Template dialog. In the Bitmap area at upper right, the object's original filename is displayed, regardless of changes to its name as a Canvas object. Note that changing the Template Name does not change the file name.

Renaming an image region in the 2D Object Template

Optional

II Update

Enabling (checking) II Update allows for the 2D Object Template to be updated by Intelligent Interface commands sent from a remote computer. A common example of this application is to display sports scores, using Intelligent Interface to update both the scores (2D Text Templates) and the team logos (2D Object Templates). Refer toIntelligent Interface for additional details.

To enable/disable II Update:

  • Select (check)/deselect (uncheck) the II Update checkbox.

Refer to Intelligent Interface for in-depth information on these commands.

NOTES

When receiving W commands to update 2D Object Templates, be careful about mixing Template fields enabled for DB Link with Template fields marked for Intelligent Interface Update. If DB Link is enabled for a particular Template(s) when the Template Data message is read, the Template(s) will update as per the Intelligent Interface command, but then immediately update again using data from the linked database. This occurs even if the Template is marked for Intelligent Interface Update, i.e., the DB Link data overrides the Intelligent Interface data.

This is also the case for the U command that updates the data in a single Template in a Template Data Message. The DB Link Enable setting, however, does not affect the execution of the U\* command which updates a specified Template without reloading the Template Data Message.

Ext. Update

When a Lyric message is containing a Template(s) marked for External Update is read, the system running Lyric sends an X command requesting Intelligent Interface Update to the host system. Additionally, the following prompt is displayed:

Image: Waiting for Update

Waiting for Update Prompt

The host computer then sends an R command to update the marked Template(s). 2D Object Properties settings are updated after an image is updated via Intelligent Interface.

To enable/disable Ext. Update:

  • Select (check)/deselect (uncheck) the Ext. Update checkbox.

Note that when Ext. Update is enabled, II Update is automatically enabled as well.

Refer toIntelligent Interface for additional details.

Disable Interface Fields

Note

This important component of Lyric's Intelligent Interface/External Update capabilities for 2D Objects does not appear on the 2D Objects Template dialog. The Disable Interface Fields control is located on the Edit Menu (Disable Interface Fields; Alt + U).

Disable Interface Fields disables Intelligent Interface® External Update of all 2D Text Templates and 2D Object Templates in the entire Lyric composition. When a Lyric message is containing a Template(s) marked for External Update is read, the system running Lyric does not send an X command requesting Intelligent Interface Update to the host system. Disabling Interface Fields does not affect, however, the ability of 2D Text Templates to be updated via other Intelligent Interface commands. It does, however, disable the ability of 2D Object Templates to be updated via other Intelligent Interface commands.

To make this adjustment:

  1. Select Disable Interface Fields from the Edit menu, or press Alt + U. The following prompt is displayed.

    Disable All Intelligent Interface Fields Prompt

    Disable Intelligent Interface Fields Prompt

  2. Click Yes to disable or No to cancel.

Show in Alt + T

Adds the currently selected 2D image object to the list of updatable objects that are detailed in the Template Update dialog. Note that within a given message, each individual image object, as modified in its own 2D Object Template dialog, may be set for Show in Alt + T.

Maintain Size

Recall that the 2D Object Template dialog is largely about image objects on the Canvas, and not just about the individual image files that comprise those objects at a given moment. The image files populating image objects may be altered via drag-and-drop replacement, use of the Template Update dialog, or a variety of Intelligent Interface commands. The image object's region, or area on the Canvas, is established by the first image placed there when the Lyric message is composed. Be aware of differences that may exist between the original image that defines a 2D Object's area, and subsequent images that may replace it. Enabling the Maintain Size option will constrain (or expand!) a substituted image to the area of the original 2D Object. However, differences of resolution, size and aspect ratio must be considered. A small image object dragged onto a much larger area earlier established by a larger image may appear degraded when it is required to fill that area. See Drag and Drop for more on the potential pitfalls of image replacement.

DB Link

2D Text Templates and 2D Object Templates can draw text and 2D objects (bitmap graphics), respectively, from any ODBC-accessible database that is available to the system on which Lyric is running. Each time a message containing linked Templates is read, Lyric checks the database, so that any change in the linked 2D Text Templates or linked 2D objects updates the Canvas. Text and graphic updates can be performed from the same database in real time for up-to-the-minute news, election and sports coverage. Refer to DB Link - Using DB Link to Replace Graphics for details on setup.

Update DB Link Fields

Note

As with Disable Interface Fields, mentioned above, this control does not appear on the 2D Objects Template dialog. The Update DB Link Fields control is located on the Edit Menu (Update DB Link Fields).

To update all DBLink fields with the latest data from the data source without having to save and re-read the message:

  • Select Update DBLink Fields from the Edit menu.

Disable DB Link Fields

Note

This control is also located on the Edit Menu (Disable DB Link Fields).

When DBLink Update capability has been set up in a Lyric message, selecting Disable DBLink Fields turns off the DBLink attribute for all 2D Text Templates and 2D Object Templates in the message, although the database links remain as set. Templates do not update from a database when the message is read or Update DBLink Fields is selected. To execute:

  1. Select Disable DBLinks from the Edit menu. The following prompt is displayed.

    Image: Diable DB Link Popup

    Disable DB Link Popup

  2. Select Yes to Disable DB Link for the message, or No to cancel.

To re-enable DB Link:

  1. Select the 2D object in the message, then right-click on the object. The 2D Object Template dialog box is displayed.

  2. Click the DB Link button. Note that the Enable checkbox is not enabled (checked).

  3. Click the Enable checkbox to re-enable DB Link capability. Repeat the process for other 2D objects that are to be enabled for DB Link.

Refer to 2D Text Templates for information on re-enabling DB Link for 2D Text Templates.

Metadata

Allows access to metadata which may exist within the file of the 2D object in use. See Lyric's XMP Facility for more information.

Object

Object parameters describe the height and width of the 2D Object area, and not necessarily the image file inhabiting that area at the moment. These parameters will not change if the Maintain Size checkbox is selected. The parameters will however change appropriately if new images loaded into the 2D Object area are not constrained by the Maintain Size option.

  • Actual Height: Specifies the original height in pixels of the currently selected 2D Object.

  • Actual Width: Specifies the original width in pixels of the currently selected 2D Object.

  • Scaled Height: Specifies the scaled height in pixels of the currently selected 2D Object.

  • Scaled Width: Specifies the scaled height in pixels of the currently selected 2D Object.

  • Pixel Aspect: Specifies the Pixel Aspect of the image. The Pixel Aspect setting compensates for the import of images composed of pixels that are a different aspect ratio. Pixel Aspect can be modified for all bitmap image imports from the Use 1:1 Pixel Aspect for Graphics Import, accessed from Config Menu > Canvas Resolution. Pixel Aspect can be modified for the current image only by right-clicking on the image, selecting Internal Properties from the context menu, and then editing the Pixel Aspect setting.

Bitmap

The Bitmap parameters provide information about the image currently inhabiting the 2D Object. Except for Embed On Save, all Bitmap parameters are reflective of settings that are specified outside of the 2D Object Template Dialog Box, and cannot be changed from within the 2D Object Template Dialog Box.

  • File Name: Specifies the path to the bitmap.

  • Browse button: Allows the user to navigate directly from this dialog in selecting a new image to replace the one currently populating the 2D Object area.

  • Image Data: This [image] button ensures that the Height, Width and Type values are appropriately updated when a new image is brought into the 2D Object region.

  • Embed On Save records the contents of the image file currently occupying the 2D Object as part of the Lyric message. This produces a larger Lyric message file to store on your system, and may results in longer load time. However, it eliminates the danger of your system failing to find an image that has been moved or deleted from a specific location. If Embed On Save is disabled, only data about the image, but not the image file itself, is stored with the Lyric message. The required image file is instead referenced whenever the Lyric message is read, and called up from the expected location. This arrangement can help to minimize load time, but requires that the image be available at the specified path when the message is read.

  • Height: Specifies the original height in pixels of the bitmap.

  • Width: Specifies the original width in pixels of the bitmap.

  • Type: The image's depth, measured in bits. "32-bit" indicates the presence of alpha information.

Templates - Related Topics

2D Objects - Related Topics


2D Text Overview

About 2D Text

2D Text is composed of 2D characters created from Font Faces, also known as Font Styles, to which a set of characteristics such as Font Size, Font Color, etc. can be applied. 2D Text is introduced to the Canvas simply by typing into one of the following types of 2D Windows. Refer to Getting Started in Lyric for details on introducing these windows to the Canvas. Each type of 2D Window exhibits a characteristic behavior when an animation is executed:

  • 2D Text Window: Text remains static.

  • 2D Roll Window: Text rolls in a vertical direction. Refer to Roll for details on setup and execution.

  • 2D Crawl Window: Text crawls in a horizontal direction. Refer to Crawl for details on setup and execution.

  • 2D Type On Window: Text appears on the screen as if it is being typed live. Type On is also known as Slow Reveal. Refer to Type On/Slow Reveal for details on setup and execution.

Text in these windows can be edited in a similar manner and can be updated in real time from a variety of sources.

A special type of 2D text font, known as an RGB Font, can be typed into all types of 2D Windows, but is not created from a Font Face. It is, instead, created from bitmap graphics mapped to keys, so that typing produces images instead of characters. This is an especially versatile tool for quickly displaying sports logos and other frequently used graphics. However, attributes such as size and color are not adjustable in the same manner as with conventional font-face -based fonts. Changes to the image must be made using other techniques. Refer to RGB Fonts for more comprehensive information on creation and modification.

2D Text is also used in three other types of 2D Windows:

  • Spline Window: 2D Text animates along a preset baseline, allowing it to travel across the Canvas in ellipses, curlicues, spirals, etc. RGB Font characters can also be used in Spline Windows. Refer to Spline Window for details on setup and execution.

  • Clock and Timer Windows: A running Clock(s) and or Timer(s), populated with 2D Text or RGB Font characters, can be displayed.

2D Text already in a 2D Text Window can be converted into animated or image states:

  • Animate Elements enables the individual animation of 2D Text and RGB Font characters.

  • Text Effects - Advanced is a special case of Animate Elements, where pre-scripted animations are applied to the 2D Text and RGB Font characters.

  • Advanced Image Effects enables the contents of an entire 2D Window to be converted into a bitmap, to which an effect such an Explosion, Matrix or Wipe can be applied. In previous versions of Lyric, Advanced Image Effects for 2D text was accessed from a context menu. In Lyric Pro and 6.x versions, Advanced Image Effects are applied by selecting the text window for editing and using the Effects tab in the Lyric Properties window.

While in one of these states, the 2D Text and RGB Font characters cannot be edited. Lyric does provide the ability to switch out of the state to allow editing of 2D Text and RGB Font characters that originated from a 2D Text Window.

About Unicode, Complex Scripting and Numeral Entry

Text entry of Unicode, Complex Scripting and numerals (numbers) in the native language are supported in Lyric. 2D text entry (including the Spline Window) and Template Update are also supported for Chinese, Japanese and Korean. Unicode Only must be selected in CG Preferences in order to accommodate Asian language text entry. Refer to the CG Preferences for information regarding the Unicode Only, Complex Scripting and Digit Substitution settings.

Initial Edit Mode, Placing a 2D Text Window on the Canvas

The default setting of Lyric's Initial Edit Mode, accessed from Config Menu > Preferences > CG Preferences, determines if a full-screen 2D Text window is created with each new Canvas. If a full screen 2D Text window is present, it is indicated by a blue border just inside the perimeter of the Canvas (and by a "2D Text" entry in the Scene Graph). To create a smaller, "windowed" 2D Text window:

  • Click the 2D Text toolbar button on the Chyron Toolbar or select Text Window from the Tools menu.

    2D Text Tool

    A 2D Text window appears on the display:

    2D Text Window

Setting Text Attributes: Before typing, you may quickly set Font, Font Size, Face and Edge Color via the Font Toolbar (below), or via the Font and 2D Font FX tabs on the Properties menu.

Image: Font Toolbar

Font Tools

Entering Text: Left-click in the 2D Text window to establish the position of the first character to be typed. When the first character is typed, a green baseline appears. Once typed, text may be selected for further editing, and changes to font style, size, and other attributes may be applied. Insert/Overwrite Mode can be set to either append new text to existing text, or to overwrite existing text with new text.

Pasting Text from Other Applications: Lyric supports the Windows® Clipboard, so that text from any Windows application can be cut or copied and then pasted into 2D Text windows.

Editing Text: 2D text editing functions are available from the Edit Menu, as well as from the 2D Text Context Menu.

Resizing/Repositioning the Window: To resize a 2D Text window, click/drag the window corners to achieve the desired size. To reposition the 2D Text window, drag the window's Title Bar or any of its corners (a cross-hair cursor will appear when your mouse is properly positioned on the title bar or in the window to perform the move).

Preferences: The Preferences item on the Config menu enables customization of the behavior of 2D Text windows.

Setting 2D Font Attributes

Font Face/Style

Font Face or Font Style can be selected from either the Font Tools > Font Facename drop-down list box or the Properties > Font > Font Facename drop-down list box.

Style

Style can be set from can be selected by clicking the Font Tools > Bold, Italic and/or Underline icons, or by selecting the Style (unlabeled) drop-down list box in Properties > Font setting.

Size, Aspect Ratio, Scale, Kerning and Other Characteristics

Size can be set in the Font Tools > Font Size field or via the Properties > Font > Size setting. Size and other characteristics such as Rotation, Aspect Ratio and Kerning can be set as well.

Edges

2D characters can be given depth by adding one or more Edges. Edge characteristics can be set in the Properties > 2D Font FX tab.

Color, Texture and Surface Properties

Solid or ramped color can be applied to the Face and Edges of 2D characters via Font Tools and Properties > 2D Font FX. Solid color and Transparency can be applied to Face and Edges of 2D characters via Properties > Surface. Bitmaps can be applied to the Face and Edges of 2D characters via Font Tools and Properties > 2D Font FX.

TrueType® Font Preview

TrueType® Font Preview enables the user to quickly review the available characters in a font, change the current font, or select a character (including Unicode) to add to the Canvas at the current cursor position. TrueType Font Preview can be used with both 2D and 3D characters. TrueType® Font Preview is accessed from the Font Properties tab.

Enable Word Wrap

Edit Menu > Enable Word Wrap

When text is typed past the end of a row in a 2D Text Window, it can be set either to continue past the border of the 2D Text Window (e.g. for setting up a Crawl), or to wrap to the next line so that all text displays within the borders of the 2D Text Window (e.g. for setting up a Roll).

  • The default setting for Enable Word Wrap is disabled.

  • The Enable Word Wrap setting is applied to all 2D Text Windows (including 2D Roll, 2D Crawl and 2D Type On Windows) on the Canvas.

  • Changing the Enable Word Wrap setting affects only text that is typed after the change; it does not affect previously typed text. This allows one 2D Text Window to be set up while the Enable Word Wrap setting is enabled, and another to be set up while it is disabled.

  • The Enable Word Wrap setting is not affected by and has no bearing on the Word Wrap setting applied to a 2D Text Template. They are independent of each other. Refer to Templates - 2D Text for additional information.

When Word Wrap is disabled, text types beyond the border of the 2D Text Window.

Image: Word Wrap Disabled

Word Wrap Disabled

When Word Wrap is enabled, text wraps to the next line when typing reaches the end of the row.

Image: Word Wrap Enabled

Word Wrap Enabled

To enable/disable Word Wrap:

  • Pull down the Edit menu, then select/ deselect Enable Word Wrap. When Enable Word Wrap is enabled, a checkmark appears next to the Enable Word Wrap menu item. When Word Wrap is disabled, there is no checkmark.

Insert/Overwrite Mode for 2D Text

Insert Key

The Insert/Overwrite setting determines whether newly typed characters are inserted into an existing line of 2D text, or if the existing characters are replaced by newly-typed characters.

To enable/disable Insert/Overwrite:

  • Press the Insert key on the keyboard. Each keypress inserts a new character at the cursor position, moving the following characters one character to the right.

Current mode is indicated on the far right end of the Status Bar, as shown in the figure below.

Image: Insert/Overwrite Mode

Insert/Overwrite Mode Status Bar Indicator - OVR Active

  • When Insert is selected, newly-typed characters are inserted into 2D text, changing the position of the existing text. The Status Bar shows that OVR is grayed out.

  • When Overwrite is selected, each newly-typed character overwrites the existing character at the same cursor position. The Status Bar shows that OVR is active (see figure above).

Row Shift Locked/Unlocked

Edit Menu > Row Shift Locked; Ctrl + L

When a row of text is shifted using the keyboard (Alt + éê or Shift + Alt + éê), only the row selected shifts. This is known as Unlocked Mode. The rows beneath the shifted row are not affected.

Locked Mode allows the shifted row to shift the rows below, so that the rows shift as a block. To activate Locked mode:

  • Select Row Shift Lock from the Edit Menu, or press Ctrl + L. All Row Shift operations now shift the selected row, as well as the rows beneath it. Note that the Edit menu now displays a checkmark next to Row Shift Locked, and the Status Bar now shows that Lyric is in Locked Mode.

Image: Status Bar Showing Row Shift Locked

Status Bar Showing Row Shift Locked

To return to Unlocked Mode:

  • Select Row Shift Lock from the Edit Menu, or press Ctrl + L. All Row Shift operations now shift the selected row, as well as the rows beneath it. Note that the Edit menu no longer displays a checkmark next to Row Shift Locked, and the Status Bar now shows that Lyric is in Unlocked Mode (LOCK is grayed out).

Status Bar Showing Row Shift Unlocked

Status Bar Showing Row Shift Unlocked

Normal/Modified Space

Normal Space: 2D Text/Template Context (Right-Click) Menu > Normal Space
Modified Space: 2D Text/Template Context (Right-Click) Menu > Modified Space

A 2D Text window has two possible display modes: Normal Space or Modified Space. In Normal Space, text inside the 2D Text Window can be added or edited. In Modified Space, the contents of the 2D Text Window are subject to manipulation in scale and rotation, via the XYZ pane of the Properties menu.

While switching between Normal Space and Modified Space is mainly transparent to the operator, the active mode is also displayed in the 2D Text/Template context (right-click) menu.

Normal Space

When set to Normal Space, the text appears without rotation, scaling, and applied positioning attributes. You may edit 2D text while in Normal Mode.

Modified Space

When set to Modified Space, the text in the 2D Text window can be rotated on the X, Y, and Z axes, plus the window itself may be scaled using the settings on the XYZ tab of the Properties window. You may only edit text in Modified Space if the text is not rotated; Lyric cannot edit rotated text!

Title Bar Color and Normal/Modified Mode

The selected 2D Text window's Title Bar appears in one of three colors, depending on the active Normal/Modified Mode, and whether or not any transformation (rotation, scaling, etc.) has been applied.

Normal/Modified Space Title Bar Colors

Title Bar
Color

Description

Gray

Modified Space, with no rotation. Text can be edited.

Red

Modified Space, with rotation. To edit text, reset the 2D Text window to Normal Space using one of the following methods:

  • Right-click inside the 2D Text window, then select Normal Space.

  • Start typing in the 2D Text window. The 2D Text window automatically converts back to Normal Space.

Important! To return the display to Modified Space (and to preserve the former Rotation/Scale settings), right-click within the 2D Text window, then select Modified Space.

Yellow

Normal Space, with no rotation. Text can be edited.

Use Scene Camera

2D Text/Template Context (Right-Click) Menu > Use Scene Camera

Lyric's Scene Camera can be applied to a 2D Text Window (including 2D Roll, 2D Crawl and 2D Type On Windows) in order to provide a perspective view. Use Scene Camera can be enabled or disabled for individual 2D Text Windows. The Camera setting in Camera Properties has no bearing on the settings of individual 2D Text Windows although it can affect the juxtaposition of 2D Text Windows in relation to the entire composition.

To enable or disable Use Scene Camera:

  • Right-click on the 2D Text Window or 2D Text Template, then select Use Scene Camera from the context menu.

An unrotated 2D Text Window appears as follows:

Image: Unrotated 2D Text

Unrotated 2D Text

When 2D text is rotated and Use Scene Camera is disabled:

  • The Scene Camera is in Orthographic Mode, and a rotated 2D Text Window does not show perspective. The 2D characters that are "further away" from the viewer appear to be the same size as the 2D characters that are "closer" to the viewer.

  • When 2D text is rotated, scaled, etc., the text changes orientation within the 2D Text Window, but the 2D Text Window itself does not change orientation.

  • The Title Bar of the 2D Text Window turns red, indicating that the window is in Modified Space mode. When the user types into the 2D Text Window, it returns to Normal Space. The Title Bar turns yellow until Modified Space is selected from the 2D Text/Template context menu.

Image: Rotated 2D Text - Use Scene Camera Disabled

Rotated 2D Text - Use Scene Camera Disabled

When 2D text is rotated and Use Scene Camera is enabled:

  • The Scene Camera is switched to Perspective Mode, and a rotated 2D Text Window shows perspective. The 2D characters that are "further away" from the viewer appear to be more in the distance compared to the 2D characters that are "closer" to the viewer.

  • The Title Bar of the 2D Text Window turns red, indicating that the window is in Modified Space mode. The user can type into the 2D Text Window without it switching to Normal Space mode.

Image: Rotated 2D Text - Use Scene Camera Enabled

Rotated 2D Text - Use Scene Camera Enabled

Updating 2D Text - 2D Text Templates and Pop-On Messages

Lyric provides a number of methods for quickly updating text.

  • 2D text can be placed in user-formatted 2D Text Templates, which can be updated via Lyric's DB Link, Intelligent Interface® or Template Update functions.

  • A 2D Text Only message, also known as a Pop-On message, can be recorded, and then read back into a 2D Text Window to replace existing text.

2D Text - Related Topics


Row/Tab Properties

Edit Menu > Row/Tab Properties; 2D Text Window Right-Click Menu > Row/Tab Properties

The properties of rows and Row Tabs, also known as Tab Stops or just Tabs, can be specified.

Setting Row Properties

The justification of a row can be set as follows:

  1. Select the left or right row handle of a row, and then select Row/Tab Properties from the Edit menu or from the 2D Text window right-click menu. The Row Properties dialog box is displayed.

    Image: Row Properties

    Setting Row Properties

  2. Select the Justification Properties:

    NONE: Text appears where typed.

    Center: Text is centered on row.

    Left: Text is typed from left end of row.

    Right: Text is typed from right end of row.

  3. Click OK.

In the above example, the last row shows a cursor at the center, indicating that the row justification is set to Center.

Note that Templates on a row can each have their own justification setting for text within the Template's borders, but the Templates' placement on the row is set by Row/Tab Properties.

Setting Tab Properties

Refer to Row Tab Functions for information on setting the Row Tab properties. As noted above, Templates on a row can each have their own justification setting for text within the Template's borders, but the Templates' placement on the row is set by Row/Tab Properties.


Timelines

View Menu > Timeline

Introduction

The Timeline and Keyframe Graph each provide a method for displaying the animation state of a composition and its constituent elements on the Canvas at any given time. The Timeline is composed of Object Timelines and Attribute Timelines, which can be modified by changing length and position; and Keyframes can be added and modified so that the attributes (Position, Rotation, etc.) of an object can be precisely controlled.

Viewing a Timeline

If the Timeline is not visible:

  • Select Timeline from the View menu. The Timeline is then displayed.

When a blank Canvas is opened, the Timeline contains Object Timelines for the default objects that are always part of a Lyric composition: Light 1; Global Light and Camera. The length of the animation is determined by the Default Animation Length set in the Config Menu > Preferences > Animation Settings. Note that the highlighted object name in the Object Timeline is the same as the highlighted object name in the Scene Graph. When an object is highlighted, it is the active object on the Canvas. Any modification is applied to that object.

Image: Timeline for a Blank Canvas

Timeline for a Blank Canvas

Adding an Object

Each time a new object is added to the Canvas, an Object Timeline displaying the object name and a set of Attribute Timelines for the object are added to the Timeline. The object name is also added to the Scene Graph.

Deleting an Object

An Object Timeline(s) and the object it represents can be deleted. The only objects that cannot be deleted are the Global Light and the Camera. To delete an Object Timeline:

  • Highlight the Object Timeline, then press Ctrl + Delete, select the Delete icon Image: Windows Delete Icon from the Windows toolbar, or select Delete from the Edit menu.

Expanding/Contracting an Object Timeline to View/Hide Its Attributes Timelines

To expand an Object Timeline to view its Attributes Timelines:

  • Click the + symbol to the left of the Object Timeline. For this example, expand the Light 1 object. The Attribute Timelines for the Light 1 object are displayed. Note that the Object Timelines are dark gray in color; the Attribute Timelines are light gray.

    The number of Attribute Timelines varies depending on the type of object. While Light objects have only four Attribute Timelines, other types of objects, such as bitmap graphics, have many more.

Image: Expanded Timeline

Expanded Timeline

To contract an Object Timeline, i.e. view only the Object Timeline and hide the Attributes Timelines:

  • Click the - symbol to the left of the Object Timeline.

Selecting an Object or Attribute Timeline

To select an Object or Attribute Timeline, use one of the following methods:

  • Click on the Object or Attribute Timeline.

  • Scroll to the Object or Attribute Timeline by clicking in the Timeline area (the area below the Timeline Scale), then press é or ê.

  • Click on or scroll to the object name in the Scene Graph.

The Time Indicator

A small slider, the Time Indicator [image] that moves along the top of the Timeline Scale, indicates the time of currently displayed frame in the animation. The Timeline Scale on the Timeline corresponds to the Timeline Scale on the Keyframe Graph. The Time Indicator can be moved using any of the following methods to show any frame in the animation.

  • Click and drag the Time Indicator to the new position.

  • Press ç to advance the Time Indicator, or è to move the Time Indicator back through the animation.

  • Click the Timeline Scale, then press ç or é to advance the Time Indicator, or è or ê to move the Time Indicator back through the animation.

  • Press Alt + ç to advance the Time Indicator in 1-second intervals, or Alt + è to move the Time Indicator in 1-second intervals back through the animation.

  • Use the Transport Controls, except for the Play button to advance the Time Indicator, or to move the Time Indicator back through the animation.

  • Enter a new value into the Frame Counter to display the frame at the specified time.

Zooming In and Out of the Timeline

For additional precision, the Timeline can be magnified:

  • Right-click on the Timeline Scale, then select one of the four zoom options from the context menu: Zoom Timeline 2x; Zoom Timeline 4x; Zoom Timeline 8x; Reset Zoom.

Adjusting Zoom on the Timeline Scale

Adjusting Zoom on the Timeline Scale

Modifying the Duration of an Animation

Modify Animation Length is accessed by right-clicking the Timeline Scale and selecting Modify Animation Length from the context menu shown directly above, then setting the parameters in the Modify Animation Length dialog box. Refer to Modify Animation Length for details.

The length of the Timelines of individual objects can also be changed. See Changing the Length of a Timeline below.

Adding a Keyframe

A Keyframe is a point where an object and its attributes, and therefore its Object/Attribute Timelines, can be modified. These attributes can include XPosition, YPosition, ZRotation, XScale and many others. For example, a Keyframe would be added at the point where an animated object would change direction or start to rotate.

The figure below shows Keyframes at the beginning of the animation for all objects, and Keyframes in the middle and at the end for the object named 3D element x. There are two ways in which a Keyframe is marked on an Object or Attribute Timeline.

  • indicates a Keyframe positioned between the beginning and the end of an Object or Attribute Timeline.

  • indicates a Keyframe positioned at the exact beginning or end of an Object or Attribute Timeline.

A Keyframe can be added to an Object Timeline or Timeline.

  • When a Keyframe is added to an Object Timeline, corresponding Keyframes are added to all Attribute Timelines.

  • When a Keyframe is added to an Attribute Timeline, a corresponding Keyframe is added to its Object Timeline.

To add a Keyframe to an Object or Attribute Timeline:

  1. Move the Time Indicator to the desired frame.

  2. Right-click on the Object or Attribute Timeline to which the Keyframe is to be added.

  3. Select Add Keyframe from the context menu. A Keyframe appears at the specified position on the Object or Attribute Timeline.

Link to Timeline

Timeline

Keyframe Selected Objects

Edit Menu > Keyframe Selected Objects

Keyframe Selected Objects adds a Keyframe to all selected objects and their attributes at the current time on the Timeline. Remember that elements on the Timeline are also represented on the Keyframe Graph and on the Scene Graph. The addition of a Keyframe to an object does not in itself modify the object's movement. The object's element on the Timeline must be expanded to reveal its Position, Rotation, Scale and Center values on the X, Y and Z axes. The Keyframe for the selected property of the object can then be moved on the Keyframe Graph.

To Keyframe Selected Objects:

  1. Press and hold the Ctrl key and click on all Timelines of objects to which the Keyframes are to be added. You can also press and hold the Shift key and click on two Timelines to select the two Timelines and all of Timelines between them.

  2. Use the mouse to drag the time indicator on the Timeline to the time at which the objects should be Keyframed. In the figure below, it is at 3 seconds.

    Image: Timeline - Objects Selected for Keyframing

    Timeline - Objects Selected for Keyframing

  3. Select Keyframe Selected Objects from the Edit menu. Keyframe indicators are placed on the Timelines of the selected visible and non-visible objects. The Timeline that remains highlighted is the one that was selected last before the objects were Keyframed.

    Image: Timeline - Keyframe Selected Objects

    Timeline - Selected Objects Keyframed at Three Seconds

Keyframe All Objects

Edit Menu > Keyframe All Objects

Keyframe All Objects adds a Keyframe to all objects and their attributes at the current time on the Timeline and Keyframe Graph. The addition of a Keyframe to an object does not in itself modify the object's movement. Change to an attribute(s) of an object does modify movement. The Object Timeline can be expanded to reveal its Position, Rotation, Scale and Center values on the X, Y and Z axes. These values can be adjusted. The Keyframe for the selected property of the object can then be moved on the Keyframe Graph.

To Keyframe All Objects:

  1. Use the mouse to drag the time indicator on the Timeline to the time at which the objects should be Keyframed. In the figure below, it is at 3 seconds.

    Image: Timeline - No Keyframes Added

    Timeline - No Keyframes Added

  2. Select Keyframe All Objects from the Edit menu. Keyframe indicators are placed on the Timelines of all visible and non-visible objects.

    Image: Timeline - Keyframe All Objects

    Timeline - All Objects Keyframed at Three Seconds

Timeline Entries

Right-click on the Timeline Entry to display a context menu with information about the object:

Timeline and Object-Specific Context Menu

Adjusting and Aligning Timelines

You may move and adjust Timeline elements individually or in groups, using the mouse.

Selecting Timeline(s)

Left-click a Timeline element to select it for adjustment; selected Timeline elements are titled in white.

Timeline

To select multiple Timeline elements, hold the Shift key while clicking additional timeline elements. Please Note: You may also select Timeline(s) via the Scene Graph.

Changing the Position of a Timeline Element

An individual Timeline element may be moved within the duration of the animation without changing the length of that element. To move a Timeline element, drag it with the mouse. A Move cursor is displayed, as shown:

Changing a Position of a Timeline

You may also select an individual Timeline element and move it forward or back one frame with the key combination Ctrl ; + çè keys. Ctrl + Shift + çè moves the selected timeline ten frames forward or back.

Changing the Length of a Timeline Element

You may change the length of a Timeline element (it's "lifetime" within the animation) by clicking and dragging at either end. A horizontal resize cursor is displayed, as shown:

Changing the Length of a Timeline

The end keyframe on the main Timeline can be moved as well.

Aligning Timeline Elements

The Alignment buttons [image] are most often used on 2D Text Templates, but you may also use them to align selected Timeline elements. Note that only the Align Left, Align Right and Make Same Width buttons are available when Timeline elements (as opposed to text Templates) are selelcted.

The alignment "anchor" is determined by which Timeline element was selected last.

Aligning Timelines: Selecting an Anchor

Aligning Timelines to the Same Side

Clicking Make Same Width will adjust the selected Timelines to both the length and start/end time of the Timeline element selected last.

Making Timelines the Same Length

Scaling the Timeline

Timeline > Click-and-Drag (Proportional); Ctrl Click-and-Drag (Non-Proportional)
Timeline > Right-Click > Modify Animation Length

Proportional and Non-Proportional Scaling

Proportional Scaling is also available from the Modify Animation Length dialog box, accessible by right-clicking on the Timeline. Accessing the feature from that dialog offers an additional option:

If Proportional Scaling is not selected, a prompt is displayed asking if will ask it the final keyframe(s) of the selected element(s) should be extended to match the animation's overall duration.

Extend End Keyframe Query

  • Extending the final keyframe(s) to the end of the animation has the effect of scaling the duration of all of the selected element's properties.

  • Not extending the final keyframes extends the "lifetime" of an element on the Timeline and the Canvas. Its final keyframe, however, remains unchanged. The element reaches the end of its programmed movement and move no further until the animation is over.

The option of extending the end keyframe to match the new animation length is NOT available from the Animation Control Properties tab.

Saving the Timeline - Scene, Object

Saving the Scene Timeline

Via Context Menu

The animation values of the entire composition can be saved and applied to a different set of objects. To save the Scene animation values:

  1. From the File menu, select Save As. The Save Animation dialog box opens.

  2. The Save In: field should point to the default Effects directory (which is set in Config > Preferences > Default Paths). In the Save as Type field, select Lyric Effects (.efx).

  3. Enter a File Name. By default, the File Name field is populated with the composition's Lyric message number; however you may enter a different alphanumerical name.

  4. Optionally, you may reset the Start Frame and End Frame values, to save the animation values from only a portion of the composition.

  5. Click Save. In the .efx file thus created, only the animation values for the objects in the composition are saved, and NOT the objects themselves.

Via the Record Only Dialog Box

  1. Press Ctrl + Record. The Record Only: dialog box opens.

  2. Select Scene (.efx).

  3. Click Record. The scene's animation values are saved in the Default Effects Directory as an .efx file whose name is the current Message Number.

Via Hotkey combination

Press Ctrl + Record S Enter. The object's animation values are saved in the Default Effects Directory as a .kyf file whose name is the current Message Number.

Saving the Object Timeline

Via Context Menu

The animation values of an individual object can be saved and applied to a different object. To save Object settings:

  1. On the Timeline or the Scene Graph, select the object.

  2. Right-click on that object's Timeline . Note that right-clicking the object itself on the Canvas will open a different context menu that does not contain the options for this function.

  3. From the context menu, select Save Keyframe File. The Select a Keyframe File to save dialog box opens.

  4. The Save In: field should point to the default Effects directory (which is set in Config > Preferences > Default Paths). In the Save as Type field, select Keyframe File (.kyf). In the File Name field, enter a file name.

  5. Click Save. The Keyframe file is saved.

Via the Record Only Dialog Box

  1. Press Ctrl + Record. The Record Only: dialog box opens.

  2. Select Object (.kyf).

  3. Click Record. The object's animation values are saved in the Default Effects Directory as a .kyf file whose name is the current Message Number. Although the .kyf file saved bears the name of the message, the file contains only the keyframe information for the single object selected on the Scene Graph or Timeline, as above.

Via Hotkey combination

Press Ctrl + Record O Enter. The object's animation values are saved in the Default Effects Directory as a .kyf file whose name is the current Message Number.

Applying a Saved Object Timeline to Another Object

  1. On the Timeline or Scene Graph, select the object that is to take on the values of the saved Keyframe file.

  2. Right-click the selection; a context menu appears. Again, do not right-click the target object itself on the Canvas, because that will open a different context menu that is not relevant to this operation.

Animation context menu; note that the "Paste" entry becomes "Paste Timeline" when another object's Timeline has been copied ("Copy Timeline")

  3. Click Load Keyframe File; and the Select A Keyframe File to load dialog appears. Select a .kyf file from the Effects directory, and click Open. The object being modified with the file's animation values will move to the beginning position specified in the file.

Selections On Timeline Context Menus

  • Object Name: In the previous illustration, "Triangle 1" is the selected object.

  • Starts, Ends and Duration: 'Starts' indicates the point in the Lyric composition at which an object appears. 'Ends' and 'Duration' represent its lifetime in the composition.

  • Modify Keyframe Attributes is not currently available from this menu. See Keyframe Graphs.

  • Save Keyframe File, Load Keyframe File: The animation values of an individual object can be saved and applied to a different object. The information is saved in a Keyframe file , whose extension is .kyf. (See above.) The information in Keyframe files may be retrieved and imposed (Load Keyframe File) on objects within a given composition.

  • Copy Selected Keyframe(s): Any individual Keyframe's values (all of them!) may be copied (for pasting to another object) by right-clicking [image] on that Keyframe.

  • Copy Timeline: This option copies all of the values in that object's Timeline for pasting to another object.

  • Reverse Keyframes: Selecting this option for an object's Timeline inverts all time and position values for that object.

  • Copy Node: Not currently available from this menu. To duplicate a node representing a 'normal' object on the Canvas (2- or 3D text, graphics, movies, Flipbooks, 3D objects, etc.), select the object on the Canvas, Scene Graph or Timeline, select "Copy" from the Edit menu, and then select "Paste". ("Paste" will not be available in the Timeline context menu.)

  • Paste/Paste Timeline: See 'Copy Selected Keyframe(s)' and 'Copy Timeline'.

  • Add Keyframe: At the current time on the Timeline, a new Keyframe ( [image]) may be inserted. Any desired change in the object's attributes (X , Y or Z properties, etc.) may be attached to this Keyframe. Again, see Keyframe Graphs for a complete explanation of changing an object's attributes (and the entire animation) by editing with Keyframes.

  • Delete Keyframe(s): Making this selection removes the currently selected Keyframe AND any attributes (again, time, position, etc.) attached to it.

Animation - Related Topics


Copy/Paste Animation State

Copy Animation State: Edit Menu > Copy Animation State; 2D Text Window/2D Object/3D Object Right-Click Menu > Copy Animation State
Paste Animation State: Edit Menu > Paste Animation State; 2D Text Window/2D Object/3D Object Right-Click Menu > Paste Animation State

Animation attributes such as Position, Rotation, Scaling, etc., can be copied from one object and pasted to another.

To copy animation attributes of an object:

  1. Click on the object on the Canvas or select it in the Scene Graph.

  2. Select Copy Animation State from the Edit Menu.

    OR

    Right-click on the object or its listing in the Scene Graph, then select Copy Animation State.

    The animation attributes have now been stored.

To paste the copied animation attributes to an object:

  1. Click on the object on the Canvas or select it in the Scene Graph.

  2. Select Paste Animation State from the Edit Menu.

    OR

    Right-click on the object or its listing in the Scene Graph, then select Paste Animation State.

    The animation attributes have now been pasted to the new object.

The same attributes can be pasted to other objects until a new Copy Animation Attributes operation overwrites the stored attributes.

Animation - Related Topics


Browser Overview

View Menu > Browsers
File Menu > New > Browser

Introduction

The Browser is a powerful Lyric tool that enables the user to create catalogs of Lyric font, image, message and clip assets tailored to specific projects (news, baseball, features, etc.). These catalogs are databases, also called Data Sources, which contain identifying information about each asset, but not the asset itself.

This allows the asset to be included in multiple databases without the necessity of copying the asset to each location where the database resides. It is an important concept to understand, as an entry for an asset can be added to and deleted from the database without disturbing the original asset.

Databases can be quickly recalled for use as sources for Lyric compositions or Lyric Playlists. Major features are as follows:

  • Multiple Browser displays may be opened to list various asset types simultaneously.

  • Asset entries can be displayed as just icons, just text or a combination of icons and text. Icons can be small, medium or large.

  • Asset entries can be sorted in alphabetical or reverse alphabetical order.

  • A database can be searched using a variety of criteria, making it easier to locate a specific asset.

The Browser also provides the ease of inbound and outbound drag-and-drop capability:

  • Bitmap, Lyric Message, Aprisa and Quantel assets from the Browser window to the Lyric Canvas or into a 2D Text Window in the Canvas.

  • Bitmap and Aprisa 100 (Still) assets from the Browser Window to Texture Chip in Properties > Surface.

  • Lyric Message Assets from the Browser window to the File Name field in the Playlist.

  • Assets from one Browser window to another Browser window.

  • Font Assets from the Browser window into Properties > Fonts or Properties > 2D Font FX.

  • Lyric messages and graphics from Windows® Explorer®-type windows into Lyric Browser Message Asset and Bitmap Asset Browser windows, respectively.

  • Alt + drag-and-drop a Bitmap Asset or Aprisa 100 (Still) asset to create a background for a Canvas, 2D Text Window or 2D Text Template.

Browser databases are files separate from font, message graphics and clip files. They conform to the Microsoft® Access database format, and can be registered as ODBC data sources for use by Chyron MOS Newsroom Solutions. Refer to Browser Preferences > Advanced for additional information on ODBC registration.

NOTE

The terms "database" and "data source" are used interchangeably throughout Lyric documentation.

The Browser Window and Browser Menu

The figure below shows a Browser menu and a Browser window. If at least one Browser window is not visible on the Lyric interface, choose one of the following methods to display a Browser:

  • Pull down the View menu, then, select Browsers.

  • Pull down the File menu, then select New > Browser.

Click on the Browser window to make it active. The Title Bar should turn blue. Whenever a Browser window is active, a Browser menu heading appears on the Menu Bar of the Lyric interface. Pull down the Browser menu. As shown in the figure below, each item on the menu corresponds to a Browser icon in the Browser window. Note that the Browser window/Browser menu items Show Aprisa Stills, Show Aprisa clips and Show Quantel Images are grayed out if the specified systems are not networked to the Chyron system.

Default Lyric Fonts and Lyric Messages assets are set in Config Menu > Preferences > Browsers, so that when a new Browser is opened, it is automatically loaded with user-defined sets of fonts and messages.

When Lyric is opened, the Browser(s) that was opened in the previous session of Lyric are displayed. When a new Browser window is opened, it displays the Font Assets catalogued in the last opened database from Select Database. If no database was opened, then it displays the default database set in Config Menu > Preferences > Browsers > Set Font Source.

Image: Browser Menu and Browser Window

Browser Menu and Browser Window (Showing Font Assets)

If the following warning is displayed on opening Lyric and/or on attempting to open a Browser window, the database(s) which it is attempting to access has been moved, deleted or renamed.

Image: Cannot Create Browser Window Warning

Cannot Create Browser Window Warning

Either select a different data source(s) via the Config Menu > Preferences > Browser, or move and/or rename the data source(s) to the proper path(s).

Troubleshooting Browser Database Display

If there are problems displaying a particular database, where the database and the assets are in the correct locations:

  • Select a different database to display in the Browser in order to close the affected database, then perform the Repair procedure from the Configure function in the ODBC Data Source Administrator. Refer to Registering an ODBC Database for information on accessing the ODBC Data Source Administrator, and Windows® documentation for details on the Repair function. For instructions on selecting a different database to display in the Browser, refer to Browser: Creating/Selecting/Importing/Deleting a Database or Browser Preferences .

The following prompts indicate that a database has been moved or deleted:

Image: DSN Not Valid

DSN Not Valid

Image: Cannot Find Database

Cannot Find Database

If a database has been moved, one of the following methods can be used to restore the database:

  • The database can be moved to the proper location.

  • The Browser database can be backed up and restored to the proper location using the Backup Utility and then the Restore Utility, both available from Lyric's File menu.

If a Browser asset is unavailable (moved or deleted), a red slash is displayed across the icon (thumbnail) for the asset.

For Font assets, if the Browser is set to the Text Only view (no icons), a red line is displayed across the text. The following shows an unavailable TrueType® font asset as seen in an Icons and Text view.

Image: TrueType Font Asset Unavailable

TrueType® Font Asset Unavailable

The following shows an unavailable Message asset.

Image: Unavailable Asset

Message Asset Unavailable

If assets have been moved, one of the following methods can be used to restore the assets to the Browser:

  • The assets can be moved to the proper location.

  • The assets can be re-added to the Browser database. The red-slashed assets can be deleted.

  • The Browser assets can be backed up and restored to the proper location using the Backup Utility and then the Restore Utility, both available from Lyric's File menu.

If a Browser database and its assets have been moved:

  • They can be restored to the proper location using the Backup Utility and then the Restore Utility, both available from Lyric's File menu.

Navigating the Browser Window

To quickly switch the focus in Lyric to the topmost Browser Window:

  • Press F4.

The keyboard can be used to navigate the Browser Window:

  • Press the cursor keys êéçè to move from item to item in the Browser Window.

  • Press Home to select the first item in the Browser Window.

  • Press End to select the last item in the Browser Window.

  • When a Browser item is highlighted, press either Enter key to open the selected item. Double-clicking the item also opens the item.

  • Typing any character key finds the next Browser entry with a title that starts with that character. For example, in a Browser Window containing images titled Red, Rose and Yellow, typing r selects Red and scrolls it into view. Typing r again selects Rose, and typing y selects Yellow.

  • In the Font Browser, typing a character selects and scrolls to the image mapped to that character. Refer to RGB Font Asset Operations for additional information.

Browser Assets

View Menu > Toolbars > Browser Commands

There is a set of icons which form the Browser Asset Toolbar, usually found across the top of the Browser window. Like other toolbars, it can be moved and reoriented. If a Browser window is open, but the Browser Asset Toolbar does not appear:

  • Pull down the View menu, select Toolbars, the select Browser Assets. The toolbar should now be displayed.

Selecting (clicking) an icon, or selecting the corresponding Browser menu item displays the available assets of that type from the current data source. The Title Bar of the Browser window displays the name of the Data Source for the selected set of assets. In the previous example, it is simply called Browser.

Browser Icon

Browser Menu Item

Description

Show Font Assets

Displays the available TrueType®-based and RGB (bitmap-based) fonts that can be used to create Lyric messages. Note that the two red lines at the left of the upper/lower case characters in the font icon represent the span of 50 scanlines in height. The example below shows the icon for a 150-scanline font.

Image: 150-Scanline Font

150-Scanline Font

Font assets can also be dragged-and-dropped into Properties > Fonts and Properties > 2D Font FX. Refer to Browser Font Operations and RGB Fonts for details on Browser font operations.

Image: Browser Message Assets Icon

Show Message Assets

Displays the available Lyric messages which can be imported into the Canvas, or added to a Playlist. Refer to Message Asset Operations for details.

Image: Show Bitmap Assets Icon

Show Bitmap Assets

Displays the available 2D graphics, in graphic formats supported by Lyric, which can be imported into the Lyric Canvas. Refer to Bitmap Asset Operations for details.

Show Aprisa Stills

Displays the available images (stills) from the database of a networked Chyron Aprisa 100/250 system. This icon/item is grayed out if an Aprisa 100/250 is not networked to the Chyron system. Refer to Aprisa Still Asset Operations for details.

Show Aprisa Clips

Clips from the database of a networked Chyron Aprisa 200/250 system. This icon/item is grayed out if an Aprisa 200/250 is not networked to the Chyron system. Refer to Aprisa Clip Asset Operations for details.

Show iNFiNiT! Fonts

Displays available Fonts from a networked Chyron iNFiNiT!®, MAX!>® or MAXINE!® system. Refer to iNFiNiT! Font Asset Operations for details.

Show Quantel Images

Images from a networked Quantel® system. This icon/item is grayed out if a Quantel system is not networked to the Chyron system. Refer to Quantel Asset Operations for details.

The following figures show sample data sources of Lyric Message and Bitmap assets:

Image: Browser Message Assets

Lyric Message Assets

Image: Browser Bitmap Assets

Bitmap Assets

About Data Sources

All assets displayed in the Browser are catalogued in various databases. The Title Bar of the Browser Window displays the name of the data source from which the assets are displayed. For example, in the Browser Windows shown in this section, the Title Bars show that the Font Asset database is Browser, which is Lyric's default Font source. The Message data source, from which the Bitmap Assets are automatically drawn, is also Browser, which is Lyric's default Message source. Note that the Font and Message sources displayed in a Browser window can be different from each other. Refer to Creating/Selecting/Importing/Deleting a Database for additional information on data sources.

  • When Font Assets are displayed, the Browser Title Bar displays the name of the data source set in the Set Font Source field in the Select Data Source dialog box or Browser Preferences tab. Refer to Creating/Selecting/Importing/Deleting a Database or Browser Preferences for information on selecting a data source.

  • When Message Assets are displayed, the Browser Title Bar displays the name of the data source set in the Set Message Source field in the Select Data Source dialog box or Browser Preferences tab. Refer to Creating/Selecting/Importing/Deleting a Database or Browser Preferences for information on selecting a data source.

  • When Bitmap Assets are displayed, the Browser Title Bar displays the name of the data source set in the Set Message Source field in the Select Data Source dialog box or Browser Preferences tab. Bitmap Assets are always drawn from the same data source as the Message Assets. Refer to Creating/Selecting/Importing/Deleting a Database or Browser Preferences for information on selecting a data source.

  • When Aprisa 100 (Still) Assets are displayed, the Browser Title Bar displays the name Aprisa Stills. There is only one Stills database on each Aprisa Still system. Note that if the system accommodates both Stills and Clips, the system has one Still database and one Clips database.

  • When Aprisa 200 (Clip) Assets are displayed, the Browser Title Bar displays the name Aprisa Clips. There is only one Clips database on each Aprisa Clips system. Note that if the system accommodates both Stills and Clips, the system has one Still database and one Clips database.

  • When iNFiNiT! Font Assets are displayed, the Browser Title Bar displays the name iNFiNiT!. There is only one Machine Font database on each iNFiNiT! system.

  • When Quantel Assets are displayed, the Browser Title Bar displays the name Quantel. The Quantel database is selected from within the Quantel Import dialog box, accessed from File Menu > Import from Quantel. Refer to File Menu: Import from Quantel for additional information.

Browser Commands

View Menu > Toolbars > Browser Commands

A set of icons, which form the Browser Commands Toolbar, is usually found along the left side of the Browser window. Like other toolbars, it can be moved and reoriented. If the Browser Commands Toolbar does not appear when a Browser window is open:

  • Pull down the View menu, select Toolbars, the select Browser Commands. The Browser Commands Toolbar should now be displayed.

Browser Icon

Browser Menu Item

Description

Image: Search Database

Search Browser

Accesses a search function that searches the current database using a variety of user-selected criteria. This function is covered in detail later in this section.

There are three groups of display options: Icon(Thumbnail)/Text Display; Sort Order; and Icon (Thumbnail) Size. Selecting (clicking) a display option icon, or selecting the corresponding Browser menu item sets the display.

NOTE

When a message is recorded to a database, a thumbnail is created to help identify the message. If the message is modified, the thumbnail does not automatically update, even if the message is resaved, unless File Save Adds to Browser is enabled in Browser Preferences.

If File Save Adds to Browser is not enabled, then the thumbnail can be updated as follows:

  • In the Browser Window, highlight the message. Right-click to display the context menu. Select Update. The thumbnail and the Browser update.

Image: Text Only Icon

Text View

Shows text information only about an asset. The figure below shows a Browser window displaying the Text View of Lyric Message Assets.

Image: Browser Window Showing Text View of Lyric Message Assets

Text View

Image: Icons Only Icon

Icon View

Displays an icon view of the asset. The Browser illustrations shown preceding this table show Icon Views.

Image: Icons and Text Icon

Icon/Text View

Displays both an icon and text information. The figure below shows a Browser window displaying the Text/Icon View of Lyric Message Assets.

Image: Browser Window Showing Text/Icon View of Lyric Message Assets

Text/Icon View

Image: Sort A-Z Icon

Sort from A to Z

Sorts asset entries from A to Z, based on file and/or font name. Assets are sorted first by name, and then by number.

Image: Sort Z to A Icon

Sort from Z to A

Sorts asset entries from Z to A, based on file and/or font name. Assets are sorted in reverse order first by number, and then by name.

Show Small Icons

Shows small-sized icons.

Show Medium Icons

Shows medium-sized icons.

Show Large Icons

Shows large-sized icons.

Browser Commands

Image: Save to Database Icon

Save to Database

Saves to the current database as follows:

  • Saves current message to the current Lyric Message database. If the message is an animation, the thumbnail reflects the frame of the animation that was displayed at the time that the message was saved to or updated in the Browser. Note that this does not affect a Preview Frame which may have been set for the message. Refer to Selective Recording - Message with Options and Animation Settings Preferences for additional information on Preview Frames.

  • Saves currently active font to the current Font database.

  • Saves currently selected graphic to the current Bitmap database.

Image: Load from Database Icon

Load from Database

Loads the currently selected asset to the Lyric Canvas.

Select Database

Accesses the Select Database function, which enables selection of a new database for display in a Browser window. Databases can also be created, imported, deleted and registered as ODBC databases. Once a database is selected, the name of the database is displayed in the Title Bar of the Browser window. Refer to Creating/Selecting/Importing/Deleting a Database for details.

Refresh Database

Refreshes Browser display after changes have been made.

NOTE

A Refresh Database should always be performed:

  • On switching to a different set of assets in the Browser (e.g. from Aprisa Still to Aprisa Clip Assets).

  • After any change to or search of a database.

Deleting a Browser Asset

The procedure is similar for deleting various types of assets from a Browser:

  1. Right-click the asset, and then select Delete from the context menu.

    OR

    Select (click) the asset in the Browser, and then press Delete on a PC keyboard or Delete Character on the Chyron keyboard.

  2. Respond to the confirmation prompt(s).

For Delete procedures specific to a particular type of asset, refer to the section on that asset.

WARNING! There is no undo for the Delete operation.

Updating a Browser Asset

The procedure is similar for updating (modifying) various types of assets from a Browser:

  • Right-click the asset, then select Update from the context menu.

For Update procedures specific to a particular type of asset, refer to the section on that asset.

WARNING! There is no undo for the Update operation.

Editing a Browser Asset

Information about an asset, referred to as metadata, can be edited.

To edit Message or TrueType® font information:

  1. Right-click the asset, then select Edit from the context menu.

  2. Edit the fields in the Message/Font Information dialog box, then click OK or press Enter.

To edit RGB Font information:

  1. Right-click the asset, then select Font Browser from the context menu.

  2. Edit the fields in the Font Browser, then click OK or press Enter.

For Edit details specific to a particular type of asset, refer to the section on that asset.

Searching Browser Assets

TrueType®/RGB Font, Message, Bitmap and Aprisa Still and Clip Assets in a Browser database can be searched based on a variety of criteria including Keywords, Comments, Date Modified, etc. These Search operations are covered in Searching the Browser. Refer to iNFiNiT!® Font Asset Operations and Quantel® Asset Operations for information on searching these types of assets.

Aspect Ratio and Graphic Import

A graphic created in a resolution different from the current Canvas Resolution may result in a stretched or squashed appearance when imported. If this occurs, correct the Use 1:1 Pixel Aspect for Graphics Import setting and reimport the graphic. Refer to Config Menu: Canvas Resolution for details on setting these parameters.

Browser - Related Topics


Font Asset Overview

Lyric Font Asset Overview

Browser > Click Image: Font Assets Icon; Browser Menu > Show Font Assets

Three types of fonts used in Lyric operations:

  • TrueType®-Based Fonts: Fonts created in Lyric that are based on TrueType font sets. An introduction to TrueType font operations is covered in this section and continued in TrueType® Font Context Menu.

  • RGB Fonts: Fonts created in Lyric that map bitmap graphics to keys, instead of TrueType® font characters. RGB Font operations are covered in briefly in this section and in RGB Fonts.

  • iNFiNiT!® Fonts: Fonts created on a Chyron iNFiNiT! Family system. These fonts are accessed via the Image: iNFiNiT!® Fonts Icon icon or by selecting Show iNFiNiT! Fonts from the Browser menu. iNFiNiT! Fonts are covered in iNFiNiT Font Asset Operations.

Indexed Fonts

Each Lyric Font Asset, i.e., TrueType® or RGB Font, can be assigned to a hotkey combination which can easily activate the font for use from a PC or Chyron keyboard. Available hotkeys are as follows:

  • Alt + 0 through Alt + 9

  • Alt + Shift + 0 through Alt + Shift + 9

Except for Alt + 0, Alt + 9, Alt + Shift + 0 and Alt + Shift + 9, each hotkey assignment also corresponds to a Font Key on the Chyron keyboard.

Hotkey | Alt + 0 | Alt + 1 | Alt + 2 | Alt + 3 | Alt + 4 | Alt + 5 | Alt + 6 | Alt + 7 | Alt + 8 | Alt + 9
Chyron keyboard | None - Use Hotkey | 1 | 2 | 3 | 4 | 5 | 6 | 7 | 8 | None - Use Hotkey
Hotkey | Alt + Shift + 0 | Alt + Shift + 1 | Alt + Shift + 2 | Alt + Shift + 3 | Alt + Shift + 4 | Alt + Shift + 5 | Alt + Shift + 6 | Alt + Shift + 7 | Alt + Shift + 8 | Alt + Shift + + 9
Chyron keyboard | None - Use Hotkey | Shift + 1 | Shift + 2 | Shift + 3 | Shift + 4 | Shift + 5 | Shift + 6 | Shift + 7 | Shift + 8 | None - Use Hotkey

Refer to TrueType® Font Context Menu and RGB Fonts for information on setting font hotkeys.

The Font Asset Context Menus

Three context menus are available from within the Font Assets Browser, depending on the cursor position when accessed:

  • Font Asset Context Menu: Accessed by right-clicking on a blank area of the Browser. Custom Font Editor and Create RGB Font are available from this menu. All other items are grayed out. Refer to Custom Font Editor for information on using this tool. Create RGB Font is covered later in his section, as well as in RGB Fonts.

  • TrueType Font Context Menu: Accessed by right-clicking on a TrueType Font Asset in the Browser.

  • RGB Font Context Menu: Accessed by clicking and RGB Font Asset in the Browser.

Sync Fonts on Load

TrueType® Fonts

TrueType® fonts can be set in the Browser Preferences to update automatically when a message is read.

  • If Sync TrueType® Fonts on Load is enabled in the Browser Preferences, any update to a Font Asset in the Browser is automatically reflected in a message when it is read.

  • If Sync TrueType® Fonts on Load is not enabled in the Browser Preferences, any update to a Font Asset in the Browser is not reflected in a message when it is read.

Refer to Browser Preferences for details.

RGB Fonts

Any change to an RGB Font is always reflected in a message when it is read.

Creating a TrueType® Font and Adding It to the Database

Cataloging and recalling fonts are among the simplest types of Browser operations. In the following procedure, a TrueType®-based font will be created, and then added to the current database.

  1. If the Font Assets are currently not displayed in the Browser, click the Image: Font Assets Icon icon or select Show Font Assets from the Browser menu.

  2. In the Properties window, click the Font tab, then select a Font, or select a font from the Font Toolbar.

  3. Set up the font as desired by setting parameters in the Font and 2D Font FX tabs. Note that the changes appear in the Font Sample area in the lower left hand corner of the Properties > Font and Properties > 2D Font FX tabs.

    Image: Font and 2D Font FX Properties Showing Font Sample Areas

    Font and 2D Font FX Properties Showing Font Sample Area.
    These Properties menus differ slightly in appearance in Lyric Pro and 6.x releases, but offer the same controls.

    NOTE

    The Font Sample displayed in the Properties > Font and 2D Font FX tabs, as well as in the Browser Icon and Icon/Text Views represents the characters mapped to the Shift + A and "a" key combinations. If a character is not mapped to this keycap, then the character mapped to the next occupied key combination in the ASCII set is displayed (Shift + B and "b", then Shift + C and "c", etc.).

  4. When the font is set, click the Save to Database Image: Save to Database Icon icon in the Browser.

    Image: New Font Added to Browser

    New Font Added to Browser

    NOTE

    The previous and following Browser examples deal with Icon (Thumbnail) Views. Font Load operations work equally well when the display is Text View or Icon/Text View.

The resulting icon, or thumbnail, that is displayed in the Browser, does not reflect the actual size of the font. Rather, the two red lines to the left of the upper/lowercase characters span what represents a 50-scanline height. The icons below show the positioning of the red lines for a 50-scanline font, where they span the full height, and a 150-scanline font, where they span one-third of the height.

Image: 50-Scanline Font

50-Scanline Font

Image: 150-Scanline Font

150-Scanline Font

Loading a TrueType or RGB Font

To use a font that is cataloged in the Browser:

  1. Erase the Canvas.

  2. Click the Image: 2D Text Window Icon icon, or select Text Window from the Tools menu to open a 2D Text Window.

  3. In the Font tab in the Properties window, or from the Font Toolbar, select a different font from the one added to the Browser in the previous operation. Click Apply after the font parameters are set. Type a few characters on the Canvas.

  4. In the Browser window, double-click the font icon, or click the icon for the font that was created and added to the Browser, then click the Load from Database Image: Load from Database Icon icon.

  5. Continue typing. The new characters display the properties of the font selected from the Browser.

To apply a font using a bounding box:

  • Draw a bounding box around a character(s) on the Canvas, then click the Load from Database icon.

To apply a font using drag-and-drop:

  • Drag-and-drop a font icon from the Browser directly to the Font Sample area in the Properties window Font or 2D Font FX tab. Once the font is displayed in the Font Sample area, it is now loaded for use.

Image: Drag-and-Drop Font from Browser to Properties

Drag-and-Drop Font from Browser to Properties

Searching Font Assets

To narrow down the assets in a Browser database, Font Assets can be searched, based on a search strings (Style Name, Comments, Subject, etc.), Modification Date, etc. Refer to Searching the Browser for details on the Search tool.

Browser - Related Topics


TrueType® Font Context Menu

Browser > Right-Click TrueType® Font Asset

A TrueType-based font in a Browser can be customized to suit the requirements of a production. A name and keywords can be assigned, and comments can be added. In addition, an RGB Font can be created or imported. To access these operations:

  • Right-click on a font icon/text. The Font Asset context menu is displayed.

Image: Font Context Menu

Browser Font Context Menu

The menu is divided into three sections: Editing; RGB Font operations and descriptive information.

NOTE

The context menu for an RGB Font is different from that of a TrueType® font (shown above). RGB Fonts are covered in detail in the section on RGB Fonts.

Edit

A Font Asset consists of the physical information describing the font itself (Type Face, Height, Edge Type) as well as accompanying metadata, which is information about the font, but which has no direct bearing on the appearance of the font. The user-defined metadata enables easier access to the font by providing the means to easily search as well as identify the function of the font.

Image: Font Information Dialog Box

Font Information Dialog Box

There are both user-defined and non-editable parameters in the Font Information dialog box. The non-editable parameters are determined on creation/modification of the font.

Parameter

Description

Style Name

Can identify the function of the font, e.g., Weather Promo.

Type Face

Identifies Type Face, also known as Font Facename, Font Face, etc., of the selected font. Information field only - not editable from within this dialog box.

Comments

Comments that could further define use or provide other information. The Comments field can accommodate 255 characters. Pressing Enter performs the same function as clicking OK, so it cannot be used to start a new line. To insert a carriage return in the field:

  • Press Ctrl + Enter.

Keywords

Keywords that can be used for Browser Search purposes.

Height

Indicates height, in scanlines, of the selected font. Information field only - not editable from within this dialog box.

Edge Type

Indicates edge type(s) of selected font. Information field only - not editable from within this dialog box.

Last Modified

Indicates date that the font was last modified. Information field only - not editable from within this dialog box.

Hotkey

Defines the Hotkey combination that can be used to quickly load the font. Twenty hotkeys are available. The following Hotkeys can be set:

  • Alt + 0 through Alt + 9; Alt + Shift + 0 through Alt + Shift + 9.

To set a Hotkey:

  • Just select from the drop-down list box.

To load a font associated with a Hotkey:

  1. Activate the Browser which is displaying the font, then make the Canvas active.

  2. Press the Hotkey combination. Note that only the alphanumeric number keys, not the numeric keypad keys, can be used in a Hotkey combination.

OK or press Enter

Applies the parameter settings to the Font Asset.

Cancel

Cancels the application of the settings to the Font Asset.

The figure below shows an example of a Font Information dialog containing information, and how the icon/text would look in the Browser in an Icon/Text View.

Image: Font Information Edited

Font Information Edited

Deleting a Font from the Browser

A font can be deleted form a Browser as follows:

  1. From the Font Asset context menu, select Delete.

    OR

    Select (click) the Font Asset, then press Delete on the PC keyboard or Delete Character on the Chyron keyboard.

    The following prompt asks for confirmation of the deletion of the specific font.

    Image: Font Delete Prompt

    Font Delete Prompt

  2. Click Yes to confirm deletion, or No to Cancel.

WARNING! There is no Undo for this operation!

Updating a Font

The physical attributes of a font can be modified and the update applied to the Font Asset:

  1. While the font is active, modify attributes from the Font Toolbar and/or the Properties > Font/2D Font FX tabs.

  2. From the Font Asset context menu, select Update. The information updates in the Font Information dialog box, as well as Font Icon and/or Text View. Not also that on the Canvas, characters created from the font are also updated to reflect the new characteristics.

WARNING! There is no Undo for this operation!

Create RGB Font

The RGB Font feature, familiar to iNFiNiT! operators, provides fast access to bitmap graphics in Lyric. An RGB Font is a set of characters that are based on bitmap graphics, instead of what is generally known as font characters. Each bitmap graphic in the font is mapped to a unique key or key combination, enabling quick typing of graphics onto the Canvas. A common use of RGB Fonts is for display of sports logos. Each logo is mapped to a key, and can easily be placed onto the Canvas by pressing a key or key combination, without the necessity of using the Graphic Import function. Refer to RGB Fonts for details on creation and other RGB Font operations.

Import RGB Font

Import RGB Font is not available from the context menu of a TrueType® font. The item is grayed out on this menu.

Style, Typeface, Comments and Keywords

These items are informational only. To edit, select Edit in this menu.

Browser - Related Topics


Sync Fonts on Load

Sync TrueType® Fonts on Load

Config Menu > Preferences > Browser

When the attributes of a TrueType® font stored in the Browser are updated, all text written using the original font's attributes can be changed to a new font automatically. To enable this feature:

  • In the Config Menu > Preferences > Browser tab, enable (check) Sync TrueType Fonts On Load checkbox.

    Image: Browser Preferences - Sync TrueType Fonts on Load

    Preferences: Sync TrueType® Fonts on Load

To demonstrate how this works:

  1. Create a new, customized font and save it Image: Save to Database Icon to the Browser. Creating a new font is suggested here, as it will be overwritten during this procedure.

  2. Right-click on the new asset in the Browser, select Edit to open the Font Information dialog box, then enter the name Demo Font 3 in the Style Name field.

  3. Create a multi-row 2D Text message, using the new font on one of the rows.

    Message Using New Font

  4. Save the message, take note of its Message Number, then erase the Canvas.

  5. Double-click the font that is to be changed, or drag-and-drop it to the Font Sample area in the Properties > Font or Properties 2D Font FX tab. The font becomes active in the Font and 2D Font FX tabs of the Properties menu. The illustration of the Properties > Font tab has been shortened for easier viewing in this example.

    Activating a Font in the Browser - Reflected in Font and 2D Font FX Properties

  6. In the Font and 2D Font FX tabs, modify this font, then click Apply. The Font Sample in the Properties Font and 2D Font FX tabs change accordingly.

    Properties: Changing Font Characteristics

  7. In the Browser, right-click on the font that is to be changed, i.e., Demo Font 3. Select Update in the context menu. For information about the Update function, refer to the section on the TrueType® Font Context Menu.

    Browser Menu: Update

    The Thumbnail of the font in the Browser is updated appropriately.

    Browser Thumbnail Updated with New Font

  8. Recall (read) the message created in Step 3.

    Recalling Message: Updated Font

    The text composed using the font Demo Font 3 has changed to reflect the update just performed on the font in the Browser.

    Additionally, any other messages containing Demo Font 3 will display the updated version of the font.

Browser - Related Topics


RGB Font Asset Operations

Browser > Image: Font Asset Icon; Browser Menu > Show Font Assets

The RGB Font feature, familiar to iNFiNiT! operators, provides fast access to bitmap graphics in Lyric. An RGB Font is a set of characters that are based on bitmap graphics, instead of what is generally known as font characters. Each bitmap graphic in the font is mapped to a unique key or key combination, enabling quick typing of graphics onto the Canvas. A common use of RGB Fonts is for display of sports logos. Each logo is mapped to a key, and can easily be placed onto the Canvas by pressing a key or key combination, without the necessity of using the Graphic Import function.

Bitmap graphics from an RGB Font can be added to the Canvas as animatable bitmap objects or as 2D row-based elements if typed in a 2D Text Window.

Create RGB Font

To create an RGB Font:

  1. If Font Assets are not already displayed in a Browser, open a Browser window, then click Image: Font Asset Icon or select Show Font Assets from the Browser menu.

  2. Right-click in the area of the Browser where the Font Assets are displayed, then select Create RGB Font from the Font Asset, TrueType or RGB Font context menu. Refer to Browser Font Operations for brief descriptions of each of these menus.

    Image: Create RGB Font Dialog Box

    Create RGB Font Dialog Box

  3. Enter a Name for the font (e.g. Sports Logos), then select a Hotkey from the Hot Key drop-down list box. As described above, the Hotkey choices are Alt + 0 through Alt + 9; and Alt + Shift + 0 through Alt + Shift + 9.

  4. Click OK. The Create RGB Font dialog box closes. A new Font Asset now appears in the Browser. Lyric assigns a default bitmap graphic (shown below) to uppercase A (Shift + A). The graphic, as well as the assigned Name and Hotkey, are displayed as the icon. When a new bitmap is assigned to uppercase A, a representation of that graphic will take the place of the default RGB Font icon.

Default RGB Icon

Default RGB Font Graphic

RGB Fonts can also be created using the Custom Font Editor, accessible from the context (right-click) menu of the blank area of the Browser or the context menu of an RGB Font Asset.

The RGB Font context menu accesses RGB Font operations. To display the menu, right-click on an RGB Font Browser listing.

Image: RGB Font Context Menu

RGB Font Context Menu

The menu items, except for Create RGB Font (already described above), are described in the following paragraphs.

Font Browser

The Font Browser provides the ability to view the bitmaps in the RGB Font, as well as add, delete and modify RGB Font characters.

  • To open the Font Browser, select Font Browser from the RGB Font context menu. The figures below show Font Browser displaying a new RGB Font, and a Font Browser displaying an RGB Font containing multiple characters.

Image: Font Browser

Font Browser - New Font

Image: Font Browser - Populated

Font Browser - Populated

To quickly select a character in the Font Browser:

  • Press the key combination for that character. For example to select the RGB Font character that is assigned to Shift + C, press Shift + C.

The following parameters customize the font for easy recognition, as well as providing information aids when using the Browser Search function. Right-clicking the Name, Comments and Keywords displays a context menu that provides text editing functions Undo, Cut, Copy, Paste, Delete and Select All.

Parameter

Description

Name

Can identify the function of the font, e.g., Sports Logos.

Hot Key

Defines the Hotkey combination that can be used to quickly load the font. Twenty hotkeys are available. The following Hotkeys can be set:

  • Alt + 0 through Alt + 9; Alt + Shift + 0 through Alt + Shift + 9.

To set a Hotkey:

  • Just select from the drop-down list box.

To load a font associated with a Hotkey:

  1. Activate the Browser which is displaying the font, then make the Canvas active.

  2. Press the Hotkey combination. Note that only the alphanumeric number keys, not the numeric keypad keys, can be used in a Hotkey combination.

Comments

Comments that could further define use or provide other information. The Comments field can accommodate 255 characters. Pressing Enter performs the same function as clicking OK, so it cannot be used to start a new line. To insert a carriage return in the field:

  • Press Ctrl + Enter.

Key Words

Keywords that can be used for Browser Search purposes.

Key Assignment

Displays each graphic that is mapped to the key or key combination. RGB Font characters can be added, deleted or modified from the Key Assignment window. These operations are described directly following this table.

OK or press Enter

Applies the parameter settings to the Font Asset.

Cancel

Cancels the application of the settings to the Font Asset.

The Key Assignment window has a context menu, accessible by right-clicking on a font character listing or a blank area in the window. The figure below shows the context menu, as accessed by right-clicking on the font character mapped to uppercase A.

Image: Key Assignment Context Menu

Key Assignment Context Menu

The menu items are described in reverse order.

Add Character

A bitmap graphic can be mapped to each key combination available to Lyric:

In the Key Assignment window, right-click on either an existing RGB Font character listing or the blank area. If a blank area is right-clicked, an unpopulated Add/Modify RGB Character dialog box is displayed.

Image: Add/Modify RGB Character Dialog Box

Add/Modify RGB Character Dialog Box - Blank Area Right-Clicked

If an existing RGB Font character listing is right-clicked, the dialog box is populated with the information about the character.

Image: Add/Modify RGB Character Dialog Box

Add/Modify RGB Character Dialog Box - Existing RGB Character Right-Clicked

Set the following parameters. Note that if an existing listing has been right-clicked, new Key information should be entered, or the existing key will be modified. The modification procedure is described below.

Parameter

Description

Key

Specifies the key to which the bitmap is to be mapped (assigned). The Key can correspond to any of the alphanumeric keys available on the PC or Chyron keyboard, and includes Shift + key combinations. Alt + key combinations, described below, are also available.

Value

Corresponds to the ASCII Code for the key or key combination. The Value field automatically populates when Key or Alt is set.

It is possible to enter a Value first, but only the Key field reflects the setting. Because the Alt field does not, it could becomes difficult to tell which key combination will produce the RGB character when out of the range of common alphanumeric characters.

ALT

Enables the assignment of RGB Font characters to Alt + or Alt + Shift + key combinations. For example, to assign an RGB Font character to Alt + D (which is Alt + Shift + D):

  • Enter Shift + D in the Alt field. Do not enter a setting into the Key field. It automatically displays a bar to indicate an Alt setting.

Path

Specifies the path to the graphic assigned as the RGB Font character.

Browse

Enables browsing for graphic assigned as the RGB Font character. Once a graphic is selected, the path automatically populates the Path field.

OK

Adds the new RGB Font character to the RGB Font. The new character now appears on the Font Browser.

Cancel

Cancels the addition of the new RGB Font character.

After parameters are set:

  • Click OK to add the new RGB Font character or Cancel to cancel.

Once a graphic is assigned to a key or key combination, pressing that key or key combination imports the graphic to the Canvas.

Modify Character

The Modify Character function enables the modification of any RGB Font character. This function is available to all RGB Font characters. It is not available when a blank area of the Font Browser is right-clicked.

If the RGB Font character assigned to uppercase A key is right-clicked, the following is displayed:

Image: Add/Modify RGB Character Dialog Box - Character A Selected

Add/Modify RGB Character Dialog Box - Character A Right-Clicked

This is the same dialog box used for adding a new character. Refer to the parameter table above for information on the settings. Note that:

  • When the character uppercase A is selected for modification, only the Path, i.e., the graphic assigned to the key, can be modified. The Key value itself cannot be modified.

  • If an RGB Font character not assigned to uppercase A is right-clicked, the Key, Value and ALT fields become available for modification.

Delete

The Delete function enables the deletion of an RGB Font character from an RGB Font. The Delete function is available to any RGB Font character except that assigned to uppercase A. It is also not available when clicked on a blank area of the Font Browser.

  1. From the Key Assignment context menu, select Delete. The following prompt asks for confirmation of the deletion of the specific font.

    Image: RGB Font Character Delete Confirmation

    RGB Font Character Delete Prompt

  2. Click OK to execute the Delete, or Cancel to cancel.

WARNING! There is no Undo for this operation!

Custom Font Editor

The Custom Font Editor provides the ability to create RGB Fonts which can then be imported into other Browser windows either locally or remotely. Refer to Custom Font Editor for information on using this tool.

Delete

The Delete function enables the deletion of an RGB Font from a Browser database.

  1. From the RGB Font context menu, select Delete.

    OR

    Select (click) the RGB Font Asset, then press Delete on the PC keyboard or Delete Character on the Chyron keyboard.

    The following prompt asks for confirmation of the deletion of the specific font.

    Font Delete Prompt

    Font Delete Prompt

  2. Click Yes to execute the Delete, or No to cancel.

WARNING! There is no Undo for this operation!

Update

This function replaces the selected font in the Browser with the currently active font. To perform an update:

  1. Create a new font or activate an existing font. It can be either a TrueType® or RGB Font It is not necessary for the replacement font to be resident in the Browser.

  2. In the Browser, right-click the font to be replaced, then select Update from the context menu. The following prompt is displayed:

    Image: Update Font

    Update Font Prompt

  3. Click Yes to replace. The active font replaces the selected font.

WARNING! There is no Undo for this operation!

NOTE

When an RGB Font character is updated via sync-RGB-fonts, the new character assumes the size of the original.

Add/Modify Character

The Add/Modify function enables the addition or modification of an RGB Font character without the necessity of entering the Font Browser. To add or modify an RGB Font character:

  1. In the Browser, right-click on the RGB Font listing, then select Add/Modify Character from the context menu. A blank Add/Modify RGB Character dialog box is displayed.

    Image: Add/Modify RGB Character Dialog Box

    Add/Modify Dialog Box

  2. Set the Key assignment. Note that if the key already has a graphic assigned, the path is not shown in the Path field. Be cautious when working in this manner with RGB Fonts that already have graphics assigned to keys. It is recommended that in this instance, modifications and additions be performed from the Font Browser as previously described.

  3. Click OK. The changes to the RGB Font are applied.

Import RGB Font

A set of graphics can be imported as an RGB Font to the Browser. The graphics must adhere to the following conditions:

  • All graphics to be assigned to the font must reside in the same directory.

  • All graphics assigned to the font must be in .tga format.

  • The filenames must correspond to the ASCII code numbers. For example, the graphic that corresponds to Shift + A must be named 0065.tga; the graphic that corresponds to Shift + B must be named 0065.tga; etc.

To perform an RGB Font import:

  1. Create a new RGB Font, but do not modify or add any characters.

  2. Left-click on its icon/text in the Browser, then select Import RGB Font from the context menu. The Browse for Folder dialog box is displayed.

    Browse for File Dialog Box

    Browse for Folder Dialog Box

  3. Navigate to the folder that contains the graphics files.

  4. Click OK. The graphics files are loaded into the new RGB Font in the Browser. Their Key Assignments are determined by their filenames.

Refer to Custom Font Editor for additional information regarding RGB Font creation.

Browser - Related Topics


Message Asset Operations

Browser Message Asset Operations

Browser > Image: Browser Message Assets Icon; Browser Menu > Show Message Assets

The Message Asset Browser enables quick import of Lyric messages to the Canvas, additions of Lyric messages to the Browser database and cataloging of Message Assets. The Message Asset Browser supports drag-and-drop of Lyric messages to the Canvas or Playlist, from one Browser window to another Browser window, and from Windows® Explorer®-type windows into the Browser.

Lyric also provides the ability to edit the Message Asset information (metadata), delete the Message Asset from the database, and update the Message Asset when changes are made to the message. Browser Message Asset entries contain information such as Author, Title, Comments, Keywords and Date Modified.

Adding (Saving) a Lyric Message to the Browser Database

When a Lyric message is added to the database, what is stored in the database is not the message itself, but rather the information about the message. This includes searchable metadata and the path information to the message. It does not, however, include the message itself. The Browser simply references the message. This makes it possible for the same message to be referenced by virtually an unlimited number of Browser databases.

Adding a Message to the Browser from the Canvas

To add a Lyric message to a Browser from the Canvas:

  1. In Lyric, create, then save the message.

  2. Click Image: Save to Database Icon or select Save to Database from the Browser menu. The icon/text listing for the message is added to the Browser window. The message is assigned the currently displayed Message Number. The number name can be changed using the Browser Message Asset Edit function, which is described later in this section.

Adding a Message to the Browser from Another Browser

To add a Lyric message to a Browser window from another Browser window:

  • Drag-and-drop the message from the originating Browser window to the destination Browser window.

Adding a Message to the Browser from a Windows® Explorer®-Type Window

To add a Lyric message from a Windows® Explorer®-type windows into the Browser window:

  • Drag-and-drop the message or a group of messages from the Windows® Explorer®-type window to the Browser window. The files are assigned their file names, as opposed to a Message Number.

Adding a Message to the Browser Automatically When a Message is Saved

A message can automatically be added to the Browser when it is saved as a file. To enable operation:

  1. From the Config menu, select Preferences, and then the Browser tab..

  2. Select (check) the File Save adds to browser checkbox, and then click OK.

Whenever a message is saved using the Record function, File > Save or File > Save As, the message is added to the Browser database with its assigned name.

To disable this function:

  1. From the Config menu, select Preferences, and then the Browser tab..

  2. Deselect (uncheck) the File Save adds to browser checkbox, and then click OK. When a file is saved, it is no longer automatically added to the Browser database.

Loading a Lyric Message from the Browser to the Canvas/Playlist

To load a Message Asset from the Browser to the Canvas, make the Canvas active, then choose one of the following methods:

  • Double-click the icon/text listing for the message.

  • Select (click or by cursor) the Message Asset, and then click Image: Load form Database Icon or select Load from Database from the Browser menu.

  • Drag-and-drop the Message Asset to the Canvas.

The Message Asset loads to the Canvas. If the message has a numeric file name, the Message Number Display usually found at the bottom of the Canvas increments to the following number.

To load a Message Asset from the Browser to a Playlist:

  • Drag-and-drop the Message Asset into the File Name field of the step to which the message is to be added.

The Message Asset Context Menu

Information (metadata) about the Message Asset can be edited via the Message Asset context menu. A Message Asset can also be updated or deleted. To access this menu:

  • Right-click on the Message Asset.

Message Asset Context Menu

Message Asset Context Menu

Edit

A Message Asset consists of the metadata, which is information about the message, as well as a path to the message. The user-defined metadata enables easier access to the message by providing the means to easily search as well as identify the function of the message.

Image: Message Asset with Message Information Dialog Box

Message Asset with Message Information Dialog Box

Contents of the Message Information fields are reflected in the Browser Text View and Icon/Text View displays.

Link to Browser Showing Message Information

Browser Showing Message Information

There are both user-defined and non-editable parameters in the Message Information dialog box. The non-editable parameters are determined on creation/modification of the font.

Parameter

Description

Author

Identifies the author of the message.

Title

Identifies the title of the message. By default, it reflects the file name, but can be edited. The file name does not reflect any change to the Title.

Comments

Reflects the text displayed in 2D Text windows in the message (see arrow above). Additional information can also be typed in the Comments field to further define use or provide other information. Text typed into the Comments field does not change the contents of the 2D Text windows on the Canvas. The text from the 2D Text windows can also be edited without changing the contents of the 2D Text window on the Canvas.

The Comments field can accommodate 255 characters. Pressing Enter performs the same function as clicking OK, so it cannot be used to start a new line. To insert a carriage return in the field:

  • Press Ctrl + Enter.

Keywords

Keywords that can be used for Browser Search purposes.

Subject

Identifies the subject of the message, e.g. news. sports, weather, etc.

Last Modified

Indicates date that the message was last modified. Information field only - not editable from within this dialog box.

Path and File

Identifies the path to the file.

OK or press Enter

Applies the parameter settings to the Message Asset.

Cancel

Cancels the application of the settings to the Message Asset.

Delete

The Delete function enables deletion of a Message Asset from the database. Deleting a Message Asset from a Browser database does not delete the message itself, only the reference to the message.

To delete an individual message from a Browser database:

  1. Right-click on the Message Asset icon/text listing, and then select Delete from the context menu.

    OR

    Select (click) the Message Asset, and then press Delete on the PC keyboard or Delete Character on the Chyron keyboard.

    The following prompt is displayed.

    Image: Delete Message Prompt

    Delete Message Asset Prompt

  2. Click Yes to confirm the deletion of the message from the Browser database. The following prompt is displayed:

    Image: Delete Message File Prompt

    Delete Message File Prompt

  3. Click Yes to delete the message file from disk, or No to preserve the message file.

IMPORTANT!

Selecting Yes permanently deletes the original message file. Before deleting the file from disk, make sure that it is not referenced by other Browser databases or Playlists! There is no Undo for this operation!

To delete a group of messages from the database:

  1. In the Browser, use one of the following methods to select the messages to be deleted:

    • Selecting a Contiguous Range of Messages: Click the first or last message in the range, then press and hold the Shift key while clicking the last or first message in the range.

    • Selecting Noncontiguous Messages: Press and hold the Ctrl key while clicking each message that is to be deleted.

  2. Press Delete. The messages are deleted from the Browser. Note that they are not deleted from disk.

Update

The Update function applies the contents of the Lyric Canvas to a Message Asset in the Browser. To perform an update:

  • Right-click the Message Asset to which the update should be applied, then select Update. The contents of the Lyric Canvas replace the message that was right-clicked. All metadata (except for Last Modified Date) and path information remain unchanged.

CAUTION!

Make sure that the Message Asset Icon/Text listing that is right-clicked is the intended target for the update. For example, if Message Number 1003 is active (i.e. its listing has a red border in the Browser and it is displayed on the Canvas), then right-clicking Message 1008, then selecting Update, will replace the graphics in Message 1008 with the graphics displayed on the Canvas, i.e., Message 1003. Note that the Message Number displayed usually at the bottom of the Canvas does not increment after an Update is performed.

The Update procedure overwrites the original message specified in the filepath. There is no Undo for this operation!

Update Thumbnail

Any Browser entry's Thumbnail can be updated to display the current contents of the Canvas. This option can be useful in creating a readily identifiable Thumbnail for a Macro (or any) message whose actual content may not be easily recognized in the Thumbnail view. The message in the illustration below originally contained only a Macro that records a series of actions for bringing an over-the-shoulder Live "chip" on-screen. It does not actually include the text "MACRO; ADDS LIVE". However, the Thumbnail now identifies the message with the inclusion of that text, strictly for identification purposes.

  1. In the Browser, highlight the Macro whose Thumbnail you wish to customize with the Update Thumbnail function. If there is a visual element in the message that you wish to include in the customized Thumbnail, you may open the message in Lyric, but opening the message is not necessary.

  2. Type any identifying text that you wish over the message OR on a blank Canvas. DO NOT SAVE, ESPECIALLY IF THE MESSAGE ITSELF IS OPEN IN LYRIC.

  3. Right-click the highlighted Thumbnail of the message and select Update Thumbnail.

At left is the original Thumbnail, which may not be readily identifiable. At right, the Thumbnail has been modified with added text, not recorded in the message itself, to make the Thumbnail more easily identified.

  4. The highlighted Thumbnail takes on the appearance of the current Canvas. Again, don't save the message with the extra text that you have added to the Canvas.

NOTE

The Update Thumbnail operation can be applied to ANY message Thumbnail in the Browser; be certain that you have selected the Thumbnail you wish to customize.

Comments, Keywords

These items are informational only. To edit, select Edit in this menu.

Searching Message Assets

To narrow down the assets in a Browser database, Message Assets can be searched, based on a search strings (Author, Title, Comments, Subject, etc.), Modification Date, etc. Refer to Searching the Browser for details on the Search tool.

Browser - Related Topics


Bitmap Asset Operations

Browser > Click Image: Show Bitmap Assets Icon; Browser Menu > Show Bitmap Assets

The Bitmap Asset Browser enables quick import of Lyric-supported graphics to the Canvas, additions of graphics to the Browser database and cataloging of Bitmap Assets. The Bitmap Asset Browser supports drag-and-drop of graphics to the Canvas or a 2D Text Window in the Canvas, from one Browser window to another Browser window, and from Windows® Explorer®-type windows into the Browser. The Bitmap Asset Browser also supports drag-and-drop of graphics into the background of the Canvas, a 2D Text Window or a 2D Text Template.

Lyric also provides the ability to edit the Bitmap Asset information (metadata), delete the Bitmap Asset from the database, and update the Bitmap Asset when changes are made to the graphic. Browser Bitmap Asset entries contain information such as Author, Title, Comments, Keywords and Date Modified.

The use of the term bitmap in this context refers to all graphic formats supported by Lyric, and is used interchangeably with the terms graphic and bitmap graphic.

Adding a Lyric Bitmap to the Browser Database

When a bitmap is added to the database, what is stored in the database is not the bitmap itself, but rather the information about the bitmap. This includes searchable metadata and the path information to the bitmap. It does not, however, include the graphic itself. The Browser simply references the graphic. This makes it possible for the same bitmap to be referenced by a virtually unlimited number of Browser databases.

Adding a Bitmap to the Browser from the Canvas

To add a bitmap to a Browser from the Canvas:

  1. Select the graphic from either the Canvas or the Scene Graph. The name of the graphic should be highlighted on the Scene Graph.

  2. Click Image: Save to Database Icon or select Save to Database from the Browser menu. The icon/text listing for the graphic is added to the Browser window.

Adding a Bitmap to the Browser from Another Browser

To add a bitmap to a Browser window from another Browser window:

  • Drag-and-drop the graphic from the originating Browser window to the destination Browser window.

Adding a Bitmap to the Browser from a Windows® Explorer®-Type Window

To add a bitmap from a Windows® Explorer®-type windows into the Browser window:

  • Drag-and-drop the graphic or a group of graphics from the Windows® Explorer®-type window to the Browser window.

Loading a Bitmap Graphic from the Browser

Loading a Bitmap from the Browser to the Canvas or 2D Text Window

To load a Bitmap Asset from the Browser to the Canvas or a 2D Text Window, make the Canvas or 2D Text Window in the Canvas active, then choose one of the following methods:

  • Double-click the icon/text listing for the graphic.

  • Select (click or by cursor) the Bitmap Asset, then click Image: Load form Database Icon or select Load from Database from the Browser menu.

  • Select (click or by cursor) the Bitmap Asset, then press Enter.

  • Drag-and-drop the Bitmap Asset to the Canvas or into the 2D Text Window.

The Bitmap Asset loads to the Canvas.

Loading a Bitmap as a Background

To use a Bitmap Asset as a background for the Canvas, a 2D Text Window or 2D Text Template:

  1. Hold the Alt key while dragging-and-dropping a Bitmap Asset into the Canvas, a 2D Text Window or 2D Text Template. The following menu is displayed.

    Image: Background Menu

    Background Menu

  2. Select one of the two options from the Background menu.

    • Select Stretch to Fit to stretch the graphic to fill the Canvas, 2D Text Window or 2D Text Template. Note that the aspect ratio of the graphic may change, distorting its appearance.

    • Select Center to place the graphic in center of the background of the Canvas, 2D Text Window or 2D Text Template. The size and aspect ratio of the graphic remain unchanged.

For additional information on backgrounds, refer to the section on Background.

Applying a Bitmap Asset as a Texture for a 3D Character or 3D Object

To apply a Bitmap asset as a Texture for a 3D character or 3D object:

  • Drag-and-drop the Bitmap asset to the Texture Chip in the Properties > Surface tab. Refer to Surface Properties for additional details.

Image: Dragging-and-Dropping a Texture from the Browser

Dragging-and-Dropping a Texture from the Browser

The Bitmap Asset Context Menu

Information (metadata) about the Bitmap Asset can be edited via the Bitmap Asset context menu. A Bitmap Asset can also be updated or deleted. To access this menu:

  • Right-click on the Bitmap Asset.

Image: Bitmap Asset Context Menu

Bitmap Asset Context Menu

Edit

A Bitmap Asset consists of the metadata, which is information about the bitmap, as well as a path to the bitmap. The user-defined metadata enables easier access to the bitmap by providing the means to easily search as well as identify the function of the bitmap.

Image: Graphic File Information Dialog Box

Graphic File Information Dialog Box

Contents of the Graphic File Information fields are reflected in the Browser Text View and Icon/Text View displays.

Image: Browser Showing Bitmap Information

Browser Showing Bitmap Information

There are both user-defined and non-editable parameters in the Graphic File Information dialog box. The non-editable parameters are determined on creation/modification of the font.

Parameter

Description

Author

Identifies the author of the graphic.

Title

Identifies the title of the graphic. By default, it reflects the file name, but can be edited. The file name does not reflect any change to the Title.

Comments

Information can be typed in the Comments field to further define use or provide other details.

The Comments field can accommodate 255 characters. Pressing Enter performs the same function as clicking OK, so it cannot be used to start a new line. To insert a carriage return in the field:

  • Press Ctrl + Enter.

Keywords

Keywords that can be used for Browser Search purposes.

Subject

Identifies the subject of the graphic, e.g. news. sports, weather, etc.

Last Modified

Indicates date that the graphic was last modified. Information field only - not editable from within this dialog box.

Path and File

Identifies the path to the file.

OK or press Enter

Applies the parameter settings to the Bitmap Asset.

Cancel

Cancels the application of the settings to the Bitmap Asset.

Delete

The Delete function enables deletion of a Bitmap Asset from the database. Deleting a Bitmap Asset from a Browser database does not delete the graphic itself, only the reference to the graphic.

To delete a graphic from a Browser database:

  1. Right-click on the Bitmap Asset icon/text listing, then select Delete from the context menu.

    OR

    Select (click) the Bitmap Asset, then press Delete on the PC keyboard or Delete Character on the Chyron keyboard.

    The following prompt is displayed.

    Image: Delete Bitmap Prompt

    Delete Bitmap Asset Prompt

  2. Click Yes to confirm the deletion of the graphic from the Browser database. The following prompt is displayed:

    Delete Bitmap File Prompt

    Delete Bitmap File Prompt

  3. Click Yes to delete the graphic file from disk, or No to preserve the graphic file.

IMPORTANT!

Selecting Yes permanently deletes the original graphic file. Before deleting the file from disk, make sure that it is not referenced by other Browser databases! There is no Undo for this operation!

Update

The Update function for Bitmap Assets is not currently implemented.

Comments, Keywords

These items are informational only. To edit, select Edit in this menu.

Searching Bitmap Assets

To narrow down the assets in a Browser database, Bitmap Assets can be searched, based on a search strings (Author, Title, Comments, Subject, etc.), Modification Date, etc. Refer to Searching the Browser for details on the Search tool.

2D Objects - Related Topics

Browser - Related Topics


Aprisa Still Asset Operations

Browser > Image: Aprisa Stills Assets Icon; Browser Menu > Show Aprisa Stills

NOTE

Before Aprisa Browser operations within Lyric, it is necessary to configure Lyric for access to the Aprisa. Refer to Aprisa Interface for details. If the system running Lyric is properly networked to the Aprisa, and the Aprisa Still Assets are not displaying, make sure that Enable Browser has been selected (checked) in the Configure Aprisa Interface dialog box, accessed from Configure Menu > Aprisa Interface. Refer also to the section on the Aprisa Systems for details on networking and other operations.

Additionally, in order for Lyric to access Aprisa stills, the Aprisa application must be running, even if Lyric is running on the Aprisa system.

Aprisa Stills are graphics stored on Chyron Aprisa systems. When imported into a Lyric Canvas, the still is used as any other bitmap graphic. An image on the Lyric Canvas can also be exported to the Aprisa, and added to the stills database.

The Aprisa Stills Asset Browser enables quick import of Aprisa graphics to the Canvas. The Aprisa Stills Asset Browser supports drag-and-drop of graphics to the Canvas or a 2D Text Window in the Canvas and from one Browser window to another Browser window. The Aprisa Stills Asset Browser also supports drag-and-drop of graphics into the background of the Canvas, a 2D Text Window or a 2D Text Template. Aprisa Stills assets can also be searched.

NOTE

Unlike Browser databases for Lyric TrueType® and RGB Fonts, Messages and bitmaps, which are independent of the source files, the Aprisa Stills database and the stills as stored on an Aprisa system are one and the same. Any change to metadata changes the metadata for the source file. Additionally, there is only one Aprisa stills database per Aprisa system.

In order for Lyric to have the ability to access remote Aprisa assets:

  • The Aprisa software must be running on the Aprisa platform.

  • The system on which Lyric is running must be properly networked to the Aprisa. Refer to Importing from Aprisa and for information on establishing a network connection.

If Lyric is running on the Aprisa platform itself, the Lyric Browser may be used instead of Aprisa’s own browser.

The following should be noted about Aprisa Still Asset view options and file names:

  • Only the Icon View is available. Text Only and Icon Text Views are inactive. Metadata is displayed in the Aprisa Export dialog box (described below).

  • File Names are always of the format xxxx, where xxxx is a four-digit number. In the Browser, the leading "." is not displayed. Starting the number with zeroes is permitted.

  • The Sort A-Z/Sort Z-A selection does not have an affect on the order of display. The stills are always displayed in file name, i.e., numerical order.

Iimage: Aprisa Stills Browser

Aprisa Stills Browser

Loading an Aprisa Still from the Browser

Loading an Aprisa Still from the Browser to the Canvas or 2D Text Window

To load an Aprisa Still Asset from the Browser to the Canvas or a 2D Text Window, make the Canvas or 2D Text Window in the Canvas active, then choose one of the following methods:

  • Double-click the icon/text listing for the still.

  • Select (click or by cursor) the icon for the Aprisa Still Asset, then click Image: Load form Database Icon or select Load from Database from the Browser menu.

  • Select (click or by cursor) the icon for the Aprisa Still Asset, then press Enter.

  • Drag-and-drop the Aprisa Still Asset to the Canvas or into the 2D Text Window.

The Aprisa Still Asset loads to the Canvas.

  • If the still is loaded to the Canvas as a 2D bitmap, it can be moved and scaled using Transform Tools or from Properties > XYZ.

  • If the still is loaded to a 2D Text Window, it can be scaled using the same functions used to modify 2D text. Refer to Selecting and Modifying 2D Text or Keyboard Shortcuts - 2D/3D Text, Text Templates and Row Tabs for additional information.

Note that a still cannot be loaded into a 2D Text Template as an object, but can, as a Background (see following).

Loading an Aprisa Still as a Background

To use an Aprisa Still Asset as a background for the Canvas, a 2D Text Window or 2D Text Template:

  1. Hold the Alt key while dragging-and-dropping an Aprisa Still Asset into the Canvas, a 2D Text Window or 2D Text Template. If loading into the Background of a 2D Text Template, make sure that the cursor is on a row of the Template, not the 2D Text Window, or the still will load to the Background of the 2D Text Window instead of the Template. The following menu is displayed.

    Image: Background Menu

    Background Menu

  2. Select one of the two options from the Background menu.

    • Select Stretch to Fit to stretch the still to fill the Canvas, 2D Text Window or 2D Text Template. Note that the aspect ratio of the still may change, distorting its appearance.

    • Select Center to place the still in center of the background of the Canvas, 2D Text Window or 2D Text Template. The size and aspect ratio of the still remain unchanged.

For additional information on backgrounds, refer to the section on Background .

Loading an Aprisa Still Using the File Menu

An Aprisa still can also be loaded from outside of the Browser:

  1. Place the cursor at the location where the still is to be placed:

    • Anywhere in the Canvas outside of a 2D Text Window to place as a 2D bitmap object or Background of the entire Canvas.

    • Inside of a 2D Text Window to place in a row-based 2D bitmap object or Background of the 2D Text Window.

    • Inside of a 2D Text Template to place as the Background of the Template. Note that the still cannot be placed in the Template as a row-based 2D bitmap object. To do so would require that the still is converted into an RGB Font character.

  2. Pull down the Lyric File menu, and then select Import from Aprisa. The Aprisa Import dialog box opens.

    Imae: Aprisa Import Dialog Box

    Aprisa Import Dialog Box

  3. Select a Source from which the still is to be imported from the Source drop-down list box.

  4. Enter the Still ID of the still.

  5. Select (click) either Insert as Object or Insert as Background.

  6. Click Import. The Aprisa still is displayed in the Lyric Canvas as an Object or Background as specified, and at the location as specified by the cursor position. A still imported as a Background stretches to fit the Canvas, 2D Text Window or 2D Text Template.

  7. Click the close icon to exit the Aprisa Import dialog box.

Applying an Aprisa Still Asset as a Texture for a 3D Character or 3D Object

To apply an Aprisa Still asset as a Texture for a 3D character or 3D object:

  • Drag-and-drop the Aprisa Still asset to the Texture Chip in the Properties > Surface tab. Refer to Surface Properties for additional details.

Image: Dragging-and-Dropping a Texture from the Browser

Dragging-and-Dropping a Texture from the Browser

The Aprisa Still Asset Context Menu

Information (metadata) about the Aprisa Still Asset can be edited via the Aprisa Still Asset context menu. An Aprisa Still Asset can also be updated or added to the Aprisa database. To access this menu:

  • Right-click on the Aprisa Still Asset.

Image: Apris Stills Context Menu

Aprisa Still Asset Context Menu

Edit

Edit is not available in this menu. Editing metadata is performed in the Aprisa Export dialog box, accessed from the Update function (described below).

Delete

Delete is not available from this menu. Stills can be deleted from the database via the Aprisa interface on the Aprisa system.

Update

A still can be updated, its metadata edited, or a new still can be added to the Aprisa still database from this Aprisa Export dialog box which is accessed from Update. These functions are described in more detail later in this section.

Descr, Field 1, Field 2, Field 3, Field 4

These fields are informational only, and can be edited in the Aprisa Export dialog box.

The Aprisa Export Dialog Box

The Aprisa Export dialog box accessed from the Browser is the same in both appearance and function as the Aprisa Export dialog box accessed from File Menu > Export to Aprisa. To open the dialog box from the Aprisa Still Assets Browser, right-click on a still, then select Update from the context menu.

Image: Aprisa Export Dialog Box

Aprisa Export Dialog Box

Still ID identifies the File Name of the still. As mentioned above, File Names are always of the format xxxx, where xxxx is a four-digit number. This field can be edited, which results in the addition of a new still to the Aprisa database, or the replacement of an existing still of the same File Name. Adding a still is described in detail later in this section.

  • A Description can be selected for the still.

  • Fields 1 through 8 enable additional descriptive information to be entered.

  • The Destination drop-down list box allows selection of the target for the exported Aprisa still. There is a choice of three Air Channels, three Preview Channels, five Virtual Channels or File. For the purposes of describing Browser operations, File will always be selected.

Updating a Still

Unlike Lyric Font, Message and Bitmap Browser databases, where editing metadata is a separate operation from updating the file itself, editing and updating Aprisa Still Assets from the Browser are contained in one operation.

CAUTION!

If editing metadata only, make sure that the graphic on the Lyric Canvas has not changed, as the change will be applied to the Aprisa still on the Aprisa system.

To update the still:

  1. Optional: Modify the graphic on the Canvas.

  2. Open the Aprisa Export dialog box.

  3. If appropriate, select a Destination from the Destination drop-down list box

  4. Edit the Description and numbered fields as desired. Do not change the Still ID.

    Image: Aprisa Export Dialog Box - Edited

    Aprisa Export Dialog Box - Edited

  5. When editing is complete, click Export. The dialog box closes.

  6. Click the Refresh Database Image: Refresh Database Icon icon or select Refresh Database from the Browser menu. The changes are reflected in the Browser. Editing only metadata will not change the appearance of the Browser. The updated edits can be reviewed in the context menu by right-clicking the asset. If the graphic was modified as well, the change is reflected in the Browser icon.

    Image: Aprisa Stills Context Menu - Updated

    Aprisa Stills Context Menu - Edited

Adding a Still

A graphic composition can be created in the Lyric Canvas, and exported to the Aprisa as a new still. On export, the graphics on the Lyric Canvas are converted into a 2D graphic in the Aprisa still format. When the exported graphic is then imported from the Aprisa from the Browser or File Menu > Import from Aprisa, the original elements are no longer separate, and 3D characters and objects are converted into 2D images.

There are two methods for adding a still to the Aprisa database: From the Browser and from the File menu.

  1. Create the composition in the Lyric Canvas.

  2. Use one of the following methods to open the Aprisa Export dialog box:

    • Right-click on any still in the Browser. The file name in the Still ID field reflects the currently selected still in the Browser.

    • Select Export to Aprisa from the File menu to open the Aprisa Export dialog box. The file name in the Still ID field reflects the currently selected still in the Browser, even if the Browser is closed.

  3. Change the Still ID to an unused Still ID. This is crucially important as the existing still will otherwise be overwritten when exported. The format of the Still ID must be xxxx, where xxxx is a four-digit number.

  4. If appropriate, select a Destination from the Destination drop-down list box.

  5. Edit or enter information into the Description and numbered fields.

  6. Click Export. The Aprisa Export dialog box closes.

  7. Click the Refresh Database Image: Refresh Database Icon icon or select Refresh Database from the Browser menu. The new still appears in the Browser.

Searching Aprisa Still Assets

To narrow down the assets in a Browser database, Aprisa Still Assets can be searched, based on a search strings (Still IDs, Description, information in Fields 1 through 8), Modification Date, etc. Refer to Searching the Browser for details on the Search tool.

For additional information on Aprisa operations, refer to the documentation that accompanies the Aprisa hardware and software.

Aprisa - Related Topics

Browser - Related Topics

2D Objects - Related Topics


Aprisa Clip Asset Operations

Browser > Image: Aprisa 200 Icon; Browser Menu > Show Aprisa Clips

NOTES

  • Before Aprisa Browser operations within Lyric, it is necessary to configure Lyric for access to the Aprisa. Refer to Aprisa Interface for details. If the system running Lyric is properly networked to the Aprisa, and the Aprisa Clip Assets are not displaying, make sure that Enable DDR has been selected (checked) in the Configure Aprisa Interface dialog box, accessed from Configure Menu > Aprisa Interface. Refer also to the section on the Aprisa Systems for details on networking and other operations.

  • In order for Lyric to access Aprisa Clips, an Internal Clip Player must be present in the system, and the Aprisa application must be running, even if Lyric is running on the Aprisa system.

Aprisa Clips are sets of animations also known as Events, which are stored on Chyron Aprisa systems. For example, an Event can be comprised of a Key animation and a Fill animation that are played concurrently. They are played back on the Internal Clip Player, controlled by Lyric's Clip Control Panel.

The Aprisa Clips Asset Browser is used strictly for viewing and a simple search based on the Description.

NOTE

Unlike Browser databases for Lyric TrueType® and RGB Fonts, Messages and bitmaps, which are independent of the source files, the Aprisa Clips database and the clips as stored on an Aprisa system are one and the same. There is only one Aprisa clips database per Aprisa system.

In order for Lyric to have the ability to access remote Aprisa assets:

  • The Aprisa software must be running on the Aprisa platform.

  • The system on which Lyric is running must be properly networked to the Aprisa. Refer to Aprisa Interface and for information on establishing a network connection.

The following should be noted about Aprisa Clip Asset view options and file names:

  • Only the Icon View is available. Text Only and Icon Text Views are inactive. Metadata is displayed in the Aprisa Export dialog box (described below).

  • File Names are always of the format .xxxx, where xxxx is a four-digit number. Starting the number with zeroes is permitted.

  • The Sort A-Z/Sort Z-A selection does not have an affect on the order of display. The stills are always displayed in file name, i.e., numerical order.

Image: Aprisa Clip Assets

Aprisa Clip Assets

Refer to Aprisa 200 DDR and Aprisa 250 Stillstore/DDR for details on clip playback.

To view an Aprisa Clip Asset's context menu:

  • Right-click on the asset.

Image: Clip Asset Context Menu

Aprisa Clip Asset Context Menu

The menu items are all descriptive, and can be edited only from within the Aprisa interface on the Aprisa system. There are no Edit and Update functions available from within the Lyric interface.

  • Descr: Description of the clip.

  • Strm 1: Specifies a file that is a component of a clip.

  • Strm 2: Specifies a file that is a component of a clip.

  • Duration: Length of the clip. Note that the within the Clip Control Panel in Lyric, Clip files can be created which determine where the clip starts and stops, but that has no effect on the Aprisa clip itself. The clip can also be saved as part of a Lyric message. Again, this has no effect on the Aprisa clip. Refer to Aprisa Systems for additional information.

Searching Aprisa Clip Assets

To narrow down the assets in a Browser database, Aprisa Clip Assets can be searched based on Description. Refer to Searching the Browser for details on the Search tool.

For additional information on Aprisa operations, refer to the documentation that accompanies the Aprisa hardware and software.

Aprisa - Related Topics

Browser - Related Topics


iNFiNiT!® Font Asset Operations

Browser > Image: Browser iNFiNiT! Asset Icon; Browser Menu > Show iNFiNiT! Fonts

iNFiNiT! fonts can be used by Lyric to create compositions which can be exported to iNFiNiT! systems. Lyric fonts can also be created in the Custom Font Editor, saved as iNFiNiT! fonts, and then added to the iNFiNiT! Fonts Assets in the Browser.

The following should be noted about iNFiNiT! Font Asset view options, file names and functions:

  • Only the Icon View is available. Text Only and Icon Text Views are inactive. Metadata is displayed in the Browse for iNFiNiT! Fonts dialog box (described below).

  • iNFiNiT! font names always have the format .xxxx.fnt where xxxx represent numerals. Only the numeric portion of the File Name is displayed in the Browse for iNFiNiT! Fonts dialog box; .fnt does not appear in the File Name. See About iNFiNiT! Font Names at the end of this section for additional information.

  • iNFiNiT! fonts can be used only for typing 2D text, not 3D characters. If an attempt is made to type a 3D character using an iNFiNiT! font, the following is displayed:

Image: 3D Character iNFiNiT! Font Warning

3D Character iNFiNiT! Font Warning

  • The Sort A-Z/Sort Z-A selection does not have an affect on the order of display. As described below in the section on Hotkeys and Font Keys, iNFiNiT! Font Asset positions are absolute, and are based on Font Key assignment.

  • The Save to Database Image: Save to Database Icon function is not available to the iNFiNiT! Font Asset Browser.

  • Search Image: Search Database is not currently implemented for iNFiNiT! assets.

NOTE

Unlike Browser databases for Lyric TrueType® and RGB Fonts, Messages and bitmaps, which are independent of the source files, any change to iNFiNiT! Font metadata changes the metadata for the source file.

About iNFiNiT! Font Hotkeys and Font Keys

Hotkey combinations are used to quickly load fonts when a PC keyboard is controlling the Chyron system, as opposed top a Chyron keyboard. Unlike Lyric Font Assets, which encompass both TrueType and RGB Fonts, a Hotkey combination is not assigned to the font through its context menu. Rather, a Hotkey combination is assigned based on its position in the iNFiNiT! Font Browser. Hotkeys are assigned in the following order: Alt + 1 through Alt + 8; then Alt + Shift + 1 through Alt + Shift + 8. In the iNFiNiT! Font Browser, they appear from left-to-right, and top-to-bottom. Alt + 0, Alt + Shift + 0, Alt + 9 and Alt + Shift + 9, which can access Lyric font assets, are not used to access iNFiNiT! fonts. The following table shows the relationship between the Hotkeys and the Font Keys on the Chyron system and iNFiNiT! keyboards. The Font Number in the Lyric Font Tools Font Facename field is described later in this section.

Hotkey | Alt + 1 | Alt + 2 | Alt + 3 | Alt + 4 | Alt + 5 | Alt + 6 | Alt + 7 | Alt + 8
Chyron keyboard | 1 | 2 | 3 | 4 | 5 | 6 | 7 | 8
iNFiNiT! Keyboard | 1 | 2 | 3 | 4 | 5 | 6 | 7 | 8
Font Number in Lyric Font Tools Font Facename Field | (0) | (1) | (2) | (3) | (4) | (5) | (6) | (7)
Hotkey | Alt + Shift + 1 | Alt + Shift + 2 | Alt + Shift + 3 | Alt + Shift + 4 | Alt + Shift + 5 | Alt + Shift + 6 | Alt + Shift + 7 | Alt + Shift + 8
Chyron keyboard | Shift + 1 | Shift + 2 | Shift + 3 | Shift + 4 | Shift + 5 | Shift + 6 | Shift + 7 | Shift + 8
iNFiNiT! Keyboard | ALT 1 | ALT 2 | ALT 3 | ALT 4 | ALT 5 | ALT 6 | ALT 7 | ALT 8
Font Number in Lyric Font Tools Font Facename Field | (8) | (9) | (10) | (11) | (12) | (13) | (14) | (15)

The Font Asset positions in the iNFiNiT! Fonts Browser are absolute and correspond to the Font Keys found on an iNFiNiT! Family system. There is a limit of sixteen fonts in an iNFiNiT! Font Browser database.

Image: iNFiNiT! Font Assets

iNFiNiT! Font Assets

The figure shows twelve of the sixteen font positions assigned. Note that font positions can be assigned in any order, and do not have to be filled consecutively. For example, if the rightmost font position in the second row is the next font assigned, it would correspond to Shift + Font Key 8 on the Chyron keyboard, and ALT Font Key 8 on the iNFiNiT! keyboard. Its Lyric PC Hotkey combination would be Alt + Shift + 8.

The iNFiNiT! Fonts Context Menu

There are two context menus available from within the iNFiNiT! Font Assets Browser, depending on the cursor position when accessed:

  • iNFiNiT! Font Browser Context Menu: Accessed by right-clicking a blank iNFiNiT! icon/text listing, or on a blank area of the Browser. Browse for Fonts, Delete iNFiNiT! Font and Custom Font Editor are available from this menu. Refer to Custom Font Editor for information on using this tool.

  • iNFiNiT! Font Context Menu: Accessed by right-clicking an iNFiNiT! Font Asset in the Browser. Browse for Fonts, Delete iNFiNiT! Font, and Custom Font Editor are available from this menu, as well as descriptive items Font File, Typeface, Name 1 and Name 2.

image: iNFiNiT! Font Context Menu

iNFiNiT! Font Context Menu

Browse for Fonts - Loading iNFiNiT! Fonts

iNFiNiT! fonts may be loaded directly into the Lyric Browser. You may load these assets from a local or networked Windows directory where iNFiNiT! fonts are stored. Messages composed in Lyric using iNFiNiT! fonts can easily be exported for display on iNFiNiT! systems.

To load an iNFiNiT! font into the Browser:

  1. Click the iNFiNiT! Fonts Image: Show iNFiNiT! Assets Icon icon at the top of the Browser control panel.

  2. In the Browser, right-click on an available blank icon.

    Image: Selecting a Blank Font Icon

    Selecting a Blank Font Icon

  3. The Browse for iNFiNiT! Fonts dialog box is displayed. Navigate to the directory in which the iNFiNiT! fonts are stored.

    Image: Selecting an iNFiNiT! Font to Load

    Selecting an iNFiNiT! Font to Load

  4. Double-click the listed font to load it into the Browser. If the font does not load, it may be improperly named. Refer to About iNFiNiT! Font Names at the end of this section for details on renaming an iNFiNiT! font file.

  5. Repeat Steps 2 through 4 to load additional fonts.

  6. Once the all fonts are loaded, click the Close icon to close the Browse for iNFiNiT! Fonts dialog box.

To use an iNFiNiT! font in Lyric composition:

  • Click on the font icon in the Browser, and then click the Load from Database icon Image: Load form Database Icon, or double-click the font icon in the Browser.

iNFiNiT! fonts type onto the Canvas in white, until color is changed using either Font Tools or 2D Font FX Properties. iNFiNiT! fonts can be used only for typing 2D text, not 3D characters. If an attempt is made to type a 3D character using an iNFiNiT! font, the following message is displayed:

Image: 3D Character iNFiNiT! Font Warning

3D Character iNFiNiT! Font Warning

In the figure below, note that the name and size of the font appear in the Font Facename and Font Size fields, respectively, of Lyrics Font Toolbar. The number in parentheses indicates the Font Key position, minus 1, on both the contemporary Chyron Keyboard and classic iNFiNiT! keyboards. The number (2) shown below corresponds to Font Key 3. The table at the beginning of this section demonstrates the relationship between the number shown in the Font Facename field, and the Font Keys.

Image: Applying an iNFiNiT! Font

Applying an iNFiNiT! Font

The Font Face Name, Font Variation and Font Sample and other characteristics are also displayed in the Font Properties and 2D Font FX Properties tabs. The Font Variation is specified as iNFiNiT! Machine Font. Color is the only attribute of an iNFiNiT! font that can be changed in Lyric. Refer to Font Tools, Font Properties and 2D Font FX Properties for additional information.

The Status Bar may display a warning that the iNFiNiT! font does not exist. It is not of concern. It just indicates that the iNFiNiT! font is not in the systems TrueType font list.

Delete iNFiNiT! Font

Delete iNFiNiT! Font removes the font from the Browser database, without disturbing the original font file. To delete an iNFiNiT! font from the Browser:

  • Right-click on the font in the Browser, then select Delete iNFiNiT! Font from the context menu. The font is deleted without a request for confirmation.

Custom Font Editor

About the Custom Font Editor

The Custom Font Editor provides the ability to edit the characters. It also enables the ability to edit iNFiNiT! font metadata. Refer to Custom Font Editor for information on this tool.

Editing iNFiNiT! Font Asset Information (Metadata)

Unlike Lyric Font Assets, which encompass both TrueType and RGB Fonts, iNFiNiT! font metadata is not edited from a context menu-accessed Lyric dialog box. The metadata is instead, edited from the iNFiNiT! system, or from within the Custom Font Editor. To access the Custom Font Editor:

  1. Right-click on a font icon in the Browser. During the editing procedure, do not move the cursor to another font icon in the Browser.

  2. Select Custom Font Editor from the context menu. The Custom Font Editor opens.

  3. Pull down the Tools menu, and then select Edit Font Name. The Edit Font Name dialog box opens.

    Image: Edit Font Name Dialog Box

    Custom Font Editor - Edit Font Name

    The following fields can be edited:

    • File Header Name: Corresponds to Name 1 on the Browse for iNFiNiT! Fonts dialog box.

    • Effect Name: Corresponds to Name 2 on the Browse for iNFiNiT! Fonts dialog box.

    • Font Header Name: If the link icon is active Image: Custom Font Editor - Link Icon Active, the Font Header Name always reflects the File Header Name, and is not editable. If the link icon is inactive Image: Custom Font Editor Link - Inactive, the Font Header Name can be edited. Note that when the link icon is active (as shown in the previous figure), a bracket connects the File Header Name with the Font Header Name.

  4. Click OK to apply edits. The Edit Font Name dialog box closes.

  5. Optional: Perform edits to the font characters in the Custom Font Editor.

  6. Pull down the File menu in the Custom Font Editor, then select Save. The Custom Font Editor can be closed at his point, although it is not necessary to do so.

  7. In the Browse for iNFiNiT! Fonts dialog box, click Refresh List to apply changes to the font.

  8. In the Browse for iNFiNiT! Fonts dialog box, double-click on the font listing to apply the changes to the iNFiNiT! Font Asset in the Browser. There will be no visible change to the font icon in the Browser, but the edits will have been applied.

Refer to Custom Font Editor for additional information on this tool.

About iNFiNiT! Font Names

iNFiNiT! font names always have the format .xxxxxxxx.fnt where xxxxxxxx represent numerals. Only the numeric portion of the File Name is displayed in the Browse for iNFiNiT! Fonts dialog box; .fnt does not appear in the File Name. If a font is not loading into the Browser from the Browse for iNFiNiT! Fonts dialog box, it could be due to an incorrectly formatted name.

This may have occurred if saving the iNFiNiT! font under an incorrectly-formatted name in the Custom Font Editor. The font is recognized by and appears in the Browse for iNFiNiT! Fonts dialog box, but does not load to the Browser. If this is the case, the name must be changed.

Windows does not allow a file to be renamed with "." as the first character in the File Name, so it must be renamed using the DOS utility.

  1. Open a DOS window.

  2. Use the cd command the change to the directory in which the font file is located. The syntax is as follows: cd <New Directory Path>. Press Enter.

  3. Use the ren command to rename the file. The syntax is as follows:

    ren "<Original File Name>" .xxxxxxxx

    The quotes enclosing the <Original File Name> are necessary only if the name contains spaces. The <> brackets are not typed. .xxxxxxxx is the New File Name, where xxxxxxxx represents numerals. Note that leading zeroes can be omitted.

  4. Press Enter. The file is now renamed and should load to the Browser.

Transferring Fonts to the iNFiNiT!

Transferring fonts to an iNFiNiT! Family system is accomplished by using FTP. Chyron recommends using CuteFTP to execute the file transfer. This procedure is described in FTP - Transferring Files to/from an iNFiNiT! System .

iNFiNiT! and Lyric - Related Topics

Browser - Related Topics


Quantel® Asset Operations

Browser > Image: Quantel Asset Icon; Browser Menu > Show Quantel Images

Lyric's Browser can import graphics from Quantel® systems, as well as export Lyric messages to Quantel systems. To access a Quantel system from the Browser, it must be first configured and selected in the Configure Quantel Interface dialog box. Refer to Quantel® Interface Configuration for details on configuration, and to Quantel documentation for information on Quantel system operation.

NOTE

Configure Quantel Interface does not perform a check on the validity of the Quantel Host Name and/or IP Address. The connection is validated when Browsing or performing import/export operations. If a warning message is displayed, refresh the Browser. If error messages are still generated, confirm that the system is available and that the Host Name and IP Address are correctly entered. Refer to Quantel® Interface Configuration for additional details on interpreting error messages.

The following describes terms that are specific to Quantel operations:

  • Volume: Quantel’s equivalent of a directory within a Windows PC.

  • FID: File or Message ID.

  • List Max: Limits the number of results per page that may be returned by a search operation.

  • Image Type: Quantel systems store three image types:

    • Pictures, which are YUV images.

    • Stencils, which are Alpha channel-only images.

    • Cuts or Cutouts, which are complete YUV-A or RGB-A images.

Image: Quantel® Assets

Quantel Browser Assets

About Viewing and Updating Quantel Assets

The following should be noted about the Quantel Asset Browser options:

  • Only the Icon View is available. Text Only and Icon Text Views are inactive.

  • The Sort A-Z/Sort Z-A selection does not have an affect on the order of display. The order of display is determined by the Quantel system.

  • The icons always display at Medium icon size.

  • A Quantel Asset cannot be dragged-and-dropped into the Lyric Canvas. See below for import procedures.

  • Quantel Assets are always imported at output pixel size, regardless of the Use 1:1 Pixel Aspect for Graphic Import setting, accessed from Config Menu > Canvas Resolution. This results in the aspect ratio of the image always being correct.

NOTE

Settings within the Quantel Import dialog box, accessed from File Menu > Import from Quantel directly affect the number and types of files displayed in the Browser. The Search parameters present in the fields in the Search By dialog box both from the Quantel Import dialog box and from the Browser are always applied when generating the list of files that are displayed in the Browser. If it seems that files are missing, or that the wrong type of file is displayed, open the Quantel Import dialog box. If necessary, reset parameters, including those in the Search By dialog box, then click List Next. A list of files based on the modified parameters is displayed. Refer to Import from Quantel for additional information.

After any change or Search is performed in the Quantel Import dialog box, the Browser does not automatically update, even when it is refreshed ( Image: Refresh Database Icon or Browser Menu > Refresh).

  1. Close the Browser, then open a new Browser from either File > New > Browser or View > Browsers.

  2. Open the Quantel Assets within the Browser. The Browser display should be updated.

The Quantel Assets Context Menu

Information about a Quantel Asset can be viewed, but not edited in the Browser. This information can be edited only from the Quantel system.

Left-click the asset to display the context menu:

Quantel Asset Context Menu

Quantel Asset Context Menu

The context menu displays the following:

  • File ID: The ID number of the Quantel graphic. This number is automatically assigned when a graphic is created on the Quantel system. This occurs when a graphic is exported to the Quantel either from the Quantel Export dialog box (accessed from File Menu > Export to Quantel), or from the Browser Save to Database function.

  • Volume: The directory on the Quantel in which the file is stored.

  • Size: The Width-by-Height dimensions in pixels.

  • Owner: The author of the graphic.

  • Description: The description of the graphic.

  • Updated: Date of last update to the file.

Importing a Quantel Graphic

To import a graphic from the Browser to the Canvas, select one of the following methods:

  • Double-click on the icon for the file.

  • Click on the icon for the file, then click the Load from Database Image: Load from Database Icon icon.

A Quantel graphic can also be imported to the Canvas from File Menu > Import from Quantel. Refer to Import from Quantel for details.

Exporting a Lyric Message to Quantel

To save the current contents of the Canvas to the Quantel system:

  • Click Image: Save to Database Icon or select Save to Database. Lyric compositions are exported to a Quantel system as full-screen-sized 32-bit images, and are saved to the Quantel system as Cuts, also known as Cutouts.

Searching Quantel Assets in the Browser

Quantel Assets displayed in the Browser can be searched based on a variety of parameters. The Browser Search function differs from the Search function is available in the Quantel Import dialog box in that the Browser Search function searches only the Quantel files already displayed in the Browser, whereas the Quantel Import Search function searches the selected directory on the Quantel system. Refer to Import from Quantel for additional information on the Quantel Import Search function. To execute a Browser Search:

  1. Display the Quantel® Asset Image: Quantel Asset Icon database in the Browser, then click the Search Database icon Image: Search Database or select Search Browser from the Browser menu. The Search By dialog box is displayed:

    Image: Search By Dialog Box

    Search by Dialog Box

  2. A Quantel Asset can be searched by Author, Title, Category, and Date. Specify all or part of an Author, Title and or Category in their respective fields.

  3. The Date field reflects the current date. A different date can be selected from the drop-down calendar as shown above. To disable the Date as a search condition, deselect (uncheck) the checkbox located within the Date field.

  4. Click OK. The Search By dialog box closes.

  5. Click Image: Refresh Database Icon, or select Refresh Database from the Browser menu. The results of the search are displayed in the Browser.

To clear the search fields in the Search By dialog box and return the Browser display to its original state on opening the Browser:

  1. Click Clear. The Search By dialog box closes.

  2. Click Image: Refresh Database Icon or select Refresh Database from the Browser menu.

To cancel the search:

  • Click Cancel in the Search By dialog box.

Quantel Systems and Lyric - Related Topics

Browser - Related Topics

2D Objects - Related Topics


Selecting/Creating/Importing/Deleting/Repairing a Database

Creating/Selecting/Importing/Deleting/Repairing a Database

Browser > Image: Select Database Icon; Browser Menu > Select Database

About Data Sources

All assets displayed in the Browser are catalogued in various databases. A default Browser database file exists in the folder in which Lyric is installed. This file, identified by its .mdb extension, instructs Lyric where to find internal or external font, message, graphic and animation assets.

Users may create and configure custom databases. All user-created databases, as well as the default database, can reside in the same folder or in different directories, distinguished from each other by user-assigned names. Any database can contain any of the asset types available to the Browser. The Browser interface keeps the assets properly sorted, only showing one type at a time. More than one Browser can be opened at once, allowing the user to simultaneously view available fonts, messages, graphics and animations.

The Title Bar of the Browser Window displays the name of the data source from which the assets are displayed.

  • When Font Assets are displayed, the Browser Title Bar displays the name of the data source set in the Set Font Source field in the Select Data Source dialog box or Browser Preferences tab.

  • When Message Assets are displayed, the Browser Title Bar displays the name of the data source set in the Set Message Source field in the Select Data Source dialog box or Browser Preferences tab.

  • When Bitmap Assets are displayed, the Browser Title Bar displays the name of the data source set in the Set Message Source field in the Select Data Source dialog box or Browser Preferences tab. Bitmap Assets are always drawn from the same active data source as the Message Assets.

  • When Aprisa 100 (Still) Assets are displayed, the Browser Title Bar displays the name Aprisa Stills. There is only one Stills database on each Aprisa Still system. Note that if the system accommodates both Stills and Clips, the system has one Still database and one Clips database.

  • When Aprisa 200 (Clip) Assets are displayed, the Browser Title Bar displays the name Aprisa Clips. There is only one Clips database on each Aprisa Clips system. Note that if the system accommodates both Stills and Clips, the system has one Stills database and one Clips database.

  • When iNFiNiT! Font Assets are displayed, the Browser Title Bar displays the name iNFiNiT!. There is only one Machine Font database on each iNFiNiT! system.

  • When Quantel Assets are displayed, the Browser Title Bar displays the name Quantel. The Quantel database is selected from within the Quantel Import dialog box, accessed from File Menu > Import from Quantel. Refer to Import from Quantel for additional information.

Creating a Data Source

The data sources that can be created in Lyric are the Font and Message databases. Bitmap Assets are also automatically accessed from the active Message database. Aprisa Still, Aprisa Clips, iNFiNiT!® Fonts and Quantel® graphics are accessed from databases that are resident on their respective systems. New databases cannot be created on these systems from Lyric, although depending on the external system, assets can be added, deleted and modified.

Upon creation in Lyric, the Font or Message data source is automatically ODBC-registered in order to enable accessibility by other applications. Refer to Registering an ODBC Data Source for details.

Databases can be created and tailored to productions, users, etc. To create a new database:

  1. In the Browser, click the Select Database Image: Select Database Icon icon. The Select Data Source dialog box is displayed:

    Image: Select Data Source

    Select Data Source Dialog Box

  2. Next, click the Image: Create New Button button in the lower left corner of the window. The Create Data Source dialog box is displayed:

    Create Data Source Dialog Box

  3. Enter the name of the new database in the Name field, then click the Browse Browse Button button. The Select Root Directory dialog box is displayed.

    Image: Select Root Directory

    Select Root Directory Dialog Box

  4. You may choose to store database files (.mdb format) at the root or create a new folder for them with the using the New Folder Image: New Folder Tool tool. Select the desired drive and folder in which to store the database, then click OK.

  5. The Create Data Source dialog returns to confirm your settings. Click OK.

    Create Data Source Dialog Box

  6. The path you have set appears in the Select Data Source dialog box. Click OK.

    Image: New Data Source Added

    Select Data Source Dialog Box with New Data Source Added

Selecting a Database

Now that more than one database exists, it is possible to demonstrate switching among them.

  1. Click the Select Database Image: Select Database Icon button. The Select Data Source dialog box opens.

  2. Highlight the name of the Browser to which you wish to switch and click Image: Set Font Source Button. As shown in the figure below, the name of the selected Browser appears in the field to the right of the button.

    Image: Setting Font and Message Sources

    Setting Font and Message Sources

  3. Repeat for the Image: Set MEssage Source Button button. The Font Source and Message Source can each access a different database. Note that the Message Source also serves as the Bitmap Source.

  4. Click OK. Once a database is selected, the name of the database is displayed in the Title Bar of the Browser window, as shown in the following figure.

    Image: Title Bar Showing Data Source Name

    Title Bar Showing Data Source Name

The Select Data Source dialog box is similar in many ways to the Browser Preferences tab, accessed from Config Menu > Preferences > Browser. The difference between setting Font/Message Sources in Browser Preferences and setting Font/Message Sources in the Select Data Source dialog box, is that Browser Preferences define default Font/Message Sources that are in place when Lyric is opened. The Font/Message Sources settings can then be changed in the Select Data Source dialog box as necessary, without disturbing the default settings set in Browser Preferences. Modifications to settings in the Select Data Source dialog box are not reflected in Browser Preferences, and vice versa.

Importing a Database

The Import Database function enables the user to add existing databases to the Select Data Source dialog box. Note that upon import, the data source is automatically ODBC-registered in order to enable accessibility by other applications. Refer to Registering an ODBC Data Source for details.

NOTE

Making a database available to the Browser is different from the files themselves being accessible. For example, an imported database may display thumbnails for assets on a network to which your computer does not have access. Make sure that the user and the system on which Lyric is operating have access to the necessary files.

To import a database:

  1. Click the Select Database Image: Select Database Icon icon. The Select Data Source dialog box opens.

  2. Click the Image: Browser Import Button button. The Import Data Source dialog box opens (see figure below).

  3. Enter the filepath, if known, of the database you wish to import. If not, use the Browse button to find the location of the desired database (.mdb) file.

  4. Enter a name in the Name field and click OK. The name and filepath of the imported database appear in the Select Data Source dialog box. This database can now be accessed by Lyric.

    Import Data Source Dialog Box

Advanced

When a Lyric Browser data source is created or imported, it is automatically registered as an ODBC (Open Database Connectivity) database. making it accessible to software that supports ODBC, including Chyron MOS Newsroom Solutions. Under normal circumstances, it is not necessary to reregister Lyric Browser data sources.

For advanced database configuration, the Advanced function accesses the ODBC Data Source Administrator. Note that data sources other than .mdb can be registered from the Advanced function in Browser Preferences. They just cannot be used as Browser databases. Refer to Registering an ODBC Data Source for details.

Deleting a Database

To delete a database as a Browser data source:

  1. Select the data source in the Select Data Source list, then click Image: Browser Delete Button. The Confirm Delete prompt is displayed.

    Image: Confirm Delete Prompt

    Confirm Delete Prompt

  2. Click Yes to delete; No or Cancel to cancel the Delete.

Repairing a Damaged Database

During Lyric launch or Browser operations, the following may be displayed:

Image: Error Retrieving Record

Error Retrieving Record

Click OK, then the following is displayed:

Image: File Saved But Not Added to Browser

File Saved But Not Added to Browser

This sequence of messages may indicate that the Browser database is corrupted and needs repair. To repair a database:

  1. Make sure that the Browser(s) accessing the database are closed.

  2. There is a Repair function in the ODBC Data Source Administrator. It is accessible from the following locations:

    • Windows Start Menu > Settings > Control Panel > Administrative Tools > Data Sources (ODBC)

    • Lyric Config Menu > Preferences > Browser > Click Advanced

    • Lyric Browser > Image: Select Database Icon > Click Advanced

    • Lyric Browser Menu > Select Database > Click Advanced

  3. In the ODBC Data Source Administrator dialog box, there is a list of databases. Double-click on the name of the database that may be corrupted. The ODBC Microsoft Access Setup dialog box opens.

  4. Click Repair. The Repair Database dialog box opens.

  5. Make sure that the proper database is selected, then click OK. A message confirms that the database has been successfully repaired.

Browser - Related Topics


Searching the Browser

Browser > Image: Search Database; Browser Menu > Search Browser

In a Lyric Browser, Font, Message, Bitmap, Aprisa and Quantel Assets can be searched using the Search tool. Search is not currently implemented for iNFiNiT! assets.

Searching Font, Message Bitmap and Aprisa Assets

To display the Search or Aprisa Search dialog box, display the Font Image: Font Asset Icon, Message Image: Message Asset Icon, Bitmap Image: Bitmap Asset Icon , Aprisa Still or Aprisa Clip Asset database in the Browser, then click the Search Database icon Image: Search Database or select Search Browser from the Browser menu.

Font Asset Search Dialog Box

The following dialog box is displayed for a TrueType® or RGB Font Asset search:

Image: Font Asset Search Dialog Box

Font Asset Search Dialog Box

A Font Asset can be searched by Style Name (corresponds to Name field in RGB Font Browser dialog box), Type Face, Comments, Keywords, Height (in scanlines) and Edge Type. Type Face, Height and Edge Type do not apply to RGB Font Asset searches. A condition, Can Contain, Must Contain or Must Not Contain, can be applied to each search field. The date Last Modified can also be searched. Setting the search field and Last Modified conditions are described in the following paragraphs.

Message or Bitmap Asset Search Dialog Box

The following dialog box is displayed for a Lyric Message or Bitmap Asset search:

Image: Message Asset Search Dialog Box

Message/Bitmap Asset Search Dialog Box

A Message or Bitmap Asset can be searched by Author, Title, Comments, Keywords, and Subject. A condition, Can Contain, Must Contain or Must Not Contain, can be applied to each search field. The date Last Modified can also be searched. Setting the search field and Last Modified conditions are described below.

Aprisa Still/Clip Asset Search Dialog Box

The following dialog box is displayed for an Aprisa Still or Clip Asset search. This figure shows parameters entered for a search of an Aprisa Stills database.

Image: Aprisa Search Dialog Box

Aprisa Search Dialog Box

Searching Stills: The Aprisa stills database can be searched by Still ID, Description and information contained in Fields 1 through 8. A condition, Can Contain, Must Contain or Must Not Contain, can be applied to each search field. The date Last Modified can also be searched. Setting the search field and Last Modified conditions are described below.

Searching Clips: The Aprisa clips database can be searched by Description only. A condition, Can Contain, Must Contain or Must Not Contain, can be applied to the search.

Last Modified Date Conditions

A search can retrieve assets Last Modified before or after a specified date, or between two specified dates. If Between is specified, a second date field is displayed.

Image: Searching Between Last Modified Dates

Searching Between Last Modified Dates

The entered date(s) is included in a search. The date(2) should be formatted as follows: mm/dd/yyyy

Can, Must, Must Not Contain Conditions

There are three conditions that can be applied individually to each search field (except Last Modified).

  • Can Contain: Entering text or leaving it blank both produce all Font, Message or Bitmap Assets in the search results.

  • Must Contain: This restricts the search results to only those Font, Message or Bitmap Assets that contain the specified search string in the specified field.

  • Must Not Contain: This restricts the search results to only those Font, Message or Bitmap Assets that do not contain the specified search string in the specified field.

Performing a Search

To perform a search:

  1. Use the procedure described above to display the Search dialog box.

  2. Optional: Enter the search strings in the appropriate fields. Also optional: Apply a condition other than Can Contain to each field.

  3. Optional: Set a Last Modified date(s).

  4. Click Search. A search is performed, based on parameters entered in the Search dialog box. The search results are displayed in the Browser.

Refining a Search

If the search results produce too many assets, an additional search can be performed on the current search results.

  1. Optional: Enter the search strings in the appropriate fields. Also optional: Apply a condition other than Can Contain to each field.

  2. Optional Set a Last Modified date(s).

  3. Click Refine Search. A search is performed on the current search results based on the new parameters entered in the Search dialog box. The search results, which comprise a subset of the previous search results, are displayed in the Browser.

This function can be performed as many times as necessary to narrow down the search results.

Resetting the Search Dialog Box

The parameters in the Search dialog box can be returned to the default state.

  • Click Reset Search. Text and date fields are cleared; Last Modified is reset to Before; and conditions are all set to Can Contain. Note that this does not clear the existing search results from the Browser.

Resetting the Database

To undo all searches on the database and display the entire contents of the database:

  • Click Reset Search, then click Search or Refine Search.

Searching Quantel Assets

The Search function for Quantel assets can be accessed from two locations. Use one of the following methods to display the Search By dialog box:

  • Display the Quantel® Asset Image: Quantel Asset Icon database in the Browser, then click the Search Database icon Image: Search Database or select Search Browser from the Browser menu.

  • From the Lyric File menu, select Import from Quantel. In the Quantel Import dialog box, connect to a system, then display a set of files. In the Options area, click Search.

Image: Quantel Search By Dialog Box

Search by Dialog Box

To execute a search:

  1. A Quantel Asset can be searched by Author, Title, Category, and Date. Specify all or part of an Author, Title and or Category in their respective fields.

  2. The Date field reflects the current date. A different date can be selected from the drop-down calendar as shown above. To disable the Date as a search condition, deselect (uncheck) the checkbox located within the Date field.

  3. Click OK. The Search By dialog box closes. If in the Browser, the results of the search are displayed in the Browser. If in the Quantel Import dialog box, proceed to the next step.

  4. Click List Next Set. The results of the search are displayed in the FID List.

To clear the search fields in the Search By dialog box:

  • Click Clear.

To cancel the search:

  • Click Cancel in the Search By dialog box.

Browser - Related Topics


Creating and Using Fonts in Lyric

Lyric provides maximum creative flexibility with its support of TrueType®, OpenType® and iNFiNiT!® fonts, as well as Unicode (Chinese, Japanese, Cyrillic, etc.). Lyric does not support PostScript® fonts.

RGB Fonts, which are fonts composed from bitmap images, as opposed to standard font characters, can be created using the Custom Font Editor. RGB Fonts are useful for quickly typing frequently-used graphics such as sports team logos. Typing graphics is considerably faster than importing them.

The Custom Font Editor can also import and export iNFiNiT! fonts for use in Lyric or imported iNFiNiT! messages. iNFiNiT! font and message operations are covered in depth in iNFiNiT! Font Asset Operations , Import from iNFiNiT! , Export to iNFiNiT! , FTP - Transferring Files to/from an iNFiNiT! System and Custom Font Editor .

A wide variety of parameters can be applied to build customized fonts which can be saved and used in multiple Lyric compositions.

  • Basic font parameters such as Font Face, Font Size (2D text only), Font Style and Face/Edge Color (2D text) and Face/Side Color (3D characters) can be set using Lyric's Font Tools. Setting color is covered in depth in Color/Transparency/Background/Lighting/Texture .

  • The same characteristics, as well as more advanced parameters such as 2D/3D Mode, Aspect Ratio, Kerning, Space Width, Leading, Shear, Rotation and Filters can be set for 2D font characters in the Font Properties tab.

  • Font Face and Font Style for characters used in 3D text composition can also be set in the Font Properties tab.

  • TrueType® Font Preview, accessed from the Font Properties tab, enables the user to quickly review the available characters in a font, change the current font, or select a character (including Unicode) to add to the Canvas at the current cursor position. TrueType Font Preview can be used with both 2D and 3D characters.

  • More advanced effects for 2D characters, including Edge Type, Edge Size, Face/Edge Color, Transparency, Softness and multiple Edge styles are set in the 2D Font FX Properties tab.

  • 3D font effects, including Character Depth, Bevel Depth, Bevel Mode, Bevel Type and Smoothness. are set in the 3D Font FX Properties tab. 3D character Color, Transparency and Texture is applied from the Surface Properties tab. Refer to Color/Transparency/Background/Lighting/Texture for details.

All fonts supported by or created in Lyric can be easily loaded into a Browser Window, making them instantly accessible use in a Lyric composition.


Font Tools

View Menu > Toolbars > Font Tools

Image: Font Toolbar

Font Tools

The Font Toolbar provides parameters that define the appearance of 2D and 3D characters. If these tools are not visible, select Toolbars > Font Tools from the View Menu to display them.

These settings are applied to either selected 2D text or 3D text or 2D or 3D characters typed after the parameters are set. Where noted, certain parameters cannot be applied to 3D text.

Parameter

Description

Face Color

Selects the color of a 2D or 3D character face. The drop-down list offers the colors currently preset in Lyric's Palette, but the last selection in the drop-down [image], opens the main Color Select dialog box, from which the Palette is set. Using the [image] option allows quick selection of colors not currently set in the Palette.

Edge Color

Edge Color selection is performed in the same manner as Face Color selection.

  • When multiple edges are present on a 2D character, the Edge Color is applied only the first Edge type, as determined by the settings in Properties > 2D Font FX. Color selection for additional edges must be applied from Properties > 2D Font FX.

Edge Selection in Properties > 2D Font Effects

  • When a Bevel is applied to a 3D character via Properties > 3D Font FX, the Edge Color is applied only to the Sides, and not to the Bevels. Color selection for the Bevels must be applied from Properties > Surface.

Note that ramped colors cannot be applied to 3D characters.

Font Face Name

Sets the Font typeface for the 2D or 3D text.

Font Size

Set the Font Size, in scanlines for 2D text.

Font Size cannot be applied to 3D characters. 3D character size is changed either by using the Transform Toolbar Edit Scale tool; or via Properties > XYZ > Scale or Z-Position settings.

Bold

Italic

Underline

Bold, italic and Underline operate in the same manner as in conventional word processing software. Bold and italic may be applied to 3D text, but 3D text cannot be underlined.

Justification

Justification determines how the text aligns to the frame of the 2D Text Window.

  • Left Justify: Justifies text to the left border of the 2D Text Window.

  • Center Justify: Centers text horizontally in the 2D Text Window.

  • Right Justify: Justifies text to the left border of the 2D Text Window.

  • Vertical Centering: Centers text vertically and horizontally in the 2D Text Window. Left and Right Justify can be subsequently applied without losing vertical centering.

2D Text - Related Topics

3D Characters - Related Topics


Selecting and Editing 2D Text

Lyric provides a wide variety of text manipulation and editing tools, enhanced by the ability to perform many of these functions using keyboard shortcuts.

Selecting Text

There are two ways to select text:

  • Move the cursor to just outside the upper-left corner of the 2D Text to be selected. Click/hold the left mouse button, dragging the cursor down and to the right. A dotted box appears around the text; keep dragging until the 2D character(s) are entirely inside this box. Release the mouse button. A Bounding Box appears surrounding the item.

OR

  • Place the cursor at the left or right end of the text that is to be selected. Hold the Shift key while using the ç or è keys to extend the Bounding Box around the text.

Selecting 2D Text

The Bounding Box is the area around the highlighted 2D Text. When text is selected (in a Bounding Box), you can quickly apply changes in font style, attributes, etc. via the Font and 2D Font FX tabs on the Properties menu. You can also make fast changes to selected 2D Text by using the tool bar.

To select all 2D Text in a window:

  • Select the Select All item in the Edit menu, or press Ctrl + A.

Quickly Navigating through Text

When using the cursor to navigate through text, the cursor advances or moves back one character at a time.

  • To jump to the beginning of the next word in a 2D Text Window, press Alt + F7.

  • To jump to the beginning of the previous word in a 2D Text Window, press Alt + Shift + F7.

Resizing Selected Text

The corner handles of a Bounding Box resize the selected text proportionately; the top, bottom, and side handles resize along their respective axes only. To adjust the size of any selected object(s). Left-click/drag a handle in the desired direction. Release the mouse button when you’re done

  • When a character or word is selected for resizing and the top handle is dragged, the characters enlarge above the baseline of the row, leaving the baseline of the row unchanged. If the bottom handle is dragged, the text grows and moves the baseline of the row down to accommodate the text's new size, moving the rest of the text on the row with it.

  • When Template (Row-Based) text is selected, no handles appear. Use the Toolbar and the Font and 2D Font FX tabs on the Properties menu to change the attributes of the selected text.

Resizing Text via Keyboard Shortcuts

Keyboard shortcuts are available as an alternative to using the mouse. Refer to Keyboard/Mouse Shortcuts - 2D/3D Text, Text Templates and Row Tabs for a comprehensive list of 2D text-related keyboard shortcuts.

Function

Description

Change Width

The è key is the equivalent of dragging the right Bounding Box handle towards the right (increases width); The ç key drags the right Bounding Box handle to the left, decreasing width.

Change Height

The é key is the equivalent of dragging the top Bounding Box handle upwards, increasing the height of the selected text. The ê key is the equivalent of dragging the top Bounding Box handle downwards, decreasing the height of the selected text.

Increase Size

Pressing B increases the size of the selected text or template by dragging the upper-right Bounding Box handle (size increases proportionately).

Pressing Shift + B increases the size by increments of 5 units instead of increments of 1 (default).

Decrease Size

Pressing S decreases the size of the selected text or template (proportionately) by dragging the upper-right Bounding Box handle down and to the left.

Pressing Shift + S makes the change by increments of 5 instead of increments of 1 (default).

Change Resize Increment

To change the increment by which text is resized:

  1. Press Ctrl + Alt + I. The following is displayed:

Image: Enter Scaling Increment dialog box

Enter Scaling Increment Dialog Box

  2. Enter a new value or use the spin box to set a new value for the increment, and then click OK.

For example, if the Scaling Increment is changed to 10, the increments by which text will be resized will be 10, instead of the default value of 1. Additionally, pressing Shift + S or Shift + B would resize the text in increments of 10 + 5 = 15.

End

Removes the Bounding Box from the selected text, and leaves the cursor in place.

Using Tab Spaces within 2D Text

To insert a Tab space between 2D text characters, press Ctrl + Tab. The width of the Tab space, in pixels, may be set through Lyric's CG Preferences:

  1. From the Config menu, select Preferences, and then the CG Preferences tab.

  2. Enter a value in the Tab Width field.

Repositioning Selected Text

To reposition selected text, place the cursor inside the Bounding Box, and then click/hold the left mouse button. While holding the left mouse button, move the text to a new location. Release the mouse button when the text is in the correct position.

The text "snaps" to the baseline of the row nearest the point where the mouse is released. Hold down the Control (Ctrl) key while moving selected text to allow it to be positioned between row baselines.

Shift Character

Click on a character, then press Ctrl plus the çèéê keys as desired to shift the selected character horizontally one pixel at a time, or vertically one scanline at a time. If shifting characters horizontally, the characters to the right of the selected character are also shifted.

Shift Row

Click on a character within the desired row, then use Alt plus the çèéê keys as desired to shift the selected row horizontally one pixel at a time, or vertically (along with all lower rows) one scanline at a time. Note that to move just one row, select it using a Bounding Box, then drag the Bounding Box to the desired location.

Super Shift

Hold the Shift key while performing a character or row shift to move the item(s) 10 pixels/scanlines at a time instead of by single pixels/scanlines.

2D Text Editing Tips

  • Remember that typing the first character in a 2D text window establishes the first row and its baseline.

  • When pressing the Enter key on the keyboard from an existing row the text cursor will move to the beginning of the next row. If no next row exists one will be created and the Properties and Tabs from the current row will be copied to the new row created.

  • Holding the Shift key while pressing Enter will cause a row split; all characters to the right of
    the cursor will be moved to the beginning of the next row (but only if the next row has been previously established).

  • Row Swap is available for rows of pre-existing 2D text. Right-click anywhere in the text area and select Swap Row Up or Swap Row Down in the contextual menu. Equivalent keyboard commands are Ctrl + B to swap up and Ctrl + F to swap down.

  • Rows may be shifted via the keyboard (Alt + Up/Down and Shift + Alt + Up/Down - see 2D Text Keyboard/Mouse Shortcuts) in Locked mode or Unlocked Mode. When a row is being shifted, all the rows beneath it may be Locked to shift at the same time. In the Unlocked mode, only the selected row is shifted. Ctrl + L toggles Locked/Unlocked mode. This setting can also be made from the Edit menu. The word LOCK will appear on the status line when the Lock feature is activated.

  • When text is selected on a row it may be moved by dragging. Lyric will try to snap the text to the baseline of the row nearest destination defined by release of the cross-hair "move" cursor. If no baseline snap is desired hold down the Ctrl key before releasing the mouse button and the text will be positioned where the mouse button is released; the text will still be attached to the same row.

  • As in a conventional word processor, rows can be selected by holding down the Shift key and pressing the Down/Up arrow keys. Text can be selected from the Cursor position to the End or Beginning of the row by pressing Shift followed by the End or Home key. Press the End key to clear the selection rectangle.

  • The Shift/Delete combination will cut rows that have been selected in a bounding box. The rows below will move up to occupy the position of the deleted row(s). Rows can be then pasted by pressing Ctrl + V. Pasted rows will be inserted before the current row.

  • Importing text via Paste from Word or similar documents will preserve tabs from the original text, aligning them with Lyric's Row Tabs.

  • The text cursor will try to position itself at the baseline of the nearest row when the mouse is clicked at a blank area on the screen. If no rows are found the cursor will remain at the mouse position and text can be typed there. The criterion is the height of the font currently selected.

  • Row Priorities can be changed by selecting text on two free form rows, and then enter Alt + P or select Swap Row Priorities from the Edit menu. The Priorities of the two rows will be swapped. If text is selected on more than two rows the first two rows in the selection will be used.

  • The text cursor can be moved from Row Tab to Row Tab by pressing ALT + > to move to the next Row Tab and ALT + < to move to the previous Row Tab. To use the mouse, click on the Row Tab Marker. The selected Row Tab will turn RED when selected.

  • When more than one row with Row Tabs is present on the Canvas, Tab Column Mode may be activated by pressing Alt + M on the keyboard.

  • Note that in Tab Column Mode, deleting a Row Tab will also delete all row tabs below.

Additional Editing Functions

Refer to Keyboard/Mouse Shortcuts - 2D/3D Text, Text Templates and Row Tabs for information on additional 2D text editing functions.


2D Text/Template Context Menu

Right-clicking on 2D text either inside or outside of a Template displays a Context menu, also known as a right-click menu, which makes available a variety of functions related to 2D text operations. Note that all items in the menu are displayed as active. During Lyric operation, various items may be grayed out depending on active function, whether or not the cursor is positioned inside or outside of a Template, and the system on which Lyric is installed.

2D Text Context Menu in Lyric 7.0

2D Text Context Menu

  • Object Name and Type [In the illustration above, this entry reads "2D Text 1 (Text Window)"]: The first item in an object's context menu displays the object's name and type. Refer to Navigating and Entering Information in Lyric: Object Name and Type for details on renaming objects.

  • Color Code Object: Enables the object listing in the Scene Graph to be displayed with colored text in order to make it easier to quickly identify.

  • Normal Space/Modified Space: A 2D Text window has two possible display modes – Normal Space or Modified Space. In Normal Space, you may add, or edit the text content inside the window. In Modified Space, the contents of the 2D Text Window are subject to manipulation in scale and rotation, via the XYZ pane of the Properties menu.

  • Use Scene Camera: Lyric's Scene Camera can be applied to a 2D Text Window (including 2D Roll, 2D Crawl and 2D Type On Windows) in order to provide a perspective view. Use Scene Camera can be enabled or disabled for individual 2D Text Windows. The Camera setting in Camera Properties has no bearing on the settings of individual 2D Text Windows although it can affect the juxtaposition of 2D Text Windows in relation to the entire composition.

  • Make Full Screen: Make Full Screen enlarges the active 2D Text window to the dimensions of the Canvas. The Title Bar is no longer visible when in Full Screen. To grab a border of a full-screen 2D Text window, use the Canvas scroll bars to bring the border into view. Don't forget to reset the Canvas scroll bar when finished.

        • Click Make Full Screen to enable (check) or disable (uncheck).

  • 2D Frames On: 2D Frame On turns on/of the display of all 2D Text Window and 2D Text Template frame on the Canvas, facilitating preview of the composition.

        • Click 2D Frames On to enable (check) or disable (uncheck). Note that this function is also available by clicking the Turn On/Off/Text Window frames icons Image: Turn On Text Window Frames Image: Turn Off Text Window Frames, available from the Chyron Toolbar.

  • Squeeze/Expand: Squeeze/Expand provides a quick method of adjusting space between 2D characters or rows in a 2D Text window or 2D Text Template. The scale of the characters does not change when Squeeze/Expand is performed.

  • Insert Row/Delete Row: Insert Row creates a new row at the cursor location, or inserts a row into the current Template at the cursor location (2D text only). Delete Row deletes the row at the current cursor location. (2D text only). If in a Template, this function deletes a Template row. Both are also available from the Edit menu.

  • Swap Row Up/Swap Row Down: The row on which the cursor is currently located changes places with the row above (Swap Row Up) or below (Swap Row Down) it respectively. If Swap Row Up is attempted on the top row in a window, there is no effect. Likewise, if Swap Row Down is attempted on the bottom row in a window, there is no effect.

  • Swap Row Priorities Up/Down: The display priority of 2D text rows on the Z-axis may be adjusted in compositions where rows overlap. The Swap Priority Up/Down operations are similar to Bring Forward and Send to Back operations found in graphics programs such as Adobe® Photoshop®.

  • Delete Pause: Delete Pause as accessed from this menu is not implemented at this time. A Pause, however, can be deleted directly from the Timeline, and all Pauses in an animation can be deleted as a group from the Scene Graph.

  • Pause Properties: Pause Properties as accessed from this menu is not implemented at this time. Pause properties can be set or modified directly from the Properties > Loops/Pauses tab.

  • Show Effect Progress: Show Effect Progress is not implemented at this time.

  • Pick Up Color/Font, Set Current Color/Font: Font characteristics from 2D text can be easily "picked up" and applied to other 2D text. Pick Up Color/Font and Set Current Color/Font work similarly to the Color/Font key, familiar to iNFiNiT!® operators.

  • Mask Character: An RGB font character typed in a 2D Text Window can act as a Mask Character, masking any elements, including the background, that are rendered below it. Note that a 2D bitmap that is placed in a 2D Text Window using a method other than typing cannot act as a Mask Character. .

  • Template Properties: Template Properties accesses the 2D Text Template dialog box, in which 2D Text Template properties are set.

  • Row/Tab Properties: The properties of rows and Row Tabs, also known as Tab Stops or just Tabs, can be specified. This function is also available from the Edit menu.

  • Animate Elements: Individual 2D text characters can be converted into independently animatable objects that can be repositioned, rotated, scaled, etc.

  • Advanced Text Effects: Advanced Text Effects provides a fast and convenient way to apply pre-scripted, keyframe-based animations to rows and/or 2D Text Templates in a 2D Text Window. Advanced Text Effects is an extension of the Animated Elements feature, which enables the conversion of 2D text into individually animatable objects. Effects include Horizontal/Vertical Blur, Drop Down, Push Up, Slide Left/Right, and Kern Left/Right. Custom effects can also be designed using the Advanced Text Effects Custom parameter settings. Advanced Text Effects can be saved and recalled for playback.

  • Modify Spline: The Spline Window tool enables text to be typed and animated on a curved baseline. Once a Spline curve has been set up, it can then be modified.

  • Template Lock On: Prevents movement of the Template within the text window. If the 2D text window is moved, the template will move along with it.

  • Position Lock On: The Position Lock On setting specifies whether or not an object (2D Text Window, 2D or 3D object, etc.) can be moved on its X, Y or Z axes, as well as rotated, scaled or have its center of rotation changed.

  • Copy/Paste Animation State: Copy/Paste Animation State enables animation attributes such as Position, Rotation, Scaling, etc., to be copied from one object and pasted to another.

  • Mask-To Layer, Mask Inside: Mask-To Layer and Mask Inside are advanced Mask functions.

  • Playout Mode : Playout and Compose modes are unique to Lyric Pro; Playout mode simplifies the Lyric interface for on-air tasks involving pre-recorded Lyric messages. This entry on the 2D Text context menu allows the operator to set Locks and Visibility options for Playout mode.

  • Continuous Update: Enables the selected 2D Text Template to receive Intelligent Interface U commands for dynamically revising text content.

  • Internal Properties: Properties of an object or a message can be tailored to a specific composition or playback situation. The Internal Properties accessed from this menu are applied to the selected object. They include Depth Test, Depth Write and Lighting.

2D Text/Template - Related Topics

Templates - Related Topics


Scene Graph

The Scene Graph provides a listing of all objects in a composition, as seen below. Visible objects in the Scene Graph are listed in order of visual display-priority.

If the Scene Graph is not visible:

  • Select Scene Graph from the View menu. The Scene Graph is displayed.

Scene Graph; click on the individual element types for more information.

The [image] checkbox next to each element determines that element’s visibility (and accessibility for editing) on the Canvas. When working on a complex composition, you may find it helpful to turn individual elements “on” and “off” for a better view of what you're doing. The Global Light and Camera cannot be turned off (unchecked) or deleted from the scene.

The [image] lock symbols pictured above appear only in the Lyric Pro option as a function of the software's Playout/Compose mode feature. In Lyric Pro, these locks control editing access to animation and other attributes while the system is operating in its access-limited Playout mode. The lock symbols may also appear in orange [image] or yellow [image] to indicate different levels of editing access for the selected scene element.

Object names can be changed in the Scene Graph. Note that the names Camera and Global Light cannot be changed.

  1. Highlight the object name in the Scene Graph, and then click the object name.

  2. Type the new name, and then press Enter.

The creation of a new scene is automatically accompanied by the creation of a Scene Graph, containing by default, a Camera, a Global Light source, and one movable Light Source (of the six individual lights that a composition may contain). Depending on Lyric's Preferences settings, a 2D Text window can also open by default with the creation of a new scene.

Animated elements generated from Unicode characters are named U+<code>, as is indicated as such in the Status Bar and the Scene Graph. A Unicode character(s) is brought into Lyric by first copying the character(s) either from existing text or from the Windows® Character Map. The character(s) is then pasted into a 2D Text Window, using the Paste Unicode Text function, accessed from either the Edit menu, or by pressing Ctrl + Alt + V. A Unicode character can be animated in the same manner as any other character.

The Scene Graph context menu is virtually the same as the Tools menu and the Canvas context menu. To display the Scene Graph context menu:

  • Right-click on an empty area of the Scene Graph, i.e., not on an object listing.

Color-Coding an Object Listing

Object listings in the Scene Graph can be color-coded for easy identification. When an item is color-coded, The listing is displayed in the selected color. To color code a listing:

  1. Select (click) the object listing in the Scene Graph, and then right-click to display the object's context menu.

  2. Select Color-Code Object. The Color dialog box opens.

    Image: Color Dialog Box

    Color Dialog Box

  3. This is the same dialog box from which color is set for 3D characters, 3D objects and light sources. Select a color, and then click OK. The color of the listing changes to the selected color.

Image: Color-Coding an Object Listing

Color-Coding an Object Listing

The following figure shows a Scene Graph with multiple color-coded object listings.

Image: Color-Coded Object Listings

Color-Coded Object Listings

Refer to Color, Transparency, Background, Lighting and Texture - Color Selection for Light Sources and 3D Characters/Objects for additional information.

Selecting Canvas Objects via the Scene Graph

If an object is selected on the Canvas, it is highlighted for editing on the Scene Graph and the Timeline. Likewise, if you select an object on the Scene Graph, it is selected for movement via the mouse pointer on the Canvas. Selected object(s) may be positioned, scaled, and otherwise manipulated via the Properties menu, Toolbar, etc.

Multiple-object selection follows Windows conventions. To select multiple objects whose entries are adjacent on the Scene Graph, select the first or last item and hold SHIFT while clicking the object at the other end of the range of entries. To select multiple nonadjacent objects, hold the CTRL key while you clicking the desired elements.

Selecting Overlapping Objects on the Canvas (ALT + Click)

When Canvas objects overlap, it can be difficult to select the one you wish to work with. Position your cursor over the overlapping objects and hold down the ALT key while clicking with the mouse. Continue clicking until the Scene Graph and Timeline show that the desired object has been selected.

Display Priority

Display priority determines the overlapping of one object over another on the Lyric Canvas. It is determined by the location of the objects along the Z-axis. The higher the Z-axis value, the closer to the front the object appears.

Additionally, when objects are introduced to the Canvas, they are automatically placed at the same Z-position. Each new object that is added to the Canvas has a higher Display Priority than the object that was previously placed on the Canvas. This is reflected in the Scene Graph, as each new object is added to the top of the listing. The higher the position of the listing in the Scene Graph, the closer to the front the object appears.

Display priority, i.e., the layering of the objects on the Canvas, can be changed by dragging-and-dropping an object listing to a different position on the Scene Graph. Additionally, objects within a group can be dragged-and dropped to new positions within the group. The group itself can also be dragged-and-dropped to a new position.

To facilitate these changes, a group added to a new message will now dictate display priority of all its members of equal Z value. This is enabled/disabled via Use Group Priority, accessed from the context (right-click) menu for the object in the Scene Graph or Canvas, and then selecting Internal Properties.

In the following illustration, the 3D objects MICROSCP and BBALL each have a Z-position value of -2.000, which defines their positions on the XYZ axes. The object BBALL, however, occludes the object MICROSCP because it has display priority due to its position in the Scene Graph.

On the Scene Graph, drag-and-drop the BBALL object below the MICROSCP object.

Note that the two objects have been transposed on the Canvas, and that the object MICROSCP occludes the object BBALL. Note that their Z-position values remain identical.

Grouping and Ungrouping Objects

Select multiple objects.

Selecting Multiple Objects

To group the objects:

  • Click the Group icon [image].

The grouped objects are labeled and rearranged on the Scene Graph as shown:

Grouped Objects - Unexpanded

Grouped Objects - Expanded

At left, the grouped object is shown in unexpanded view. At right, the [image] button has been clicked to show expanded detail of the group.

To ungroup the objects:

  • Select the grouped object in the unexpanded view, or select any object in the expanded view, and then click the Ungroup icon [image].

Renaming/Deleting Objects On the Scene Graph

To help keep track of Canvas objects, you may rename them (with the exception of 3D characters and imported 3D objects). Double-click on the desired Scene Graph object to rename it.

An object(s) can be deleted from the Scene. The only objects that cannot be deleted are the Global Light and the Camera. To delete an object from the Scene:

  • Select the object(s) on the Scene Graph, then press Ctrl + Delete, select the Delete icon Image: Windows Delete Icon from the Windows toolbar, or select Delete from the Edit menu.

Shortcuts for Navigating the Scene Graph and the Timeline

An item on the Scene Graph can be selected as follows:

  • Type the first letter of the object name.

  • Use the Up and Down arrow keys and the Home and End keys to select entries.

An object on the Scene Graph can be made visible or not visible on the Canvas or output. When the object's checkbox is selected, the object is visible on the Canvas or output. When the object's checkbox is deselected, the object is not visible on the Canvas or output.

  • Press the keyboard's Space bar or click the checkbox to select (check) or deselect (uncheck) a selected Scene Graph object.

Animation - Related Topics


Squeeze/Expand 2D Text/Rows

Squeeze/Expand

2D Text Window Right-Click Menu > Squeeze/Expand
Squeeze Word: Ctrl + 4 on Numeric Keypad
Expand Word: Ctrl + 6 on Numeric Keypad
Squeeze Row: Ctrl + 8 on Numeric Keypad
Expand Row: Ctrl + 2 on Numeric Keypad

Squeeze/Expand provides a quick method of adjusting space between 2D characters or rows in a 2D Text window or 2D Text Template. The scale of the characters does not change when Squeeze/Expand is performed.

NOTE

A Squeeze/Expand operation can be executed using the numeric keypad number keys 2, 4, 6 and 8, as described below. In order for this to work properly, Num Lock must be active, or the text will just be moved in the direction of the arrow printed on the number key, instead of being squeezed or expanded. To activate/deactivate Num Lock:

  • Press the Num Lock key located at the top left of the numeric keypad. When active, the Num Lock light on the keyboard is lit.

Num Lock should be active for most Lyric operations, and must be active for numeric message Reads.

To squeeze/expand the space between characters:

  1. Make sure that Num Lock is active.

  2. In a 2D Text window, highlight the text that is to be squeezed/expanded. The text can be on multiple rows. If no text is selected, the word on which the cursor is positioned is squeezed or expanded. In this instance, the cursor must be positioned in the word, not before the first character.

    For a Template, place the cursor in the Template on the appropriate row. Note that in a Template, spaces between characters can be squeezed/expanded only one row at a time. Additionally, all characters on the selected row of the Template are squeezed/expanded.

    The leftmost character stays in position as the text squeezes/expands from the right/to the right.

  3. Use one of the two following methods to squeeze/expand the space between the characters in the highlighted text or Template.

    1. Right-click the 2D Text window, then select Squeeze/Expand. The Squeeze/Expand dialog box is displayed.

      Squeeze/Expand Dialog Box

      Click the Word left or right arrow to squeeze/expand the text.

    2. Press Ctrl + 4 on the numeric keypad to squeeze the text; or Ctrl + 6 on the numeric keypad to expand the text.

To squeeze/expand the space between rows:

  1. Make sure that Num Lock is active.

  2. In a 2D Text window, highlight the rows that are to be squeezed/expanded. If the space between all rows is to be expanded, place the cursor anywhere in the 2D Text window.

    For a Template, place the cursor in the Template. Note that all rows in the Template are squeezed/expanded.

    The topmost row stays in position as the rows squeeze/expand up/down.

  3. Use one of the two following methods to squeeze/expand the space between the characters in the highlighted text or Template.

    1. Right-click the Template, then select Squeeze/Expand. The Squeeze/Expand dialog box is displayed.

      Squeeze/Expand Dialog Box

      Click the Row up or down arrow to squeeze/expand spaces between the rows.

    2. Press Ctrl + 8 on the numeric keypad to squeeze the rows; or Ctrl + 2 on the numeric keypad to expand the rows.


Color/Font

Color/Font Functions

Pick Up Color/Font: 2D Text Right-Click Menu > Pick Up Color/Font; Alt + F12
Set Current Color/Font: 2D Text Right-Click Menu > Set Current Color/Font; After pressing Alt + F12, type text in new Color/Font

Font characteristics from 2D text can be easily "picked up" and applied to other 2D text. Pick Up Color/Font and Set Current Color/Font work similarly to the Color/Font key, familiar to iNFiNiT!® operators.

  1. Type a few rows of text, using a variety of colors and fonts. Note that the last style, color, edge styles and other attributes used are reflected in the sample characters displayed in the Font Sample Area of both the Font Properties tab and 2D Font FX Properties tabs.

    Image: Typing 2D Text and Sample Chip

    Typing 2D Text

  2. Place the cursor in the text whose attributes you wish to apply to other text.

  3. Right-click on the 2D Text window to display the 2D Text/Template Context menu.

  4. Select Pick Up Color/Font from the 2D Text/Template Context menu. Note that the attributes of the text at the cursor position appear in the Font Sample Area.

    Image: Pick Up Color/Font Selected

    Picking Up Color/Font

  5. Next, draw a bounding box around the text to which you wish to apply the properties you just transferred to the Properties > Font tab. Be careful not to place the cursor in the new text; click outside of the target text to begin drawing the bounding box.

    Selecting Text to Be Changed

  6. Right-click inside the bounding box, then, as shown in the figure above, select Set Current Color/Font from the 2D Text/Template context menu. The attributes of the "picked-up" font is applied to the text in the bounding box.

    Image: "Picked-Up" Font Attributes Applied

    "Picked-Up" Color/Font Attributes Applied to Selected Text

"Picked-up" color/font attributes can be applied to text that is about to be typed by skipping the text selection step. Simply place the cursor at the position at which the new text is to be typed, then select Set Current Color/Font from the 2D Text/Template Context menu. Color/Font characteristics can also be quickly "picked up" and applied to text about to be typed as follows:

  1. Place the cursor in the text from which the Color/Font is to be picked up.

  2. Press Alt + F12.

  3. Place the cursor at the position at which the new text is to be typed. Type new text. New text reflects the attributes of the "picked-up" color/font.


Mask Objects - Introduction

Mask Objects

Introduction

There are several Lyric function names that contain the word "Mask." Refer to Masks: An Introduction for an overview of the different types of Masks.

Any 2D map object including a Flipbook, that is placed outside of a 2D Text Window, can be designated a Mask Object and therefore mask any elements rendered below it. Since a Mask Object is often used to allow live video to show through, it is recommended that 32-bit TIFF files or 32-bit TARGA files be used as Mask Objects. Transparency of a Mask Object can be set in Properties > Surface, but results in the changing the Transparency of the entire Mask Object (see NOTE in the section on Mask Inside, below, for additional information on transparency). 3D objects, 3D characters and any graphics, including 2D text, inside a 2D Text Window cannot act as Mask Objects.

Lyric-capable Chyron systems support multi-layer masking. Mask Objects can be assigned to mask certain objects, but not others. Objects that are to interact with each other with regard to this type of masking must be assigned to the same layer. This layer has no significance with regard to display priority, i.e., which image displays on top of another. It is simply a way to group images which are affected by a Mask Object. Remember, however, that it is necessary to place the Mask object on top of the object(s) that it is masking, or the Mask will not work properly. Display priority is set using the Scene Graph or by adjusting the Z position in Properties > XYZ.

Elements not assigned to the same layer as a Mask Object are not affected by the Mask Object.

For an overview of the different types of Masks, refer to Masks: An Introduction.

Mask Object Setup

To set up a Mask Object:

  1. On the Scene Graph or Canvas, select the object that will act as the Mask Object. Note that it is generally easier and sometimes necessary to select objects or elements from the Scene Graph, especially when they are already positioned one on top of the other on the Canvas.

  2. Right-click on the object on the Scene Graph or Canvas to display the context-sensitive menu. The illustration below shows this procedure performed from the Scene Graph.

    Mask Object Setup

    Setting a Mask Object

  3. Select Mask Object. The menu closes. A check mark indicates that the object is now a Mask Object.

NOTE

If the selected element is not appropriate for use as a Mask Object, the Mask Object selection on the context-sensitive menu will not be available.

Assigning a Mask Object or Element to a Layer

A Mask Object not assigned to a layer will cut through the background if the Mask Object has the lowest display priority on the Canvas, i.e., it is at the bottom of the element list (except for Lights, Global Light and Camera) on the Scene Graph, or if the Z position set in Properties>XYZ places it behind the other graphic elements. The background cannot be assigned to a layer.

A Mask Object assigned to a layer does not cut through the background, but interacts only with the other elements assigned to its layer. A Mask Object can mask other graphic elements, including other Mask Objects, that are assigned to the same layer and over which it is positioned. A Mask Object behaves as a normal graphic element with regard to graphic elements not assigned to the same layer.

To assign a Mask Object or other element to a layer:

  1. On the Scene Graph or Canvas, select the element that will be masked. This element can be 2D or 3D text, or another type of object.

  2. Right-click on the Scene Graph or Canvas to display the context-sensitive menu. The illustration below shows this procedure performed from the Scene Graph.

    Assigning Mask Objects and Elements to Layers

    Assigning a Mask Object or Element to a Layer

  3. Cursor or scroll to Mask-To Layer to display the list of layers.

  4. Select a layer. Keep in mind that if you do not want this Mask Object or element to interact with other Mask Objects or elements already assigned to the layer, select an unused layer. Once a layer is selected, the menu closes. A check mark now indicates which layer has been selected. Remember that layer number has no effect on display priority, i.e. elements assigned to layer 1 do not automatically display on top of Mask Objects/elements assigned to layer 7, or vice versa.

Mask Inside

In addition to using the Mask Object to simply cover another image, a Mask Object can be used instead to reveal another image.

When an element is designated Mask Inside, it causes the Mask Object in the same layer to reveal the element over which it passes instead of covering it. Any time the Mask Object is not positioned on top of the element, the element is not visible. A Mask Object can also be designated Mask Inside. When another Mask Object in the same layer passes over it, the Mask Object behaves in the same manner as a Mask Inside element, as well as acting as a Mask Object for elements in the same layer that are below it.

To set up a Mask Inside:

  1. Set up a Mask Object as described above.

    NOTE

    When applying Mask Inside to 2D text (including RGB font characters or bitmaps, the Mask Object must have either built-in transparency or transparency as applied in Properties > Surface > Transparency, or the element(s) designated as Mask Inside will not be revealed as the Mask object passes over it.

  2. On the Scene Graph or Canvas, select the element that will be revealed by the Mask Object. This element can be 2D text (including RGB font characters), a 3D character, a bitmap, a 3D object or Flipbook.

  3. Right-click on the Scene Graph or Canvas to display the context-sensitive menu.

  4. Cursor or scroll to Mask-To Layer to display the list of layers, then select a layer. Once a layer is selected, the menu closes. A check mark now indicates which layer has been selected.

  5. Right-click again on the Scene Graph or Canvas to recall the context-sensitive menu.

  6. Cursor or scroll to Mask Inside (see above figure), then select. The menu closes. A check mark indicates that Mask Inside has been activated.

Mask Inside setup is now complete. The element designated as Mask Inside remains invisible until a Mask Object assigned to the same layer passes over it.

NOTE

To work with a Mask object that is completely transparent or contains completely transparent areas, for example, to reveal a Mask Inside element, it is recommended that the Mask Object be created with transparency in whichever graphics creation program you are using. Remember also to create and save the alpha information with the graphic. The saved graphic format should be 32-bit TIFF or 32-bit TARGA.

If, however, the graphic does not contain alpha information, set the Transparency in the Surface tab of the Properties dialog box to 100. Note that this makes the entire graphic completely transparent. If some type of a graphic frame is needed to enclose this transparent area, it can be created separately and animated in lockstep with the transparent graphic.

Alpha Trim Mask

Some Mask Objects may display a transparent narrow border that you may wish to remove. Alpha Trim Mask removes this border. Alpha Trim Mask can be applied only to Mask Objects. To apply an Alpha Trim Mask:

  1. On the Scene Graph or Canvas, select the Mask Object.

  2. Right-click on the Scene Graph or Canvas to display the context-sensitive menu.

  3. Cursor or scroll to Alpha Trim Mask (see above figure), and then select it. The menu closes. A check mark indicates that the Mask is an Alpha Trim Mask. Note that this feature can be selected in conjunction with Mask Inside.

    NOTE

    While Alpha Trim Mask can remove the unwanted transparent border of a Mask, it may also affect other transparent regions of the Mask.

Mask Object Tutorial

Many interesting effects can be created using Masks. The following simple example demonstrates how to use an animated window to highlight text in a contrasting color as it moves over it.

  1. Create a completely transparent, rectangular bitmap image.

  2. On a new Lyric Canvas, open a 2D Text Window. An element named 2D Text 1 appears in the Scene Graph list. Type a line of white text in the 2D Text Window.

    Image: Text Typed in 2D Text Window Assigned to Mask Layer 1

  3. Select 2D Text 1 on the Scene Graph, and assign it to Layer 1.

  4. Select (highlight) all of the text in the 2D Text Window, then perform a Copy (Edit>Copy or Ctrl + C) operation.

  5. While the text in 2D Text 1 is still selected, apply a color other than white.

  6. Create a second 2D Text Window. It appears in the Scene Graph as 2D Text 2.

  7. Perform a Paste in Place (Edit>Paste in Place or Ctrl + I) operation. This pastes the white text into 2D Text 2 directly on top of the newly colored text in 2D Text 1.

  8. Assign 2D Text 2 to Layer 1, then select Mask Inside. The white text now disappears. The colored text from 2D Text 1 is displayed from behind the now-invisible text from 2D Text 2.

  9. Place the transparent rectangle bitmap onto the Canvas. Set the bitmap as a Mask Object, and assign it to Layer 1. Make sure it has higher display priority than the text elements.

    NOTE

    In order to see the transparent bitmap, click the Toggle Canvas Background Color button [image] in the toolbar to change the background color of the Canvas to gray. This affects only the Canvas, and not the output. To change the color back to black, click the Set Default Background Color button again.

    Mask Inside Revealing Underlying White Text Image: Mask Demonstration

  10. Create an animation to move the rectangle over the text.

  11. Execute the animation. As the “invisible” rectangle (outlined in the above illustration using a gray box) travels over the text, the white text inside of the rectangle is revealed (Mask Inside) and masked outside; and the colored text is masked inside of the rectangle, but is visible outside.

Soft Mask

A Soft Mask provides a soft-edged border into which a static or moving element (such as a Crawl) can fade. For information on Soft Mask creation and use, refer to the section covering Soft Masks .

Removing Mask or Layer Functionality

To remove Mask Object, Mask Inside, Alpha Trim Mask or layer assignment from any Mask Object or element:

  1. Select the object on the Canvas or the Scene Graph, then right-click to display the context-sensitive menu.

  2. Select whichever attribute that is to be removed. The menu closes. The item is now unchecked, and the functionality has been removed.


2D Character Animation

2D Text Right-Click Menu > Animate Elements

Individual 2D text characters can be converted into independently animatable objects that can be repositioned, rotated, scaled, etc.

  1. Type some text in a 2D Text window.

  2. Right-click anywhere within a 2D Text window and the context menu pictured opens.

  3. Select Animate Elements. 2D Text 1.Animated appears in the Scene Graph. Note that the entry includes the [image] symbol, meaning that it can be expanded to show its constituent elements (The expanded entry is shown here.). Note also that the 2D Text window itself remains as a separate entity on the Canvas.

    2D Text: Animate Elements and Scene Graph

  4. Individual 2D text characters can be animated exactly the same way as other objects, independently of the text box that originally contained them. You may drag the characters to new locations on the Canvas or use the Properties > XYZ controls, and alter their time values with the Timeline, Animation Control dialog box or Scene Graph.

    The characters themselves, however, cannot be edited. In other words, a spelling mistake cannot be fixed while in the Animate Elements mode. To edit the text, it is necessary to right-click on the 2D text, and then select Animate Elements to disable (uncheck) it.

    Note that unchecking Animate Elements on the right-click menu turns off the entire feature for the current message, even if you have saved the message. However, the animated 2D character information is saved with the message, and can be used if the feature is turned back on.

Animation - Related Topics


Text Effects - Advanced

Advanced Text Effects

2D Text/Template Context Menu > Advanced Text Effects

Introduction

Advanced Text Effects provides a fast and convenient way to apply pre-scripted, keyframe-based animations to rows and/or 2D Text Templates in a 2D Text Window. Advanced Text Effects is an extension of the Animated Elements feature, which enables the conversion of 2D text into individually animatable objects. Effects include Horizontal/Vertical Blur, Drop Down, Push Up, Slide Left/Right, and Kern Left/Right. Custom effects can also be designed using the Advanced Text Effects Custom parameter settings. Advanced Text Effects can be saved and recalled for playback.

To access the Advanced Text Effect dialog box:

  1. Read or create a Lyric message which includes 2D text in a 2D Text Window.

  2. Place the cursor on the row in the 2D Text Window to which the Advanced Text Effect is to be applied. If applying the Advanced Text Effect to all rows, the cursor can be placed anywhere in the 2D Text Window.

  3. Right-click to open the 2D Text/Template context menu, then select Advanced Text Effects. The Advanced Text Effects dialog box is displayed.

Image: Advanced Text Effects

Advanced Text Effects Dialog Box

The position of the cursor (on a template or a row) in the 2D Text Window determines the initial Apply To: setting. The initial Duration reflects the length of the Timeline of the 2D Text Window.

Note that each time that an effect is applied to an additional 2D Text Window, the start point of the new effect is automatically placed at the start of the new 2D Text Window's Timeline. You may need to adjust its Timeline to coordinate the execution of the effects.

NOTE

If applying both an Advanced Text Effect and Advanced Image Effect (Properties > Effects) to a 2D Text Window, the two resulting animations are not combined with each other and applied to one object. Each of the effects creates a separate object that is rendered and executed separately. Execution of the two effects can, however, be simultaneous.

Basic Advanced Text Effects Setup

To set up a basic Advanced Text Effect:

  1. In the Effect list box, select an effect from the following choices: Horizontal or Vertical Blur, Drop Down, Push Up, Slide Left or Right, or Kern Left or Right.

  2. Effects can be set up, executed, saved and recalled in pairs. One effect acts as the In Effect, and the other as a separately triggered Out Effect. Each effect in the pair is set up separately. The total duration is displayed in the Duration of Entire Effect frame counter.

    Click Effect In or Effect Out to specify which effect to set up.

    NOTES

    • Kern Right and Kern Left reverse the Anchor points for the Out Effect. For example, Kern Left kerns from the right to a left Anchor when executing as an In effect, and kerns from the right from a right Anchor when executing as an Out effect. Note that this does not occur when setting Dynamic Kern as a custom effect. See Creating a Custom Advanced Text Effect below for details.

    • Horizontal and Vertical Blur produce the same type of effects as set in Properties > Font > Filter. Horizontal and Vertical Blur execute from focused to blurred as In Effects, and from blurred to focused as Out Effects.

    • Drop Down, Push Up, Slide Left and Slide Right execute in their same respective directions for both In and Out Effects.

  3. The effect can be applied to a row, a 2D Text Template or all rows and 2D Text Templates. In the Apply To: area, use one of the following methods to apply an effect:

    • Apply the effect to a row by clicking the Current Row radio button, or if necessary, scrolling through the rows by clicking the Prev/Next buttons. The current row is identified by the red end markers on the baseline. If necessary, deactivate the All Elements radio button.

    • Apply the effect to a 2D Text Template by clicking the Current Template radio button, and if necessary, scrolling through the 2D Text Template by clicking the Prev/Next buttons. The current 2D Text Template is identified by the green end markers on the baseline(s).

    • Click the All Elements radio button to apply the effect to all rows and 2D Text Templates.

  4. Optional: Modify the Duration of the Entire Effect. This frame counter displays the durations of the In and Out effects.

  5. The application of the effect to each subsequent character in the row or 2D Text Template can be delayed by a fixed period. Set this delay in the Character Delay counter.

    If the application of the Character Delay causes the total duration of the effect to exceed the duration of the 2D Text Window object on the Timeline, the Timeline for the 2D Text Window and the Advanced Text Effect object associated with the 2D Text Window adjusts to accommodate the effect. The Duration of the Entire Effect frame counter reflects the adjustment. Additionally, if necessary, the Timeline of the entire Lyric animation adjusts as well.

  6. The application of the effect to each subsequent row(s) or 2D Text Template(s) can be delayed by a fixed period. Set this delay by selecting (checking) Row Offset and entering a value in the Row Delay counter. Note that when setting Row Delay, the Duration of Entire Effect frame counter changes to show the Duration of Each Row.

    If the application of the Row Delay causes the total duration of the effect to exceed the duration of the 2D Text Window object on the Timeline, the Timeline for the 2D Text Window and the Advanced Text Effect object associated with the 2D Text Window adjusts to accommodate the effect. The Duration of the Entire Effect frame counter reflects the adjustment. Additionally, if necessary, the Timeline of the entire Lyric animation adjusts as well.

  7. Offset shifts the start point of each character for In Effect, and the end point of each character for the Out Effect. The Offset is calculated relative to the original position of each character. For example, the default Offset of 35 produces the following offset.

    Change in the Start Position of an In Effect Start Position or an Out Effect End Position = (35)/10 = 3.5

    The offset is reflected in the Keyframe Graph XPosition or YPosition and the Properties > XYZ X or Y position of each of the elements in the Advanced Text Effect. The In Effect start position or Out Effect end position before an offset is applied is X = 0; Y = 0. For example, if an Offset of 35 is set to a Top-to-Bottom effect, the new Y start point for each element will be 3.5. Since this is a vertical effect, X Position remains unchanged.

    • Increased/decreased Offset moves starting point of Right-to-Left effect further right/left respectively.

    • Increased/decreased Offset moves starting point of Left-to-Right effect further left/right respectively.

    • Increased/decreased Offset moves starting point of Top-to-Bottom effect further up/down respectively.

    • Increased/decreased Offset moves starting point of Bottom-to-Top effect further down/up respectively.

    • If Offset is not selected, the start point is not offset.

    To set the default Offset of 35, select (check) the Offset checkbox. For information on setting a custom Offset, refer to Creating a Custom Advanced Text Effect later in this section.

  8. The entire procedure starting from Step 1 can be repeated to set up Effect In and/or Effect Out for any number of rows and/or 2D Text Templates in the 2D Text Window.

Advanced Text Effect settings can be recorded as part of the current message. When the message is read back, the effect(s) is executed as a normal animation(s).

Previewing/Executing/Stopping an Advanced Text Effect

To preview or execute the effect(s):

  • Click Advanced Text Effects Play Button. The effect executes from the In Effect, regardless of whether Effect In or Effect Out is active.

If an Effect Out has been set, the Effect In executes, then the message "Pausing; Press any key to continue" appears in the Status Bar to prompt for a keystroke to execute the Effect Out. Once the Effect Out has been executed, the Status Bar displays the message "Pause Released".

Advanced Text Effects can also be executed as a normal animation after the Advanced Text Effects dialog box has been closed.

To stop effect execution:

  • Click Advanced Text Effects Stop Button.

Advanced Text Effects can also be stopped in the same manner as a normal animation after the Advanced Text Effects dialog box has been closed.

What Happens When an Advanced Text Effect is Applied?

When an Advanced Text Effect is applied to a 2D Text window, and the Advanced Text Effect dialog box has been exited, the following occurs:

  • The 2D Text window is now in Animate Elements mode. This is indicated by the checkmark next to the Animate Elements item in the 2D Text/Template context (right-click) menu. The characters have been converted into animatable objects. As shown below, the baselines in the 2D Text Window are no longer visible and the characters within the window can no longer be edited as 2D text.

    NOTE

    The entire 2D Text Window is in Animate Elements mode even if an Advanced Text Effect has been applied to only one row/template of a multi-row/template 2D Text window.

  • A new element has been added to the Scene Graph and the Timeline. As shown below, 2D Text1.Animated identifies the group of animated elements created from the 2D Text Window that is in Animate Elements mode. This newly-created group behaves in the same manner as other grouped elements with regard to characteristics and operations. In the figure below, 2D Text1.Animated is expanded to show its component elements. Note that the original 2D Text 1 element, which identifies the 2D Text window, is still present. The Status Bar (shown under the Scene Graph) indicates that 2D Text1.Animated is active.

    Image: Advanced Text Effect Applied - Changes to Canvas, Timeline, Scene Graph and Status

    Advanced Text Effect Applied - Changes to Canvas, Timeline, Scene Graph and Status Bar

    The Keyframe Graphs of each of the elements can be viewed and edited as well. These edits are preserved on message recall. Keep in mind, however, that settings made to properties that can be adjusted from within the Advanced Text Effects dialog box override outside alterations of the same properties if:

    • Additional work is done within the Advanced Text Effects dialog box.

    • A 2D Text Template content update was initiated by Intelligent Interface, DBLink, the Template Update dialog box, etc.

    • The user toggles out of and back into the Animate Elements mode. Note that the current Advanced Text Effects settings are reapplied each time that the Animate Elements mode is activated.

    For example, if the X, Y, Z and Z rotation parameters are changed from the Properties > XYZ tab, only the change to the Z position would be preserved, as the X and Y positions as well as the Z rotation are controlled by Advanced Text Effects. Animations of 2D Text Windows in the same message that do not have Advanced Text Effects applied are not affected, nor are other objects.

Removing/Clearing an Advanced Text Effect

To remove an effect from a row or 2D Text Template once an effect has been applied:

  1. Make the 2D Text Window active.

  2. Open the Advanced Text Effects dialog box.

  3. Click the Current Row or Current Template Prev or Next button in the Apply To: area to select the row from which to remove the effect.

  4. Select None from the Effect list box.

  5. Click OK. The effect no longer executes on the selected row or 2D Text Template.

To clear all effect settings from the Advanced Text Effect dialog box:

  • Click Clear, and then click OK when prompted by the Lyric pop-up. The effect settings are cleared from the dialog box. The 2D Text Window remains in Animate Elements mode, unless Close is clicked immediately after this operation.

As mentioned earlier, after an effect is applied, the 2D Text Window is in Animate Elements mode. The text within the 2D Text Window cannot be edited unless it is converted from functioning as animated objects back to 2D text. To restore 2D text functionality:

  • Right-click on the 2D Text window to display the 2D Text/Template context menu, then deselect (uncheck) Animate Elements. The text can now be edited. Note that settings in the Advanced Text Effects dialog box are not affected by this operation. If the row count remains the same, this allows adjustment of the text without having to rebuild the Advanced Text Effects. Adding or deleting a row(s) may require adjustment of the Advanced Text Effects settings.

Advanced Text Effects set in other 2D Text Windows are not affected by these operations.

Preserving/Not Preserving Advanced Text Effect Settings

Effect settings are preserved on exiting the Advanced Text Effects dialog box when one of the four following operations has been performed:

  • Advanced Text Effects Play Button is clicked after parameters are set and just before clicking OK or Close to exit.

  • Either of the Prev/Next spinners is clicked after parameters are set and just before clicking OK or Close to exit.

  • Either Effect In or Effect Out is clicked after parameters are set and just before clicking OK or Close to exit.

  • OK is clicked.

To return to the Canvas without preserving effect settings:

  • Click Close without having performed any of the above operations.

Saving/Recalling an Advanced Text Effects Message

Advanced Text Effect settings can be recorded as part of the Lyric message that is on the Canvas. When the message is read back, the effect(s) is executed as a normal animation(s). In addition, the Advanced Text Effects In Effect and Out Effect settings themselves can be saved and recalled to apply to other 2D Text Windows.

To save the Advanced Text Effects message:

  • Click Save, enter a File Name, then click OK. The In Effect and Out Effect settings are saved to a Text Effect File (.tfx) format.

To recall and apply an Advanced Text Effects message:

  1. Create or read a message into a 2D Text Window.

  2. Right-click on the 2D Text Window, then select Advanced Text Effects to open the Advanced Text Effects dialog box.

  3. Click Recall, select an effect message, and then click OK. The recalled In Effect and Out Effect settings are loaded into the Advanced Text Effects dialog box and are ready for execution.

Creating a Custom Advanced Text Effect

The effects available in the Advanced Text Effects dialog box can be modified to create custom effects, or new ones can be designed using only the parameters available in the custom effects area of the dialog box. To create a custom effect:

  1. Read or create a Lyric message which includes 2D text in a 2D Text Window. 2D Text Templates can be included. Make the 2D Text Window active.

  2. Place the cursor on the row or 2D Text Template in the 2D Text Window to which the Advanced Text Effect is to be applied. If applying the Advanced Text Effect to All Elements, the cursor can be placed anywhere in the 2D Text Window.

  3. Right-click to open the 2D Text/Template context menu, then select Advanced Text Effects. The Advanced Text Effects dialog box is displayed.

  4. Click Image: Open Expanded Advanced Text Effects Dialog Box . The Advanced Text Effects dialog box expands to enable access to custom settings. If the dialog box is expanded to show custom settings, and an effect has already been applied to the Current Row, Current Template or All Elements, that effect is still selected and displayed in the dialog box. Likewise, effects that had already been set up for other rows or 2D Text Templates in the same 2D Text Window remain in effect, and can be viewed by clicking the Prev/Next buttons. The Apply To: setting is automatically set to Current Template or Current Row, depending on which set of Prev/Next buttons is used.

    Image: Advanced Text Effects - Expanded

    Advanced Text Effects Dialog Box - Expanded

  5. An existing effect can be modified or a new one can be built from scratch.

    • To build from an existing effect, select an effect in the Effect list box. The default settings for the effect are loaded.

    • To build from scratch, select None in the Effect list box.

  6. Set Effect In/Out, Apply To, Duration, Character Delay, and Row Delay parameters as described above in basic Advanced Text Effects setup.

  7. Set Effect Direction and Offset (in the Offset field in the Effect Direction area, not the Offset checkbox used for basic setup).

    Effect Direction can be set to Left-to-Right, Right-to-Left, Top-to-Bottom, Bottom-to-Top or Static.

    Offset shifts the start point of each character for In Effect, and the end point of each character for the Out Effect. Offset range is from 0 - 100, and is calculated relative to the original position of the character. The Offset position of the character is calculated as follows:

    Change in the Start Position of an In Effect Start Position or an Out Effect End Position = (Offset)/10

    The offset is reflected in the Keyframe Graph XPosition or YPosition and the Properties > XYZ X or Y position of each of the elements in the Advanced Text Effect. The In Effect start position or Out Effect end position before an offset is applied is X = 0; Y = 0. For example, if an Offset of 8 is set to a Top-to-Bottom effect, the new Y start point for each element will be .8. Since this is a vertical effect, X Position remains unchanged.

    • Increased/decreased Offset moves starting point of Right-to-Left effect further right/left respectively.

    • Increased/decreased Offset moves starting point of Left-to-Right effect further left/right respectively.

    • Increased/decreased Offset moves starting point of Top-to-Bottom effect further up/down respectively.

    • Increased/decreased Offset moves starting point of Bottom-to-Top effect further down/up respectively.

    • If Static is selected, the Offset setting is ignored, and the start point is not offset. This would be the same as setting the Offset to 0. There would be no positioning associated with this setting.

    NOTE

    Effect Direction/Offset and Kern Rate (see Step 12) are independently implemented effect parameters. Even if a Static Effect Direction is selected or Offset is set to 0, setting a Kern Rate other than 0 will produce an effect where the positions of the characters change as the effect executes.

  8. Set Scaling. Choose to scale Vertical, Horizontal, both Vertical and Horizontal dimensions or None, then set the magnitude of the scaling in the Scale spin box. Scale range is 0 - 100, with values between 0 and 1 reducing size.

    • Select Scale To to change size from the original dimensions to the scale set in the Scale spin box.

    • Select Scale From to change size from the dimensions set in the Scale spin box to the original size.

    • If None is selected, other Scaling settings are ignored.

    NOTE

    When applying the same Scaling effect as In and Out effects, the Out effect will not appear to change the dimension(s). This is because scaling is based on the original dimensions. So, for example, if the In Effect doubles the horizontal dimension by scaling to 2.00, an Out Effect set at 2.00 will not change the size. To double the horizontal dimension again on the Out Effect, Scaling must be set to 4.00.

  9. Set Horizontal and/or Vertical Blur. Range for both Horizontal and Vertical Blur is 0 (completely focused) - 50 (most blurred). These settings produce the same type of Blur as those set in Properties > Font > Filter.

    • Effect In: Objects transform from focused to blurred.

    • Effect Out: Objects transform from blurred to focused.

  10. Set Fade Rate. Fade Rate specifies over what percentage of the duration the Fade executes. Range is from 0 - 100. When executing an Effect In, the image fades up from black; when executing an Effect Out, the image fades to black. The examples below demonstrate Fade execution.

    • Effect In: In a 4-second (120-frame) effect, a Fade Rate of 25 executes the effect from black to full video over the span of the first second (30 frames), which is 25% of the total effect duration.

    • Effect Out: In a 2-second (60-frame) effect, a Fade Rate of 75 executes the effect from full video to black over the span of the first 1.5 seconds (45 frames).

  11. Set Dynamic Kern > Anchor Point. Selecting Left, Right or Center causes leftmost/rightmost/center character respectively to act as the Anchor. If Anchor Point is set to Center, and there is an even number of characters on a line, the character directly to the right of the center line becomes the Anchor character.

    When Dynamic Kern effect is executed, the other characters in the row or 2D Text template kern to the Anchor character from the right/left/both sides respectively when an In Effect is executed, and kern to the left/right/both sides from the Anchor character when an Out Effect is executed.

  12. Set Dynamic Kern > Kern Rate. The higher the Kern Rate, the farther apart the characters are positioned at the start of the In Effect or the end of the Out Effect. Range is from 1 - 50. The Kern Rate is calculated as follows:

    The X coordinate of each of the characters relative to their In Effect start points and Out Effect end points (not taking into account an offset) is 0. This is demonstrated on the XPosition Keyframe Graph and in the Properties > XYZ X Position setting for each character. When a Kern Rate is applied, it moves the In Effect start point or the Out Effect end point of the character to:

    X Position = (Position Number)(Kern Rate)/10

    Position Number indicates where the character is positioned in relation to the Anchor character, with the Anchor character occupying Position Number = 0. Characters to the right of an Anchor character will have positive position numbers; characters to the left of an Anchor character will have negative position numbers.

    See Kern Rate Example directly after this exercise for a simple example of how Kern Rate affects an Advanced Text Effect.

    NOTE

    As described in Step 7, Offset affects the start position of an In Effect and the end position of an Out Effect. Offset adds a positive value to the X position of a character if Effect Direction is Right-to-Left, and a negative value if Effect Direction is Left-to-Right. Offset values for Top-to-Bottom and Bottom-to-Top do not affect X-position.

  13. Set Character Rotate. The characters in the row can be rotated about the X, Y or Z axis. Units are in degrees. Click the radio button for selected axis, and then set a value in the spin box.

    • A positive Character Rotate value set for the In Effect causes the character to rotate clockwise; a negative Character Rotate value set for the In Effect causes the character to rotate counter-clockwise.

    • A positive Character Rotate value set for the Out Effect causes the character to rotate counter-clockwise; a negative Character Rotate value set for the Out Effect causes the character to rotate clockwise.

  14. After setting just one custom parameter, the new effect is assigned to a Custom Effect in the Effect list as soon as one of the following buttons is clicked: Advanced Text Effects Play Button, the Prev or Next buttons, Effect In, Effect Out or OK. The effect is named by default Custom Effect <x>. A name of the user's choice can be entered into edit box at the top of the Effect list. Like the default effects, it can be applied to a row, 2D Text Template or to All Elements (All rows and 2D Text Templates), and can also be modified, saved and recalled.

    The custom effect is now ready to execute. The setup procedure can be repeated to set up Effect In and/or Effect Out for any number of rows and/or 2D Text Templates in the 2D Text Window.

To close the custom settings area of the dialog box:

  • Click the Custom Image: Closing Custom Advanced Text Effects button.

Kern Rate Example

Here is a simple example to demonstrate how Kern Rate affects an Advanced Text Effect:

  1. Type the characters ABC in a 2D Text window, then open the Advanced Text Effect dialog box. Without modifying any settings, click OK to close the dialog box and return to the Canvas.

  2. Expand 2D Text 1.Animated on the Scene Graph to show the separate elements. Highlight the A element, then examine its X Position in the Keyframe Graph and in the Properties > XYZ X Position setting. Do the same for the B and C elements. They should all specify 0 at the start time.

  3. Activate the 2D Text window and return to the Advanced Text Effects dialog box. Click Image: Open Custom Advanced text Effects to open the custom settings. Set the Kern Rate to 7; Anchor to Left; then click OK to close the dialog box and return to the Canvas.

  4. Expand 2D Text 1.Animated on the Scene Graph to show the separate elements. The X Position in the Keyframe Graph and in the Properties > XYZ X Position start settings should indicate the following:

    X Position of A = (0)(7)/10 = 0

    X Position of B = (1)(7)/10 = .7

    X Position of C = (2)(7)/10 = 1.4

    A, being the anchor, has not changed start position; B's start position is offset by .7; and C's start position is offset by 1.4.


Object Orientation and Point of View

Overview

Most objects on Lyric can be positioned, rotated, scaled, and have their center of rotation set. These orientation attributes can be applied to a static object or can be set to change over time during an animation.

Quick adjustments to these attributes can be applied using the Transform Tools in the Chyron Toolbar.

Transform Tools

More precise adjustments can be applied from the XYZ tab in the Properties Window.

In addition, the point of view can be set, in the Camera tab in the Properties Window, to place the viewer closer of father away from the screen. The projection, that is, how the viewer sees the scene, can be set to set to Orthographic or Perspective. The Camera can be positioned as a static object, or can be animated. The Camera settings are part of the Lyric scene, and are applied to the output.

In addition, there are Canvas view options: Front, Top, Perspective, Left, or Multi View, which displays all views simultaneously. Output from the Canvas is always from the Front view, regardless of the currently selected Canvas view. Refer to the section on the Canvas for additional information on the Canvas view.

Position Lock On

Object Context Menu > Position Lock On

While working with Lyric, it may be desirable to lock the position and orientation of an object or group of objects to prevent unintentional movement. Position Lock On prevents an object (2D Text window, 2D or 3D object, etc.) from being moved on its X, Y or Z axes, as well as from being rotated, scaled or changing its center of rotation. When Position Lock On is enabled, the Position settings in the Properties > XYZ tab, as well as the Transform Tools Image: Edit Position Tool Image: Edit Rotation, Edit Scale, Edit Center of Rotation Icons, become inactive when the locked 2D Text window is active (selected).

To lock/unlock the position of an object or group of objects:

  • Right-click on the object or group of objects, then select Position Lock On from the menu.

    • If there is no checkmark next to Position Lock On, a checkmark appears next to it when selected, indicating that the object's or object group's position is locked.

    • If there is already a checkmark next to Position Lock On, it will disappear when selected, indicating that the object's or object group's position is no longer locked.

Animation - Related Topics

For Help on other Properties topics, select the desired Tab:


Menu Item Reserved for Future Use

This menu item is reserved for future use.


Continuous Update

U Command - Continuous Update

About Continuous Update

Lyric's Continuous Update feature enables the display of data from data feeds or from Rich Text Format (RTF) files. The data is fed to Lyric via Intelligent Interface commands.

Formatting Text for Continuous Update

Text presented to the LEIF or Intelligent Interface node update function is assumed to be in Rich Text Format (RTF). Rich Text Format escape sequences are used to control the formatting of any text updates for two reasons.

  • It is an established and well-documented format.

  • Second, text copied to the clipboard may be in RTF, and it would be advantageous to allow other applications (such as Word) to markup text for use in Lyric.

RTF expects all characters to be 7-bit ANSI, with special control sequences to allow Unicode and alternate language input. RTF input consists of cleartext modified by one or more control words. Any text not part of a control word is assumed to be meant for output, unless a previous control word has modified the current destination, such as \fonttbl or \colortbl which specify the document font and color tables, respectively. Control words always start with a backslash \. RTF input may optionally be enclosed within curly braces { }. The current font/color/language settings are pushed onto a stack upon every left curly brace {, and popped off the stack upon every right curly brace }. If a literal backslash or curly brace is required in the input, it must be escaped by preceding it with a backslash \. If no control words or braces are present in the input, then the entire input text will be rendered using the currently selected font/color within Lyric.

The RTF control words implemented in Lyric are a subset of the full RTF specification. The following subset of RTF control words is available for use. These represent the most common formatting operations, and correspond with the operations available in the Lyric user interface. Input containing RTF control words that are not currently implemented in Lyric ignore any input that is not understood. To allow limited WYSIWYG import of Word documents, additional control words not specified here have been implemented to allow import of the font and color tables specified in the RTF document.

Setting Font Characteristics

When setting font characteristics, the font attributes can come from either of two sources:

  • Fonts that are loaded in the Lyric browser: The font number in the control word corresponds to the hotkey (Alt + 0, 1, 2, etc.) set for the font. The color number in a control word corresponds to the hotkey for the Palette position (Ctrl + 0, 1, 2, etc.).

  • RTF file formatting: RTF control words determine the appearance of text in an RTF document. If desired, the font codes can be viewed by opening the RTF document in Microsoft® Notepad. There is no need to do so, however, to execute a Continuous Update. The control words specify font (face), color, size, bold, underline, italic, and more. As mentioned previously, Lyric uses a subset of the RTF control word set for specifying how text is displayed in 2D Text, Roll and Crawl windows. Note that if an RTF file is used as the source of the Continuous Update data, the RTF control words (i.e., formatting) override Lyric font settings. Any font control word that is added to the Intelligent Interface command will access the corresponding font from the RTF document, not a Lyric font.

The following control words set font characteristics.

Control Word | Description
\fN | Set font. N indicates the font number from the document \fonttbl, if present, else from the Lyric browser (font keys).
\fname F; | Set font F by facename
\cfN | Set font face color. N indicates the palette index of the color from the document \colortbl if present, else from the Lyric palette.
\cbN | Set font edge color. N indicates the palette index of the color from the document \colortbl if present, else from the Lyric palette.
\fsN | Set font size. N indicates the font size in scanlines.
\bN | Set bold face. N is 1 (or absent) for bold, 0 for normal.
\iN | Set italic face. N is 1 (or absent) for italic, 0 for normal.
\ulN | Set underlining. N is 1 (or absent) for underlined, 0 for normal.
\uN | Add Unicode character. N is the Unicode ID (in decimal) of the character.
\plain | Turn off bold/italic/underline. Reset font size to default.

Setting Paragraph/Row Characteristics

The following RTF control words set paragraph characteristics.

Control Word | Description
\par | Start new row (paragraph).
\qc | Center justify row (paragraph).
\ql | Left justify row (paragraph).
\qr | Right justify row (paragraph).
\langN | Specify input language. N is the specified National Language ID. Update will use the default IME for the specified language.

Setting Event Triggers Based on Position of Updated Data

The following RTF control words have been defined to allow for events to be triggered based upon the position of the updated data. They will apply to the previous character in the update. If the following control words appear before any character in the update, then the control word will be assumed to apply to the entire updated text.

Control Word | Description
\lon | Leading edge of character comes on-screen
\loff | Leading edge of character goes off-screen
\lmid | Leading edge of character is centered within window
\lat | Leading edge of character is at position specified by \offset
\ton | Trailing edge of character comes on-screen
\toff | Trailing edge of character goes off-screen
\tmid | Trailing edge of character is centered within window
\tat | Trailing edge of character is at position specified by \offset
\mon | Midpoint of character comes on-screen
\moff | Midpoint of character goes off-screen
\mmid | Midpoint of character is centered within window
\mat | Midpoint of character is at position specified by \offset
\offsetN | Offset previous position control word by N pixels/scanlines

Setting Event Triggers Based on Previous Positioning Control

The following RTF control words define events that will occur when the previous positioning control is triggered. If they are not preceded by a positioning control word then \lon is assumed.

Control Word | Description
\pauseN | Pause animation for N frames. If N is absent, pause indefinitely
\eventN | Send LyricEvent(N) to all attached plugins. Events 1 - 99 are reserved for use by Lyric. Specify N ≥ 100.
\speedN | Set speed N for roll/crawl. N must be in range [1, 10].
\rateN | Set rate N for roll (scanlines/frame) or crawl (pixels/frame)
\trans T; | Activate transition T for current scene
\end | Prevent future updates and play all buffered text

Immediate Event Triggering

The following RTF control words define events that will occur immediately and do not require a previous positioning control word.

Control Word | Description
\resume | Continue animation from paused state
\flush | Discard previous updated data that has not displayed
\clear | Discard all updated data including data on screen
\tN | Select template N
\now | Allows Pauses and Events to be triggered immediately upon update, rather than waiting until update becomes visible
\xN | Offset previous character by N horizontally
\yN | Offset previous character by N vertically
\img N; | Embed image with filename N. N can either be a full file path or relative to the directory for Image Assets. All backslashes in a file path must be written as forward slashes.
\mov N; | Embed movie with filename N. N can either be a full file path or relative to the directory for Movie Assets. All backslashes in a file path must be written as forward slashes.
\invaN | Specify whether to invert the alpha component of the last embedded Quicktime movie. N is 0 (or absent) to not invert, 1 to invert.

Continuous Update Setup and Command Syntax

Specifying Object Update Properties

Before displaying Continuous Update data, the 2D Text, Roll or Crawl window must be set to accept the data. To do so:

  1. Open the Transition Properties panel.

  2. In the 2D Text, Roll or Crawl Properties area, enable (check) the Continuous Update checkbox. The 2D Text, Roll or Crawl window can now accept Intelligent Interface Continuous Update data.

Creating Continuous Update Commands

The Intelligent Interface U command has been modified to allow a consistent method to update nodes in the scene graph with new data. The new format of the command is as follows:

U\@<scene>\N\<node>\<region>\<op>\<source>\<data>\\

Note that U command types such as U\*\... and U\<message number>\... still work.

The parameters to the command are as follows:

Command

Description/ Settings

U

Specifies Template Update command.

@<scene>

The name of the specified scene in the selected frame buffer, whether in the canvas or on output. If scene is empty, then the currently selected scene is used. This could be a message number or a name.

  • In Lyric, only one scene is displayed a at a time.

  • In Lyric PRO, there can be multiple scenes from which to select.

<node>

The name of the node in the specified scene to update. If multiple nodes have the same name, the first one found will be used. For that reason, node names should be unique.

Examples: 2D Text 1, 2D Roll 2, Stock Crawl

<region>

The surface to be updated for the specified node.

  • 0 indicates the freeform text, i.e., 2D text in a 2D Text, Roll or Crawl window, but not in a 2D text template.

  • 1, 2, 3,& indicate the specified template by position, and not by label.

  • -1 indicates that all text should be updated. When using -1, the \t RTF control word allows text to be entered into specified templates.

<op>

The update operation to apply:

  • R - Replace the region contents with the updated data.

  • A - Append the updated data to the region contents.

<source>

The data source for the update:

  • D - Data contains the update data.

  • F - Data represents a filename of an RTF file containing the update data.

<data>

Update data as specified by source. Since Intelligent Interface expects all commands to be terminated by a double-backslash \\, use the RTF curly-braces { } to wrap any input that contains double-backslash sequences.

Examples

U\@LowerThird\N\StockCrawl1\0\R\D\f4\cf5\cb8\fs30\b1\i1\ul1\Share prices soar on news of oil discovery.\\

  • U specifies the update command.

  • \@StockCrawl specifies the name of the Scene.

  • \N is a required part of the update command.

  • \StockCrawl1 specifies the name of a Crawl window.

  • \0 specifies that the text to be updates is not in a template.

  • \R specifies that the current text will be replaced.

  • \D specifies a data source.

  • \f4 specifies Font 4.

  • \cf5 specifies Font Face Color 5.

  • \cb8 specifies Font Edge Color 8.

  • \fs30 specifies Font Size of 30.

  • \b1 specifies not bold.

  • \i1 specifies not italic.

  • \ul1 specifies no underline.

  • \Share prices soar on news of oil discovery.

U\@1023\N\BusinessCrawl\0\A\F\f3\c:\News_Headlines.rtf\\

  • U specifies the update command.

  • \@1023 specifies the name of the Scene, as a message ID.

  • \N is a required part of the update command.

  • \BusinessCrawl specifies the name of a


Pop-On Messages

Pop-On Messages - Recording 2D Text-Only Messages

All Text: Ctrl + Record > Select All Text; Ctrl + Record T
Cursor to End of Text: Ctrl + Record > Cursor to End; Ctrl + Record E
Current Row of Text: Ctrl + Record > Current Row; Ctrl + Record + R

Rows of text in a 2D Text Window can be updated by replacing them with text that has been recorded as a Pop-On message. By doing this, only the row(s) that changes must be recorded. When read back, the Pop-On message replaces the new text at the current cursor position in the 2D Text Window. Note that if a Pop-On message is read into a 2D Text Template, the Pop-On text overwrites the 2D Text Template.

  1. Create a simple three-line message. Place the cursor in the second line. Record the message, and then erase the Canvas.

    Image: Text Message

    Creating and Recording a Text Message

  2. Create a one-line message.

    Image: Pop-On Message

    Creating a Pop-On Message

  3. Press Ctrl + Record. The Record Only dialog box is displayed.

    Image: Record Only Dialog Box

    Record Only Dialog Box

  4. The Record Only dialog box offers the following recording choices which can be used as Pop-On messages:

    • All Text in Window: Records all text in selected 2D Text Window. Empty lines on a Pop-On message are ignored. For example, if a three-line Pop-On is recorded, and the middle line is empty, the Pop-On is read back as a two-line Pop-On, and replaces (or adds) two consecutive rows of text.

    • Cursor to End: Records all text from the beginning of the row on which the cursor is positioned, to the end of the text in the window. As described above, empty lines on a Pop-On message are ignored.

    • Current Row: Records only the text on the current row.

    For this example, select the All Text in Window radio button, and then click Record. All of the text in this window is recorded.

  5. Recall (read) the original message recorded in Step 1.

  6. While the original message is displayed, recall the message that was recorded in Step 3. The one-line text from the second message replaces the second row of text from the first message.

Image: Text Message with Pop-On Text

Text Message after Reading a Pop-On Message

Note the following regarding the location of the Pop-On message and multi-line Pop-On messages.

  • The location of the Pop-On text that is read into another message is determined by the current cursor location on the Canvas. Cursor location within the row has no bearing on the location of the replacement text, as it replaces the entire row.

  • A Pop-On message containing multiple lines adds the lines to a shorter message.

  • A Pop-On message can be read only into a 2D Text Window (including Roll, Crawl and Type-On (Slow Reveal)).

  • A Pop-On message is row-based, resulting in the replacement of the entire row, regardless of whether or not there are 2D Text Templates in the text message or the Pop-On message.

Try this example of a multi-line Pop-On message.

  1. Record a three-line message with the third line empty. Position the cursor in the fourth line, then record the message. Erase the Canvas.

    Image: Text Message with Cursor on Fourth Line

    Text Message with Cursor on Fourth Line

  2. Clear the image and record four lines of text in a new Pop-On message. Erase the Canvas.

    Image: Multi-Line Pop-On Message

    Multi-Line Pop-On Message

  3. Read the three-line message again, and then read the Pop-On message over it. The Pop-On text is placed starting at the line on which the cursor was positioned when the text message was recorded, resulting in six lines of text. In this example, the window is too small to display all of the lines. Ensure that the window is large enough to display all lines when reading back a multi-line Pop-On message.

Image: Multi-Line Text with Multi-Line Pop-On

Multi-Line Text with Multi-Line Pop-On

A Pop-On message can also be used to replace specific consecutive lines in another message. For example, Lines 2 and 3 can be replaced by a two-line Pop-On message. Just make sure that the cursor is on the first of the lines to be replaced when the message is recorded.


Color Selection for 2D/3D Text and Backgrounds

2D/3D Text Color: Properties > 2D Font FX > Fill for Face/Edge; Font Toolbar Selecting a Color, then select the Color Select tool Image: Color Palette Selection from the drop-down Palette
Background Color: Tools Menu > Background > Solid/Ramp Color; Chyron Toolbar > Solid/Ramp Color; 2D Text Template Context (Right-Click) Menu > Template Properties > Set Bkg

The color of the face and edges of 2D text, as well as the color of the Background of the Canvas, 2D Text Windows or 2D Text Templates, can be set by selecting colors from the Color Window in the Color Select dialog box, or by selecting preset colors from the Palette, also accessed from the Color Select dialog box.

Face and Side color of a 3D character can also be set using this color utility. However, the Bevel color and other 3D character attributes can be set only in the Properties > Surface tab. Refer to Color Palette for Light Sources and 3D Characters/Objects for additional information on setting color for 3D characters.

The Palette can be thought of as a library of favorite colors. It is not necessary to use Palette colors to create a message, as custom colors can be created on the fly and applied to text or Background without storing to a Palette. Ramped colors, which are colors that blend into each other, can also be applied to 2D text and Backgrounds and added to the Palette. Ramped color may be applied to 3D characters via the Text Properties page.

Palettes can be saved as .reg files and recalled for future use.

Quickly Setting Text Color

The Face color of 2D text or a 3D character(s), the Edge color of 2D text or the Side color of a 3D character(s) can be quickly set using preset Palette colors:

  1. Select the 2D text or 3D character(s) as follows:

    • If color is to be applied to selected 2D text, use a Bounding Box to select the text.

    • If the color is to be applied to selected 3D text (Face or one Edge only), Ctrl + clicking the characters on the Canvas or in the Scene Graph, or Shift + click a range of characters in the Scene Graph.

  2. To apply color to the Face of the selected 2D Text or 3D characters, click on the Font Face tool. To apply color to the Edge of selected 2D text or Sides of 3D characters, click on the Font Edge tool. A drop-down Palette is displayed. The colors of the Font Face Color correspond to the colors in Palette 1 in the Color Select dialog box; the colors of the Font Edge correspond to the colors in Palette 2 in the Color Select dialog box. Note that only one Palette can be pulled down at a time. Both are shown in the following figure.

    Image: Font Face/Edge Color Selection

    Font Face and Edge Color Tool Drop-Down Palettes

    Note that when the scroll bar is at the top of a Font Face or Edge Color tool drop-down (not shown in the preceding figure), the first (top) color displayed in the drop-down Palettes indicates the currently-selected color. This may or may not be a Palette color, i.e. a color that is assigned to a Palette.

  3. Click a color to apply. The color is applied to the selected 2D text or 3D characters. Note that a ramped color cannot be applied to a 3D character.

When a color is applied to 2D text, any 2D text that is typed afterwards has the new color applied. When a color is applied to 3D characters, any 3D characters that are typed afterwards have the new color applied. Changes to the colors of 2D text do not affect 3D character color, and changes to 3D character color do not affect 2D text color.

NOTE

Be aware that if the current color is not assigned to a Palette, selecting a different color in the Font Face/Edge Color tool deletes the color from the drop-down and the color settings are lost. If text has already been typed using the lost color, the settings can be reloaded by using one of the following methods to apply the Color/Font function.

  • Select the text with the lost color, then press the Color Font key on a Chyron keyboard, or Alt + 12 on a PC keyboard.

  • Right-click on the 2D Text Window containing the selected text, then select Pick Up Color/Font from the context menu.

The color settings are reloaded, and are applied when typing new text. The color also becomes active in the Color Select dialog box, and can be added to the Palette. The Color Select dialog box is described below, and Adding Color to the Palette is described later in this section.

Accessing the Color Select Dialog Box and the Palette

The manner in which the Color Select dialog box and the Palette are accessed determines to which element color is applied. If the dialog box is opened from a Background tool (Canvas, 2D Text Window or 2D Text Template), then the color will be applied to the Background. If the dialog box is opened from a Font Face or Font Edge Tool or the 2D Font FX Properties tab, the color will be applied to the Face or an Edge of 2D characters, or the Face or Sides of a 3D character(s).

Accessing Color Select Dialog Box for Setting 2D Text Face/Edge or 3D Text Face/Side Color

From the 2D Font FX Properties tab:

  1. Open the 2D Font FX tab of the Properties window.

Image: 2D Font FX Properties

2D Font FX Properties Color Sample Chip and Font Sample

  1. In the Face/Edge Components list, select Face or the Edge to which to apply the color. In the preceding figure, the first applied Edge, which is a Border, is selected. In the case of a 3D character(s), any Edge component that is selected results in the color being applied to the Sides of the 3D character(s).

  2. In the Fill for Face/Edge area, select (click) the Color radio button.

  3. Click on the Fill for Face/Fill for Edge Color Sample Chip. The Color Select dialog box opens.

From the Font Tools:

  • Click on either the Face or Edge color setting tool on the Font Toolbar, then select the Color Select tool Image: Color Palette Selection from the color drop-down list. If the Color Select tool Image: Color Palette Selection is selected from the Face tool, the Face color of the 2D text or 3D character can be set. If the Color Select tool Image: Color Palette Selection is selected from the Edge tool, the first applied Edge color of 2D text or Side color of a 3D character(s) can be set. The Color Select dialog box opens.

    Selecting a Color

    Face (Left) and Edge (Right) Font Color Tools

Accessing Color Select Dialog Box for Setting Background Color

To open the Color Select dialog box and access the Color Palette for the Background, use one of the following methods:

  • Pull down the Tools menu, select Background, and then Solid/Ramp Color.

  • Click [image] on the Chyron Toolbar, and then select Solid/Ramp Color.

  • Right-click on a 2D Text Template, and then select Template Properties from the context menu. Click Set Bkg, and then select Solid/Ramp Color.

The Color Select dialog box opens.

The Color Select Dialog Box

Image: Color Select Dialog Box

Color Select Dialog Box

The Palette area displays one of the seven available subpalettes, also called Palettes, each containing 16 colors, for a total of 112. The 16 colors in the active (displayed) subpalette can be selected using a Chyron keyboard Color Key or a PC Hotkey combination. For example, if Palette 6 is displayed in the Color Select dialog box, the Hotkeys can load the 16 colors from Palette 6. At the right of the Palette area is a set of Up/Down scroll arrows. Click the arrows to scroll through the subpalettes.

The Color Keys and Hotkeys are mapped to Palette positions as follows:

2D/3D TEXT COLOR SELECTION
Chyron Keyboard Keystroke(s) | PC Keystroke(s) | Description
Color Keys 1 - 8 | Ctrl + 1 through Ctrl + 8 | Selects entries 1 - 8 in pull-down Color Palette on the Font Toolbar (2D or 3D text) and in the Color Select dialog box.
No corresponding keystrokes. | Ctrl + 9 Ctrl + 10 | Selects Palette Positions 9 and 10 respectively in pull-down Color Palette on the Font Toolbar (2D or 3D text) and in the Color Select dialog box. Do not have corresponding dedicated Chyron keyboard keystrokes.
Color Keys 9 - 14 (Shift + Color Keys 1 - 6) Note: Color Keys 15 and 16 are not operational. | Ctrl + Shift +1 through Ctrl + Shift + 6 | Selects entries 11 - 16 in pull-down Color Palette on the Font Toolbar (2D or 3D text) and in the Color Select dialog box.

Applying Color to Background and Text

Applying an Existing Palette Color

To apply an existing Palette color:

  1. Depending on which element the color is to be applied, either perform or skip this step:

    • If the color is to be applied to a Background, skip to the next step.

    • If color is to be applied to selected 2D text, use a Bounding Box to select the text.

    • If the color is to be applied to selected 3D text (Face or one Edge only), Ctrl + clicking the characters on the Canvas or in the Scene Graph, or Shift + click a range of characters in the Scene Graph.

  2. Open the Color Select dialog box using one of the methods described in Accessing the Color Select Dialog Box and the Palette above.

  3. Click a color tile in a subpalette and note that the Color Sample Chip in the Color area of the Color Select dialog box displays that color.

  4. Click Apply.

    • If applying to a Background, the color should appear as the Background of the Canvas, 2D Text Window or 2D Text Template, and the procedure is complete.

    • If applying to a 3D character(s), the color should be applied to the Face or Edge, and the procedure is complete. The Font Sample in the Properties > 2D Font FX tab and the Font Tool Face or Edge Color also reflects the selected color. New 3D characters that are typed will also have the selected color applied. The new color is not applied to 2D text.

    • If applying to 2D text, note that the text on the Canvas does not yet assume the selected color. The Font Sample in the Properties > 2D Font FX tab as well as the Font Face or Edge Color tool, however, do reflect the selected color. Continue to the next step.

  5. Click Apply in the Properties > 2D Font FX tab. The text on the Canvas assumes the selected color. New 2D text characters that are typed will also have the selected color applied. The new color is not applied to 3D characters.

Setting and Applying a Custom Color

A color can be custom-set and if desired, added to the Palette. To set a custom color:

  1. Use the appropriate method open the Color Select dialog box.

  2. Click and drag the + symbol in the Color Window to a color of your choice. Moving the + across the Color Window adjusts the Hue. This determines the character of the color - red, green, blue, etc. Moving the + up and down in the Color Window adjusts the Saturation, which determines the strength of the color. Moving the + down in the Color Window mutes the color. At the bottom of the scale, the color loses all strength and becomes gray. Moving the + up in the Color Window strengthens the color. At the top of the scale, the color is strongest. Note that any change is reflected in the Color Sample Chip and the Hue/Sat/Lum (HSL) and Red/Green/Blue (RGB) settings.

  3. Click and drag the Luminosity slider to adjust the brightness of the color. At the bottom of the scale, the color is darkest (black). At the top of the scale, the color is lightest (white). Note that a change in Luminosity is reflected in the Color Sample Chip and the Hue/Sat/Lum (HSL) and Red/Green/Blue (RGB) settings. The purest color in a color family is set by moving the + to the top of the Color Window, and the Luminosity slider to exactly the half-way point.

    Image: Selecting a Color from the Color Window

    Selecting a Color from the Color Window

    Colors can also be set by entering values in the HSL or RGB fields. Changes to these settings are reflected in the Color Window and Luminosity slider. Refer to Setting HSL and RGB Color Values for details.

  4. Also experiment with the Transparency slider. The range of Transparency is from 0 (completely opaque) to 100 (completely transparent). Note that a change in Transparency is reflected in the Color Sample Chip, but is not reflected in the Hue/Sat/Lum (HSL) and Red/Green/Blue (RGB) settings. Transparency is an attribute distinct from HSL and RGB.

    Image: Setting Transparency

    Setting Transparency

  5. When the color is set, repeat Steps 4 and if necessary, 5, from the previous procedure to apply the color to the text or Background.

Adding a Color to the Palette

NOTE

When adding a color to the Palette, it must replace an existing color in the Palette. Make sure that the color that is being replaced is not needed.

When a color is set, it can be used to type text until another color is selected. When the new color is selected, the color it replaced is lost unless it had been added to the Palette. To add a color the Palette:

  1. In the Color Select dialog box, set a color.

  2. Select (click) on a color tile in any one of the seven subpalettes.

Image: Selecting a Color to Replace in the Palette

Selecting a Color to Replace on the Palette

  1. Click Add To Palette. The set color replaces the color in the Palette, and becomes the new color at that Palette position.

Applying a Ramped/Gradient Color Scheme

The Ramp/Gradient area of the dialog box consists of a Ramp/Gradient Color Window with a Color Anchor, each represented by a small circle, at each corner. Additional Color Anchors can be added to the sides. Corner Color Anchors cannot be removed or repositioned, whereas side Color Anchors can. The color of a Color Anchor determines the color the adjacent area of the Ramp/Gradient Color Window.

Ramped color cannot be applied to a 3D character. Refer to Color Palette for Light Sources and 3D Characters/Objects for additional information on setting color for 3D characters.

Once a color ramp is set, it can be added to a Subpalette in the same manner as a solid color, and applied in the same manner as a solid color.

To set ramped color for text:

  1. Depending on which element the color is to be applied, either perform or skip this step:

    • If the color is to be applied to a Background, skip to the next step.

    • If color is to be applied to selected 2D text, use a Bounding Box to select the text.

  2. Use the appropriate method to open the Color Select dialog box.

  3. In the Mode area, select Ramp. Click the upper-left Color Anchor. A black frame appears around the Color Anchor.

    Image: Selecting an Anchor

    Selecting a Color Anchor

  4. Use one of the following methods to set a color for the anchor and the upper left are of the Ramp/Gradient window. Note that any change to the Color Window/Luminosity and Transparency sliders, and HSL/RGB settings are immediately reflected in the Color Anchor color. Optional: Also set the Transparency.

    • Select (click) a color from the Palette

    • Use the + slider in the Color Window and the Luminosity slider.

    • Set HSL or RGB settings.

    Image: Setting Color Anchor

    Setting a Color Anchor

  5. Set different colors for each area of the color ramp by clicking each of the other three color anchors and repeating the color-setting procedure.

    Image: Setting a Ramp

    Ramp/Gradient Window

  6. When the color ramp in the Ramp/Gradient Window is set, click Apply in the Color Select dialog box.

    • If applying the ramped color to a Background, the ramped color should appear as the Background of the Canvas, 2D Text Window or 2D Text Template, and the procedure is complete.

    • If applying the ramped color to 2D text, it is applied to the Fill Color Sample Chip and the Font Sample in the Properties > 2D Font FX tab, but not the 2D text. The figure below shows the ramped Font Face with a narrow Border Edge. Continue to the next step.

    Fill Color Sample Chip and Font Sample Showing Gradient/Ramp and

    Fill Color Sample Chip and Font Sample Showing Gradient (Ramp)

  7. Click Apply on the Properties > 2D Font FX tab. The color ramp is applied to the face of each selected character in the 2D Text Window. New 2D text characters that are typed will also have the selected ramped color applied.

    Image: Ramp Applied to Text

    Ramp/Gradient Applied to 2D Text

A ramped color can be added to a Palette in the same manner as a custom color. Remember, however, that a ramped color cannot be applied to a 3D character.

Copying/Pasting a Ramped Color

A ramped color can be copied and pasted to another Palette position.

  1. In the Mode area, select Ramp.

  2. Right-click the Ramp/Gradient Window. From the context menu, select Copy ramp.

    Image: Copying and Pasting a Ramp

    Copying and Pasting a Ramp

  3. Select (click) a Palette color tile.

  4. Right-click the Ramp/Gradient Window. From the context menu, select Paste ramp. The ramp is pasted to the new Palette position.

Color Anchors - Buddies, Copy, Paste, Add/Remove

Tie Color/Don't Tie Color to Buddy

Lyric has a convenient function for setting two anchors to the same color. The Tie color to buddy function pairs the top left/right corner anchor with its corresponding top right/left color anchor, or the bottom left/right corner anchor with its corresponding bottom right/left color anchor, so that the color of both anchors may be set simultaneously. In the case of an anchor that is not on the corner (see Adding Additional Color Anchors later in this section), it can be tied/untied from its opposing top/bottom or left/right anchor.

  1. In the Mode area, select Ramp.

  2. Right-click one of the anchors as shown below. A context menu is displayed.

    Image: Tie Color to Buddy

    Selecting Tie Color to Buddy

  3. Select Tie color to buddy. The two opposing top color anchors are marked with horizontal lines. Additionally, the color of the new buddy now matches the color of the selected anchor.

    Image: Anchors Tied to Each Other

    Color Anchors Tied to Each Other

When two anchors are tied, any change in one anchor is reflected in the other anchor. This allows two anchors to be set to the same color simultaneously.

To "untie" two Color Anchors:

  • Right-click on one of the tied color anchors and select Don't tie color to buddy from the context menu. The colors of the two anchors can now be independently set.

    Image: Don't Tie Color to Buddy

    Selecting Don't Tie Color to Buddy

Copy/Paste Anchor Color

A color may be copied and pasted from one Color Anchor to another.

  1. In the Mode area, select Ramp.

  2. Right-click on the anchor from which the color is to be copied, then select Copy anchor color from the context menu.

    Image: Copy Anchor COlor

    Copying Anchor Color

  3. Right-click on an anchor to which you wish to apply the copied color, then select Paste anchor color from the context menu.

    Image: Paste Anchor Color

    Pasting Anchor Color

    The selected Color Anchor takes on the attributes of the pasted color.

Adding/Removing Additional Color Anchors

An additional two pairs of color anchors can be added each to the top/bottom and left/right sides of the Ramp/Gradient Window, for a total of four additional pairs.

To add a pair of Color Anchors:

  • In the Mode area, select Ramp. Right-click just outside of the border of the Ramp/Gradient window, at the position where one of the Color Anchors is to be inserted. A Color Anchor appears at that position, as well as at the opposing position. On creation, the anchors are always tied (Tie to buddy) to each other.

    Image: Adding Color Anchors

    Adding Additional Color Anchors

The following choices are available from the context (right-click) menu of a side Color Anchor:

  • Tie color to buddy/Don't tie color to buddy: A Color Anchor can be tied to or untied from the opposing Color Anchor.

  • Remove anchor: Select Remove anchor to remove a Color Anchor and its opposing Color Anchor.

  • Copy/Paste anchor color: A Color Anchor's color can be copied, and then pasted to another Color Anchor.

Pairs of side Color Anchors can be added and deleted. Pairs of opposing Color Anchors can also be repositioned along its side of the Ramp/Gradient window, by using the mouse to click-and-drag the anchor.

The following is an example of a complex ramp pattern created using multiple Color Anchors:

Multiple Color Anchors

Multiple Color Anchors

Picking Up a Color

Pick Up Color enables a color to be "picked up" and used as the currently selected color.

  1. Click Pick Up Color. Lyrics cursor takes on the appearance of an eyedropper.

    Image: Picking Up a Color

    Picking Up a Color

  2. Click on any point on the Canvas or the Ramp/Gradient window. Note that the hot area of this cursor is the bulb of the eye-dropper, not the tip. When clicked on the Canvas, the Pick Up Color function can sample the color of anything visible on the Canvas, whether or not it is an object that will appear in Lyric compositions. The eyedropper can acquire sample non-Lyric objects, such as Title Bars or the displayed borders of 2D Text Windows.

    The picked-up color picked up is displayed in the Color Sample Chip.

To apply this color to 2D/3D text or a Background:

  • Use the Apply function as described earlier in this section.

This color can be added to the Palette.

Performing a Hot Color Test

The Color Select dialog also includes a Hot Color Test, which tests the color for settings which fall outside of NTSC and PAL standards. Any color selected or custom-set by the user can be tested against NTSC and PAL standards before being added to a Palette, or applied to characters or windows. To run the test:

  1. Click the Hot Color Test checkbox.

  2. Selecting or set a color or ramp

  3. Click Add to Palette or Apply. If the color falls within NTSC or PAL standards, the color is added to the Palette or applied to the text or Background. If the color tested does not meet NTSC or PAL standards, the following warning is displayed:

    Image: Hot Color Test

    Hot (Illegal) Color Warning

  4. Select one of the following choices:

    • Click OK to allow Lyric to automatically adjust the color to within legal limits.

    • Click No to leave the color as is.

    • Click Cancel to cancel the procedure.

Saving/Recalling a Palette

Saving a Palette

A Palette can be saved as a .reg file, which is a Lyric Profile format. When a Save Palette is executed, all seven subpalettes are saved under one File Name. To save a Palette:

  1. After setting the colors in the Palette, click Save Palette. The Store Palette To dialog box opens.

    Image: Save Palette To Dialog Box

    Storing a Palette

  2. Only one choice of File Type is available, which is the .reg format. Enter a File Name, then click Save. The file is saved and can be recalled for future use. Note that the format is the same as that used for saving User Profiles.

Recalling a Palette

To recall a saved Palette:

  1. In the Color Select dialog box, click Recall Palette. The Load Palette From dialog box opens.

    Image: Load Palette From Dialog Box

    Loading a Palette

  2. Only one choice of File Type is available, which is the .reg format. Enter a File Name, and then click Open. All seven subpalettes that comprise the Palette file are loaded in the Color Select Palette area.

NOTE

User Profiles also store Palette information, and therefore a Palette can also be loaded by opening a User Profile .reg file from the Load Palette From dialog box. Use caution when doing this, however, as other settings in the User Profile may be applied as well. To prevent accidental change to the settings, first save the current settings as a User Profile, then load the User Profile which has the desired Palette. Save the Palette, and then load the original User Profile. Open the saved Palette. The new Palette is loaded without disturbing other Lyric settings.

Resetting a Palette

Resetting the Palette restores the first eight Palette colors of Palette 1 and the first eight colors of Palette 2 to default Lyric colors. Note that the default Palette colors 1 through 8 in Palette 1 and colors 1 through 8 in Palette 2 provide pairs of colors that can be used to quickly type fonts with color-coordinated Faces and Edges. The figure below shows the default Palette 1 colors matched with their default Palette 2 colors. The number characters represent the position of the colors within their respective Palettes. For example, the Face color of the character 1 is created from Palette 1, Position 1, and the Edge from Palette 2, Position 1; the Face color of the character 2 is created from Palette 1, Position 2, and the Edge from Palette 2, Position 2; and so on. These Palette colors also appear as the first eight Face and Edge colors in the Font Face and Font Edge Color tool drop-down Palettes. The first (top) color displayed in the drop-down Palettes indicates the currently-selected color.

Image: Default Lyric Face and Edge Palette Colors

Default Lyric Face and Edge Palette Colors

To reset the Palette:

  • Click Reset.

2 D Text - Related Topics

3D Characters - Related Topics


2D Text/Templates - Related Topics

2D Text Overview

Turn Text Window Frames On/Off Button

Insert/Overwrite Modes

Selecting 2D Text for Editing

Resizing 2D Text

Color Selection for 2D/3D Text and Backgrounds

Translation Mode - Alt Keyboard ASCII Values

Typing Characters Using Alt + ASCII Codes

Font Toolbar

Font Properties, TrueType® Font Preview

TrueType® Font Preview

2D Font FX Properties

2D Text Windows:

2D Text Window

2D Roll Windows

2D Crawl Windows

2D Type On/Slow Reveal Windows

2D Spline Windows

2D Character Animation

Edit Menu

Undo/Redo

Cut/Copy/Paste

Paste in Place

Paste Unicode Text

Delete

Insert/Delete Row

Swap Row Priorities Up/Down

Row Tab Functions

Select All

Find/Replace

Renumber Templates

Disable Interface Fields

Disable DB Link Fields

Delete Template/Leave Text

Update DB Link Fields

Enable Word Wrap

Row Shift Locked/Unlocked

Row/Tab Properties

Normal Space/Modified Space

2D Text Context (Right-Click) Menu

Keyboard/Mouse Shortcuts - 2D/3D Text, Text Templates and Row Tabs

2D Text Templates

Database Link

Data Sources, Registering

Creating 2D Text Templates from Existing Text

A nimating 2D Text

Advanced Text Effects

Advanced Image Effects


Creating Templates from Existing 2D Text

Select Text, then: Tools Menu > Template; or Chyron Toolbar > Image: Template Icon

Some designers prefer to place their text elements into Lyric first, and then create Templates containing those 2D text elements. To create a Template from existing 2D text:

  1. Select the desired 2D text. Important: To ensure proper Template height, be sure to include a space character in the selected text. Multiple lines can be selected to create a multi-line Template.

  2. Click the Template Image: Template Icon button or select Template from the Tools menu.

    Lyric creates a Template over the selected 2D text. The 2D text is transferred into the Template. Inter-row spacing is maintained, but any deviation in inter-character spacing is not. The Default Template Font is taken from the leftmost character in the selection rectangle (usually the first character on the line).

Once a Template is created in this manner, Template attributes can be set/modified as usual.

Templates - Related Topics


Alignment Tools

View Menu > Toolbars > Alignment Toolbar

Alignment Tools

The Alignment Tools are used both for aligning 2D Text Templates and Timeline elements. For information on aligning Timeline elements, refer to Adjusting and Aligning a Timeline.

The following figures show how the Alignment Tools are used to align 2D Text Templates. There are five alignment tools, as shown in the following figure:

Alignment Tools on the Lyric Interface

Use Ctrl + Click to select multiple 2D Text Templates, which places the 2D Text Templates in a Bounding Box. Do not click and drag to enclose the 2D Text Templates in a Bounding Box.

Templates Selected in a Bounding Box

The last 2D Text Template selected using Ctrl + Click, becomes the Anchor 2D Text Template. When an Align is performed, the other 2D Text Templates align to the Anchor 2D Text Template.

Right Alignment

Lyric does not automatically prohibit the Align function from doing something awkward, as shown below, so be aware of the potential results of an alignment.

Bottom Alignment

Make Same Width resizes the selected 2D Text Templates to match the width of the selected Anchor 2D Text Template.

Make Same Width


DB Link

Database Link (DB Link)

2D Text Template: Create Template > Select, then Right-Click Template > Select Template Properties
2D Object Template: Right-Click 2D Object or Scene Graph Listing > Select Show 2D Object Properties

2D Text Templates and 2D Object Templates can draw text and 2D objects (bitmap graphics), respectively, from any ODBC-accessible database that is available to the system on which Lyric is running. Each time a message (including a Pop-On message) containing linked Templates is read, Lyric checks the database, so that any changes in the linked 2D Text Templates or linked 2D Object Templates update the Canvas. Text and graphic updates can be performed from the same database in real time for up-to-the-minute news, election, sports and other live coverage.

In addition to DB Link, Lyric provides a wide variety of methods to update information displayed in a Lyric message. For an overview, refer to Updating Messages in Lyric.

Using DB Link to Replace Text

To try out this feature, you will need access to a database established by an application such as Microsoft Access. The database’s fields should correspond to Lyric’s own Browser fields, such as Comment, Keyword and Subject.

  1. Compose a Lyric message with a 2D Text Window containing both conventional text and a 2D Text Template.

  2. Select (click on) a Template; right-click the Template; then select Template Properties to display the 2D Text Template dialog box.

  3. In the 2D Text Template dialog box, click in the DB Link checkbox, and then click the DB Link button. The DB Link dialog box opens.

    Accessing the DB Link Dialog Box

    Accessing the DB Link Dialog Box

  4. In the Data Source field, enter the name that has been given to the database you will be accessing. Note that this dropdown menu can be used to select any registered database.

  5. Designate the database Table and Field from which you wish DB Link to draw its text (see figure below). You may designate any field of the database’s records with the drop-down menu.

    DB Link Database Setup

    DB Link Database Setup

  6. Designate the number of the Record in the database that you wish to access. Database programs can vary in the ways they determine the numbering scheme for their entries, so some experimentation may be needed.

  7. Be sure to check the Enable checkbox, and then click OK. Note that a Disable command is available on the Edit menu, as seen below left.

    Image: Disbale DB Link

    Disable DB Link Fields

    Selecting this command causes the system to request confirmation before completing the action, above right.

  8. The DB link information has become part of the Lyric message, so now enter a Message ID Number, and then record the message, even though nothing has yet changed on the Canvas.

    OR

    If the message has been previously stored in Lyric’s Browser, right-click on the message’s thumbnail and select Update.

  9. In the database program, change the text of the Comments field in Record #1. Press Shift + Enter to save this change to the database. Remember that the database program you use on-air may work differently than the one pictured in this exercise. In a real-world situation, the database fields will be updated automatically through an external application, such as a newsroom automation program.

    Microsoft® Access® Database

  10. Next, return to Lyric and call up the same message by entering its Message ID Number, then pressing Read.

    11. Reading a Message Updated by DBLink

    The text in the Template has changed along with the text in the updated database "Comments" field. Also note that an Update command is available on Lyric's Edit menu, as seen below. This facility allows the operator to update DB Link-displayed information without having to save and re-read the message.

    Image: Update DB Link Fields

    Update DB Link Fields

Using the Database Link Feature with a Microsoft® Excel Document

Create a spreadsheet in Excel (these procedures are documented for use with Excel 97); add a heading and define a name for each column to be linked. The name and corresponding heading should be different.

DBLink: Microsoft® Excel Spread Sheet Setup

Each name defines an ODBC table and the column heading defines an ODBC field.

Note: Mixing alphabetical and numeric data in the same column may cause problems in the Lyric display, so in a situation similar to this example, you might wish to title the "Player" and "Average" columns as Lyric text in the finished display, as opposed to taking the displayed column heading from the Excel spreadsheet. The Lyric text templates pictured in the Template Setup figure further below reflect this.

Defining Column Names

Once the spreadsheet is complete, register it as a Data Source through your Chyron system or PC's ODBC Data Sources Windows control panel. Note: Depending on the Excel driver in your system, this control panel may appear with the name Data Sources (ODBC).

Refer to the topic on Registering an ODBC Data Source in Windows for more information.

Linking with the Spreadsheet from Lyric

After completing the steps outlined above, your spreadsheet should appear as a Data Source in the Database Link dialog box, along with the tables (names) and fields (columns) that have been defined.

ODBC Data Source Administrator - New Database Added

Note: If the spreadsheet is still open in Excel, you may need to share the workbook (use Excel's Tools menu) so that Lyric can access the spreadsheet.

Next, open a Lyric canvas containing a 2D text window large enough to accommodate all of the cells in your table. Create an individual template for each piece of information you wish to display. You might try it this way:

  1. Create a text row for every row in your table (with the text window open, press Alt + Insert for each row you wish to create).

  2. Place the cursor on the first row and open a template with the Template button on the Chyron Toolbar.

  3. Keep the cursor on or near the first row, and position it where you wish to begin a second column. Press the Template button again (Lyric should "snap" the template vertically to the first row).

  4. Click and drag around the two templates to select them in a bounding box.

    Selecting Two Templates

  5. Copy (Ctrl + C) the templates.

  6. Place the cursor on the next row and use the Paste In Place command (Ctrl + I). The Paste In Place function will place the new templates directly beneath the original ones, correctly aligned. Repeat this procedure for each row of the table, until you have created a template corresponding to each cell in the original spreadsheet.

    Template Setup

    Note that the templates only accommodate the players' names and averages; the column headings "Player" and "Average" will be created as non-template text or in a different graphic element.

  7. Next, each template must be associated with a cell in the spreadsheet. Click in the first Lyric template, and press the DB Link button on the Template Dialog Box. Use the dropdown boxes to select:

    • Data Source (the user-assigned name in the 'Data Source Name' field in the 'ODBC Microsoft Excel Setup' dialog box)

    • Table (the column name in the Excel spreadsheet)

    • Record (the number of which is one less than the row number in the Excel spreadsheet)

  8. Don’t forget to check the Enable box.

    DBLink Dialog Box Setup

  9. Repeat this procedure for each Lyric template. Note that there will be no visible change in the Canvas for the moment; all you will see is the empty templates.

  10. When you are finished, record the Canvas as a Lyric message with a numerical name. Next, recall the same message, and the contents of the Excel spreadsheet are displayed in Lyric's templates. If the spreadsheet is altered and saved under the same name, the Lyric display will update each time the message is read.

Controlling the number of decimal places shown in a display driven by Microsoft Excel

The display of decimal places may be controlled to force the display of trailing zeroes that are mathematically unnecessary but desirable in many situations as a matter of style. In the batting averages pictured in this topic, the "unnecessary" trailing zeroes really must be included in the display. You'll probably agree that the display on the left is more like what you're accustomed to seeing.

Controlling Decimal Placement

By clicking the Numeric checkbox and specifying the desired number of decimal places, the data can be configured to display correctly.

Using DB Link to Replace Graphics

Text and graphic updates can be mixed in the same database. To specify a graphic update:

  1. Right-click on the 2D graphic that is to be updated, or on its listing in the Scene Graph. The 2D Object Template dialog box is displayed.

    Image: 2D Object with 2D Object Template Dialog Box

    2D Object Template Dialog Box

  2. Set up DB Link in the same manner as with 2D Text Templates, but instead of entering replacement text in the database, enter the full filepath of the 2D graphic that is to replace the existing graphic. Note that the replacement graphic will automatically have the same dimensions as the graphic from which the 2D Object Template was set. If the Aspect Ratio of the replacement graphic does not match the Aspect Ratio of the graphic it is replacing, the replacement graphic will appear distorted. To avoid distortion, make sure that the Aspect Ratios of all replacement graphics match that of the graphic they are replacing.

Templates - Related Topics


Registering an ODBC Data Source

Start > Settings > Control Panel > Administrative Tools > Data Sources (ODBC)
Config Menu > Preferences > Browser > Advanced
Browser > Select Database > Advanced

Databases are available in a wide variety of flavors, from complex Microsoft Access table structures to simple Comma Separated Value files. Registering databases via the ODBC (Open Database Connectivity) facility provided in Windows, enables Chyron and non-Chyron software which must access multiple database formats to read and work with these databases.

A number of Chyron applications require the use of ODBC-registered databases:

  • Lyric's DB Link update of 2D Text Templates and 2D Object Templates is performed by drawing data from ODBC-registered databases.

  • Chyron MOS Newsroom Solutions access Lyric assets catalogued in ODBC-registered Lyric Browser data sources.

Lyric Browser Databases and ODBC Registration

Lyric Browser data sources are automatically ODBC-registered upon creation or importation. Under normal circumstances, it is not necessary to re-register Browser sources.

Since this automatic registration of Browser data sources was implemented in more recent versions of Lyric, Browser data sources that were created in earlier versions of Lyric may not appear in the list of registered data sources displayed in the User DSN tab of the ODBC Data Source Administrator (see below). If this is the case, simply import the database using the Import function available from either Config Menu > Preferences > Browser or Browser > Select Database.

Registering a Database

The following example illustrates the registration of a Microsoft® Excel (.xls) database from Windows Administrative Tools. Some of the dialog boxes shown in the procedure are specific to Excel, but the general procedure is similar for other data formats.

Note that databases of all supported formats can also be registered from Config Menu > Preferences > Browser > Advanced or Browser > Select Database > Advanced. Only .mdb databases, however, can actually be used by the Browser.

To register an Excel database:

  1. Access Start > Settings > Control Panel, and then double-click Administrative Tools.

    Image: Accessing Administrative Tools

    Accessing Administrative Tools from the Control Panel

  2. From the Administrative Tools list, double-click [image] Data Sources (ODBC).

    Image: Administrative Tools

    Selecting Data Sources (ODBC)

  3. The User DSN tab of the ODBC Data Source Administrator is displayed. Click Add.

    . Image: ODBC Data Source Administrator

    ODBC Data Source Administrator

  4. Click the Add button. The Create New Data Source dialog box is displayed.

    Image: Create New Data Source Dialog Box

    Create New Data Source Dialog Box

  5. Highlight the entry for Microsoft Excel Driver (*.xls) (you may have to scroll to locate it), and then click the Finish button. The ODBC Microsoft Excel Setup dialog box is displayed.

    Image: ODBC Microsoft Excel Setup

    ODBC Microsoft Excel Setup

  6. If necessary, select a different version of Excel from the Version drop-down list box, then click Select Workbook. The Select Workbook dialog box is displayed:

    Image: Select Workbook Dialog Box

    Select Workbook Dialog Box

  7. Select an Excel file (in this example, Yankees.xls), and make sure that Read Only is disabled (unchecked), then click OK. The Select Dialog box closes, and the dialog box is displayed. The Workbook field displays the name of the selected Excel file. Enter a name and description for the database in the Data Source Name and Description fields, respectively. It is important to note that the Data Source Name is used by Lyric to access the Excel file.

    Image: ODBC Microsoft Excel Setup - File Selected

    ODBC Microsoft Excel Setup - File Selected

  8. Options can be accessed by clicking the Options button. The dialog box expands.

    Image: ODBC Microsoft Excel Setup Options

    ODBC Microsoft Excel Setup Options

    • Rows to Scan specifies the number of rows, from 1 to 16, which ODBC Microsoft Excel Setup or the driver will scan when setting the columns and column data types. Make sure that the number of Rows to Scan includes all of the heading rows plus at least one data row.

    • The Read Only setting reflects Read Only setting in the Select Workbook dialog box, but can be changed from this dialog box as well.

  9. Click OK. The ODBC Microsoft Excel Setup dialog box closes.

  10. Click OK in the ODBC Data Source Administrator dialog box, which then closes. Close the Windows Control Panels window. The file is now registered as an ODBC database, and can be accessed by Lyric DB Link and other applications.

Templates - Related Topics


Clock/Timer Formats

Clock: Tools Menu > Clock; Chyron Toolbar > Image: Clock Icon
Timer: Tools Menu > Timer; Chyron Toolbar > Image: Timer Icon
Properties > Clock/Timer

Clock Formats

The format field for Clocks consists of a string of characters from the following set:

Format | Description
WW | Full current weekday (for example, Friday)
W | Abbreviated weekday (Fri)
MM | Full current month (August)
M | Abbreviated month (Aug)
DD | Current day of month (1-31; if this field is preceded by a ‘0’, then the day will be displayed with a leading zero)
YY | Full current year (1999)
Y | Abbreviated 2-digit year (99)
Hh | Current hour in 12-hour format; if this field is preceded by a ‘0’, then the hour will be displayed with a leading zero
HH | Current hour in 24-hour format; if this field is preceded by a ‘0’, then the hour will be displayed with a leading zero.
Mm | Current minute (0-59; if this field is preceded by a ‘0’, or a previously specified ‘hh’, then the minute will be displayed with a leading zero)
Ss | Current second (0-59; if this field is preceded by a ‘0’, or a previously specified ‘mm’, then the second will be displayed with a leading zero)
N | Meridian specifier (AM/PM) for 12-hour clocks
+hh:mm | Optional time zone offset which will be added to current time before display (for example +5 , +11)
-hh:mm | Optional time zone offset which will be subtracted from current time before display (for example -2 ,-12, -5 )

Rules for Clock Use:

  • Except for literal fields (those enclosed in quotation marks), each format specifier may be used only once.

  • A leading zero may only be applied to the first specified time field (hh, mm or ss).

  • To strip leading zeroes from a Clock display, add -0 at the beginning of the format specification.

  • Meridian specifiers are invalid for 24-hour formats.

  • With the exception of the space quotation characters, formats cannot end with a field delimiter character.

Timer Formats

The format field for Timers consists of a string of contiguous characters from the following set:

Format | Description
h | Total hours (0-9). If this field is preceded by a ' 0 ', then the hours will be displayed with a leading zero.
hh | Total hours (0-99). If this field is preceded by a ' 0 ', then the hours will be displayed with a leading zero.
hhh | Total hours (0-999). If this field is preceded by a ' 0 ', then the hours will be displayed with a leading zero.
m | Total minutes (0-9). If this field is preceded by a ' 0 ', then the minutes will be displayed with a leading zero. If an hour field has been added, this format is invalid.
mm | Total minutes (0-99). If an hour field has been specified, then the minutes in the hour (0-59) will be displayed. Otherwise, if this field is preceded by a ' 0 ', then the minutes will be displayed with a leading zero.
mmm | Total minutes (0-999). If this field is preceded by a ' 0 ', then the minutes will be displayed with a leading zero.
s | Total seconds (0-9). If this field is preceded by a ' 0 ', then the seconds will be displayed with a leading zero. If a minute field has been specified, this format is invalid.
ss | Total seconds (0-99). If a minute field has bee specified, then the seconds in the minute (0-59) will be displayed with a leading zero. Otherwise, if this field is preceded by a ' 0 ', then the hours will be displayed with a leading zero.
sss | Total seconds (0-999). If this field is preceded by a ' 0 ', then the seconds will be displayed with a leading zero.
f | Fractional tenths of a second (0-9). This field is always displayed with a leading zero.
ff | Fractional hundredths of a second (0-99). This field is always displayed with a leading zero.

Rules for Timer Use:

  • Except for user-typed text, each format specifier may be used only once.

  • A leading zero may only be applied to the first specified time field.

  • To strip leading zeroes from a Clock display, add -0 at the beginning of the format specification.

  • Only the first specified time field may have 3-digit precision (hhh, mmm or sss).

  • With the exception of the space and quotation characters, formats cannot end with a field delimiter character.

Flexible Display Formatting for Clocks and Timers

To facilitate international display of time and date, clock and timer fields may be specified in any order and separated by any of the following delimiter characters: space, period (" . "), comma (" , "), semicolon (" ; "), colon (" : ") or forward slash (" / ").

Also, user-typed characters may be added to the clock or timer display’s automatically generated characters. These characters must be input by the user in quotation marks and will appear exactly as input. For example, a clock might be modified hh:mm:ss "EDT". A timer display could be formatted hh:mm:ss "Quartz-Precise Timing".

You may also wish to access the other Properties topics from this page; click on any of the tabs in the illustration below:


2D Object Context Menu

Right-Click the Bitmap Graphic or the Graphic's Listing in the Scene Graph

Right-clicking on a bitmap displays a Context menu, also known as a right-click menu, which makes available a variety of functions related to bitmap operations. Note that all items in the menu are displayed as active. During Lyric operation, various items may be grayed out depending on active function and the system on which Lyric is installed. Click on an item,in the bitmap context menu shown below for details on the selected function.

2D Object Context Menu

The following provides a brief description of each of the menu items:

  • Object Name and Type: The first item in an object's context menu displays the object's name and type.

  • Show 2D Object Properties: Show 2D Object Properties opens the 2D Object Template dialog box, in which information about the physical properties are displayed and file path. Additionally, update parameters can be set.

  • Color Code Object: Enables the object listing in the Scene Graph to be displayed with colored text in order to make it easier to quickly identify.

  • Position Lock On: The Position Lock On setting specifies whether or not an object (2D Text Window, 2D or 3D object, etc.) can be moved on its X, Y or Z axes, as well as rotated, scaled or have its center of rotation changed.

  • Enable Bounding Box: Enable Bounding Box allows for the selection of a 2D bitmap object, including a Flipbook frame. A Flipbook is a collection of bitmap images that play back as an animation. Once selected, the object can be scaled, rotated and moved forward in backward along Z-axis.

  • Turn Off Alpha Border: Select this menu entry to disable the anti-aliasing that is applied by default to imported bitmaps. Turning off the Alpha Border prevents the slight clipping that anti-aliasing imposes on the bitmap's edges.

  • Copy/Paste Animation State: Copy/Paste Animation State enables animation attributes such as Position, Rotation, Scaling, etc., to be copied from one object and pasted to another.

  • Mask Object: An image specified as a Mask Object displays at the transparency set in Properties > Surface combined with built-in transparency, and covers the object over which it is positioned. Transparent areas of a Mask Object allow video input to show through.

  • Mask-To Layer, Mask Inside, Alpha Trim Mask , Mask Inside, Alpha Trim Mask and Soft Mask are advanced Mask functions available to all Lyric-capable Chyron systems.

  • Motion Path: The path of an object as it progresses through an animation can be graphically displayed on the Canvas. The Motion Path can be edited, keyframes added and deleted, acceleration set and interpolation specified from the Canvas.

  • Save As: Not implemented at this time.

  • Playout Mode: Lyric PRO normally operates in Compose mode, which affords the operator complete composition and editing privileges. The optional Playout mode limits the toolset available to the user and restricts modification of the object's properties in a simplified interface streamlined for on-air and real-time production situations. The "locks" that may be set in this menu restrict modification of the object's properties in Playout mode. The "Visible" selection determines whether or not the object appears on the Scene Graph in Playout mode. Again, note that Compose mode is Lyric PRO's default condition and that Playout mode is the option. The restricted Playout mode is available only in Lyric PRO. See Playout Mode for a complete discussion of settable editing privileges and password control of Compose Mode.

  • Internal Properties: Properties of an object or a message can be tailored to a specific composition or playback situation. The Internal Properties accessed from this menu are applied to the selected object. They include Alpha Trim, Depth Test, Depth Write, Lighting and Pixel Aspect.

2D Objects - Related Topics


2D Objects - Related Topics

General:

2D Objects - Bitmap Graphics

2D Object Context Menu

Edit Menu

Internal Properties

Graphic Update:

Templates - 2D Object

Graphic Update - Intelligent Interface

Effects:

Advanced Image Effects

RGB Tools

Graphic Import

Bitmap Asset Operations

Aprisa Still Asset Operations

Quantel Asset Operation

Canvas Resolution

Internal Properties


3D Object Template Context Menu

Right-Click the 3D Character/Template Object or the Character/Template/Object's Listing in the Scene Graph
See also: 3D Object Properties Dialog Box

Right-clicking on a 3D character or 3D object displays a Context menu, also known as a right-click menu, which makes available a variety of functions related to 3D character or 3D object operations. Note that all available items in the menu are displayed as active. Click on an item,in the bitmap context menu shown below for details on the selected function.

3D Character/Object Context Menu

The following provides a brief description of each of the menu items. Where a hyperlink is present, click for more information.

  • Object Name and Type: The first item in an object's context menu displays the object's name and type. Refer to Navigating and Entering Information in Lyric: Object Name and Type for details on renaming objects.

  • Color Code Object: Enables the object listing in the Scene Graph to be displayed with colored text in order to make it easier to quickly identify.

  • Position Lock On: The Position Lock On setting specifies whether or not an object (2D Text Window, 2D or 3D object, etc.) can be moved on its X, Y or Z axes, as well as rotated, scaled or have its center of rotation changed.

  • Enable Bounding Box: See also Selection Guide.

  • Turn Off Alpha Border: This selection applies only to 2D bitmaps.

  • Copy/Paste Animation State: Copy/Paste Animation State enables animation attributes such as Position, Rotation, Scaling, etc., to be copied from one object and pasted to another.

  • Mask Object/Soft Mask: These selections do not apply to 3D objects.

  • Mask-to-Layer: If you're working on a system outfitted with Chyron's eFX boards, refer to the section on the eFX Video Mixer and Mix Layers. If you're using CODI-type boards, refer to the Mask Object Tutorial.

  • Alpha Trim Object: This selection applies only to 2D bitmaps

  • Motion Path: The path of an object as it progresses through an animation can be graphically displayed on the Canvas. The Motion Path can be edited, keyframes added and deleted, acceleration set and interpolation specified from the Canvas.

  • Save As: This selection saves the 3D object along with any texture attributes added (and embedded) by the user. The "customized" object is saved in Chyron's proprietary .3DO format.

  • Playout Mode: This Lyric Pro feature is dedicated to playout of previously-composed Lyric messages. Playout mode limits the toolset available to the user, simplifying the interface for on-air and real-time production situations. Playout mode complements the Compose mode, which is Lyric's standard mode of operation. Changes made to recorded messages while in Playout mode can be limited by applying one of these ‘locks’ to a given node in the message. Three different degrees of restriction may be set by the message's author while working in Compose mode.

  • Internal Properties: Properties of an object or a message can be tailored to a specific composition or playback situation. The Internal Properties accessed from this menu are applied to the selected object. They can include options for Composite Transform, Legacy Mask, Rendering and Macros. Note that some of the options accessible through this context menu in previous versions of Lyric are now accessed through the Properties > Rendering panel.

3D Characters/Objects - Related Topics

Templates - Related Topics


Color Selection for Light Sources and 3D Characters/Objects

Lighting: Properties > Lighting
3D Characters/Objects: Properties > Surface
See also Color Palette for 2D Text and Backgrounds.

The colors of individual lights and surfaces of 3D characters and objects can be set using a color Palette. The Palette can be accessed from the Properties > Lighting or Properties > Surface tabs.

Image: Surface and Lighting Properties Tabs

Surface and Lighting Properties Tabs

To access the Palette from the Properties > Lighting tab:

  • If selecting a color for the Global Light, click the Global Light Color Chip. If selecting a color for an Individual Light, select the Individual Light (1 - 6), select Flood Light or Spot Light, and then click the Individual Light Color Chip. The Color dialog box is displayed. Refer to Properties: Lighting for additional information on setting Lighting attributes.

To access the Palette from the Properties > Surface tab:

  1. Select the 3D character or 3D object Surface to which to apply the color.

  2. Click (check) the Color checkbox, and then click the Color Chip. The Color dialog box is displayed. Refer to Properties: Surface for additional information on setting Surface attributes.

The Color dialog box contains a Palette of Basic and Custom colors.

Color Dialog Box

To select a Basic or previously set Custom color:

  • Select (click) a color from one of the predefined Basic Colors, or previously set Custom Colors, then click OK. The color is applied to the select light or surface.

To set a new user-defined color:

  1. Click-and-drag the [image] Hue/Saturation cursor to the desired location on the grid and Click-and-drag the [image] Luminosity slider as desired. Note that the Hue/Sat/Lum (HSL) and Red/Green/Blue (RGB) settings reflect the color set using the sliders. Colors can also be set by entering values in the HSL or RGB fields. Refer to Setting HSL and RGB Color Values for details.

  2. Optional: Click the Image: Link to Custom Colors button to add the user-defined color to the Custom Colors Palette.

  3. Press OK. The color is applied to the select light or surface.

The Color dialog box is also used for color-coding an object listing in the Scene Graph.

3D Characters/Objects - Related Topics


3D Characters/Objects - Related Topics

3D Characters

Font Tools

Font Properties

2D Font FX Properties

3D Font FX Properties

TrueType® Font Preview

Translation Mode - Alt Keyboard ASCII Values

Typing Characters Using Alt + ASCII Codes

3D Text Templates

Color Selection for 2D/3D Text and Backgrounds

Color Selection for Light Sources and 3D Characters/Objects

Importing 3D Object to the Canvas

3D Character/Object Context Menu

Surface Properties - 3D Characters and 3D Objects, Mapping Textures


Color, Transparency, Background, Lighting and Texture

Color, transparency and texture can be applied to all 2D and 3D characters and objects in Lyric. Color can also be set for the Background of the entire Canvas, a 2D Text Window, or a 2D Text Template.

The Lyric composition can also be lit by an overall light, as well as individual, animatable lights. All lights can be individually colored as well. Setting lights is covered in depth in Lighting Properties .

The procedure for applying color and texture differs depending upon the type of object - 2D text, 3D text, 3D object, Background, etc. Refer to Color Selection for 2D/3D Text and Backgrounds, Color Selection for Light Sources and 3D Characters/Objects, Setting HSL and RGB Color Values and Surface Properties for details.


Setting HSL and RGB Color Values

The Palette for 2D Text and Backgrounds and Palette for Light Sources and 3D Objects both feature multiple methods for setting color. A color can be set using sliders, or by entering values in the HSL or RGB fields. The slider and HSL/RGB methods are described in the sections covering the respective Palettes. This section describes how HSL and RGB settings are used to set color.

NOTE

HSL and RGB settings must be entered using the alphanumeric keys on the keyboard. Using the numeric keypad keys changes the Message Number displayed on the Lyric interface.

HSL Settings

HSL settings break color into three components. It is an intuitive color-setting system that makes it easy to create families of colors that share the same Hue, but are different shades.

  • Hue defines the property of the color that gives it the appearance of being blue, yellow, green, etc. The color of an object is based on the wavelength of light that is reflected from the object. Range: 0 (red) - 239 (red). The colors progress through the range in the following order: red, orange, yellow, green, blue, purple and red.

  • Saturation defines the weakness or strength of the color. Range: 0 (no saturation) - 240 (complete saturation).

  • Luminance, also referred to as brightness, defines the lightness or darkness, also sometimes referred to as a shade, of the color. A setting of 120 defines the point at which the color is neither light nor dark. Range: 0 (darkest) - 240 (lightest).

RGB Settings

RGB settings also break colors into three components: Red, Green and Blue. Different levels of Red, Green and Blue are combined, or added, to produce the colors used and/or output by video and computer devices. This type of video is known as Component Video. There is also an additional Alpha, or Transparency component that can be set for 2D Text and Backgrounds within the Palette for 2D Text and Backgrounds, and for 3D Characters/Objects within the Properties > Surface tab. A video/computer graphic that contains an Alpha component is referred to as an RGBA graphic.

The Red, Green and Blue levels each indicate the level of intensity of the component color that combines with the other components to produce the resulting color. Range of Each: 0 (no presence of the component color) - 255 (100% presence of the component color).

Sample Color Settings

The following table shows settings for a few sample colors in HSL and RGB, and for graphics that could be used for the web, HTML.

Color | HSL |  |  | RGB |  |  | HTML
 | H | S | L | R | G | B
Red | 0 | 240 | 120 | 255 | 0 | 0 | #FF0000
Green | 80 | 240 | 120 | 0 | 255 | 0 | #00FF00
Blue | 160 | 240 | 120 | 0 | 0 | 255 | #0000FF
Fuchsia | 200 | 240 | 120 | 255 | 0 | 255 | #FF00FF
Yellow | 40 | 240 | 120 | 255 | 255 | 0 | #FFFF00
Aqua | 120 | 240 | 120 | 0 | 255 | 255 | #00FFFF
Black | 0 - 239 | 0 | 0 | 0 | 0 | 0 | #000000
White | 0 - 239 | 0 | 240 | 255 | 255 | 255 | #FFFFFF
Gray | 0 | 0 | 120 | 127 | 127 | 127 | #7F7F7F
Pure Red as defined in this table can cause problems when processed as video, and is considered to be an illegal color. A slight adjustment to the HSL/RGB settings brings the color within acceptable bounds. Use the Hot Color Test feature in the 2D Text/Background Palette to check and adjust a questionable color.


Transform Tools

View Menu > Chyron Toolbar > Transform Tools

Transform Tools

Transform Tools provide specialized cursors for repositioning, rotating, scaling and changing the center of rotation for almost any object on the Canvas.

  • If the currently selected object is an individual light source, only Position can be adjusted.

  • Transform functions are not available to the Global Light object.

While Transform Tools provide a quick way to perform these operations, fine-tuning can be accomplished in the XYZ tab of the Properties window. In addition, settings specifying how Transform operations are applied are also set in the XYZ tab.

Transform operations can be applied to a single keyframe of an object's Timeline, or all Keyframes of an object's Timeline. Refer to Properties > XYZ for details.

NOTE REGARDING GROUPED OBJECTS

When using the mouse in conjunction with Transform Tools to move, rotate, scale or change the center of rotation of a grouped set of objects, the user can manipulate the group as one unit, even if only one object of the group is selected. To manipulate an individual object within group, hold down the Shift key while using the mouse to click and drag the object to its new Position/Rotation/Center of Rotation.

Edit Position

Transform Toolbar > Image: Edit Position Icon, Transform Toolbar > Ctrl + Image: Edit Position Icon; Also from Properties > XYZ > Position

To change the XY position of an object on the Canvas:

  • Click Image: Edit Position Icon, and then click-and-drag the selected object to a new XY position.

To change the Z position of an object on the Canvas:

  • Click Image: Edit Position Icon, and then press and hold Ctrl while clicking-and-dragging the selected object to a new Z position. Moving the cursor up on the Canvas repositions the object forward in Z-space; moving the cursor down on the Canvas repositions the object back in Z-space.

Edit Rotation

Transform Toolbar > Edit Rotation Icon, Transform Toolbar > Ctrl + Edit Rotation Icon; Also from Properties > XYZ > Rotation

To change the rotation of an object around the X and/or Y axis on the Canvas:

  • Click Edit Rotation Icon, and then click-and-drag the selected object to a new XY position. Moving the cursor to the left/right rotates the object around the Y-axis; moving the cursor up/down rotates the object around the X-axis.

To change the rotation of an object around the Z-axis on the Canvas:

  • Click Edit Rotation Icon, and then press and hold Ctrl while clicking-and-dragging to rotate the selected object around the Z-axis. Moving the cursor up on the Canvas rotates the object counter-clockwise around the Z-axis; moving the cursor down on the Canvas rotates the object clockwise around the Z-axis.

If 2D text or a 2D bitmap is moved to a position that is 180° relative to the viewer (“edge-on”), it will seem to disappear.

Text, Bitmap and 3D Object Rotations

Edit Scale

Transform Toolbar > Edit Scale Icon, Transform Toolbar > Ctrl + Edit Scale Icon; Also from Properties > XYZ > Scale

Scaling can be applied in a freeform mode, or with Locked Aspect Ratio. This attribute is set in Properties > XYZ > Rotation.

To change the XY scale of an object on the Canvas:

  • Click Edit Scale Icon, and then click-and-drag the selected object to change its size. Moving the cursor to the top/bottom scales the object taller/shorter respectively; moving the cursor left/right scales the object narrower/wider respectively.

To change the Z scale of a 3D object on the Canvas:

  • Click Edit Scale Icon, and then press and hold Ctrl while moving the cursor up to scale the 3D object larger in the Z-plane, or down to scale the 3D object smaller in the Z-plane. Note that Z-scaling is implemented only for 3D objects.

Edit Center of Rotation

Transform Toolbar > Edit Center of Rotation Icon, Transform Toolbar > Ctrl + Edit Center of Rotation Icon; Also from Properties > XYZ > Center of Rotation

The Center of Rotation determines the point about which an object rotates when a rotation is applied. Note that if adjusting the Z Center of Rotation as well as an XY Center of Rotation, it must be performed before the adjustment to the XY Center of Rotation. Note that the Center of Rotation can be set to be absolute on the Canvas, or relative to the position of the object. This attribute is set in Properties > XYZ > Center of Rotation.

The Center of Rotation display on the Canvas can be toggled on or off:

  • Select the object, and then right-click. Select Show Center of Rotation.

Image: Show Center of Rotation

Center of Rotation

The Center of Rotation can be repositioned in XYZ space.

To set the XY Center of Rotation for a selected object on the Canvas:

  • Click Edit Center of Rotation Icon, and then click the point on the Canvas about which the object should rotate. If the Center of Rotation display is enabled, it moves to follow the cursor.

Image: Center of Rotation Cursor

Center of Rotation Cursor

To set the Z Center of Rotation for a selected object on the Canvas:

  • Using the Ctrl key + Edit Center of Rotation Icon is not yet implemented. The Z Center of Rotation should be set in Properties > XYZ > Center of Rotation.

To quickly return the Z Center of Rotation for a selected object on the Canvas to 0.000:

  • Click Edit Center of Rotation Icon, and then click the Canvas.


Animation Overview

Lyric can animate any objects or objects placed on the Canvas, including, but not limited to 2D Text Windows, 2D Roll Windows, 2D Crawl Windows, 2D Type On (Slow Reveal) Windows, 2D Spline Windows, 3D characters, 3D objects, bitmaps, object groups, Individual Light Sources, the Camera and specialized objects such as Flipbooks .

Lyric uses a Timeline, Keyframe Graph and Properties and Keyframes in creating and editing animations. The Timeline and Keyframe Graph provide a comprehensive linear display of every object on the canvas, and reflect animation changes over time. Properties > XYZ displays the coordinates of selected object at a particular Frame (also sometimes referred to as time). A Keyframe is a selected frame on the Canvas where an object attribute(s) can be edited.

You do not have to set up a Keyframe for every frame of an animation. For a simple move, such as sliding an object from the upper left corner of the screen to the lower right corner of the Canvas, only two Keyframes need to be assigned: the Start Keyframe and the End Keyframe.

Lyric can also animate a variety of Attributes for almost any object that can be placed on the Canvas.

Object Type

Attribute(s) that may be animated

Global Light

Intensity, Color (RGBA Diffuse).

Flood Light

Intensity, Color (RGBA Diffuse), XYZ Position.

Spot Light

Intensity, Color (RGBA Diffuse), XYZ Position, XYZ Rotation, Angle (Focus), Shine.

2D Characters

XYZ Position, XYZ Rotation, XYZ Scale, XYZ Center of Rotation.

2D Text Windows

XYZ Position, XYZ Rotation, XYZ Scale, XYZ Center of Rotation, Transparency (including the Background).

Transparency does not appear on the Timeline until it is set in the Properties > Surface tab. To do so:

  • Set starting, keyframe (if appropriate) and ending Transparencies of the 2D Text Window, using the Transparency spin box or slider in the Properties > Surface tab. When Transparency is set at two different points in an animation, it becomes an element which can be manipulated on the Timeline and the Keyframe Graph. When the Transparency of 2D Text Window is animated, the animated Transparency is applied to the entire 2D Text Window, including the Background.

2D Bitmaps

XYZ Position, XYZ Rotation, XYZ Scale, XYZ Center of Rotation, Transparency, Shininess.

Camera

Camera Lens (Zoom effect).

3D Text

XYZ Position, XYZ Rotation, XYZ Scale, XYZ Center of Rotation.

3D Objects

XYZ Position, XYZ Rotation, XYZ Scale, XYZ Center of Rotation, Transparency.

The transparency of 3D characters can be animated. For each character:

  1. In the Properties > Surface tab, set Apply To to All.

    Note that even though the animation transparency is applied to All (Face, Sides and Bevels), Transparency that is already applied to the face, sides or bevels will still be applied in conjunction with the animated Transparency, although the separately applied transparencies will not animate. For example, if the face is set at 50%, the sides and bevels are set to 0%, and the animation is set from 100% to 0%, the result is an animation that transitions from 100% of 50% (completely transparent) on the face to 0% of 50% ("half" transparent) on the face.

  2. Set starting, keyframe (if appropriate) and ending transparencies using the Transparency spin box or slider. When Transparency is set at two different points in an animation, it becomes an element which can be set on the Timeline and the Keyframe Graph.

Transparency

Attribute is visible only when Transparency is applied at two different points for the same object in an animation. See specifics above in this table for details.

Setting Up a Simple Animation

Let's set up a simple animation.

  1. Open a new Canvas, and then type the 3D character W in the upper left corner.

  2. A new object W is added to the Scene Graph. If the Scene Graph is not displayed, select Scene Graph from the View menu. Note that there are three other objects on the Scene Graph: Light 1; Global Light and Camera. These objects are present in every Lyric composition. They can be turned on/off by selecting/deselecting their checkboxes, but they cannot be deleted. They can also be animated like any other object.

    • Light 1 acts as a virtual light whose position, diffusion, color and other attributes can be set. Additionally, five additional controllable lights can be added to a Lyric scene. Default Intensity is 85; color is gray; beam type is Flood. Refer to Properties > Lighting for additional details.

    • Global Light is washes the entire scene. Intensity and color can be set. Default Intensity is 85; color is gray. Refer to Properties > Lighting for additional details.

    • Camera determines where the viewer is positioned, focal length of the lens and what type of projection is used to render the scene. Default Projection is Perspective; Camera Lens focal length is 65.000. Refer to Properties > Camera for additional details.

    Image: Scene Graph

    Scene Graph - New Object "W" Added

  3. A new object W is also added to the Scene Graph. If the Timeline is not displayed, select Timeline from the View menu. Note the small red square that is positioned at the 00:00:00:00 on the Timeline for W. This is a Keyframe that is automatically added to any Object or Attribute Timeline when the object is added to the Canvas.

    Timeline at 00:00:00:00 Seconds

  4. Use one of the following methods to move the Time Indicator to 00:00:05:00:

    • Click and drag the green Time Indicator on the Timeline or the Keyframe Graph (see below) to 00:00:05:00.

      Timeline at 00:00:05:00 Seconds

    • Enter the time in the Frame Counter Display.

      Frame Counter Display

    • Click the on the Go to End button Image: Go to End Button on the Transport Controls. This moves the Time Indicator to the last Frame in the animation.

  5. On the Canvas, click and drag the W down to the lower right corner. The following will now have occurred:

    • A Keyframe has been added to the Timeline at 00:00:05:00. The presence of two Keyframes on a Timeline indicates that the scene has become an animation.

    • The Transport Controls, which normally appear black, have turned blue, indicating that there is an animation that is ready to play.

  6. Click the Play Image: Play Button button on the Transport Controls to execute the animation. The W should move smoothly in a straight line from the upper left corner to the lower right corner. Note that the Frame Counter updates as the animation plays, but the Time Indicators on the Timeline and the Keyframe Graph (see below) do not. They do, however, update when the animation is stopped, either in midstream or at the end.

    Animation Showing Two Keyframes

    Lyric automatically interpolates the Frames positioned between the two Keyframe to produce the animation. The duration of an animation has no bearing on the number of assigned Keyframes necessary to perform the effect. The simple slide described above requires only two assigned Keyframes for a five-second effect.

  7. The motion of an animation is reflected in the Keyframe Graph, which graphically displays the change in each of the attributes of an object over time. If the Keyframe Graph is not displayed, select Keyframe Graph from the View menu. The default view of the Keyframe Graph is the XPosition. Keyframes appear as small red dots at the ends of the Keyframe Graph. Notice how the X value increases in value over time, as the W moves from left to right on the Canvas.

    Image: Keyframe Graph

    Keyframe Graph - XPosition Displayed

  8. Next, right-click on the Keyframe Graph, but not on a Keyframe, and then select Y Position from the context menu to view the Y attribute. Notice how the Y value decreases in value over time, as the W moves from top to bottom on the Canvas.

    Image: Keyframe Graph

    Keyframe Graph - Y Position Displayed

  9. Experiment with clicking and dragging the Keyframe Graph or an individual Keyframe, and note the effect on the animation. Try also left-clicking on the Keyframe Graph of an attribute at a midpoint, then select Add Keyframe from the context menu. Drag the Keyframe to a new position. Play the animation. What happens? How has the Timeline changed?

  10. Examine the Properties > XYZ tab. If the Properties Window is not visible, select Properties from the View menu to display, and then select the XYZ tab. The Position X, Position Y, Position Z, and other coordinates reflect the position and orientation of the object at the Frame indicated by the Time Indicator or Frame Counter. Note that Position, Rotation, Scale and Center of Rotation can be adjusted from this tab, or via the Transform Tools. Experiment with changing the settings and note how the effect on the animation and the settings in the Timeline and the Keyframe Graph.

    Image: XYZ Properties

    XYZ Properties

  11. Try adding Loops and Pauses to the animation. Refer to Loops/Pauses Properties and Animation Properties for details.

Any change to the Timeline, Keyframe Graph, Scene Graph, Properties, etc., updates all such settings throughout the Lyric interface.

Refer to the sections on Timeline, Keyframe Graph, XYZ Properties and Transform Tools for additional information on animation.

Saving an Animation

An animation can easily be saved by using the Address Keypad or to record it as a Lyric message with a numeric file name. The message can then be played back in Read Next and Read Previous sequences. Messages recorded in this manner are automatically saved in the Default Message Directory as determined by the Config Menu > Preferences > Defaults Paths settings. To record:

  1. Using the Address Keypad, enter a Message ID. If a Message ID is not entered, the animation is saved to the currently displayed Message ID.

  2. Press Record on the Chyron keyboard, or the minus (-) key on the Address Keypad of the PC keyboard. The animation is recorded to the Message ID number in the *.lyr format.

A Lyric animation can also be saved under its current name using the File Save function.

  1. In the Windows Toolbar, click the Save icon Image: File Save Icon, press Ctrl + S or select Save from the File menu. A prompt is displayed asking for overwrite permission. If the file has not yet been named, it is assumed by Lyric that the name is Untitled.

    Image: Overwrite Confirm

    Overwrite Confirm

  2. Click OK to save the animation, or Cancel to cancel the save.

It may be desirable to save the animation as a named file, set specialized parameters or to save the file in a different format, such as *.avi.

  1. From the File menu, select Save As. The Save Animation dialog box opens.

    Save Animation Dialog Box;
    the "Save as type" dropdown has been modified in this illustration to show all of the available choices in a single view.

  2. Select a file format from the Save as Type drop-down list box. In the preceding figure, the *.lyr format is selected. Important: Different Save As formats offer different options. Review the "Save As Options" section below.

  3. Enter a File Name.

  4. Click Save. The animation is saved to the selected file format.

Save As Options

Different "Save As" options offer different options and parameters.

  • Start and End Frame: These values default to the full length of the animation when saving to Lyric or another Chyron format, or other popular animation formats such as .mov or .avi. When saving to formats not commonly associated with animation sequences, such as .bmp or .tif, Lyric assumes that the operator's intent is to save only one frame to produce a still image. However, some or all of the original animation's frames may be selected to produce a sequential batch of images in the chosen format. Start and End Frame is the only settable parameter when saving to the Lyric (.lyr) message format.

  • Image Width and Image Height: Controls the dimensions of the still image or animation produced by the Save As operation.

  • Save RGB is always active; RGB information is always saved.

  • Field Render: This option interleaves the odd scanlines from Field 1 with the even scanlines from Field 2 to create a single video image per frame. It is used for creation of animations (such as AVI) that are to be displayed on interlaced video outputs (such as the Matrox clip player), and will give smoother output on those systems because each frame contains inter-field motion. However, such inter-field motion will cause the animation to display incorrectly on progressive video outputs (such as VGA), so the option can be disabled by de-selecting the checkbox.

  • If an animation is saved with Field Render enabled (checked), the odd and even fields of the TGA (or other bitmap format file) are displayed alternately to create a single video frame. Field Render can be useful for creation of animations in formats such as AVI, played back through a Matrox clip player.

  • Invert Fields: This option switches the odd-even order of interlaced fields in Field Render "Save As" operations. The "Invert Fields" checkbox only appears when the Field Render checkbox is selected. This option may be useful in correcting visible stuttering and other artifacts in animations saved from Lyric messages.

  • Clip to Safe Title: Lyric's adjustable Safe Title region can be used as a cropping tool when saving to most Save As formats. If Clip to Safe Title is selected, only message content within the Safe Title Area is included in the still image or animation produced by the Save As operation. The Safe Title Area can be adjusted in the Safe Title Adjust dialog box, accessed from Config Menu > Safe Title Adjust. If Clip to Safe Title is not selected, the contents of the entire Canvas are included in the still image or animation produced by the Save As operation.

  • Save Alpha: Alpha information is always saved with *.lyr animations. The Alpha setting is also available for those file formats where the Alpha (transparency) information can be saved as part of the graphics file (such as Adobe® Photoshop® *.PSD).

 | Start Frame and End Frame | Image Width and Height | Save RGB | Field Render | Invert Fields | Clip to Safe Title | Save Alpha | Shape Video
Lyric animation (.lyr) |  |  |  |  |  |  |  |
QuickTime movie (.mov) |  |  |  |  |  |  |  |
AVI Files (.avi) |  |  |  |  |  |  |  |
BMP (.bmp) |  |  |  |  |  |  |  |
BRK G3/G4 (.301) |  |  |  |  |  |  |  |
CALS (.cal) |  |  |  |  |  |  |  |
CLP (.clp) |  |  |  |  |  |  |  |
iNFiNiT! RGBA (.rgb) |  |  |  |  |  |  |  |
DCX (.dcx) |  |  |  |  |  |  |  |
LE Field Files (.dlf) |  |  |  |  |  |  |  |
Lyric Effects (.efx) |  |  |  |  |  |  |  |
IOCA G3 (.ica) |  |  |  |  |  |  |  |
IFF (.iff) |  |  |  |  |  |  |  |
JPEG (.jpg) |  |  |  |  |  |  |  |
MODCA G3/G4 (.mod) |  |  |  |  |  |  |  |
PCT (.pct) |  |  |  |  |  |  |  |
PNG (.png) |  |  |  |  |  |  |  |
PSD (.psd) |  |  |  |  |  |  |  |
RAS (.ras) |  |  |  |  |  |  |  |
SGI (.sgi) |  |  |  |  |  |  |  |
Targa (.tga) |  |  |  |  |  |  |  |
Tiff (.tif) |  |  |  |  |  |  |  |
Quantel (.ras) |  |  |  |  |  |  |  |
XBM (.xbm) |  |  |  |  |  |  |  |
XWD (.xwd) |  |  |  |  |  |  |  |

Animation - Related Topics


Modifying Animation Length

Modifying the Duration of an Animation from the Timeline or Keyframe Graph

The Animation Length of selected objects or that of an entire animation can be modified from the Default Animation Length as set in Config Menu > Preferences > Animation Settings. Animation Length can be modified from either the Timeline or the Keyframe Graph.

  1. From the Timeline, right-click anywhere in the Timeline window, except on an individual Timeline.

    OR

    From the Keyframe Graph, right-click on the Timeline Scale, then select Modify Animation Length from the context menu shown below.

    Image: Selecting Modify Animation Length from the Keyframe Graph

    Selecting Modify Animation Length from the Keyframe Graph

  2. The Modify Animation Length dialog box is displayed.

    Image: Modify Animation Length

    Modify Animation Length Dialog Box

    Modify parameters as described in the following table, and then select OK to execute the animation length change.

Parameter

Description

Animation Length

Adjust Animation Length to the desired value.

Proportional Scaling

Enable or disable Proportional Scaling to scale the Keyframe positions to the new animation length, or to leave them unmodified.

  • If Proportional Scaling is enabled (checked), the Keyframe position(s) of the object(s) is scaled proportionately to fit the new Animation Length.

  • If Proportional Scaling is disabled (unchecked), the Keyframe position(s) of the object(s) remain the same. Time is just added to or subtracted from the Animation Length of the selected objects. If, when changing Animation Length, Proportional Scaling is disabled, the following is displayed when OK is selected in the Modify Animation Length dialog box:

    Image: Extend End Keyframe to Match Animation Length?

Extend End Keyframe to Match Animation Length?

If Yes is selected, the end point of the animation is set to the modified length. In the instance of shortening the animation, Keyframes can be lost.

Scale Selected

Scale Selected Objects: Scale Selected Objects applies the Timeline length change to only the selected objects.

Scale All Objects

Scale All Objects: Scale All Objects applies the Timeline length change to the entire animation.

Example:

A 5-second animation contains two objects, where object A starts at 01:00s and ends at 02:00s, and object B starts at 02:00s and ends at 04:00s. Proportional Scaling is enabled, and Scale All Objects is selected. If the animation length is doubled from 5 seconds to 10 seconds, object A's Start time is now 01:00s and end time is 03:00s; its duration doubles from 1 second to 2 seconds, and object B starts at 02:00s and ends at 06:00s; its duration is also doubled.


Keyframe Graph

View Menu > Keyframe Graph

The Keyframe Graph provides a detailed display of changes in the state of the selected Timeline object(s) over time. In addition, the Keyframe Graph provides the ability to add, delete, and accurately edit Keyframes.

Basic Operation

The Keyframe Graph displays information for one or more parameters of the selected object's Timeline element. The example below demonstrates the relationship between the animation on the Canvas and its representation on the Keyframe Graph.

Example

The object in this composition is a 3D character W. At time 00:00:00:00 it is at the upper-left corner of the Canvas; at time 00:00:02:15 (2.5 seconds) it is at the lower-right corner of the Canvas, and then at 00:00:05:00 (5 seconds) it is back at its starting place:

Basic Animation - Same Start and End Positions

The expanded Timeline for this object appears as shown below. If only the main Timeline is displayed, click on the + symbol to the left of the Timeline to expand the Timeline and display the Timelines of the object's individual attributes. To display just the main Timeline for the object, click the - symbol to the left of the main Timeline.

Timeline

Note that since the animation is changing only two attributes, i.e. XPosition and YPosition, only the main Timeline for the object and the XPosition and YPosition Timelines display Keyframes. A change in another attribute adds a Keyframe(s) to that attribute and, depending upon the attribute that was modified, can add a Keyframe(s) to related attributes as well.

Now, select the X position attribute by clicking on it.

Selecting a Timeline Attribute

Finally, from the View menu, select Keyframe Graph.

Selecting View > Keyframe Graph

Lyric displays a graph with X position as the vertical axis, and time as the horizontal axis; the change of the selected Object’s X position is indicated with a white line, and keyframes (points of change) are shown as red boxes:

Keyframe Graph Showing XPosition

Now, switch back to the Timeline and select the Y position timeline. Switch back to the Keyframe Graph; the display changes to show how the object’s Y position changes over time:

Keyframe Graph Showing Y Position

Navigating the Keyframe Graph

To step through an animation in forward or reverse, use one of the following methods:

  • Click the left or right arrow button at either end of the Timeline Scale.

  • Press the ç or è cursor keys.

  • Click and drag the green time indicator.

To step through an animation in 1-second intervals:

  • Click on the Timeline Scale running along the bottom of the Keyframe Graph, and then press Page Down to go forward, or Page Up to go in reverse. The Timeline Scale on the Keyframe Graph corresponds to the Timeline Scale on the Timeline.

To navigate up the vertical scale of the Keyframe Graph, use one of the following methods:

  • Click the up arrow at the top of the Keyframe Graph.

  • Click anywhere on the Keyframe Graph area (where the graphs are displayed) or on the vertical scale at the left of the Keyframe Graph, and then press the Page Up key.

To navigate down the vertical scale of the Keyframe Graph:

  • Click anywhere on the Keyframe Graph area or on the vertical scale at the left of the Keyframe Graph, and then press the Page Down key.

To page up or down through the Keyframe Graph:

  • Click anywhere on the Keyframe Graph area or on the vertical scale at the left of the Keyframe Graph, and then press Ctrl + Page Up or Ctrl + Page Down.

To zoom in or out of the Timeline Scale:

  • Right-click on the Timeline Scale, and then select one of the four zoom options from the context menu: Zoom Timeline 2x; Zoom Timeline 4x; Zoom Timeline 8x; Reset Zoom.

Image: Adjusting Zoom on the Keyframe Graph Time Scale

Adjusting Zoom on the Keyframe Graph Timeline Scale

Modify Animation Length

Modify Animation Length is accessed by right-clicking the Timeline Scale and selecting Modify Animation Length from the context menu shown directly above, then setting the parameters in the Modify Animation Length dialog box. Refer to Modify Animation Length for details.

Simultaneously Viewing More Than One Attribute

On the Timeline in its expanded state, select the first attribute you wish to display, and then press Ctrl while clicking the other attributes to be displayed. When the Keyframe Graph is viewed, all selected Timeline attributes are displayed. Note that the Keyframe Graph can only display attributes of the same type simultaneously! In other words, you may compare several Position attributes, but not a Position attribute and a Rotation attribute on the same Keyframe Graph display.

Example

In the following example, the object moves along the X and Y axes during a 5-second animation.

Basic Animation - Different Start and End Positions

To view the Keyframe Graphs for both X and Y, first select the X attribute on the Timeline, press and hold Ctrl, then select (click) the Y attribute. The text identifying the attributes turns white. Note that the text on the main Timeline for the object is also white.

Timeline

The Keyframe Graphs of both the X and Y attributes are now displayed.

Simultaneous Display of X- and Y-Positions

Using the Keyframe Graph to Edit Animations

The Keyframe Graph is a powerful editing tool for animation, enabling you to precisely adjust, add, and delete Keyframes.

Changing Keyframe Graph Attributes

The Keyframe Graph display can be customized for comfortable viewing:

  • Right-click on the Keyframe Graph to display a context menu enabling you to change the Background Color, or to show/hide the Keyframe Graph's grid lines. Note that the Palette used to set the Background is the same as that used for setting the colors of light sources and 3D characters and objects.

Keyframe Graph

Adjusting Keyframes

A Keyframe Graph display shows how one component of an animated object changes over time. Therefore, a display has at least two Keyframes – one indicates the beginning condition, and the second indicates the ending condition. These Keyframes cannot be deleted!

To adjust a Keyframe on a Keyframe Graph:

  • Click and drag it with the mouse.

Adjusting a Keyframe Position

To display information about the Keyframe

  • Right-click on the Keyframe. Lyric displays a context menu which lists a variety of options:

Displaying Keyframe Information

Adding a Keyframe

In this example, the Keyframe Graph is displaying the Y position component of the current object Timeline. To add a new Keyframe to the current Keyframe Graph:

  1. Right-click on the Keyframe Graph where the new Keyframe is to be positioned. Lyric displays a context menu:

    Adding a Keyframe

  2. Select Add Keyframe. A new Keyframe, indicated by a red box [image] appears on the Keyframe Graph, which may be adjusted [image] as described above.

Interpolation Modes

Lyric provides a choice of Interpolation Mode settings which determine how an animation transitions through each Keyframe. Refer to Interpolation Modes for details.

Deleting a Keyframe

To delete a Keyframe:

  • Right-click on the Keyframe, and then select Delete Keyframe from the context menu.

Deleting an Object

The Keyframe Graph(s) of an object, and therefore the object itself, can be deleted from the Scene. The only objects that cannot be deleted are the Global Light and the Camera. To delete the Keyframe Graph of an object:

  • Display the Keyframe Graph for the object(s), press Ctrl + Delete, and then select the Delete icon Image: Windows Delete Icon from the Windows toolbar, or select Delete from the Edit menu.

Animation - Related Topics


Motion Paths

Object Context Menu > Motion Path > Show Path
Keyframe, Control Point or Accelerator Control Context Menus > Show Path

Overview

A Motion Path is a visual representation of the path through XYZ space that an object follows as it progresses through an animation. A Motion Path can be displayed for any 2D bitmap (including a Flipbook), 3D character or 3D object that contains more than one keyframe. A Motion Path can be edited, keyframes added/deleted, and an Interpolation Mode can be applied to the entire Motion Path or individual segments of the Motion Path.

To demonstrate how a Motion Path works, create an animation where an object moves from one position on the Canvas to another. The following example shows a 3D character moving from the upper left corner to the lower right corner of the Canvas. Execute the animation to the end.

Image: Simple Animation

Simple Animation

Select the object, in this example, a 3D character E. Right-click to display the object context menu.

Image: Object Context Menu

Object Context Menu

Select Motion Path to display the Motion Path menu, and then select Show Path.

. Image: Show Motion Path

Motion Path Menu

The menus close, and the Motion Path of the object is displayed on the Canvas. The Motion Path tracks the path of the object through the animation. It is represented by a line made up of individual dots, each of which represents one frame of the animation. In the following figure, the dots are so close together that they appear to run into each other. Figures later in this section show them more distinctly. The darker-blue-colored dots mark five-frame increments, and are a visual aid to help in locating specific frames on the Motion Path.

Image: Motion Path - Linear

Motion Path

Execute the animation. Observe how the object follows the Motion Path.

Image: Animation Progression

Animation Progression

The Motion Path is marked by an orange dot, representing the Start Keyframe, and a red dot, representing the End Keyframe. Additional Intermediate Keyframes that are added to the Motion Path are represented by red dots. When a frame or other component of the Motion Path is selected, its dot turns white. Using the mouse, any keyframe can be dragged to modify the shape of the Motion Path. Adding and deleting keyframes are covered later in this section.

The Motion Path tracks the movement of an object from the following point:

  • The center of a 2D bitmap or Flipbook.

  • The baseline of a 3D character, at the left edge.

  • The center of a 3D object.

A Motion Path cannot be created for a 2D Text Window, an Individual or Global Light, the Camera. or a Lyric object such as that resulting from the creation of an Advanced Text Effect or Advanced Image Effect.

Turning On/Off Motion Paths

The Motion Path display can be turned on and off for an object. Turning the display off does not remove the Motion Path from the object; it only turns off the display of the Motion Path. To completely remove a Motion Path, it must be cleared. Additionally:

  • When a Motion Path has been generated for an object, the Keyframe Graph can no longer be used to make adjustments to the keyframes and attributes of the object. To enable Keyframe Graph functionality for the object, the Motion Path must be cleared from the object. Clearing a Motion Path is covered at the end of this section.

  • The Timeline should not be used to add a keyframe to a Motion Path. Keyframes should be added only from the Motion Path.

  • The Undo function is not supported when working with a Motion Path.

The display of the Motion Path can also be also be toggled on and off by selecting/deselecting Show Path from the Frame, Keyframe, Control Point and Acceleration Control context menus. Accessing these menus is covered throughout this section.

Displaying Multiple and Grouped Object Motion Paths

Motion Paths can be displayed for more than one object at a time, and can be displayed and manipulated in all Canvas Views.

Image: Multiple Motion Paths, Multiple Canvas Views

Displaying Multiple Objects in Multiple Canvas Views

When objects are grouped, the Motion Path is displayed as follows:

  • If an object outside of the group is currently selected, only the Motion Path for the object that was currently selected when the Motion Path was generated is displayed.

  • If an object in the group is currently selected, only the Motion Path for the selected object is displayed.

Image: Individual and Group Motion Paths

Individual and Group Motion Paths

Adding a Keyframe to a Motion Path

Additional keyframes can be added to a Motion Path. If the added keyframe is neither the first nor the last keyframe in an animation, it is referred to as an Intermediate Keyframe. To add a keyframe, click the point on the Motion Path where the keyframe is to be added. A white dot appears. Right-click on the white dot. The Motion Path context menu is displayed. Select Insert Keyframe. The menu closes and the white dot turns red.

Image: Adding a Keyframe

Adding a Keyframe

The keyframe can be dragged to a new position to change the shape of the Motion Path. Additionally, Interpolation can be individually set for a keyframe. Applying an Interpolation to an Individual Keyframe is covered later in this section.

Selecting a Frame or Keyframe in a Motion Path

A frame or keyframe can be selected simply by clicking on it. If, however, the frames are close together and are overlapping, a keyframe can still be selected:

  1. Click (select) a frame on a Motion Path that is behind the keyframe.

  2. Hold the Alt key down, and then click the keyframe as many times as necessary to advance to the keyframe.

Interpolation

Overview

The transition of the animation as it progresses through a keyframe is controlled by the Interpolation setting. The Motion Path in the previous figure is set to Linear Interpolation, which is the default setting.

To access the Interpolation settings, select the object, and then right-click to display the context menu. Right-click to display the object context menu, select Motion Path > Interpolation Mode and then select Linear, Jump or Spline.

Image: Interpolation Mode Menu

Interpolation Mode Menu

The Interpolation set for the object applies to all keyframes in its Motion Path.

NOTE

If working with a Motion Path that contains multiple Interpolations, be cautious about applying an Interpolation from the object context menu, as it will reset all keyframes to the selected Interpolation. Refer to Applying an Interpolation to an Individual Keyframe, covered later in this section, for information on applying an Interpolation to an individual segment of a Motion Path.

Linear Interpolation

When Linear Interpolation is specified for a Motion Path, the object moves at a constant speed in a straight line from keyframe to keyframe. The speed can vary in different keyframe-to-keyframe segments of the Motion Path, depending on the length of the segment and frame location of the keyframes, but is always constant between keyframes.

Image: Linear Intoerpolation Showing Speed

Linear Interpolation Showing Constant Speeds Between Keyframes

Jump Interpolation

When Jump is specified for the Motion Path, the object jumps to the next keyframe without following any path in between the two keyframes. The object remains in the same position until the animation reaches the next keyframe, at which point the object jumps to its new position.

Image: Jump Interpolation

Jump Interpolation

Spline Interpolation

When Spline Interpolation is specified, the Motion Path is mapped to a spline curve that is programmed in the Lyric software.

Image: Spline Motion Path

Spline Interpolation

Keyframes that have Spline Interpolation applied, have Control Point and Acceleration adjustment controls not present in Linear and Jump Interpolation.

  • The Start Keyframe of a Spline Motion Path can be modified by adjusting its Leading Control Point. A Leading Control Point affects the Motion Path in the forward direction from the keyframe. The Leading Control Point also has an Acceleration Control which controls the velocity of the animation as it progresses from the keyframe to the next keyframe. The Start Keyframe has no Following Control Point, as it marks the first frame of the animation and there is no animation preceding it.

  • The End Keyframe of a Spline Motion Path can be modified by adjusting its Following Control Point. A Following Control Point affects the Motion Path that precedes the keyframe. The End Keyframe has no Leading Control Point or Acceleration Control, as it marks the last frame of the animation and there is no animation succeeding it.

  • An Intermediate Keyframe of a Spline Motion Path can be modified by adjusting its Leading and/or Following Control Points. The Leading Control Point also has an Acceleration Control which controls the velocity of the animation following the keyframe. Note that the Leading Control Point, the Keyframe and the Following Control Point lie on the same line, and that this line is tangent to the Spline curve. The Control Points can be set to move independently by breaking the tangent. Breaking the Tangent is covered later in this section.

Experiment with modifying the Spline curve. Use the mouse to move the Acceleration Control on the Start keyframe up and down. Observe how the Motion Path following the selected keyframe changes. The Motion Path is composed of dots representing individual frames. Changing the Acceleration Control position changes the density of the dots at different points along the Motion Path following the keyframe, although it does not change the shape of the curve itself.

  • As the Acceleration Control is moved closer to the Keyframe, the density of the dots increases as it moves forward in the animation, away from the keyframe.

  • As the Acceleration Control is moved away from the Keyframe, the density of the dots decreases as it moves forward in the animation, away from the keyframe.

When an animation executes, it progresses from one dot to the next in the same length of time. As a result, the physical distances between the dots affect the speed of the object through the animation. Setting the acceleration is similar to setting Ease.

  • The closer together the dots, the more slowly the object moves through the Motion Path.

  • The further apart the dots, the more quickly the object moves through the Motion Path.

Image: Acceleration and Deceleration

Motion Path Acceleration and Deceleration

Execute the animation with the Acceleration Control set in different positions. Observe how the object accelerates where the dots are farther apart, and decelerates where they are closer together.

The acceleration can be reset to a point half-way between the keyframe and the Leading Control Point. Select the Acceleration Control so that it turns white. Right-click to display the Acceleration Control context menu, and then select Reset Acceleration. The acceleration is now reset.

Image: Accelerator Context Menu

Accelerator Context Menu

The shape and angle of the Spline Motion Path can be modified. Using the mouse, a Control Point or a keyframe can be dragged to a new position.

Image: Modifying a Spline Motion Path

Modifying a Spline Motion Path

Applying an Interpolation to an Individual Keyframe

When a Motion Path Interpolation is set from the object context menu, the Interpolation is applied to the entire Motion Path. Interpolation can be individually applied to each segment of a Motion Path that lies between two keyframes. To do so:

  1. Select a keyframe, its Acceleration Control or a frame on the Motion Path so that it turns white, and then right-click to display the respective context menu.

  2. Select Interpolation, and then select the desired Interpolation. The selected Interpolation is applied to the keyframe and the segment of the Motion Path that it controls as follows:

    • If the selected element is the Start keyframe, an Intermediate keyframe, or an Acceleration Control, the Interpolation is applied to the segment of the Motion Path following the keyframe or Accelerator Control through to the next keyframe on the Motion Path.

    • If the keyframe is the End keyframe, the Interpolation is applied to the segment of the Motion Path preceding the keyframe backwards to the next-to-last keyframe on the Motion Path. The Interpolation for the last segment of a Motion Path can be set from either the next-to-last or last keyframe in the Motion Path.

    • If a frame that is not a keyframe is selected, the Interpolation is applied to the segment of the Motion Path from the keyframe preceding the selected frame through to the keyframe following the selected frame.

The following figure shows how mixing Interpolations affects the presence of Control Points in the Spline segments.

Image: Mixed Interpolations

Mixed Interpolations

To reapply a single Interpolation to an entire Motion Path:

  1. Select the object, and then right-click to display the object context menu.

  2. Select Motion Path > Interpolation, and then select the desired Interpolation.

Modifying/Deleting/Copying/Pasting a Keyframe

The Interpolation for a keyframe can be set individually from the Keyframe context menu. Additionally, attributes of the keyframe can be copied and pasted to other keyframes from this menu. To display the Keyframe context menu, select (click) the keyframe so that it turns white, and then right-click.

Image: Keyrame Context Menu

Keyframe Context Menu

This menu is almost the same as the Control Point context menu opened by right-clicking on a Control Point of a Spline Motion Path. The Control Point context menu does not offer the Delete and Interpolation Mode functions, but does offer the Break Tangent function, which is covered later in this section.

The following functions are available from this menu. Note that each Paste item is grayed out until its respective Copy operation is performed.

  • Delete: Removes the selected keyframe from the Motion Path.

  • Interpolation Mode: Opens the Interpolation Mode menu, from which Linear, Jump or Spline Interpolation can be selected and applied to the selected keyframe.

  • Copy X State: Copies the X-position of the currently selected keyframe, which can then be pasted to a different keyframe in the same or a different Motion Path.

  • Copy Y State: Copies the Y-position of the currently selected keyframe, which can then be pasted to a different keyframe in the same or a different Motion Path.

  • Copy Z State: Copies the Z-position of the currently selected keyframe, which can then be pasted to a different keyframe in the same or a different Motion Path.

  • Copy All: Copies the X-, Y-, and Z-positions of the currently selected keyframe, which can then be pasted to a different keyframe in the same or a different Motion Path.

  • Copy Path: Copies the Motion Path on which the currently selected keyframe is situated, which can then be pasted to a different object. Refer to Copying and Pasting a Motion Path later in this section for additional information.

  • Paste X State: Pastes the copied X-position to the currently selected keyframe. The Motion Path updates to reflect the change.

  • Paste Y State: Pastes the copied Y-position to the currently selected keyframe. The Motion Path updates to reflect the change.

  • Paste Z State: Pastes the copied Z-position to the currently selected keyframe. The Motion Path updates to reflect the change.

  • Paste All: Pastes the copied X-, Y-, and Z-positions to the currently selected keyframe. The Motion Path updates to reflect the change.

  • Paste Path: Pastes the copied Motion Path to the currently selected object. Refer to Copying and Pasting a Motion Path later in this section for additional information.

  • Show Path: Toggles the Motion Path display on and off.

Copying and Pasting a Motion Path

A Motion Path can be copied from one object and pasted to another.

To copy a Motion Path from an object, use one of the following methods:

  • Right-click on the object, and then select Motion Path > Copy Path.

  • On a Motion Path, select any frame, keyframe, Control Point or Acceleration Control so that it turns white. Right-click to display its context menu. Select Copy Path.

To paste a Motion Path to an object use one of the following methods:

  • Right-click on the object to which the Motion Path is to be pasted, and then select Motion Path from the object context menu. The Motion Path menu is displayed. Select Paste Path.

  • On a Motion Path, select any frame, keyframe, Control Point or Acceleration Control so that it turns white. Right-click to display its context menu. Select Paste Path. The following prompt is displayed:

    Image: Discard Path?

    Discard Path Prompt

    Click Yes to apply the copied Motion Path, or No to cancel the Paste operation.

When a Motion Path is pasted to an object, it then follows exactly the same path as the object from which the Motion Path was copied. To offset the path of an object, so that follows the same path shape, but at a different location:

  1. Select the object.

  2. In the Chyron Toolbar, locate the Single/Global Keyframe Adjust icon. It could be in either of the following two states:

    Image: Single Keyframe Adjust

    Single Keyframe Adjust

    Image: Global Keyframe Adjust

    Global Keyframe Adjust

    • When the Single Keyframe Adjust icon is active, any change to the XYZ attributes are applied only to the selected keyframe for the object.

    • When the Global Keyframe Adjust icon is active, any change to the XYZ attributes are applied to all keyframes for the object.

    If necessary, click the icon so that the Global Keyframe Adjust icon Image: Global Keyframe Adjust is displayed. Clicking the icon toggles between the Single and Global states. Note that in versions of Lyric previous to v5.2, this icon toggle is located in the XYZ Properties dialog box.

  3. Adjust the X, Y and/or Z attributes to reposition the object. Note that the Motion Path is transported as well.

  4. Execute the animation. The object follows the same-shaped Motion Path, but now starts and ends in a different position.

Breaking/Unbreaking the Tangent - Spline Interpolation Only

When Spline Interpolation is set, the animation normally proceeds through keyframes following a smooth curve. When adjusted, the Leading Control Point, the keyframe and the Following Control Point remain in a straight line with each other, and the line remains tangent to the Motion Path. It may, however, be desirable to abruptly change the direction of the animation.

To do so, click either the Following or the Leading Control Point of a keyframe. Right-click to display the Control Point context menu, and then select Break Tangent. The menu closes and the selected Control Point turns white. If the menu is opened again, a check appears next to the Break Tangent item.

Image: Breaking a Tangent

Breaking the Tangent

Move the selected Control Point to another position. Note that its partner Control Point does not automatically adjust, and that the Motion Path has taken an abrupt change of direction. Each Control Point vector is still tangent to the portion of the curve it controls, but the two vectors no longer lie on the same line. Because this example shows a change in the Following Control Point, the animation preceding the keyframe is modified. The animation following the keyframe remains unchanged.

Image: Broken Tangent

Broken Tangent

The Control Point vectors can be locked together again. Click the Control Point to which the broken tangent has been applied. Right-click to display the Control Point context menu. Select Break Tangent from the menu. The menu closes. The Motion Path does not change until the Control Point is selected and modified again. When the Control Point is modified after restoring the tangent, the tangents of the partner Control Points again lie on the same line and move is equal, opposite directions when repositioned.

Clearing a Motion Path

A Motion Path can be cleared from an object. When a Clear operation is executed, the Motion Path is removed from the object. To clear the Motion Path:

  1. Click on the object, and then right-click to display the object context menu.

  2. Select Clear. The following prompt is displayed.

    Image: Destroy Motion Path Prompt

    Destroy Motion Path Prompt

  3. Click OK to remove the Motion Path from the object, or Cancel to cancel the operation.

When a Motion Path is cleared, it disappears from the Canvas. If the animation is then executed, the object still follows the same path. Keyframes are not removed.

If the message is recorded, and then read, the path of the object reverts to the Default Interpolation. at which it was recorded. The frame locations of the keyframes are kept intact, but their Interpolations may have changed.


Ease

Ease is an attribute that can soften the entrance into or exit from animations affecting Objects, Attributes or Pause Keyframes, Advanced Image Effects (now available through the Effects page of the Properties menu) or Playlist Effects. In effect, Ease is a temporary slow-down or speed-up at the beginning or end of an animation.

Ease can be applied to either the beginning or end of the event, or both. The length of the Ease can be set as well.

  • Keyframe Set on an Object or Attribute Timeline: Ease can control the rate of change of an object's motion or other attributes through a Keyframe. Refer to Timelines and Keyframe Graphs for information on Object and Attribute Timelines.

  • Animation: Ease can slow down an animation into a Keyframe Pause, or speed it up out of a Keyframe Pause. Refer to Properties: Loops and Pauses for information on setting Keyframe Pauses.

  • Default Effect, Advanced Image Effect and Playlist Effects: Ease can smooth out the start and/or end of an effect.

The Ease dialog box is accessed from a variety of areas in Lyric. Refer to the sections mentioned above for details.

Ease Options

There are four Ease Types:

  • No Ease: Ease is not applied.

  • Ease In: Ease is applied to the beginning of the change in an attribute, effect, etc.

  • Ease Out: Ease is applied to the end of the change in an attribute, effect, etc.

  • Ease In/Out: Ease is applied to both the beginning and end of the change in an attribute, effect, etc.

Ease Time indicates the duration of the Ease effect in frames. An Ease does not add time to the overall duration of the effect or animation, but rather is incorporated into the duration.

Ease Time is applied separately to the In and Out points. An Ease Time of 15 frames results in a 15-frame Ease applied to the beginning of the effect, animation or transition, and a 15-frame Ease applied to the end of a the effect, animation or transition. Frame rate is based on the currently active video standard.

To apply an Ease:

  1. Select an Ease Type from the Ease Type drop-down list box.

  2. Set a duration for the Ease in the Ease Time frame counter.

  3. Click OK to apply the Ease, or Cancel to cancel the application/modification of the Ease settings.

Animation - Related Topics


Interpolation Modes

Timeline > Right-Click on Keyframe > Modify Keyframe Attributes
Keyframe Graph > Right-Click on Keyframe > Interpolation Mode
Default Interpolation: Config Menu > Preferences > Animation Settings

Interpolation Mode determines how an animation transitions from one Keyframe to the next. There are four Interpolation Modes: Linear (the most commonly used), Spline, Jump (also known as None) and Ease. One of these Interpolation Modes always serves as a Default Interpolation, i.e. an Interpolation that is applied to every Keyframe in the animation unless otherwise changed individually in the Timeline or Keyframe Graph. The Default Interpolation is determined by the Default Interpolation setting in the Config Menu > Preferences > Animation Settings. Setting Interpolation Mode for an individual Keyframe via the Timeline or the Keyframe Graph allows for precision control of the animation path and speed through a Keyframe.

A Timeline or Keyframe Graph can contain a mix of individually set Interpolation Modes. A new keyframe added to the Keyframe Graph assumes the same Interpolation Mode as the previous Keyframe. Once a new Keyframe is added, its Interpolation Mode can be changed as described below.

Detailed descriptions of the Interpolation Modes and their specific settings follow Setting the Interpolation Mode.

Setting Interpolation Mode

To set or change the Interpolation Mode for a Keyframe:

  • On the Timeline: Right-click on the Keyframe on the Timeline. The Keyframes are marked by inverted triangles on the Timeline. This example uses the Keyframe at 02:00 on the Timeline for the 3D character N in an animation. Select Modify Keyframe Attributes from the context menu. The Modify Keyframe Attributes dialog box is displayed. Both Keyframe Frame (i.e. position on the Timeline) and Interpolation can be set.

    Image: Setting Interpolation Mode from the Timeline

    Setting Interpolation Mode from the Timeline

    Note that in this example, the Interpolation Mode is applied to all attributes of the Keyframe at 02:00. If the Timeline for N is expanded to show the Timelines for each of the attributes of N, the Interpolation can be set separately for each attribute at Keyframe 02:00. To view the Timelines for the individual attributes of an object, click the + symbol, located to the left of the Timeline for that object.

  • On the Keyframe Graph: Right-click on the Keyframe on the Keyframe Graph. This example uses the Keyframe at 02:00 on the Keyframe Graph for the X-position of the 3D character N in an animation. Select Interpolation Mode from the context menu, and then select the Interpolation choice from the submenu.

    Image: Setting Interpolation Mode from the Keyframe Graph

    Setting Interpolation Mode from the Keyframe Graph

Interpolation Modes

The following examples are based on an animation in which the letter N starts at the lower left corner of the screen, traveling clockwise from corner to corner. The Keyframe Graph shown is that of the X (horizontal dimension) attribute. Keyframes are positioned at 1-second intervals up to 04:00 seconds, and appear as red dots on the Keyframe Graphs.

  • Linear is the most commonly used type of interpolation. It progresses an object in an animation at constant speed from keyframe to keyframe. As shown in the Keyframe Graph below, when N is moving straight up from 00:00 seconds to 01:00 second, the X-position does not change. From 01:00 second to 02:00 seconds, N travels from left to right across the screen. This is reflected in the increasing X-value. on the Keyframe Graph. When N drops straight down, there is no change in X, and when it travels left to its starting point, the X-value decreases. All changes in the X value between two keyframes occur at a constant rate (no acceleration/deceleration).

    Linear Interpolation Mode

  • Spline provides the ability to vary the speed and path the object follows during the animation. When a Spline Interpolation is specified, preset Spline attributes are automatically applied to the speed and path of the animation. From each Keyframe on the Keyframe Graph, extends a vector that can be adjusted for both angle and length. The two Keyframes that define a segment of a curve are used as control points from which the vectors can be adjusted. The illustration below shows the same animation as above, with a Spline Interpolation applied.

    Note that the rate of change in X-position between two keyframes is no longer constant. A steeper slope in the curve results in a faster rate of change in X-position; a gentler slope in the curve results in a slower rate of change in X-position.

    When applied to the EffectPct attribute in a Roll, Crawl or Type On, Spline adjustment can be used to vary the speed or even reverse the direction during execution.

    If a Spline keyframe is positioned between two other Spline keyframes, the center keyframe will have two vectors: one that controls the transition from the preceding Keyframe, and one that controls the transition to the following Keyframe. Normally, the two vectors extending from a Keyframe form a straight line which is tangent to the curve. A change in angle and magnitude of one vector results in an equal, but opposite change in the other vector. Each vector can be individually set, however, by right-clicking either vector, then selecting Break Tangent from the context menu. The vectors can be realigned by right-clicking either vector, then selecting Lock Tangent from the context menu. The illustration below right shows a broken tangent.

    Image: Spline Interpolation

    Spline Interpolation Mode

  • Jump causes the animation to shift between Keyframes instantaneously, without following a continuous path from one Keyframe to the next. Jump is the same as None, which is a Default Interpolation setting found in the Config Menu > Preferences > Animation Settings.

    Jump (None) Interpolation

    Jump (None) Interpolation Mode

  • Ease Interpolation smooths out the motion through the point of the Keyframe. The illustration below shows a one-second In/Out Ease applied to the same animation as pictured above. The path is essentially the same as that in a Linear Interpolation, but the change from one direction to the next is softened. Note that the Ease option is not available as a Default Interpolation.

    When a Keyframe is assigned an Ease Interpolation, the Ease Options dialog box shown below is displayed. An Ease Type (No Ease, Ease In, Ease Out, Ease In/Out) can be selected from the drop-down list box. An Ease Time, which determines the duration of the Ease, can be set as well. To modify Ease Options at any time, right-click on the Keyframe, select Interpolation Mode > Ease then enter the modifications in the Ease Options dialog box.

    Ease Interpolation Mode

    Refer to Animation: Ease for additional information on Ease settings.

Animation - Related Topics


Read Effects

Read Effects is a quick method of applying the animation path and time values in a given animation to objects in another animation (or any objects currently on the Canvas).

To record an .efx file:

  1. Create a Lyric composition containing an animation.

  2. Use Lyric's Save As function to save your composition as an .efx message. Make sure to save the file to the default Effects directory, which can be set in the Config > Preferences > Default Paths tab. If your .efx message is saved elsewhere, it will not be available to apply to use with this feature.

To apply animation data to a new set of objects:

  1. Use the right-click context menu to display Read Effects.

  1. Open or create a new, "normal" Lyric message containing an animation.

  2. Select an .efx file from the Read FX drop-down list box (as seen below). This links the effects file with the objects currently on the screen.

  3. Use the Read Effects [image] button to play the animation to the Canvas. Playing the message to Output must be triggered by the play-to-air commands used for air and production situations.

NOTE

When the number of objects in the .efx message differs from the number of objects in the message being modified, Lyric applies the new behavior(s) to the objects being modified in order of their priority on the Scene Graph. Normally, the order in which objects are created on the Canvas dictates their priority. Unless priority is altered on the Scene Graph and Timeline, the earliest object created is LOWEST on these displays. In the bottom illustration, the element "Third created" has been given highest priority by clicking and dragging it to a new position on the Scene Graph and Timeline.

In a situation where an .efx message containing one element is used to modify a regular Lyric message with three elements, the animation values attached to the .efx message's single object are assigned to the Lyric message's highest-priority element.


Transitions - Introduction

Transitions (interFuse Technology feature)

Available in Lyric Pro only.

Lyric Pro introduces an object-oriented method for graphics creation, allowing the artist to focus on individual elements, while maintaining perspective on the familiar turf of Lyric Messages. This feature can greatly enhance live broadcast operations, by allowing playback of transition elements and messages in any order, at any time.

Message Transitions are created and managed via three new panels in the familiar Properties menu:

Transition Properties

Playout Properties

Events Properties

The Scene Tree display also plays an important role in using Transitions.

You may also wish to access the other Properties topics from this page; click on any of the tabs in the illustration below:


Animation Scene Tree

Scene Tree

Available in Lyric Pro only.

This window will not appear in standard Lyric installations.

If the Scene Tree is not visible, select Scene Tree from the View menu. The Scene Tree is then displayed. Pressing F8 brings focus to the Scene Tree.

  • The Canvas portion shows a list of all Messages currently associated with the Canvas. The key combination Shift+Read (Chyron keyboard) or Shift+Enter (standard PC's numerical keypad) is used to load multiple messages to the Canvas. To select a message from the Canvas list, simply click on it with the mouse. The message will then be displayed on the Canvas and the Timeline and Scene Graph will be updated to reflect the contents of that message. The user can walk through the available scenes by pressing Ctrl+Change (Chyron keyboard) or Ctrl+* (standard PC’s numerical keypad). The user can also walk through a message in reverse with the keypress Shift+Ctrl+* .

  • The Output portion shows of all Messages currently active on Output. Note that more than one Message at a time can be displayed on a single Output (i.e. Frame Buffer). The [image] symbol next to a Message number on the Scene Tree indicates that that Message is Persistent, as designated on the Transitions Properties panel. These messages can be selected for focus in the same way as the Canvas messages; however the Canvas will not update to show their contents.

The user may use the keyboard to switch focus between the Canvas and the Output by pressing Ctrl+Alt+Change (Chyron keyboard) or Ctrl+Alt+* (standard PC's numerical keypad).

A seen in the illustration above, the entry Untitled connotes the current Canvas, currently unsaved as a Message. If a message is named, as opposed to numbered, the message name will be displayed in the Scene Tree. If the message has been named (via the Transition Properties panel's Name field), that name will also be displayed in the Scene Tree. For example, message number 100, which has been named Lower Third will appear in the Scene Tree as seen below. In addition, if the Message has a Description (as set in the Transition Properties panel), then the description will appear in the Scene Tree, rather than the name.

Saving the Scene Tree

All of the messages currently in the Scene Tree may be saved together for recall at a later time. To do so, type the message number with which you wish to save them, and press Ctrl+Record (Chyron keyboard) or Ctrl+Minus (the "minus" symbol on a standard PC’s numerical keypad). This opens the Advanced Record dialog. Select Scene Tree and click Record.

The message recorded in this manner may be recalled in the normal way, opening all of the messages that were recorded together.

Transferring and Playing Messages

  • When a message is Transferred [image] to Output, any non-Persistent message on Output will be cleared.

  • When an animation is played to Output, any non-Persistent messages on Output will be cleared.

  • Use the Playout Panel to trigger transitions for messages currently playing on output.

Completion Mode

The life of a message on Output ends under the following circumstances:

  • The message plays its Effect out.

  • The message is not marked as Persistent and a new message is Transferred or Played to Output.

The Completion Mode option controls Lyric's behavior when a messages is no longer active on Output; it is available in the Config Preferences panel. There are two choices for Completion Mode:

  • Delete: With this option selected, the message is automatically deleted when its life on Output ends.

  • Return to Canvas: With this option selected, the message is automatically transferred back to the Canvas (and will appear in the Canvas list on the Scene Tree) when its life on Output ends.

Related Topics:

Transition Properties

Playout Properties

Events Properties


Mask Overview

The term Mask has a number of uses in Lyric. Each of the Mask terms is described in the following paragraphs.

Mask Objects

Mask Objects are supported by Chyron systems, as well as for offline graphics creation.

  • Mask Layers: A Mask Object assigned to a layer interacts only with the other elements assigned to the same layer. A Mask Object can mask other graphic elements, including other Mask Objects, that are assigned to the same layer and over which it is positioned. A Mask Object behaves as a normal graphic element with regard to graphic elements not assigned to the same layer. Layer number has no bearing on display priority. It simply identifies the how Mask Objects and elements are grouped to interact with each other.

    Mask Inside: When an element is designated Mask Inside, it causes the Mask Object in the same layer to act as a reverse Mask. Instead of covering the element over which it is positioned, it reveals it. Any time the Mask Object is not positioned on top of the element, the element is not visible.

    Alpha Trim Mask: Some Mask Objects may display a transparent narrow border that you may wish to remove. Alpha Trim Mask removes this border. Alpha Trim Mask can be applied only to Mask Objects.

  • Soft Mask: A Soft Mask provides a soft-edged border into which a static or moving element (such as a Crawl) can fade. Soft Mask can only be applied to Mask Objects.

Mask Scene

Mask Scene masks the entire screen. The Key component(s) of a character(s) and/or image(s) placed on the Canvas before the Scene Mask is created cuts a hole(s) in the input video after the Scene Mask is created, revealing the video that is underneath the Scene Mask. Characters and/or images in a Scene Mask cannot be animated. Other characters/and/or images on the screen, however, can be animated. A Scene Mask differs from a Mask Object, in that a Mask Object itself masks the video under it. Mask Scene is accessed from Tools>Masks>Mask Scene. Mask Scene may not be supported on some systems.

Masked

The term Masked is used to describe a bitmap, live video or texture which can be revealed by the Surface, Bevels and/or Sides of 3D characters. This function is found in the Properties > Surface tab. Masked is available on all systems.


Mask Objects

There are several Lyric function names that contain the word "Mask." Refer to Masks Overview for disambiguation of the term.

Mask Objects are supported by all systems, as well as for offline graphics creation. Any bitmap object including a Flipbook, that is placed outside of a 2D Text Window, can be designated a Mask Object, masking any elements, including the background, that are rendered below it. 3D objects, 3D characters and any graphics, including 2D text, inside of a 2D Text Window cannot act as Mask Objects. Since a Mask Object is generally used to allow live video to show through, only 32-bit TIFF files or 32-bit TARGA files should be used as Mask Objects.

For an overview of the different types of Masks, refer to Mask Terminology.

For a Mask Object to work, it is necessary to place the Mask Object on top of the element(s) that it is masking, or the Mask will not work properly. Display priority is set using the Scene Graph or by adjusting the Z position in Properties > XYZ.

An image specified as a Mask Object displays at 100% video, although built-in transparent areas of the Mask Object allow video input to show through. If transparency of a Mask Object is desired to allow video input to show through, the transparency must be set during graphic creation, before it is introduced to the Canvas. Adjusting the Transparency setting in the Properties > Surface tab has no effect on the transparency of the Mask Object.

Transparent areas of a bitmap display as transparent on the Canvas, until the bitmap is designated a Mask Object. When a transparent bitmap is designated a Mask Object, the transparent areas display as opaque on the Canvas. On the output monitor however, you will see that the Mask Object cuts a rectangular area through all graphic layers so that video input is visible wherever there is transparency.

To set up a Mask Object:

  1. On the Scene Graph, select (highlight) the object that will act as the Mask Object.

  2. Right-click on the Scene Graph or the Canvas to display the context-sensitive menu.

  3. Select Mask Object. The menu closes. A checkmark indicates that the object is now a Mask Object.

NOTE

In order for an object to be used as a Mask, it must be selected as a Mask Object. If the selected element is not appropriate for use as a Mask, the Mask Object selection on the context-sensitive menu will not be available.


Soft Masks

2D Bitmap Object Context (Right-Click) Menu > Select Mask Object, then Soft Mask

Mask Objects are hard-edged regions which mask objects which lie under them and can allow input video to show through. A Soft Mask provides a soft-edged border into which a static or moving element (such as a Crawl) can fade. To understand how a Soft Mask works, the following example will demonstrate the creation of a simple Soft Mask Object in Adobe® Photoshop®, and its importation and use in Lyric.

Refer to Mask Objects for additional information on Mask Objects.

Creating a Graphic to Use as a Soft Mask

To create the graphic:

  1. In Photoshop, set the size of the Canvas to slightly larger than 400 pixels wide by 150 pixels high if working in 4:3 aspect ratio, or to slightly larger that the pixel dimensions of the screen if working in a different aspect ratio.

  2. Set Image Menu > Mode to RGB Color.

  3. Fill the entire image completely with black.

    Image: Image Filled with Black

    Image Filled with Black

  4. Click the Channels tab to display the channels that comprise the graphic.

    Image: RGB Channels

    Channel Display for Black Graphic

  5. Click the Create new channel icon.

    Image: Create New Channel

    Create New Channel

  6. A new channel is Alpha channel is created. Click the eye icons to turn off the RGB, R, G and B channels.

    Image: New Alpha Channel

    New Alpha Channel Created

  7. In the Channels tab, make sure that only the Alpha channel is selected. This ensures that only Alpha is modified.

  8. Select the Rectangular Marquee tool. Set it to feather at about 15 pixels.

  9. On the Canvas, use the Rectangular Marquee tool to outline an area on the right side of the graphic. This is the area through which a Roll is to run. Use the Paint Bucket tool to fill the outlined area with white.

    Image: Alpha Channel Modified

    Alpha Channel Modified

    The Alpha channel should appear as follows:

    Image: Alpha Channel Modified

    Alpha Channel Modified - Reflects Change on Canvas

  10. Save the graphic as a Photoshop (*.PSD) file, and then perform a Save As to the Targa (*.TGA) format. When prompted, select 32-bits/pixel, or the Alpha information will not be saved. The graphic is now ready to use as a Soft Mask Object.

Using a Soft Mask Object in Lyric

The goal in this exercise is to set up a 2D Roll at the right side of the screen, which fades in at the bottom and out at the top.

  1. Click the Set the Default Background Color icon Image: Set the Default Background Color so that the Canvas turns gray for easier viewing. This does not affect output.

  2. Import the graphic that was just created. Note that the outer edges should lie beyond the boundaries of the screen. It appears as follows.

    Image: Placing the Mask Graphic on the Canvas

    Placing the Mask Graphic on the Canvas

  3. Right-click to display the context menu for the graphic, and then select Mask Object. The graphic changes appearance to reflect its function as a Mask Object.

    Image: Specifying a Mask Object

    Mask Object Specified

  4. Right-click to display the context menu for the graphic, and then select Mask Object. The graphic again changes appearance to reflect that a Soft Mask has been applied.

    Image: Soft Mask Applied

    Soft Mask Applied

  5. Add a 2D Roll Window so that it lies underneath the cutout of the Mask Object. The left and right margins of the 2D Roll Window should not extend to the edges of the Mask Object. Add text to the Roll. In this instance, a weather forecast was created. Note that the 2D Roll Window frame is still displayed on top of the Mask Object, even though the text that makes up the Roll is positioned below it.

  6. If desired, add a graphic as the top layer, positioned outside of the cutout.

  7. Add a Clip to the Timeline. For this example, a clip of flowers is used. It is not visible on the Canvas. From top to bottom, the graphic elements should be listed in the Scene Graph as follows: Graphic element (forecast bar); Soft Mask Object; and then 2D Roll Window. The clip can be placed anywhere. The Lyric composition should appear as follows:

    Image: Soft Mask Applied

    Lyric Composition with Soft Mask

  8. Save the composition as a Lyric message. Read and play back the message. The mask should apply a soft edge to both the top and bottom edges of the roll.

    Image: Soft Mask on Output

    Soft Mask on Output

Note that a separate opaque or transparent background and/or graphics can also be applied to the 2D Roll Window and/or to the Canvas.

Hints on Creating Soft Masks

A 2D bitmap is always rectangular. 2D bitmaps which appear to be circles, ovals or other shapes are rectangular even though they do not appear to be. The portions that cannot be seen are still present as transparent pixels. When a 2D bitmap object is specified as a Mask Object, the entire rectangle becomes the mask. As a result, when a Soft Mask is applied, the hard edges of the transparent portions of the rectangle can still be visible.

The trick to getting around this is to size the graphic so that the hard edges lie off-screen, as demonstrated with the Soft Mask that was just created. The Soft Mask "cutout" can be any shape, with any transition in opacity, and there can be more than one cutout in the same Mask Object.


Frame Buffer Tools

Frame Buffer Tools provide a variety of options for animation playback and static graphic display. Frame Buffer Tools also display the status of active and inactive Frame Buffers. Frame Buffer Tools are often used in conjunction with Transport Controls, the Play key on the Chyron keyboard and Read operations.

Duet LE/LEX/PCI/PCI+ Tools

Frame Buffer Tools

Refer to Animation Settings Preferences for information on how animation execution settings can be tailored for specific playout situations.

NOTE

Chyron recommends that you thoroughly familiarize yourself with the operation of these controls before using them in live or real-time production situations.

Outputs

Each eFX board, CODI board or PCI-Squeezeback board installed in a Chyron system provides one frame buffer. (Henceforth, eFX boards, CODI boards and PCI-Squeezeback boards will collectively be called frame buffer devices.) The contents of the active frame buffer, displayed on the Canvas, appear at the output of the specified frame buffer.

The Output icons represent the frame buffer devices assigned to Air or Preview in the Configuration dialog box. As many as four Output icons may be displayed in the Frame Buffer Toolbar.

NOTE

Frame Buffer Tools are grayed out if Lyric Offline is running on a PC without the Virtual Output option enabled.

Other Frame Buffer devices may be installed in the system, but dedicated to applications other than Lyric. The Frame Buffer buttons corresponding to these devices will be grayed out, as seen in the previous illustration. The devices themselves will be marked "Unused" in the Hardware Configuration menu (Config > Hardware). A grayed out icon can also indicate that no corresponding Frame Buffer device is installed.

The various Frame Buffer devices in a system may also be dedicated to multiple instances of Lyric running simultaneously and independently. See Delegating Frame Buffers via the command line.

In this illustration, Frame Buffer 1 is active for editing and composition, 2 and 3 are operating and available but not active. Frame Buffer 4 is dedicated to another application or is not installed.

When an icon is selected, that frame buffer device is available for composition/editing, and its Canvas is displayed on the VGA monitor. Each frame buffer device contains one frame buffer for graphics editing. Refer to Configure Board Use for additional information.

  • An Output icon that is not selected is black, indicating that the corresponding device is assigned to Preview or Air, but not active for editing.

  • An Output icon that is blue indicates that the corresponding board is active for editing.

  • Again, an Output icon that is gray represents a device that is assigned to another application on your system, or a device not installed.

By default, Frame Buffer 1 is selected upon Lyric startup. Other frame buffers may be selected (made active) for editing by clicking the appropriate output icon.

Each time an output icon is clicked, the graphics on the Canvas are replaced with the contents of the newly-active frame buffer. If there are no graphics in the frame buffer, the Canvas is blank, with only the default Camera, Global Light and one Individual Light present in the scene. Note that changes to the composition in the active frame buffer are not immediately reflected on output unless the Live Button icon is active.

NOTE

Multiple frame buffer preview Canvases may be displayed on the Lyric interface simultaneously. See Display All Frame Buffers.

Live

Live Live Button activates Lyric’s Render Mode. Clicking the Live Button icon places the contents of the currently active frame buffer on the system's video output(s). Any text/objects placed on the active Canvas are rendered simultaneously on the video output(s) in real time. In this manner, composition and editing may be previewed in true WYSIWYG fashion.

  • When the Live icon is active Live Button, performing a Read displays the last or Preview frame of the animation on the frame buffer device (output), with current Message Effect(s) applied to it. Refer to Animation Settings Preferences for information on message Read options, and Default Effects for information on Default Effect setup.

  • When the Live icon is inactive Image: Live Button - Inactive, performing a Read displays the last or Preview frame of the animation on the VGA (Canvas).

The active or inactive status of the Live icon determines which methods can be used to play the animation to air or to the Canvas. Refer to Play - Animation Playback later in this section for details on animation playback.

To toggle the Live icon on and off:

  • Click the live icon, or press Ctrl + Fn + F6 (Chyron keyboard) or Ctrl + F11 (PC keyboard).

Xfer (Transfer to Frame Buffer)

When Lyric is not in Live mode, the contents of the Canvas can be transferred to the currently selected Frame Buffer's video output by clicking the [image] (Transfer) icon.

NOTES

  • The Live icon must be INACTIVE (black) when executing an Xfer.

  • Pressing the Xfer key (Chyron keyboard) or the / key on the numeric keypad (PC keyboard) performs the same function as clicking [image] on the Frame Buffer Toolbar.

  • The [image] function no longer triggers animations that it brings to a frame buffer's output, as in previous versions of Lyric. Only Clocks are seen to be running upon transfer to output, insofar as any Clock is always running, even when not on output.

Using the Xfer function, the contents of the active frame buffer are transferred to the system's output. The active video output channel displays the transition using the settings specified in the Default Effects dialog, available from the Config drop-down menu. The OUT and IN transitions are applied to the exiting and entering graphics respectively.

Once a composition has been "Xferred" to output, it can no longer be modified in real time by a user working from the Canvas. The composition must be Xferred back to the Canvas, and further changes must be made there. The composition may then be rendered to the video output by executing another [image]. HOWEVER, Lyric messages on output via the Xfer function MAY be modified by "Update"-type functions, such as Continuous Update, Template Update and DB Link.

Swap

The Swap function exchanges the contents of the active frame buffer with that of other available boards of the same type in the system. The Swap function will not exchange content, for example among eFX boards and VPBs. To perform a Swap:

  • Click [image] or press Swap or Ctrl + Xfer (Chyron keyboard) or Ctrl + / on the numeric keypad (PC keyboard). In a system with two available boards (i.e., not designated as Unused or Linked in the Config > Hardware > Configure Board Use tab), clicking [image] immediately performs the swap operation.

Where more than two active boards of the same type are present, this dialog box appears:

Choose Destination Buttons

  • Click a Destination button to swap the contents of the active frame buffer and the selected frame buffer.

The contents of the selected frame buffers are swapped. The active video output channel displays the transition using the OUT setting specified in the Default Effects dialog, available from the Config drop-down menu.

NOTE

When CMix software is installed, the normal Frame Buffer Tools Swap function is disabled, whether or not a CMix system is connected, and/or whether or not the CMix Control dialog box is open. To restore normal Swap function, move the CMix.ocx file from the Lyric Plugins directory to another location. To restore CMix functionality, move the CMix.ocx back to the Lyric Plugins directory.

To execute an animation after a swap, make sure that the frame buffer containing the animation is active, and then use the appropriate playout method.

Play - Animation Playback

There are a variety of ways to execute an animation.

NOTE

The following actions have the same function:

  • Pressing Play on the Chyron keyboard

  • Pressing Alt + Page Up on a PC keyboard.

  • Clicking Image: Play Icon on the Transport Controls.

  • Xfer Mode: Refer to Xfer to Output, covered earlier in this section, for details.

Play to Output

To play the animation to the VGE (output):

  • With the Live icon Live Button active, press Play (Chyron keyboard), Alt + Page Up or click the Play icon Image: Play Icon on the Transport Controls.

  • With the Live icon either active Live Button or inactive Image: Live Button - Inactive, press Ctrl + Play (Chyron keyboard), Ctrl + Alt + Page Up or hold Ctrl and click the Play icon Image: Play Icon on the Transport Controls.

Play to the Canvas

To play the animation to the VGA (Canvas) only:

  • With the Image: Live Button - Inactive icon inactive, press Play (Chyron keyboard), Alt + Page Up or click the Play icon on the Transport Controls.

Stop

The Stop function is used to escape a Loop in progress, and continue the execution of any remaining keyframes in the Lyric message containing the Loop. To execute Stop:

  • Press Esc.

Display All Frame Buffers

Lyric can be set to display the active frame buffer only or all frame buffers on the VGA monitor. Preview Canvases will appears something like this on the Lyric interface:

  1. From the Config menu, select Preferences, then click the Windows tab.

  2. In the Canvas area, select (check) the Display All Frame Buffers check box to show all frame buffers on the VGA monitor, or leave the check box blank (unchecked) to display only the active frame buffer.

  3. Click OK. In both instances, a full-sized Canvas for displays the contents of the active frame buffer. When Display All Frame Buffers is selected (checked), the smaller Canvases display the contents of the inactive frame buffers.

Internal Clip Players

One or two clip players can be installed in a system. When Frame Buffer 1 is selected as active, the Clip Control Panel automatically displays the settings for Internal Clip Player 1. When Frame Buffer 2 is selected as active, the Clip Control Panel automatically displays the settings for Internal Clip Player 2. This arrangement applies to any type of clip player that may be used in Chyron systems with Lyric, whether a specialized clip player board or the optional clip player facility on an eFX board.


Internal Clip Player - Hardware and Connections

Internal Clip Players - Hardware and Connections

Tools Menu > Clip Control Panel > Internal Clip Player

Introduction

Using output from an Internal Clip Player is similar to using an external VTR, DDR or live feed as a source of video to be keyed under Lyric-produced graphics. An Internal Clip Player's video output is not a typical object in a Lyric composition, and is not visible on the Lyric Canvas as seen on the system's VGA monitor. Rather, the video’s starting point in the composition, duration (and in the case of eFX clips, its size and position) are controlled by Lyric.

NOTES

Chyron systems' Internal Clip Players offer a variety of input/output and encoding/decoding options. If your system uses either type of Matrox-type clip hardware, ensure that the Matrox DigiSuite utility, accessed from Start > Settings > Control Panel, has been properly configured for production requirements, and that video/audio sources and outputs are properly cabled to the clip player, the Digital LE Module (if applicable), and to the system. Refer to Matrox documentation for detailed information configuring the DigiSuite utility and for more information on the hardware itself.

Much of this topic is devoted to older Matrox-type Clips hardware. Connections for eFX hardware, with its optional Clips capability is discussed below. The optional clips capability of eFX frame buffer boards is discussed in detail in the topic eFX Panel.

A distinction should be made between the video/audio files intended for reproduction by an Internal Clip Player, and a Clip file. A Clip file (*.ccf format) contains no video or audio content, and only contains 'behavior' data such as In and Out points and other playback instructions. The original source video/audio file must be available to an appropriate playback device in order to play it back in a Lyric composition, within parameters set on the Clip Control Panel.

Hardware Overview

Chyron graphics systems support single and dual Matrox-type Internal Clip Players as well as the optional Clips capability of eFX boards. All provide decoding (playout) and encoding (recording) of video and audio outputs and inputs.

The video and key outputs of Matrox clip players may be input to a frame buffer board within the Chyron system as a source for keying or backgrounds. The distinctions between digital and analog clip playout and their correspondence with frame buffer board types is discussed below. Alternately, the video and key outputs of Matrox clip players may be routed to external switcher/keyers.

Keying and other processing of eFX clips is usually performed within the eFX board itself.

All Chyron Internal Clip Players can record from external sources for creation of clips within your Chyron system. All Chyron Internal Clip Players store and reproduce audio using *.wav files that are distinct from video files, but used together with the corresponding video.

About the supported devices:

  • The Matrox® DigiSuite LE Internal Clip Player uses the M-JPEG codec. The basic DigiSuite LE clip player processes analog video and audio. Note that the DigiSuite LE device is not to be confused with Chyron LE systems.

    Digital input to, and digital output from the DigiSuite LE clip player requires as input to digital video boards in a Chyron system, the digital signals must be input to or output from the Digital LE Module of the DigiSuite clip LE player.

    If outputting digital video, the clip player's Analog Video Out and Analog Audio Out may be used for monitoring purposes.

  • The Matrox DigiServer Internal Clip Player uses the DV and MPEG-2 codecs. The DigiServer clip player processes digital video and audio. Conversion from or to analog must be accomplished externally. Only one codec type can be processed at a time. When the clip player is set to DV, it cannot read/play MPEG-2 files, and vice versa.

If two Matrox Internal Clip Players are installed in a system, they must be of the same type; either two DigiSuite LE clip players or two DigiServer clip players. The two types cannot be mixed in the same system. Dual Internal Clip Players can draw clip files from the same drive in a system.

  • The eFX Board's optional Clip facility records and plays video in the proprietary .ltv file format. Full information on the eFX board's inputs, outputs and options, see eFX Panel - Recording a Clip.

Compatibility of the different Internal Clip Player hardware types with Chyron systems may vary with product updates. When planning upgrade or expansion of an existing system's clips capability, contact Chyron Customer Service.

Clip Storage On Hard Drives

The following cautions and restrictions apply to the video/audio files reproduced by Internal Clip Player hardware of any type.

  • For proper playback, ALL clip files, regardless of type, should be stored on a physical hard drive separate from the "C" drive from which Lyric and other programs run. STORAGE OF CLIPS ON OTHER PARTITIONS WITHIN THE "C" DRIVE IS ALSO DISCOURAGED. Further, CLIPS MUST NOT BE STORED ON NETWORK DRIVES. Storing clips in these inappropriate locations will compromise clip playout.

  • Chyron strongly recommends that HD clips be stored on striped drives.

New Chyron systems purchased with clips capability are equipped and configured with appropriate drives.

SDI and Analog Output Types

The following table outlines the standards supported by the Internal Clip Players:

 | DigiSuite LE |  | DigiServer |  | eFX
 | Input | Output | Input | Output | Input | Output
SDI Video | Yes, with Digital Module* | Yes, with Digital Module* | Yes | Yes | Yes | Yes
Analog Video | Yes | Yes - Analog video from the DigiSuite LE clip player can be input only to an Lantern 64-A (analog) board | No | No | No | No
Digital Audio | Yes, with Digital Module* | Yes, with Digital Module* | Yes | Yes | Yes | Yes
Analog Audio | Yes | Yes | No | No | No | Yes - recommended for monitoring purposes only

*Required for outputting digital video from DigiSuite LE clip player into a digital board in a Chyron graphics system. This applies to any frame buffer board, except the Lantern 64-A (analog) board.

Internal Clip Player Connections

Internal Clip Player options are factory-installed or retrofitted by Chyron or the dealer, but the user is responsible for appropriate cabling when installing or reinstalling the system. The connections on the DigiSuite LE and DigiServer clip players differ somewhat and are outlined in the following sections.

Refer to Cabling Options for additional cabling options.

DigiSuite LE Clip Player Connections

NOTE

Digital video and key outputs from the DigiSuite LE clip player's optional Digital Module may be connected to the video and key inputs of frame buffer boards, with the exception of Lantern 64-A (analog) boards, whose video and key inputs accommodate only NTSC or PAL signals.

Analog video from the basic DigiSuite LE clip player may be routed to Lantern 64-A (analog) boards.

Ensure that the Matrox DigiSuite utility, accessed from Start > Settings > Control Panel > DigiSuite, is accurately configured for digital/analog video/audio.

Two PCI slot spaces are required for each DigiSuite LE clip player/Digital LE Module pair. Although two PCI slot spaces are required, the DigiSuite LE clip player/Digital LE Module unit plugs into only one PCI slot. The following figure shows the back panel of a single DigiSuite LE clip player (left) fitted with a Digital Module (right).

Image: DigiDuite and Digital Module Back Panel

DigiSuite LE Internal Clip Player connectors. The basic device's analog connectors are seen at left, the optional Digital Modules' connectors at right.

The DigiSuite LE Internal Clip Player configured with its Digital Module has four multi-pin connectors. Analog Video and Audio connectors are located on the DigiSuite LE Internal Clip Player. Digital Video and Audio connectors are located on the Digital Module.

The analog connectors can be used to input analog video and audio for recording to *.avi and *.wav files via the Internal Clip Record Panel. Analog video output from DigiSuite LE may be connected to the input(s) of a Lantern 64-A (analog) board. Analog video and audio may also be used for feeding output to external analog devices or mostly likely, for monitoring purposes.

ANALOG CONNECTIONS
Video

Each analog video connector comprising the analog video multi-cable is individually labeled. Colors and labeling may vary. Attach the cable's large, multi-pin analog video connector on the cable to the DigiSuite LE clip player as shown in the following figure:

Image: DigiSuite LE Analog Video Connections

DigiSuite LE Analog Video Connections

The inputs/outputs, connector types and colors are as follows:

  • IN C1/B-Y (BNC - Black)

  • IN Y1/COMPS1 (BNC - Red)

  • IN Y/C2 (S-Video - Black)

  • IN C2/R-Y (BNC - Black) - Grouped with Y/C2 S-Video cable

  • IN Y2/Y/COMPS2 (BNC - Black) - Grouped with Y/C2 S-Video cable

  • PREVIEW COMPS (Composite) (BNC - Orange)

  • PREVIEW Y/C (S-Video - Black double cable)

  • PROGRAM B-Y (BNC - Green)

  • PROGRAM COMPS (BNC - Brown)

  • PROGRAM Y/C (S-Video - Black)

  • PROGRAM Y (BNC - Black) - Grouped with PROGRAM Y/C S-Video Cable

  • PROGRAM R-Y/C (BNC - Black) - Grouped with PROGRAM Y/C S-Video Cable

  • KEY OUT (BNC - Blue)

  • REF IN (BNC - Yellow)

When using the Internal Clip Player to record video input to an *.avi file, a variety of video source types is available: Composite 1, Composite 2, Y/C (S-Video 1), Y/C (S-Video 2), Analog Component and 4:2:2 SDI. A source type can be selected from the Video Source drop-down list box in the Internal Clip Record Panel.

The following figure shows each analog Video Source choice, and how it must be fed to the DigiSuite LE clip player analog video inputs. The slashes in the cable designations indicate that there is a choice of signal type that can be accepted by the clip player from that connector. Ensure that the correct signal type is used as an input, and that the Matrox DigiSuite utility is properly configured to recognize the signal type.

Image: Analog Video Input Cabling

Analog Video Input Cabling - DigiSuite LE Clip Player

WARNING!!!

Simultaneous Y/C (S-Video) and analog component input connections and/or Simultaneous Y/C (S-Video) and analog component output connections are not supported by the DigiSuite LE clip player. IN Y/C 2 should never be connected at the same time as IN Y2/Y/COMPS2 and/or IN C2/R-Y, as this will short-circuit your hardware and damage your equipment.

Additionally, do not attempt to connect PROGRAM Y/C at the same time as PROGRAM Y and/or PROGRAM R-Y/C, as this will result in double termination of the video signals.

In order to use Y/C and analog component equipment simultaneously, the Y/C connector must be disconnected before connecting the BNC connectors, and vice versa. Remember that the Matrox DigiSuite utility must be configured to accommodate the change.

Audio

Each analog audio connector comprising the analog audio multi-cable is individually labeled. Labeling may vary. Attach the large, multi-pin analog audio connector on the cable to the audio connector on the DigiSuite LE clip player, as shown in the following figure:

Image: DigiSuite LE Analog Audio Connections

DigiSuite LE Analog Audio Connections

The inputs/outputs and connector types are as follows:

  • IN 1 (XLR) - Used as Left Channel input

  • IN 2 (XLR) - Used as Right Channel input

  • IN 3 (XLR) - Not used

  • IN 4 (XLR) - Not used

  • OUT 1 (XLR) - Used as Left Channel output

  • OUT 2 (XLR) - Used as Left Channel output

  • OUT 3 (XLR) - Not used

  • OUT 4 (XLR) - Not used

DIGITAL CONNECTIONS
Video

Labeling may vary. Attach the large, multi-pin digital video connector on the cable to the video connection on the Digital LE Module, as shown in the following figure:

Image: Digital LE Module Digital Video Connections

Digital LE Module Digital Video Connections

The inputs/outputs and connector types are as follows:

  • SDI IN (BNC) - This is the Video Source that is recorded when SDI 4:2:2 is selected in the Internal Clip Recorder Panel for recording a video file.

  • REF IN (BNC) - Analog

  • SDI OUT (BNC)

  • SDI KEY OUT (BNC)

  • REF LOOP OUT (BNC) - Analog

Each digital audio connector comprising the digital audio multi-cable is individually labeled. Labeling may vary. Attach the large, multi-pin digital audio connector on the cable to the audio connector on the Digital LE Module, as shown in the following figure:

Image: Digital LE Module Digital Audio Connections

Digital LE Module Digital Audio Connections

The inputs/outputs and connector types are as follows:

  • IN 1/2 (XLR)

  • IN 3/4 (XLR) - Not used

  • OUT 1/2 (XLR)

  • OUT 3/4 (XLR) - Not used.

DigiServer Clip Player Connections

The DigiServer clip player offers only digital video and audio inputs and outputs and requires no additional hardware. The following figure shows the back panels of single and dual DigiServer clip players.

The sole connector on the single clip player's back panel handles both digital video and digital audio input and output.

The dual clip player's back panel has Primary Codec and Secondary Codec connectors, each of which inputs and outputs digital video and audio to/from a separate DigiServer clip player. The two clip players are mounted to the same back panel. Each DigiServer clip player can be individually configured in the Matrox DigiSuite utility, accessed from Start > Settings > Control Panel > DigiSuite.

Image: Single DigiServer Clip Player Back Panel

Single DigiServer
Back Panel

Image: Dual DigiServer Clip Players

Dual DigiServer
Back Panel

The inputs and outputs to and from the DigiServer clip player are incorporated into a multi-cable that connects to the Primary Codec connector on a single- or dual-clip player board. An additional multi-cable connects to the Secondary Codec connector on a dual-clip player unit. If using only one board of a dual-board clip player system, either the Primary or Secondary codec can be connected, i.e., either board can be used.

Image: DigiServer Cable Connections

DigiServer Cable Connections

Each connector is labeled. The inputs/outputs and connector types are as follows:

  • Digital Audio (AES/EBU) In 1/2 (XLR - black) - Used as stereo pair

  • Digital Audio (AES/EBU) In 3/4 (XLR - black) - Not used

  • Digital Audio (AES/EBU) Out 1/2 (XLR - black) - Used as stereo pair

  • Digital Audio Out (AES/EBU) 3/4 (XLR - black) - Not used

  • Audio Monitor Out (3/4" - black)

  • Digital Ref In (AES/EBU) (XLR - black)

  • Analog Ref In (BNC - yellow)

  • Ref Loop Out (BNC - gray) - Analog

  • SDI/SDTI Video In (BNC - red) - This is the Video Source used when SDI 4:2:2 is selected in the Internal Clip Recorder Panel for recording a video file.

  • SDI/SDTI Video In Loop Out (BNC) - Reclocked

  • SDI/SDTI Video Channel A Out (BNC - blue)

  • SDI/SDTI Video Channel B Out (BNC - black)

  • Analog Composite Video Out (BNC - white) - for monitoring

eFX Board Connections

See also eFX Panel for full information on the eFX Board's other capabilities.

eFX boards offer extensive clips capabilities. Hence, these boards are very rarely, if ever, found in Chyron systems outfitted with either of the Matrox devices described above. eFX boards each take up one PCI slot and use a single connector that breaks out into 13 BNC cables and 4 RCA cables.

Left, multiple connector on eFX Board. Right, eFX Board breakout cable's individual connectors.

eFX Board’s I/O Connectors

  • Ref Video: Used to connect an analog GENLOCK source input. The preferred input is Tri-level (600mV nominal) or composite “House” sync signal. If Reference In is being used, the Genlock signal must be connected here. When multiple boards of this type are installed in a single system, each board must receive its own Reference input to this connector. There is no provision for “sharing” a Reference signal internally, as there is with the SD processors

  • HD/SD Input #1: Program video input. eFX-produced video will be inserted over this video from an external source. This connection is also used for recording directly to this board’s optional Internal Clip Player function.

  • HD Signal: SMPTE 292M/ITU-R BT.709

  • SD Signal: SMPTE 259M/ITU-R BT.655

  • HD/SD Output #1: Output of board’s internal mixer.

  • HD Signal: SMPTE 292M/ITU-R BT.709

  • SD Signal: SMPTE 259M/ITU-R BT.655

  • HD/SD Input #2: This connection may be used as a second video input or for alpha channel/key input. This capability requires the addition of the eFX HD/SDI 2nd Input daughterboard option, Chyron part number 5A01473. Contact Chyron Customer Service at 888-4-CHYRON (888-424-9766) for more information.

  • HD/SD Output #2: Provides a key signal to external device.

  • HD Signal: SMPTE 292M/ITU-R BT.709

  • SD Signal: SMPTE 259M/ITU-R BT.655

  • LTC Input and Output: The Longitudinal Timecode facility on this board is not currently supported for use with Chyron products.

  • AUDIO: Connections will vary with your facility’s routing arrangements:

  • Unbalanced Inputs (2, BNC; red cables) 75 ohm

  • Unbalanced AES Outputs (4, BNC; blue cables) 75 ohm

  • Unbalanced Right & Left Analog Outputs (2, RCA; red cables)

Refer to eFX Panel - Recording a Clip and eFX Panel - Clip Playback for more about configuration.

Clip Player - Related Topics


Audio and Matrox Internal Clip Players

The Internal Clip Player can record and play back *.wav audio files. The DigiSuite LE clip player offers analog audio processing capability; installation of the Digital LE Module adds digital audio processing capability. The DigiServer clip player has digital audio processing capability only.

DigiSuite Configuration

Analog/Digital preference is set in the Matrox® DigiSuite® Configuration dialog box, accessed from Start > Settings > Control Panel > DigiSuite. The appropriate format for Output 1 and Output 2 becomes available when Digital Output is selected.

DigiSuite Configuration - Digital Audio Capability

DigiServer Audio Considerations

The DigiServer clip player can input/output only digital AES/EBU audio. If the audio source is analog, it must be converted to digital before it is input to the DigiServer clip player. If analog audio is required on output, it must be converted to analog after it is output from the DigiServer clip player.

Clips - Related Topics


Previewing, Creating and Playing a Clip

Overview

Clip Control Panel operation is similar for each device that is selected. The following examples demonstrate the slight differences in clip playback and marking the In Point/Out Point. Once a video/audio has been marked as a clip, the clip information can be saved as a separate file, and/or it can be added to the Timeline of a Lyric composition and saved as a component of a Lyric message. Refer to Clip Control Panel for details.

Internal Clip Player - AVI File

To play back and mark an *.avi file:

  1. Select Internal Clip Player from the Device drop-down list box at the top of the Clip Control Panel.

  2. Use the Browse function to locate and select the file, and then click Open. The filename appears in the AVI File field.

    OR

    Enter the filepath and filename directly into the AVI File field, and then click Load.

  3. Click the Scrub button to enable Scrub Mode, and then experiment with the Transport Controls: Play, Stop, Rewind, Fast Forward, Next Frame and Previous Frame. Also experiment with the Clip menu controls: Play, Stop, Rewind, Fast Forward, Next Frame, Previous Frame, Go To Beginning, Go to End and Go to Timecode. Press the > or < keys to advance or move back the animation one frame at a time.

  4. In the In Point area, enter a frame number, click Go To and then click Mark, or select Mark In from the Clip menu.

  5. In the Out Point area, enter a frame number, click Go To and then click Mark, or select Mark Out from the Clip menu.

  6. To experiment with the Loop function, click the Loop checkbox. Click Play Clip or select Play Clip from the Clip menu, and the clip material repeats indefinitely.

  7. The clip can loop back to a different frame. Click the AVI radio button, set a Loop Frame and then click OK. Click Play Clip or select Play Clip from the Clip menu, and observe the change in playback.

Video (*.avi) files that are to be used as source material for clips can be previewed outside of Lyric by using media player software that is available from within Windows.

  • From Windows Explorer or My Computer, navigate to the video file, and then double-click the file. Depending on the available software, the file might play immediately, or if a player interface is displayed, from which the file can then be played.

Note that even though the media player can display the video, the Internal Clip Player will not be able to play back the file if the codec is incompatible.

From within Lyric, an *.avi file can be previewed using the Transport Controls available to that playback device type (Internal Clip Player or Audio Hardware). If, however, an Internal Clip Player is installed in the system, but an output monitor is not available, the video file can be viewed from within Lyric if a Windows-type media player is available.

  1. Select Internal Clip Player as the Playback Device.

  2. Enter the name of a video file in the AVI File field and then click Load, or use Browse to navigate to and select the video file.

  3. Select Audio Hardware as the Playback Device.

  4. Click Play or select Play from the Clip menu. A Windows-type media player should open, from which the file can then be played.

Note that the media player is external of Lyric, and a clip cannot be set up by using the Transport Controls on the media player. In addition, even if the media player can display the video, the Internal Clip Player will not be able to play back the file if the codec is incompatible.

Audio Hardware - WAV File

To play back a *.wav file from the Clip Control Panel:

  1. Select Audio Hardware from the Device drop-down list box at the top of the Clip Control Panel.

  2. Use the Browse function to locate and select the file, and then click Open. The filename appears in the Wave field.

    OR

    Enter the filepath and filename directly into the Wave field, and then click Load.

  3. Experiment with the Transport Controls: Play, Stop and Rewind. Also experiment with the Clip menu controls: Play, Stop, Rewind.

There is no need to mark an audio clip, as the entire audio file is always played back when Play Clip is executed.

Audio files that are to be used as source material for clips can be previewed outside of Lyric by using media player software that is available from within Windows.

  • From Windows Explorer or My Computer, navigate to the audio file, and then double-click the file. Depending on the available software, the file might play immediately, or a player interface is displayed, from which the file can then be played.

Aprisa DDR - Aprisa Clip

To play back and mark an Aprisa Clip:

  1. Make sure that the Aprisa application is open on the Aprisa system, and then select Aprisa DDR from the Device drop-down list box at the top of the Clip Control Panel.

  2. Enter an Aprisa Clip ID Number in the Event # field, and then click Load. Remember that the Lyric Browser can be used to view thumbnails and information about the available Aprisa Clips, although it cannot be used to load a clip.

  3. Experiment with the Transport Controls: Play, Stop, Rewind, Fast Forward, Next Frame, Previous Frame. Also experiment with the Clip menu controls: Play, Stop, Rewind, Fast Forward, Next Frame, Previous Frame, Go To Beginning, Go to End and Go to Timecode. Press the > or < keys to advance or move back the animation one frame at a time.

  4. Experiment with the Scrub slide box to move the advance or back up the video. The slide box is similar in operation to the Jog/Shuttle control found on VTRs and DDRs. After moving the Aprisa Clip to a new position, the slide box returns to the center position.

  5. In the In Point area, enter a frame number, click Go To and then click Mark, or select Mark In from the Clip menu.

  6. In the Out Point area, enter a frame number, click Go To and then click Mark, or select Mark Out from the Clip menu.

  7. Click the Play Clip button or select Play Clip from the Clip menu to play the marked clip.

External Playback System

To play back and mark a clip from an external source:

  1. Select the external device from the Device drop-down list box at the top of the Clip Control Panel.

  2. Experiment with the Transport Controls: Play, Stop, Rewind, Fast Forward, Next Frame, Previous Frame. Also experiment with the Clip menu controls: Play, Stop, Rewind, Fast Forward, Next Frame, Previous Frame, Go To Beginning, Go to End and Go to Timecode. Press the > or < keys to advance or move back the animation one frame at a time.

  3. Experiment with the Scrub slide box to move the advance or back up the video/audio. The slide box is similar in operation to the Jog/Shuttle control found on VTRs and DDRs. After moving the video/audio to a new position, click the Stop button or select Stop from the Clip menu. The slide box returns to the center position.

  4. Experiment with the Go to Timecode function on the Clip menu. Enter a frame number in any of the frame counters, and then select Go to Timecode from the Clip menu.

  5. In the In Point area, enter a frame number, click Go To and then click Mark, or select Mark In from the Clip menu.

  6. In the Out Point area, enter a frame number, click Go To and then click Mark, or select Mark Out from the Clip menu.

  7. Click the Play Clip button or select Play Clip from the Clip menu to play the marked clip.


Clip Timeline/Scene Graph Operations

The operations described here are similar on Matrox-type Internal Clip Players and eFX boards with optional Clips facility.

Adding a Clip to the Timeline

A clip can be added to a Lyric Timeline and executed as a component of a Lyric animation. To add a clip to a Timeline:

  • If not already loaded, load the clip from the Clip Control Panel. Click the TLine Add button or select Add Timeline Clip from the Clip menu. An Object Timeline for the clip appears on the Timeline. The object is also added to the Scene Graph. A clip from an AVI file, WAV file, Aprisa DDR or external BVW-75-protocol playback device can be added to the Timeline. Remember that the playback device must be available to the system when the message is played back!!!

    Image: Timeline Add

    Adding a Clip to a Timeline

NOTES

A Clip with a Start Time of 0, 1 or 2 frames may start at Frame 0 when the animation is executed. A Clip with a Start Time of 3 or higher executes at the specified frame. As always, Chyron recommends that you preview your compositions before Air/production.

Regarding eFX clips: if Synchronization is enabled in the eFX panel, clips will begin promptly at the specified frame. If Synchronization is disabled in the eFX panel then the clip may begin playout as many as 8 frames before or after the specified frame.

When a Clip is added to a Timeline, a listing for the clip is also added to the Scene Graph. There are also functions available to the Clip from the Scene Graph context menu. To display this menu:

  • Right-click the Clip item in the Scene Graph.

Clip Context Menu

The following items are available from the Clip context menu, which is the same with Matrox-type clips and eFX clips.

  • Object Name and Type: The first item in an the context menu displays the object's type. All Matrox-type video clips appear on the Timeline with the description "Video Clip". Subsequent clip additions to the Timeline will be numbered 2, 3, and so on. eFX video clips appear on the Timeline with the description "eFX Clip". Refer to Navigating and Entering Information in Lyric: Object Name and Type for details on renaming objects.

  • Starts, Ends and Duration: 'Starts' indicates the point in the Lyric composition at which the clip starts playing. However, the 'Ends' and 'Duration' entries for ANY video clip, will amount to one second, regardless of the clip material's total duration, or the portion of its content that is set to play with the Mark In Point and Mark Out Point controls. This apparent one-second description of the clip entry is simply a convention for the presence of any clip on the Lyric Timeline. Once playout begins on the clip player hardware (Matrox or eFX) the clip will play as programmed on the Clip Control Panel (or the eFX Panel for eFX clips). The one-second entry permits Lyric to trigger clip playout and then allocate maximum processing power to the rest of the animation.

NOTE

Chyron strongly recommends that you DO NOT alter a clip's entry on the Timeline by 'stretching' it, as seen here:

Altering the length of the clip's Timeline entry may disrupt proper playout of the entire composition.

Again, regardless of the Timeline entry's apparent one-second value, the clip will play as programmed with the Mark In Point and Mark Out Point controls. These appear on the Clip Control Panel, or in the case of eFX clips, also appear on the eFX Panel's Clip tab. For eFX clips, using the controls on the eFX Panel is recommended.

  • Modify Keyframe Attributes: Not available in this version of the application.

  • Save Keyframe File, Load Keyframe File: The animation values of an individual object can be saved and applied to a different object. The information is saved in a Keyframe file, whose extension is .kyf. . The information in Keyframe files may be retrieved and imposed (Load Keyframe File) on objects within a given composition.

For a Clip's entry on the Timeline, these context menu items will be of limited or no utility:

  • Copy Selected Keyframe(s): Any individual Keyframe's values (all of them!) may be copied (for pasting to another object) by right-clicking on that Keyframe.

  • Copy Timeline: This option copies all of the values in the selected object's Timeline for pasting to another object.

  • Reverse Keyframes: Selecting this option for an object's Timeline inverts the order of all time and position values for that object

  • Copy Node: Not currently available from this menu.

  • Paste: See 'Copy Selected Keyframe(s)' and 'Copy Timeline'.

  • Add Keyframe: At the current time on the Timeline, a new Keyframe ( ) may be inserted. Any desired change in the object's attributes (X , Y or Z properties, etc.) may be attached to this Keyframe. Again, see Keyframe Graphs for a complete explanation of changing an object's attributes (and the entire animation) by editing with Keyframes.

  • Delete Keyframe(s): Making this selection removes the currently selected Keyframe AND any attributes (again, time, position, etc.) attached to it.

Editing and Updating the Clip on the Timeline

Clip parameters can be modified in the Clip Control Panel and then updated on the Timeline. To update the Timeline for the clip:

  1. Select (highlight) the clip on the Timeline or in the Scene Graph.

  2. Make the modifications to the clip.

  3. Click the TLine Update button. The Clip Timeline is updated with the new information.

To discard the modifications:

  • Recall the unmodified clip and execute TLine Update again. The Timeline is updated with the earlier version of the clip information.


External VTR and DDR Systems

The connections documented in this topic apply to original Chyron Duet SD and HD systems, which cannot run current versions of Lyric. This information is supplied for reference purposes only, for those facilities still using these older systems.

External video from a VTR or DDR can provide be input to Duet to be used in Lyric compositions. Lyric can also control playback from these devices. Note that an RS-422 Serial I/O & GPI/O Board must be installed in the Duet in order that Lyric controls the VTR or DDR.

Setup, Digital vs. Analog Video

Duet accommodates only 10-bit SDI video inputs. If you are using an analog VTR, an analog-to-digital converter must be used upstream of the Duet. If you’re using digital VTR, make sure that its output is compatible with Duet. Conventionally, the source machine or an analog-to-digital converter processing its output should be connected to the Video In connector on Duet’s Internal Keyer.

Connecting External VTR or DDR to Internal Keyer

Connect the DB-25 input connector of Duet’s GPI/O board to the VTR or DDR. This also serves to test the serial connection established in the section on GPIs and Serial Control of External Devices. For complete information on Duet’s GPIO facility and its connections, refer to Section 6 in the Duet Hardware Reference Manual. Also refer to RS-422 Serial I/O & GPI/O Board.

Displaying VTR Video with Duet Output

In order to display a video source such as a VTR, specific configuration is required. Refer to Configuration for Display of Video Source for details.

Refer to Clip Control Panel for information on controlling the external VTR or DDR from Lyric, and on recording clip files. Note that when playing back clip files, the VTR or DDR, as well as the source video, must be available to the system. Refer to Recording Clips to Animation and Audio File Formats for information on recording standalone *.avi and *.wav files.


Aprisa Systems

Overview

Chyron provides a wide variety of clip, still and clip/still store systems that complement Chyron graphics systems. Still files and clip file information are transmitted between the system running Lyric and the Aprisa via Ethernet. The clips themselves are transmitted via a video connection. The Aprisa supports both Windows® 2000 and Windows NT® operating systems.

  • The Aprisa 100 is a still store system. Stills can be imported for use in a Lyric composition. Lyric compositions can also be exported to the Aprisa as stills.

  • The Aprisa 200 is a clip store system and DDR. Clips stored on the Aprisa are played using the Internal Clip Player, which is controlled from Lyric's Clip Control Panel.

  • The Aprisa 250 combines still store, clip store and DDR capabilities.

Aprisa 100/250 Still Store

Still files can be imported from the Aprisa, modified, then exported back to the Aprisa via Lyric's Browser, or by accessing the Import from Aprisa and Export to Aprisa tools available from the File menu.

The Aprisa 100 Still Store and the still store component of the Aprisa 250 must be configured for communication with Lyric. Refer to Aprisa Interface Configuration for details.

Aprisa 200/250 DDR

The Aprisa™ 200 is Chyron's Digital Disk Recorder (DDR), uniquely optimized for video graphics, providing unprecedented speed and flexibility in creating, storing, and playing back animated clips. The Aprisa™ 250 combines the Aprisa 200 DDR and Aprisa 100 Still Store into one powerful playback unit. Lyric running on other Chyron systems can, via Ethernet, control the Aprisa systems.

The Aprisa 200 and the DDR component of the Aprisa 250 must be configured for communication with Lyric. Refer to Aprisa Interface Configuration for details.

The Aprisa 200/250 can be connected to either the Video In connector on another Chyron system's internal keyer or to the audio and video inputs of the Internal Clip Player.

To display a video source such as an Aprisa on output, it requires that Key In be enabled in Hardware Configuration. Refer to Configuration for Display of Video Source - LE/LEX/PCI/PCI+ for details.

IMPORTANT

The Aprisa 200/250 software must be running in order for Lyric to establish an Ethernet connection.

Aprisa - Related Topics


Recording Video/Audio to Video/Audio Files

Tools Menu > Clip Control Panel > Record

IMPORTANT!!!

The Internal Clip Player offers a variety of input/output and encoding/decoding options. Ensure that Matrox DigiUtils, accessed from Start > Settings > Control Panel, has been properly configured for your requirements, and that video/audio sources and outputs are properly cabled to the clip player and to the system. Refer to Matrox documentation for detailed information on hardware setup and configuration.

Overview

The Internal Clip Recorder enables the Internal Clip Player to record input Video, Key and/or Audio files to standard animation and audio file formats. The Internal Clip Recorder does not record embedded audio. The audio file(s) are instead recorded to a separate file(s).

NOTE

If a DigiSuite LE internal clip player is installed in a system, and digital video/key/audio are to be recorded, then the source must be connected to the Digital LE Module of the DigiSuite LE clip player. If analog video/key/audio are to be recorded, then the source must be connected to the inputs of the DigiSuite LE clip player. Note, however, that only a Lantern-64-A (analog) board can input analog video and analog key. Only LE/LEX/PCI/PCI+ systems support Lantern 64-A boards.

The DigiServer clip player supports only digital video/key/audio input and output.

The files recorded using the procedures described in this section are not the same types of files that are recorded from the Clip Control Panel (*.ccf). The files recorded from the Internal Clip Recorder are standalone files that can be played through Lyric or other software.

Files recorded directly from the Clip Control Panel contain only information about how the clip should be played back, and not the source files themselves.

From the Clip Control Panel, the Internal Clip Player can simultaneously play back a video file, a Matte file and one stereo or two monaural audio files. If recording these files for simultaneous playback, they must all be given the same names and reside in the same directory. If audio files are to be played back, the name of the directory in which they are stored cannot contain a period ".", or else the audio file will not play back.

When a clip that controls playback of an *.avi file is recalled, the *.avi file and the associated Matte and audio files are loaded for simultaneous playback. For example, the following files would be loaded when Basketball.avi is loaded: Basketball.matte.avi, Basketball.a1.wav and Basketball.a2.wav.

Refer to Clip Control Panel for details on recording Clip (*.ccf) files.

NOTE

Files recorded through the Internal Clip Player should be recorded to SCSI drives to ensure proper playback.

About Video, Key and Audio Sources

Video - Insert Video vs. Key (Alpha)

A full video signal is comprised of two components: Insert Video and Key. Both must be recorded to Video and Key (also known as Matte) files, respectively, in order to reconstitute Video and Key for use in Lyric. The figure below represents the relationship between Video (i.e., Insert Video) and its Key (Alpha) component.

Insert Video Component

Key Component

Analog Video and Key can be recorded from a number of source types: Composite 1, Composite 2, Y/C (S-Video) 1, Y/C (S-Video) 2 and Component sources. Recording analog Video and Key is supported by a DigiSuite LE clip player. It is not supported by a DigiServer clip player. To record analog Video and Key, the Composite, S-Video or Component signal(s) must be input to the appropriate connectors on the DigiSuite LE clip player multi-cable Analog Video connector. In addition, the Matrox DigiSuite utility, accessed from Start > Settings > Control Panel > DigiSuite, must be properly configured.

To record digital Video and Key, an SDI Video source must be connected to the digital video input of the Digital LE Module of the DigiSuite LE clip player, or to the digital video input on the DigiServer clip player. In addition, the Matrox DigiSuite utility, accessed from Start > Settings > Control Panel > DigiSuite, must be properly configured.

Refer to Internal Clip Player - Hardware and Connections for information on proper cabling, and to Matrox documentation for information on proper input/output configuration.

NOTE

Video and key (matte) files are recorded in two separate operations. The type of video/key (matte) AVI file that is recorded is determined by the type of clip player from which it was recorded, and, on the DigiServer clip player, the codec that is currently selected.

  • If the video/key file is recorded from a DigiSuite LE clip player, then the resulting file is an M-JPEG AVI file.

  • If the video/key file is recorded from a DigiServer clip player, and DV is the currently selected codec in the Clip Control Panel, then the resulting file is a DV AVI file. The codec can also be changed to MPEG-2 in the Internal Clip Recorder Panel.

  • If the video/key file is recorded from a DigiServer clip player, and MPEG is the currently selected codec in the Clip Control Panel, then the resulting file is an MPEG-2 AVI file. The codec can also be changed to DV in the Internal Clip Recorder Panel. IMPORTANT! DV and DV-25 *.avi files can be recorded and played back using only a DigiServer DV-25 clip player. DV-50 *.avi files can be recorded and played back using only a DigiServer DV-50 clip player.

Audio

The Internal Clip Player can record and play back audio. The DigiSuite LE clip player has analog and digital audio processing capability. The DigiServer clip player has digital audio processing capability only. Refer to Audio and the Internal Clip Player for details on audio configuration and operations.

  • To record analog audio using the DigiSuite LE clip player, an analog audio source must be connected to the audio input(s) of the DigiSuite LE clip player. The DigiServer clip player does not support analog audio. In order to record analog audio using a DigiServer clip player, the analog audio source must converted to digital prior to connection to the audio input of the DigiServer clip player.

  • To record digital audio, the audio source must be connected to the digital audio input of the Digital LE Module of the DigiSuite LE clip player, or to the digital audio input of the DigiServer clip player. In order to record analog video using a DigiServer clip player, the analog video source must converted to digital prior to connection to the video input of the DigiServer clip player.

For additional information on audio operations, refer to Audio and the Internal Clip Player.

Internal Clip Recorder Parameters and Controls

Overview

Before recording, ensure that the external video/audio source(s) is producing a signal(s). If the VPB or PCI-Squeezeback board is correctly configured for display of external video, the video source should be visible on the video output. Refer to Configuration for Display of Video Source - LE/LEX/PCI/PCI+ for information on displaying external video.

Composite analog output from the DigiSuite LE clip player or the DigiServer clip player can be displayed on an additional monitor. Audio can be monitored from a speaker or headphone plugged into the 3/4" output from the DigiServer clip player, or from an XLR output from either clip player.

To access the Internal Clip Recorder Panel:

  1. From the Tools menu, select Clip Control Panel. The Clip Control Panel opens.

  2. Select Internal Clip Player from the drop-down list box at the top of the Clip Control Panel.

  3. Click the Record icon Image: Record Icon located towards the top right of the Clip Control Panel.

    Image: Accessing the Internal Clip Recorder

    Accessing the Internal Clip Recorder

    The Internal Clip Recorder Panel opens. The following figure shows the appearance of the Internal Clip Recorder Panels for the DigiSuite LE (left) and DigiServer (right) clip players

    Image: DigiSuite and DigiServer Clip Recorder Panels

    Internal Clip Recorder - DigiSuite and DigiServer

There are slight differences between the two Internal Clip Recorder Panels, which are explained in the following paragraphs. Both panels are shown with video and audio recording enabled.

Format/Video Standard

The file format to which a video or key file is to be recorded is indicated at the top right corner of the Internal Clip Recorder Panel. The format is determined by the following:

  • If recording using a DigiSuite LE clip player, then the file format is always set to M-JPEG.

  • If recording using a DigiServer clip player, then the file format reflects last format selected in the Select Format area in the Internal Clip Recorder Panel. This setting is independent of the codec that is set for playback in the Clip Control Panel.

The Video Standard is also displayed at the top right corner of the Internal Clip Recorder Panel. In the preceding figure, the Video Standard is NTSC. The Video Standard cannot be changed in this dialog box. It is determined by the Video Standard that is set in the Matrox software for the clip player.

Each format offers various compression options for recording, which are covered later in this section.

Control

There are three Transport Controls: Play, Stop and Record. As the source is recording, the Frame Number and the total number of frames in the material to be captured are displayed in the Frame Counter fields. The total number of frames is determined by the Capture Duration, also set in the Internal Clip Player dialog box.

Video

Video (Key) Source type and video (key) file name are set in the Video area. Video and key are recorded separately. Generally, video would be fed to an input and recorded, and then key would be fed to the same input, and then recorded.

  • The Video (Key) source types that can be recorded depend on the type of Internal Clip Player that is installed in the system.

    • If a DigiSuite LE clip player is installed, the following Video (Key) sources are available: Composite 1, Composite 2, Y/C (S-Video) 1, Y/C (S-Video) 2, Analog Component, and 4:2:2 SDI.

    • If a DigiServer clip player is installed, the Video (Key) Source is already set to Digital SDI 1 Digital Input, as it is the only video that is accepted for recording. The Video Source drop-down list box is grayed out,

    Refer to Internal Clip Player - Hardware and Connections for information on proper cabling for each type of Video Source. Refer to Matrox documentation for information on proper input configuration.

  • The name of the video (key) file to which the video (key) is to be recorded is entered in the Video Filename field. If overwriting or adding to an existing file, the file can be located using the Browse function. If video assets from both types of clip players and/or multiple codecs are stored together, it is recommended that the file name include identifying information. For example a file saved in an MPEG-2 codec could be named News_Intro_MPEG2.avi or News_Intro_MPEG2.matte.avi. This name would identify it as a file that could be played back only from a DigiServer clip player.

Files should be recorded to a SCSI drive to ensure proper playback from the clip player.

Audio

Audio can be recorded in the *.wav format from the Internal Clip Player. Note that the audio is not embedded in a video file, but rather, recorded to audio-only files.

  • The (48 kHz) indicates the digital audio type supported by clip recording. This value cannot be changed.

A DigiSuite LE clip player can simultaneously record left and a right monaural *.wav files from an analog source input to the clip player. There are two file name fields displayed in the Internal Clip Recorder Panel when a DigiSuite LE clip player is installed and the clip player is configured for analog audio input:

  • The left analog audio file is recorded from the IN 1 XLR input of the DigiSuite LE clip player. The name of the left channel audio file to which the left channel audio is to be recorded is entered in the Left Filename field. If overwriting or adding to an existing file, the file can be located using the Browse function. The resulting recorded file is a monaural *.wav file.

  • The right analog audio file is recorded from the IN 2 XLR input of the DigiSuite LE clip player. The name of the right channel audio file to which the right channel audio is to be recorded is entered in the Right Filename field. If overwriting or adding to an existing file, the file can be located using the Browse function. The resulting recorded file is a monaural *.wav file.

Refer to Audio and the Internal Clip Player for information on audio configuration.

A DigiServer clip player or a DigiSuite LE clip player/Digital LE Module can record one stereo *.wav file at a time from a digital source. There is one file name field displayed in the Internal Clip Recorder Panel for a DigiServer clip player, or a DigiSuite clip player/Digital LE Module that is configured for digital audio input:

  • The stereo audio file is recorded from the Digital Audio (AES/EBU) In 1/2 XLR input. The name of the audio file to which the stereo audio is to be recorded is entered in the Filename field. If overwriting or adding to an existing file, the file can be located using the Browse function. The resulting recorded file is a stereo *.wav file.

Files should be recorded to a SCSI drive to ensure proper playback from the clip player. Refer to Internal Clip Player - Hardware and Connections for information about proper cabling for each type of Audio Source.

Options

  • Enable Video: Select (check) Enable Video to allow recording of external video. If Enable Video is not active, the video parameters in the Internal Clip Recorder Panel are grayed out.

  • Enable Audio: Select (check) Enable Audio to allow recording of external audio. If Enable Audio is not active, the audio parameters in the Internal Clip Recorder Panel are grayed out.

  • Confirm Overwrite: Select (check) Confirm Overwrite to display a confirmation before overwriting the currently selected Video, Audio, Audio Left and/or Audio Right file(s). If the following prompt is displayed when executing a recording, click Yes to allow the recording to overwrite the file, or No to cancel the recording.

    Image: Confirm Overwrite

    Clip Recorder Overwrite Prompt

  • Add to End: Select (check) Add to End to append the newly recorded material to the end of the currently selected Video, Audio, Audio Left and/or Audio Right file(s).

    If Confirm Overwrite is selected, the following prompt is displayed before adding to the end of the file(s). Select Yes to add the new material to the file, or No to cancel the recording.

    Image: Confirm Add to End

    Clip Recorder Add to End Prompt

    If Confirm Overwrite is not enabled, the material is added to the file with out a prompt.

Capture Duration

The length of recording can be predetermined, or can run until the Stop icon is clicked. To set a recording length:

  • Select (check) Capture Duration, and then enter the length of the recording, in frames, in the Frames field.

I-Frames, B-Frames and P-Frames

In a motion sequence, individual frames of an animation are grouped together in a GOP (group of pictures) and played back so that the viewer sees motion.

The following video compression methods can be used to record an MPEG-2 animation file:

  • I-Frame (Intraframe): An I-Frame, also known as a Keyframe, is a single frame of digital content that the compressor examines independently of the frames that precede and follow it. The I-Frame contains all of the data necessary to display the frame. The compressor stores this data and may use it to fill in missing data from the preceding and following frames. Typically, I-Frames are interspersed with P-Frames and B-Frames. The more I-Frames contained in a motion sequence, the higher the video quality. I-Frames contain the highest number of bits as compared to other frames in an animation sequence, and therefore take up more storage space.

  • B-Frame (Bidirectional Frame or Bidirectional Predictive Frame): B-Frames contain only the data, such as color or motion, that has changed from the preceding I-Frame, or that is different from the data in the succeeding I-Frame. Information on static elements is not included. The compressor references I-Frames to fill in the remainder of the data for the B-Frames. Because they track only changes, they are also known as Delta Frames. B-Frames almost always contain less information than I-Frames, and therefore require less storage space.

  • P-Frame (Predictive Frame or Predicted Frame): P-Frames follow I-frames in a motion sequence, and contain only the data that has changed from the preceding I-frame, such as in color or motion. Information on static elements is not included. The compressor references I-Frames to fill in the remainder of the data for the P-Frames. Because they track only changes, they are also known as Delta Frames. P-Frames almost always contain less information than I-Frames, and therefore require less storage space.

MPEG-2 Profiles and Luminance/Chrominance Sampling

When recording video, a variety of options are available, such as format, Data Rate and MPEG-2 Profile. The MPEG-2 Profile determines the pixel sampling rate of Luminance (Y) vs. Chrominance (Cr, Cb) The human eye is much more discerning when perceiving Luminance (grayscale) information, than it is with Chrominance (color) information; therefore, Chrominance can be sampled less frequently than Luminance, with a virtually imperceptible effect on the video.

Due to the eye's sensitivity to Luminance, all digital formats available for recording within the Internal Clip Recorder Panel sample each pixel for Luminance during the recording process.

There is, however, leeway with regard to Chrominance sampling. Depending upon the final use of the recorded video, or if storage space is at a premium, Chrominance can be sampled at a rate as low as one pixel for every four pixels sampled for Luminance. Chyron recommends that to record graphics for broadcast, the lowest available Chrominance to Luminance ratio be selected.

There are three MPEG-2 Profiles available to the Internal Clip Recorder. The figures showing MPEG-2 Profiles use the following legend:

Image: Pixel Graphic | Y, Cr and Cb are sampled.
Image: Pixel Graphic - Luminance Only | Y only is sampled.
Image: Pixel Graphic - Color Only | Cr and Cb only are sampled.

Image: Pixel Graphic and Image: Pixel Graphic - Luminance Only each represents a single pixel. Image: Pixel Graphic - Color Only is a special case that is explained in the paragraphs covering 4:2:0.

4:1:1

Luminance (Y) is sampled in every pixel, and Chrominance (Cr and Cb) is sampled in every fourth pixel.

Image: 4:1:1 Pixel Sampling

4:1:1 Pixel Sampling

4:1:1 sampling is applied as follows:

  • DV: NTSC.

  • DV 25: NTSC and PAL.

  • MPEG2: NTSC, when Main is selected as the MPEG-2 Profile.

4:2:0

Luminance (Y) is sampled in every pixel, and Chrominance (Cr and Cb) is sampled as an average of every other pair of vertical pixels. In effect, 4:2:0 samples every other pixel in every other line.

Image: 4:2:0 Pixel Sampling

4:2:0 Sampling

4:2:0 sampling is applied as follows:

  • DV: PAL.

  • MPEG2: PAL, when Main is selected as the MPEG-2 Profile.

4:2:2

Luminance (Y) is sampled in every pixel, and Chrominance (Cr and Cb) is sampled in every other pixel. 4-2-2 is recommended for recording files for broadcast graphics applications.

Image: 4:2:2 Pixel Sampling

4:2:2 Sampling

4:2:2 sampling is applied as follows:

  • DV 50: NTSC and PAL.

  • MPEG2: NTSC and PAL, when 4-2-2 is selected as the MPEG-2 Profile.

Select Format - MJPEG (DigiSuite LE Clip Player Only)

If a DigiSuite LE clip player is used to record, the format automatically defaults to MJPEG. The compression settings for the recorded MJPEG video file can be adjusted. The Compression Ratio dictates how the Internal Clip Player trades off picture quality for file size. This variable can have a significant effect on the appearance of the recordings produced by the Internal Clip Player. If attempting to preserve disk space by using higher data compression, experiment carefully!

When a Data Rate is entered, the Compression Ratio is automatically calculated.

Image: MJPEG Capture Settings

MJPEG Capture Settings

The following table shows sample settings for Compression Ratio vs. quality:

Data Rate | Compression | Quality
60 | 341.0:1 | High compression; very low quality
2000 (Default) | 10.2:1 | Default setting.
5105 | 4.0:1 | A lower compression rate, and a good starting point. It may be necessary, however, to increase or decrease the value based on the type of material to be recorded and individual requirements for quality.
15300 | 1.3:1 | Almost no compression; highest possible picture quality on the Internal Clip Player.

To apply settings and exit MJPEG Capture Settings:

  • Click the Close icon Image: Close Icon.

Select Format - DV (DigiServer Clip Player Only)

DV is recorded using the I-Frame Only process. DV frame size is 720 X 576 for PAL, and 720 X 480 for NTSC. When converting from the CCIR NTSC Video Standard (720 X 486), six lines must be cut; four lines from the top and two lines from the bottom. The lines are added at the same locations when converting back to the CCIR NTSC Video Standard.

If DV is selected as the recording format, the DV Capture Settings dialog box opens.

Image: DV Capture Settings

DV Capture Settings

The following Data Rates can be selected:

  • DV: The Data Rate is 25 megabits per second. In NTSC, the 4-1-1 MPEG-2 Profile is applied. In PAL, the 4-2-0 MPEG-2 Profile is applied. This Data Rate is supported by a DigiServer DV-25 clip player only.

  • DV 25: The Data Rate is 25 megabits per second. In NTSC and PAL, the 4-1-1 MPEG-2 Profile is applied. This Data Rate is supported by a DigiServer DV-25 clip player only.

  • DV 50: The Data Rate is 50 megabits per second. In NTSC and PAL, the 4-2-2 MPEG-2 Profile is applied. This Data Rate is supported by a DigiServer DV-50 clip player only.

To apply setting and exit DV Capture Settings:

  • Click OK.

Select Format - MPEG2 (DigiServer Clip Player Only)

MPEG-2 can be recorded using the I-Frame Only or B-P-I recording process. The MPEG-2 Profile can be the main profile normally used for capture, or 4-2-2, which is a higher-quality capture profile. MPEG-2 Capture Data Rate is also adjustable, and can be either constant or variable.

If MPEG2 is selected as the recording format, the MPEG2 Capture Settings dialog box opens.

Image: MPEG2 Capture Settings

MPEG2 Capture Settings

To apply settings and exit MPEG2 Capture Settings:

  • Click the Close icon Image: Close Icon.

MPEG2 Process

The MPEG2 Process setting determines if I-Frames only or a combination of I-Frames, B-Frames and P-Frames are used to record the file.

  • I-Frame Only: When I-Frame Only is selected, all data in each frame is recorded. This results in a high-quality, large file. The quality of recording is determined in part by the Initial Q Factor I settings. B and P settings do not apply to I-Frame Only recording. Using I-Frame Only to record a file is highly recommended for broadcast graphics applications.

  • I-B-P: When I-B-P is selected, the compressor uses a combination of all three types of frames to record the file. The quality of recording is determined in part by the Initial Q Factor I, B and P settings. The additional compression applied when I-B-P is used to record a file is not recommended for broadcast graphics applications, as it can cause undesirable artifacts.

MPEG2 Profile

The MPEG2 Profile determines the sampling pattern used to record color and luminance information.

  • Main: In NTSC, 4-1-1 sampling is applied. In PAL, 4-2-0 sampling is applied.

  • 4-2-2: In NTSC and PAL, 4-2-2 sampling is applied. 4-2-2 is highly recommended for recording files for broadcast graphics applications.

MPEG2 Capture Data Rate

The type of Data Rate and the Data Rate value determine the amount of data that is recorded per second. The higher the Data Rate, the higher the quality of the recorded video.

  • Constant Data Rate: A constant data rate does not adjust for an increase of data caused due to the complexity of the video at a particular frame. In keeping to a constant data rate, data could be discarded, resulting in undesirable artifacts.

  • Variable Data Rate: A variable data rate allows the recording process to adjust for spikes in amount of data that must be processed.

  • MBits/Sec: The minimum recommended Data Rate value is 50 megabits/per second. When Variable Data Rate is selected, this value becomes a target, as opposed to an absolute setting.

Initial Q Factor

The Q Factor for each of the frame types (I, B, P) determines the quality of the video that is recorded. Range: 1 (best) to 112 (poorest). A setting of 32 or higher generally results in poor video capture. When I-Frame Only is selected as the MPEG-2 Process, B and P settings do not apply. Experiment to determine the optimal settings for the type of video and its intended use.

Caution! When I is set to 1, and the Data Rate is set to less than 15 megabits per second, there is a danger of encoding only half the video frame during I-Frame 4:2:2 capture. To avoid this situation, set the Data Rate at a higher value.

Recording

To set up and execute a recording:

  1. Connect the video/audio sources as follows:

    • DigiSuite LE - Analog Video: Connect source video to the appropriate analog video input(s).

    • DigiSuite LE - Analog Audio: Connect source audio to the IN 1 and IN 2 analog audio inputs.

    • Digital LE Module of the DigiSuite LE - Digital Video: Connect source video to the SDI IN digital video input.

    • Digital LE Module of the DigiSuite LE - Digital Audio: Connect source audio to the IN 1/2 digital audio input.

    • DigiServer - Digital Video: Connect source video to the SDI/SDTI digital video input. The DigiServer clip player does not support analog video input.

    • DigiServer - Digital Audio: Connect source audio to the Digital Audio (AES-EBU) In 1/2 digital audio input. The DigiServer clip player does not support analog audio input.

  2. Verify that the video source is producing the desired picture, and/or that the audio source is producing the desired sound.

  3. Access the Internal Clip Recorder menu as describer earlier.

  4. If using a DigiSuite LE clip player to record, select a video source from the Video Source drop-down list box, if it not already selected. If using a DigiServer clip player, Digital SDI Video is automatically selected as the video source.

  5. In the Options area near the bottom of the menu, select (check) Enable Video and/or Enable Audio.

  6. Optional: Select Confirm Overwrite.

  7. Optional: Select Add to End.

  8. Enter a file name in the Video Filename field, or browse to the file that is to be added to or overwritten. The filepath should be to a SCSI drive, in order to ensure proper playback through the clip player.

    • If recording analog audio using a DigiSuite LE clip player, enter Left and Right Audio Filenames, or browse to the file(s) that is to be added to or overwritten.

    • If recording digital audio using a DigiServer clip player or a DigiSuite LE clip player/Digital LE Module, enter an Audio Filename, or browse to the file that is to be added to or overwritten.

    If the audio file(s) is to be played back in conjunction with the video file, the audio file(s) should have the same name as the video file and be saved to the same directory as the *.avi file. The directory containing the audio file(s) should not have a period "." in the directory name, as the audio file(s) may not play back.

    • It is not necessary to add file extensions. When recording is completed and the files are saved, the system adds file extensions as follows: *.avi for a video file; *.wav for a digital audio recorded on a DigiServer clip player or DigiSuite LE clip player/Digital Module; and/or *.a1.wav and *.a2.wav for left and right analog audio recorded on a DigiSuite LE clip player.

    • When establishing filepaths for recording through the clip player, Lyric defaults to the last directory used. If a full filepath is entered on first recording to the Internal Clip Player in a Lyric session, then subsequent recordings made during that session are automatically saved to the same drive and directory.

  9. Optional: Select (check) the Capture Duration Fixed At checkbox, and then enter the number of Frames to record. Whether or not Capture Duration is enabled, recording length is limited only by the amount of space on the SCSI drive to which the Internal Clip Player is recording.

    Image: Internal Clip Recorder - Parameters Entered

    Parameters Entered

  10. Select and configure the format.

  11. Once setup is complete, the Record icon becomes available. Click Record Image: Record Icon. The Ready to Record prompt is displayed.

    Image: Ready to Record

    Ready to Record Prompt

  12. Click OK. The Record icon becomes grayed out, and the Frame counter starts to advance, as shown in the Control Area Frame field.

    Image: Record in Progress

    Record in Progress

    • If Fixed At has been enabled: When the recording has captured the designated number of frames, the Record operation stops. The Frame Counter displays 0 of 0, and the Record icon again becomes available.

    • If the Fixed At has not been enabled: The Frame Counter does not advance during recording. Recording continues until the Stop icon Image: Stop Icon is clicked. The Frame Counter updates to show the total number of fields when the file is played back by clicking the Play icon.

    • When new material is added to an existing file, the values shown in the Frame Counter fields for the entire file are updated after the new material is added.

Playback

Once recording has stopped, the Play icon becomes available.

  • Click Play Image: Play Icon to play back the clip and check the recording on the Program Out monitor. Remember that playback does not appear on the Lyric Canvas as seen on the VGA monitor. Note that the Play icon in this dialog box has limited function. Any programmed and/or edited playout of recorded clips to air should originate from the Clip Control Panel or from within a Lyric animation.

Creating a Matte File

The Matte, or Alpha layer that accompanies Insert Video must be created in a second recording process. The procedure for creating a matte file is similar to recording a video file.

  1. Connect the key source to the appropriate video input(s) of the DigiSuite LE clip player, the Digital Module of the DigiSuite LE clip player, or to the DigiServer clip player.

  2. Verify that the key source is producing the desired picture.

  3. Access the Internal Clip Recorder Panel as previously described.

  4. Select the appropriate key source from the Video Source drop-down list box.

  5. In the Options area near the bottom of the menu, select (check) Enable Video.

  6. Optional: Select Confirm Overwrite.

  7. Optional: Select Add to End.

  8. Enter the same file name in the Video Filename field as was just recorded, or browse to the Matte file that has the same file name as the recorded video, and that is to be added to or overwritten. The filepath should be to a SCSI drive, in order to ensure proper playback through the clip player. The Matte file should be in the same directory as the *.avi file to which it is associated. Add ".matte.avi" to the File Name.

    Image: Entering a Matte File Name

    Entering a Matte File Name

  9. Optional: Select (check) the Capture Duration Fixed At checkbox, and then enter the number of Frames to record. Whether or not Capture Duration is enabled, recording length is limited only by the amount of space on the SCSI drive to which the Internal Clip Player is recording.

  10. Once setup is complete, the Record button becomes available. Click the Record button. The Ready to Record prompt is displayed.

  11. Click OK. The Record button becomes grayed out, and the Frame counter starts to advance. When recording is complete, the video and matte file can be used together to create a clip that can be used in a Lyric composition.

Refer to Clip Control Panel for details on clip editing and incorporation of clips into Lyric compositions.

Clip Player - Related Topics


Matrox to Altitude Media Converter

Matrox to eFX Media Converter

Program's File Location or New Installation

Leitch Media Converter is present in all eFX Board-equipped Chyron systems, regardless of options initially purchased. Installation of eFX Drivers after initial system purchase (i.e., for addition of eFX boards to your system) will automatically install LtvMediaConverter.exe.

If you are installing eFX drivers for the first time, load the Lyric installation disk, and click Drivers, Utilities, 3D Library. Install the eFX Plugin, the link for which is shown in the following illustration. Note that the eFX Plugin's version number may vary.

The Leitch Media Converter is thus installed in C:\Program Files\Leitch\LtvMediaConverter.

Follow these steps to convert DigiSuite- or DigiServer-compatible .AVI clips to the .LTV format used with the eFX board.

  1. In the Preferences menu, click on Auto Select. This menu item configures the converter for either DigiSuite or DigiServer files.

  2. Return to the Preferences menu and select Output Settings. The menu seen below allows configuration of the folder that will contain the converted output files and store compression settings.

Video compression settings are variable, as seen below. You may wish to experiment with the degree of compression. The values pictured here are recommended as a starting place.

Alpha channel compression settings may also be varied, as seen below.

Audio compression should be set as pictured here.

  3. Select the folder that contains the Matrox-format clips to be converted:

  4. Now drag the desired .avi file into the conversion window below. Note that multiple files can be added to the conversion window for processing as a batch.

  5. Start the conversion process by clicking the Go button.

The newly-created .ltv files will appear in the output folder configured in Step 2.


Clips - Related Topics

Internal Clip Player: Hardware Intro and Connections

A udio and the Internal Clip Player

Configuration for Display of Video Source

Clip Control Panel

Previewing, Creating and Playing a Clip

S aving and Recalling a Clip File

C lip Timeline Operations

Recording Video/Audio to Video/Audio Files

Using Audio in Lyric

A prisa Systems

Aprisa Clip Asset Operations

External VTR or DDR Operation

Cabling Options

Hardware Configuration - Setup Board Configuration

Selective Recording

e FX Panel - Clip Playback

eFX Panel - Recording a Clip


eFX Panel - Clip Playback

Tools Menu > eFX Panel > Clip

NOTE

The Clips tab in the eFX Panel is not accessible unless at least one Clips option is installed in the system.

Clips can be played out through the eFX board, and can be used as Video Mix sources. If the channel is set for HD, one clip can be loaded; if the channel is set for SD, four clips can be loaded. A clip can be comprised of any combination of a Video, Key and/or Audio file. To access the Clip settings:

  • From the Tools menu, select eFX Panel. After the panel opens, click the Clip tab. The Clip settings are displayed.

HyperX eFX Panel - Clip Tab

eFX Panel - Clip Tab

Device Selection

Device: The settings for any eFX board that is in the system are accessible from the Device spin box, regardless of the currently active frame buffer. The eFX boards are numbered in the order of their frame buffer number. For example, if frame buffers 2 and 4 are eFX boards, then they would be numbered 1 and 2, respectively. When an eFX board is selected, its settings are displayed and can be edited.

    Clip Playback - Scrub and Transport Controls

    Scrub Controls

    Scrub controls are used ONLY for previewing clips by frame.

    • Scrub Frame Counter: The Scrub Frame Counter displays the currently displayed from of the clip. A time can also be entered into the Scrub Frame Counter to move the clip to the specified frame.

    • Scrub Slider: The Scrub Slider can be dragged to move the clip to a different frame.

    Transport Controls

    The Transport Controls are used to start and stop clip playback.

    • Jump to Beginning: Jumps to the beginning of the clip.

    • Stop: Stops clip playback.

    • Play: Plays the clip.

    • Jump to End: Jumps to the end of the clip.

    Clip Load Setup

    Clip Area

    The Clip area displays settings which determine how the clip is loaded and played back when it is a component of a Lyric message.

    Duration Counter

    The duration of the clip, in frames, may be set.

    Cue Dropdown

    • No Cue: When a Lyric message is read, the clip starts playback as specified in the Timeline.

    • Cue Clip: When a Lyric message is read, the clip displays its first frame on output when it loads, and then starts playback as specified in the Timeline.

    • Cue Black: When a Lyric message is read, any previously loaded clip is cleared from the output. The newly loaded clip starts playback as specified in the Timeline.

    Checkboxes

    • Load Always: If enabled (checked), each time a message is loaded that contains the same clip as the previously loaded message, the clip reloads. If disabled (unchecked), each time a message is loaded that contains the same clip as the previously loaded message, the clip does not reload. The clip from the message that first contained the clip continues playback.

    • Play to End: The clip plays to the end, unless manually stopped, regardless of the message's length.

    • Loop: With this option enabled, all items comprising the clip (video/key/audio) will loop with the same duration, . If any of the components are of a lesser duration than the loop's, they will hold their end frame for the loop's entire duration, at which time all elements will revert to the first frame.

    Loading Clip Components

    Any or all of three component files can make up a clip. They include a Video file, a Key file and an Audio file. Loading these files works similarly for each type of component.

    NOTE

    When the Video Mix in the eFX Panel is in Fixed Mode, do not assign any video sources to Layer 3. If it is necessary to use Layer 3, then Video Mix must be put into Flexible Mode.

    Video

    To set up the Video component of the clip:

    1. Click the Enable checkbox to enable playback of the Video component. A check should appear. If Enable is not checked, the Video settings are grayed out and any loaded Video file does not play back.

    2. From the Play To dropdown list box, select a destination to which the Video component should play. It then becomes accessible as a source for a Video Mix.

    3. Enter a file path, or click the File button to open the Select Leitch Media File dialog box. Select an eFX Video Files (*.ltv) file, and then click Open to load as the Video component of the clip.

    4. Click the Trim button to set additional playback options. Trim settings are covered later in this section. The Trim dropdown list box displays the values that are set in the Trim Media Clip dialog box.

    Key

    To set up the Key component of the clip:

    1. Click the Enable checkbox to enable playback of the Key component. A check should appear. If Enable is not checked, the Key settings are grayed out and any loaded Key file does not play back.

    2. From the Play To dropdown list box, select a destination to which the Key component should play. It then becomes accessible as a source for a Video Mix.

    3. Enter a file path, or click the File button to open the Select Leitch Media File dialog box. Select an eFX Video File (*.ltv) file, and then click Open to load as the Video component of the clip. Note that the file must have a Key signal, otherwise, Key will be full-screen white.

    4. Click the Trim button to set additional playback options. Trim settings are covered later in this section. The Trim dropdown list box displays the values that are set in the Trim Media Clip dialog box.

    Audio

    To set up the Audio component of the clip:

    1. Click the Enable checkbox to enable playback of the Audio component. A check should appear. If Enable is not checked, the Audio settings are grayed out and any loaded Audio file does not play back.

    2. From the Play To dropdown list box, select a destination to which the Audio component should play.

      • Audio Play 1/2 = AES 1 Out

      • Audio Play 3/4 = AES 2 Out

      • Audio Play 5/6 = AES 3 Out

      • Audio Play 7/8 = AES 4 Out

    3. Enter a file path, or click the File button to open the Select Leitch Media File dialog box. Select an Audio File (*.wav), and then click Open to load as the Audio component of the clip.

    4. Click the Trim button to set additional playback options. Trim settings are covered later in this section. The Trim dropdown list box displays the values that are set in the Trim Media Clip dialog box.

    Trim Settings

    Trim settings provide additional playback options for each clip component. To access the Trim settings for a component:

    1. Click the Trim button for that component. The Trim Media Clip dialog box is displayed.

      Trim Media Clip

      Trim Media Clip Settings

      The Clip File field displays the name of the file that is loaded as the Video, Key or Audio component. The Duration frame counter displays the duration of the clip. Both the displayed Clip File name and the Duration reflect settings in the Clip tab and cannot be edited from the Trim Media Clip dialog box.

    2. In the Trim area, set the Trim parameters:

      • Delay: Playback of the file starts the specified number of frames after the clip as a whole starts playing.

      • Trim In: Trims the specified number of frames from the beginning of the clip. Note that setting a Trim In value does not alter the source file.

      • Trim Out: Trims the specified number of frames from the end of the clip. Note that setting a Trim Out value does not alter the source file.

    3. In the Loop area, set the Loop parameters:

      • Loop (Enable): If Loop is enabled (checked), then the clip will loop as specified in the Loop parameters when the clip is played back. If Loop is disabled (unchecked), then the clip will play through once, and Loop parameters are ignored.

      • Loop In: Specifies the frame to which the clip playout should loop after it reaches the end of the clip or the specified Loop Out frame.

      • Loop Out: Specifies the end frame for the loop, at which clip playout should then loop back to the specified Loop In frame.

      • Loops: Specifies the number of times that the clip should loop. If the Loop Out frame is different from the last frame of the clip, then on the last loop of the playback, the clip plays to the end.

      • Continuous: If enabled (checked), the clip loops continuously until manually stopped. If disabled (unchecked), the clip plays for the specified number of loops.

    4. Once Trim parameters are set, click OK. Trim settings are reflected in the Trim dropdown list box in the Clip tab.

    Erasing a Clip from Output

    It may become necessary to erase a clip from output. To do so:

    • From the Tools menu, select Clip Control Panel. After the panel opens, click the Clear button.

    Timeline Functions

    A clip can be added to a Timeline and subsequently updated.

    • Timeline Add enables the addition of the clip to the Timeline. To add a clip to a Timeline:

      • After setting the clip parameters, click the Timeline Add button.

    • Timeline Update enables the update of an already existing clip on the Timeline. To update an existing clip on the Timeline:

      • Select the clip on the Timeline or the Scene Graph, modify as necessary, and then click the Timeline Update button.


eFX Panel - Recording a Clip

Tools Menu > eFX Panel > Record

Overview

Video and audio can be recorded through the eFX board.

  • Video and Key can be recorded to compressed or uncompressed HD or SD files.

  • Audio can be recorded as well to a WAV file.

HyperX eFX Panel - Record Tab - Video In Selected

eFX Panel - Record Tab
Video In Selected

HyperX eFX Panel - Record Tab - File Sequence Selected

eFX Panel - Record Tab
File Sequence Selected

Device Selection

Device: The settings for any eFX board that is in the system are accessible from the Device spin box, regardless of the currently active frame buffer. The eFX boards are numbered in the order of their frame buffer number. For example, if frame buffers 2 and 4 are eFX boards, then they would be numbered 1 and 2, respectively. When an eFX board is selected, its settings are displayed and can be edited.

Timeline Functions

Timeline Add and Update: These settings are not applicable to Record, and are therefore grayed out.

Transport and Record Controls

Scrub Controls

Scrub Controls do not apply to Record operations. Clips can be previewed using Scrub Controls located in the Clip tab.

Transport and Record Controls

The Transport Controls are used to start and stop recording.

  • Jump to Beginning: This setting is not applicable to Record, and is therefore grayed out.

  • Stop: Stops the Record process.

  • Record: Starts the Record process.

  • Jump to End: This setting is not applicable to Record, and is therefore grayed out.

Record Setup

About Record Parameters

Before recording, a number of parameters should be set. They fall into the following categories:

  • Clip: Includes record parameters such as Source, Duration, Delay and Strobe.

  • Video File: Includes parameters regarding the file to which the video is to be recorded.

  • Audio File: Includes parameters regarding the file to which the audio is to be recorded.

Clip Area

Record parameters such as Source, Duration, Delay and Strobe are set in the Clip area.

Settings Common to Both Video In and File Sequence Recording

The following settings are common to both Video In and File Sequence recording:

  • Source: Recording can take video from one of two sources:

    • Video In: One video source can be recorded at a time. The video source can be recorded to a Video or Key file.

    • File Sequence: A file sequence such as a Targa sequence that used as a Flipbook can be recorded. When File Sequence is selected, text fields are displayed in which the user can select the first and last files in the File Sequence to be recorded.

  • Preview: Enables preview of the source video while the new video file is being recorded.

    • When enabled (checked), the source from which the video file is being recorded is displayed on output.

    • When disabled, the source from which the video file is being recorded is not displayed on output.

  • Duration: Set the duration of the recorded clip in the Frame Counter.

  • Fixed: The record can be set for a fixed duration or can free run until the Stop icon is clicked.

    • When Fixed is enabled (checked), the recording stops at the duration specified in the Duration field, even if there may be left over frames in a File Sequence. In addition, file space is allocated for the entire duration, even if the space required for the recording is smaller. For example, if the Duration is fixed at 20 seconds, but there are only 10 seconds of material, then the file size is still that of a 20-second file.

    • When Fixed is disabled (unchecked), the recording is in free run, and stops when the File Sequence has completed recording , or the Stop icon is clicked.

Settings Specific to Recording from Video In

The following settings apply only when Video In is selected as the source:

  • Delay: A delay, in frames, can be set to delay the start of recording. This could be used, for example, to delay recording to allow for a VTR to come up to speed. Delay does not apply when recording from a File Sequence.

  • Strobe: To produce a strobe effect, frames can be skipped when recording. For example, entering the value 5 will result in one in every five frames being recorded. Strobe does not apply when recording from a File Sequence.

Settings Specific to Recording from a File Sequence

The following settings apply only when Video In is selected as the source:

  • First File: Enter a file path or click the First File button to navigate to the first file of the sequence to be recorded.

  • Last File: Enter a file path or click the Last File button to navigate to the last file of the sequence to be recorded. This field is auto-filled with the last-numbered file in the sequence, but can be changed.

Video File Area

Video File parameters differ slightly depending on whether Video In or File Sequence is selected.

  • If Video In is selected, a Video file or a Key file can be recorded at one time.

  • If File Sequence is selected, Video, Key or Video & Key can be recorded.

The following settings set video parameters. Differences between Video In and File Sequence recording are noted.

  • Video File: Recording of the Video can be enabled or disabled.

    • When Video File is enabled (checked), then Video settings are applied and a video file is created when a record is performed. Audio File should be disabled when recording only a video file. If recording a file sequence, audio cannot be recorded, and audio settings are grayed out.

    • When Video File is disabled (checked), then Video settings are grayed out and a video file is not created when a record is performed.

  • Video File Name: Enter then file path or use Browse icon to navigate to the desired directory, enter the file name, and then click Open. If only a file name, but no path, is entered, then the file is recorded to the current working directory. This is either the directory from which Lyric was launched, or the last directory to which a file was saved.

  • Channels: Channels to be recorded are selected.

    • If Video In is selected as the video source, then either Video or Key can be recorded.

    • If File Sequence is selected as the video source, then Video, Key or Video & Key can be recorded.

  • Video and Key radio buttons indicate which channel parameters are currently displayed for edit. Parameters for Video and Key can be viewed and independently set by clicking the Video or Key radio button, respectively. Note that the default Mb/sec setting for Key is half that of the default setting for Video. This is because Key information requires 1 bit/pixel and Video information requires 2 bits/pixel.

  • Bits: Select 8 or 10 bits to allocate to color information from the drop-down list box. 10 bits provides higher color quality than 8 bits, but results in a larger file size.

  • Compression: Either CDW or no (None) compression can be applied when recording.

    • CDW specifies Wavelet compression.

    • None specifies that the video is recorded at full bandwidth.

  • Mb/sec (Data Rate): The Data Rate specifies the amount of compression to apply when recording the video file. A lower compression value results in higher quality, but larger file size. A higher compression value results in lower quality, but smaller file size. This value is ignored when None is selected as the Compression.

    • When the eFX board is set for HD, an acceptable compression range is approximately 100 to 300. Uncompressed HD is 1000Mb/s. The acceptable range provides for between approximately 10:1 and 3:1 compression.

    • When the eFX board is set for SD, an acceptable compression range is approximately 20 to 60. Uncompressed SD is 160Mb/s. The acceptable range provides for between approximately 8:1 and 3:1 compression.

Audio File Area

Audio can be recorded only when Video In is selected as the source. The Audio File area is grayed out when File Sequence is selected as the source. The following parameters should be set if recording audio:

  • Audio File: Recording of the Audio can be enabled (checked) or disabled (unchecked).

    • If Audio recording is enabled, then Audio settings are applied and an audio file is created when a record is performed. Video File should be disabled when recording only an audio file.

    • If Audio recording is disabled, then Audio settings are grayed out and an audio file is not created when a record is performed.

  • Audio File Name: Enter the file name to which the audio file is to be recorded, or use Browse icon to locate the folder in which the audio file should be recorded.

  • Channels: Both channels of audio, channel 1 or channel 2 channel can be recorded. Select Audio Input 1/2, Audio Input 1 or Audio Input 2 from the drop-down list box.

  • Bits: Select 16, 20, 24 bits from the drop-down list box.

  • Compression: PCM is the currently supported compression, and is already set in the drop-down list box.

  • Data Rate: Data Rate is set at 48 kHz, and is not editable.


eFX Panel - Video Mix

Video Mix Setup

Tools Menu > eFX Panel > Video Mix Tab

Video Mix Overview

The eFX Video Mix layer-within-layer structure enables the creation of complex, multi-layered graphics. Each layer and sub-layer can originate from a wide range of sources, and in some instances, have an effect applied. The flexibility of the eFX channel enables the user to select and independently assign graphic, clip and other sources to each of the sub-layers. The integrated router enables routing of the mixes to the outputs. Video Mix settings can be used to set a static mix state for the channel, or to create Video Mix objects, which can be manually played back or added to Lyric Timelines.

  • To set a Static Video Mix state for the channel. Lyric messages that do not contain Video Mix objects display using the current video mix settings.

  • To program a specific mix to be triggered manually or from the Timeline. This type of mix is called a Video Mix object. A Video Mix object can include multi-layer Wipe or Dissolve transitions. A Video Mix object can be added to a Timeline, and triggers at the specified frame.

    • Any Mix Effect or Mix Layer settings that are different from the static settings described in the previous bullet must have In Mix enabled, or the changes will not be included in the Video Mix object when it is triggered.

    • If In Mix is not enabled for a Mix Effect or Mix Layer, then that effect or layer retains its current state when the Video Mix object is triggered or played back.

To access the eFX Panel Video Mix settings:

  • From the Tools menu, select eFX Panel. After the panel opens, click the Video Mix tab. The Video Mix settings are displayed. If Video In is set to Off in the Hardware Configuration Configure Board Settings, then the Mix Effect Layer Color setup is automatically displayed. If Video In is set to On in the Hardware Configuration Configure Board Settings, then Mix Effect Layer Dissolve effect setup is automatically displayed.

Video Mix Settings - Video In Off

Video Mix Settings - Video In Off

Video Mix Settings - Video In On

Video Mix Settings - Video In On

The Video Mix settings are divided into a number of regions, which are covered in the following sections. The main areas are as follows:

  • Device: Specifies the eFX board for which the Video Mix tab settings are displayed.

  • Timeline Functions: Provides the ability to add a Video Mix object to the Timeline and update an existing Video Mix object on the Timeline.

  • Scrub: Provides the ability to preview and play back a Video Mix object.

  • Mix: Duration of the Video Mix object is set.

  • Layer, Sources: Displays the layer for which layer parameters such as Effect (for Mix Effect layers) and Sources are set. The graphic layering set in Layer and Sources determines the resulting Program video.

  • Sources: Specifies the graphics layering that is assigned to the selected Mix Effect or Mix Layer sub-layer.

  • Advanced Routing: Specifies the video to be sent to the physical HD/SD 1, HD/SD 2 and Composite outputs on the eFX board. The Mixer Router contains two main sections:

    • Output Routers: The Output Router settings specify the video source that is sent to the HD/SD Output 1, HD/SD Output 2 and Composite output of the eFX channel.

    • Internal Routers: The Internal Routers specify the video source to be used as Program, Preview, Record 1 and Record 2 (SD only).

About Video Mix, Router Setup and Outputs

About Video Mix Setup

When setting up a Video Mix, it is important to understand which settings are "objects" and which settings are the parameters that apply to those objects. Here the Mix Effect layers and Mix Layers are the objects, and the settings in the remainder of the Layer and Source areas are the parameters that apply to that object. Each time a different layer is selected, it displays its own settings, which can be independently edited. For example, if Mix Effect 1 is the selected layer as shown in the figure below, then the In Mix, Enable, Effect, Progress, and Bottom, Top and Border sources and settings apply to the Mix Effect 1 layer.

Static Video Mixes are displayed as they are set. A Video Mix object which contains an effect (HD) or up to four effects (SD) can be previewed using the Scrub and Transport Controls. Scrub and Transport Controls are described later in this section.

After a Video Mix object is created, it can be added to the Timeline of a Lyric animation. The Video Mix object is saved when the animation is saved.

About Router Setup and Outputs

The Internal Routers settings specify the sources for the Program and Preview video, which can be output to any of the physical BNC outputs on the eFX board. A source can originate from a Mix Effect layer or Mix Layer that has been set up in Video Mix, or can be a single graphic source, such as Graphic Fill 1 or Clip Fill 2.

  • There are two digital HD/SD video outputs on from the eFX channel: HD/SD Output 1 and HD/SD Output 2.

    • If the board is set for HD, then an SDI HD signal is output from HD/SD Output 1 and HD/SD Output 2.

    • If the board is set for SD, then an SDI SD signal is output from HD/SD Output 1 and HD/SD Output 2.

    • Program video is generally, although not always, assigned to HD/SD Output 1.

    • Preview video is generally, although not always, assigned to HD/SD Output 2.

  • The Composite output outputs a downconverted (if HD), D-A converted analog composite SD signal when the board is set for HD, and a D-A converted analog composite SD signal when the board is set for SD. Program video is generally, although not always, assigned to the Composite output.

Other video which can be sent to the HD/SD outputs include Test Pattern, Bypass (routes Video In) and Downconverter (HD only).

Advanced Routing is covered later in this section.

Erasing a Clip from Output

It may become necessary to erase a clip from output. To do so:

  • From the Tools menu, select Clip Control Panel. After the panel opens, click the Clear button.

Device Selection

Device: The settings for any eFX channel that is in the system are accessible from the Device spin box, regardless of the currently active frame buffer. When an eFX channel is selected, its settings are displayed and can be edited. For example, when Device 4 is selected, then the settings for that eFX channel are displayed.

The eFX channels are numbered in the order of their frame buffer number. For example, if frame buffers 2 and 4 are eFX channels, then they would be numbered 1 and 2, respectively in the Device spin control box.

Mix Area

Preset

Preset resets the Video Mix settings to default values.

  1. Click the Preset button. The dialog box opens.

    Video Mix Presets

    Video Mix Presets

  2. Click the Restore button. The dialog box closes, and the Video Mix settings are restored. Note that the Save and Clear functions are not yet implemented.

Duration

The duration of the Video Mix is set in the Duration frame counter. This setting determines the duration of the Video Mix. Setting a Duration is necessary if:

  • Creating a Mix Effect that transitions, such as a Wipe or Dissolve.

  • Creating a Video Mix object which is to be added to the Timeline.

  • Using the Scrub or Transport Controls to play back the Video Mix. Scrub and Transport Controls are described at the end of this section.

About Mix Effects and Mix Layers

The Layer area displays the settings for each layer. The number of available layers depends on whether the eFX channel is set to HD or SD, and whether it is in Fixed or Flexible Mode. Fixed and Flexible Modes are covered later in this section. There are two types of layers:

  • Mix Effects: A Mix Effect layer contains two sub-layers, Top and Bottom, and, depending on the selected Effect, a Wipe and a Border. The Border is applied to the Wipe, which can be used to transition from the Top video source to the Bottom video source.

    • HD: There is one Mix Effect layer available in both Fixed and Flexible Modes.

    • SD: There is one Mix Effect layer available in Fixed Mode, and four Mix Effect layers available in Flexible Mode.

  • Mix Layers: A Mix Layer contains two sub-layers, Top and Bottom, as well as a Key layer. A Mix Layer does not perform a transition.

    • HD: There is are three Mix Layers available when the eFX Panel set to Fixed Mode, and four Mix Layers when it is set to Flexible Mode.

    • SD: There are three Mix Layers available in Fixed Mode, and eight Mix Layers available in Flexible Mode.

A Mix Effect layer or Mix Layer can be enabled or disabled:

  • If Enable is active (checked), then the layer passes video on to the next layer up.

  • If Enable is not active (unchecked), the layer becomes inactive and passes video, as specified by the Bottom layers, through to the next layer.

Fixed and Flexible Modes

The eFX Panel can operate in either Fixed or Flexible Mode. Fixed Mode is more restrictive, but provides a good starting point for a new user. It is recommended that the user set the eFX Panel for Fixed Mode until familiar with operation. Flexible Mode provides more flexibility with setting layer priority, and allows additional video sources to be used as layer sources.

NOTE

When the Video Mix in the eFX Panel is in Fixed Mode, do not assign any video sources to Layer 3. If it is necessary to use Layer 3, then Video Mix must be put into Flexible Mode.

How Layers Work in Fixed Mode

Fixed Mode keeps layer priority fixed, and allows only an individual video source to be assigned to a sub-layer of a Mix Effect or Mix Layer. In Fixed Mode, the numbers of available Mix Effect layers and Mix Layers are the same for HD and SD.

When the eFX channel is in Fixed Mode, there are four main layers available: Mix Effect 1, Mix Layer 1, Mix Layer 2 and Mix Layer 3. Their display priorities and default settings are as follows:

  • Mix Effects 1 lies directly under Mix Layer 1. The output of Mix Effect 1 always outputs to the Bottom layer of Mix Layer 1.

Mix Effect 1 Settings

Mix Effect 1 Settings

  • Mix Layer 1 lies directly under Mix Layer 2. The output of Mix Layer 1 always outputs to the Bottom layer of Mix Layer 2. Note that the Bottom source for Mix Layer 1 is always Mix Effect 1, and is grayed out because it cannot be changed.

Mix Layer 1 Settings

Mix Layer 1 Settings

  • Mix Layer 2 lies directly under Mix Layer 3. The output of Mix Layer 2 always outputs to the Bottom layer of Mix Layer 3. Note that the Bottom source for Mix Layer 2 is always Mix Layer 1, and is grayed out because it cannot be changed.

Mix Layer 2 Settings

Mix Layer 2 Settings

  • Mix Layer 3 is the top layer. The default setting is disabled, and it is therefore grayed out. Note that even if Mix Layer 3 is enabled, then the Bottom source for Mix Layer 3 is always Mix Layer 2, and is grayed out because it cannot be changed.

Mix Layer 3 Settings

Mix Layer 3 Settings

How Layers Work in Flexible Mode

Flexible Mode enables complete flexibility with layer setup. In addition to an individual video source, the output of any layer or an effect can be used as a source for a sub-layer of a Mix Effect or Mix Layer.

Mix Effect and Mix Layer Sources

Source Types

A variety of layer sources are available to Mix Effect layers and Mix Layers. Each of the different types of sources have to be available to the Video Mixer in order to be used as a source:

  • A Graphics Fill/Key source must be loaded in the specified Graphics layer on the Lyric Canvas. For example, if the source is Graphics 2 Key, then a graphic must be loaded into the Graphics 2 layer on the Canvas. If selecting Graphics Key as a source, make sure that the loaded graphic(s) has a Key channel.

    Note that in order to load graphics into a specific graphics layer (e.g., Graphics 2) on the Canvas, press Alt + * to cycle through the available graphics layers. Each graphic layer provides both Fill and Key.

    • HD: Two Graphics Fill/Key layers are available.

    • SD: Eight Graphics Fill/Key layers are available.

  • If Clip Fill or Clip Key is selected as a source, then a clip must be played to the specified Clip buffer via the Clip tab on the eFX Panel.

    • HD: One Clip layer and one Key layer are available.

    • SD: Four Clip layers and four Key layers are available.

  • If Video Input is selected as a source, then there must be a video stream connected to the Video Input connector on the eFX board.

  • If Record is selected as a source, then a Video or Video/Audio clip must have been recorded via the Record tab.

    • HD: One Record layer is available.

    • SD: Two Record layers are available.

  • If Mix Layer is selected as a source, make sure it has viable sources.

  • If Mix Effect is selected as a source, make sure it has viable sources.

  • If Matte is selected, then a color must be set for the specified Matte buffer.

    • HD: One Matte buffer is available.

    • SD: Four Matte buffers are available.

  • If Wipe is selected as a source, then there must be a graphic assigned to the Wipe buffer. The Wipe buffer becomes accessible when the settings for a Mix Effect layer are displayed, and Wipe is selected as the Effect. Note that using Wipe as a source does not execute a Wipe effect. Selecting Wipe as a source just takes the graphic that is assigned to the Wipe buffer and assigns it also to the selected sub-layer.

Source Availability

The sources available to a sub-layer in depend on the following:

  • Whether the eFX Panel is set to Fixed or Flexible Mode.

    • Fixed Mode provides a set of video sources limited to individual, unmixed video streams. For example: Graphic 1 Fill, Graphics 2 Key, Clip 3 Fill, Video In, etc.

    • Flexible Mode provides mixed video sources and effects in addition to the individual video sources. For example: Mix Effect 1, Mix Layer 5, Wipe 1, etc.

  • Whether the channel is set to HD or SD; HD provides fewer sources than SD.

  • Whether a Mix Effect or Mix Layer is selected, and which sub-layer is selected.

  • If a Mix Effect layer is selected, which Effect is active.

    • If Color is selected, then only Matte is available as a source.

    • If Wipe or Dissolve are selected, then individual video sources, layer outputs and effects are also available.

Mix Effect Sources

Mix Effect Sources - HD - SD - Fixed, Flexible - Color

When color is selected, the following sources are available:

  • HD: Matte 1

  • SD: Matte 1, Matte 2, Matte 3, Matte 4

Mix Effect Sources for Dissolves and Wipes in HD

A Mix Effect on an eFX channel set for High Definition can assign video to its Bottom, Top and Border layers from the following sources:

HD Mix Effect: Bottom, Top and Border Sources
Fixed/Flexible Modes | Flexible Mode
Clip 1 Fill Clip 1 Key Graphics 1 Fill Graphics 2 Fill Video Input 1 Record 1 Matte 1* | Mix Effect 1 Mix Layer 1 Mix Layer 2 Mix Layer 3 Mix Layer 4

* In Fixed Mode, source for Border only.

A Mix Effect on an eFX channel set for High Definition can assign video to its Wipe layer from the following sources:

HD Mix Effect: Wipe Sources
Fixed/Flexible Modes | Flexible Mode
Clip 1 Fill Clip 1 Key Graphics 1 Fill Graphics 1 Key Graphics 2 Fill Graphics 2 Key Video Input 1 Record 1 Wipe 1 | Mix Effect 1 Mix Layer 1 Mix Layer 2 Mix Layer 3 Mix Layer 4 Matte 1
Mix Effect Sources for Dissolves and Wipes in SD

A Mix Effect on an eFX channel set for Standard Definition and Fixed Mode can assign video to its Bottom, Top and Border layers from the following sources:

SD Mix Effect, Fixed Mode:
Bottom, Top and Border Sources

Clip 1 Fill

Clip 1 Key

Clip 2 Fill

Clip 2 Key

Clip 3 Fill

Clip 3 Key

Clip 4 Fill

Clip 4 Key

Graphics 1 Fill

Graphics 2 Fill

Graphics 3 Fill

Graphics 4 Fill

Graphics 5 Fill

Graphics 6 Fill

Graphics 7 Fill

Graphics 8 Fill

Video Input 1

Record 1

Record 2

Matte 1*

Matte 2*

Matte 3*

Matte 4*

* In Fixed Mode, source for Border only.

A Mix Effect on an eFX channel set for Standard Definition and Fixed Mode can assign video to its Wipe layer from the following sources:

SD Mix Effect, Fixed Mode: Wipe Sources

Clip 1 Fill

Clip 1 Key

Clip 2 Fill

Clip 2 Key

Clip 3 Fill

Clip 3 Key

Clip 4 Fill

Clip 4 Key

Graphics 1 Fill

Graphics 1 Key

Graphics 2 Fill

Graphics 2 Key

Graphics 3 Fill

Graphics 3 Key

Graphics 4 Fill

Graphics 4 Key

Graphics 5 Fill

Graphics 5 Key

Graphics 6 Fill

Graphics 6 Key

Graphics 7 Fill

Graphics 7 Key

Graphics 8 Fill

Graphics 8 Key

Video Input 1

Record 1

Record 2

Wipe 1

Wipe 2

Wipe 3

Wipe 4

A Mix Effect on an eFX channel set for Standard Definition and Flexible Mode can assign video to its Bottom, Top, Border and Wipe layers from the following sources:

SD Mix Effect, Flexible Mode: Bottom, Top, Border and Wipe Sources

Clip 1 Fill

Clip 1 Key

Clip 2 Fill

Clip 2 Key

Clip 3 Fill

Clip 3 Key

Clip 4 Fill

Clip 4 Key

Graphics 1 Fill

Graphics 1 Key

Graphics 2 Fill

Graphics 2 Key

Graphics 3 Fill

Graphics 3 Key

Graphics 4 Fill

Graphics 4 Key

Graphics 5 Fill

Graphics 5 Key

Graphics 6 Fill

Graphics 6 Key

Graphics 7 Fill

Graphics 7 Key

Graphics 8 Fill

Graphics 8 Key

Video Input 1

Record 1

Record 2

Mix Effect 1

Mix Effect 2

Mix Effect 3

Mix Effect 4

Mix Layer 1

Mix Layer 2

Mix Layer 3

Mix Layer 4

Mix Layer 5

Mix Layer 6

Mix Layer 7

Mix Layer 8

Wipe 1

Wipe 2

Wipe 3

Wipe 4

Matte 1

Matte 2

Matte 3

Matte 4

Mix Layer Sources

The following describes the sources available to the Bottom, Top and Key layers of a Mix Layer.

Mix Layer Sources - HD

In Fixed Mode, a source cannot be set for the Bottom of a Mix Layer as it is already automatically set to the output of the layer that lies directly under it.

  • The Bottom of Mix Layer 1 is the output of Mix Effect 1.

  • The Bottom of Mix Layer 2 is the output of Mix Layer 1.

  • The Bottom of Mix Layer 3 is the output of Mix Layer 2.

A Mix Layer on an eFX channel set for High Definition can assign video to its Top layer from the following sources:

HD Mix Layer: Top Sources
Fixed/Flexible Modes | Flexible Mode
Clip 1 Fill Clip 1 Key Graphics 1 Fill Graphics 2 Fill Video Input 1 Record 1 | Mix Effect 1 Mix Layer 1 Mix Layer 2 Mix Layer 3 Mix Layer 4 Matte 1

A Mix Layer on an eFX channel set for High Definition can assign video to its Key layer from the following sources:

HD Mix Layer: Key Sources
Fixed/Flexible Modes | Flexible Mode
Clip 1 Fill Clip 1 Key Graphics 1 Fill Graphics 1 Key Graphics 2 Fill Graphics 2 Key Video Input 1 Record 1 Wipe 1 | Mix Effect 1 Mix Layer 1 Mix Layer 2 Mix Layer 3 Mix Layer 4 Matte 1

Mix Layer Sources - SD

In Fixed Mode, a source cannot be set for the Bottom of a Mix Layer as it is already automatically set to the output of the layer that lies directly under it.

  • The Bottom of Mix Layer 1 is the output of Mix Effect 1.

  • The Bottom of Mix Layer 2 is the output of Mix Layer 1.

  • The Bottom of Mix Layer 3 is the output of Mix Layer 2.

A Mix Effect on an eFX channel set for Standard Definition and Fixed Mode can assign video to its Top layer from the following sources:

SD Mix Layer, Fixed Mode: Top Sources

Clip 1 Fill

Clip 1 Key

Clip 2 Fill

Clip 2 Key

Clip 3 Fill

Clip 3 Key

Clip 4 Fill

Clip 4 Key

Graphics 1 Fill

Graphics 2 Fill

Graphics 3 Fill

Graphics 4 Fill

Graphics 5 Fill

Graphics 6 Fill

Graphics 7 Fill

Graphics 8 Fill

Video Input 1

Record 1

Record 2

A Mix Effect on an eFX channel set for Standard Definition and Fixed Mode can assign video to its Key layer from the following sources:

SD Mix Layer, Fixed Mode: Key Sources

Clip 1 Fill

Clip 1 Key

Clip 2 Fill

Clip 2 Key

Clip 3 Fill

Clip 3 Key

Clip 4 Fill

Clip 4 Key

Graphics 1 Fill

Graphics 1 Key

Graphics 2 Fill

Graphics 2 Key

Graphics 3 Fill

Graphics 3 Key

Graphics 4 Fill

Graphics 4 Key

Graphics 5 Fill

Graphics 5 Key

Graphics 6 Fill

Graphics 6 Key

Graphics 7 Fill

Graphics 7 Key

Graphics 8 Fill

Graphics 8 Key

Video Input 1

Record 1

Record 2

Wipe 1

A Mix Layer on an eFX channel set for Standard Definition and Flexible Mode can assign video to its Bottom, Top and Key layers from the following sources:

SD Mix Layer, Flexible Mode: Bottom, Top, and Key Sources

Clip 1 Fill

Clip 1 Key

Clip 2 Fill

Clip 2 Key

Clip 3 Fill

Clip 3 Key

Clip 4 Fill

Clip 4 Key

Graphics 1 Fill

Graphics 1 Key

Graphics 2 Fill

Graphics 2 Key

Graphics 3 Fill

Graphics 3 Key

Graphics 4 Fill

Graphics 4 Key

Graphics 5 Fill

Graphics 5 Key

Graphics 6 Fill

Graphics 6 Key

Graphics 7 Fill

Graphics 7 Key

Graphics 8 Fill

Graphics 8 Key

Video Input 1

Record 1

Record 2

Mix Effect 1

Mix Effect 2

Mix Effect 3

Mix Effect 4

Mix Layer 1

Mix Layer 2

Mix Layer 3

Mix Layer 4

Mix Layer 5

Mix Layer 6

Mix Layer 7

Mix Layer 8

Wipe 1

Wipe 2

Wipe 3

Wipe 4

Matte 1

Matte 2

Matte 3

Matte 4

Mix Effect Setup

About Mix Effects Layers

A Mix Effect layer differs from a Mix Layer in that an effect can be executed within a Mix Effect layer.

  • When set for Fixed Mode in HD or SD, the eFX channel provides one Mix Effect layer.

  • When set for Flexible Mode in HD the eFX channel provides one Mix Effect layer.

  • When set for Flexible Mode in SD the eFX channel provides four Mix Effect layers.

Any one of the following effects can be applied:

  • Color (also known as Color Dissolve): Color routes a single graphic as specified by the Color source.

  • Dissolve: The layer dissolves from the video in the Bottom to the video in the Top.

  • Wipe: The layer wipes from the video in the Bottom to the video in the Top. A Wipe effect and a custom Border with its own video source can be set

Different settings become available depending on which Effect is selected. They are shown in the following paragraphs.

Color Effect Setup

The Color effect sends a rectangle filled with the selected color out of the Mix Effect layer. The rectangle is larger than the screen, and therefore fills the screen. To set up a Color Effect:

  1. Select a Mix Effect layer.

  2. If not already enabled (checked), click Enable to enable the Mix Effect layer.

  3. From the Effect dropdown list box, select Color. The Color settings are displayed.

    4. Color Setup

    When set for HD, one Matte source is available; when set for SD, four Matte sources are available. A different color can be assigned to each Matte source.

  4. Click the Color button to open the Mix Effect Color dialog box.

    Mix Effect Color Dialog Box

    Setting Mix Effect Color

  5. Click the Color button to open the Color dialog box.

    Color Dialog Box

    Selecting a Color

  6. If desired, click the Define Custom Colors button to set a custom color.

    Color Dialog Box - Expanded

    Setting a Customized Color

  7. Set a color and then click OK. Note that the color does not appear on the VGA, but only on output. The Color dialog box is covered in detail in Color Selection for Light Sources and 3D Characters/Objects .

  8. If Creating a Mix Object (i.e., adding the Video Mix to a Timeline or using Transport Controls to play back the Video Mix): Set a Duration for the Color effect. Duration must be 1 frame or greater, or the following error is generated:

    Cannot Create Video Object Error

    Cannot Create Video Object Error

  9. If Creating a Mix Object: Enable (check) In Mix. In Mix must be enabled in at least one Mix Effect Layer or Mix Layer, or the error shown in the previous step is generated.

  10. Preview the Color effect by clicking the Play icon in the Transport Controls. Note that the Color does not appear on the VGA, but only on output.

  11. Optional: Click the Timeline Add button to add the Video Mix object to the Timeline. If the object is later modified, select its Timeline and click the Timeline Update button to update the Timeline with the modifications.

Dissolve Effect Setup

A Dissolve effect dissolves from the Top sub-layer to the Bottom sub-layer as specified in the Mix Effect layer. To set up a Dissolve Effect:

  1. Select a Mix Effect layer.

  2. If not already enabled (checked), click Enable to enable the Mix Effect layer.

  3. From the Effect dropdown list box, select Dissolve. The Dissolve settings are displayed.

    Dissolve Settings

  4. Set sources for the Bottom and Top sub-layers.

  5. In the Mix area, set a Duration for the Dissolve. Duration must be 1 frame or greater, or the following error is generated when attempting to play back the Video Mix:

    Cannot Create Video Object Error

    Cannot Create Video Object Error

  6. Click the Jump to Beginning icon in the Transport Controls so that 00:00:00:00 is displayed in the Duration frame counter. In the Dissolve field, set the point, as a percentage, at which the Dissolve should start. Note that when setting Dissolve Start, the value is entered as a percentage, but is mapped to a scale of 0 - 255. As a result, some entered values may reset slightly by a couple of decimal points. Transport Controls are described at the end of this section.

  7. Click the Jump to End icon in the Transport Controls, so that the end time of the Dissolve effect is displayed in the Duration frame counter. In the Dissolve field, set the point, as a percentage, at which the Dissolve should end. Note that when setting Dissolve End, the value is entered as a percentage, but is mapped to a scale of 0 - 255. As a result, some entered values may reset slightly by a couple of decimal points.

  8. Enable (check) In Mix. In Mix must be enabled in at least one Mix Effect Layer or Mix Layer, or the Cannot create Video Mix error is generated.

  9. Preview the Dissolve by clicking the Play icon in the Transport Controls. Note that the Dissolve does not appear on the VGA, but only on output.

  10. Optional: Click the Timeline Add button to add the Video Mix object to the Timeline. If the object is later modified, select its Timeline and click the Timeline Update button to update the Timeline with the modifications.

Wipe Effect Setup

A Wipe effect wipes from the Top sub-layer to the Bottom sub-layer as specified in the Mix Effect layer. The selected Wipe Effect file (*.wfx) determines what type of Wipe is executed, such as a box wipe, circular wipe, etc. A library of Wipe Effect files is supplied with Lyric. A Border can be applied to the Wipe. The Border have either a color or a source applied. Its width and softness are adjustable. To set up a Wipe Effect:

  1. Select a Mix Effect layer.

  2. If not already enabled (checked), click Enable to enable the Mix Effect layer.

  3. From the Effect dropdown list box, select Wipe. The Wipe settings are displayed.

    Wipe Settings

  4. In the Mix area, set a Duration for the Wipe. Duration must be 1 frame or greater, or the following error is generated when attempting to play back the Video Mix:

    Cannot Create Video Object Error

    Cannot Create Video Object Error

  5. Click the Jump to Beginning icon in the Transport Controls so that 00:00:00:00 is displayed in the Duration frame counter. In the Wipe field, set the point, as a percentage, at which the Wipe should start. Transport Controls are described at the end of this section.

  6. Click the Jump to End icon in the Transport Controls, so that the end time of the Wipe effect is displayed in the Duration frame counter. In the Wipe field, set the point, as a percentage, at which the Wipe should end.

  7. Set sources for the Bottom and Top sub-layers.

  8. Set Border parameters. Setting Border Parameters is described after this setup procedure.

  9. Set Wipe parameters. Setting Wipe Parameters is described after this setup procedure.

  10. Enable (check) In Mix. In Mix must be enabled, or the Cannot create Video Mix error is generated.

  11. Preview the Wipe by clicking the Play icon in the Transport Controls. Note that the Wipe does not appear on the VGA, but only on output.

  12. If desired, click Timeline Add to add the Video Mix object to the Timeline.

Setting Wipe Parameters

The Wipe source acts as a Key which acts to transition the output from the Top sub-layer to the Bottom sub-layer of the Mix Effect. Generally, an animated key expands to fill the screen, cutting out the Top graphic source and exposing the Bottom graphic source. There are two types of Wipe sources: A Wipe Effect file and a graphic source. A Border can be applied to either type Wipe.

Setting a Wipe Effect File

A library of Wipe Effect files are supplied with Lyric. A Wipe Effect file can perform Wipes such as circular, box, etc. The file provides and animated key in to perform the transition. To use a Wipe Effect file:

  1. Click the Wipe button. The Load Wipe dialog box opens.

    Load Wipe

  2. Select a Wipe Effect File, and then click Open. The Load Wipe dialog box closes. Wipe 1 (or 2, 3, or 4 if in SD) is automatically displayed in the Wipe field.

Setting a Graphic Wipe File

A video source such as a Clip Fill or Key, Graphic Fill or Key, etc. can be used to perform a Wipe. The video is treated as a Key that cuts out the Top source and exposes the Bottom.

  • It is recommended that a Key source, such as Clip Key or Graphic Key be used. When a Fill source is used, the cut-out may look slightly different, and the presence of color in the source can affect the appearance as well.

  • If the graphic does not completely fill the screen at the conclusion of the Wipe, then portions of the Top graphic will still be visible. This may be desirable, and, in effect, makes the Wipe effect behave more like an Inside Mask, i.e., a Mask that reveals what is under it.

To set a video source as the Wipe:

  • In the Wipe dropdown list box, select a source.

Setting Border Parameters

There are two types of borders: A graphic border and a solid color border.

Setting a Graphic Border

To set a graphic Border source:

  1. In the Border dropdown list box, select a source.

  2. Click the Border button. The Mix Effect Border dialog box opens.

    Mix Effect Border Settings

    Mix Effect Border Settings

    The following Border parameters can be set:

    • Border Type is not applicable.

    • Width: Drag the slider or enter a value, in pixels, to set the Border width.

    • Softness: Drag the slider or enter a value, in pixels, to set Softness.

    • Solid: Disable (uncheck) the Solid checkbox. If Solid is enabled (checked), then the graphic is overridden by the color set in the Color dialog box.

    • Color: Not used when setting a graphic source as a Border.

  3. After parameters are set, close the Mix Effect Border dialog box.

Setting a Solid Color Border

To set a solid color Border:

  1. To set a solid color border, click the Border button to open the Mix Effect Border dialog box.

  2. Set the Width and Softness.

  3. Enable (check) the Solid checkbox. If Solid is disabled (unchecked), then the selected color is overridden by the Border graphic source.

  4. Click the Color button to open the Color dialog box, select a color to apply to the Border, and then click OK.

  5. After parameters are set, close the Mix Effect Border dialog box.

Mix Layer Setup

A Mix Layer composites a Top and Bottom sub-layer, and applies Key to the mix. To set up a Mix Layer:

  1. Select a Mix Layer. The Mix Layer settings are displayed. If in Fixed Mode, then the Bottom sub-layer of the Mix Layer is automatically set to the output of the underlying layer, and is therefore grayed out. If in Flexible Mode, then the source for the Bottom sub-layer of the Mix Layer can be set. If Video In is set to On in the Hardware Configuration>Configure Board Settings, then Mix Effect Layer Dissolve effect setup is automatically displayed.

    Mix Layer Settings - Fixed Mode

    Mix Layer Settings - Fixed Mode

    Mix Layer Settings - Flexible Mode

    Mix Layer Settings - Flexible Mode

  2. If not already enabled (checked), click Enable to enable the Mix Layer.

  3. If in Fixed Mode, set the source Top sub-layer. In Fixed Mode, the Bottom layer is already set and cannot be changed. If in Flexible Mode, set the sources for the Bottom and Top sub-layers.

  4. From the Key dropdown list box, select a source.

  5. Click the Key button. The Mix Layer Key dialog box opens.

    6. Key Settings

    The following Key parameters can be set:

    • Type specifies the type of Key:

      • Fixed Key applies the Opacity value set in the Mix Layer settings to the Key source. The Key value is fixed and does not change. Incoming Key is ignored.

      • Linear Key modulates the Opacity set in the Mix Layer settings with the input Key. The Key can change from frame to frame.

      • Chroma Key uses the specified color to determine which parts of the Mix Layer should be cut out. Any video in the Top and/or Bottom sub-layers, in the Mix Layer, which match the specified color, are cut out.

      • Shape is similar to Linear Key, but assumes that the Fill Key is Shaped, i.e., pre-multiplied by incoming Key. Shape should be specified for Graphic sources, but not for Clip sources.

    • Limit specifies the value at and below which transparency is displayed at 0. For example, if Limit is set to 3, then all transparencies from 0 to 3 (inclusive) will be displayed at 0 transparency. Setting a Limit can prevent artifacts with low transparency from displaying. Range: 0 - 255

    • Gain amplifies the Key signal. Range: 0 - 1023

    • Invert Key specifies that the Key values be flipped when it modulates the Fill channel. For example, a Key of 25% becomes 75%, and a Key of 100% becomes 0%.

    • Mix Key adds the Key to the composited Key source (Mix Key 1).

    • Invert Mix Key: Inverts Key that is output as part of the Mix Key.

  6. If Creating a Mix Object (i.e., adding the Video Mix to a Timeline or using Transport Controls to play back the Video Mix): In the Mix area, set a Duration for the Mix Layer. Duration must be 1 frame or greater, or the following error is generated when attempting to play back the Video Mix:

    Cannot Create Video Object Error

    Cannot Create Video Object Error

  7. If Creating a Mix Object: Click the Jump to Beginning icon in the Transport Controls so that 00:00:00:00 is displayed in the Duration frame counter. In the Opacity field, set the starting Opacity, as a percentage. Note that when setting starting Opacity, the value is entered as a percentage, but is mapped to a scale of 0 - 255. As a result, some entered values may reset slightly by a couple of decimal points. Transport Controls are described at the end of this section.

  8. If Creating a Mix Object: Click the Jump to End icon in the Transport Controls, so that the end time of the Opacity effect is displayed in the Opacity frame counter. In the Opacity field, set the ending Opacity, as percentage. Note that when setting ending Opacity, the value is entered as a percentage, but is mapped to a scale of 0 - 255. As a result, some entered values may reset slightly by a couple of decimal points.

  9. If Creating a Mix Object: Enable (check) In Mix. In Mix must be enabled, or the Cannot create Video Mix error is generated.

  10. After parameters are set, close the Mix Layer Key dialog box.

Advanced Routing

Overview

After Mix Effects and Mix Layers have been set, the video is sent to Output Router, which then distributes the video to the outputs. In addition, the Internal Router sets the source that is to be assigned as Program and Preview, as well as video that can be recorded into the Record frame store(s). The following diagram illustrates how sources are routed to output. Click here to display a high-resolution, printable PDF version of the diagram.

Video Mixer Schematic

Video Mixer

Advanced routing parameters can be set. To access these settings:

  • In the Advanced area, click the Route button. The Mixer Router dialog box opens.

Mixer Router

There are two sets of routers.

  • Output Routers: The Output Router settings specify the video source that is sent to the HD/SD Output 1, HD/SD Output 2 and Composite output of the eFX channel.

  • Internal Routers: The Internal Routers are multiplexers that specify the video sources to be used as Program, Preview, Record 1 and Record 2 (SD only). Record 1 and Record 2 can each currently be assigned a source, but Record 1 and Record 2 are currently not available as record sources in the Record tab of the Hyper eFX Panel.

Output Routers

A video source can be set independently for each output. To set the video source for an output:

  1. Select the output from the Router dropdown list box. The choices are HD/SD Output 1, HD/SD Output 2 or Composite output. These are physical BNC outputs from the channel.

    • HD/SD Output 1 and HD/SD Output 2 output SDI HD or SD video as specified for the channel. Program, Preview, Test Pattern, Bypass or Downconverter (HD only) can be routed to the HD/SD Outputs.

    • Composite outputs a downconverted, D-A converted analog composite SD signal when the board is set for HD, or a D-A converted analog composite SD signal when the board is set for SD. Program video is generally, although not always, assigned to the Composite output. Program or Preview can be selected as the Composite output. Note that when the channel is set for HD, the video selected as the Composite output (Program or Preview) becomes the source when Downconverter is selected as an output for HD/SD Output 1 or HD/SD Output 2.

  2. If this setting is to be part of a Video Mix object that is added to a Timeline, or if the Video Mix will be played back manually, enable (check) In Mix to have the setting included in the Timeline and manual playback.

  3. Select a source to be sent to the output from the Input dropdown list box. The choices include the following:

    • Program: The video specified as Program in the Internal Routers. Internal Routers are covered directly following this section.

    • Preview: The video specified as Preview in the Internal Routers. Internal Routers are covered directly following this section.

    • Test Pattern: Sends a test pattern to the selected output. Not available as a Composite output selection.

    • Bypass: The video processors in the eFX channel are bypassed, and Video In is output. Not available as a Composite output selection.

    • Downconverter (HD Only): The Program or Preview signal that is assigned to the Composite output, as described above, is also routed to the specified HD/SD output as Standard Definition SDI. Not available as a Composite output selection.

Internal Routers

About the Internal Routers

The Internal Routers specify the video sources assigned to Program and Preview, respectively, that can be used as sources for the outputs. Program and Preview are fed simultaneously to the Output Router channels for each of the outputs - HD/SD 1 Output, HD/SD 2 Output and Composite Output, where they become available for selection. The Record outputs are internal, and while source selection is possible, their use in the Record tab of the eFX Panel is not yet implemented.

There are special considerations when assigning sources to Program, Preview and Record:

  • When in Fixed Mode, Mix Layer 3 is automatically assigned as to Program, as the display priority of the Mix Effect layer and Mix Layers cannot be changed.

  • When the board is in Flexible Mode, any available source can be selected as Program. It is therefore crucial for the user to know which layer contains the complete, composited graphic.

To set an Internal Router channel:

  1. Select the channel from the Router dropdown list box.

  2. Select the source for the channel from the Input dropdown list box.

  3. If this setting is to be part of a Video Mix object that is added to a Timeline, or if the Video Mix will be played back manually, enable (check) In Mix to have the setting included in the Timeline and in manual playback.

Sources for the specific channels are described in the following paragraphs.

Setting Router Channels and Sources

HD Internal Routers - Fixed Mode

The following source is available to Program input: Mix Layer 3.

The following sources are available as Preview input:

HD Internal Router, Fixed Mode: Preview

Clip 1 Fill

Clip 1 Key

Graphics 1 Fill

Graphics 1 Key

Graphics 2 Fill

Graphics 2 Key

Video Input 1

Record 1

Wipe 1

Matte 1

Mix Key 1

The Record 1 frame store can currently be assigned a source, but Record 1 is currently not available as a record source in the Record tab of the Hyper eFX Panel. When implemented, the following sources will be available to the Record 1 frame store:

HD Internal Router, Fixed Mode: Record 1

Clip 1 Fill

Clip 1 Key

Graphics 1 Fill

Graphics 2 Fill

Video Input 1

Record 1

Program

Preview

HD Internal Routers - Flexible Mode

The following source is available to Program input:

HD Internal Router, Flexible Mode: Program

Clip 1 Fill

Clip 1 Key

Graphics 1 Fill

Graphics 1 Key

Graphics 2 Fill

Graphics 2 Key

Video Input 1

Record 1

Wipe 1

Mix Effect 1

Mix Layer 1

Mix Layer 2

Mix Layer 3

Mix Layer 4

Matte 1

Mix Key 1

The following sources are available as Preview input:

HD Internal Router, Fixed Mode: Preview

Clip 1 Fill

Clip 1 Key

Graphics 1 Fill

Graphics 1 Key

Graphics 2 Fill

Graphics 2 Key

Video Input 1

Record 1

Wipe 1

Mix Effect 1

Mix Layer 1

Mix Layer 2

Mix Layer 3

Mix Layer 4

Matte 1

Mix Key 1

The Record 1 frame store can currently be assigned a source, but Record 1 is currently not available as a record source in the Record tab of the Hyper eFX Panel. When implemented, the following sources will be available to the Record 1 frame store:

HD Internal Router, Fixed Mode: Record 1

Clip 1 Fill

Clip 1 Key

Graphics 1 Fill

Graphics 2 Fill

Video Input 1

Record 1

Program

Preview

SD Internal Routers - Fixed Mode

The following source is available to Program input: Mix Layer 3.

The following sources are available as Preview input:

SD Internal Router, Fixed Mode: Preview

Clip 1 Fill

Clip 1 Key

Clip 2 Fill

Clip 2 Key

Clip 3 Fill

Clip 3 Key

Clip 4 Fill

Clip 4 Key

Graphics 1 Fill

Graphics 1 Key

Graphics 2 Fill

Graphics 2 Key

Graphics 3 Fill

Graphics 3 Key

Graphics 4 Fill

Graphics 4 Key

Graphics 5 Fill

Graphics 5 Key

Graphics 6 Fill

Graphics 6 Key

Graphics 7 Fill

Graphics 7 Key

Graphics 8 Fill

Graphics 8 Key

Video Input 1

Record 1

Record 2

Wipe 1

Wipe 2

Wipe 3

Wipe 4

Matte 1

Matte 2

Matte 3

Matte 4

Mix Key

The Record 1 and Record 2 frame stores can each currently be assigned a source, but Record 1 and Record 2 are currently not available as record sources in the Record tab of the Hyper eFX Panel. When implemented, the following sources will be available to the Record 1 and Record 2 frame stores:

SD Internal Router, Fixed Mode: Record 1, 2

Clip 1 Fill

Clip 1 Key

Clip 2 Fill

Clip 2 Key

Clip 3 Fill

Clip 3 Key

Clip 4 Fill

Clip 4 Key

Graphics 1 Fill

Graphics 2 Fill

Graphics 3 Fill

Graphics 4 Fill

Graphics 5 Fill

Graphics 6 Fill

Graphics 7 Fill

Graphics 8 Fill

Video Input 1

Record 1

Record 2

Program

Preview

SD Internal Routers - Flexible Mode

The following source is available to Program input:

SD Internal Router, Fixed Mode: Preview

Clip 1 Fill

Clip 1 Key

Clip 2 Fill

Clip 2 Key

Clip 3 Fill

Clip 3 Key

Clip 4 Fill

Clip 4 Key

Graphics 1 Fill

Graphics 1 Key

Graphics 2 Fill

Graphics 2 Key

Graphics 3 Fill

Graphics 3 Key

Graphics 4 Fill

Graphics 4 Key

Graphics 5 Fill

Graphics 5 Key

Graphics 6 Fill

Graphics 6 Key

Graphics 7 Fill

Graphics 7 Key

Graphics 8 Fill

Graphics 8 Key

Video Input 1

Record 1

Record 2

Mix Effect 1

Mix Effect 2

Mix Effect 3

Mix Effect 4

Mix Layer 1

Mix Layer 2

Mix Layer 3

Mix Layer 4

Mix Layer 5

Mix Layer 6

Mix Layer 7

Mix Layer 8

Wipe 1

Wipe 2

Wipe 3

Wipe 4

Matte 1

Matte 2

Matte 3

Matte 4

Mix Key

The following sources are available as Preview input:

SD Internal Router, Fixed Mode: Preview

Clip 1 Fill

Clip 1 Key

Clip 2 Fill

Clip 2 Key

Clip 3 Fill

Clip 3 Key

Clip 4 Fill

Clip 4 Key

Graphics 1 Fill

Graphics 1 Key

Graphics 2 Fill

Graphics 2 Key

Graphics 3 Fill

Graphics 3 Key

Graphics 4 Fill

Graphics 4 Key

Graphics 5 Fill

Graphics 5 Key

Graphics 6 Fill

Graphics 6 Key

Graphics 7 Fill

Graphics 7 Key

Graphics 8 Fill

Graphics 8 Key

Video Input 1

Record 1

Record 2

Mix Effect 1

Mix Effect 2

Mix Effect 3

Mix Effect 4

Mix Layer 1

Mix Layer 2

Mix Layer 3

Mix Layer 4

Mix Layer 5

Mix Layer 6

Mix Layer 7

Mix Layer 8

Wipe 1

Wipe 2

Wipe 3

Wipe 4

Matte 1

Matte 2

Matte 3

Matte 4

Mix Key

The Record 1 and Record 2 frame stores can each currently be assigned a source, but Record 1 and Record 2 are currently not available as record sources in the Record tab of the Hyper eFX Panel. When implemented, the following sources will be available to the Record 1 and Record 2 frame stores:

SD Internal Router, Fixed Mode: Record 1, 2

Clip 1 Fill

Clip 1 Key

Clip 2 Fill

Clip 2 Key

Clip 3 Fill

Clip 3 Key

Clip 4 Fill

Clip 4 Key

Graphics 1 Fill

Graphics 2 Fill

Graphics 3 Fill

Graphics 4 Fill

Graphics 5 Fill

Graphics 6 Fill

Graphics 7 Fill

Graphics 8 Fill

Video Input 1

Record 1

Record 2

Program

Preview

Timeline Functions

A Video Mix configuration can be added to a Timeline and subsequently updated.

  • Timeline Add enables the addition of the Video Mix object to the Timeline. As mentioned previously, any changes to the current Video Mix settings must be marked as In Mix in order to include the changes in the Video Mix object playback. To add a Video Mix object to a Timeline:

    • After setting the Video Mix parameters, click the Timeline Add button.

  • Timeline Update enables the update of an already existing Video Mix object on the Timeline. To update an existing Video Mix object on the Timeline:

    • Select the Video Mix object on the Timeline or the Scene Graph, modify as necessary, and then click the Timeline Update button.

Video Mix Playback - Scrub and Transport Controls

Scrub Controls

Scrub controls are used to preview a Video Mix by frame. Note that in order to preview a Video Mix, the Duration must be at least 1 frame. In addition, In Mix must be enabled (checked).

  • Scrub Frame Counter: The Scrub Frame Counter displays the currently displayed from of the Video Mix. A time can also be entered into the Scrub Frame Counter to move the Video Mix to the specified frame.

  • Scrub Slider: The Scrub Slider can be dragged to move the Video Mix to a different frame.

Transport Controls

The Transport Controls are used to start and stop the Video Mix playback.

  • Jump to Beginning: Jumps to the beginning of the Video Mix. This can be used to set parameters for the beginning of an effect, such as starting Opacity or a Wipe/Dissolve percentage.

  • Stop: Stops the Video Mix playback.

  • Play: Plays the Video Mix.

  • Jump to End: Jumps to the end of the Video Mix. This can be used to set parameters for the end of an effect, such as ending Opacity or a Wipe/Dissolve percentage.


eFX Panel - Audio Mix

Tools Menu > eFX Panel > Audio Mix Tab

Audio Mix Overview

The eFX Audio Mixer allows the operator to create as many as eight separate audio mixes, all of which may be output simultaneously. All of these mixes may be controlled by individual objects on the Lyric Timeline. Programmed events contained in each mix’s Timeline object govern input levels, output levels and routing/distribution. For each mix, all input and output levels may be adjusted to different values for different points along the Timeline.

"Physical" Inputs:

  • 2 stereo input pairs AES (4 mono input channels)

  • 16 channels Embedded on SDI 1 input

“Capture Block” can output:

  • Any 8 channels from the sources specified above

  • All of the Capture facility's 8 outputs may be routed directly to the Multiplexers (MUX) seen in the diagram that follows.

Mixer accommodates 24 inputs:

  • The 8 channels from the Capture Block, specified above

  • 16 channels of audio from the Clip Playout facility. These audio outputs from clip playout make up a large part of the board’s capabilities, and may figure prominently in the work you do with this device.

Diagrams of the eFX board’s audio facility

Shown below is a detailed view of the inputs to the Capture section of the board, which appears in the upper left area of the previous illustration:

Using the eFX Board’s Audio Mixer:

To access the eFX Panel Audio Mix settings, to the Tools menu and select eFX Panel. The panel appears:

Controls used with various eFX Board functions.

  • Device: Specifies the eFX board for which the Audio Mix tab settings are displayed.

  • Timeline functions: Provides the ability to Add an Audio Mix object to the Timeline or Update an existing Mix object on the Timeline.

As seen above, clicking the Add button places an audio mix object on the Timeline. This object contains complete Keyframe data for the audio mix.

Audio mix objects on the Timeline are similar to the objects that represent other non-visible entities in a composition, such as Loops.

  • Scrub: Provides the ability to preview and play back the programmed level changes in an audio Mix.

  • The time display shows the currently-accessed point in the Mix’s duration.

  • The slider allows the operator to instantly preview the levels at any point in a programmed Audio Mix.

  • The Rewind/Stop/Play/Fast Forward controls allow the operator to play the Mix object without adding it to the Timeline as if previewing a ‘clip’.

  • Preset: Not yet implemented. Future versions of Lyric will be able to save Mix settings as small files containing only time, level and routing values (as opposed to complete Lyric messages that include data-intensive content).

Controls unique to the Audio Mixer:

  • Presets: This feature is not yet fully implemented. However, one important tool is accessible through the Preset control.

To return ALL eFX Board audio settings to their defaults, use the RESET control. Note that in later versions of the eFX panel's driver, this selection may read Factory, rather than RESET.

  1. Make sure the Audio Mix tab is selected on the eFX Panel.

  2. In the Mix area press the rectangular Preset button. The Audio Mix Presets menu appears. The only selection available in the dropdown will be RESET. Select this option.

  3. Press the Restore button, and then close the Audio Mix Presets menu. You will find that all settings have been returned to their defaults.

  4. Audio Mix: As stated earlier, the eFX Audio Mixer is capable of producing and distributing eight different mixes simultaneously, in the same manner that a hardware audio mixer might create multiple monitor mixes for different members of a musical ensemble. Use this dropdown menu to select which mix you are setting up.

A word of advice. The eFX Board can generate and simultaneously output eight separate audio mixes, each of which can be composed of 32 sources. If you get confused, remember that you can only work on only one mix at any given time. Further, you are configuring only one component of that single mix at any given time. In setting up a mix, you may wish to work backward, beginning with configuration of the eFX Board’s audio outputs to external systems, and then configuring the board’s internal components that feed the board’s final outputs.

  • In Mix: This checkbox simply turns the currently selected mix on or off in the eFX board’s audio outputs. This option allows the operator to silence a given mix without altering its output level.

  • Source Levels At Start/Audio Levels At End: Audio mixes created by the eFX board can be programmed to change over time. The default state of the mixer’s main panel provides controls to set levels at the beginning of an audio mix’s “lifespan” on the Timeline.

Note: In addition to controlling the mixer’s playout levels (i.e. “Audio Play 1” as seen above), the operator can also set input levels by scrolling down in the Source Levels window, as seen below:

Above: The Source Levels window, scrolled down to show Audio Capture levels.

The picture above shows some of the Play level controls, with one being set. This illustration also shows the animation “scrubbed” ahead to near its End point; desired levels for that point have been set.

Advanced controls:

  • Inputs. Click this button to open the Audio Inputs window. The dropdown menu shown below selects which of several sets of inputs are being configured.

There are many available options; it is important to remember that at any given time, you are adjusting levels for just one set of inputs or outputs and for only one given point in an automated operation. Each type of input selected will open a different set of controls. Shown below are the controls made available by selecting SDI Input 1. The panel initially shows control of both De-embedders collapsed:

Refer to the diagram below, showing the inputs and outputs of the board’s de-embedders.

Distribution of channels de-embedded from incoming audio on the SDI input, as well as the AES inputs is limited.

Therefore, the Pair Order and Reverse Left/Right controls are available to afford the operator the greatest number of options for mixing discreet (AES) audio sources with embedded sources coming into the board via the SDI input.

The Transparent (True/False) selection offers the option of bypassing the board’s Sample Rate Converters.

  • Outputs: Click this button to open the Audio Outputs window. The dropdown menu shown below selects which of several sets of outputs are being configured.

There are 3 types of Outputs that may be configured from this menu:

  • SDI Outputs 1 & 2

  • AES Outputs 1-4

  • Analog Output

SDI Output Controls

Click the [image] buttons to expand the controls:

  • The Enable control enables or disables all parts of the selected output. Turn the selected Output section on or off by choosing “True” or “False” using the dropdown menu shown.

  • Each Embedder’s [image] button exposes that Embedder’s controls governing distribution and routing. With an Embedder’s controls open, click in the area shown here to access the list of output destinations for that Embedder.

The dropdown menu shown here has been expanded to show all of the available choices of output destination. You will need to scroll to see all of the choices. Note that the final choice is Mute; this selection silences the output of the selected channel without muting all of the Embedder’s outputs.

  • Click in the Group window to set which of 4 available output Groups the selected Embedder’s output will be routed to.

AES Output Controls

  • Channel 1/Channel 2. All 4 (sets) of the AES outputs can be routed to a number of destinations. Each of the two Channels has a dropdown menu that allows the operator to select among 32 routing destinations, as well as a Mute option for silencing that Channel in the output mix. The illustration here shows Channel 1’s options, but Channel 2’s dropdown menu is identical.

  • Format. Use the dropdown shown here to choose between the AES Professional (balanced, 110-ohm, XLR connectors) and Consumer (unbalanced, 75-ohm, RCA connectors) formats.

Analog Output

Analog Output is limited to two channels. Each channel has just two controls.

  • The Source dropdown is used to select which of the eFX board’s audio components feeds its signal to the selected Analog Output channel.

  • To set the output Level, click in the field shown above; this action opens the slider control seen to the right of the Level numerical display. Drag the slider to the desired level.

Operation: A Practical Example

Working backwards to configure a Mix

You’ll need to determine which audio elements must be sent to what systems outside of your HyperX. So, we begin with the final audio Outputs of your HyperX.

Output

  1. At the bottom of the main menu, locate the Advanced controls. Choose Outputs.

  2. Again, we’ll be configuring one of the several mixes available, in this case AES Output 1, so select that in the dropdown at the top of the menu.

With AES Output 1 selected, the appropriate constituent parts of the mix become available for configuration, in this case, Channels 1 and 2 (as well as your choice of output format -- in this case, we’ll stipulate that this variable will be set to “Professional”).

Both channels offer a choice of 32 audio sources, as discussed in AES Output Controls. The 33rd choice for each Output channel is Mute.

  3. For Channel 1 (Left), click in the selection field to open the dropdown of choices, and select Audio Play 1. This is ONE audio channel accompanying one of the video clips that may be played out from the eFX Board’s playout facility.

  4. For Channel 2 (Right), select (as seen above) from among the same 33 choices, in this case, Audio Capture 1. For the sake of discussion, let’s posit that this is a signal containing live audio from a remote location.

  5. Again, we’re going to use the Professional (vs. “Consumer”) audio format as discussed above.

  6. Close this menu with the [image] button.

Input

  7. Next, you will select the signals comprising the sources you selected in Steps 2 and 3 above. Locate the Advanced controls and choose Inputs.

  8. For Channel 1 (Left), we selected Audio Play 1, which is audio from clip playout. There is no configuration to do here.

  9. For Channel 2 (Right), we selected Audio Capture 1, which must indeed be configured. Stay on the Audio Inputs menu, but go to the top of them menu, and in the Input dropdown, select Audio Capture 1.

  10. Click in the selection field to open this device’s dropdown menu of Sources.

For the sake of simplicity, select AES 1 Left. This refers to the board’s primary inputs, seen in the upper left corner of the diagram showing the board's audio facility.

  11. Now, select AES Input 1 in the dropdown at the top of the menu. The only variable that may be set for this source is Transparent. This setting determines whether or not the signal passes through the sample rate convertors situated between the board’s primary inputs and the Mixer component of the board (again, see the diagram above).

We’ll assume the processing equipment handling the remote audio is compatible with our own, so select True to bypass the sample rate convertor.

With routing and distribution set up, we next move on to programming levels and time-controlled events (if any) affecting your mix.

Setting up levels and the Lyric Timeline

Lyric animations change levels within an audio mix over time. Experienced Lyric users will find the method similar to animating the visual elements in a composition.

The sample mix discussed here combines audio from internal clip playout with incoming remote audio passing through the Capture facility. At the beginning of the animation, clip playout (Audio Play 1 and 2) will at a level prominent in the mix, while the remote audio (Audio Capture 1 and 2) is inaudible. Over the course of the 5-second animation playout, the clip’s level will be reduced to zero, while the remote audio fades up to a high level.

  1. With the visual portion of the animation programmed, open the Audio Mix tab on the eFX Panel. Be sure that the clip itself has been added to the Lyric Timeline!

  2. Use the slider [image] or the transport controls [image] to make sure the Mix’s elapsed time is at 00:00:00:00.

  3. Set desired levels on the appropriate sources and outputs for the start of the animation, as shown below left.

  4. Move one of the Scrub controls forward to the end of the animation.

  5. Set desired levels on the appropriate sources and outputs for the end of the animation, as shown above right.

  6. Important: Press the [image] button to add the Audio Mix to the Lyric Timeline. Remember that this is a separate issue from adding the Video clip playout to the Timeline. Also, remember that any changes to your Audio Mix should be followed by clicking the [image] button.

  7. When the details of your Audio Mix are set, save the Lyric animation.


eFX Panel - DVE Setup

eFX Panel - DVE

Tools Menu > eFX Panel > DVE

DVE Overview

Lyric's DVE option provides the ability to create spectacular digital video effects applied to any available video source, such as video input, clips and graphic layers. DVE setup is performed in the DVE tab of the eFX Panel. To access:

  1. From the Tools menu, select eFX Panel. The eFX Panel is displayed.

  2. Click the DVE tab. The DVE Panel is displayed.

DVE Panel

Before setting up a DVE, the following should in place beforehand:

The video source for the DVE should be made available. For example:

  • If Video Input is to be used, it should be connected, and Video In Layer must be set to On in Configuration > Setup Board Configuration.

  • If a clip is to be used, the clip must be loaded via the eFX Clip panel, accessed via the Clip tab.

  • If a graphic layer is to be used, the graphics should be on the Canvas.

In addition the DVE must be present in the Video Mix settings, and the particular Mix Layer or Mix Effect must be enabled. The Video Mix settings are accessed from the eFX Panel.

NOTE

When the Video Mix in the eFX Panel is in Fixed Mode, do not assign any video sources to Layer 3. If it is necessary to use Layer 3, then Video Mix must be put into Flexible Mode.

Once the preliminary set is complete, then DVE setup can be performed.

Device Selection

Device: The settings for any eFX board that is in the system are accessible from the Device spin box, regardless of the currently active frame buffer. The eFX boards are numbered in the order of their frame buffer number. For example, if frame buffers 2 and 4 are eFX boards, then they would be numbered 1 and 2, respectively. When an eFX board is selected, its settings are displayed and can be edited.

It is possible that one board may have a DVE, and the other not have a DVE. In this case, DVE settings are grayed out for a board that does not have a DVE.

Timeline Functions

A DVE can be added to a Timeline and subsequently updated.

  • Timeline Add enables the addition of the DVE to the Timeline.

  • Timeline Update enables the update of an already existing DVE Timeline. Make sure that the DVE object is selected when updating.

Make sure that after any change to the DVE settings, that the DVE object is selected, and then a Timeline Update is executed, or the settings will not be applied.

Transport and Record Controls

Scrub Controls

Scrub controls are used to preview a DVE by frame:

  • Scrub Frame Counter: Allows preview of the DVE.

  • Scrub Slider: Allows previewing.

Transport and Record Controls

The Transport Controls are used to start and stop recording.

  • Fast Reverse: Jumps to the beginning of the DVE.

  • Stop: Plays the DVE.

  • Play: Plays the DVE.

  • Fast Forward: Jumps to the end of the DVE.

DVE

The DVE area is comprised of the Preset and Duration functions.

Preset

The ability to save and recall DVE presets has not yet been implemented. The Restore function is operational. To restore DVE settings to their defaults:

  1. Click the Preset button. The DVE Presets dialog box opens.

    DVE Presets

  2. From the Preset dropdown list box, select RESET.

    DVE Reset

  3. Click the Restore button, and then close the DVE Presets dialog box.

Duration

The duration of a DVE can be set in the Duration frame counter.

Source

The Source settings determine the video used for the Video and Key sources of the DVE, as well as to which DVE they are applied.

Unit

Unit specifies the DVE to which the settings are applied. When a Unit is selected, The Source, Effect and Advanced settings all apply to the specified Unit.

  • In SD, there can be four DVEs.

  • In HD, there can be one DVE.

Video

Video specifies the source for the DVE video. The choices differ depending on the selected video standard.

Key

Key specifies the source for the DVE key. Key may be disabled by selecting None.

Effect

The Effect parameters determine how the DVE will execute.

Type

Lyric provides a variety of DVEs: 2D Push Off, 2D Squeeze, 3D Fly Away, 3D Fly In, 3D Page Turn, 3D Perspective, Fade, Simple, Warp Fly Away, Warp Page Curl, Warp Page Turn, Warp Random Block, Warp Sine Wave, Warp Sphere

Direction

Direction specifies the manner in which the DVE progresses. The choices for Direction are Type-specific, i.e., each Type has its own set of Direction selections.

Progress

Progress specifies where in the execution of the DVE that the effect should start and end. For example, a 2D Squeeze can start at full screen (0%) and end at the 3/4 point (75%) of the full execution.

To set % at Start:

  1. Move the Scrub slider to the beginning, click the Scrub Beginning button Scrub Beginning Button, or set the frame counter to 00:00:00:00.

  2. Enter a percentage between 0 and 100 into the % at Start field.

To set % at End:

  1. Move the Scrub slider to the end, click the Scrub End button Scrub End Button, or set the frame counter to the last frame in the effect as set in the Duration frame counter.

  2. Enter a percentage between 0 and 100 into the % at End field.

Advanced Settings

The Advanced Settings provide sets of parameters referred to as Groups. Each Group can be set for a particular Type. For example, the Type 3D Perspective can have various groups of parameters applied to it, such as Blur, Border, Perspective, Pixel and Warp. Each Group can be enabled or disabled. The Groups are accessed from the Group dropdown list box.

DVE Group Dropdown

DVE Group Dropdown

When a Group is selected, the parameters for that group are displayed. In the following example, the parameters for Perspective are displayed. To enable/disable Perspective:

  • Check/uncheck the Enable checkbox.

DVE Settings

The parameters can be expanded to show settings that can be modified. To expand a parameter:

  • Click on the DVE Expand Parameter Icon icon to the left of the parameter. The individual settings are displayed.

DVE Settings - Expanded

DVE Settings - Expanded

To edit a setting:

  • Click the right side of the row that contains the settings. An Edit button is displayed.

DVE Settings - Expanded Showing Edit Button

DVE Settings - Expanded Showing Edit Button

When the Edit button is clicked, the individual settings are displayed. Note that a particular parameter setting may display a different type of entry method, for example, a slider or edit fields. In the following example, edit fields are displayed. These can be modified by typing into the fields. When finished, close the edit window. When finished editing the parameters to all of the Groups, then close the DVE settings box. The settings are applied.

DVE Settings - Edit Fields

DVE Settings - Edit Fields

Creating a DVE - Tutorial

Creating a DVE requires some preliminary setup; the creation of the DVE itself straightforward.

  1. Make sure that the video source that will be comprising the DVE itself is available. As mentioned earlier:

    • If Video Input is to be used, it should be connected, and Video In Layer must be set to On in Configuration > Setup Board Configuration.

    • If a clip is to be used, the clip must be loaded via the eFX Clip panel, accessed via the Clip tab.

    • If a graphic layer is to be used, the graphics should be on the Canvas.

  2. Set up the DVE. For this example, select DVE 1 as the Unit, and use Clip 1 Fill and Clip 1 Key as the DVE Video/Key sources.

  3. Make sure that the DVE is correctly layered into the Video Mix, i.e., that it is not layered under a graphics or clip that might cover it up.

  4. Add the DVE object to the Timeline. A DVE object will appear on the Canvas. This is a proxy image which will not appear on output. A DVE object also appears in the Scene Graph.

  5. Preview the DVE by using the Scrub slider or by clicking the Scrub Play Scrub Play Button button.

  6. Adjust DVE settings as necessary, and then click the Update button to update the Timeline.

Recording a DVE

If a DVE object is added to a Timeline, then the DVE information is recorded when a Lyric message is recorded.


CMix

Tools Menu > CMix

Overview

CMix is a 1RUrack-mount device providing two output channels, each displaying an independent mix of up to 4 Video/Key input layers over an optional Program video input layer, which mix to one Video/Key output. CMix is connected to a host machine via the Universal Serial Bus (USB). CMix may be used to expand the mixing capabilities of Chyron systems, conventional PCs equipped with broadcast-quality video sources, or for use as a standalone router/switcher.

CMix serves standard definition video systems.

The CMix system contains two independent sets of mixing logic, controlling two Video/Key outputs. The mixers share the same inputs, but the inputs can be assigned to different layers in each mixer. For information on installing and connecting CMix, refer to CMix Installation and Connections.

Setup

Genlock Setup

All components in the system must share a common Genlock source. The usual configuration routes an analog black burst signal to the CMix Reference input and all of the graphics boards in the Chyron systems. Chyron CODI boards used in this type of configuration are fitted with an internal cable connecting the reference inputs of all of the boards to a single external BNC. Connecting the analog black burst to any BNC labeled as REF IN should lock all of the boards in the system.

Frame Buffer Setup; CODI-type boards

Multiple boards require that these settings be made for each board. To configure the Frame Buffer boards:

  1. With Lyric running, select Hardware from the Config menu, and then select the Setup Board Configuration tab.

    Image: CMix Configuration

    Configuring a HyperX with CODI boards (and a PCI-Squeezeback board) for use with CMix

  2. Your Video Output Standard is likely set correctly already. Be certain not to disturb it while making other adjustments.

  3. Use the radio buttons in the Selected Board area to select which Frame Buffer you're configuring at the moment.

  4. Use the Genlock dropdown to select Ref In. ALL Frame Buffer boards in the system must be set to Ref In, so as to share "House sync" with CMix.

  5. Set Video In Layer to Off. It is possible to key the Frame Buffer's graphics over a Program Video input and then send this output to the CMix, but system video timing will be substantially altered. See the information regarding video timing issues later in this section.

  6. In most situations, set Shape Video In to Off. (This setting applies primarily to Frame Grab operations.)

  7. Set Key Input to On, even if there is no key input to the Frame Buffer device. Setting this control to Off would set the key output from the selected channel to 100% for the full frame, masking all lower layers in the mixer.

  8. Setting Ancillary Data Pass Thru to Off, given that video input is not being used.

  9. In virtually all situations, the Ancillary Reset Line adjustment should not be changed. The default value is 10 for NTSC (shown) and 6 for PAL.

  10. Vertical Video Adjust should be left at its default value of 0.

  11. Horizontal Video Adjust should be left at its default value of 0.

PCI-Squeezeback Board Setup

Video Layer should be set to Off. Since the PCI-Squeezeback board has no Key Input, setting Video Layer to On would set the Key Output of the board to 100% for the full frame, starting at line 20. This would block any lower layer and the program video in the CMix.

eFX Board Setup

Several of the controls mentioned in the section on CODI-type Frame Buffer boards are irrelevant to eFX boards. As with CODI-type boards, Genlock must be set to Ref In, and Video In Layer to Off. Leave the Vertical and Horizontal Video Adjusts at their "0" defaults.

Configuring a HyperX with eFX boards (and a PCI-Squeezeback board) for use with CMix

Video Timing Issues

Proper mixing of the video sources requires that their timing be matched. There is no time base correction inside the CMix unit.

The Horizontal Video and Vertical Video in the Setup Board Configuration tab (see previous figures) should be set to the same values for all of the graphics boards in the system. This ensures that a graphic read in one frame buffer will appear in the same place on-screen as the same graphic read in the other frame buffers.

Note that it is inadvisable to connect a single video source simultaneously to both the CMix Program Input and the input(s) of any frame buffer device, including PCI-Squeezeback boards. Video timing problems may result.

Internal Clip Player Issues

When the Lyric application is launched, a Matrox-type Internal Clip Player's DigiSuite hardware may initialize its Key Output to a full frame of 100% out. If the CMix layer assigned to the Clip Player is active, this will block all lower layers. This condition may be corrected by reading a Clip file that starts with no Key Output.

CMix Control

The CMix assignments and parameters are set within the CMix Control dialog box. To access:

  • From the Tools menu, select CMix. The CMix Control dialog box is displayed. (Note that the CMix selection appears in the Tools menu only when the CMix plugin is properly installed.)

    Image: CMix Control

    CMix Control

Output 1 and Output 2 Settings

The checkbox at the top of each output section enables the controls within that section. Deselecting (unchecking) a checkbox to disable an Output hides that Output's individual controls. This allows the user to create a mix effect for one channel without affecting the other. The default labels for the outputs are Output 1 and Output 2.

Video Inputs - Layer Settings

It may be helpful to assign signal sources to inputs with some concern for the easiest arrangement to remember, for example, assigning Frame Buffer 1 to CMix Input 1, Frame Buffer 2 to Input 2, etc. Additionally, the layers can be color-coded for easy recognition.

These labels may be changed to indicate which sources are connected to which inputs. The default labels for the Layers are CH1, CH2, CH3 and CH4.

CMix Setup

Layer and Output parameters are set in the CMix Setup dialog box. To access:

  • Click the Setup button [image] located at the bottom of the CMix Control dialog box. The CMix Setup dialog box opens.

Image: CMix Setup

CMix Setup

Device

The Device setting is a USB communication status indicator for the external device controlling CMix. Currently, the Device dropdown is not used, as only a single external system may be connected to CMix at a given time.

Image: Device Connection Status

USB Connection Status Displayed at the Top of the Setup Panel

Setting Input and Program Parameters

To assign user-defined labels to the Layers and PGM, and color codes to the Layers:

  1. Enter new names in the Input Label fields and the PGM Label field. Note that the PGM Label is displayed only when the PGM is not OFF in the CMix Control.

  2. For each layer and the PGM, click on the BG color chip to set the color of the background of the Label field, and on the FG color chip to set the color of the text of the Label field. When a chip is clicked, the Color dialog box opens. Select a color, and then click OK to set. Refer to Color Selection for Light Sources and 3D Characters/Objects for information on using the Color dialog box.

When Shape Video is enabled, the Input Video is attenuated to the Key signal, so that color components do not exceed the Key level. When Shape Video is disabled, the Input Video is not attenuated. To set:

  • Select (check) the Shape Video checkbox to enable, or deselect (uncheck) the Shape Video checkbox to disable.

Setting Output Parameters

To assign user-defined labels to the Outputs:

  • Enter new names in the Output Label fields.

When ANC is enabled, the ancillary data is transmitted along with the rest of the video signal that is output from the CMix. When ANC is disabled, the ancillary data stripped from the video signal that is output from the CMix. To set:

  • Select (check) the ANC checkbox to enable, or deselect (uncheck) the ANC checkbox to disable.

Setting Sync Gen Parameters

To set Video Standard:

  • Select NTSC or PAL from the drop-down list box.

To set Genlock:

  • Select Analog, Digital or Free Run from the drop-down list box.

To set Horizontal Delay and Vertical Delay:

  • Adjust the respective sliders to match the Horizontal Video and Vertical Video settings in the Setup Board Configuration tab in Hardware Configuration.

HD Upconverter Settings

These controls are not in use.

Applying CMix Setup Parameters

The following is an example of CMix setup.

Image: CMix Setup - Parameters Set

CMix Setup - Parameters Set

Once CMix parameters are entered:

  • Click OK to apply. The CMix Setup dialog box closes.

The new settings are reflected in the CMix Control dialog box.

Image: CMix Control - Parameters Set

CMix Control with CMix Setup Parameters Applied

Layer Assignments and Transparency

Any CMix input, except for the Program input, can be assigned to any layer. To do so:

  1. Click the Label field of a Layer. A drop-down list box displays the available Inputs, as well as an OFF setting. The OFF setting disables the Layer.

    Layer Drop-Down

  2. Repeat the layer assignment process for Output 2. Remember that the inputs can be assigned to different layers in Output 2.

Each Output Layer slider (1 through 4) corresponds to a Video Input/Key Input pair. The sliders control the Transparency of each layer in the mix.

NOTE

The Transparency setting is technically an Opacity setting, in that a setting of 0 is completely transparent, and a setting of 100 is completely opaque. It is common throughout the industry, however, to use the terms Transparency and Opacity interchangeably when referring to level settings.

Output Level

The Output Level slider to the right of the Layer sliders controls the overall Transparency of the entire mix.

Route

A separate layer or the mix of all layers can be routed to the output. To set:

  • Click the Route drop-down list box. Select Mix, Layer 1, Layer 2, Layer 3 or Layer 4. If a layer is selected, it is sent to the output at 100% video level. If Mix is selected, the programmed mix is sent to the output.

NOTE

The Route controls affect all of the CMix Output(s). Their effect is not confined to the Monitoring outputs.

Image: Route Setting

Route Setting

Program Input

The Program (PGM) input to the system's mixes can only be turned on and off. Program video is always at 100% video, and its level may not be varied. Clicking the PGM field toggles the input on and off. If the Program source is turned off, CMix inserts black in its place, and all other components of the mix(es) are unaffected.

Image: PGM On/Off

Program On/Off

Effects

A Cut, Dissolve or Fade effect can be executed when the mix is rendered to output. These effects consist of starting and ending mixer states for each of the two CMix outputs, when the output is enabled. When Dissolve or Fade is selected, the user may specify a Duration, in video Frames. The Duration and Frame controls are disabled if Cut is selected.

To set up an effect:

  1. Select (check) the Effect checkbox.

    Image: CMix Effect Setup

    CMix Effect Controls

  2. Select Cut, Fade, or Dissolve from the Effect drop-down list box. If Cut is selected, Frame and Duration settings are not accessible, and setup is complete. If Fade or Dissolve is selected, continue to the next step.

  3. Move the Frame slider to Start, and then set the Layer and Output Level sliders to the desired initial values.

    Layer and Output Level sliders can be adjusted only when the Frame slider is at either Start or End. Interpolation between Start and End values is always Linear.

  4. Move the Frame slider to End, and then set the Layer and Output Level sliders to the desired final values.

    Note that when setting a Dissolve effect, the combined Transparency of Layers 1 and 2 must equal 100%, and the combined Transparency of Layers 3 and 4 must equal 100%. If the Layer sliders are set to incorrect values, CMix Control automatically corrects the settings.

  5. Set a duration in the Duration field. Setup is complete.

To play the effect:

  • Click the Play icon [image].

To preview the effect frame-by-frame:

  • Use the mouse to drag the Frame slider through the effect.

To execute the effect and switch the signal on Output 1 with that on Output 2 and vice-versa:

  • Click the Swap icon [image]. This is equivalent to executing a Swap Image: Swap Icon on a Chyron graphics system.

NOTE

When CMix software is installed, the normal Frame Buffer Tools Swap function is disabled, whether or not a CMix system is connected, and/or whether or not the CMix Control dialog box is open.

  • To restore normal Swap function, move the CMix.ocx file from the Lyric Plugins directory to another location.

  • To restore CMix functionality, move the CMix.ocx back to the Lyric Plugins directory.

Timeline Add

A CMix effect object can be added to the current Lyric scene.

  • Click the Timeline Add button [image].

When the CMix effect is added to the Timeline, it appears as an object on the Timeline, as well as on the Scene Graph and Keyframe Graph. By default, the length of the new entry is the effect duration specified in the CMix Control dialog box. This value, however, as well as the Start Time and End Time of the effect, can be modified using Lyric's standard Timeline editing tools.

  • Right-clicking on the CMix Timeline displays a menu which accesses Timeline editing functions.

  • Right-clicking on the CMix item in the Scene Graph displays a context menu which lists one item, CMix Properties. Select CMix Properties to display the CMix Control dialog box.

  • Right-clicking on the CMix Keyframe Graph displays a menu which accesses Keyframe Graph editing functions.

Timeline Add can be executed more than once to add multiple mixer effects to the Timeline as separate objects, however, the Start and End Times must not overlap.

Keep in mind that the CMix element in the Timeline, Scene Graph and Keyframe Graph is not an object that is visible on the Canvas. Creating a CMix object, however, is how Lyric incorporates the CMix settings into the Lyric composition.

Image: CMix Effects Objects Displayed on Timeline and Scene Graph

CMix Effects Objects Displayed on Timeline and Scene Graph

Timeline Update

Modifications to an effect can be made in the CMix Control dialog box, and then applied to the Lyric CMix Effects object.

  1. On the Timeline or Scene Graph, (select) highlight the effect.

  2. In the CMix Control dialog box, make the modifications.

  3. Click the Timeline Update button [image].

Saving/Recalling CMix Settings

CMix effects and mixer settings can be recorded without other Lyric information, or they can be stored as a component of a complete Lyric composition.

To record CMix effects/mixer settings only:

  1. Press Ctrl + Record on a Chyron keyboard, or Ctrl + the numeric keypad minus sign (-) on a PC keyboard. The Record Only: dialog box is displayed.

    Image: Record Only Dialog Box

    Record Only Dialog Box

  2. Select (click) the CMix radio button, then click Record. The CMix message is recorded in the *.lyr file format, to the current number displayed in the Message Number Display, in the Default Message Directory.

A CMix message can easily be recalled (read) by using the Lyric Read function. It can also be programmed into a Playlist. Settings and effects execute immediately when the file is recalled.

To save CMix settings as a component of a complete Lyric composition:

  1. Add the CMix object to the Timeline using the Timeline Add function as previously described.

  2. Save the Lyric message.

Saving CMix settings using the File Save As function is not currently supported.

Exiting the CMix Control Dialog Box

To close the CMix Control dialog box:

  1. If desired, save the CMix settings.

  2. Click the button [image] or the Windows Close icon Image: Windows Close Icon. Be sure you've saved your work before closing the panel.


CMix Installations and Connections

CMix Installation and Connections

Introduction

CMix is a 1RU-rack mount device providing two output channels, each displaying an independent mix of up to 4 input layers over optional Program video. CMix is connected to a host machine via the Universal Serial Bus (USB). For information on operating CMix within Lyric, refer to CMix.

Software Installation

CMix’s software control panel is available in two ways: as a standalone application for use outside of Lyric, or as a Lyric plugin. The standalone application is available in Chyron’s digital pcCODI Software Developer’s Kit and is discussed in the documentation included with the SDK.

For additional information on Lyric Plugins and the LEIF architecture, consult Lyric Online Help.

CMix Software Installation

CMix’s plugin software for Lyric is installed by the familiar Install Shield process. Locate the CMix.exe on the included CD and double-click it. The install process begins. Follow the instructions in the installation script, and click Next as needed. (To uninstall the CMix software, use the Windows Add/Remove Program facility, as seen in the lower right corner of the illustration above.)

CMix’s software is an ActiveX control with the extension .ocx . As with all Lyric Plugins, the file CMix.ocx must be located in the proper directory on your system. It should be in the Plugins folder of the Lyric installation that contains the copy of Lyric with which it will be used. If your system includes multiple versions of Lyric, make sure the .ocx file is in the correct version’s installation! See the illustrations on the next page.

Installing CMix in Plugins Directory

The system pictured here contains different versions of Lyric. In the following illustration, the installation script did not place the file in the appropriate directory. The operator’s intent here is to use CMix with Lyric Version 4.1 and later.

Top: Installation into the Directory for the Incorrect version of Lyric.
Bottom: The CMix.ocx has been moved to the appropriate directory, in this case, Lyric Version 6.13.

CMix Connections

Rear Panel of CMix Chassis

USB Port

The operating system will detect and configure new USB connections.

Ethernet Connector

This connector is not currently in use.

Video Outputs

Signal: SMPTE 259M/CCIR-656 SDI Format, except for the analog monitor outputs (next item).

  • Monitor 1 and Monitor 2: These BNC connectors offer analog video monitoring output for each of the system’s two outputs (SDI VIDEO OUTs 1 & 2). Connect to standard NTSC/PAL monitors. These video outputs are low-resolution and are not suitable for broadcast.

  • Video Out 1 & Key Out 1: SDI video and key output from Mixer 1of the CMix. If ANC DATA is enabled, ancillary data from the Program In, including Closed Captioning on lines 21 and 284 will appear at this output.

  • Video Out 2 & Key Out 2: Provides video and appropriate key signal from Mixer 2 of CMix.

Video Inputs

Signal format: SMPTE 259M/CCIR-656 SDI

CMix’s four video and key input pairs may be combined in any order by means of compositing and/or blending layers. All mixer settings may be controlled as animation elements by Chyron’s Lyric application or other programs created with the digital pcCODI Developer’s Kit. Typical inputs to the Mixer are video from a clip player or from a character generator. Multiple graphics planes can be combined; for instance, CMix could simultaneously composite elements created by CAL and Lyric applications, a bug inserter and an animated background originating from clip playout.

For mixing, a video input must have an associated key input. If there is no Key In for a given Video In, a 100% matte signal will be assigned, covering all lower layers in the mixer.

  • Program In: The Program In signal is essentially a fifth video layer, distinct from the four Video and Key Input pairs. Program Video is always below Layer 4. All Layers are on top of Program Video. Note that Program In is where the system takes in Closed Captioning as well as other Ancillary data. This data is passed through CMix and preserved on the Video Out 1 & 2 signals. The Program In signal is protected by a bypass relay that automatically routes the signal to Program Out 1 in case of system power loss.

NOTE

This video input may be used as a digital Genlock source; selection of analog or digital Genlock may be set in software (see Ref In for more about analog Genlock).

  • Video In and Key In, Pairs 1 - 4: These pairs of video and key inputs comprise CMix’s four fully-manipulatable layers. Each of these four signals may be routed to either or both of CMix’s output channels. The arrangement of output layers defines visual display priority. Layer 1 is on Top and layer 4 is on the bottom. Program Video is always below layer 4. All Layers are on top of the Program Video.

Analog Reference Connections

CMix may be optionally Genlocked to the SDI Program Video Input or to an analog composite video black burst reference signal. Selection of Genlock source is made in software.

  • Ref Loop: This BNC connector is an output of the black burst signal received at the Ref In connector. This provides a means to share analog sync with other devices, such as Chyron’s digital pcCODI-type Video Processors, clip players and other mixers and switchers.

    To share black burst among multiple systems using the Ref Loop facility, you must remove the shunt at jumper JP24, located on the printed circuit board near the Ref Loop and Ref In connectors.

    Remove the Shunt at Jumper JP24 to Share Analog Genlock

  • Ref In: Connect a composite analog black burst signal to this BNC connector. Also note that this video input may be used as an analog Genlock source; your selection of analog or digital Genlock may be set in software (see Video In for more about digital Genlock and §5 for more about software used with CMix).

Hardware Topology

Basic System

CMix Block Diagram

Sample Setup

The diagram below shows CMIX used with a Chyron LEX equipped with optional Internal Clip Player and Squeezeback board. Such an arrangement might be used to send a completely produced feed from a news network’s regional bureau to its central facility, using the Chyron systems’ resources to minimize demand on other assets, such as switchers and keyers at the central facility.

Example of CMix Connected to LEX for USB Control
and Three Video Sources

In such an arrangement, the Program Video In signal might be from a camera shot of an news anchor. LEX’s Frame Buffer Board would output a Lyric-created lower-third, while its Internal Clip Player and Squeezeback Board worked together to place footage from a reporter in a movable, shrinkable region over the anchorperson’s shoulder. In this way, all compositing and/or keying is done at the remote location.


V Command - Trigger Squeezeback Effect

Intelligent Interface

Squeezeback effects can be automated and triggered via Intelligent Interface commands. The general syntax is as follows:

V\6\<IN-OUT Effect Number>\\<CR><LF>

The IN-OUT Effect Number specifies an Effect Number as determined by the Slot Number to which the effect is assigned in the Squeezeback Panel and Effect direction (IN or OUT) as follows:

  • Numbers 11 through 20 trigger Squeezeback IN (forward) effects 1 through 10.

  • Numbers 21 through 30 trigger Squeezeback OUT (reverse) effects 1 through 10.

Examples:

  • V\6\13\\ triggers Squeezeback IN effect number 3.

  • V\6\28\\ triggers Squeezeback OUT effect number 8.


About Template Description and Template Data Messages

Intelligent Interface

(See also Graphic Substitution)

Template Description and Template Data Messages

Template Description and Template Data message references are major components of Intelligent Interface update commands. Understanding Template Description and Template Data messages is key to creating Intelligent Interface commands that can not only update existing messages, but that can create new messages based on existing messages.

  • A Template Description Message is a Lyric message, which contains both static text/graphic elements, and one or more 2D Text Templates which can be updated remotely.

  • A Template Data Message is a message which is created on the fly by the external (host) computer sending a W command, or by selectively recording (Ctrl + Record + D) the message from Lyric. This message contains all of the information necessary to insert the desired text into the Template Description Message. The combination of these two messages is displayed on Lyric's video output, and appears as one complete message.

Note that an Intelligent Interface update command (U) may also be sent to a Template Description Message, without creating a Template Data Message.

Template Description Message Setup

As an example, we will create a Template Description Message containing two 2D Text Templates which will be updated with text sent from the external computer.

  1. Create a new Lyric message composed of any combination of text and graphics, including a 2D Text Window.

  2. In the 2D Text Window, create two 2D Text Templates, which are to be externally updated.

    Sample Template Description Message

  3. Place the cursor in the first Template that was created. In the 2D Text Template dialog box, assign it the number 0 (see figure below), and enable the Auto Erase and II Update options (see figure below). Assign the number 1 to the second Template and also enable the Auto Erase and II Update options.

    Image: Assigne Template Number

    Assign Template Number

    Image: Template - Set Auto Erase, II Update

    Auto Erase, II Update Enabled

    Lyric should automatically number Templates, starting at 0, but you may wish to confirm that the first Template is numbered 0 as shown above.

  4. Enter the Message Number 1001, and then record the message to the Default Message Directory.

Template Data Message Setup

The W command creates a Template Data Message in the same Default Message Directory on the system that is running Lyric. The file is created by the application running on the external computer in an interaction that is initiated by the external computer. Every new set of data generated by the external system’s software creates (or updates) a message to Lyric, which can be recalled for display when needed.

Consult the external application’s documentation for programming it to send Lyric the appropriate commands. Whatever the particulars of the application’s operation, it must send properly formatted commands to Lyric in order for Intelligent Interface to function.

It is important to remember that the command described next creates a Template Data Message containing the text inserted into the Templates. The Template Data Message may be recalled just as any standard Lyric message, and includes the elements from the Template Description Message combined with the externally updated material.

NOTE: For the operator’s convenience, it is recommended that the Template Description and Template Data Messages be stored under related Message IDs. In this example, the Template Description Message is stored at 1001, and the Template Data Message is stored at 2001.

The syntax for the W command is as follows:

W\<Template Data Message ID>\<Template Description Message ID>\<Text>\
<Text>\<Text>\...\\<CR><LF>

Parameter | Description/Settings
W | Identifies Create Template Data Message command.
<Template Data Message ID> | ID Number of new Template Data Message.
<Template Description Message ID> | ID Number of existing Template Description Message containing graphics and Templates.
<Text>\<Text>\<Text>\... | Each <Text> parameter contains the data that is to be sent to an II Update-enabled Template. Templates are populated in their Template Number order. Up to 10,000 Template fields may exist in a single Template Description Message.

The following example updates Template Description Message 1001 with new text and writes the Template Data Message to 2001:

W\2001\1001\W. Fahnstock\H. Pride\\<CR><LF>

When the W command is sent and successfully processed, Lyric responds by returning an asterisk (*). Whether or not this response is visible on the host (external) computer depends on the setup of the system and its application.

Recalling a Combined Message

Once a Template Data Message has been created, as in the example above, it can be recalled like any other Lyric message. The updated text appears in the Templates that were originally recorded. In this example, recalling Message ID 2001 results in the following display:

Recalled Template Data Message


Command Set and Syntax

Intelligent Interface

Command Set

The Intelligent Interface command set consists of groups of like commands invoked by an identifying letter followed by a set of parameters. The table below outlines the command groups. Hyperlinks connect to detailed descriptions of each command group.

Command | Description
C | Change color of specified field.
E | Define Macro to read message.
F | Change font of specified field.
M | Set disk drive and message directory.
Q | Resend previous response.
U | Update one field of a Tab Data message.
V | Special Effects and Control.
W | Write to Tab Data message.
X and R | Requests External Update and responds to Update Request.
Y | Assorted.
Embedded | Commands that are embedded in R, U or W commands to change the Font, Color, or Background of an Intelligent Interface-enabled Template.

Command Syntax

Commands for Intelligent Interface consist of bidirectional data exchange between the host computer and the system. The protocol consists of a group of single-letter commands, which are followed by various modifiers and data as required.

A command string can contain numerous fields; fields are separated by a backslash (\), known as a Command Field Separator. The command string is always terminated by a double backslash (\\), followed by an optional 2-byte checksum, and mandatory Carriage Return and Line Feed characters. In this documentation, they are notated by <checksum>, <CR> and <LF> respectively. See the end of this section for additional information on checksum.

In this document, program code <xx> refers to an eight-bit decimal or hexadecimal number equal to the xx value, and is used to represent non-printable characters such as Carriage Return and Line Feed. For example, to represent a carriage return, the notation <0D> is sometimes used. An eight-bit number equal to 0D must be sent. Do not use the ASCII equivalents of <, 0, D and >. Carriage Return and Line Feed are commonly used characters, and are also represented by <CR> and <LF> respectively, or as CRLF.

All ranges in the parameter descriptions are inclusive, e.g. 0 - 255 includes both 0 and 255.

The following must be observed when entering any Intelligent Interface commands.

  • All listed parameters, except those specified as optional, must be entered.

  • Parameters must be entered in the proper order.

  • Lyric® Intelligent Interface® is created as an extension of the iNFiNiT!® Family Intelligent Interface® protocol. Please observe that parameters such as Primary/Secondary User (which have no meaning in Lyric) are still observed; in Lyric, any command requiring a Primary or Secondary User selection should be set to Primary. These cases are pointed out where applicable in this documentation.

Command Examples

Following are examples of Intelligent Interface commands.

To update two fields in Template Description Message 1001, write the Template Data to Message 2001, and verify command integrity, send the following string:

W\2001\1001\Indianapolis\Cloudy\\<checksum><CR><LF>

The W, U, C, and F commands can act on the specific Template Fields, leaving others unchanged. For example, to update Fields 0, 2, and 6, then a W command (Write Tab Data Message) would look like the following:

W\100\10\AAA\ \BBB\ \ \ \CCC\\<CR><LF>

Note the empty backslashes between AAA and BBB, and between BBB and CCC. Empty fields are skipped, and therefore not updated. In this example, Fields 1, 3, 4 and 5 are skipped. Each empty field must contain one space character each, or else the two directly adjacent backslashes will be interpreted as the end of the command.

To directly address one Template field, enter the field number. For example, the U command that updates Field 6 would be sent follows:

U\100\6\DDD\\<CR><LF>

Checksum Calculation (Optional)

Checksum is used to verify the integrity of the command that is sent to the system, and appears as <checksum> in the commands shown in this manual.

Checksum is calculated by adding the ASCII value of all characters in the command string, starting at the first character and ending at the second backslash. The total is computed as modulo 256 and displayed as a 2-byte hex value in ASCII. A response (from the Chyron system) <0D><0A> indicates that the command has been accepted with no checksum error.

Error Handling

If a checksum or other error is detected, an 8-byte ASCII error code is transmitted, followed by a Carriage Return and Line Feed. Any errors that occur are also reported in Lyric’s Status Bar. Refer to

Host Acknowledgment

Once the computer has received an acknowledgment of command completion from the Chyron system, it can send the next command/data stream to the Chyron system. The acknowledgment is normally an asterisk (*).

Double-Byte Character Support

NOTE

In order for Lyric to support double-byte characters, the appropriate Chinese and/or Korean fonts must be installed in your system!

The ^ (carat) key serves as both the start and end mark for double-byte characters. When Lyric encounters two ^ characters, it processes the characters between them as double-byte characters.

All characters not enclosed by a ^ pair, but contained within the field delimiter // are considered single-byte characters. Space characters are also considered single-byte characters.

This convention is supported in Intelligent Interface’s W, U, V and R commands.


Embedded Commands

Intelligent Interface

Changing Font, Color or Background of a Template

These commands can be embedded in an R, U, V or W command to dynamically change the Font, Color, or Background of an Intelligent Interface-enabled Template. All embedded commands are delimited in the Intelligent Interface message by a Tab character (ASCII value 9).

Note

The characters <TAB> as seen throughout this page means the operator should press the Tab key on the keyboard while entering the desired text string. It does NOT mean that the operator should enter the characters <TAB> .

Likewise, the characters <CR><LF> mean that the operator should press the Enter key on the keyboard, which inserts a Carriage Return and subsequently creates a Line Feed. It does NOT mean that the operator should enter the characters <CR><LF> .

Although pressing the Tab key while entering one of these text strings will create a prominent space in the text string, as seen in the example below, Intelligent Interface does correctly interpret that keystroke as the ASCII value 9.

R\1\ [f1]Chyron\\<CR><LF>

  • <TAB>[fn] => changes the font of the template, where n is the number in the key combination ALT + n. Enter a number from 2 - 20 after the "f" to specify different fonts.

  • <TAB>[cn] => changes the color of the template, where n is the number assigned to each color in the palette.

  • <TAB>[c0] => changes the current color of the template text back to the template's default color.

  • <TAB>[bc:bkg.tif] => sets the background of the template to c:\bkg.tif.

  • <TAB>[b-] =>\ erases the background in the template.

To use the example above:

R\1\ [f1]Chyron\\<CR><LF>

provided as a response to an X command, would update the Template in the message displaying the word “Chyron” rendered in the font assigned to hotkey Alt + 1 in the active Browser.

Alternative Method for Changing Font and Color in Embedded Commands

Embedded Font/Color specification can be used to set font or color inside an R, U, W or External Update command:

  • Embed the iNFiNiT! keyboard value for a Color key (<A8> through <AF>) or font key (<A0> through <A7>) within the data field.

Example:

abc is displayed in black, and def is displayed in red. The 2D Text Template field’s color remains red until a new command is read which would change the color.

W\6000\6001\<AF>abc<A8>def\\

Note that for colors or fonts 9 through 16, the keyboard code for the Alt key (<CF>) must be placed before the Font or Color Key value, respectively.


Graphic Update

Intelligent Interface

A 2D bitmap graphic can be updated via Intelligent Interface, allowing instant substitution of one graphic for another. W, U and X commands can be used much in the same manner as they are used to update 2D Text Templates.

Enabling II Update and Ext. Update

There are two types of update from a remote computer: II Update and External Update.

  • II Update enables the update of 2D Text Templates and/or 2D bitmaps at any time from a remote computer. W and U commands issued by the host (remote) computer are used to execute the update.

  • Ext. Update enables the automatic update of a Template Description Message or Tab Data Message when it is recalled (read). An X command is issued by the Chyron system, requesting an update from the external computer. The external system then replies to the Chyron system with an R command containing the updated data.

To enable the update of a 2D graphic and record a Template Description Message:

  1. Select the graphic on the Canvas or the Scene Graph.

  2. Right-click on the selected graphic or the Scene Graph listing for the graphic. The 2D Object Template dialog box is displayed.

    Image: Intelligent Interface Graphic Substitution

    2D Object Template Dialog Box

  3. Click the II Update checkbox to enable Intelligent Interface Update. To have Lyric send an immediate request (X command) for update when the message is recalled (read), click the Ext. Update checkbox as well. Note that enabling Ext. Update automatically enables II Update.

  4. Record the message.

    • If II Update is enabled, the graphic can be updated at any time via a W command from the host computer.

    • If Ext. Update and II Update are enabled, a request for an update is automatically sent to the host computer by Lyric when the message is recalled (read). The graphic can also be updated at any time via a W command from the host computer.

2D Text Template and 2D Object Update Order

2D Object Templates are updated in much the same manner as 2D Text Templates.

  • The topmost 2D Object on the Scene Graph is updated (replaced) first, with each succeeding 2D Object under it replaced in descending order.

  • 2D Text Templates are then updated, in ascending numeric order.

Example:

The following screen shot shows two 2D Text Templates and 2D Object Templates. Note that there is no border to define a 2D Object Template. The object itself is the Template.

Message to Be Updated

Text and Object Templates Before Intelligent Interface Update

  • The 2D Text Window named 2D Text 1 contains a Template numbered 0. It contains the text string News.

  • The 2D Text Window named 2D Text 2 contains a Template numbered 1. It contains the text string Stocks.

  • The bitmap Chyron_logo News is positioned above the bitmap Chyron_logo Stocks in the Scene Graph.

For this example, assume the message ID is 120. If Ext. Update is enabled, reading this message would trigger the following X command:

X\1\****\0120\Chyron_logo News.bmp\Chyron_logo Stocks.bmp\00Template:0\01Template:1\\<CR><LF>

The host computer would reply with an R command:

R\1\Chyron_logo Sports.bmp\Chyron_logo Elections.bmp\\Sports\Elections\\<CR><LF>

Image: Message with Updated Graphics and Text

Text and Object Templates After Intelligent Interface Update

The files referenced, since they are relative filenames, are taken from Lyric's "Images" default path. A relative pathname may also be used before the filename, however, "front slashes" ( \ )should be used for delimiters, as in iNFiNiT!® file and path naming. Use of backslashes should be restricted to field separation within an Intelligent Interface command. Note that the colon (:) can be omitted from a file name of an image. This allows support of the iNFiNiT! file name format.

Example: c/filefootage/washington/edole.bmp

The application running on the external system must send a properly formatted message creating a Template Data Message that will be recorded by Lyric. The Template Data Message will have its own page number (Chyron recommends making the message numbers similar) and contain the W command.

Example: The original Lyric message 250 contains the imported bitmap graphic "JackProfile.bmp". You wish to be able to replace with it with another graphic (JoeProfile.bmp) during a broadcast. The following W command creates Template Data Message 350 using a Bitmap Graphic Template defined in Lyric message 250.

W\350\250\JoeProfile.bmp\\

When message 350 is called up in Lyric, the new graphic will have been directly substituted for the original.

Take note of the following with regard to Intelligent Interface graphic update.

  • The updated bitmap is scaled to the same size as the original. Any difference in the aspect ratio between the original graphic and the updated graphic will result in a distorted appearance of the updated graphic.

  • If a single space character is sent within the Graphic Template command field, the graphic will not be changed.

  • If a dash (hyphen) is sent within the field, the graphic will be marked invisible and no longer render. This is equivalent to unchecking the graphic on the Scene Graph.

  • If the new image’s file is stored in the location specified in Lyric’s Default Path for images, the W command line need not specify a file path, as seen in the example above. The default path for images is set in the Preferences window under the Config menu. If the new object is stored outside of Lyric’s default image file path, a path must be specified.

Example: W\350\250\[c:/filefootage/washington/hclinton.bmp]\\

  • 2D Object Properties settings are updated after an image is updated via Intelligent Interface.


C Command - Set Font Color

C Command - Set Font Color for Template

Intelligent Interface

The C command is used to specify a new Font Color Index for a Template. The index specified overrides the default font color assignment to a particular Template. This command can only be used to modify a pre-existing Template Data Message and therefore the Template Data Message ID must be specified. Color Indexes specified in this command map to the Palette entries defined in the Lyric Message and accessed via Lyric hotkeys based on the following table:

Color Index | Lyric Hotkey | Color Index | Lyric Hotkey | Color Index | Lyric Hotkey | Color Index | Lyric Hotkey
1 | Ctrl + 1 | 5 | Ctrl + 5 | 9 | Ctrl + 9 | 13 | Ctrl + Shift + 3
2 | Ctrl + 2 | 6 | Ctrl + 6 | 10 | Ctrl + 0 | 14 | Ctrl + Shift + 4
3 | Ctrl + 3 | 7 | Ctrl + 7 | 11 | Ctrl + Shift + 1 | 15 | Ctrl + Shift + 5
4 | Ctrl + 4 | 8 | Ctrl + 8 | 12 | Ctrl + Shift + 2 | 16 | Ctrl + Shift + 6

The following C command sets the font color for Template Number 1 in Template Data message 5401 to Color Index 5, which is the fifth entry in the Palette for character Face and Edge color:

C\5401\1\5\\<CR><LF>


E Command - Send and Execute Macros

Intelligent Interface

Any VB Script command that can be executed via Lyric Macros may be contained in an E command. Each command is separated by a "tilde" (~) character.

The general syntax is as follows:

E\<Macro Command>~<Macro Command>~<Macro Command>~...\\<CR><LF>

For example, the E command to read Lyric Message ID 4 is as follows:

E\Lyric.Message 4~Lyric.Read\\<CR><LF>

OR

E\Message 4~Read\\<CR><LF>

Note that if no object (in the example above, Lyric) is specified, it is assumed that Lyric is the object.

The E command can also trigger the execution of a macro. The syntax is as follows:

E\<Macro Name>\\<CR><LF>

For example, to execute a macro with the name Macro1, send the following:

E\Macro1\\<CR><LF>

A VB Script subroutine can be built and later referenced by name. A sample sequence is as follows:

E\Sub Macro2~Message 15~Read~End Sub\\

*

E\Macro2\\

*

Note the following about building macro subroutines using Intelligent Interface:

  • The name of the macro subroutine that is built via Intelligent Interface cannot duplicate the name of any of the macros currently loaded in the Macros dialog box. If there is a duplication, Intelligent Interface returns a 000041d7 (Duplicate Macro) error code. See below for

  • A macro subroutine that is built via Intelligent Interface is not loaded into the Macros dialog box, and therefore does not appear in the dialog box.

  • A macro subroutine that is successfully sent to Lyric can be overwritten, i.e., subsequent macros that are sent can have the same name. The name restriction applies only to macros that are listed in the Macro dialog box.

Additionally, if the macro engine is reset, the script must be resent.

The E command can also trigger a loaded macro by executing its Hot Key. Suppose that a macro script in Lyric is assigned the hot key trigger Alt + 3, meaning that it executes when Alt + 3 is pressed. The following example uses a VB Script command to set up a shell object that passes commands to the Windows command interpreter. A second VB Script command then sends the key combination Alt + 3, specified in VB Script as %3, triggering the macro script.

E\set WshShell = CreateObject ("WScript.Shell")~WshShell.SendKeys("%3")\\<CR><LF>

Refer to Macros for information on macro commands.


F Commands- Set Font

F Command - Specify Font Index

Intelligent Interface

The F command is used to specify a new Font Index for a Template. The index specified overrides the default font assignment for a particular Template. This command can only be used to modify a pre-existing Template Data Message and therefore the Template Data Message ID must be specified. Font Indexes specified in this command map to Lyric Font Browser hotkeys used for the Lyric message, based on the following table:

Font Index | Lyric Hotkey | Font Index | Lyric Hotkey | Font Index | Lyric Hotkey | Font Index | Lyric Hotkey
1 | Alt + 1 | 6 | Alt + 6 | 11 | Alt + Shift + 1 | 16 | Alt + Shift + 6
2 | Alt + 2 | 7 | Alt + 7 | 12 | Alt + Shift + 2 | 17 | Alt + Shift + 7
3 | Alt + 3 | 8 | Alt + 8 | 13 | Alt + Shift + 3 | 18 | Alt + Shift + 8
4 | Alt + 4 | 9 | Alt + 9 | 14 | Alt + Shift + 4 | 19 | Alt + Shift + 9
5 | Alt + 5 | 10 | Alt + 10 | 15 | Alt + Shift + 5 | 20 | Alt + Shift + 10

Example: The following F command sets the Font for Template Number 1 in Template Data Message 5501 to Font Index 5 (i.e. Lyric hotkey Alt 5):

F\5501\1\5\\


M Command - Select Message Directory

Intelligent Interface

The M command is used to change/select the current drive and directory. All subsequent commands only affect messages in this directory. Note that when only a message number is provided, Lyric, by default, looks in the message directory. This behavior can be overridden by providing a full filepath specifying an alternate location for the message.

The general syntax for the Select Message Directory command is as follows:

M\<Drive Letter>\<Directory Name>\\<checksum><CR><LF>

Parameter | Description/Settings
M | Identifies Select Message Directory command.
<Drive Letter> | Set the drive on which new directory resides.
<Directory Name> | Identifies the new current Message Directory.

Example: The following command changes the working drive and directory to c:\ELECTION99:

M\C:\ELECTION08\\<CR><LF>

The only response to a successful disk drive selection and message directory change is an asterisk (*). If there is an error, the system sends back an error code.


Q Command - Resend Last Transmission

Intelligent Interface

The external computer sends a Q command to the Chyron system to request a resend of the last transmission. This transmission can be an acknowledgment (*), error codes, or the External Update Request response itself.

The syntax for the Resend Request command is as follows:

Q\\<CR><LF>

The computer then resends the last transmission.


U Command - Update Template Data Message Field

U Commands - Update Template Data

Intelligent Interface

The U command updates the data in a single Template.

Command | Description/Settings
U\ | Updates the specified Template in the specified Message.
U\* | Updates the specified Template in the Message currently displayed in the active frame buffer. The message is not reloaded.

U Command - Update Template in Specified Message

The U command is used to update Template data of a single Template in a preexisting Template Data Message. The general syntax is as follows:

U\<Message Number>\<Template Number>\<Data>\\<CR><LF>

Parameter | Description/Settings
U | Specifies Template Update command.
<Message Number> | Specifies Message to which the data should be sent.
<Template Number> | Specifies Template to which the data should be sent.
<Data> | Specifies data that is to be fed to specified Template.

The following U command updates Field 2 in Template Data message 5501 to "200".

U\5501\2\200\\<CR><LF>

Numbering Template Fields: The U command fills Template fields based on the order in which they were created, and/or on their order specified in the 2D Text Template dialog box Number field (below).

2D Text Template Numbering

NOTE

The II Update setting does not affect Intelligent Interface update of 2D Text Templates. It can, therefore, be selected (checked) or deselected (unchecked). It does, however, enable/disable Intelligent Interface update of 2D Object Templates.

As an example, Template Data Message 1088 contains three fields numbered 1, 7, and 9. The following U command updates Field #7 (the second Template encountered sequentially) to display the phrase "Field 7 Text":

U\1088\1\Field 7 Text\\<CR><LF>

As illustrated, the U command updates the Template based on the order of the Template fields, starting with 0. Template 7 becomes the second Template to be updated since Template 1 is the only one before it. With this command, the Template numbers assigned in Lyric cannot be addressed specifically, but only establish the order in which the Templates are populated.

The U Command and 3D Templates

In messages containing both 2D and 3D templates, 3D templates are processed first.

So, the first 3D template stored in template data message 2001 would be updated by the following command:

U\2001\0\Field 1 Text\\

A second 3D template would be updated by the following command:

U\2001\1\Field 2 Text\\

With two 3D templates present in the message, the first 2D template would be updated by the following command:

U\2001\2\Field 3 Text\\

This method holds true regardless of the field's assigned Lyric PRO number.

U\* Command - Update Template in Current Message

The U\* command is used to update Template data of a single Template in the currently displayed message in the active frame buffer without reloading the message. The general syntax is as follows:

U\*\<Template>\<Data>\\<CR><LF>

Parameter | Description/Settings
U\* | Specifies the Template Update command.
<Template> | Indicates the number of the Template to be updated. Again, the number that should be cited here is the field's specific identifying number as set in the Number control, and NOT a value representing the order in which the field was created. In other words, a command for Field 7 should be cite "7" and not the value "2", which specifies the order in which the fields were created.
<Data> | Indicates the new text to be displayed in the Template.

NOTE

By contrast with the U command's treating Template fields based on the order in which they are populated, U/* commands must cite the numerical designation of the Template field as specified in the Number control at extreme left on the 2D Text Template dialog.

As an example, Template Data Message 1088 contains three fields numbered 1, 7, and 9. The following U command updates Field #7 to display the phrase "Field 7 Text":

U\1088\7\Field 7 Text\\<CR><LF>

As illustrated, the U command updates the Template based numerical designation of the Template fields.

NOTE

Although the Lyric interface allows the operator to assign the same value to multiple templates using the Number control, this should be avoided. Assigning the same numerical designation to multiple templates will cause the U/* command not to work correctly. This condition may occur due to manual alteration of field numbers or Lyric numbering new fields following manual deletion and subsequent addition of template fields.

The U\* Command and Other Objects

A 3D template would be updated using the following command:

U\*\T\<nodename>\

An imported Movie would be updated using the following command:

U\*\M\<nodename>\<file name>

Images would be updated using the following command:

U\*\B\<nodename>\<file name>

See also Continuous Update.


V Commands - Special Effects and Control

I ntelligent Interface

V commands are a series of special effect and control commands in the iNFiNiT!® Family Intelligent Interface protocol. In Lyric, V commands include the following:

Command

Description/Settings

V\5\3

Reads message to specified target (VGA or frame buffer).

V\5\13

Reads message and updates all fields in Template Description Message marked for Intelligent Interface Update. Note that:

  • A single-space update within a V command skips a 2D Text Template if and only if Auto-Erase is not enabled in the 2D Text Template dialog box. The 2D Text Template dialog box is accessed by right-clicking on a 2D Text Template, then selecting Template Properties from the context-sensitive menu.

  • A null update (\\) within a V command skips a 2D Text Template, regardless of Auto-Erase setting.

V\5\14

Reads message and updates only those fields in Template Description Message marked for External Update. Note that:

  • A single-space update within a V command skips a 2D Text Template if and only if Auto-Erase is not enabled in the 2D Text Template dialog box. The 2D Text Template dialog box is accessed by right-clicking on a 2D Text Template, then selecting Template Properties from the context-sensitive menu.

  • A null update (\\) within a V command skips a 2D Text Template, regardless of Auto-Erase setting.

V\5\15

If an animation is stopped at a Pause point, this command will cause the animation to be resumed. Note: If you expect to release a Pause, the animation must be played using the Y\<D5><F3> command, which returns immediately.

V\6

Triggers animation (Play command). Do not use this method of playing an animation if a Pause-Release is required later. Since the V\6\ command does not return an acknowledgment until the animation plays out, a subsequent V\5\15\ would not be processed during the animation.

V\6\11-30

Trigger Squeezeback Effect (systems equipped with PCI-Squeezeback Board only). Refer to V Commands - Trigger Squeezeback Effect for details.

V\<buffer>\U

The Use Message effect plays the animation in the same manner in which it was originally saved in the Lyric message. Any animation in a message called up in this mode is allowed to play out before Lyric displays the next message.

Return Codes

*V\<buffer>\\

Return for V\6 commands.

*V\5\\

Return for successful V\5 command.

V\5\<error code>\\

Return for unsuccessful V\5 command.

V\5\3\ Command - Read

The syntax for the Read command is as follows:

V\5\3\1\<Buffer>\<Message>\<Display Mode>\\<CR><LF>

Parameter

Description/Settings

V\5\3\

Specifies the Read command.

1

Legacy parameter from the iNFiNiT!®, which specified the User ID when two keyboards controlled one iNFiNiT! system. Always keep this parameter set at 1.

<Buffer>

Specifies destination of the message.

0: | Reads the message to the system's VGA monitor.
1: | Displays the message on Frame Buffer 1.
2: | Displays the message on Frame Buffer 2.

<Message>

Specifies Lyric Message Number.

<Display Mode>

Specifies mode of display:

0: | Instructs the system to Read Next (in other words, prebuild the message without displaying it on Duet's output; the message will be shown on the system's VGA monitor).
1: | Instructs the system to read and display on output

In the following example, Message Number 9876 is displayed in Frame Buffer 1:

V\5\3\1\1\9876\1\\<CR><LF>

V\5\13 Command - Read Message, Update All Intelligent Interface Fields

The syntax for Miscellaneous Special Effects commands is as follows:

V\5\13\1\<Buffer>\<Message>\<Display Mode>\Data\Data\...\Data\\<checksum><CR><LF>

Parameter

Description/Settings

V\5\13\1

Specifies read message and update all fields in Template Description Message marked for Intelligent Interface Update. Note that:

  • A single-space update within a V command skips a 2D Text Template if and only if Auto-Erase is not enabled in the 2D Text Template dialog box. The 2D Text Template dialog box is accessed by right-clicking on a 2D Text Template, then selecting Template Properties from the context-sensitive menu.

  • A null update (\\) within a V command skips a 2D Text Template, regardless of Auto-Erase setting.

1

Legacy parameter from the iNFiNiT!, which specified the User ID when two keyboards controlled one iNFiNiT! system. Always keep this parameter set at 1.

<Buffer>

Specifies destination of the message:

0: | Reads the message to the system's VGA monitor.
1: | Displays the message on Frame Buffer 1.
2: | Displays the message on Frame Buffer 2.

<Message>

Specifies Lyric Message Number.

<Display Mode>

Specifies mode of display:

0: | Instructs the system to Read Next (in other words, prebuild the message without displaying it on Duet's output; the message will be shown on the system's VGA monitor).
1: | Instructs the system to read and display on output.

<Data>

Each <Data> string replaces the data in a Template field. Template fields are replaced in order of their numbering. Fields not enabled for Intelligent Interface update are skipped.

The following example updates Tab Description message #9876 with ABC for the first field, and DEF for the second field, displaying the message in Frame Buffer 1:

V\5\13\1\1\9876\1\ABC\DEF\\<CR><LF>

V\5\14 Command - Read Message, Update External Update Fields

This command has the same general syntax and requirements as in V\5\13, but this command updates only the fields which are flagged for External Update.

V\6 Command - Trigger Animation

The V\6 command triggers playback of the current Lyric animation in the specified frame buffer. After completion of the animation playback, Lyric sends the V6 response described below in V Commands - Completion Status. The syntax for Trigger Animation command is as follows:

V\6\<frame buffer>\\<CR><LF>

Parameter

Description/Settings

V\6

Specifies the Trigger Animation command.

<Buffer>

Specifies destination of the message.

0: | Reads the message to the system's VGA monitor.
1: | Displays the message on Frame Buffer 1.
2: | Displays the message on Frame Buffer 2.

V Commands - Completion Status

As with all other commands, Lyric responds to V commands with an asterisk upon receipt. However, the program then responds with completion status when the Read or Play operation has been completed as follows:

Response | Description
*V\5\\<checksum><CR><LF> | For successful V\5 commands.
V\5\<error code>\\<checksum><CR><LF> | For failed V\5 commands.
*V\<buffer>\\<checksum><CR><LF> (Where buffer is 01 for Frame Buffer 1, 02 for Frame Buffer 2 and 00 for the VGA monitor) | For V\6 commands.

All responses are terminated with a checksum and carriage-return/linefeed pair <checksum><CR><LF>.


W Command - Create Template Data Message

Intelligent Interface

The W command is used to create a Template Data Message on disk. Remember that the Template Description Messages from which the Template Data Messages are built are created within Lyric.

Example: The following W command creates Template Data Message 5501 using Templates defined in Lyric Message 5500. Template 0 is assigned John Doe. Template 1 is assigned 100.

W\5501\5500\John Doe\100\\<CR><LF>

The following should be noted regarding W commands:

  • A single-space update within a W command skips a 2D Text Template if and only if Auto-Erase is not enabled in the 2D Text Template dialog box. The 2D Text Template dialog box is accessed by right-clicking on a 2D Text Template, then selecting Template Properties from the context-sensitive menu.

  • A null update (\\) within a W command skips a 2D Text Template, regardless of Auto-Erase setting.

  • If a W command attempts to overwrite a read-only file, an error is returned.

  • When a Template Data Message created using the W command is read, Lyric displays the Message Number of the Template Description Message on the Canvas Title Bar.

A Template Data Message can also be created by selectively recording (Ctrl + Record + D) the message from Lyric.

See also Graphic Substitution.


X and R Commands - Request for Update, Reply

X and R Commands - Request for External Update, Reply

Intelligent Interface

The X command (Request for External Update) is used to automatically request update of text and/or graphics when the message is recalled (read). When a message is recalled, the X command is automatically sent to the host computer connected to the specified Intelligent Interface port, when a Lyric message containing 2D Object (bitmap graphics) and 2D Text Template fields enabled for External Update is recalled (read) by the user.

One or both serial ports may be used. In dual port operation, both Serial Port 1 and Serial Port 2 can receive data simultaneously. In this configuration, Lyric transmits the X command only through Serial Port 1. All other commands are valid for either port.

After receiving an X command from Lyric, the external computer responds with an R (Reply) command carrying the file names and data to populate the Lyric Template fields.

The general syntax for the X command is as follows:

X\<Serial Port Number>\<****> or <Template Data Message Number to Read>\<Template Data Message to Which to Write>\<2D Object Template Name>\...\<2D Text Template Number><2D Text Template Name>\...\\<CR><LF>

The general syntax for the R command is as follows:

R\<2D Object File Name>\...\<2D Text Data>\...\\<CR><LF>

Parameter

Description/Settings

X

Queries the external computer for updated data.

<Serial Port Number>

Identifies the serial port to which the data should be sent.

<****>

or

<Template Data Message Number to Read>

The X command sends one of the following pieces of data when a message is read:

  • If the message that is recalled (read) is a Tab Description Message, <****> is sent. It appears as \****\ in the command.

  • If the message that is recalled (read) is a Tab Data Message, <Template Data Message Number to Read> is sent.

<Template Data Message to Which to Write>

Creates new Template Data Message to which to write updated data.

The following fields request update for specific 2D Object and 2D Text Templates. There can be any combination of 2D Object and 2D Text fields in the X command. The 2D Object fields should be listed first.

<2D Object Template Name>

Sends Name of the 2D Object Template enabled for Ext. Update. Do not confuse the Template name with the file names of the bitmaps themselves. The Name is set in the 2D Object Template dialog box, accessible by right-clicking on a 2D object on the Canvas or on its listing in the Scene Graph, and then selecting Show 2D Object Properties from the context menu. For detailed information on Intelligent Interface update of 2D objects (bitmaps), refer to Graphic Update.

<Template NumberTemplate Name>

Sends Number and Name of the 2D Text Template enabled for Ext. Update. There is no space entered between the Number and the Name, although there can be spaces within the Name itself. The Number and Name are set in the 2D Text Template dialog box, accessible by right-clicking on the Template, then selecting Template Properties from the context menu.

R

Reply command from the external computer.

2D object and text updates are sent as follows:

<2D Object File Name>

Updated 2D object files sent to 2D Object Templates enabled for Ext. Update.

<2D Text Data>

Updated 2D text sent to 2D Text Templates enabled for Ext. Update.

Examples

Example 1 - Text Update:

The following X command requests data for two Template fields in a Template data message.

  1. Create a 2D Text Window containing two empty 2D Text Templates.

  2. In the 2D Text Template dialog box (see figure below), enable (check) Auto Erase and External Update for each of the two 2D Text Templates. Clicking the External Update checkbox also automatically activates II Update.

  3. Assign 0 (zero) in the Number window to the first Template that you created, and 1 to the second Template.

  4. For the purpose of this exercise, record the message as Message Number 1020.

    Image: Templates with External Update

    Templates Saved with External Update Enabled

  5. Erase the message, and then recall (read) it. A prompt appears on the Lyric Canvas as shown in the following figure. Do not click Cancel.

    Image: Waiting for Update

    Waiting for Update Prompt

Lyric then sends the following string:

X\1\****\1020\00Template:0\01Template:1\\

  • X is the command itself.

  • 1 identifies the system’s primary user (in Lyric’s command implementation, this is always 1).

  • The four asterisks indicate that only a Tab Description Message and no other commands are being sent and no Tab Data message is included.

  • 1020 is the number of the Lyric message requesting External Update.

  • 00Template:0 and 01Template:1 identify the Templates. Note that Template:0 and Template:1 are taken from the Name field in the 2D Text Template dialog box. Note that when setting up templates on Lyric, any name can be entered into this field.

2D Text Template Dialog Box - Template Name

The application running on the external system must respond with a string formatted in this way:

R\1\<content of lowest numbered field>\<content of next-highest-numbered field>\\

Again, R is the command itself, 1 identifies the primary system user, forward slashes separate parts of the message, and the message must end with two forward slashes. Note that the number of Templates addressed by the R command must match the number of Templates marked for update in the Lyric message, otherwise, an error message is generated.

The Lyric page updates automatically.

Example 2 - Text and Graphics Update:

The following X command requests data to be routed through Serial Port 1 to six Template fields associated with Template Data Message 0300 using Lyric message 0301.

X\1\0300\0301Team 1 Logo\Team 2 Logo\00Team 1\01Score 1\02Team 2\03Score 2\\<CR><LF>

Note that if a Template Description Message is read instead, the syntax is as follows:

X\1\****\0301\Team 1 Logo\Team 2 Logo\00Team 1\01Score 1\02Team 2\03Score 2\\<CR><LF>

A typical R command response to the above is:

R\1\NY Logo.bmp\LA Logo.bmp\NY\100\LA\98\\<CR><LF>

Disabling External Update

Pressing Alt + U disables External Update of all Template fields. The same function, Disable Interface Fields, is also available from the Edit menu.


Y Commands - Assorted

Intelligent Interface

About Y Commands

Y commands control a number of Lyric functions such as Message Directory and active Frame Buffer selection, Erase, displaying/playing to output and clearing Clips.

Command

Description/Settings

Y\<D5>d<Message Directory>\\<CR><LF>

Sets the current Message Directory to new current Message Directory. For example, to change to directory C/NAB, send the following command:

Y\<D5>dC/NAB\\<CR><LF>

Y\<D5><F3>\\<CR><LF>

The Trigger command plays back the animation(s) that have been set up in Multi FX (Duet SD only). On a single-VGE configuration, either the Animation In or Animation Out plays back. If a sequence of messages is to be played back, the external application must send appropriate commands for Pre-Building a new message after playback of the Animation Out (see Pre-Build command below). On a multiple-VGE configuration, Lyric initializes Frame Buffer 1 to Animation In and Frame Buffer 2 to Animation Out.

After the Trigger command is issued, Lyric toggles the Animation In and Out for each Frame Buffer.

If the Duet SD is not in Multi FX Mode, or the command is sent to a Duet HD or LE/LEX/PCI/PCI+, the Duet will execute the animation on the active frame buffer, without applying Multi FX.

Y\<D5><F3><Frame Buffer>\\<CR><LF>

Plays the animation on the VGA monitor or any of the available Frame Buffers.

<Buffer> Parameters:

  • 0: Play to VGA monitor

  • 1: Play to Frame Buffer 1

  • 2: Play to Frame Buffer 2

Note that specifying a Frame Buffer value is optional. Not specifying a Frame Buffer is equivalent to specifying" 0", and plays the animation to the VGA monitor.

For example, to play the animation to Frame Buffer 1, enter the following command:

Y\<D5><F3>1\\<CR><LF>

Y\<D5><F7><buffer>\\<CR><LF>

This command sets the active frame buffer to the buffer value specified.

<Buffer> Parameters:

  • 0: Frame Buffer 1

  • 1: Frame Buffer 2

  • 2: Frame Buffer 3

Y\<D5><F9>\\<CR><LF>

Transfers contents of the VGA Canvas to Duet output.

Y\keypad#keypad#...<F8>\\<CR><LF>

Reads a message into the current VGE output. For example, to read Message Number 0200, send the following command:

Y\<C0><C2><C0><C0><F8>\\<CR><LF>

Y\<CD>\\<CR><LF>

Erases the Canvas.

Y\<FE>\\<CR><LF>

Erases the Canvas.

Y\<F9>\\<CR><LF>

Swaps Channel 1 and Channel 2 outputs

Y\<Message Number><F8>\\

Prebuild: When Duet SD is in Multi FX Mode, this command loads the Frame Buffer with the specified message in preparation for a trigger (i.e. Play) command. For multiple VGEs, Lyric automatically builds to alternating Frame Buffers each time the Prebuild command is sent. Typically, a Prebuild command is issued before each trigger command.

If the Duet SD is not in Multi FX Mode, or the command is sent to a Duet HD or LE/LEX/PCI/PCI+, the Duet will read the specified message without a Prebuild.

Y\<1B>\\<CR><LF>

Aborts the currently playing animation.

The following "Y" Commands are used exclusively with Duet LE/LEX/PCI/PCI+:

Y\<D5><CF><FE><Frame Buffer>\\<CR><LF>

Clears the current Clip from the Canvas and stops the Internal Clip Player if a clip is present on the Canvas of the specified Frame Buffer. If no Frame Buffer is specified, the operation occurs by default in the current Frame Buffer.

This command is the equivalent to the following Duet/PC key combination:

Ctrl + Alt + Esc + #

where # is the Frame Buffer number.

Y\<D5><FE><Frame Buffer>\\<CR><LF>

Clears the current Clip from the Canvas, erases the current Frame Buffer and stops the Internal Clip Player if a clip is present on the Canvas of the specified Frame Buffer. If no Frame Buffer is specified, the operation occurs by default in the current Frame Buffer.

This command is the equivalent to the following Duet/PC key combination:

Ctrl + Esc + #

where # is the Frame Buffer number.

iNFiNiT!® Family Compatibility

For compatibility with iNFiNiT!® Family Intelligent Interface®, all Y commands may be sent using the <01><Data><02> command sequence. For example, to erase the screen, send:

<01><CD><02>

To read Message Number 200, send the following command:

<01><CO><C2><CO><CO><F8><02>


Intelligent Interface Error Codes

Error Codes

Intelligent Interface

If a checksum error or other error is detected, a 4-byte ASCII error code is transmitted, followed by a Carriage Return <CR> and Line Feed <LF>. If no error is detected and the command was processed successfully, an asterisk (ASCII 42), followed by a Carriage Return and a Line Feed are transmitted.

Please note that these error codes are from the complete implementation of iNFiNiT!® Family Intelligent Interface, provided to allow for Lyric feature set expansion. A number of these errors apply to iNFiNiT! systems only.

Error Code | Description
0001 | Task timed out.
0002 | Unimplemented system service.
0003 | Illegal service.
0004 | Illegal node.
0005 | Object has been deleted.
0006 | Invalid object ID.
0007 | Incorrect object ID.
0008 | Incorrect object type.
0009 | Object not found.
0014 | Cannot create message - No task control blocks.
0015 | Cannot create message - No stack space available.
0016 | Cannot create the message -The stack space is too small.
0017 | Cannot create the message -Priority out of range.
0018 | Cannot start the process - Already active.
0019 | Cannot restart the process - The process was never started.
0020 | Cannot suspend process - Process is already suspended.
0021 | Cannot resume process - It was never suspended.
0022 | Cannot change priority - Out of range.
0023 | Illegal task register number.
0024 | Cannot delete - File is open.
0051 | Cannot create - No more queue control blocks.
0052 | Cannot create or send - No message buffers.
0053 | Cannot send - The message queue is full.
0054 | Cannot receive - The queue has been deleted.
0055 | Cannot receive - There are no pending messages.
0056 | Informative - There were tasks waiting when the queue was deleted.
0057 | Informative - There were messages waiting when the queue was deleted.
0065 | Cannot create - No more SCBs.
0066 | Cannot acquire - Semaphore not available.
0067 | Cannot acquire - Semaphore deleted while waiting.
0068 | Informative - There were tasks waiting when the Semaphore was deleted.
2001 | An invalid function number was called.
2002 | pHILE failure was encountered.
2003 | An inconsistent structure was found on the volume.
2004 | No more TCB extensions.
2005 | Init volume parameter error.
2006 | No more volume table entries.
2007 | Alien volume.
2008 | Volume already mounted.
2009 | Cannot unmount - there are files open.
200A | Device not mounted.
200B | File not found.
200C | Illegal filename.
200D | No Default Directory found.
200E | Directory file expected.
200F | Illegal annex size to create.
2010 | Null filename.
2011 | File already exists.
2012 | F list full.
2013 | File open.
2014 | Directory is not empty.
2015 | System or directory file.
2016 | Different devices (MOVE_F).
2017 | MOVE_F would result in non tree structure.
2018 | No more open file entries.
2019 | No more FCBs.
201A | Invalid FID, too large.
201B | Invalid FID, file closed.
201C | Indirect block full.
201D | Volume full.
201E | Bad position to lseek.
201F | Seek past end of file.
2021 | Illegal device (exceeded maximum).
2022 | Data is locked.
2023 | Bad fn in OPEN_VOL.
2024 | Illegal flush mode to MOUNT_VOL.
2025 | Illegal device name.
2026 | Bad MS/DOS call.
2027 | Illegal MS disk type.
2028 | More than one type of MS disk type.
2040 | Used Tab page
2F01 | Insufficient data area.
2F0E | Check sum in pHILE.
2F0F | Check sum in pVERIFY+.
400B | Checksum does not match computed checksum.
40B2 | Requested message directory does not exist.
40B3 | Requested message file does not exist.
412C | Requested description file is not a Tab Description file.
412D | Requested data file is not a Tab Data file.
412E | Requested field is not a valid field.
412F | Requested attribute (Color or Font) is not valid.
4130 | Field contains too much data (limit 64 characters).
4131 | Incorrect number of fields, R command does not match X command.
415E | Description message was created with old Tabs (Templates).
415F | Number of Tabs (Templates) exceeds limit (99).
4190 | Desired operation is not terminated with "\\".
4191 | The command format is incorrect.
4192 | An invalid operation has been requested.
4193 | An invalid Machine ID has been used.
4194 | An invalid Effects ID has been used.
41C2 | An invalid User ID has been used (either 1 or 2).
41C3 | An invalid Keyboard ID has been used (either 1 or 2).
41C4 | The command to set the active message compose frame buffer failed.
41C5 | An invalid Frame Buffer ID was used (1, 2, or 3).
41C6 | Error building into a non-displaying buffer; a bad message type was used or no Read Next command was issued.
41C7 | Command to set Palette failed.
41C8 | Color Key out of range; must be 1 - 8.
41C9 | Palette Index out of range; must be 1 - 31.
41CA | Color Index out of range; must be 0 - 255.
41CB | Key out of range; must be 0 - 1.
41CC | Attempted to perform a Dual-User operation in Single-User mode.
41CD | Timed out waiting for response.
41CE | Error building Message Compose Palette.
41CF | Error erasing displayed Frame Buffer.
41D0 | Display/Non-Display flag out of range, i.e., 0 - 1.
41D1 | No Intelligent Interface option.
41D2 | Bitmap not created.
41D3 | Bitmap file not found.
41D4 | Invalid Field Number.
41D5 | Missing Macro.
41D6 | Macro Error.
41D7 | Duplicate Macro.
41D8 | Another Macro currently executing.
41D9 | Another Macro currently recording.
41DA | Item referenced in Macro was not found.
41DB | File referenced in Macro was not found.
5000 | New Playlist created.
5001 | Invalid Playlist Number.
5002 | No Playlist loaded.
5003 | File not Playlist.
5004 | Old version of Playlist.
5005 | Playlist already exists.
5006 | Playlist finished executing.
5010 | Invalid Playlist Entry Number.
5011 | Error allocating Playlist Entry.
5012 | Error adding Playlist Entry.
5020 | Invalid Channel allocated.
5021 | No Channel allocated.
5022 | No Frame Buffer allocated.
5030 | Invalid Still Message Number.
5031 | Still File not found.
5050 | Invalid IMAGESTOR! command.
5051 | Invalid Effect.
5052 | Invalid Pattern.
5053 | Invalid Speed.
5054 | Invalid Ease parameter.
5055 | Invalid Reverse parameter.
5056 | Invalid Keyboard Lock Status.
7000 | No memory to create outline.
7004 | No Frame Buffer available for graph.
7008 | No memory for the Fill Line Buffer.
7100 | Line segment not between 0 and MAX_LINE_SEG.
7108 | Invalid Pulse parameter specified, i.e., not _PULSE(0) or _NON_PULSE(1).
710C | Invalid display buffer specified, i.e., not _DBUF(0) or _NBUF(1).
7110 | Invalid Trigger type specified, i.e., not _REGULAR_LINE(0), _PULSE_LINE(1) or _BOTH(2)
7114 | Invalid Mode specified, i.e., not _ENTIRE_LINE(0) or _LAST_SEGMENT(1).
7118 | Specified Pacing value outside of range, i.e., not between -30 and 30.
7200 | Brush not successfully created.
7204 | Invalid Edge specified, i.e., not _HARD(0), _SOFT(1), _SOFT_EDGE(2) or _CLEAR(3).
7208 | Invalid Transparency, i.e., not between 0 and 100.
720C | Brush diameter out of range.
7210 | Invalid RGBA file name, i.e., RGBA value has more than 8 digits.
7300 | Point not added to outline.
7304 | No outline exists for this line segment.
8001 | Wrong Read Effect task.
8002 | Bad Read Effect command.
8003 | Wrong Read Effect command.
8004 | Bad Read Effect Mode.
8005 | Bad Read Effect Ease.
8006 | Bad Read Effect Speed.
8007 | Bad Read Effect Type.
8008 | Bad Read Effect Reverse.
8009 | Bad Read Effect Row Direction.
800A | Bad Mix Effect Percent.
800B | Bad Mix Effect Soft Edge.
800C | Rows cannot be wiped left and right on old frame buffer.
800D | Must specify one row Up or Down.
800E | Invalid Effect type.
800F | No memory available for row type.
8010 | Frame buffer error occurred.
8011 | Frame buffer in use by another task, e.g., Clock, Flash.
805001 | Bad Transform syntax.
805002 | Bad Transform script.
805003 | Bad Transform directory.
805004 | Bad Transform message.
805005 | Bad Transform value.
805006 | Ignored.
805007 | Bad Transform command.
805008 | Transform not available.


Intelligent Interface - Related Topics

Intelligent Interface Overview

Intelligent Interface® - Overview and Setup

Intelligent Interface Configuration

Command Set and Syntax

Font, Color Setup

C Command - Set Font Color

F Commands- Set Font

Embedded Commands

Message Directory Setup

M Command - Select Message Directory

Template Description/Template Data Operations - Template Update

About Template Description and Template Data Messages

U Command - Update Template Data Message Field

W Command - Create Template Data Message

Graphic Update

X and R Commands - Request for Update, Reply

Special Effects and Control

V Commands- Special Effects and Control

PCI Squeezeback Board Control

V Command - Trigger Squeezeback Effect

Macros

E Command - Send and Execute Macros

Other Commands

Y Commands - Assorted

Transmission

Q Command - Resend Last Transmission

Error Codes

Intelligent Interface Error Codes


Macros Overview

View Menu > Macros

Refer to LEIF Help for additional information about the LEIF API. If clicking this link does not open LEIF Help, open the LEIF.hlp file in the directory in which Lyric was installed.

Macros are VB Script programs that are can simplify and automate repetitive tasks for easy recall in on-air or production situations. Such tasks include reading messages, keystrokes, menu selections, etc. They can be triggered as needed, and/or a macro can be set to automatically execute at the time when the macro file is read.

This section covers the use of macro scripts as triggered from within Lyric. Individual macro commands, however, can be sent to Lyric via Intelligent Interface®. Refer to Intelligent Interface: E Command - Send Macro Commands for detailed information.

Note that not all keystrokes or mouse actions are supported in Lyric macros. Refer to Specifying Characters Using SendKeys Commands for additional information. Supported Lyric functions are listed at the end of this section.

Macros - Related Topics

About VB (Visual Basic) Script

Lyric macros are founded on the VB Script language, allowing sophisticated, high-level programs to be created and assigned to macros. These include custom user interfaces for data acquisition and display. The use of VB Script also enables the macro user to control custom CAL (Chyron Abstraction Layer) applications.

The Macros Dialog Box

For the purpose of the following example, make sure that the Lyric Canvas is empty, and does not contain a full-screen 2D Text Window. The first step in creating a macro is to access the Macros dialog box. To do so:

  • From the View menu, select Macros. The Macros dialog box is displayed.

    Image: Macros Dialog Box

    Macros Dialog Box

The Macros dialog box is split into two panes. The left pane displays the following information for each macro:

  • The name of the macro.

  • The hotkey, if specified, that executes the macro.

  • The file path of the macro once it has been saved.

The right pane displays three tabs:

  • Description: Displays a short description of each macro. This tab is displayed on opening the Macros dialog box.

  • Script: Displays the VB Script, i.e. the program, for the selected macro. Macro scripts can be input in a variety of manners: Typing a script directly into the Script tab; opening an existing macro file; and recording keyboard/mouse activity.

  • Globals: Displays a list of Global Variables available for use by any of the macros and by macros which are subsequently read into the Macros dialog box.

There are also a set of icons at the bottom left of the dialog box, which execute a variety of functions.

The left and right panes can be resized by clicking-and-dragging, as can the Macro, Hotkey and File columns:

Resized Macros Dialog Box

Creating and Playing Back a Macro

The following script that you will create will open a 2D Text Window, change its position twice, and display the word "Hello!"

  1. Click the Add icon Image: Macros Add Button to initiate a new macro file. The default new file name appears in the Description tab. along with the time and date. Additional descriptive text can be typed in at any time. Text editing functions are available by right-clicking in the Description pane. See Right-Pane Context Menu later in this section for additional information on this menu.

    Adding a New Macro

    Image: Macros Script Code Edit Functions

    Right-Pane Context Menu

  2. Click the Record Image: Macros Record Button icon. The right pane switches to displaying the Script tab. From this point on, almost any action performed on the Canvas is recorded as part of the macro. Additionally, while the macro is recording, the Macro symbol Image: Macros Record in Progress next to the default filename blinks, and the letter M in the Status Bar turns red.

  3. Click on the Canvas to make it the active window.

  4. Open a 2D Text Window. Note that the creation of the 2D Text Window has been recorded.

    Macros - Recording the Addition of a 2D Text Window

    Macros Script Recording the Addition of a 2D Text Window

  5. Click-and-drag the 2D Text Window to a new position, and then click-and-drag it to still a different position. Each change in position is recorded as a pair of commands: one addressing the X position; and one addressing the Y position.

    Image: Macros - Recording Movement of a 2D Text Window

    Macros Script Recording 2D Text Window Movement

    Most actions involved in creating a Lyric composition can be recorded as part of a macro. Actions not directly related to the creation of the Lyric composition, for example clicking on a window to make it active, are generally ignored. Refer to the end of this section for a complete list of the actions that can be recorded in a macro.

  6. In the 2D Text Window, type the word "Hello!" Each character that is typed is recorded in the macro.

    Image: Macros - Script Recording Text Typing

    Macros Script Recording Text Typing

  7. Click the Stop Image: Macros Stop Button icon. The Macro symbol Image: Macros Record in Progress does not stop flashing until the current macro is saved or abandoned. Saving macros is covered later in this section.

  8. Press Ctrl + Q to erase the Canvas. Now that recording has stopped, the Erase command is not added to the macros script.

  9. Click the Play icon Image: Macros Play Button or double-click the macro name. The window containing the typed "Hello!" appears on the Canvas. Because no timing commands were included in this macros script, the repositioning of the 2D Text Window and the typing of the characters may be imperceptible on playback. A macro can also be executed by pressing a Hot Key combination, which is a keyboard shortcut. Setting Hot Keys is covered later in this section.

Add additional macros and experiment with other Lyric composition tools to see how they are translated into VB Script commands.

Right-Pane Context Menu

The right-pane context menu accesses text editing functions in the Description, Script and Globals tabs. To display this menu:

  • Right-click the right pane (displaying the Description, Script and Globals tab) of the Macros dialog box.

Image: Right-Pane Context Menu

Right-Pane Context Menu

Standard Windows text editing functions such as Cut, Copy, Paste, Delete and Select All are available from this menu. If certain language packages are installed, three additional items are displayed:

  • Right-to-Left Reading Order: Right-justifies the text, and specifies that the text should be read from right-to-left. To toggle on/off, click Right-to-Left Reading Order. When active, a check is displayed next to the menu item.

  • Show Unicode Control Characters: Currently not implemented.

  • Insert Unicode Control Character: Currently not implemented.

Left-Pane Context Menu

The left-pane context menu accesses functions that allow one to edit, delete, save, set a hotkey or rename a macro. To display this menu:

  • Right-click a macro name in the left pane of the Macros dialog box. The left-pane context menu is displayed. Note that the Script Code item is grayed out. This item only becomes active if the selected macro has been previously saved.

Image: Macros Left-Pane Context Menu

Macros Left-Pane Context Menu

The context menu items are covered in following order: Save Macro; Script Code; Hot Key; Rename; Delete.

Saving Macros

Macros that are listed in the Macros dialog box can be saved individually or together when a Save is executed. Macros can be saved in two different formats.

  • *.lmx: The *.lmx format is a file consisting solely of ASCII text, allowing the file to be opened in any text editor for editing. Files of this format can also be used in programs outside of Lyric.

  • *.lyr: The *.lyr format is executable only from Lyric. The advantage to this format is that it allows one individual macro to automatically execute upon reading the macro file. The *.lyr format also allows the file to be read as a Lyric message by entering the Message Number, then pressing Read. It should not, however, be edited outside of Lyric.

A macro script or macro name can also be embedded in a Lyric message, and is executed immediately when the message is read. Refer to Selective Recording - Embedded Macro for details.

To save a macro or group of macros as an *.lmx file:

  1. Select Save Macro from the left-pane context menu to save the selected macro, or click the Save All Macros to File icon Image: MAcros Save Icon or press Ctrl + S to save all macros displayed in the Macros dialog box. The Save As dialog opens.

    Image: Macros Save As *.lmx

    Save Macros As *.lmx

  2. In the Save In field, navigate to the directory in which the macro file is to be saved.

  3. In the Save as Type drop-down list box, select Lyric Macro Files (*.lmx). Note that the Auto Execute drop-down is grayed out.

  4. Enter a File Name.

  5. Optional: To save Global Variables, select (check) the Save Globals check box. Global Variables are covered later in this section.

  6. Click Save.

Note that the when a group of macros is saved as an *.lmx file, the code for each macro is displayed in order of its Macros dialog box listing when the .lmx file is opened in a text editor.

To save a macro or group of macros as a *.lyr message:

  1. Select Save Macro from the left-pane context menu to save the selected macro, or click the Save All Macros to File icon Image: MAcros Save Icon or press Ctrl + S to save all macros displayed in the Macros dialog box. The Save As dialog opens. It is shown with the file information already entered.

    Image: Macros Save As *.lyr

    Save Macros As *.lyr

  2. In the Save In field, navigate to the directory in which the macro message is to be saved.

  3. In the Save as Type drop-down list box, select Lyric Macro Files (*.lmx).

  4. Enter a File Name.

  5. Optional: In the Auto Execute drop-down list box, select the individual macro that should automatically execute when the macro message is read. This step is necessary for auto-execution even if the macro message contains only one macro. Leave the Auto Execute field blank if automatic macro execution should not take place.

  6. Optional: To save Global Variables, select (check) the Save Globals check box. Global Variables are covered later in this section.

  7. Click Save.

If a macro was specified in the Auto-Execute field, the macro will execute when the Lyric macro message is read.

Quickly Saving a Macro File (*.lyr) for Easy Recall

The following procedures save the macro file in the .lyr format to the current Message Number in the Default Message Directory. Using this recording method also makes allows for easy recall of the macro message, as described in Opening/Reading a Macro later in this section.

A quick method for recording a Macro file in the *.lyr format is as follows:

  1. Press Ctrl + Record. The Record Only: dialog box opens.

  2. Select Macros.

  3. Click Record.

A shortcut key combination can also be used to record the macro:

  • Press Ctrl + Record M Enter.

The above methods cannot be used to save Macro files in the .lmx format.

Opening/Reading a Macro

Macro files in both the *.lmx and *.lyr formats can be opened in Lyric from File > Open, then by navigating to and selecting the file.

Macro files in the *.lyr format, that also are identified by numeric names of eight digits or less, and that are stored in the Lyric Default Message Directory, can be read in the same manner as other Lyric messages.

  • Enter the Message Number, then press Read.

Note that opening a macro that has the same Macro Name (not file name) as a macro already listed in the window results in the newer macro overwriting the older macro in the Macros dialog box. This does not affect the original macro files that have been previously saved. It simply affects which macro is currently loaded. When a macro in the Macros dialog box has not yet been saved, the overwrite would erase it.

A macro can be embedded in a Lyric message so that it automatically executes when the message is read. Refer to Selective Recording - Embedded Macro for details.

Script Code Window and Editing Script

After an individual macro or group of macros is saved, the VB Script code for the entire file can be displayed and edited. The changes can then be saved.

To view and edit the macro file within Lyric:

  1. Select Script Code from the left-pane context menu. The Script Code window is displayed.

    Image: Script Code Window

    Script Code Window

    As shown in the previous figure, each individual macro, whether saved individually or as a group, is identified as a subroutine in the VB Script. Script from any of the subroutines can be edited.

  2. Make edits to the script. To access available editing functions, right-click in the Script Code window.

    Image: Macros Script Code Edit Functions

    Script Code Edit Functions

  3. When editing is complete, click the Windows Close Image: Windows Close Icon icon. The following is displayed.

    Image: Macro Save Changes?

    Save Changes to Macro?

  4. Click Yes to save changes, No to exit the Script Code window without saving changes, or Cancel to cancel the operation and continue to edit.

An individual macro can also be edited from within the Script tab of the Macros dialog box.

  1. Select (highlight) the macro name in the Macros dialog box.

  2. Click the Script tab. The script for the selected macro is displayed.

    Image: Editing a Macro from the Script Tab

    Editing a Macro from the Script Tab

  3. Make edits to the script. To access available editing functions, right-click in the Script Code window, as shown in the preceding figure.

  4. When editing is complete, the script can be played back. Note that when editing in this manner, the script is not saved until one of the Save functions is executed.

Deleting a Macro/All Macros

Macros can be deleted either individually or as a group from the Macros dialog box. Note that Global Variables are not deleted by either operation.

An individual macro can be deleted from the Macros dialog box.

  1. Right-click the macro name in the Macros dialog box.

  2. Select Delete from the context menu or press the Delete key. The Confirm Delete prompt is displayed.

    Image: Confirm Delete Prompt

    Confirm Delete Prompt

  3. Click OK to delete, or Cancel to cancel the deletion.

To erase all macros from the Macros dialog box:

  1. Click the Clear All Macros icon Image: Clear All Macros Button. The Confirm Deletion prompt is displayed.

    Image: Conrfirm Deletion Button

    Confirm Deletion Prompt

  2. Click OK to delete all macros, or Cancel to cancel the deletion.

Setting Hot Keys and Macro Symbol Colors

A Hot Key, or keyboard shortcut, can be assigned to each individual macro, eliminating the need to use the mouse to execute the macro. A color can also be assigned to the Macro symbol for easy recognition. To set a Hot Key and a macro color:

  1. Right-click the macro name in the Macros dialog box.

  2. Select Hot Key from the context menu. The Macro Short Cuts dialog box opens.

    Image: Macro Short Cuts Dialog Box

    Macro Short Cuts Dialog Box

  3. As shown in the preceding figure, enter a key combination in the Hot Key field, then select a color in the Icon color list. For no color, select <none>.

  4. Click Apply. The macro can now be executed by pressing the Hot Key combination. The following figure shows Hot Keys and Macro symbol colors applied to all three macros.

    Image: Hot Keys and Macro Symbol Colors Applied

    Hot Keys and Macro Symbol Colors Applied

Renaming a Macro

An individual macro can be renamed.

  1. Right-click the macro name in the Macros dialog box.

  2. Select Rename from the context menu. The macro name becomes available for editing. Type the new name of the macro. Names must be composed of alphanumeric characters and must not contain spaces or punctuation characters.

    Image: Renaming a Macro

    Renaming a Macro

  3. Press Enter. The macro displays the new name.

    Image: Renamed Macro

    Renamed Macro

Global Variables

A Global Variable is a value that is available to all macros. A Global Variable can be an absolute value, or it can be determined by input from another source, i.e., a macro. For example, a Global Variable such as a price, could be input via one macro. Another macro could then display the Global Variable in a 2D Text Template on the Lyric Canvas.

Global Variables can be defined in the Globals tab of the Macros dialog box. Each Global Variable must be preceded by the word public, which indicates that it is available to all macros.

Global Variables remain active until deleted or reset (See Resetting the Macro Engine and Global Variables following this subsection).

To demonstrate a simple example, the following procedure will define a Global Variable. Two macros will also be created: one to take input of a number, and another to display it.

To define a Global Variable "a", which is to be accessed by the macros:

  1. Click on the Globals tab in the Macros dialog box.

  2. Type the following: public a

Image: Definig a Global Variable

Defining a Global Variable

Create the input macro that displays a Windows input box. This value becomes the Global Variable "a" that can be accessed by other macros.

  1. Click the Add icon Image: Macro Add Icon. This initiates the creation of a new macro. Rename the macro as Input.

  2. Click on the Script tab. Type the following: a = InputBox ("Enter Number")

To create the macro that displays the Global Variable "a" in a Windows message box.

  1. Click the Add icon Image: Macro Add Icon. This initiates the creation of a new macro. Rename the macro as Output.

  2. Click on the Script tab. Type the following: MsgBox (a)

The macros can now be executed.

  1. Select the macro named Input, then double-click it or click the Play icon. The following is displayed:

    Image: Input Box Requesting a Value

    Input Box Requesting a Value

  2. Type a number into the field. For this example, we will use 456. Click OK.

  3. Select the macro named Input, then double-click it or click the Play icon. The following is displayed:

    Outputting the Global Variable

Resetting the Macro Engine and Global Variables

The macro engine can be reset, clearing out the macros and bringing the VB Script processor back to its initial state. This is recommended when work with one set of macros is complete, and a new set is to be opened. In addition, if macros that normally execute properly exhibit unexpected behavior, or newly created macros are retaining and executing previously created scripts, resetting the macro engine can restore proper function.

Note that executing a reset also clears macros that have been created and sent via Intelligent Interface. These macros do not appear in the Macros dialog box. After a reset, it is necessary to resend the macros to Lyric if they are to be used.

The Reset Macro Engine and Global Variables can reset only the macros or the macros and Global Variables. Generally, it is desirable not to reset the Global Variables, in order to leave them available for the next set of macros.

To execute a reset:

  1. Specify whether the macros only, or the macros and the Global Variables are to be reset.

    • To Reset Macros Only: In the right pane of the Macros dialog box, click either the Description tab or the Script tab.

    • To Reset Macros and Global Variables: In the right pane of the Macros dialog box, click Globals tab.

  2. Click the Reset Macro Engine and Globals icon Image: Reset Macro Engine and Globals Icon. The following is displayed.

    Image: Reset Macro Engine and Globals Icon

    Confirm Macro Engine and Global Variable Reset Prompt

  3. Click OK to reset or Cancel to cancel the operation.

Supported Functions For Macros

The following Lyric operations can be performed using macro commands. Refer to LEIF Help for coding and syntax information. If clicking this link does not open LEIF Help, open the LEIF.hlp file in the directory in which Lyric was installed.

Object Maintenance

  • Add 2D window (including Roll, Crawl, Type-On, Clock, Timer)

  • Add 3D object (characters, Wavefront, 3DS model)

  • Add 2D image

  • Selection of object by name

  • Delete selected object(s)

  • Toggle visibility (checkbox on scene graph)

2D Text Operations

  • Typing 2D characters

  • Cursor movement via arrow keys, home, end

  • Delete, backspace, next line

  • Insert 2D Text Template

  • Tab to previous/next template

  • Make Window Full Screen

  • Select All 2D Text

  • Insert/Delete Row

  • Delete to end of row

  • Pickup color/font

  • Apply color/font, using shortcut keys

  • Renumber templates

  • Shift/Super-Shift row and page

  • Ctrl + Tab (inserts white space tab)

  • Escape (to exit an active template)

  • Font and Color Hot Keys

Animation Operations

  • Set keyframes through Canvas actions or changing values on the XYZ Properties page

  • Go to Next or Previous keyframe

  • Fast Forward

  • Fast Reverse

  • Frame Forward

  • Frame Reverse

  • Go to end of animation

  • Keyframe all objects/selected objects

  • Play or Reverse Play animation

  • Copy Animation State

  • Paste Animation State

Frame Buffer/Playout Operations

  • Toggle Live Button

  • Transfer

  • Channel selection/toggle

  • Swap

  • Transfer to next channel

Scene Operations

  • Setting message number

  • Read

  • Record

  • Alt + Record

  • Open (specified filename)

  • Erase

  • Wait (pause between macro commands for a given timeout)

Macros - Related Topics


Advanced Macro Scripting

Lyric Script Reference

Click here for additional information about the LEIF API. If clicking this link does not open LEIF Help, open the LEIF.hlp file in the directory in which Lyric was installed.

VBScript Built-Ins

Since Lyric macros are written in VBScript, all VBScript commands are supported. However, these commands must be entered into the macro manually through the Macro Control Panel or Script Editor windows. LMX-formatted macro files can also be edited in any Windows editor such as Word or Notepad.

Take note of the following suggestions on editing this type of file:

Dim statements allow the creation of variables. Variable names must begin with an alphabetic character, must not contain dots and must contain fewer than 256 characters. Many languages require identification of the data type for each variable. Note that VBScript supports only the variant data type (which can contain all types of data). Therefore, it is unnecessary to declare a specific data type for VBScript variables:

Dim myVariable

The Option Explicit statement may be added to the beginning of a script so that explicit declaration of all variables is required. Variables are named storage locations containing values that the script can modify. By default, scripts automatically create a variable upon first reference to this value. However, this methodology can mask minor typographical errors in the script. Using the Option Explicit device can help prevent problems of this type.

After creation of a new variable, the Assignment operator (=) may be used to assign that variable a value. The following line assigns the value of 3 to myVariable:

myVariable = 3

Math: VBScript provides support for the full range of mathematical expressions. The following line shows how to perform simple math calculations and divide the result by the contents of myVariable:

myVariable = ((5 + 1) * 2)/myVariable

String Concatenation - A common VBScript technique is the combination of the contents of different strings. The Concatenation operator ( & ) may be used to create a new string:

myVariable = "The value of myVariable is:" & myVariable

Constants, like variables, are named values that may be used in scripts. However, the value of a constant cannot be altered like the content of a variable:

const myTitle = "VBSample"

The MsgBox function may be used to display messages to the user. The following example demonstrates how to display the message contained in myVariable. The message box’s title bar displays the value in myTitle:

MsgBox myVariable, myTitle

The InputBox function may be used to prompt the user for simple input values. The function automatically assigns the value that the user enters to the variable on the left of the equal sign. Note that the InputBox function encloses its argument in parentheses:

myVariable = InputBox("Enter input here")

If...Then...Else: The If statement is an important logical-flow control function. Present in virtually all scripts, the If statement evaluates a condition, then performs an action based on whether the condition is met:

If myVariable = 1 Then

MsgBox "The value was 1"

Else

MsgBox "The value was not 1"

End if

In addition to message display, the MsgBox function is also capable of displaying buttons and returning the value of the button selected. The following example displays a message box that contains Yes, No, and Cancel buttons. The script assigns the selected button’s value to nButton.

nButton = MsgBox("Click a button", vbYesNoCancel)

The On Error statement lets a script trap runtime errors and continue executing. A test for errors in the script can be conducted after each statement has executed.

On Error Resume Next

The InStr function allows the user to locate a substring within a string. The function returns the starting position of the substring or a 0 if the function does not find the string. In

nPos = InStr("123345", "33")

nPos has a value of 3 because "33" begins in the third position of "123345".

The Do Loop - This basic mechanism for repeatedly executing a set of statements can take either of two forms, a Do Until Loop or a Do While Loop. The most important distinction between the two is that the Do Until Loop always executes at least once.

Do Until myValue > 1

myValue = myValue + 1

Loop

Use the Select Case statement to compare an expression against several other expressions.

Select Case nButton

Case vbYes MsgBox "Yes"

Case vbNo MsgBox "No"

Case Else MsgBox "Cancel"

End Select

Examples of Macros

When creating macros of the following types in an .lmx-formatted file, all of the lines shown below should be entered, including those beginning with "Sub" and "End".

However, if the desired end result were an .lyr-formatted file, only the text between the "Sub" and "End" lines would be entered. (The lines beginning with "Sub" and "End Sub" would be automatically added internally). The lines beginning with a single quote denote comments, which are for informational purposes only; the single quote indicates that the macro engine should not execute these lines.

Types the word "Macros" (in 3D if a 2D Text Window is not active, 2D otherwise)

Sub TypeMacro

ActiveCanvas.Selection = "M"

ActiveCanvas.Selection = "a"

ActiveCanvas.Selection = "c"

ActiveCanvas.Selection = "r"

ActiveCanvas.Selection = "o"

ActiveCanvas.Selection = "s"

End Sub

Adds a window to the scene and makes it full screen

Sub FullScreenWnd

ActiveCanvas.Scene.InsertObject(otText)

ActiveCanvas.Selection.Execute("Make FullScreen")

End Sub

Reads message 5014 and plays it

Sub GoOlympics

Lyric.Message 5014

Lyric.Read

ActiveCanvas.Selection.Execute("Play Animation")

End Sub

Adds a 2D window, types the word "delete", then deletes the ‘d’

Sub CharDelete

ActiveCanvas.Scene.InsertObject(otText)

ActiveCanvas.Selection = "d"

ActiveCanvas.Selection = "e"

ActiveCanvas.Selection = "l"

ActiveCanvas.Selection = "e"

ActiveCanvas.Selection = "t"

ActiveCanvas.Selection = "e"

ActiveCanvas.Selection.Home

ActiveCanvas.Selection.Right scShift

ActiveCanvas.Selection.Delete

End Sub

Uses VBScript built-in InputBox command to prompt user for message number to read

Sub MsgNInput

Lyric.Message CInt(InputBox("Enter Message Number"))

Lyric.Read

End Sub

Using ActiveX Objects In Macros

In addition to these built-in and Lyric-based macro commands, users can also access third-party controls supported in VBScript.

To use any ActiveX object in a Lyric macro, use the CreateObject statement.

Set myObj = CreateObject("ActiveXObject.Object1")

Once the object is created, use dot notation to reference the objects’ properties or methods.

myObj.Name = "NewName"

theName = myObj.GetName( )

Two of the most useful of these objects are the ActiveX Data Object and the Windows Scripting Host that are supported by Microsoft.

ActiveX Data Object

Microsoft® ActiveX Data ObjectÔ , or ADO, can be used to access ODBC-compliant databases in a manner similar to Lyric’s DB Link feature. The ADO API reference can be found on the Microsoft® web site.

This example opens the Lyric Browser Database and displays information about messages 0 - 100 in a 2D Roll window. The macro can be easily modified to open any ODBC-compliant database (e.g. Microsoft Access Database) and extract needed information for display as part of a Lyric message.

Dim oConn, oRS, oContent, a

'Create a roll window in canvas to hold browser database information

ActiveCanvas.Scene.Erase(EraseScene)

ActiveCanvas.Scene.InsertObject(otRoll)

ActiveCanvas.Selection.Execute("Make FullScreen")

' Create an ActiveX Data Object

Set oConn = CreateObject("ADODB.Connection")

' Open the Browser Database

oConn.Open "Browser"

'go thru all messages in Browser database between 0 and 100 and display title, author and comments in roll window

set oRS = oConn.Execute("SELECT Title,Author,PathAndFile from Messages WHERE Title >= '0' AND Title < '100'")

Do Until oRS.EOF

oContent = oRS.Fields(0).Value & chr(13) & oRS.Fields(1).Value & chr(13) & oRS.Fields(2).Value & chr(13) & chr(13)

ActiveCanvas.Selection = oContent

oRS.MoveNext

Loop

Windows Scripting Host

Microsoft® Windows Script HostÔ is a subset of commands that can be used to automate most Windows Explorer and Windows Shell functionality through a macro. Further information on the Windows Script Host API reference can be found on the Microsoft® web site.

One of the ActiveX objects within this subset is the Windows Shell ActiveX Object. One of the most important features of WshShell is found in the SendKeys function. This technique allows any key sequence to be sent to an active application. Therefore, any key sequence, including menu shortcuts, which Lyric supports can be executed within a macro using the WshShell Object. The key sequence is provided as a string argument (i.e. in quotes) to the SendKeys command. Alphanumeric keys can be provided explicitly; special-function keys are represented as follows:

  • Enter key represented as ~

  • Alt key represented as %

  • Shift key represented as +

  • Ctrl key represented as ^

  • Function (and similar) keys should be contained in brackets, e.g. {F1} {BACKSPACE}

For a list of key sequences that can be sent using SendKeys, click here.

Example 1:

To open Lyric’s Clip Control Panel via its corresponding menu item on the Tools menu, the use the following Macro:

Sub PopupCCP

'Create a Windows Shell object.

set WshShell = CreateObject ("WScript.Shell")

'F6 sets focus to the Canvas.

WshShell.SendKeys("{F6}")

'The key sequence Alt + O I, and then Enter (~), drops down the Tools
menu, 'and then selects and opens the Clip Control Panel.

WshShell.SendKeys("%oi~")

End Sub

Example 2:

To set a frequently-used background color, program the following Macro:

Sub SetBackgroundBlue
'DESC:11:10:02 May 03, 2004
Sub SetBackgroundBlue
'DESC:Sets Background to a medium light blue with 25% Transparency.
'DESC:Transparency: 25
'DESC:Red: 58
'DESC:Green: 118
'DESC:Blue: 190
'ICON:AQUA
'HKEY:Alt+1

'Create a Windows Shell object.

set WshShell = CreateObject ("WScript.Shell")

'F6 sets focus to the Canvas.

WshShell.SendKeys("{F6}")

'The key sequence Alt + O B S drops down the Tools menu,
'selects Background, and then selects Solid/Ramp Color.
'The Color Select dialog box opens.

WshShell.SendKeys("%obs")

'The key sequence Tab C D 58 Tab 118 Tab 190
'moves the cursor to a location in the Select Color dialog box that allows
'Solid Color to be selected regardless of initial Ramp or Solid Color setting.
'T focuses the cursor on the Transparency field, and then the Macro sets a
'value for Transparency. Tab moves the cursor out of the Transparency field.
'D focuses the cursor on the Red field, and then the Macro sets a value for Red.
'Tab then moves the cursor to the Green field, and then
'the Macro sets a value for Green.
'Tab then moves the cursor to the Blue field, and then
'the Macro sets a value for Blue.

WshShell.SendKeys("{Tab}ct25{Tab}d58{Tab}118{Tab}190")

'The Tab keystroke moves the cursor out of the data fields.
'This prevents subsequent executions of the macro from producing
'unexpected results. Enter (~) applies the color to the Background.

WshShell.SendKeys("{Tab}~")

End Sub


Using SendKeys to Specify Keystrokes in a Macro Script

Each character is represented by one or more keystrokes. To specify a single keyboard character, use the character itself. For example, to represent the letter A, specify A in the SendKeys command. To represent more than one character, append each additional character to the one preceding it. To represent the letters A, B, and C, specify ABC in the SendKeys command.

The plus sign (+), caret (^), percent sign (%), tilde (~), and parentheses (( )) have specialize functions with SendKeys. To specify one of these characters, enclose it in braces ({}). For example, to specify the plus sign, use {+}. Brackets ([ ]) have no specialize function with SendKeys, but they must be enclosed in braces. To specify brace characters, use {{} and {}}.

To specify non-display characters such as Enter or Tab and keys that represent actions rather than characters, use the codes shown below.

Keystroke

SendKeys Code

Keystroke

SendKeys Code

Backspace

{backspace}, {bs} or {bksp}

Ins or Insert

{ins} or {insert}

Break

{break}

Left Arrow

{left}

Caps Lock

{capslock}

Num Lock

{numlock}

Del or Delete

{del} or {delete}

Page Down

{pgdn}

Down Arrow

{down}

Page Up

{pgup}

End

{end}

Print Screen

{prtsc}

Enter

{enter} or ~

Right Arrow

{right}

Esc

{esc}

Scroll Lock

{scrolllock}

Help

{help}

Tab

{tab}

Home

{home}

Up Arrow

{up}

Function keys, F1 through F12, are specified as {F1} through {F12}

To specify any combination of keys using Shift, Ctrl or Alt, precede the key code with one or more of the following codes:

  • Shift: +

  • Ctrl: ^

  • Alt: %

To specify that any combination of Shift, Ctrl, and Alt should be held down while several other keys are pressed, enclose the code for those keys in parentheses. For example:

  • To hold down the Shift key while E and C are pressed, specify +(EC).

  • To hold down Shift while E is pressed, followed by C without Shift, specify +EC.

Note that in certain situations, SendKeys may not work properly with certain Windows dialog boxes, such as File Save and File Open. You may circumvent this problem by using a wait (0) command after the dialog box is opened. For example, the following macro opens the Lyric Save As dialog box, and saves the composition to a file named test:

set WshShell=CreateObject ("WScript.Shell")

WshShell.SendKeys "{F6}"

WshShell.SendKeys "%FA"

wait(0)

WshShell.SendKeys "test"

WshShell.SendKeys "{enter}"


Macro Declarations

Public | Const | scCtrl | = | 1
Public | Const | scAlt | = | 2
Public | Const | scCtrlAlt | = | 3
Public | Const | scShift | = | 4
Public | Const | scCtrlShift | = | 5
Public | Const | scAltShift | = | 6
Public | Const | scCtrlAltShift | = | 7
Public | Const | kfXPos | = | 0
Public | Const | kfYPos | = | 1
Public | Const | kfZPos | = | 2
Public | Const | kfXRot | = | 3
Public | Const | kfYRot | = | 4
Public | Const | kfZRot | = | 5
Public | Const | kfXScale | = | 6
Public | Const | kfYScale | = | 7
Public | Const | kfZScale | = | 8
Public | Const | kfXCenter | = | 9
Public | Const | kfYCenter | = | 10
Public | Const | kfZCenter | = | 11
Public | Const | kfRGBADiffuse | = | 12
Public | Const | kfFocus | = | 13
Public | Const | kfShine | = | 14
Public | Const | kfLoopEnabled | = | 15
Public | Const | kfTransp | = | 16
Public | Const | kfEffectPct | = | 17
Public | Const | kfUnused | = | 18
Public | Const | kfLoopFrames | = | 19
Public | Const | kfLoopIterations | = | 20
Public | Const | kfPauseEnabled | = | 21
Public | Const | kfPauseType | = | 22
Public | Const | kfPauseTimeout | = | 23
Public | Const | kfLinear | = | 0
Public | Const | kfSpline | = | 1
Public | Const | kfJump | = | 2
Public | Const | soAbsolute | = | 0
Public | Const | soRelative | = | 1
Public | Const | otText | = | 0
Public | Const | otCrawl | = | 1
Public | Const | otRoll | = | 2
Public | Const | otTypeOn | = | 3
Public | Const | otClock | = | 4
Public | Const | otTimer | = | 5
Public | Const | otImage | = | 6
Public | Const | otBkgCentered | = | 7
Public | Const | otBkgSizeToFit | = | 8
Public | Const | otAprisa | = | 9
Public | Const | otInfinitMsg | = | 10
Public | Const | ot3DObj | = | 11
Public | Const | EraseTextActiveWindow | = | 0
Public | Const | EraseAllText | = | 1
Public | Const | EraseScene | = | 2
Public | Const | EraseAllOutput | = | 3
Public | Const | PlayPreview | = | 0
Public | Const | PlayOutput | = | 1
Public | Const | PlayOutputAll | = | 2
Public | Const | PlayImmediate | = | 0
Public | Const | PlayWait | = | 1
Public | Const | Unknown | = | 0
Public | Const | ThreeDCharacter | = | 1
Public | Const | WavefrontObject | = | 2
Public | Const | ThreeDStudioObject | = | 3
Public | Const | ImageObject | = | 4
Public | Const | OrthographicCamera | = | 5
Public | Const | PerspectiveCamera | = | 6
Public | Const | GlobalLight | = | 7
Public | Const | DirectionalLight | = | 8
Public | Const | PositionalLight | = | 9
Public | Const | Spotlight | = | 10
Public | Const | TextWindow | = | 11
Public | Const | LoopObject | = | 12
Public | Const | PauseObject | = | 13
Public | Const | Clip | = | 14
Public | Const | VideoRegion | = | 15
Public | Const | ClockTimer | = | 16
Public | Const | AnimatedElement | = | 17
Public | Const | Mix | = | 18
Public | Const | Flipbook | = | 19
Public | Const | ITVEvent | = | 20
Public | Const | MultiFXObj | = | 21
Public | Const | SplineWindow | = | 22
Public | Const | SqueezeBackRegion | = | 23
Public | Const | ThreeDTemplate | = | 24
Public | Const | Custom | = | 25
Public | Const | ProxyBased | = | 26
Public | Const | ImageElement | = | 0
Public | Const | TemplateElement | = | 1
Public | Const | WindowElement | = | 2
Public | Const | BrowserBitmapElement | = | 3
Public | Const | BrowserMessageElement | = | 4
Public | Const | StaticElement | = | 5
Function | ActiveCanvas |  |  |
Set | ActiveCanvas | = | Lyric.ActiveCanvas |
End | Function |  |  |


LEIF Help

Click for more information about the LEIF API. If clicking this link does not open LEIF Help, open the LEIF.hlp file from within the directory in which Lyric was installed.

C:\Program Files\Chyron\Lyric 6.X\leif.hlp


Plugins Overview

NOTE

Online Help for most plugins is available only through the plugin application's [image] button or the F1 key. For questions about individual plugins, contact the application's manufacturer. The suite of plugins available for Lyric is continually upgraded. Please contact Chyron Customer Service at +1 631 845 2132 for up-to-date product information.

Current plugins from Chyron include the following:

  • CMix: CMix is a rack mount device providing two output channels, each displaying an independent mix of up to 4 Video/Key input layers over an optional Program video input layer, which mix to one Video/Key output. CMix is connected to a host machine via the Universal Serial Bus (USB). Originally designed for use with older Chyron systems, CMix may be used to expand mixing options among any combination of broadcast-quality video sources, or for use as a standalone router/switcher.

  • RGB Tools can be used to modify and add effects to bitmap graphics that have been imported onto Lyric's Canvas. Graphics so modified may be exported as Targa files.

  • Lyric's 3D Primitives Plugin is found on the Lyric Properties page. The 3D Primitives Plugin allows the user to produce 3D objects from scratch, and vary their attributes, without the constraints of importing existing 3D objects.

Additionally, the following Chyron products can be used as plugins for outside applications:

Lyric for Plugin for Avid NLEs: This plug-in provides powerful integration between Chyron’s Lyric graphics/animation software and Avid’s NLE system editors. Lyric Plugin allows Avid operators to dynamically create text, graphics and templates from directly within the Avid user interface to produce lower thirds, rolls, crawls and animations, which then become components of the Avid timeline.

Lyric for Grass Valley systems.

Lyric for ENPS and iNews: See http://www.chyron.com/products/software/leifsdk.aspx for more information.

Current third-party plugins include the following:

  • Harvester Lite - Patrick Graphics Systems: Harvester Lite is Included with Lyric, and enables a Lyric 2D Text Template to be linked to a text field at a remote URL for dynamic update via the Internet. Harvester Lite Help is available through Lyric Online Help or in the Lyric User Guide.

  • Harvester Pro - Patrick Graphics Systems: Harvester Pro is a data harvesting plugin that enables multiple Lyric 2D Text Templates to be linked to a text fields at a remote URL for dynamic update via the Internet. The user has the ability to use VB Script within Harvester Pro to also create Lyric messages and Playlists populated with data harvested from the Internet.

  • BizGraph - Patrick Graphics Systems: BizGraph enables the creation animated line and bar graphs using data from Access databases, Excel spread sheets or comma-separated text. Graphs can be dynamically rendered in real time using custom cursors.

  • Quarterback - Patrick Graphics Systems: Quarterback provides the user with a Windows® Explorer®-style view of Chyron Lyric and iNFiNiT!® family message and image assets. Navigation through the file system is accomplished with standard tree views of folders and selected folder contents. In addition to these familiar views, Quarterback provides an additional pane that displays image thumbnails and unique mini-keyframe animation thumbnails of Lyric messages. Quarterback can connect to FTP servers, allowing easy file transfer operations. This facility allows the user to connect with any product in the Chyron iNFiNiT! family to easily browse and move files from system to system. In addition, Quarterback can be used to preview *.avi files and to preview Duet internal clip player clips on systems without a clip player.

  • Twister - Video Design Software: Twister is a paint, graphics content creation, and I/O application.

  • StylistPro: StylistPRO is a powerful and easy-to-use 32-bit graphic application, allowing on- or off-line Lyric users to speedily modify, restyle, edit and process existing graphics from within the Lyric application.

Visit http://www.chyron.com/products/software/ for information about these and other graphics products.

Lyric employs Lyric Enhancement Interface Framework (LEIF) architecture, which supports third-party plugins. The purpose of LEIF is to provide a mechanism for adding customized features and enhancements into Lyric. LEIF offers a plug-in architecture that enables specialized menu-driven functionality, user-definable object properties, and an API for integral control over the internal mechanisms of Lyric. Using LEIF, developers can create applications that perform image processing, import and export to custom file formats, automate Template field updates, implement remote application control, access Browser data, and handle numerous diverse operations.

The plugin architecture is based on COM technology and specifies one method that the plugin must have in order to be loaded. Plugins can be written using any development environment that is capable of producing COM objects. Examples of popular tools include Visual Basic®, Delphi®, and Visual C++®. Installing the plugin simply requires placing it into Lyric's plugin directory.

The API consists of a series of components that offer direct manipulation over the internal mechanisms in Lyric. Such control offers flexibility and efficiency for operations and scenarios that require customized user controls and automated processes. The API is built on COM technology and integrates seamlessly with components constructed in Visual Basic and Delphi in addition to many other Rapid Application Development tools.

User-definable object properties provide developers with the means to store specialized data with any object in a Lyric message. The data is saved with the message and is readily available upon reloading. Object properties are named and can be presented to the Lyric operator for informational and editing purposes. Provisions exist in LEIF to allow the developer to provide custom property editors offering a preferred presentation of data to the operator. A default property editor is also available.

Click here for additional information about the LEIF API.


Harvester Pro

Harvester Pro is a data harvesting plugin from Patrick Graphics Systems. Please access Harvester Pro online Help for operational information or contact PGS at inforequest@patrickgraphicssystems.com. Web Site: http://www.patrickgraphicssystems.com.

This menu item will not appear unless the Harvester Pro optional plugin is installed.


BizGraph

BizGraph is an animated graph display plugin from Patrick Graphics Systems. Please access BizGraph online Help for operational information or contact PGS at inforequest@patrickgraphicssystems.com. Web Site: http://www.patrickgraphicssystems.com.

This menu item will not appear unless the BizGraph optional plugin is installed.


Paint (Twister)

Liberty Twister Paint

Liberty Twister, a paint plugin, is a product of Video Design Software. Please access Liberty Twister online Help for operational information or visit the Video Design Software web site at http://www.videodesignsoftware.com.

This menu item will not appear unless the Liberty Twister optional plugin is installed.


Stylist Pro

StylistPro, a graphics plugin, is a product of Converge Technology. Please access StylistPro online Help for operational information or visit the Converge Technology web site at http://www.convergetech.com/stylist_pro.html

This menu item will not appear unless the Liberty Twister optional plugin is installed.


RGB Tools Introduction

RGB Tools

Introduction

Thank you for your purchase of the RGB Tools Plug-in for Lyric®. RGB Tools is an easy-to-use, application for quickly modifying and applying effects to graphic elements on the Lyric or Lyric PRO canvas. See the section of this topic that details Getting Started With RGB Tools .

Please register on the Chyron web site to gain access to valuable resources for our products, including software updates, drivers, user guides, tutorials, the knowledge base and more. Basic and advanced training courses are available for a wide range of Chyron products, both in house and on site. For additional information, please contact Customer Service at +1 631 845 2133.

Please note the following before performing the installation:

  • There are two versions of RGB Tools on this installation disk:

  • If you are using Lyric 7.0 or later, then you will need to install the "RGB Tools Installer for Lyric 7.0 and later" to commence the installation.

  • If you are using Lyric 6.5 or earlier, then you will need to install the "RGB Tools Installer for Lyric 6.5 and Earlier" to commence the installation.

  • If you have more than one version of Lyric on your system, then the appropriate version of RGB Tools must be installed for each version of Lyric.

During installation, a prompt requests a license code. Please call Chyron Customer Service at 631-845-2132, as described below in the standard installation procedure, to procure the license code. Once the license code is entered, and the remainder of the installation is performed, that license code is added to the text within the lservrc file which resides within the Lyric installation directory. Use of the license code and its presence in the lservrc file is discussed later in this document.

Other RGB Tools Topics:

Standard Licensing, Multiple Installations and Installation Procedures

Enabling RGB Tools Without the License Code File

Getting Started With RGB Tools


Standard Licensing, Multiple Installations and Installation Procedures

RGB Tools

Other RGB Tools Topics:

RGB Tools Introduction

Enabling RGB Tools Without the License Code File

Getting Started With RGB Tools

Standard Licensing and Installation Procedure

Your experience with the licensing and installation procedure may vary with the particulars of your system. If you have difficulty, see below.

  1. Make sure that no other programs are currently running on your system. Load the RGB Tools Plugin CD. If your system’s “auto-run” feature is enabled, then the disc will open and the RGB Tools Installation window will be displayed. If auto-run does not occur, then open the disc, using “My Computer” or the Windows® “Explore” function, and double-click Setup.html. As above, the RGB Tools Installation window will be displayed.

  2. The display includes links to a variety of customer resources and documentation, in addition to installation tools. In the left hand pane, click on the RGB Tools installer appropriate to your version of Lyric. The RGB Welcome dialog is displayed.

    3. Review the Welcome screen and then click Next.

  3. The Software License Agreement screen appears. Please review the agreement and then click the Yes button to proceed.

  4. In the following dialog, you are selecting the location of the Chyron Lyric software. The RGB Tools Plugin will be installed in a sub-folder under this version of Lyric. At this time, the installation process may “aim” the RGB Tools installation at a default destination corresponding to an older version of Lyric than most that are currently in use. If need be, use the Browse button to ensure installation to the desired directory.

Sample installation path pictured above

  5. The Select Program Folder dialog appears. It is recommended that you accept the default, and then click Next.

    6. A progress display appears. After it reaches 100%, the following dialog appears.

  6. Click Yes.

    7. A Lyric splash screen with no buttons or controls may appear briefly, and then the following dialog is displayed.

  7. Click the Buy Now button. The Activation options appear.

  8. Click the Enter A License Code radio button, and then click Next. The Lyric RGB Tools Activation dialog appears:

  9. If you do not have a license code for RGB Tools, please call Chyron Customer Service at 631-845-2132 and have the Locking Code available.

  10. Chyron Customer Service will email a file with the extension .lic or .txt. Save the file in an easy-to-find location. There are two ways in which the license code can be entered.

    • Use the Open File [image] icon to navigate to the .lic or .txt file. Double-click on the .lic or .txt file to automatically populate the License Code field. Cursor to the end of the License Code field. The last word in the field should be the word exclusive. If there is any text following the word exclusive, delete it. Continue to Step 11.

    • From outside the RGB Tools installation application, Navigate to the .lic or .txt file that you have received, and open it with Windows® Notepad. In Windows Notepad, copy all of the text in the file up to and including the word exclusive. There may or may not be additional text following the word exclusive. If so, do not include this text in the copy operation. Paste the copied text into the License Code field.

  11. In the Lyric RGB Tools Activation dialog, click Next. The following dialog indicates successful installation and activation.

  12. Click the Finish button. The following dialog is displayed:

  13. Click OK. The Chyron Lyric RGB Tools Plug-in is now installed. If other dialog(s) are displayed indicating successful installation of .dll files, then dismiss them by clicking OK.

Licensing Multiple RGB Tools Installations

Users with multiple versions of Lyric installed on a single system may use RGB Tools in each version’s installation with the purchase of one RGB Tools license; however, a separate installation must be carried out for each version of Lyric with which RGB Tools is to be used. Remember to use the appropriate installer, as seen in the Introduction to this topic. With all instances of Lyric closed, run the installer from the RGB Tools installation disk, and change the installation’s Destination Folder as appropriate. Use the same license code for all installations.


RGB Tools

Other RGB Tools Topics:

RGB Tools Introduction

Standard Licensing, Multiple Installations and Installation Procedures

Getting Started With RGB Tools

Enabling RGB Tools Without the License Code File

If you do not have access to the license code as emailed to you by Chyron Customer Service, then the required code string may be retrieved from the lservrc file of a different Lyric installation in which RGB tools has already been installed and enabled. The lservrc file is located in the main installation directory of any Lyric installation.

In the following procedure, remember that the lservrc file pictured is part of the Lyric installation in which RGB Tools was initially installed.

  1. Open the lservrc file in any text editor; Windows Notepad is recommended for simplicity’s sake.

  2. Licensing codes from other plugins will likely already be present, so it is important to be able to distinguish the RGB Tools licensing code from other contents of the lservrc file. The lservrc file pictured below contains sample codes.

    3. In the above example, the text string at the beginning of the file pertains to another plugin. The second group is the RGB Tools license code. In all instances, an RGB Tools license code will contain these characters: # "rgbtools" version "", no expiration date, exclusive

    The characters # Dynamically installed. are generated by the installation process and are not part of the license code with which you will need to work.

  3. Copy the code which begins two or three blank lines below the previous string, contains “rgbtools” and ends with the word exclusive, immediately before the characters # Dynamically installed. Do not delete or change this or any other license code from this lservrc file!!!

    4. You may wish to minimize the Notepad window containing the lservrc file, rather than closing it, so as keep the required text handy.

  4. Make sure there are no instances of Lyric running. Load the installation disc, and locate the RGB Tools installer that is appropriate to the version of Lyric you are now upgrading with RGB Tools.

  5. Run the installation procedure described in Standard Licensing, Multiple Installations and Installation Procedures. When you reach the RGB Tools Activation dialogs discussed in Steps 11 & 12 of that process, paste the text string you have copied into the License Code field, and then click Next. The activation process concludes.


RGB Tools

Other RGB Tools Topics:

RGB Tools Introduction

Standard Licensing, Multiple Installations and Installation Procedures

Enabling RGB Tools Without the License Code File

Getting Started with RGB Tools

Opening the RGB Tools Application

Select a graphic element from the Lyric scene and then select RGB Tools from either the right-click menu or the Lyric Tools menu.

The RGB Tools dialog is displayed:

Position the RGB Tools dialog to the side of the Lyric canvas, so that modifications to the image can be viewed.

Effect parameters are set in the RGB Tools dialog. To apply the effect:

  • Clicking the Apply button.

As effects are applied, the modifications are reflected in the image on the Lyric canvas. Note the following:

  • Effects are additive. For example, if a border has been applied by clicking the Apply button, then applying an offset creates a border around the original image and the offset. Creative results can be achieved by combining multiple effects.

To restore the graphic to the same state it was in when opening RGB Tools:

  • Click the Restore button.

Although there is a Restore function which returns the graphics to its original state when the RGB Tools dialog was opened, there is no undo for an individual effect.

To finalize the effect(s):

  • Click the OK button.

Once an effected has been finalized, the graphic on the canvas is irreversibly modified. Note that the original graphic referenced in the Lyric browser is not modified and is still available in its original form. If necessary, the modified graphic can be modified further in RGB Tools. It is highly recommended that the image is exported (saved) to a .tga at various stages of the image modification in order to preserve desired versions of the image. Images saved as. tga files can be saved to the Lyric browser. Please refer to the section regarding Export later in this document.

EXAMPLES:

The following figure shows examples of RGB Tools effects applied to a graphic on the Lyric canvas.

Row | Effect Applied Column 1 | Effect Applied Column 2 | Effect Applied Column 3
First | None | Blurred Offset | Blurred Border
Second | Implode with Thin, Non-Blurred Border | Inverse Crop with Blurred Border | Solarized with Blur
Third | Noise | Multiple Offsets with No Blur | Multiple Swirls with Thin, Non-Blurred Border and Outer Blurred Border

Offset Image

Adds an offset to the selected graphic. Specify the XY offset in pixels and the desired blur.

  • Offset ranges of both X and Y are -100 through +100.

  • In Lyric 7 PRO, Lyric 7, Lyric 6.5 PRO and Lyric 6.5 and Lyric 5.x, a positive value of X positions the offsets to the right; a negative X value offsets to the left.

  • In Lyric PRO 7, Lyric 7, Lyric PRO 6.5 and Lyric 6.5, a positive value of Y positions the offsets down; a negative Y value offsets up.

  • In Lyric 5.x, a positive value of Y positions the offsets up; a negative Y value offsets down.

Border Image

Adds a border to the selected graphic. Specify the size of the border in pixels and the desired blur.

  • Border Size range is 0 through 100.

  • Border Blur range is from 0 through 100.

Motion Blur

Adds motion blur to the selected graphic. Specify the blur magnitude in pixels.

  • Motion Blur ranges of both X and Y are 0 through 100.

Focus

Defocuses the selected graphic.

  • Focus range is from 0 through 50

More Effects

  • Add Noise: Adds random pixel noise to the graphic.

  • Bevel: Adds a bevel to the graphic.

  • Percent specifies size of the bevel. Range is from 0 through 20.

  • Direction specifies direction of light in degrees. Range is from 0 through 359.

  • In Lyric PRO 7, Lyric 7, Lyric PRO 6.5 and Lyric 6.5, 0 is the positive X axis, and increasing the Direction value moves the light in the counter-clockwise direction.

  • In Lyric 5.x, 0 is the positive X axis, and increasing the Direction value moves the light in the clockwise direction.

  • Blur: Blurs graphic by specified percentage.

  • Percent specifies the degree of the Blur. Range is from 0 through 100.

  • Charcoal: Adds charcoal sketch effect.

  • Percent specifies the degree of the effect. Range is 0 through 100.

  • Colorize: Colorizes image with color selected in palette.

  • Percent specifies saturation of the color. Range is from 0 through 100.

  • Contrast: Increases the contrast of the graphic.

  • Percent specifies the degree of the effect. Range is 0 through 100.

  • Emboss: Adds an embossed effect to the graphic.

  • Percent specifies the degree of the effect. Range is from 0 through 20.

  • Direction specifies the direction of light in degrees. Range is from 0 through 359.

    • In Lyric PRO 7, Lyric 7, Lyric 6.5 PRO and Lyric 6.5, 0 is the positive X axis, and increasing the Direction value moves the light in the counter-clockwise direction.

    • In Lyric 5.x, 0 is the positive X axis, and increasing the Direction value moves the light in the clockwise direction.

  • Gamma: Gamma corrects in red, green, and blue channels.

  • Percent specifies the degree of the effect. Range is from 1 through 100.

  • Grayscale: Modifies the image to grayscale.

  • Implode: Creates the appearance of a concave region at the center of the graphic.

  • Percent specifies the degree of the effect. Range is from 0 through 100.

  • Jitter: Adds random movement to pixels in graphic.

  • Percent specifies the degree of the effect. Range is from 0 through 100.

  • Reduce Noise: Reduces pixel noise in graphic using noise peak elimination filter.

  • Sharpen: Sharpens pixels in graphic.

  • Percent specifies the degree of the effect. Range is from 0 through 100.

  • Solarize: Blends a negative and positive image.

  • Percent specifies the degree of the effect. Range is from 0 through 100

  • Swirl: Swirls the graphic.

  • Percent specifies the degree of the effect. Range is from 0 through 100.

    • In Lyric PRO 7, Lyric 6.5, Lyric PRO 6.5 and Lyric 6.5, the graphic is swirled clockwise.

    • In Lyric 5.x, the graphic is swirled counter-clockwise.

Color/Palette/Transparency

Adjusts the color and alpha value of effects applied with the Border Image controls.

Presets

Allows the operator to save as many as four sets of user-defined settings. Click the Save button and then designate one of the four available presets. The saved preset values can then be recalled by clicking the corresponding radio buttons.

Color Shift

This option swaps reds and blues in the image.

Restore

Clears all effects that have been applied to the image. Note that clicking the OK button saves any effects that have been imposed on the image, regardless of the Lyric message’s Save status. Once the OK button has been clicked, the RGB Tools dialog closes, and the image can no longer be restored to an earlier state. It is, however, possible to continue editing the image by reopening the RGB Tools dialog.

Crop

Use this function to remove portions of the graphic, using a variety of selection tools. Cropping removes the areas on the image outside of the selection area. The Invert setting, as described below, removes the area of the graphic inside of the selection area. To set up and execute a crop, click the Crop button. The RGB Tools - Crop Image dialog opens.

NOTES:

  • In Lyric PRO 7, Lyric PRO and Lyric 5.x, the image to be edited appears right-side up in the RGB Tools – Crop Image dialog. The edited image is rendered correctly on the Lyric Canvas.

  • In Lyric PRO 6.5 and Lyric 6.5, the image to be edited appears upside-down in the RGB Tools - Crop Image window. The edited image is rendered correctly on the Lyric Canvas.

Coordinates of the crop area are displayed to the right of the Reset button. After crop parameters have been set, clicking the Crop button executes the crop.

  • Executing a crop deletes the portion of the image outside of the defined region, leaving the portion of the image inside of the crop region.

  • The Invert function can be used to delete the content within the region, leaving the surrounding content.

The following crop parameters can be set:

Zoom

Magnifies the user’s view of the image.

Selection

  • About the Cursors: There are two cursors used across all of the crop area creation tools in the RGB Tools - Crop Image dialog.

Selection Cursor | Repositioning Cursor

The Selection Cursor is used to create the crop areas as described below. Be sure that before attempting to move a crop area that the Repositioning Cursor is displayed. If the Selection Cursor is still displayed after the crop area has been created, then clicking when the Selection Cursor is displayed will clear the crop area. It is recommended that the crop area be saved before attempting to reposition it. Please refer to the section regarding Save/Recall later in this document for details.

  • Rectangle: Drag the selection cursor to draw a rectangular crop region. In addition to the cursors shown above, Resizing Cursors can be used to adjust the height, width and scale of a rectangular area.

Resizing Cursors

The rectangular crop area can also be repositioned using the cursor keys.

  • Polygon: Creates a closed shape which can be used to crop an image.

  • To create straight-sided shape, click points to define the shape, and then double-click at the final point to close the shape that will define the crop region.

  •  To draw a selection free-hand, click and drag to draw the shape. Double-click to close the shape that will define the crop region.

  • Magic Wand: Use this tool to create a selection based on colors similar to the image content at the point where the cursor is clicked. Click on the desired area to perform the selection. The slider adjusts the range of variation in the color of the selected area.

  • Clear: Discards the current selection borders.

  • Invert: The Invert tool is used to change the selection area to be cropped from outside of the shape outline to inside of the shape outline. This provides the ability to cut a hole in the image.

  • Softness: Feathers the edges of a selected region and applies a corresponding blur effect to the content left by the crop operation.

Crop

Executes the cropping operation. When a crop is executed, the background of the RGB Tools - Crop Image dialog turns black, and the crop operation is reflected in the image on the Lyric canvas. The image in the RGB Tools - Crop Image dialog does not reflect the crop. After the image is cropped as desired, then click the OK button to exit the RGB Tools - Crop Image dialog.

The following figure shows the crop area set and the resulting cropped image in Lyric.

Crop Area Set | Resulting Cropped Image

Save/Recall

Saves the user-defined crop selection settings for later recall. These saved selections are given the file extension .sel.

Matte

This function is used to combine the alpha or RGB from a separate matte file with the current graphic.

NOTE:

  • When using Lyric 5.x, the matte file is applied right-side up.

  • When using Lyric PRO 6.5, Lyric PRO 7, Lyric 7, Lyric PRO 6.5 and Lyric 6.5, the matte file is flipped upside-down when applied. Before using a matte file within RGB Tools in Lyric PRO, create a vertically flipped version of the file to be used as the matte file.

To apply a matte file:

  1. In Lyric, right-click on the graphic to which the file is to be applied.

  2. Select RGB Tools. The RGB Tools dialog is displayed. Move the dialog so that the Lyric canvas is visible.

  3. Click the Matte button. The Image Matte dialog is displayed. Move the dialog so that the Lyric canvas is visible.

  4. Either enter a file path of the file to be used as the matte file, or click the browse button and navigate the file to be used as the matte file.

  5. There are manners in which the matte file can be applied:

    • Use RGB as Matte: This is the default setting. An RGB file with or without alpha can be used as the matte file. The RGB data is used as alpha.

    • Use RGB as Matte with Inverse Matte: An RGB file with or without alpha can be used as the matte file. The RGB data is used as alpha and is inverted.

    • Use Alpha as Matte: The alpha component of a file is used as the matte.

    • Use Alpha as Matte with Inverse: The alpha component of a file is used as the matte and is inverted.

    Click the appropriate radio button to select RGB as Matte or Alpha as Matte. If desired, select the Inverse Matte check box.

  6. Click Create. This applies the matte file to the graphic as specified and is reflected in the graphic on the canvas. This is not a permanent change. You can experiment with different settings or files. Click the Create button each time to see the results.

  7. If desired, the matte file can be repositioned. The X Offset moves the matte file to the left; the Y Offset moves the matte file down. Again, you can adjust the offset and check it by clicking the Create button.

  8. Once the matte file is applied as desired, then click the OK button. This closes the Image Matte dialog and returns to the RGB Tools dialog. You can continue modifying the graphic, or can exit the RGB Tools dialog.

EXAMPLES:

The figure below shows a blue graphic in the top left corner and the graphic that is applied to it in the top right corner. The graphics below them demonstrate the manners in which the matte file can be applied.

Row | Effect Applied Column 1 | Effect Applied Column 2
First | None: Original blue graphic. | None: Graphic to be applied to the blue graphic as the matte. Note that there is a soft transition with alpha between the solid black and solid white areas.
Second | RGB as Matte: The center of the blue graphic is revealed. Note that if using RGB as Matte, it is not necessary for the matte graphic to have an alpha channel. The solid graphic is applied as if it is an alpha channel. | Alpha as Matte: The alpha channel is used as the matte. Since the only area that has transparency in this graphic is at the transition between black and white, all that is revealed of the blue graphic is the transition area. Note that if there is no alpha channel in the matte file, then none of the blue graphic would be visible.
Third | RGB as Matte, with Inverse enabled: The center of the blue graphic is cut out. Note that if using RGB as Matte, it is not necessary for the matte graphic to have an alpha channel. The solid graphic is applied as if it is an alpha channel. | Alpha as Matte, with Inverse enabled: The alpha channel is used as the matte. Since the only area that has transparency in this graphic is the transition area, all that is cut out of the blue graphic is the transition area, revealing a bit of the background. Note that if there is no alpha channel in the matte file, then the blue graphic would be completely revealed.

Below shows the same a similar graphic applied to the blue graphic. The difference is that the center, rather than being solid, is instead transparent.

Row | Effect Applied Column 1 | Effect Applied Column 2
First | None: Original blue graphic. | None: Graphic to be applied to the blue graphic as the matte. Note that there is a soft transition with alpha to the cutout. The background shows through.
Second | RGB as Matte: The center of the blue graphic is revealed. | Alpha as Matte: The alpha channel is used as the matte. Since the entire center of the matte file is transparent, the center of the blue graphic is revealed.
Third | RGB as Matte, with Inverse enabled: The center of the blue graphic is cut out. | Alpha as Matte, with Inverse enabled: The alpha channel is used as the matte. Since the entire center of the matte file is transparent, the center of the blue graphic is cut out when the matte with inverse is applied.

Export

A graphic edited with RGB Tools may be exported as a .tga file, and saved to any desired location. Note that this action differs from Lyric’s File > Save As function, which allows export of an entire Lyric canvas in various formats.

The edited graphic cannot be saved to the browser; however, it can be exported as a .tga file, and then imported into Lyric and then saved to the browser. Note that depending on the version of Lyric, it may save upside-down to a .tga. This can be remedied by creating a version of the file that is right-side up.


iNFiNiT! Import/Export Example

File Menu > Import from iNFiNiT!
File Menu > Export to iNFiNiT!

The following procedures demonstrate common uses of the Import from iNFiNiT! and Export to INFiNiT! functions. An iNFiNiT! message is imported into Lyric, and then edited, and then saved as a Lyric message or sent back to the iNFiNiT!. Before starting, review the sections on Import from iNFiNiT!, Export to iNFiNiT! and Browser: iNFiNiT! Font Asset Operations.

Importing and Modifying an iNFiNiT! Message

To import an iNFiNiT! message:

  1. If not already created, set up two Windows-formatted local or network directories. One should be dedicated to storing iNFiNiT! font files, and the other to storing iNFiNiT! message files. For this example, the two directories are C:\iNFiNiT\MESSAGE and C:\iNFiNiT\FONT.

  2. From the File menu, select Import from iNFiNiT! The iNFiNiT! Message Import dialog box is displayed.

    IMage: iNFiNiT! Message Import

    iNFiNiT! Message Import Dialog Box

  3. Use either the Copy Files from iNFiNiT! Disk or Copy iNFiNiT! Files via FTP functions to copy both an iNFiNiT! text message containing Tabs, and its associated fonts, to the Windows-formatted local or network message and font directories. Note that Copy Files from iNFiNiT! Disk is unavailable on systems running Windows XP. On Windows XP systems, file copy must be executed using FTP.

    Image: iNFiNiT! Message Import Dialog Box

    iNFiNiT! Message Import Dialog Box

  4. Click Read. The selected file is displayed on the Lyric Canvas. Note that the Title Bar does not reflect information about the file that has been read. The information from the last-read Lyric file remains displayed.

    Image: News Super

    iNFiNiT! News Super - Unedited

  5. Click on the "News Super" text. The cursor is now positioned within a Lyric 2D Text Template that corresponds directly to an iNFiNiT! Tab field. Refer to 2D Text Templates for additional information on Lyric 2D Text Templates.

  6. Right-click on the 2D Text Template containing the "News Super" text. From the context menu, select Template Properties. The 2D Text Template dialog box opens. The 2D Text Template is identified by a Number.

    Image: 2D Text Template Dialog Box

    2D Text Template Dialog Box

  7. In the Optional area, select (check) Auto Erase. This sets the currently selected 2D Text Template to erase the current contents any time it is updated, either externally or by typing.

  8. Click the Next arrow icon at the upper left corner of the 2D Text Template dialog box. This toggles to the next-numbered 2D Text Template on the Canvas, which contains the text, "SECOND LINE."

  9. In the Optional area, select (check) Auto Erase.

  10. Optional: The 2D Text Template dialog box can be closed at this time. Otherwise, continue to the next step. For additional information on the 2D Text Template dialog box, refer to 2D Text Templates.

  11. Click in the 2D Text Template containing the "News Super" text. Type "Joe Newsguy." Click in the 2D Text Template containing the "SECOND LINE" text. Type "Crisisville, NY." Both 2D Text Templates have now been updated.

  12. To view the modified message without baselines and 2D Text Template frames, click the Text/Window Frames Off icon Image: Window Frames Off Icon, located on the Chyron Toolbar. Note that the icon changes to Image: Window Frames On Icon.

    Image: Modified iNFiNiT! Message

    Modified iNFiNiT! Message

    To return the baselines and 2D Text Template frames to view, click Image: Window Frames On Icon.

  13. The message can now be saved as a Lyric message, or exported back to the iNFiNiT!.

Saving the iNFiNiT! Message as a Lyric Message

To save the modified iNFiNiT! message as a Lyric message:

  1. From the Lyric File menu, select Save As. The Save Animation dialog box opens.

Image: Save as Lyric Message

Save as Lyric Message

  1. Leave Start Frame and End Frame settings as is, as this is a static message.

  2. If not already selected, select Lyric (*.lyr) from the Save as Type drop-down list box.

  3. Enter a File Name. Note that adding the .lyr extension is optional in the File Name field, as it is automatically attached when the .lyr file type is selected.

  4. Click Save. The iNFiNiT! file is saved as a Lyric file that can be edited and played back on a Chyron system.

Exporting the Modified iNFiNiT! Message

To export the modified iNFiNiT! message back to the iNFiNiT!:

  1. Once the imported message has been modified as previously described, select Export to iNFiNiT!. The iNFiNiT! File Save Options dialog box is displayed.

    Image: iNFiNiT! File Save Options

    iNFiNiT! File Save Options

  2. Select (check) the Text Message radio button as the File Type.

  3. In the Description field, enter identifying information to be recorded to the iNFiNiT! database.

  4. In the Msg Number field, enter an iNFiNiT! message number, omitting the leading decimal point. (Note that Windows file name dialog boxes do not accept leading decimals in file names.)

  5. Optional: In the Local Save area, select (check) Enable to save a copy of the message in the iNFiNiT! message format to a PC, standard Chyron or Aprisa system. Enter a Directory Name, or click Browse to navigate to a directory. Note that if using Browse, a file must be selected from the directory. This file name can be changed in the next step.

  6. To enable transfer of the file to an iNFiNiT! system, in the FTP Save area, select (check) Enable.

  7. Use one of the following methods to select a target directory on the iNFiNiT!

    • In the Directory field, enter a filepath. Note that a forward slash at the end of Directory name is optional.

    • Use the Browse function to navigate to the directory. Click the Browse button. The Select Server Folder window is displayed. Select the target directory folder, and then click OK.

      Image: Select Server Folder

      Select Server Folder Window

  8. Enter the iNFiNiT! system’s IP Address. If necessary, enter a Username and a Password. To save this information for future use, select (check) the Save checkbox.

  9. Optional: Select Skip Warnings to prevent the display of overwrite and other warnings when the Export operation is executed.

  10. The following figure shows the entered information in the iNFiNiT! File Save Options dialog box. Click OK to close dialog box and save settings. Click Export to export the file to the iNFiNiT!, and if selected, to copy it locally. The message is saved in the iNFiNiT! message format.

    Image: Exporting a Filr to the iNFiNiT!

    iNFiNiT! File Save Options

  11. When the message is read on the iNFiNiT! system, the Description entered in Lyric is reflected in the Description field at the bottom of the iNFiNiT! interface. The modified iNFiNiT! message can be edited and/or played back on the iNFiNiT! family system.


FTP - Transferring Files to/from an iNFiNiT!® System

About FTP File Transfer

FTP (File Transfer Protocol) is one of a number of methods that can be used to transfer files between systems. FTP is the required method for copying iNFiNiT! font files between an iNFiNiT! and an outside system. The procedure described below can, however, be adapted to file transfers in general.

Chyron recommends the use of GlobalScape’s CuteFTP (available at http://www.globalscape.com/) software. The procedure documented below uses CuteFTP Version 4.2. Refer to CuteFTP documentation for information regarding the Quick Connect and Site Manager functions.

If CuteFTP is not available, FTP transfer can be accomplished via DOS. This method is described at the end of this section.

Windows-based system-to-iNFiNiT! Family system file transfer

Lyric can create iNFiNiT! RGB Fonts using the Custom Font Editor. In general, these are the files are most likely to be transferred using this method. To execute a transfer:

  1. Launch CuteFTP.

  2. Open CuteFTP’s “Quick Connect” feature by pulling down the File menu and selecting Quick Connect or by pressing Ctrl + F4. The following parameters appear beneath the toolbar:

    Image: Quick Connect Parameters

    Quick Connect Parameters

  3. In the Host field, enter the IP address of the iNFiNiT! Family system to which the files are to be transferred. If necessary, enter a User Name and Password. Enter a Port number.

  4. Click the Connect Image: CuteFTP Connect Icon icon. The connection is made to the iNFiNiT! system, and the root level directories of the iNFiNiT! are displayed in the right pane of the CuteFTP interface.

    Image: Destination Pane

    Destination Pane

  5. Double-click the MACHINE folder icon to open the iNFiNiT! system's Machine Fonts directory. A list of files in the MACHINE directory is displayed.

    Image: Machine Directory Contents

    Machine Directory Contents

  6. In the left pane, which for this operation is the source pane, navigate to the Windows-formatted directory from which the file is to be copied. Click-and-drag the RGB Font file from this directory to the target iNFiNiT! system (right pane).

    Image: Transferring a File from a Windows Directory to an iNFiNiT!

    Transferring a File from a Windows Directory to an iNFiNiT!

  7. The following prompt is displayed. Click Yes.

    Image: FTP Confirm

    FTP Confirm

    Transfer commences. CuteFTP displays the progress of the transfer at the bottom of the screen. When the transfer is complete, the transferred iNFiNiT! RGB Font may be used as usual on an iNFiNiT!® MAX!>® or MAXINE!® system.

    Image: FTP Execute Progress

    FTP Transfer Progress

Using iNFiNiT! Machine Fonts in Lyric

An iNFiNiT! Machine Font can be used in Lyric. First, it must be transferred via FTP from the iNFiNiT! system to a local or networked Windows-formatted directory. In the following example, CuteFTP is used to execute the transfer.

  1. Launch CuteFTP and connect to the iNFiNiT! system as described in the previous procedure. The connection is made to the iNFiNiT! system. The root level directories of the iNFiNiT! are displayed in the right pane of the CuteFTP interface.

  2. In the left pane, which for this operation is the destination pane, navigate to the Windows-formatted directory to which the file is to be copied.

  3. Click-and-drag the Machine Font file from the iNFiNiT! system directory (right pane) to the Windows-formatted directory (left pane).

    Image: Transferring a File from the iNFiNiT to a Windows Directory

    Transferring a File from the iNFiNiT to a Windows Directory

  4. The following prompt is displayed. Click Yes.

    Image: FTP Confirm

    FTP Confirm

    Transfer commences. CuteFTP displays the progress of the transfer at the bottom of the screen.

    Image: FTP Execute Progress

    FTP Transfer Progress

  5. If the font is a Text Machine Font, or an RGB Machine Font that is to be used "as is," the font can now be accessed from the iNFiNiT! Font Assets Browser. Refer to Browser: iNFiNiT! Font Asset Operations for additional information. If the font is an RGB Machine Font that is to be modified within the Custom Font Editor, continue to the next step.

  6. When transfer is complete, right-click on the RGB Machine Font File Name, then select Rename from the context menu.

    Renaming the iNFiNiT! RGB Machine Font File

  7. To make the RGB Machine Font usable within the Custom Font Editor, add the extension .fnt to the file name, and then click outside of the File Name field or press Enter. The file that has just been transferred and renamed can be read into the Custom Font Editor and/or saved as a Lyric RGB Font for use in Lyric.

Renaming Machine Font File for Use by Custom Font Editor

NOTES

To access the transferred Text or RGB Machine Font file from within the iNFiNiT! Font Browser Assets, the file name cannot be changed. Refer to Browser: iNFiNiT! Font Asset Operations for additional information.

Using the Command Prompt to Execute FTP Operations

In the absence of CuteFTP, your system's Command Prompt can be used to execute FTP operations. The following procedures are representative of command sequences for most, if not all applicable Windows operating systems.

It is important to note that files transferred using this method should be done so in Binary, as opposed to ASCII mode. The Binary command appears in the following procedures.

After entering each command, press Return.

Transferring a File to the iNFiNiT!

To transfer from a file from a Windows-formatted directory to the iNFiNiT!:

  1. Select Start > Run, and then enter cmd to open a Command Prompt window.

  2. In the Command Line window, change the directory to the one from which the file is to be copied:

    C:\Chyron MOS>cd C:\iNFiNiT\MACHIINE

  3. Connect to the iNFiNiT! Family system:

    C:\iNFiNiT\MACHINE>ftp 55.55.5.253

  4. When prompted, enter a Username, and then press Return.

  5. When prompted, enter a Password, and then press Return.

  6. When connection is successful, enter the following command to specify binary data transfer:

    ftp> binary

  7. Specify the directory on the iNFiNiT! system to which the file is to be copied:

    ftp> cd C/NEWS/MACHINE

  8. Enter the following command to copy the file to the iNFiNiT!:

    ftp> put .9999

The system displays the progress of the file transfer and prompts when the FTP operation is complete. The following figure demonstrates a typical FTP "put" operation to an iNFiNiT! system.

Image: Typical FTP "Put" Operation to iNFiNiT! System

Typical FTP "Put" Operation to iNFiNiT! System

If it is not expedient to change to current directories (cd command) for both the Windows-formatted source and iNFiNiT! destination, the put command can be executed using full filepaths for both source and destination. After the binary command has been entered, the following command can be entered, based on the filename and directories used above:

ftp> put C:\iNFiNiT\MACHINE\.9999 C/NEWS/MACHINE

A put command must name an existing directory on the iNFiNiT! family system as a destination. If a previously nonexistent directory is entered as a destination, a new directory is not created, nor is an error message generated with regard to the directory name.

Transferring a File from the iNFiNiT!

To transfer from a file from a Windows-formatted directory to the iNFiNiT!:

  1. Select Start > Run, and then enter cmd to open a DOS window.

  2. In the Command Line window, change the directory to the one to which the file is to be copied:

    C:\Chyron MOS>cd C:\iNFiNiT\MACHINE

  3. Connect to the iNFiNiT! Family system:

    C:\iNFiNiT\MACHINE>ftp 55.55.5.253

  4. When prompted, enter a Username, then press Return.

  5. When prompted, enter a Password, then press Return.

  6. When connection is successful, enter the following command to specify binary data transfer:

    ftp> binary

  7. Specify the directory on the iNFiNiT! system from which the file is to be copied:

    ftp> cd C/NEWS/MACHINE

  8. Enter the following command to copy the file to the Windows-formatted directory:

    ftp> get .9999

The system displays the progress of the file transfer and prompts when the FTP operation is complete. The following figure demonstrates a typical FTP "get" operation from an iNFiNiT! system.

Image: Typical FTP "Get" Operation from iNFiNiT! System

Typical FTP "Get" Operation from iNFiNiT! System

If it is not expedient to change to current directories (cd command) for both the iNFiNiT! source and the Windows-formatted destination, the get command can be executed using full filepaths for both source and destination. After the binary command has been entered, the following command can be entered, based on the filename and directories used above:

ftp> get C/NEWS/MACHINE/.9999 C:\iNFiNiT\MACHINE

If a previously nonexistent Windows-formatted directory is named as the destination, it is created when the file is copied.

Exiting the FTP Session and the Command Prompt

To exit the FTP session:

  • Enter quit, then press Enter. The FTP session closes.

To exit the command prompt:

  • Enter exit, then press Enter, or click the Close icon Image: Windows Close Icon for the window.

iNFiNiT! and Lyric - Related Topics


Finding the IP Address or Computer Name of a System

When a system on which Lyric is running is networked to another system such as an Aprisa, it is necessary to know either the Full Computer Name or the IP Address of the remote system.

  • The Full Computer Name is a name given to a system to make it easily identifiable.

  • The IP Address is the actual network address of the system.

The Full Computer Name and IP Address are stored as part of a system's network configuration.

NOTE

If the IP Address of the system is dynamically assigned, i.e., a new one is assigned each time the system is started up, then always enter the Full Computer Name when a Host Name or Alternate Host Name is requested. If in doubt about whether or not the IP Address is fixed or dynamic, then always use the Computer Name as the Host Name or Alternate Host Name.

Note that depending on the version of the Windows® operating system and the system's configuration, the procedures may deviate from those described below.

To find the Computer Name of a system:

  • On the system, access Start > Settings > Control Panel > System > Network Identification. The Full Computer Name is displayed on the Network Identification tab.

To find the IP Address of a system:

  1. On the system, access Start > Settings > Control Panel > Network and Dial-up Connections > Local Area Connection > General.

  2. Click Properties, then select Internet Protocol (TCP/IP). If Use the Following IP Address is specified, the IP Address is displayed in the IP Address field. If Obtain an IP Address Automatically is specified, use the Full Computer Name as the Host Name or Alternate Host Name, as the IP Address can change with each network session.


FTP

Files can be transferred between systems using File Transfer Protocol, also known as FTP. While files of all formats can be transferred between systems, FTP is necessary for transferring files to and from an iNFiNiT! system. For information on how to execute an FTP transfer, refer to FTP - Transferring Files to/from an iNFiNiT!® System .


Support

Chyron provides a number of support methods for Lyric software. Please review these methods and select the ones that best suit your facility's needs.

To insure access to customer service and to product upgrades, Lyric software must be registered. If a registration card is included in your purchase, it should be returned by FAX or mail to Chyron.

Website | http://www.chyron.com/support/customersupport.aspx
 | Americas, Asia | Europe, Africa
Email | support@chyron.com | eamesupport@chyron.com
Telephone | +1 631 845 2132 | +44 118 916 8483
Fax | +1 631 845 1267 | +44 118 986 8162

Internet Support

Visit the support area of our web site, at: http://www.chyron.com/support/customersupport.aspx. You may find the User Forums particularly useful.

Email Support

If you’re unable to find the answers to your questions on our web site, feel free to email us! We make every effort to answer questions promptly. You can reach us at: support@chyron.com

Telephone Support

Chyron Customer Service can be reached at 1-631-845-2132 in Asia and the Americas, or +44 118 916 8483 in Europe and Africa.

Customer Service can furnish complete information about your support options, as well as sales.


Chyron Customer Support

Website | http://www.chyron.com/support/customersupport.aspx
 | Americas, Asia | Europe, Africa
Email | support@chyron.com | eamesupport@chyron.com
Telephone | +1 631 845 2132 | +44 118 916 8483
Fax | +1 631 845 1267 | +44 118 986 8162


Discontinued Feature

The link which led you here refers to a feature no longer included in Lyric. If you feel that you are seeing this page in error, please contact Chyron Customer Service at 631-845-2132.


Drag and Drop Bitmap

Dragging and Dropping from the Browser to the Canvas

An image in the Lyric Browser may be dragged and dropped directly onto an image on the Canvas, instantly substituting the new image for the old one. However, some limitations and hazards should be remembered.

In the illustration below, a Chyron logo has been imported normally onto the Lyric Canvas. The yellow borders indicating the region occupied by the object on the Canvas are known as the Selection Guides. These guides correspond to the bitmap's native size and aspect ratio, as seen in the object's 2D Object Template.

An imported bitmap image and the 2D Object Template

Below, a Lyric logo of much different size has been dragged and dropped onto the original object.

The Lyric logo image, whose original Height and Width are 1050 x 2550, has now been constrained to the native size to the original object's on-Canvas region, whose dimensions are 914 x 914. The result is unfortunate, insofar as a correctly imported Lyric logo should look like this:

An additional note:

When Dragging-and-Dropping from the Browser to the Canvas, be careful of your aim. It is quite possible to drag an image from the Browser onto an image that is NOT selected on the Timeline/Scene Graph.

Related Topics:

2D Objects - Bitmap Graphics

Bitmap Asset Operations

XMP Facility


XMP Facility

Lyric’s XMPTM Facility

2D Object Template, Meta Data button

Adobe's Extensible Metadata Platform (XMPTM) adds information to files which may be used in the indexing, searching and retrieval of those files. Many file-types are capable of containing XMP and other types of metadata. Note, however that not all of the image formats importable by Lyric are XMP-capable. Adobe offers extensive information on XMP at http://www.adobe.com/products/xmp/.

With Lyric Version 7, XMP metadata, if present in Lyric-usable images, can be utilized in modifying the content of Lyric messages.

Examples in this topic will picture .jpg images to which metadata has been added via a custom XMP panel used with Adobe Photoshop. Photoshop's File Info selection on the File menu gives access to metadata that may be contained in a given image.

The replacement of one image by another in a composition is an operation familiar to the Lyric user. In the following example, this action will be executed by the operator directly, via the basic operation of dragging and dropping an image from the current Browser onto a target image on the Canvas. Image replacement may also be driven by Intelligent Interface W and U commands or by External Update of Template Description Messages or Tab Data Messages.

When images are added or replaced within a composition by these means, text within the image’s metadata may be designated to populate and update text templates in the composition. Further, by establishing acceptable and unacceptable conditions within the Lyric message, the user may allow or prohibit the addition of elements to the message.

Example

The Image's XMP Data Content

  • In the following illustration, metadata has been added to a political candidate's photo in Adobe Photoshop, via the application's File Info dialog. The information in the fields seen below will be mappable to text templates in Lyric messages.

Figure 1: This XMP panel has been custom-created for use with the images that will appear in the Lyric messages pictured below. This link leads to an external website.

  • The images so prepared with metadata are then stored in an appropriate directory on the system running Lyric, and registered in the appropriate image Browser/database for access to the production in which they will be used.

Lyric Message Preparation

Below, a Lyric message is being composed. The news story in which these messages appear might review prominent politicians vying for a presidential nomination. Only one candidate in each party will be identified as the presidential nominee.

The finished message will contain candidate images, and positioned next to them, a 2D text window. The text window will contain templates which will be set up to receive text from the photos' XMP Tags. These tags are the types of information seen in Figure 1, such as Name, Party, Role and State. When a photo is substituted with that of another candidate, the fields will be updated with appropriate text from the new photo's metadata.

Validation Rules will also be applied so as to limit which images can appear on-screen. Only those images allowed to appear on-screen will be able to populate the message's templates with their XMP metadata.

In the original message, a bitmap image of the candidate is placed on the Canvas by using the Import Graphic [image] button or the Graphic selection on the Tools menu.

Note

Placing this image on the Canvas will create a Timeline/Scene Graph/Canvas object with the image's original name.

For the purposes of this example, it is recommended that the Lyric object representing the image be renamed. This will eliminate confusion by creating an object with a generic name that will persist as various candidate images are dragged and dropped into the message. The Lyric object may be renamed by clicking once on its Scene Graph entry, and entering a new name. Note that the 2D Object name can be edited only on the Scene Graph. This change will appear on the Timeline, Keyframe Graph, Animation Properties tab and any other part of the Lyric interface that lists elements present on the Canvas. The change is also reflected in the Bitmap Filename field in the 2D Object Template dialog.

  • With the graphic situated in the composition, a 2D Text Window is added, containing four template fields in the case of this example. For basic information on text templates, see 2D Text Templates.

  • The template fields will be designated Name, Party, Role and State. (Remember that when multiple templates are present in a Lyric message, template numbering begins with ' 0 ' ). As stated previously, these templates will be set up to be populated by components of the imported image's metadata.

Template names, for later linking to XMP data

Figure 2: Four text templates are set up in a 2D text window. They are named and numbered in a familiar use of Lyric's 2D Text Template feature.
Again, don't forget that template numbering begins with "0".

Figure 3: The 2D Text Template dialog. The "Prev/Next" button can be used to toggle through the templates in the message.
The template's Number will change accordingly as you select different templates to work with.

Connecting Templates to the Image's Metadata and Establishing Rules

  • Right-click the image to access its 2D Object Context Menu, and select Show 2D Object Properties. The 2D Object Template dialog, pictured below, will open. Again, remember that this image is a Timeline/Scene Graph/Canvas object that has been renamed "Candidate" despite the name of the bitmap originally placed on the Canvas in starting composition of the message. At right, notice the Bitmap information area, whose Filename field does identify the specific image which populates the object "Candidate" at any given time.

Accessing bitmaps metadata for setup

Figure 4: Above, the imported bitmap's context menu has been used to open the 2D Object Template dialog.

With this dialog open, click the Metadata button, and Lyric's Metadata Actions dialog appears. The XMP tags added to the image outside of Lyric in Figure 1 appear top-left on this dialog.

Figure 5: The Metadata Actions dialog, showing the Tags present in the selected graphic object, and the Templates present in the current Lyric message.

  • The Tags area at upper left shows the available types of information in the image's metadata. In this list,select the Tag whose content you wish to use in creating a Rule.

  • Select the desired Action from the pulldown menu, located top center of the panel. All of the pulldown's available Actions are seen at upper right in Figure 5; these Actions will comprise parts of the Rules you create.

  • Push: Places the contents of the metadata tag into the target Template, unconditionally.

  • Equals: Creates the requirement that the selected tag's text content is identical to a text string defined by the user. That text string is defined by entering the desired characters exactly in the Parameters field of the Metadata Actions dialog. For example: "Equals" is selected in the Action dropdown, PARTY (in this candidate's case, "Republican") is selected in the Tags area, the text string Republican is entered into the Parameters field, and IS VALIDATION RULE is selected. If these conditions are met, the desired new image will be allowed to replace the previous one, and the text from the image's selected tag will be allowed to populate the template designated "Party".

  • Not Equal: Creates the requirement that the selected tag's text content does not match the text string defined by the user. That text string is defined by entering the desired characters in the Parameters field of the Metadata Actions dialog. For example: "Not Equal" is selected in the Action dropdown, PARTY is selected in the Tags area, the text string Republican is entered into the Parameters field, and IS VALIDATION RULE is selected. This creates a condition wherein images whose Party tags contain anything other than the string "Republican" may replace the previous image and the contents of the new image's Party tag to populate the Lyric message's "Party" template.

  • Contains: Creates the requirement that the selected tag's text content includes text defined by the user. That text string is defined by entering the desired characters in the Parameters field of the Metadata Actions dialog. For example: "Contains" is selected in the Action dropdown, PARTY is selected in the Tags area, the character "a" is entered into the Parameters field, and IS VALIDATION RULE is selected. Given that the Party tags Republican and Democrat contain a common character, the defined condition will be satisfied, and images of candidates from either of these parties will be allowed to occupy the "Candidate" image object. This will also allow the words "Republican" or "Democrat" to populate the "Party" text template. Candidates from parties whose names do not contain a character "a", such as "Green" or "Independent" would thus be prohibited from appearing in the Lyric message, and their accompanying text would not appear in the message's text templates.

  • Doesn't Contain: Creates the requirement that the selected tag's text content does not include text defined by the user. That text string is defined by entering the desired characters in the Parameters field of the Metadata Actions dialog. For example: "Doesn't Contain" is selected in the Action dropdown, PARTY is selected in the Tags area, the character "a" is entered into the Parameters field, and IS VALIDATION RULE is selected. Given that the Party tags Republican and Democrat both contain this prohibited character, images of candidates from neither of these parties will be allowed to occupy the "Candidate" image object. This will also prohibit the words "Republican" or "Democrat" from populating the "Party" text template. Candidates from parties whose names do not contain a character "a", such as "Green" or "Independent" would thus be allowed to appear in the Lyric message, and their accompanying text could appear in the message's text templates.

  • Is One Of: Creates the requirement that the selected tag's content is equal to one of the text strings that is present in a Comma Separated Value (CSV) list of items. For example: Given the "Party" tag content "Republican", entering "Republican,Conservative" in the Parameters field would make the object valid for use.

  • Selecting the checkbox Is Validation Rule requires that conditions such as "Equals" be met, as opposed to allowing the execution of an Action unconditionally.

  • The Parameters text entry field is where the user may input text strings that will help define conditions to be satisfied in accordance with the Rules being established.

Using the XMP feature in a Message

Figure 6 illustrates various Actions established, two of which are Validation Rules.

Note

Don't be concerned if the Templates appear in the seemingly wrong order in the "Templates Assigned" box. This feature will work properly as long as the images Metadata tag is properly matched to the desired Lyric message's template as described above.

Figure 6: Using the Metadata Actions dialog to create simple "Push" Actions, as well as "Equals" and "Not Equal" Rules.

The Lyric message being built here is designed for a news feature about Republican candidates who failed to secure the party's presidential nomination. Therefore the second rule pictured above limits selection of images from the Bitmap Browser to those containing the text string "Republican" in the "Party" XMP tag. This will prevent images of candidates from other parties from appearing in the Lyric message.

The third rule excludes images whose "Role" XMP tag contains the text string "Presidential Nominee". Hence, only unsuccessful candidates' images will be allowed to appear in the message.

Figure 7: The Drag & Drop image operation fails because one of the Validation Rules would be violated by the attempted image replacement.

Figure 8: Seen close-up, the "Role" tag data which prevented the operation attempted in Figure 7.

In addition to the type of XMP validation dialog pictured above, similar messages may appear in the Lyric Status Bar, depending on the type of Rule violated.

Figure 8: Failure message in Lyric Status Bar. The message may be truncated, depending on its length, but more detail appears in the warning dialog pictured above.

Related Topics:

2D Object Templates

2D Text Templates

Graphic Update via Intelligent Interface


Creating a 2D or 3D Text Template

Refer to 2D Templates or 3D Text Templates for information on creating Templates.


Template Setup Graphic for DB Link

Image: Template Setup


Templates - Related Topics

General:

Updating Lyric Messages

2D Text Templates:

2D Text Templates

Creating Templates from Existing 2D Text

Aligning 2D Text Templates

Selecting 2D Text Template Text

2D Text/Template Context Menu

DB Link

Registering An ODBC Data Source

Template Update

2D/3D Text and Template Shortcut Keys

3D Text Templates:

3D Text Templates

Template Update

2D/3D Text and Template Shortcut Keys

2D Object Templates:

2D Object Templates

DB Link

Registering An ODBC Data Source


3D Template selected for editing

Seen here, the 3D Text Template, and not the 2D Text window, is selected for editing on the Canvas, Timeline
and Scene Graph.


3D Text Template Context Menu

Right-Click the 3D Text Template on the Canvas or its Listing in the Scene Graph
See also: 3D Text Template Properties Dialog

Right-clicking on a 3D Text Template displays a Context menu, also known as a right-click menu, which makes available a variety of features. Note that the availability of different selections on the menu will vary with conditions in the Lyric composition. For instance the Motion Path selection will be grayed out for a 3D Text Template that has not been animated in any way.

A 3D Text Template: Its Context menu and submenus are seen at right, its Properties dialog at left.

The following provides a brief description of each of the menu items. Where a hyperlink is present, click for more information.

  • Template Name: The first item in the context menu displays this object's name and type. Refer to Navigating and Entering Information in Lyric: Object Name and Type for details on renaming objects.

  • Color Code Object: Enables the object's listing in the Scene Graph to be displayed with colored text in order to make it easier to quickly identify.

  • Position Lock On: The Position Lock On setting specifies whether or not this template can be moved on its X, Y or Z axes, as well as rotated, scaled or have its center of rotation changed.

  • Enable Bounding Box: See also Selection Guide.

  • Turn Off Alpha Border: This selection applies only to 2D bitmaps.

  • Copy/Paste Animation State: Copy/Paste Animation State enables animation attributes such as Position, Rotation, Scaling, etc., to be copied from one object and pasted to another.

  • Mask Object/Soft Mask: These selections do not apply to 3D objects, including elements of 3D text.

  • Mask-to-Layer: If you're working on a system outfitted with Chyron's eFX boards, refer to the section on the eFX Video Mixer and Mix Layers. If you're using CODI-type boards, refer to the Mask Object Tutorial.

  • Alpha Trim Object: This selection applies only to 2D bitmaps

  • Motion Path: The path of an object as it progresses through an animation can be graphically displayed on the Canvas. The Motion Path can be edited, keyframes added and deleted, acceleration set and interpolation specified from the Canvas.

  • Save As: This selection applies only to imported 3D objects.

  • Playout Mode: This Lyric Pro feature is dedicated to playout of previously-composed Lyric messages. Playout mode limits the toolset available to the user, simplifying the interface for on-air and real-time production situations. Playout mode complements the Compose mode, which is Lyric's standard mode of operation. Changes made to recorded messages while in Playout mode can be limited by applying one of these ‘locks’ to a given node in the message. Three different degrees of restriction may be set by the message's author while working in Compose mode.

  • Insert Row creates a new row at the cursor location, or inserts a row into the current Template at the cursor location.

  • Delete Row deletes the row at the current cursor location.

  • Swap Row Up/Swap Row Down: The row on which the cursor is currently located changes places with the row above (Swap Row Up) or below (Swap Row Down) it respectively. If Swap Row Up is attempted on the top row in a window, there is no effect. Likewise, if Swap Row Down is attempted on the bottom row in a window, there is no effect.

  • 3D Template Properties: This selection opens the 3D Text Template properties dialog, which affords the user fine control of template features such as setting the current Input Method Editor and updating text via DB Link or Intelligent Interface.

  • 3D Template Animation: This selection offers the same Roll, Crawl and Type On options as seen on the 3D Template Properties dialog.

  • Continuous Update: Enables the selected template to display data from data feeds or from Rich Text Format (RTF) files. The data is fed to Lyric via Intelligent Interface U commands.

  • Internal Properties: Not implemented for 3D text templates.


Collapsing Template group on Scene Graph popup

Collapsed Template group on Scene Graph popup


Animation - Related Topics

Animation Overview

Animation Settings - Configuration Menu

Animation Playback - Transport Controls

Scene Graph

Timeline

Modifying Animation Length

Keyframe Graph

Ease

Interpolation Modes

Events Properties

Animation Properties

Animating 2D Characters

Modifying Animation Length

Copy/Paste Animation State

Keyframe Selected Objects

Keyframe All Objects

Advanced Text Effects

Read Effects

Frame Buffer Tools


Advanced Text Effects Top

Advanced Text Effects

Introduction

Basic Advanced Text Effects Setup

Previewing/Executing/Stopping an Advanced Text Effect

What Happens When an Advanced Text Effect is Applied

Removing/Clearing an Advanced Text Effect

Preserving/Not Preserving Advanced Text Effect Settings

Saving/Recalling an Advanced Text Effects Message

Creating a Custom Advanced Text Effect

Kern Rate Example


Related Browser Topics

Browser - Related Topics

Browser Overview: Describes function of Browser and provides descriptions of the various elements of the Browser.

Browser Font Asset Overview: Describes function of Browser with regard to Lyric fonts, including loading, updating and saving fonts to the Browser database.

TrueType® Font Context Menu: Describes function of Browser with regard to TrueType fonts.

Sync TrueType® Fonts on Load: Describes automatic update of TrueType font attributes in Lyric messages.

RGB Fonts, RGB Font Context Menu: Describes function of Browser with regard to RGB fonts.

Message Asset Operations: Using the Browser to load to the Canvas and save to disk and/or Browser database Lyric messages.

Bitmap Asset Operations: Using the Browser to load to the Canvas and save 2D bitmap graphics.

Aprisa Still Asset Operations: Using the Browser to load to the Canvas and save to the Aprisa system and Browser database Aprisa stills.

Aprisa Clip Asset Operations: Using the Browser to load to the Canvas Aprisa clips.

iNFiNiT!® Font Asset Operations: Using the Browser to load to the Canvas iNFiNiT! fonts. Also accesses the Custom Font Editor, in which RGB Fonts can be created.

Quantel®Asset Operations: Using the Browser to load to the Canvas and save to the Quantel system and Browser database Quantel graphics.

Creating/Selecting/Importing/Deleting a Data Sources: Creating a new Browser database; selecting a Browser database for use in Lyric; importing a database for use in Lyric; deleting a Browser database.

Browser Preferences: Setting Preferences for Browser operation.

Searching the Browser: Searching the Browser for single or multiple assets (messages, graphics, fonts).

ODBC Data Source Registration: Configuring the database for use in Lyric. Necessary step for database to be recognized by the Browser.

Browser Backup: Backing up a Browser and its selected assets.

Browser Restore: Restoring a Browser and its selected assets.


Erase

Chyron Toolbar >

The Erase function erases a variety of objects from the current Canvas. Text, elements from the scene or frame buffers can be erased. 2D Text Template backgrounds, however, cannot be erased using this tool. Refer to the sections on 2D Text Templates and Background for information on erasing a Template Background. To perform an erase:

  1. Click [image] on the Chyron Toolbar. The Erase dialog box is displayed:

    Image: Erase Dialog Box

    Erase Dialog Box

  2. Only the 2D Text or the Scene area is active at any one time, depending on which radio button is selected. Set Erase parameters as described below.

    Item

    Description

    This Window

    When multiple 2D Text Windows are open, the active 2D Text Window is the only one erased.

    All Windows

    Applies the Erase operation to all 2D Text windows (includes Roll, Crawl and Type On).

    2D Text

    May be left unchecked to leave 2D text intact in the selected window(s) during other erase operations.

    2D Text Background

    May be left unchecked to leave 2D Text Window(s) Background intact.

    Scene

    Selects the entire composition, as opposed to individual 2D Text Windows.

    Objects

    Objects in a scene include 2D Text Windows (both the windows themselves and their contents), imported bitmaps, 3D characters and 3D objects, etc.

    Persistent

    Timers

    If Persistent Timers are specified for erasure, they will be cleared from the Canvas, regardless of the Make Persistent setting in the Properties > Clock/Timer tab.

    Background

    This Erase Background option affects the Canvas, as opposed to a single window. An Erase of this type does not erase 2D Text Window Backgrounds, only the Background of the Canvas. Note that this type of Erase operation cannot be undone! Even if Undo Image: Undo Icon is available after a Scene Background erase operation, the available Undo(s) are applicable to other steps in the composition, but not to the Background erase.

    Frame Buffers

    Erases the contents of all frame buffers. This operation DOES affect the signal going to the Program and Preview outputs, so use with caution.

  3. After selecting the item(s) to be erased, click OK to execute the Erase, or Cancel to cancel the Erase operation.


Saving and Recalling a Clip File

Saving/Recalling a Clip File, Clip Behavior in Lyric

Tools Menu > Clip Control Panel > Save, Recall

The parameters that govern playback of the clip, such as the Start/End Points, are saved in a Clip file and recalled for future use. A Clip (*.ccf) file is independent of the Lyric composition that was currently open which it was created.

Saving a clip as a *.ccf file is necessary only when it is to be used in more than one Lyric message. A clip can also be saved as a component of a Lyric composition when the message is saved in the *.lyr format. When the Lyric message is read, the Clip settings are displayed in the Clip Control Panel.

The source video and/or audio itself is not saved. In order to play back the clip, the source video and/or audio and the playback device must be available, whether it is external, from a DDR or VTR, or a Chyron system's internal sources, such as an Internal Clip Player, eFX Board or the system's Windows audio resources.

Saving a Clip File

To set and save a clip:

  1. Set In Point, Out Point and other parameters for the clip.

  2. Click Save. The Save As dialog box is displayed.

    Image: Saving a Clip File

    Saving a Clip File

  3. Navigate to the desired directory in the Save In drop-down list box, and then select Clip Files (*.ccf) from the Save as Type drop-down list box. Enter a file name in the File Name field, and then click OK.

All clip files are saved in the *.ccf format, without regard to the type of source material or the type of playback device. If the clips in the selected directory play back material from different devices or are saved in more than one codec, it is recommended that the device type, and if applicable, codec type, be included in the file name.

To quickly record a Clip file:

  1. Press Ctrl + Record. The Record Only: dialog box opens.

  2. Select Clip (.ccf).

  3. Click Record. The Clip settings are saved to the current Message Number in the Default Clip Files Directory.

A Hotkey combination can also be used to record the Clip settings:

  • Press Ctrl + Record C Enter. The Clip settings are saved to the current Message Number in the Default Clip Files Directory.

To record a clip as part of a Lyric message:

  • Record the Lyric message in the normal manner. Saving the Lyric message retains all information necessary for the clip to run with the animation.

Recalling a Clip

A clip saved to the Chyron system can be recalled and played back from the Clip Control Panel. Make sure that the source video/audio and the playback device are available.

When a clip that controls playback of an *.avi file is recalled, the *.avi file is loaded, and the associated matte and audio files are loaded for simultaneous playback. For example, the following files would also be loaded when Basketball.avi is loaded: Basketball.matte.avi, Basketball.a1.wav and Basketball.a2.wav. For these files to be loaded, they must reside in the same directory as the *.avi file.

When a clip that controls playback of an Aprisa DDR or an external device is recalled, no files are loaded. If the source material happens to contain audio, it can be fed to an audio mixer or other audio device.

  1. Click the Recall button on the Clip Control Panel. The Open dialog box is displayed.

    Image: Recalling a Clip File

    Recalling a Clip File

  2. Navigate to the desired directory in the Look In drop-down list box, and then select Clip Files (*.ccf) from the Files of Type drop-down list box. Enter a file name in the File Name field, and then click OK. The source material is loaded or cued up, and the clip settings are displayed in the Clip Control Panel.

Opening/loading a clip file that loads a video (*.avi) file, also loads the associated Matte (Key) and audio file(s) if they are available. If the *.avi file and the associated Matte file are not of the same duration, Lyric adjusts the duration of the shorter file accordingly. When the clip file is played, the associated files play simultaneously.

Clip Playback Behavior

As of Lyric v5.0, the first frame of a clip is not displayed in output when a message containing a clip is loaded. When the message is executed, the clip starts playing and is then visible on output.

To change default behavior so that the first frame of the clip is displayed on output when the message is read:

  1. Navigate to file in which Lyric is installed.

  2. Double-click on the file DisableMatroxSourceSwitcher.reg.

Displaying the first frame of the clip was the default behavior of messages read in versions of Lyric predating Lyric v5.0. Note that clips contained in messages created in these earlier versions behave according to the current default setting in Lyric v5.0 when read.

To revert back to the default behavior for Lyric v5.0:

  1. Navigate to file in which Lyric is installed.

  2. Double-click on the file EnableMatroxSourceSwitcher.reg.

Clip playback is also determined by the following settings:

  • Always Load, accessed by right-clicking on the Clip object listing in the Scene Graph to display the clip’s context menu. Always Load can be toggled on and off. Refer to Clip Timeline/Scene Graph Operations for information on Always Load.

  • Cue Clip, set in Playlist configuration. Refer to Playlist Configuration for information on Cue Clip.


Duet SD/HD and Current Versions of Lyric

Lyric versions 6.0 and later, and Lyric PRO, will not operate on Chyron's Duet SD and Duet HD systems. Consult the Online Help included with Lyric Version 5 (and later) installations.


Effects

Effects (disambiguation)

In Lyric, the term "Effects" in used in various contexts.

  • Default Effects are also known as Message Effects. These features take the place of the Default Effects found in the earlier versions of Lyric that served Duet SD and Duet HD machines.

  • Playlist Effects are similar to Default Effects, but are selected and configured exclusively from the Playlist controls.

  • Advanced Image Effects are now found on the Effects page of the Properties menu.


DIO-1616T-PE PCI Express board notes

Open collector

Requires pullup resistors: “Up means voltage level, pulling it up to VCC, in this case +5v

Resistor is on the board, already, for inputs.

Inputs pulled up, outputs not; outputs require pullup.


Hardware Configuration - Common Board Configurations

Config Menu > Configure Board Use

Chyron systems running Lyric can be set up in a variety of configurations depending on the requirements of the facility and the production. Three common configurations are described in this section:

  • Single Board Configuration

  • Dual Board Air/Air Configuration

  • Dual Board Air/Preview Configuration

Single Board Configuration

The base configuration of Chyron systems intended for Lyric operation is one frame buffer board (Lantern/CODI type, Analog Lantern/CODI board, Squeezeback board or eFX). A single frame buffer board can perform any of Lyric’s Default effects. In this mode of operation, the only available preview of an upcoming message is the system's VGA monitor. If you wish to use only one board in a system with more than one installed, be sure to designate the boards that are not to be used as Unused. Refer to Hardware Configuration - Configure Board Use for details about this setting.

Here is a simple exercise in operations using one-frame buffer board.

  1. Compose a message with on-screen content that clearly identifies the message itself.

    Creating Message 7000

  2. Save the message by pressing the Record (Chyron keyboard) or the minus (-) key on the numeric keyboard. Don’t forget that the message number display at lower right advances after a message is saved, and the title bar of the Canvas reflects the ID of the saved message.

  3. Leave the Canvas as it is for a moment and pull down the Tools menu to select Duet LE/LEX/PCI/PCI+ Message FX.

  4. The Duet LE/LEX/PCI/PCI+ Message FX dialog box opens. Select Split for both the OUT and IN effects. Be sure to set these effects to a slow enough speed, i.e. higher Frames setting, that you will be able to observe them working

    Setting up a Message Effect Message

  5. Save these effects settings as message #7001.

  6. Compose and record another readily-identifiable message as #7002.

    Creating Message 7002

  7. Record a different set of effects as message #7003. Again, make sure they are set to run slowly enough for you to see them clearly.

    Setting Up a Second Message Effect Message

  8. Compose and save another two messages at ID numbers 7004 and 7006, and another, different Effects message at #7005.

    Creating Additional Messages and a Message Effect Message

  9. Now, clear the Canvas.

  10. Make sure the LE/LEX/PCI/PCI+ Image: Live Icon - Inactive button is not clicked on the Lyric interface.

  11. On the numeric keypad, type 7000, then press Read (Chyron keyboard) or the Enter key on the numeric keypad. This is the Lyric Read command.

  12. Message 7000 displays on the Canvas using the IN effect specified in Step 4.

  13. Press Read Next (Chyron keyboard) or the + (“plus”) key on the numeric keypad. This is the Lyric Read Next command. Notice that the Message Number display advances two message numbers, not one as you may be accustomed to on other Chyron equipment. This is a function of Lyric automatically reading an Effects message and skipping ahead to the next composition message to prepare it for output.

Dual Board Air/Air Configuration

Air/Air Configuration

With both VPBs designated as Air, each board is set up to function independently. It is important to note that with two Air channels, the Read Next command only performs transitions between messages on the channel selected with the VPB [image] [image] icons.

When using Duet LE/LEX/PCI/PCI+’s two outputs as separate Air channels, take special note that the Read Next function continues to advance the message number if you switch between outputs! In other words, using the Swap function between Read Next operations may cause an unexpected message to appear on the channel on which you are working. Remember that the VPB icon [image] [image] that is selected determines which output channel is controlled by the Lyric interface.

Be especially aware that the Swap icon Swap Icon simply switches the image on each VPB to the other VPB. This operation does include an effects transition if programmed, but does not perform a Read Next operation.

Dual Board Air/Preview Configuration

Air/Preview Configuration

The Air/Preview configuration specifies that the output of the Preview board is always next in line in a Read Next operation. The Preview setting affects the display of the video only within the Duet environment. The video output from the designated Preview board can also be fed to Master Control, a switcher or other device.

The following exercise simulates a control room situation where each Canvas message and each effects message is previewed on the Preview channel before transfer to the Air channel. Remember that the even-numbered messages you have created for these exercises are the composition messages; odd-numbered messages are Effects messages.

  1. Click the Image: Live Icon - Inactive and VPB Image: Buffer 2 Icon - Inactive buttons on the Lyric interface.

  2. Enter 7000 on the numeric keypad, then press Enter. The message appears on Video Output #2, which is the Preview channel.

  3. Press the key combination Alt + Xfer (Chyron keyboard) or Alt + / (the backslash or ‘division’ symbol on the numeric keypad). The system performs a transition that displays message 7000 on the Air channel, using the effects programmed in message 7000.

  4. Press the Read (Chyron keyboard) or Enter key on the numeric keypad to Read message 7002 into the Preview channel.

  5. Press Alt + Xfer (Chyron keyboard) or Alt + / again to transfer message 7002 to the Air channel.

  6. Press Read or Enter again to preview message 7004 and the effects that were saved in message 7003.

  7. Press Alt + Xfer (Chyron keyboard) or Alt + / again to transfer message 7004 to the Air channel.

  8. Continue alternating these steps until reaching the end of the sequence.

Remember that Image: Live Icon is Duet LE/LEX/PCI/PCI+’s interactive mode. Changes made on the Canvas appear in real time on the selected video output, which in this instance, was selected by clicking the Image: Buffer 2 Icon - Inactive button. With a new message on the Preview channel, changes can be made before transferring the message to the Air output.


Hardware Configuration - PCI Express-based GPI device

Hardware Configuration - PCI Express "Generic" GPI device

NOTE

The hardware discussed herein requires installation of driver software outside of Lyric.
See Installation Instructions for PCI Express GPI I/O Board for more information.

Setup GPI

Config Menu > Hardware > Setup GPI

See also the discussion of the GPI facility on Lantern 64/"CODI" boards and the GPI facility offered by optional USB and PCI devices.

Lyric can control or be controlled by external devices such as tape machines, digital disk recorders (DDRs) and switchers by using GPIs (General Purpose Interface triggers). Such control inputs to your Chyron system from external sources can start and stop Clocks and Timers, execute an individual step within a Lyric Playlist or release a programmed Pause. In addition, GPI-controlled outputs can be used to trigger external devices such as keyers and tally lights.

The GPI PCI Express card is intended for use with Chyron HyperX2 systems. The device provides as many as 32 GPI (General Purpose Interface) connections.

To perform GPI setup:

  • From the Configuration menu, select Hardware, then click the Setup GPI tab.

Setup GPI. Top: Bank 1's settable properties, Direction and Pulse Width. Bottom: Selecting a pin on Bank 1

The following parameters should be set to enable GPI capability:

Parameter

Description

GPI

Use this field to designate the Bank of GPIs, and the specific, individual GPI you wish to set up. Each Bank of GPIs on the optional hardware provides up to 9 pins, and hence, up to 9 GPIs.

The available GPIs are numbered continuously. In other words, the 9 GPIs (9 pins) on Bank 1 are numbered 1 - 9; the GPIs on Bank 2 are numbered 10 - 17, and so on.

From Board

One or more boards that offer GPI connections may be installed in your system. The From Board indicator distinguishes between boards when more than one is present. For instance, multiple Lantern-type boards, or in rare instances, a Lantern-type board and a Generic GPI board such as the PCI Express Generic GPI device, may be present.

When a Lantern-type board and a Generic GPI device are installed, the Lantern board will always appear first; see GPIO Number, below, for an explanation of how the GPIs in multiple boards are designated.

GPIO Number

Where more than one board providing GPIs is present, this item indicates which one of the available GPIs on a given board is being configured. This display numbers GPIs beginning with the first one listed (see above) and continuing through the GPIs on successive boards.

Hence, the GPIs originating from a Lantern-type board are designated 1 - 16. The GPIs provided by a Generic GPI board are designated 1 - 9 on Banks 1 & 2, 18 - 21 on Bank 3 and 22 - 24 on Bank 4. The distinction between boards is made above in the From Board display.

Direction

Not used with this device. Pins 1-8 (Bank 1) and 9-16 (Bank 2) are hard-wired as Inputs, and Pins 17-24 (Bank 3) and 25-32 (Bank 4) are hard-wired as Outputs. If the Direction drop-down menu appears available, disregard it.

Output Pulse Width (ms)

Pulse Width defines the minimum duration of the GPI pulse in milliseconds. This should be set to ignore a short accidental contact with a physical GPI button or a slight signal anomaly which could unintentionally trigger the GPI.

Description

This indicator appears when a specific GPI is selected A descriptive name may be entered in this field. If no text is entered by the user, the GPI number populates the field by default.

Current Assignment

This (non-editable) field displays a detailed description of the action associated with the selected GPI.

Test

Click this button to verify that the GPI is working. See below.

After setting GPI parameters, click OK, then exit and relaunch Lyric.

Testing a GPI

To test a GPI, click the [image] button situated under the Current Assignment field. The Waiting for GPIO dialog appears:

This example shows an input GPI being tested. In this case, Switch #1 on a Chyron KwiKeys device has been set up to trigger the action "Playlist Line Up". The test that can be performed from this menu, however, concerns only the hardware (the input device, the port and the Generic GPIO device). If the test is successful, the Waiting for GPIO dialog will disappear. Otherwise, the dialog can be dismissed by clicking the OK button.

NOTE

When a GPI assigned to a specific event, such as to trigger a Playlist step or trigger a Squeezeback Effect, make sure that the same GPI is not also assigned as a Global GPI, as there may be a conflict when the GPI or Global GPI is triggered. Refer to GPIs and Global GPIs for additional information. Refer to Chapter 6 - GPIs and Global GPIs for additional information.

GPI Pinouts

At the time of this writing, HyperX systems are fitted with the DIO-1616T-PE PCI Express board from Contec Microelectronics.

Seen here is a pinout diagram of the GPI PCI Express card's connector. As seen below, pins 1 and 20 serve as Ground. Each Input port's GPIs are triggered by shorting the appropriate pin(s) to Ground, using a momentary switch.

NOTE

The Direction dropdown menu shown below is NOT relevant to configuration of Inputs and Outputs on the PCI Express Generic GPI device. The direction of the pulse for each pin is set and NOT assignable.

As indicated by the pinout diagram seen here, Pins 2 - 17 serve as Inputs, while Pins 21 - 36 are Outputs.

PCI Express GPI Board Pinout

Input Signals

External digital signals given to signal inputs are at TTL voltage levels (+5V here). The individual input signals are passed to the Chyron system as active low signals. Because each of the signal inputs is pulled up internally, the output of a relay contact or semiconductor switch can be connected directly between the signal input and the signal common pin. Note the presence of the 10k Ohm resistor on the board; none is required in the connection between the external system and the Chyron system.

Output Signals

Signal outputs are open-collector outputs; individual output signals are sent to the external device as active low signals. Note that each signal output must be pulled up via a 10k Ohm resistor at the external device as it is not pulled up internally.

GPIs - Related Topics


Installation Instructions for DIO-1616T-PCIe GPI I/O Board

Installation Instructions for the DIO-1616T-PE GPI I/O Board

(PCI Express)

NOTE

This procedure pertains to GPI I/O Board Driver Installer v1.01.113, for use with the PCIe GPI/O facility on HyperX2 systems.

The installation software must be installed with the GPI I/O card not inserted into the unit. If it is in the unit, remove it. Also note that Lyric 6.14.1228 or later is required.

  1. Run the installation software from the disk. Do not change any of the default settings.

  2. Shut down the unit and install the GPI I/O card.

  3. Power on the unit. You should get a message that new hardware is detected and the Found New Hardware Wizard should begin.

  4. In the first dialog box, for the question, “Can Windows connect to Windows Update to search for software?” select the following option: “No, not this time.” Click Next.

  5. In the next dialog box, select the following option: “Install the software automatically (Recommended).” Click Next.

  6. The next dialog box should indicate that the software is being installed. When complete, click Finish.

  7. Installation is complete.

NOTE

Lyric will allow you to set any of the four ports (of eight I/Os each) as inputs or outputs. However, the GPI I/O board will only function with Ports 0 and 1 as dedicated input ports and Ports 2 and 3 as dedicated output ports.

You may test the GPI I/O board using the GPI test functionality in Lyric.


Installation Instructions for PCI GPI I/O Board and USB External GPI I/O Unit

Installation Instructions for the PCI-DIO24 GPI I/O Board

(PCI board)

NOTE

If using the PCI-DIO24 GPI I/O board, it should not be installed in the system before installing the InstaCal driver. If it is in the system, then remove it.

  1. If a PCI-DIO24 GPI I/O board has already been installed in the system, then the InstaCal software necessary to run the board should already have been installed. Go to Start > Settings > Control Panel > Add or Remove Programs. Check the program list to see if InstaCal has been installed. If InstaCal is displayed in the list, then skip to step 9.

  2. If InstaCal has not been installed, then remove the PCI-DIO24 GPI I/O board from the system.

  3. Go to http://www.measurementcomputing.com/support.aspx. Install the InstaCal driver by following on-screen instructions.

  4. When setup is complete, power down the system.

  5. Install the PCI-DIO24 GPI I/O board.

  6. Restart the system.

  7. Go to Start > Programs > Measurement Computing > InstaCal. Only one device should appear. Select the device and then click on the Add button.

  8. Close the InstaCal application.

The remainder of these steps applies only to Lyric Version 6.5 and later.

  9. From the Utilities page of the Lyric installation disk, download the Generic GPI.ocx file to the Lyric installation folder. Make sure that it is the same folder that contains Lyric.exe.

  10. From Windows® Explorer or My Computer, open the folder that contains Generic GPI.ocx.

  11. Click Start > Run. The Run dialog opens.

  12. In the Open field, enter: regsvr32.

  13. From the folder that contains Generic GPI.ocx, drag the Generic GPI.ocx icon into the Open field.

  14. Click OK. A message should then display indicating that Generic GPI.ocx file has been successfully registered.

  15. From the Utilities page of the Lyric installation disk, click the link to the driver installer for the PCI-DIO24 GPI I/O Board. The File Download dialog opens.

  16. Click Open. The installation will automatically start.

  17. Follow the on-screen instructions. When asked to browse to the Destination folder, select the folder in which Lyric is installed.

  18. Continue to follow on-screen instructions, until the installation is complete.

  19. Restart the system.


Aprisa - Related Topics

Aprisa Systems and Lyric - Related Topics

Aprisa - General:

Aprisa Features: Comprehensive description of Aprisa features.

Aprisa Systems: Connection and DDR configuration information.

Aprisa Interface Configuration: Configuring Lyric to communicate with Aprisa still and DDR or still/DDR systems.

Finding the Computer Name and IP Address of a System: Information necessary for successful Aprisa Interface configuration.

Aprisa Stills:

Aprisa Still Asset Browser Operations: Using Lyric's Browser to load Aprisa stills to the Canvas and save stills back to the Aprisa.

Import from Aprisa (File Menu): Importing Aprisa stills as objects or Backgrounds to the Lyric Canvas.

Export to Aprisa (File Menu): Exporting Lyric graphics as Aprisa stills.

Aprisa Clips:

Aprisa Clip Asset Browser Operations: Using Lyric's Browser to load Aprisa clips to the Canvas.

Clip Control Panel: Playback of Aprisa clips and recording of Lyric clip (*.ccf) files, which control playback of clips stored on the Aprisa DDR.

Recording Clips: Recording Aprisa clips as animation files which can be played back without the Aprisa.


iNFiNiT! and Lyric - Related Topics

iNFiNiT!® Systems and Lyric - Related Topics

iNFiNiT! Font Asset Operations (Browser): Using Lyric's Browser to load to the Canvas iNFiNiT! fonts. Also accesses the Custom Font Editor, in which RGB Fonts can be created.

Import from iNFiNiT!: Importing iNFiNiT! message and font files into Lyric via FTP or from ZIP® or JAZ® disk.

Export to iNFiNiT!: Exporting iNFiNiT! messages from Lyric to the iNFiNiT!. Note that if an associated font(s) must be exported, the FTP facility must be used to export the font(s) to the iNFiNiT!.

iNFiNiT! Import/Export Example: Example of importing an iNFiNiT! message into Lyric; modifying the Template text; and exporting the message back to the iNFiNiT!.

Custom Font Editor: A facility for creating and modifying RGB Fonts.

FTP - Transferring Files to/from an iNFiNiT! System: Describes the process for transferring font and/or message files to/from and iNFiNiT! system. The process is also applicable to file transfer between other systems.


Quantel® Systems and Lyric - Related Topics

Quantel Interface Configuration: Configuring Lyric to communicate with Quantel systems.

Quantel Asset Operations: Using Lyric's Browser to load Quantel stills to the Canvas and save stills back to the Quantel.

Import from Quantel: Importing Quantel graphics to the Lyric Canvas.

Export to Quantel: Exporting Lyric graphics as Quantel graphics.


FBX Format Compatibility

With Versions 7.0 and later, Lyric is able to open .fbx-format files, of the type created by Autodesk® applications such as Maya and 3ds Max. Note that the action of bringing an .fbx scene into Lyric is a File > Open operation, and does not use an Import button in the manner of 3D objects and 2D bitmaps.

Lyric's File > Open dialog, with the Files of Type combo box dropped down for .fbx files.

When an .fbx composition is opened in Lyric, its original polygon meshes, geometry hierarchy, lights, cameras and animations are preserved. These elements are reproduced on the Canvas and appear in familiar fashion on the Scene Graph and Timeline. The composition can then be saved as a normal Lyric message with the .lyr extension.

From this point on, the composition may be treated as a standard Lyric message. Lyric animation elements such as 2D Text (Rolls, Crawls, etc.) may be added as well.

New surface textures and colors may be applied to objects in the scene, using Lyric's familiar Surface Properties panel. Note that some objects originating in an .fbx composition may be limited in editability in Lyric.


File Operations - Related Topics

File Formats Used In Lyric

Recording/Reading Lyric Messages, Selective Recording

File Menu Operations:

New

Open

Close

Save

Save As

Export Selected Nodes

Import Nodes from File

Im port from iNFiNiT!

Export to iNFiNiT!

Import from Aprisa

Export to Aprisa

Import from Quantel

Export to Quantel

Print

Print Preview

Print Setup

Backup

Restore

Summary Info - currently not implemented

Saving a 2D Bitmap Graphics File

Saving an Animation

Saving Clock/Timers

Saving Macros

Recording Clips to Animation and Audio Formats

FTP Operations

FTP - Transferring Files to/from an iNFiNiT! System

Saving to the Browser Database


Context Help for Canvas, Properties

Click on a link for information on the selected Lyric tool or function:

Browser Overview

Canvas

Scene Tree

Scene Graph

Timelines

Properties


Help Context Message

Please research topic using the Table of Contents, Index or Search Utility.


Movie File Update

Movie Update

Intelligent Interface

Movie Objects

An imported Movie can be updated via Intelligent Interface, allowing instant substitution of one Movie for another. W and U commands can be used much in the same manner as they are used to update 2D bitmap graphics.

Enabling II Update

II Update is perhaps most commonly used with 2D Text Templates. Here, imported Movies may be updated at any time from a remote computer. W and U commands issued by the host (remote) computer are used to execute the update.

Ext. Update enables the automatic update of Template Description Messages or Tab Data Messages when they are recalled (read). An X command is issued by the Chyron system requesting an update from the external computer. The external system then sends back to the Chyron system an R command containing the updated data.

To enable the update of a Movie file and record a Template Description Message:

  1. Select the Movie on the Canvas or the Scene Graph.

  2. Right-click on the selected Movie as it appears on the Canvas, or the Movie's Scene Graph entry, and choose Show Movie Properties. The Movie Properties dialog box is displayed.

2D Object Template Dialog Box

  1. Click the II Update checkbox to enable Intelligent Interface Update. To have Lyric send an immediate request (X command) for update when the message is recalled (read), click the Ext. Update checkbox as well. Note that enabling Ext. Update automatically enables II Update.

  2. Record the message.

    • If II Update is enabled, the Movie can be updated at any time via a W command from the host computer.

    • If Ext. Update and II Update are enabled, a request for an update is automatically sent to the host computer by Lyric when the message is recalled (read). The Movie can also be updated at any time via a W command from the host computer.

Formatting the Commands

    • For W commands, field data (i.e. the path of the new movie file) is applied to objects flagged for II update in 'top-down’ order as they appear on the Scene Graph.

Example: The original Lyric message 250 contains the imported movie "4000.avi". You wish to be able to replace with it with another movie (3990.avi) during a broadcast. The following W command creates Template Data Message 350 using a Bitmap Graphic Template defined in Lyric message 250.

W\350\250\Movies/3990.avi\\

    • To flag a movie file for an update via the U command the syntax is as follows:

U\\M\<node name>\<path to movie file>\\

If a literal path is given for the movie, be sure to use forward slashes in the path name. If only a file name is given, the entire path will be built using the default path for movie files specified in the ‘default paths’ preferences in Lyric.


Fonts - Related Topics

Creating and Using Fonts in Lyric

Font Tools

Font Properties

2D Font FX Properties

3D Font FX Properties

T rueType® Font Preview

Font Asset Overview - Browser

RGB Font Asset Operations - Browser

Sync TrueType® Fonts on Load

TrueType® Font Context Menu

iNFiNiT! Font Assets - Browser

Import from iNFiNiT!

Export to iNFiNiT!

Custom Font Editor

FTP - Transferring Files to/from an iNFiNiT! System


Lyric Standard Operation in Lyric PRO Installations

There may be occasions when the Lyric PRO operator wishes to work with the standard version of Lyric. This change may be effected with the use of the hardware system's Command Prompt.

With Lyric PRO not running, open the Run dialog from the Windows Start menu, and type cmd.

Alternately, you may access the Command Prompt from Start Menu > All Programs > Accessories:

  • When the Command Prompt appears, you will need to change from the Command Prompt's default directory to the directory containing the current installation of Lyric.

  • Enter cd, followed by a space and the file path of the Lyric software you intend to launch. Upper- and lower-case don't matter, but spaces, exact spelling and backslashes do matter.

  • The system will respond with the file path you entered above. Type a space and then Lyric -NOPRO. Make sure there's a space between the letter "c" in "Lyric" and the " - " in -NOPRO.


Message Status

View Menu > Toolbars > Message Status

Each CODI board, PCI Squeezeback board or eFX board installed in a Chyron system provides one frame buffer. The contents of the active frame buffer, displayed on the Canvas, appear at the output of the specified frame buffer.

The Message Status Bar may be displayed by right-clicking on most parts of the Lyric interface, such as the Windows toolbar, the Chyron toolbar, the Frame Buffer toolbar, the Animation controls, Animation time display, the Message Number display and the Canvas View toolbar.

The Message Status Bar cannot be displayed by right-clicking any of the windows representing the content of the composition (the Canvas, Scene Tree, Scene Graph, Timeline or Keyframe Graph). The Message Status Bar is also not available from the Properties window, where right-clicking toggles among Properties tabs. The Message Status Bar can be accessed by right-clicking only the gray borders of the Browser.

The column FB, at far left, identifies the Frame Buffer whose status is being displayed (and whether that Frame Buffer is operating in SD or HD mode). The Preview and Output show, respectively, which message is being previewed on the VGA monitor, and which is on the designated Frame Buffer's output.

Refer to Message Number Display for more information.


The Scene Graph and Initial Elements for beginners

2D Text Windows and the Scene Graph for Beginners

If it's difficult to discern from looking at your Canvas that it
contains a 2D Text Window, take note that any element in
a Lyric Canvas (composition) appears on the Scene Graph.
Note also that any element appearing on the Scene Graph
appears on the Timeline, as well.


Virtual Output

Virtual Output is a dongle-enabled option for Lyric Offline. This feature enables PCs without frame buffer devices to preview Lyric messages as they would appear on the Air/production output of a Chyron graphics system. Virtual Output's advanced preview capability allows the reproduction of multiple Lyric messages simultaneously, in a manner previously unavailable on Lyric's Canvas.

Most significantly, sophisticated compositions using Persistent Messages, Activation events and other Transition Effects, may thus be previewed. In addition, Clocks and Timers, will update in real time when seen on Virtual Output. Note that Virtual Output does not display hardware-produced Clips, such as those originating from eFX or Matrox-type hardware. Regardless of the absence or presence of frame buffers, Clip hardware of this type is rarely, if ever, found in offline systems. However, imported Movies of the .avi and .mov formats will be visible in compositions viewed on Virtual Output.

Virtual Output's capabilities exceed those offered by the Display All Frame Buffers option (on the Preferences > Windows tab, under the Config menu). Display All Frame Buffers shows only a static view of each inactive frame buffer, and cannot reproduce animations. The contents of Display All Frame Buffers' miniature Canvas views cannot be edited until the desired Canvas becomes active through a Swap operation.

Virtual Output also differs from Lyric's Clone Canvas Window option, which displays only the output of Lyric's standard Canvas, as seen through the signal sent to the system's VGA monitor.

A Virtual Output window seen against the Lyric interface, with a different message being edited on the main Canvas.

Operation

Methods for initiating playout on the Virtual Output are identical to those used with Play-to-Output, using Lyric's Frame Buffer Tools. Using the familiar key combination CTRL+ALT+Page Up will play a message to the Virtual Output, and pressing the / key on the numerical keypad will activate the "Xfer" function.

When the Virtual Output option is active on a Lyric offline system, its window opens automatically each time Lyric is launched. The window may be moved by dragging its Title Bar, or minimized, restored or closed with its familiar Windows [image] buttons.

Seen above, all Play-to-Output and Transitions operations are available for Lyric messages to be played on Virtual Output. This capability was unavailable in off-line Lyric systems prior to Lyric Version 7.0.

Related Topics:

Frame Buffer Tools

Playout Overview

Clone Canvas Window

Display All Frame Buffers


Lyric Pro and Lyric 6.5 - Banner

What's New in Lyric PRO/6.5

February 2008 Release

New Features Lyric Licensing Bug Fixes, Known Issues & Workarounds

Application Note - Zooming a 2D Text Window

Installation of Lyric Pro, Drivers and Plugins

Getting Started

Please visit Chyron's Website at http://www.chyron.com/support/downloads.aspx.
Use the Products dropdown to choose your hardware.

Use the Resource Type dropdown to choose Product Manuals, and click GO.

Available Help files will be listed; select the Online Help file for your version of Lyric.
Updated February 21, 2008


What's New in Lyric 6.5 and Lyric PRO? - Bug Fixes and Known Issues

Bug Fixes, Known Issues and Workarounds

The Lyric Release Notes PDF (Chyron Document Number 2A02249) on your installation disk contains the most up-to-date Known Issues and Bug Fixes. Lyric Online Help is continuously updated for download.

Bug Fixes

  • In earlier versions of Lyric, using Update-In in a message containing a Movie caused that Movie to start in the middle. This problem has been resolved. However, a movie used in an Update-In should not have an animation, or motion will be apparent when the Update-In occurs. Any animation desired should be applied to the group in which the movie resides.

  • Interim versions of Lyric 6.14 were subject to unwanted repositioning of the “Cloned Canvas” Preview window upon restart of Lyric or setting the Cloned Canvas option in the Preferences menu. This occurred if the Preview on its extra monitor had been maximized Lyric was last used. The problem has been corrected.

  • Interim versions of Lyric 6.14 were subject to problems with Video Capture, which have been corrected. This includes correction of previous problems with field-based Capture.

  • In earlier versions of Lyric, systems fitted with “Aja” type frame buffer devices were subject to a problem involving unwanted color shifts during Dissolves triggered by the Xfer control. This problem has been corrected.

  • Previous versions of Lyric wrongly reported that Quicktime .mov files were missing upon callup of a message to which the movie file was attached. This occurred regardless of the movie remaining in the proper directory, and available to the system for use in message playout. This problem has been corrected.

  • Interim versions of Lyric 6.14 were subject to problems with playout of 32-bit Quicktime files. This has been resolved.

  • In earlier releases of the Lyric Avid Plugin, calling up a message containing an image that had become unavailable caused callup of the entire message to fail, producing a white screen. This failure was correctable only by restarting Lyric and the Avid Plugin. The problem has been corrected.

  • In earlier versions of Lyric, field-based Flipbooks were subject to jittering on playout. This problem has been corrected.

  • Interim versions of Lyric 6.14 were subject to slow recall of messages containing Flipbooks built in earlier versions of Lyric. This problem has been corrected. me buffers: Decreasing an eFX board’s

  • Problems with the Flipbooks function’s use of excessive memory use have been resolved.

  • In earlier versions of Lyric, a Clip paused at Frame “0” would begin to play if the animation containing the clip was cancelled via the Escape key. This problem has been corrected.

  • In previous versions of Lyric the setting “Display All Frame Buffers” on the Config>Preferences>Windows menu, caused the disappearance of the message on inactive Frame Buffer windows when the action “Change” was used to toggle between Frame Buffers. This has been corrected

  • In previous versions of Lyric, inactive frame buffer windows would not correctly reappear in the user-set positions on the interface. This problem with User Profiles has been corrected. (Note that display of inactive frame buffer windows is enabled by the “Display All Frame Buffers” on the Config>Preferences>Windows menu.)

  • In previous versions of Lyric, when using a Template containing an image that was not embedded, attempts to update the image with a Template Data Message via MOS occasionally failed. The resulting error caused the original image to disappear, leaving only a black field instead of the Template’s original image. This problem has been corrected.

  • Interim versions of Lyric 6.14 were subject to a problem wherein a Mix Object in an Effect Out Transition might fail to execute, following a number of update in/out transitions. This has been corrected.

  • Interim versions of Lyric 6.14 were subject to a problem wherein eFX board-originated audio clips failed to play upon Effect In or Update In transitions. This has been corrected.

  • Various issues with Arabic text that is being dynamically updated have been corrected.

  • Lyric Standard only: In previous versions of the application, using the Change function following a Read executed via Intelligent Interface caused Lyric to crash. This problem has been corrected.

  • Previous problems with corrupted fonts or missing punctuation have been corrected.

  • In previous versions of Lyric, Pauses were ignored in Loops, if the Loop’s Start frame was set to the same frame as a Pause event. This problem has been corrected.

  • In both Lyric and Lyric Pro, imported movies are added to the Timeline at default animation length. In previous versions of the application, enabling movie Play to End option caused the movie Timeline to default to current transition length. This problem has been corrected.

  • In previous versions of Lyric, Preload Time settings were not honored when a Scene was played (in Lyric Standard) or replayed (in Lyric Pro). This problem has been corrected.

  • In interim versions of Lyric 6.14, the In mark for Looping a given scene was ignored. As a result, the Loop always began at Frame 0. This problem has been corrected.

  • In earlier versions of Lyric, the DBlink function did not work with Unicode Text. A plugin that corrects this problem has been created. The plugin’s filename is FileLink.ocx. Locate this file in the Lyric disk’s Utilities folder, a link to which is seen in the left pane of the Lyric disk’s opening screen. This file is NOT installed automatically during Lyric installation.

After Lyric installation, keep the Lyric CD in your system. Re-open or Explore the disc in Windows Explorer, and locate FileLink.ocx in the Utilities folder. Copy this plugin file into the Plugins folder of your new Lyric installation. To enable it, run Lyric and select About Lyric from the Help menu. Click LEIFlets, and select the FileLink button. Next, click the Handle DBLink checkbox. Once enabled, the plugin will automatically take over the database access anytime Lyric attempts a DBLink.

If you do not require Unicode support, Chyron recommends continued use of the DBlink’s native functionality.

  • Problems associated with synchronizing animations with eFX Objects (e.g. Clips, audio, video mix, etc.) on the Lyric Timeline have been corrected.

  • eFX Frame Buffers only: Previously, messages including an eFX clip were subject to a delay in the clip clearing from Output when a new message was called up. This problem has been corrected. Be sure that the eFX Plugin, Version 1.7, Build 174 or later is installed.

  • Image Quality and alignment issues related to full screen graphics being added to the scene background have been corrected.

  • Previous problems with the Playlist window’s size and appearance on the Lyric interface have been corrected.

  • Previous problems wherein Playlists could be overwritten when a new User Profile is loaded have been resolved.

  • Interim versions of Lyric 6.14 were subject to a problem wherein Right-to-Left text located to the right of the text box’s cursor were moved to a new row when a Carriage Return was entered. This problem has been corrected.

  • In previous versions of Lyric, replacing one or more eFX audio clips in a composition occasionally resulted in erratic audio playout. This problem has been corrected.

  • Previous problems associated with Clocks and Timers not starting on static pages (i.e. pages without keyframes) have been corrected.

  • In previous versions of Lyric, effects originating from the PCI-Squeezeback board could not be triggered via Intelligent Interface. This problem has been corrected.

  • In previous versions of Lyric, deletion of multiple messages from the Browser occasionally resulted in the application crashing. This problem has been corrected.

  • In previous versions of Lyric, MOS running orders were subject to problems wherein the Effect-in failed to update the graphic if Lyric’s Default Effect settings were “Effect In: None / Effect Out: None”. This problem has been corrected.

  • In previous versions of Lyric PRO, playing a message on the Canvas occasionally caused unwanted changes to the currently active Transition. This problem has been corrected.

  • Previous problems clearing a selected field in Template Data Messages, using Ctrl-Record have been resolved.

  • Lyric PRO only: In previous versions, objects could not be moved on the Canvas when an animation was playing to Output. Therefore, objects could be reoriented on the Canvas only after playout on Output was complete. This problem has been corrected.

  • Lyric PRO only: In previous versions, changing a message’s Scene Priority or name would make an unwanted change of the active Transition with no indication on the interface. This problem has been corrected.

  • Lyric Standard only: Previous problems clearing the output of Frame Buffer 2 have been resolved. The problem may occur in Lyric Pro in certain situations.

  • Previously, eFX clips with a Pause set at Frame 0 did not play until the Pause was released. This problem has been corrected.

  • In previous versions of Lyric, the Properties menu remained on the Lyric interface after a given Canvas was closed. Accessing some of the various Properties tabs would cause Lyric to crash. This problem has been corrected.

  • In previous versions of Lyric, unwanted vertical lines appeared during dissolve and swap operations executed on frame buffers set for SD resolutions. This problem has been corrected.

  • Previous versions of Lyric Standard occasionally failed to accept the user’s initial entry in a Playlist. This also resulted in occasional crashes. This has been corrected.

  • Previous problems with the release of GPI Pauses have been corrected.

  • In previous versions of Lyric, Effects configured through the Playlist did not work correctly, occasionally causing message playout to freeze. This problem has been corrected.

  • Previous problems with the Center Last pause option for a Crawl have been resolved.

  • In previous versions of Lyric, 2D- and 3D text did not appear in the first attempt at play-to-output after Lyric was launched. This problem has been corrected.

  • Previous versions of Lyric were subject to crashing after the playlist executed a ‘Take’ followed by use of the Erase function. This problem has been corrected.

  • The amount of script that can be entered for a Macro has been increased.

  • In previous versions of Lyric PRO, import of multiple nodes from an .lno (Lyric Node Object) were added to the wrong transition. This problem has been corrected.

  • Some earlier versions of Lyric did not play imported .WAV audio files. This problem has been corrected with Lyric 6.1 and subsequent releases.

  • Lyric 6.5 offers improved recall time of some types of messages.

  • In previous standard versions of Lyric, a scene “Xfer”-ed (Transferred) off of Output occasionally appeared again and executed an unwanted Effect-Out following the use of Alt-Erase (Ctrl + Alt + Q). This problem has been corrected.

  • Previous versions of Lyric failed to apply Full Scene Antialiasing after a User Profile was loaded. This problem has been corrected.

  • Wavefront object (.obj file format) import has been improved.

  • In previous versions of Lyric, changing the Alpha value for one surface of a 3D object mapped with a bitmap image caused the desired texture to disappear. This problem has been corrected.

  • In previous versions of Lyric PRO, Intelligent Interface prematurely transmitted the V\6 command’s acknowledgment of ‘animation playout complete’. This problem has been corrected.

  • Earlier problems with incomplete execution of Default Effects have been corrected.

  • Previously, invalid Channel designations in Playlists could not be corrected, re- saved and later recalled successfully. This problem has been corrected.

  • Previous problems with the appearance and scrolling behavior of the Surface Properties window have been corrected.

  • In previous versions of Lyric PRO, adding a node to a Transition caused the animation to rewind; this unwanted result was not readily apparent on the Lyric interface. This problem has been corrected.

  • In previous versions of Lyric, applying an image to the surfaces of a 3D object occasionally failed to affect all of the object’s surfaces. This problem has been corrected.

  • In previous versions of Lyric, using Shift Enter to insert a carriage-return into an existing multi-row 2D text resulted in incorrect spacing in the text thus moved onto the next line. This problem has been corrected.

  • In previous versions of Lyric PRO, errors occurred when saving a portion of an animation message containing multiple transitions. This has been corrected.

  • In previous versions of Lyric, using “Shift and Click” to select multiple Scene Graph elements caused the Group button to gray out/become unavailable. This problem has been corrected.

  • The presence of the Leitch Media Converter software in previous versions of Lyric occasionally prevented Lyric from running. This has been corrected.

  • Previous versions of Lyric crashed after updating an image whose alpha-border is turned off. This problem has been corrected.

Macros/LEIF Bug Fixes

  • Previous versions of Lyric were unable to enable the “Use 1:1 Pixel Aspect for Graphics Import” setting using LEIF-created Macros. This problem has been corrected. (On the Lyric interface, the Use 1:1 Pixel Aspect for Graphics Import option is found on the Canvas Resolution menu.)

  • When certain plugins issued a call to RestoreCanvas (from scene proxy), an unwanted change in Lyric Canvas resolution occurred. This problem has been corrected.

  • Previous problems with the center values in Transitions when including a Group within another Group have been resolved.

Known Issues

These issues will be addressed in future Lyric releases.

  • Auto-standards conversion of a Lyric message from one frame-rate to another may delete keyframes between adjacent frames of the animation.

  • When dynamically updating mixed LTR/RTL text, RTL input mode may need to be enabled.

  • When changing an eFX board’s output from 1080i to PAL, the signal that appears at Video Out is Mix Key 1, at maximum level. This error is not reflected in the Internal Router Preview input setting seen on the user interface, which erroneously indicates “Mix Key 1 (601)”. The situation may be corrected by the action of selecting Mix Key 1 (601). No problems have been noted when changing the board’s output from PAL to 1080i.

  • Lyric may freeze upon change of the system’s keyboard input method.

  • In Lyric Version 6.5, dragging a message’s entry in the Output branch of the Scene Tree to the Canvas branch of the Scene Tree may produce an undesirable result. Chyron strongly recommends that this action be avoided.

  • Lyric PRO only: eFX objects in an Effect In transition may fire inadvertently from the Update In transition when a message is replaced on Output.

  • Compositions containing text designated for Continuous Update may disappear from the Canvas, but fail to appear on Output when played to Air.

  • Corrupted output may result when an ALT+T template update is performed on a 2D textbox with template fields marked for Continuous Update.

  • In systems using Frame Buffer devices set to different video output standards, the Timeline for each message playing may not display correct values. This problem is limited to the appearance of the Timeline and the messages’ playback on the Canvas, not on Output.

  • Lyric does not currently support Clone Canvas Preview operation in NVIDIA's DualView mode when using iSQ. DualView monitor operation causes Lyric to crash when iSQ is controlling Lyric.

  • In Lyric 6.5, Video Capture capability is disabled for CODI-based frame buffer devices, and is limited to systems using eFX boards.

  • Video Capture: If Lyric is closed and restarted, the user must open the Config>Hardware Configuration>Setup Board Configuration menu and set the Video In Layer option to ON in the settings for the board performing Video Capture operations.

  • In configurations where Lyric’s eFX Plugin 180 is installed on a system using the Leitch 97 driver, attention should be paid to the Transcoding setting on the Advanced “Setup HyperX eFX Config” menu. Do NOT select the Quality checkbox. (Config > Hardware > Setup Board Configuration > Advanced > Setup HyperX eFX Config.)

  • Lyric writes and stores files with the .reg extension when a Lyric User Profile is created. Outside of Lyric, Windows regards these as ordinary Windows Registry files. DO NOT open Lyric User Profile .reg files outside of Lyric (for instance by double-clicking them in Windows Explorer). This type of action may have an adverse effect on your system’s hardware. Lyric User Profile files should only be opened with the “Load User Profile” selection near the bottom of the Config menu.

  • Recalling a Lyric message containing an unembedded 3D object fails if the 3D object has been moved from its source location. As expected, retrieval of the 3D object fails. However, reproduction of the entire message fails completely, even if other message assets are intact and available. Note that embedding a 3D object in a message DOES WORK as always, since the data comprising the 3D object is included in the stored Lyric message.

  • Lyric PRO only: Priority assignments that are set on the Transition Properties page may not be applied correctly if all of the messages on Output are not saved with the same Rendering mode (as set in messages’ Internal Properties, accessed via the Set Message Properties selection on the Tools menu).

  • Continuous update of a template will operate only if there is an animation on the scene.

  • Lyric PRO requires that a Scene Tree window be open whenever frame buffer devices/Outputs will be used in Air/production situations.

  • CAMIO: The Chyron Asset Browser’s Preview facility may not function properly unless hardware acceleration is enabled. This will vary with the system’s VGA resources.

  • Lyric non-PRO and Lyric PRO with non-PRO messages work properly with iSQ. However, when using Lyric PRO with iSQ and PRO messages, the playlist will not advance in iSQ. The playlist item will remain yellow and not turn green unless the user presses the Stop key; when the next line is reached, it remains yellow.

  • Using Lyric PRO with a MOS Playlist and an Effect (such as Dissolve) causes Lyric to crash. The machine running Lyric must be reset from the front panel; using CTRL+ALT+DEL will not work. After a cold reset is performed in this manner, the system will halt at a DOS prompt, exhibiting an NMI system error. At this point another cold reset must be performed.

  • Lyric does not currently support Cloned Canvas Preview operation in DualView mode when using iSQ. DualView monitor operation causes Lyric to crash when iSQ is controlling Lyric.

  • The Surface properties page's Mipmap filter option caused some images to disappear when certain settings were selected. This has been corrected for the time being by limiting Mipmap settings to Default.

  • A Lyric exception may occur when the Quarterback plugin attempts to generate a Thumbnail for an .AVI file.

  • On HyperX2 and LEX2 systems, changing the keyboard layout may occasionally cause Lyric to stop responding.

  • Occasionally, the scene on-air does change after the Live button is pressed, if “Return to Canvas” is enabled in Preferences.

  • Lyric PRO only: With the Live button turned on, after playout of a given message, “reading up” the next desired message may not result in sending the next desired message to Output. Two workarounds may be used to circumvent this problem:

    • On the Config>Preferences menu, select the “CG Preferences” tab. Set Completion Mode to Delete instead of “Return to Canvas”.

    • Re-select the just-read scene after the scene on Output returns to the Canvas.

Other Workarounds and Suggestions

  • Using Update-In with .avi or .mov Movie Files: As stated in Bug Fixes, a movie used in an Update-In should not have an animation, or motion will be apparent when the Update-In occurs. Any animation desired should be applied to the group in which the movie resides.

  • Intelligent Interface: “Support Embedded Commands” must be disabled in the Config > Intelligent Interface menu in order for certain symbols (such as the British Pound symbol, '£') to be processed properly.

  • If a faint line is observed at the top of a Mask, the problem may be remedied by setting the Rendering Mode to Fast on the message’s Internal Properties menu. This is available via the “Set Message Properties” selection on the Tools menu.

  • In the Surface Properties menu’s “Minify” dropdown, Bilinear or Trilinear filtering is recommended for images and textures that have been scaled down.

  • Full Screen Antialiasing should be enabled when 3D characters or objects are present in a Lyric composition.

  • As noted in Known Issues, DO NOT drag entries from the Output branch of the Scene Tree to the Canvas branch of the Scene Tree.


What's New in Lyric 6.5 and Lyric PRO?

Welcome to Lyric 6.5 and Lyric PRO

Introduction

Lyric is Chyron’s powerful, award-winning graphics application, featuring HD/SD, 2D/3D animation creation and real-time playout, especially suited to live broadcast. The Lyric PRO option adds a host of advanced features, including persistent objects, continuous rendering, Interactive Messages, hierarchical animations, multiple timelines and much more. Lyric is supported by Chyron’s CG/graphics system line, and is supplied standard with those systems. The Lyric PRO option is supported on select Chyron systems; for more information, contact Chyron Customer Support. For offline creation capability, Lyric Offline and Lyric Offline with the Lyric PRO option can run on a PC.

Lyric 6.5 and the Lyric PRO option require the presence of a Chyron-supplied dongle in the system in order to run.

  • If a brand new Chyron system has been purchased, it is not necessary to install Lyric. If the Lyric PRO option has also been purchased, it will have been installed as well.

  • To upgrade a system without a dongle to Lyric 6.5, please contact Customer Service at 631 - 845 - 2132 to arrange for shipment of a dongle kit. Note that a valid Lyric SMA must be in effect in order to upgrade to Lyric 6.5.

  • If Lyric PRO is purchased for a Chyron system that is already fitted with a Lyric dongle, the dongle will require reprogramming in order to run the Lyric PRO option. Note that a valid Lyric SMA must be in effect in order to purchase the Lyric PRO option. Please contact Customer Service for details.

  • If the Lyric PRO option is purchased for a Chyron system that is not fitted with a Lyric dongle, a dongle kit with installation instructions will be shipped. DO NOT LOSE THIS DEVICE. Note that a valid Lyric SMA must be in force in order to purchase the Lyric PRO option.

  • Lyric 6.5 Offline and the Lyric PRO option include a dongle kit; no reprogramming is necessary unless upgrading from an earlier version. Please see additional information specific to Lyric Offline and Lyric Offline with the Lyric PRO option later in this document.

Please contact Customer Service about any questions regarding dongles.

Online Help System

As of Lyric Version 6.5, the Online Help system file (Lyric.chm) is no longer included in the Lyric installation. The file may be found on the Lyric installation CD in the Lyric folder. The file can also be accessed from the Lyric Help link on the left navigation pane of the installation CD’s home page.

After Lyric installation is complete, copy the Lyric.chm file from the Lyric CD to the directory on your system containing the new Lyric.exe application file (currently, C:\Program Files\Chyron\Lyric 6.5; the name of the directory will change with subsequent versions). If that directory already contains a Lyric.chm file, allow the new .chm file to overwrite the old one. After placement in the proper directory, Lyric Help can be accessed from Lyric’s familiar Help menu.

Lyric.chm can also be copied to a desktop or laptop for offline viewing and printing. Internet Explorer is required to open the file.

User documentation for Lyric can be accessed by clicking the Help entry on the Menu Bar. Context-sensitive Help for most parts of the user interface can be accessed by pressing the F1 key or by clicking the [image] button in the Windows toolbar in Lyric. Downloadable updates to Lyric's Online Help and release notes can be accessed from http://www.chyron.com/support/downloads/manuals.aspx.

New Features in This Version of Lyric/Lyric PRO

Lyric 6.5 adds features to, and corrects issues found in, Lyric Version 6.14. This Online Help contains the most up-to-date information on the product. However, as mentioned above, the Online Help file is constantly being updated and may be downloaded from the Chyron website at http://www.chyron.com/support/downloads/manuals.aspx.

Transitions and Events (Lyric PRO only)

In previous versions of Lyric, multiple events could not be sustained by a single Transition. With a given Transition (and the events it contained) running, triggering a new Transition would replace the events in the first Transition, effectively canceling it. This limitation extended to manual triggering of a new Transition, as well as Transitions triggering subsequent Transitions.

With Lyric version 6.5, event nodes are no longer limited to one Transition. Therefore, a Transition currently running can continue undisturbed when a second (or third or fourth, etc.) Transition is triggered, either manually or by a keyframe Activation. All of a message's Transitions can thus run simultaneously. The number of Transitions that can run is theoretically infinite, but compositions using this feature should be carefully previewed.

Nodes common to multiple transitions will only execute within a single transition, however. A node cannot simultaneously execute multiple transitions. The interface change is seen on the Events Properties page, where new events may be added to the Event Nodes list box.

Clone Canvas Window

The Lyric Canvas as it appears on the Windows desktop can now be “cloned” and displayed on an analog TV monitor, creating an extra Preview of activity on the current Canvas. This feature is configured via a new option on the Config > Preferences menu, “Windows” tab.

Important settings must also be made on the NVIDIA Control Panel that governs the system’s graphics card. The entire configuration procedure is detailed in Preferences > Windows Preference > Clone Canvas Window.

Support for PCI-Express GPI Device

Support has been added for optional PCI-Express board-based GPI solution (for HyperX2 systems), as well a USB-connected external hardware option.

Other Important Changes to Lyric

Changes, Bug Fixes and Known Issues apply to both Lyric PRO and Lyric Standard, unless otherwise specified.

  • Changes to the colors applied to 2D objects (imported bitmaps) may now be animated.

  • Online Help regarding Lyric's Video Capture function has been updated

  • Lyric PRO only: The Transition Properties page now includes a checkbox option allowing the user to add a node at the current frame in the animation.

  • An “Ends With” option has been added to the Events Properties page for use with External Activation Transitions.

  • Lyric PRO only: An operator working in Playout Mode may now enable or disable Visibility of Groups on the Timeline. Refer to the topic Playout/Compose Mode.

  • In Lyric Versions 6.5 and PRO, Lyric’s sole Full-Screen Antialiasing control has been relocated to the Canvas Resolution menu (Config > Canvas Resolution). Antialiasing control over individual objects remains in the Rendering Properties menu. This change facilitates the application of Antialiasing on a per-Frame Buffer basis.

  • Lyric PRO only: On the Preferences > Windows tab, options have been added for treating the Scene Tree and Macros as Basic Windows.

  • On Playlists, the Speed column is now unlabelled. Effect “Speed” functionality is unaffected, and is set by other means, as explained in Lyric’s Online Help.

  • In the Timeline, Scene Graph and Keyframe Graph, as well as Message Properties menus, Undo and Redo functions have been improved. Moving, deleting and inserting keyframes can now be accomplished without unwanted changes to other attributes of the message.

  • On the Surface Properties menu, the Blur slider is now a spin-edit control.

  • On the 3D Object Template dialog, a Browse button has been added for use with the 3D object’s Filename field. This allows the Lyric user to replace the current 3D object with a new one, retaining the original object’s keyframes and other attributes. Surface attributes such as textures will be maintained only if the “Maintain Surfaces on Replace” option is selected.

  • Users may now decide whether to include ALL Transitions or only the currently selected Transition when exporting to an .lno (Lyric Node Object) file. This choice is available via a checkbox on the CG Preferences tab of the Config > Preferences panel.

  • The familiar Global Keyframe Adjustment now affects all the Transitions in a given message.

  • An option has been added to the eFX Video Mix panel providing a choice between setting values for CCIR601 or Full Range Key.

  • In previous versions of Lyric, Quicktime (.mov) files with Alpha information did not export correctly. Checkboxes allowing the user to invert Alpha information have been added to the Save As and Import Movie dialogs.

  • Support for the export of interlaced Quicktime files has been added.

  • On the Preferences > Windows menu, an option has been added for disabling mouse position/Canvas coordinates updates to the Status Bar when an animation is playing on Output.

  • In Playlists, an automatic “Apply” is now carried out if a column within multiple selected rows is changed. For example, if a user selects the “FB” column in each entry, and changes the entry to “1”, the Frame Buffer designations in all of the selected rows will change to that value.

  • In the Scene Graph, a lock symbol has been added for any object that is marked with "Position Lock" in the right click menu.

  • On the Tools menu, the option Enable Modal Suppression has been added. With this option selected, Lyric prompts requiring input from the user are prevented from interfering with an operation in progress. Prompts for important user inputs may present a hazard to proper execution of a Lyric message; therefore, notifications of suppressed prompts appears prominently on the Lyric Status Bar.

  • Lyric PRO only: On the Transitions Properties page, the Prevent Reactivation option has been added as a checkbox. If this option is enabled when the Transition is active, re-triggering the Transition will have no effect.

  • Lyric PRO only: The Clock/Timer Properties page now refers to the Canvas scene if the selected scene on Output does not contain any Clocks or Timers. (If the selected scene on Output does contain Clocks or Timers, it is currently necessary for the page to refer to the Output scene such that action hotkeys work properly.)

  • In the 2D Text Template Properties dialog, the newly added [image] button indicates and sets the current keyboard layout. This control may be used to select the current local language as the default input for Templates. When clicked, the button will display the ISO designation for the selected language, such as English ( [image]) or Russian ( [image]). With an input language selected for a Template, keyboard input in that language will be temporarily activated when the template is updated via Intelligent Interface. If no input language is specified, the Template will be updated using current input language.

  • Lyric PRO only: The Transition Properties page's Loop option overrides the Loop option on the Movie Properties import dialog box (this type of Loop is known as an “internal” Loop).

  • However, with the release of Lyric 6.5, a change has been made to the functionality of the Transition Properties page's Hold Last Frame option. In previous versions of Lyric, a Movie whose internal loop was enabled would display the movie’s last frame until the Lyric animation containing the Movie ended.

  • With the release of Lyric 6.5, when only the Hold Last Frame option is enabled, an imported Movie with internal loop enabled will continue to play (and loop according to internal loop settings) past its length on the timeline, until the animation ends. The Transition Properties page’s Loop setting still overrides internal looping, as always.

  • A new keyboard accelerator has been added, allowing the user to clear the animation and associated clip from the current output channel. Use the key combination Shift CNTL ALT Q.

About Lyric, Lyric PRO, Driver and Plugin Installation

Overview

New systems are delivered with Lyric or Lyric PRO installed. An upgrade to Lyric or Lyric PRO, or newly-purchased Lyric PRO, must be installed. Before installation of Lyric, Lyric PRO, or a plugin, close any open instance of Lyric, and then wait for thirty seconds. If, after the Lyric or Lyric PRO or plugin installation, an error message appears, indicating the presence of a duplicate LEIFLet, the system must be rebooted.

Visit the Chyron web site periodically for product-specific information. Updated Lyric, Lyric PRO, plugins and drivers are posted at http://www.chyron.com/support/downloads/software.aspx.

Lyric/Lyric PRO

To install Lyric or Lyric PRO:

  1. Insert the Lyric or Lyric PRO disk into the CD drive of the system. A page with links to the Lyric install program, documentation and utilities should automatically open. If it does not open, then use Windows® Explorer to view the files on the CD, and click on Setup.html.

  2. In the left-hand navigation pane, click the Install link, and follow the instructions to complete Lyric or Lyric PRO installation.

  3. The following drivers must be installed for online Lyric or Lyric PRO operation on a Chyron graphics system.

    • eFX Plugin: Necessary for systems with eFX frame buffer(s) and/or eFX clip player(s).

    • nVidia Driver: Necessary for all systems.

    • CMix Plugin: Necessary only for systems using a CMix SD Mixer.

Please refer to the information in the following sections for information on installing the plugins and drivers.

A General Note on Downloadable Updates and Drivers

Downloadable updates to Lyric software and drivers are available at http://www.chyron.com/support/downloads/software.aspx. Do not change the dropdown menu (which reads ‘All Products’ at the top of the page. Locate System Drivers on the page and click the Related Files link.

Note that to access download links to manuals and software, you must be a current Lyric SMA customer and be a registered user on the Chyron web site.

eFX Plugin

A system with an eFX frame buffer(s) and/or an eFX clip player option(s) must have eFX Plugin Version 1.7, Build 180 installed. If you have an older system with eFX boards, do not uninstall the existing driver; allow the new driver to install over it.

The current eFX plugin can be found via the Drivers, Utilities, 3D Library link on the installation disk's left-hand navigation pane, or at http://www.chyron.com/support/downloads/software.aspx

eFX driver installation defaults to Custom, which leaves the eFX Driver checkbox cleared (unchecked). Be sure to click (select) this checkbox for a full installation. During eFX plugin installation, Matrox codecs will also install. These are necessary for the Matrox-to-LTV file conversion utility.

When installing the eFX drivers, a prompt is displayed with the following message:

Answer No to the question “Install Audio Drivers” to prevent Frame Buffer reversal in Lyric

Click OK. A prompt will be displayed is following request:

Do you want to install audio driver?

Click No. This prevents the enumeration of eFX boards from being reversed in Lyric. Note that the intentional omission of these audio drivers does NOT have a negative effect on Lyric and system operation, and in fact, prevents Windows® system sounds from accidental output via the eFX board(s).

nVidia® Drivers

On HyperX2 systems, NVIDIA Forceware release ForceWare version 158.22 should be installed. This is the NVIDIA driver tested and approved by Chyron at the time of this writing, and this recommendation supersedes the driver cited in previous versions of Lyric's Online Help or "paper" Release Notes (Chyron Publication No. 2A02249 Revision N). The correct driver is available on the Lyric 6.5 installation disk.

For all other systems, NVIDIA ForceWare version 94.24 should be installed. On existing Chyron systems other than HyperX2, the GPU driver should be updated to this version. As above, this recommendation supersedes the driver cited in previous version of this Online Help and the Lyric Release Notes.

The drivers can be found in the Utilities\VGA Drivers\nVIDIA folder on the installation disk, or at http://www.chyron.com/support/downloads/software.aspx

CMix Plugin (SD Only)

Where a Chyron CMix is in use with the system, a CMix Plugin must be installed. The current plugin is CMIX build 123, and may be found in the CMix folder on the installation disk or at: http://www.chyron.com/support/downloads/software.aspx.

GPI/O Installation and Support

Notes

  • If your system has a separate GPI I/O board, please refer to the Drivers, Utilities, 3D Library link on the Lyric installation disk for important information.

  • Regarding GPIs and Lyric 6.5! If upgrading to Lyric 6.5 on a system with GPIs, please refer to the Utilities page of the Lyric installation disk for important information. See Installation instructions for the PCI Express GPI/O device or Installation instructions for PCI and external USB GPI/O options.

  • Regarding CODI Frame Buffer-Based Systems and Systems Containing a CODI GPI I/O Board: A GPI I/O board driver installer is not necessary for MicroX Digital SD, MicroX Analog SD and other CODI frame buffer-based systems. In addition, systems that contain CODI-based GPI I/O boards do not require driver installation. GPIs are resident on CODI boards and do not require separate driver installation.

Additional Drivers

Drivers may be present for a variety of GPI hardware options. As above, access the Drivers, Utilities, 3D Library link on the installation disk's left-hand navigation pane.


Bug Fixes and Known Issues

Bug Fixes, Known Issues and Workarounds

The Lyric Release Notes PDF (Chyron Document Number 2A02249) on your installation disk contains the most up-to-date Known Issues and Bug Fixes. Lyric Online Help is continuously updated for download.

Bug Fixes

  • Previous problems in the eFX plugins operation with ChannelBox have been resolved.

  • Lyric has been subject to intermittent problems involving system freezes with looping eFX clips. These problems have been resolved.

  • Lyric has been subject to problems wherein eFX clips in a playlist fail to play, or play without audio. These problems have been resolved.

  • Recent intermediate versions of Lyric have been subject to problems wherein the action of restoring the Video Mix panel’s Factory Preset has resulted in software crashes. This problem has been resolved.

  • In recent intermediate versions of Lyric, playing a message containing a clip to air, followed by a second clip-containing message, caused the first messages clip to remain frozen on-air upon message completion, while the succeeding message appeared, without its own clip. This problem has been resolved.

  • Previous problems with erratic playout of 720p-standard clips have been resolved.

  • Previous problems with unwanted recue and reload of eFX clips have been resolved.

  • Previous problems using Selective Recording (CTRL+RECORD) with eFX clips have been resolved.

  • Recent intermediate versions of Lyric occasionally failed to include eFX clips or movie files (.mov, .avi) in playout of otherwise properly constructed and saved messages. This problem has been remedied.

  • Previous problems with Dissolve effects producing keying problems on eFX boards in HD mode have been resolved.

  • In earlier versions of Lyric, a Default Effect-out left an un-updated page on eFX frame buffers if an animation was cancelled. This problem has been corrected.

  • In earlier versions of Lyric Standard, animations failed to clear upon static transfers. This problem has been corrected.

  • In earlier versions of Lyric Pro, non-persistent static messages stacked up on Output. This problem has been corrected.

  • Previous versions of Lyric failed to recall messages containing a GPI Out event. This problem has been corrected.

  • Installation of previous versions of Lyric 6.5 RU 1 on ”clean” systems produced an ltvddr.dll error. This problem has been corrected insofar as the ltvddr.dll is no longer loaded on offline systems (not licensed for online use).

  • Fixed problem in which Movie Slide Bar is one frame past accepted end of clip.

  • Previous versions of Lyric intermittentlycrashed during iSQ operation. This problem has been corrected.

  • In previous versions of Lyric, the choice of Linear or Nearest Magnify Filter settings in Surface Properties was not saved for imported Movies. This problem has been corrected.

  • On Chyron keyboards, the expected function of the key combination Shift + Alt + Erase is erasure of the currently active Frame Buffer’s output. (On standard keyboards, the equivalent combination is Shift + Alt + Cntrl +Q.) In recent versions of Lyric, using these keyboard accelerators may have had the unwanted effect of erasing the output of all Frame Buffers’ outputs. This problem has been corrected.

  • In previous versions of Lyric, the appearance of a Movie Height Warning dialog box occasionally caused the imported QuickTime movie to appear with improper colors. This problem has been corrected.

  • The performance of QuickTime movie playout in Lyric compositions has been improved:

  • The likelihood of stream errors has been greatly reduced.

  • Moire patterns occasionally affecting QuickTime have been addressed by the addition of Field Filtering and Odd Field Dominant options to the Movie Properties dialog box.

  • In the Config > Canvas Resolution menu, the Pixel Aspect value ascribed to the D1 625 standard has been amended to appropriately display the figures ”1.067”, and not ”1.0670”. Also, Lyric now offers the correct Pixel Aspect ratio of 1.422 for the 625-line, 16:9 format.

  • In previous versions of Lyric, the Streaming Preload setting was disabled on offline systems, (i.e., those without Frame Buffer hardware). This control has been enabled in all versions of Lyric, for use on offline machines, as well online systems. The Streaming Preload setting appears in Config > Preferences > Animation Settings.

  • Previous versions of Lyric failed to retrieve eFX clips in compositions initially saved with a given message number, and then saved as a different message number. This problem has been corrected.

  • Scene focus will now automatically be set to the active Canvas scene whenever an object is added or imported.

  • When a message is playing to Output on a given Frame Buffer, that Frame Buffer’s Video Output Standard dropdown menu is unavailable in the Config > Hardware > Setup Board Configuration menu..

  • In previous versions of Lyric, the Clip Control Panel’s Clear button did not work consistently to delete a loaded clip file from output. This problem has been corrected.

  • Continuous Update:

  • Previous problems with Unicode-enabled Intelligent Interface Continuous Update ”U” commands have been resolved.

  • Previous problems wherein Continuous Update failed to update content in the inactive Frame Buffer have been resolved.

  • Intelligent Interface:

  • Previous versions of Lyric Standard: Intelligent Interface returned an inappropriate 40b3 ”Message Not Found” message in response to V\5\13 commands, in situations where the target Frame Buffer was currently playing. The error message has been amended to a more suitable 8011 ”Frame buffer in use by another task”response.

  • In previous versions of Lyric, the Y\<D5><CF><FE><Frame Buffer>\\<CR><LF> and Y\<D5><FE><Frame Buffer>\\<CR><LF> commands, both dedicated to clearing Frame Buffers and stopping Clip playback, did not work. This problem has been corrected. (See Lyric’s Online Help for more information on the distinction between these two commands.)

  • eFX Plugin 192:

  • This build of the eFX plugin corrects a previous problem wherein eFX clips unexpectedly stopped playing.

  • This build of the eFX plugin works properly with ISQ 1.3.4 Build 2015 to trigger clip playout on a given eFX device while attempting to clear the Frame Buffer of another eFX device.

  • This build of the eFX plugin corrects a occasional problem with the audio portion of eFX clip playout.

  • This build of the eFX plugin corrects a previous problem with eFX devices operating at 720p playing clips to output.

  • In previous versions of Lyric, setting the Streaming Preload value too high caused occasional crashes. With the current release, Streaming Preload errors now cause the display of a warning in Lyric’s Status Bar; the animation is aborted, but Lyric continues to operate.

  • In previous versions of Lyric, use of the Lyric Node Object Export function (File > Export Selected Nodes) turned on de-selected items in the Scene Graph’s Default Transition. This problem has been corrected.

  • In previous versions of Lyric, using Intelligent Interface’s V\5\3 command with Autoplay enabled caused the Scene Graph and Timeline to disappear from the Lyric interface. This problem has been resolved.

  • In previous versions of Lyric, on systems using Frame Buffer devices set to different video output standards, the Timeline for each message playing sometimes failed to display correct values. This problem has been corrected.

  • In earlier versions of Lyric, using Update-In in a message containing a Movie caused that Movie to start in the middle. This problem has been resolved. However, a movie used in an Update-In should not have an animation, or motion will be apparent when the Update-In occurs. Any animation desired should be applied to the group in which the movie resides.

  • Previous versions of Lyric wrongly reported that Quicktime .mov files were missing upon callup of a message to which the movie file was attached. This occurred regardless of the movie remaining in the proper directory, and available to the system for use in message playout. This problem has been corrected.

  • In earlier releases of the Lyric Avid Plugin, calling up a message containing an image that had become unavailable caused callup of the entire message to fail, producing a white screen. This failure was correctable only by restarting Lyric and the Avid Plugin. The problem has been corrected.

  • In earlier versions of Lyric, field-based Flipbooks were subject to jittering on playout. This problem has been corrected.

  • Problems with the Flipbooks function’s use of excessive memory use have been resolved.

  • In earlier versions of Lyric, an Internal Clip paused at Frame ”0” would begin to play if the animation containing the clip was cancelled via the Escape key. This problem has been corrected.

  • In previous versions of Lyric the setting ”Display All Frame Buffers” on the Config>Preferences>Windows menu, caused the disappearance of the message on inactive Frame Buffer windows when the action ”Change” was used to toggle between Frame Buffers. This has been corrected

  • In previous versions of Lyric, inactive frame buffer windows would not correctly reappear in the user-set positions on the interface. This problem with User Profiles has been corrected. (Note that display of inactive frame buffer windows is enabled by the ”Display All Frame Buffers” on the Config>Preferences>Windows menu.)

  • Various issues with Arabic text that is being dynamically updated have been corrected. These include resolution of a previous problem in which the \trans tag did not work with Arabic text.

  • Lyric Standard only: In previous versions of the application, using the Change function following a Read executed via Intelligent Interface caused Lyric to crash. This problem has been corrected.

  • In previous versions of Lyric, Pauses were ignored in Loops, if the Loop’s Start frame was set to the same frame as a Pause event. This problem has been corrected.

  • In both Lyric and Lyric Pro, imported movies are added to the Timeline at default animation length. In previous versions of the application, enabling movie Play to End option caused the movie timeline to default to current transition length. This problem has been corrected.

  • In previous versions of Lyric, Preload Time settings were not honored when a Scene was played (in Lyric Standard) or replayed (in Lyric Pro). This problem has been corrected.

  • In earlier versions of Lyric, the DBlink function did not work with Unicode Text. A plugin that corrects this problem has been created. The plugin’s filename is FileLink.ocx. Locate this file in the Lyric disk’s Utilities folder, a link to which is seen in the left pane of the Lyric disk’s opening screen. This file is NOT installed automatically during Lyric installation.

  • After Lyric installation, keep the Lyric CD in your system. Re-open or Explore the disc in Windows Explorer, and locate FileLink.ocx in the Utilities folder. Copy this plugin file into the Plugins folder of your new Lyric installation. To enable it, run Lyric and select About Lyric from the Help menu. Click LEIFlets, and select the FileLink [image] button. Next, click the Handle DBLink checkbox. Once enabled, the plugin will automatically take over the database access anytime Lyric attempts a DBLink.

  • If you do not require Unicode support, Chyron recommends continued use of the DBlink’s native functionality.

  • Problems associated with synchronizing animations with eFX Objects (e.g. Clips, audio, video mix, etc.) on the Lyric timeline have been corrected.

  • Image Quality and alignment issues related to full screen graphics being added to the scene background have been corrected.

  • In previous versions of Lyric, replacing one or more eFX audio clips in a composition occasionally resulted in erratic audio playout. This problem has been corrected.

  • Previously, eFX clips with a Pause set at Frame 0 did not play until the Pause was released. This problem has been corrected.

  • In previous versions of Lyric, unwanted vertical lines appeared during dissolve and swap operations executed on frame buffers set for SD resolutions. This problem has been corrected.

  • In previous versions of Lyric PRO, import of multiple nodes from an .lno (Lyric Node Object) were added to the wrong transition. This problem has been corrected.

  • Lyric 6.5 RU 1 offers improved recall time of some types of messages.

  • In previous standard versions of Lyric, a scene ”Xfer”-ed (Transferred) off of Output occasionally appeared again and executed an unwanted Effect-Out following the use of Alt-Erase (Ctrl + Alt + Q). This problem has been corrected.

  • Previous versions of Lyric failed to apply Full Scene Antialiasing after a User Profile was loaded. This problem has been corrected.

  • In previous versions of Lyric, changing the Alpha value for one surface of a 3D object mapped with a bitmap image caused the desired texture to disappear. This problem has been corrected.

  • In previous versions of Lyric PRO, Intelligent Interface prematurely transmitted the V\6 command’s acknowledgment of ’animation playout complete’. This problem has been corrected.

  • In previous versions of Lyric, applying an image to the surfaces of a 3D object occasionally failed to affect all of the object’s surfaces. This problem has been corrected.

  • In previous versions of Lyric, using Shift Enter to insert a carriage-return into an existing multi-row 2D text resulted in incorrect spacing in the text thus moved onto the next line. This problem has been corrected.

  • In previous versions of Lyric PRO, errors occurred when saving a portion of an animation message containing multiple transitions. This has been corrected.

  • In previous versions of Lyric, using ”Shift and Click” to select multiple Scene Graph elements caused the Group button to gray out/become unavailable. This problem has been corrected.

  • Previous versions of Lyric crashed after updating an image whose alpha-border is turned off. This problem has been corrected.

Known Issues

  • The action CTRL+ALT+Q, intended to clear outputs, may interfere with subsequent clip playout .

  • When Auto Play On Read (CONFIG>ANIMATION SETTINGS) is selected, Effect Out does not work .

  • The problem in which installation of previous versions of Lyric 6.5 RU 1 on ”clean” systems produced an ltvddr.dll error has been fixed, as noted in the Bug Fix listed above. However, this problem may persist on systems in which an outdated Leitch Media Converter is present.

  • Updating a Browser Thumbnail while an animation plays to output in the same Frame Buffer may cause Lyric to freeze. This result can also occur upon Message Record if the preference File Save Adds to Browser is enabled in the menu Config > Preferences > Browser.

  • Lyric running on eFX board-equipped systems may crash if a large number of Template Updates are performed. Installation of NVIDIA Driver 158.22 should minimize or remedy this problem.

  • Changing the system’s text-input language (and hence the keyboard layout) occasionally causes Lyric to freeze.

  • As noted above among changes to the User Interface, the Render Last option has been removed from the Config > Configure Default Effects dialog box.

  • When a single file is applied as a texture source to multiple objects in animations playing on different output channels, playout quality may be compromised. A simple workaround may be accomplished by making a copy of the texture-source file, and renaming it or saving it to a new location. Animation(s) using the same texture may then be altered to use the copied/renamed file as one of the required texture-sources.

  • Live incoming video captured on an eFX board may appear with decreased luminance when used as a Background image on the Lyric Canvas.

  • QuickTime movies in messages created prior to Lyric Version 6.14 may be subject to a vertical shift when recalled in later versions of Lyric.

  • Advanced Image Effects may not play back properly in Transitions other than the Default. This will occur if the Timeline length of the object in the Default transition is shorter than those in other Transitions.

  • Problems with the Playlist’s Enable Preview and Auto Preview options have caused these features to be disabled in the current release of Lyric. This functionality is expected to be restored in future releases of the software.

  • The timing of Pauses in Type-on messages is sometimes not accurate. If a stream error occurs, the Pause in a Type-on message may occur prematurely.

  • When a Roll, Crawl or Type-On 2D text animation is copied from one Transition to another, its Effect Percentage value is not retained as an attribute of that animation in the new Transition. Effect Percentage is represented by an Attribute Timeline labeled ’EffectPct’ that may be displayed by expanding the text animation’s Object Timeline.

  • Canvas Backgrounds in Lyric 6.5 RU 1-created compositions may not appear correctly if the message is reproduced in earlier versions of Lyric. Note that while the current version of Lyric is intended to reproduce legacy messages built in earlier versions of the software, Lyric 6.5 RU 1-created messages will not reliably be reproduced on earlier versions of the software.

  • Lyric Pro only: Performing the action Shift-Read on a Template Data Message, OR on a scene selected on the output Scene Tree may cause Lyric to behave unpredictably.

  • A Template Data Message referencing a Template Description Message whose filename exceeds 20 characters may not read up properly in Lyric, and generate an incorrect preview in CAMIO.

  • A V\5\14 or R command which updates a message containing a Movie or 3D template not marked for external update, may not be processed properly.

  • Lyric Version 5.x - Version 6.x message compatibility: Messages lacking any Object Timelines which start at Frame 00:00:00:00 (such as those created in Lyric versions 5.0 and later), may not play back in Lyric versions 6.0 and later. Such messages will seem to load in Lyric 6, but will not begin playout on the Canvas or on Output.

  • Auto-standards conversion of a Lyric message from one frame-rate to another may delete keyframes between adjacent frames of the animation.

  • When dynamically updating mixed LTR/RTL text, RTL input mode may need to be enabled.

  • When changing an eFX board’s output from 1080i to PAL, the signal that appears at Video Out is Mix Key 1, at maximum level. This error is not reflected in the Internal Router Preview input setting seen on the user interface, which erroneously indicates ”Mix Key 1 (601)”. The situation may be corrected by the action of selecting Mix Key 1 (601). No problems have been noted when changing the board’s output from PAL to 1080i.

  • Compositions containing text designated for Continuous Update may disappear from the Canvas, but fail to appear on Output when played to Air.

  • Corrupted output may result when an ALT+T template update is performed on a 2D textbox with template fields marked for Continuous Update.

  • Lyric does not currently support Clone Canvas Preview operation in NVIDIA's DualView mode when using iSQ. DualView monitor operation causes Lyric to crash when iSQ is controlling Lyric.

  • Video Capture: If Lyric is closed and restarted, the user must open the Config>Hardware Configuration>Setup Board Configuration menu and set the Video In Layer option to ON in the settings for the board performing Video Capture operations.

  • Lyric writes and stores files with the .reg extension when a Lyric User Profile is created. Outside of Lyric, Windows regards these as ordinary Windows Registry files. DO NOT open Lyric User Profile .reg files outside of Lyric (for instance by double-clicking them in Windows Explorer). This type of action may have an adverse effect on your system’s hardware. Lyric User Profile files should only be opened with the ”Load User Profile” selection near the bottom of the Config menu.

  • Recalling a Lyric message containing an unembedded 3D object fails if the 3D object has been moved from its source location. As expected, retrieval of the 3D object fails. However, reproduction of the entire message fails completely, even if other message assets are intact and available. Note that embedding a 3D object in a message DOES WORK as always, since the data comprising the 3D object is included in the stored Lyric message.

  • Lyric PRO only: Priority assignments that are set on the Transition Properties page may not be applied correctly if all of the messages on Output are not saved with the same Rendering mode (as set in messages’ Internal Properties, accessed via the Set Message Properties selection on the Tools menu).

  • Continuous update of a template will operate only if there is an animation on the scene.

  • Lyric PRO requires that a Scene Tree window be open whenever frame buffer devices/Outputs will be used in Air/production situations.

  • CAMIO: The Chyron Asset Browser’s Preview facility may not function properly unless hardware acceleration is enabled. This will vary with the system’s VGA resources.

  • The Surface properties page's Mipmap filter option caused some images to disappear when certain settings were selected. This has been corrected for the time being by limiting Mipmap settings to Default.

  • A Lyric exception may occur when the Quarterback plugin attempts to generate a Thumbnail for an .AVI file.

  • Occasionally, the scene on-air does change after the Live button is pressed, if ”Return to Canvas” is enabled in Preferences.

  • Lyric PRO only: With the Live button turned on, after playout of a given message, ”reading up” the next desired message may not result in sending the next desired message to Output. Two workarounds may be used to circumvent this problem:

  • On the Config>Preferences menu, select the ”CG Preferences” tab. Set Completion Mode to Delete instead of ”Return to Canvas”.

  • Re-select the just-read scene after the scene on Output returns to the Canvas.

Other Suggestions and Workarounds

  • Using Update-In with .avi or .mov Movie Files: As stated in Bug Fixes, a movie used in an Update-In should not have an animation, or motion will be apparent when the Update-In occurs. Any animation desired should be applied to the group in which the movie resides.

  • Intelligent Interface: ”Support Embedded Commands” must be disabled in the Config > Intelligent Interface menu in order for certain symbols (such as the British Pound symbol, '£') to be processed properly.

  • If a faint line is observed at the top of a Mask, the problem may be remedied by setting the Rendering Mode to Fast on the message’s Internal Properties menu. This is available via the ”Set Message Properties” selection on the Tools menu.

  • In the Surface Properties menu’s ”Minify” dropdown, Bilinear or Trilinear filtering is recommended for images and textures that have been scaled down.

  • Full Screen Antialiasing should be enabled when 3D characters or objects are present in a Lyric composition.


Lyric 6.5 RU 1 - Banner

Lyric Version 6.5 RU 1

June 2008 Release

New Features Lyric Licensing Bug Fixes, Known Issues & Workarounds

Installation of Lyric Pro, Drivers and Plugins

Getting Started

Please visit Chyron's Website at http://www.chyron.com/support/downloads.aspx.
Use the Products dropdown to choose your hardware.

Use the Resource Type dropdown to choose Product Manuals, and click GO.

Available Help files will be listed; select the Online Help file for your version of Lyric.
June 6, 2008


Overview

Lyric Version 6.5 RU 1 is available as a full installation of Lyric OR as a patch. Note that either product’s default installation path will place it into any existing installation of Lyric Version 6.5. The full version’s installation path may be altered in the Choose Destination Location screen’s Destination Folder setting by using the Browse button. Altering the default destination will result in a separate installation of the RU 1 version of Lyric 6.5.

The patch’s installer also includes a Change button that may be used to modify the destination location, but this option is to be disregarded. Accept the default destination location and click Next to proceed. Note that the patch does not include Lyric’s Online Help file, Lyric.chm. The current version of the file should be downloaded at www.chyron.com.

NOTE REGARDING SENTINEL LICENSE MANAGEMENT SOFTWARE

INSTALLATION OF THE LYRIC VERSION 6.5 RU 1 PATCH WILL NOT PROMPT ANY CHANGE IN YOUR SENTINEL LICENSE MANAGEMENT SOFTWARE.

INSTALLATION OF THE FULL VERSION OF LYRIC VERSION 6.5 RU1 WILL PROMPT AN UPGRADE OF SENTINEL PROTECTION INSTALLER 7.4.2.

In all cases, decline the unnecessary reinstallation of SentinelLM 6.2 Server, which will be familiar from previous Lyric installations.

See the Lyric installation instructions that follow, since Lyric and Sentinel software installations proceed more or less simultaneously.

Lyric Version 6.5 RU 1 Installation, including Sentinel Protection Installer 7.4.2

Lyric 6.5 RU 1 requires the presence of a Chyron-supplied dongle in the system in order to run.

  1. Insert the Lyric or Lyric PRO disk into the CD drive of the system. A interface page with links to the Lyric install program, documentation and utilities should automatically open. If it does not open, use Windows Explorer to view the files on the CD, and then click on Setup.html.

  2. Under the Lyric heading in the left navigation, click the Install link, and then click Open to start the installation. Follow the instructions to complete Lyric or Lyric PRO installation. Several dialogs may appear simultaneously, the product of both the Lyric and Sentinel installations.

  3. When the Sentinel 7.4.2 installation is prompted, click Cancel and then Finish.

  4. Navigate to the Lyric folder you which you designated as the installation destination, as mentioned above. Locate and open the SafeNet folder. Double-click on SSDCleanup.exe. A command window should appear, asking Do you want to continue? (y/n). Type y and press ENTER.

  5. Be sure to close any applications that may be currently accessing the Sentinel software. Above all, Lyric must be closed, if you chose to have it launch upon completion of its installation. Any other instance of Lyric that may be running must also be closed.

  6. Take note in any command windows or progress displays present, that Sentinel removal is taking place. This process should conclude with a prompt to reboot your system. Press any key to accept the Reboot.

  7. Following system reboot, navigate to the Lyric installation folder which you accessed in Step 4. Open the SafeNet folder again. Double-click on Sentinel Protection Installer 7.4.2.exe. Perform a full install. Click "Yes" when prompted. After clicking Finish, reboot the system again.

  8. Verify that Lyric launches normally, with no undue requests for license codes or complaints about lack of a dongle.

Please refer to the information in the following sections for information on installing the plugins and drivers.

Drivers and Plugins

The following drivers must be installed for online Lyric or Lyric PRO operation on a Chyron graphics system:

  • eFX Plugin: Necessary for systems with eFX frame buffer(s) and/or eFX clip player(s).

  • NVIDIA Driver: Necessary for all systems.

  • CMix Plugin: Necessary only for systems using a CMix SD Mixer.

eFX Plugin

A system with an eFX frame buffer(s) and/or an eFX clip player option(s) must have eFX Plugin Build 192 installed. If you have an older system with eFX boards, do not uninstall the existing drive allow the new driver to install over it.

The current eFX plugin can be found in the DuetUtilities\eFX folder on the installation disk, or at www.chyron.com/support/downloads/software.aspx

eFX driver installation defaults to Custom, which leaves the eFX Driver checkbox cleared (unchecked). Be sure to click (select) this checkbox for a full installation. During eFX plugin installation, Matrox codecs will also install. These are necessary for the Matrox-to-LTV file conversion utility.

When installing the eFX drivers, a prompt is displayed with the following question:

“Do you want to install audio driver?” The phrasing may differ slightly. In any case:

Answer No. This prevents the enumeration of eFX boards from being reversed in Lyric. Note that the intentional omission of audio driver(s) does NOT have a negative effect on Lyric and system operation, and in fact, prevents Windows® system sounds from accidental output via the eFX board(s).

NVIDIA® Drivers

On all systems, NVIDIA Forceware version 158.22 should be installed. This is the NVIDIA driver tested and approved by Chyron at the time of this writing, and this recommendation supersedes the driver cited in previous versions of Lyric's Online Help or "paper" Release Notes (Chyron Publication No. 2A02249 Revisions P and earlier). The correct driver is available on the Lyric 6.5 RU 1 installation disk, in the Utilities\VGA Drivers\nVIDIA folder, or at http://www.chyron.com/support/downloads/software.aspx

CMix Plugin (SD Only)

Where a Chyron CMix is in use with the system, a CMix Plugin must be installed. The current plugin is CMIX build 123, and may be found in the CMix folder on the installation disk or at:

www.chyron.com/support/downloads/software.aspx

GPI/O Installation and Support

IMPORTANT - Regarding GPIs and Lyric 6.5 RU 1! If upgrading to Lyric 6.5 RU 1 on a system with GPIs, please refer to the Utilities page of the Lyric installation disk for important information. Installation instructions for the PCI Express, PCI and external USB GPI/O options are appended to these release notes.

Regarding CODI Frame Buffer-Based Systems and Systems Containing a CODI GPI I/O Board:

A GPI I/O board driver installer is not necessary for MicroX Digital SD, MicroX Analog SD and other CODI frame buffer-based systems. In addition, systems that contain CODI-based GPI I/O boards do not require driver installation. GPIs are resident on CODI boards and do not require separate driver installation.

Online Help File (all systems, all Lyric versions)

User documentation for Lyric and the Lyric PRO option can be accessed by clicking the Help entry on the menu bar. Context-sensitive help can be accessed by pressing the F1 key or by clicking the button in the Windows® toolbar in Lyric. Downloadable updates to Lyric Help and to the Release Notes can be accessed from www.chyron.com/support/downloads/software.aspx.

  • You must log in. If you are not registered with our site, doing so will allow you access to a variety of support resources such as product documentation, as well as our Knowledge Base and User Forum.

  • Near the top of the page, click Support.

  • At left, click Downloads.

  • Next, click Manuals.

  • Use the “Select A Product” dropdown menu to select HyperX2, and click the GO button. This will afford you access to the latest Lyric documentation, regardless of the hardware platform on which you are operating.

  • Click Lyric, Related Files.

  • You may select such downloads as:

  • The current Lyric Online Help file. Note that this can be a LARGE file, and may take some time to download. This file is called Lyric.chm; download it to your Desktop or other safe location for later copying to your Lyric installation directory. Check the date and version of your newly-downloaded Lyric.chm before copying it into your installation directory, as this action will overwrite the Lyric.chm file previously located there.

  • The procedure for using Lyric’s Clone Canvas Window, originally developed for use with Chyron HyperX2 systems. This .PDF document is known as 2a02283 Revision A. An updated procedure may be available, describing the use of this function with a variety of Chyron systems. Look for the latest version of this document, which will be distinguished by a later Revision letter.

Lyric 6.5 and the Lyric PRO Option

Lyric 6.5 RU 1 is available to customers who have valid, current Software Maintenance Agreements (SMAs). Lyric PRO is an option to Lyric 6.5 RU 1, and provides an advanced set of Lyric features:

  • interFuse™ continuous graphics rendering technology delivers smooth transitions on and off screen of multiple objects, independently and at any point during an animation.

  • Interactive Messages trigger events within themselves and other messages for dramatic transition effects that are easy to create.

  • Persistent objects and scenes, such as score bugs, remain on-screen through multiple message reads.

  • Multiple timelines gives each message object a variety of “in”, “out” and “update” effects that can be triggered at any time.

  • Hierarchical animations combined with enhanced lighting and multiple animated textures provide startling realism to your 2D and 3D objects.

  • Compose and Playout Modes provide greater control over the creation of graphics while simplifying playout. Compose Mode provides a complete set of creation tools and access to all elements in a message. Playout Mode allows modification only to selected elements and permits access only to a subset of playout controls.

  • Live particle effects including fire, smoke, snow, sparks, frost, glitter, magic trails, edge rays, metallic paint, glow, and refraction all render in real time.

  • 3D primitive library provided for building 3D scenes.

  • Powerful, real-time 2D/3D animation.

  • Advanced Text and Image Effects.

New Features in Lyric 6.5 RU 1/Lyric PRO

Lyric 6.5 RU 1 adds features to, and corrects issues found in the previous release of Lyric Version 6.5. These Release Notes represent the most up-to-date information on the product. The Online Help file (Lyric.chm) on your Lyric disc may not reflect the information found herein. As mentioned above, the Online Help file is constantly being updated and may be downloaded from the Chyron website at http://www.chyron.com/support/downloads/manuals.aspx.

Transitions and Events; Event Nodes (Lyric PRO only)

In previous versions of Lyric, multiple events could not be sustained by a single Transition. With a given Transition (and the events it contained) running, triggering a new Transition would replace the events in the first Transition, effectively canceling it. This limitation extended to manual triggering of a new Transition, as well as Transitions triggering subsequent Transitions.

With Lyric version 6.5, event nodes are no longer limited to one Transition. Therefore, a Transition currently running can continue undisturbed when a second (or third or fourth, etc.) Transition is triggered, either manually or by a keyframe Activation. All of a message's Transitions can thus run simultaneously. The number of Transitions that can run is theoretically infinite, but compositions using this feature should be carefully previewed.

Nodes common to multiple transitions will only execute within a single transition, however. A node cannot simultaneously execute multiple transitions. The interface change is seen on the Events Properties page, where new events may be added to the Event Nodes list box.

Clone Canvas Window

The Lyric Canvas as it appears on the Windows desktop can now be ”cloned” and displayed on an analog TV monitor, creating an extra Preview of activity on the current Canvas. This feature is configured via a new option on the Config > Preferences menu, ”Windows” tab in Lyric. The procedure appears at Clone Canvas Window in the Preferences > Windows topic within this Online Help.

Important settings must also be made in the NVIDIA Control Panel Advanced Settings. Click on 3D Settings followed by Manage 3D settings and set "Multi-display/mixed-GPU acceleration" to "Compatibility performance mode".

Default Preferred Paths

A checkbox entitled Always Browse to Specified Path has been added to the Config > Preferences > Default Paths menu. If enabled, browsing for an asset (images, movies, 3D objects, audio clips) will always start in the user-set preferred path for that asset type. If disabled, browsing will start in the last-used directory for that asset type.

Default Effect Save/Recall

Default Effect settings are now applied prior to the Record/save operation. Previous versions’ Save option has been relabeled ”Record” and now shows the filepath to which Default Effects messages are saved.

Default Effects and User Profiles

NOTE: There has been a substantive change in Default Effect functionality as regards User Profiles. In previous versions of Lyric, the user was required to set the Default Effect by using the Default Effect dialog box (Config > Default Effect).

With Lyric Version 6.5 RU 1, the current Default Effects are included in the User Profile when it is saved. The Default Effects saved in a given User Profile are thus recalled and set when that User Profile is loaded.

To use different Default Effects, the operator should have the desired group of effects saved as a familiar Message Effects file with the .lyr extension. After the appropriate User Profile has been loaded for the session, the Message Effects file should then be called up as always for normal Lyric operation.

2D Template Lock

A new item, Template Lock On, has been added to the 2D Text Window context menu. Selecting this option prohibits familiar operations such as Control-clicking a Template in order to move it around within the Text Window. Template Lock On also prevents movement of a Template inside the Text Window, even if all other content of that window is being moved. Note that text inside of a template can still be kerned and moved.

GPI/O Types

LEIF/Channel Box only: In previous versions of the software, only GPI/O output pulses could be produced. Now, the GPI/O facility may be configured to output Steady High or Steady Low signals.

Other Changes/Enhancements to Lyric

  • New Intelligent Interface command: The V\5\15\\ command has long been used to release a Pause in a Lyric message playing on the currently active Frame Buffer. A new command has been added, enabling the operator to release a Pause in the message on an inactive Frame Buffer. The command is formatted in this manner: V\5\15\<Frame Buffer>\\ (where <Frame Buffer> specifies the number of the inactive Frame Buffer ).

  • With this version of Lyric, a means for embedding bitmap images and movies in 2D Text Windows, Rolls and Crawls, and updating them via Continuous Update has been added. These commands may be transmitted to Lyric during message playout.

This may be accomplished using Intelligent Interface-type commands. An example wherein a bitmap image is added and updated, is seen below. Important: Take note that the syntax for a file path uses a forward slash, ( "/" ) rather than a backslash ( "\" ).

\img anyimage.bmp;

or:

\mov anymovie.mov;

Unless a full filepath is specified, Lyric will take the specified image or movie from the Default Path set for that type of asset. Note also that the commands cited above may be used with any of the still image or movie file types accommodated by Lyric (.bmp, .jpg, .tga, .tif, .mov, .avi, etc.).

The full complement of these commands follows. Note the option for inverting the alpha component of embedded Quicktime movies.

    • \img N; Embed image with filename N. N can either be a full file path or relative to the directory for Image Assets. All backslashes in a file path must be written as forward slashes.

    • \mov N; Embed movie with filename N. N can either be a full file path or relative to the directory for Movie Assets. All backslashes in a file path must be written as forward slashes.

    • \invaN Specify whether to invert the alpha component of the last embedded Quicktime movie. N is 0 (or absent) to not invert, 1 to invert.

  • In this version of Lyric, the Render Last option for both In and Out Effects has been removed from the Configure Default Effects menu. The option may reappear in future releases.


Lyric 6.5 RU 2 - Banner

Lyric Version 6.5 RU 2

May 2008 Release

New to This Release Lyric Licensing Bug Fixes, Known Issues & Workarounds

Installation and Download of Lyric Pro, Drivers and Plugins

The Clone Canvas Window Procedure

Getting Started

Please visit Chyron's website at the URL listed below for additional Customer Support options.

Updated 22 January 2010


Bug Fixes and Known Issues

Bug Fixes, Known Issues and Workarounds

The Lyric Release Notes PDF (Chyron Document Number 2A02249) on your installation disk contains the most up-to-date Known Issues and Bug Fixes. Lyric Online Help is continuously updated for download.

Bug Fixes

  • In previous releases of Lyric, calling up a succession of messages containing backgrounds caused the Canvas view to be obscured by field of white. This problem has been resolved.

  • Previous releases of Lyric failed to issue an alert dialog upon read-up of messages containing a non-embedded image whose file is found in its expected location. This problem has been corrected, and missing image prompts now appear as needed.

  • In previous versions of Lyric Pro, performing the action Shift-Read on a Template Data Message, OR on a scene selected on the output Scene Tree caused Lyric to behave unpredictably. This problem has been resolved.

  • Previous versions of Lyric occasionally failed to perform the user’s desired change of texture on 2D Text face surfaces. This problem has been resolved.

  • Previous versions of Lyric were subject to occasional crashes during changes to the Surface textures of 3D objects. This problem has been corrected.

  • ISQ 2.0 in use with previous versions of Lyric Standard: Upon launch via ISQ, Lyric failed to output the first message read to Canvas. This problem has been resolved.

  • CAMIO thumbnails are now returned at the requested size, and rendered properly at output aspect.

  • In previous versions of Lyric, messages played to air failed to appear on Output, also failing to appropriately appear on the Scene Tree. This problem has been corrected.

  • Proper playback of Mask Characters in Roll and Crawl windows has been restored.

  • In previous versions of Lyric, a Template Data Message referencing a Template Description Message whose filename exceeded 20 characters, failed to read up properly in Lyric, generating an incorrect preview in CAMIO. This problem has been corrected.

  • Previously, V\5\14 or R commands updating messages containing Movies or 3D templates not marked for external update, occasionally failed to be processed properly. This problem has been corrected.

  • The Alt + Erase function (PC keyboard key combination Ctrl + Alt + Q) is intended to erase the outputs of Internal Clip Players and the system's outputs/Frame Buffer devices. In recent releases of Lyric, execution of Ctrl + Alt + Q cleared the clips from both channels, but stopped only Groups on the systems’s active channel. This problem has been corrected.

  • A number of problems in previous releases and intermediate versions of Lyric have been resolved with the newest eFX plugin. Be sure that this plugin is installed at the time of Lyric Version 6.5 RU2 installation.

  • Lyric has been subject to intermittent problems involving system freezes with looping eFX clips.

  • Lyric has been subject to problems wherein eFX clips in a playlist fail to play, or play without audio.

  • Recent intermediate versions of Lyric have been subject to problems wherein restoring the Video Mix panel’s Factory preset has resulted in software crashes.

  • In recent intermediate versions of Lyric, playing a message containing a clip to air, followed by a second clip-containing message, caused the first message’s clip to remain frozen on-air upon message completion, while the succeeding message appeared, without its own clip.

  • Previous problems with erratic playout of 720p-standard clips have been resolved.

  • Previous problems with unwanted recue and reload of eFX clips have been resolved.

  • Previous problems using Selective Recording (CTRL+RECORD) with eFX clips have been resolved.

  • Application instability when Lyric is connected to the Contec PCIe GPIO board has been resolved with the latest GPI .ocx, supplied on the Lyric installation disk.

  • Occasional crashes upon Lyric startup and .dll Access Violations have been greatly reduced with the advent of the latest GPI .oxc, mentioned above. Use of the .ocx also resolves occasional exceptions occurring upon clearing Outputs or the Canvas.

  • Performance of the GPI Installer for all GPI hardware options has been improved.

  • Previous problems with Dissolve effects producing keying problems on eFX boards in HD mode have been resolved.

  • In earlier versions of Lyric, a Default Effect-out left an un-updated page on eFX frame buffers if an animation was cancelled. This problem has been corrected.

  • In earlier versions of Lyric Standard, animations failed to clear upon static transfers. This problem has been corrected.

  • In earlier versions of Lyric Pro, non-persistent static messages stacked up on Output. This problem has been corrected.

  • Previous versions of Lyric failed to recall messages containing a GPI Out event. This problem has been corrected.

  • Installation of previous versions of Lyric 6.5 RU 2 on “clean” systems produced an ltvddr.dll error. This problem has been corrected insofar as the ltvddr.dll is no longer loaded on offline systems (not licensed for online use).

  • Fixed problem in which Movie Slide Bar is one frame past accepted end of clip.

  • Previous versions of Lyric intermittentlycrashed during iSQ operation. This problem has been corrected.

  • In previous versions of Lyric, the choice of Linear or Nearest Magnify Filter settings in Surface Properties was not saved for imported Movies. This problem has been corrected.

  • On Chyron keyboards, the expected function of the key combination Shift + Alt + Erase is erasure of the currently active Frame Buffer’s output. (On standard keyboards, the equivalent combination is Shift + Alt + Cntrl +Q.) In recent versions of Lyric, using these keyboard accelerators may have had the unwanted effect of erasing the output of all Frame Buffers’ outputs. This problem has been corrected.

  • In previous versions of Lyric, the appearance of a Movie Height Warning dialog box occasionally caused the imported QuickTime movie to appear with improper colors. This problem has been corrected.

  • The performance of QuickTime movie playout in Lyric compositions has been improved:

  • The likelihood of stream errors has been greatly reduced.

  • Moire patterns occasionally affecting QuickTime have been addressed by the addition of Field Filtering and Odd Field Dominant options to the Movie Properties dialog box.

  • In the Config > Canvas Resolution menu, the Pixel Aspect value ascribed to the D1 625 standard has been amended to appropriately display the figures “1.067”, and not “1.0670”. Also, Lyric now offers the correct Pixel Aspect ratio of 1.422 for the 625-line, 16:9 format.

  • In previous versions of Lyric, the Streaming Preload setting was disabled on offline systems, (i.e., those without Frame Buffer hardware). This control has been enabled in all versions of Lyric, for use on offline machines, as well online systems. The Streaming Preload setting appears in Config > Preferences > Animation Settings.

  • Previous versions of Lyric failed to retrieve eFX clips in compositions initially saved with a given message number, and then saved as a different message number. This problem has been corrected.

  • Scene focus will now automatically be set to the active Canvas scene whenever an object is added or imported.

  • When a message is playing to Output on a given Frame Buffer, that Frame Buffer’s Video Output Standard dropdown menu is unavailable in the Config > Hardware > Setup Board Configuration menu..

  • In previous versions of Lyric, the Clip Control Panel’s Clear button did not work consistently to delete a loaded clip file from output. This problem has been corrected.

  • Continuous Update:

  • Previous problems with Unicode-enabled Intelligent Interface Continuous Update “U” commands have been resolved.

  • Previous problems wherein Continuous Update failed to update content in the inactive Frame Buffer have been resolved.

  • Intelligent Interface:

  • Previous versions of Lyric Standard: Intelligent Interface returned an inappropriate 40b3 “Message Not Found” message in response to V\5\13 commands, in situations where the target Frame Buffer was currently playing. The error message has been amended to a more suitable 8011 “Frame buffer in use by another task”response.

  • In previous versions of Lyric, the Y\<D5><CF><FE><Frame Buffer>\\<CR><LF> and Y\<D5><FE><Frame Buffer>\\<CR><LF> commands, both dedicated to clearing Frame Buffers and stopping Clip playback, did not work. This problem has been corrected. (See Lyric’s Online Help for more information on the distinction between these two commands.)

  • eFX Plugin 188:

  • This build of the eFX plugin corrects a previous problem wherein eFX clips unexpectedly stopped playing.

  • This build of the eFX plugin works properly with ISQ 1.3.4 Build 2015 to trigger clip playout on a given eFX device while attempting to clear the Frame Buffer of another eFX device.

  • This build of the eFX plugin corrects a occasional problem with the audio portion of eFX clip playout.

  • This build of the eFX plugin corrects a previous problem with eFX devices operating at 720p playing clips to output.

  • In previous versions of Lyric, setting the Streaming Preload value too high caused occasional crashes. With the current release, Streaming Preload errors now cause the display of a warning in Lyric’s Status Bar; the animation is aborted, but Lyric continues to operate.

  • In previous versions of Lyric, use of the Lyric Node Object Export function (File > Export Selected Nodes) turned on de-selected items in the Scene Graph’s Default Transition. This problem has been corrected.

  • In previous versions of Lyric, using Intelligent Interface’s V\5\3 command with Autoplay enabled caused the Scene Graph and Timeline to disappear from the Lyric interface. This problem has been resolved.

  • In previous versions of Lyric, on systems using Frame Buffer devices set to different video output standards, the Timeline for each message playing sometimes failed to display correct values. This problem has been corrected.

  • In earlier versions of Lyric, using Update-In in a message containing a Movie caused that Movie to start in the middle. This problem has been resolved. However, a movie used in an Update-In should not have an animation, or motion will be apparent when the Update-In occurs. Any animation desired should be applied to the group in which the movie resides.

  • Previous versions of Lyric wrongly reported that Quicktime .mov files were missing upon callup of a message to which the movie file was attached. This occurred regardless of the movie remaining in the proper directory, and available to the system for use in message playout. This problem has been corrected.

  • In earlier releases of the Lyric Avid Plugin, calling up a message containing an image that had become unavailable caused callup of the entire message to fail, producing a white screen. This failure was correctable only by restarting Lyric and the Avid Plugin. The problem has been corrected.

  • In earlier versions of Lyric, field-based Flipbooks were subject to jittering on playout. This problem has been corrected.

  • Problems with the Flipbooks function’s use of excessive memory use have been resolved.

  • In earlier versions of Lyric, an Internal Clip paused at Frame “0” would begin to play if the animation containing the clip was cancelled via the Escape key. This problem has been corrected.

  • In previous versions of Lyric the setting “Display All Frame Buffers” on the Config>Preferences>Windows menu, caused the disappearance of the message on inactive Frame Buffer windows when the action “Change” was used to toggle between Frame Buffers. This has been corrected

  • In previous versions of Lyric, inactive frame buffer windows would not correctly reappear in the user-set positions on the interface. This problem with User Profiles has been corrected. (Note that display of inactive frame buffer windows is enabled by the “Display All Frame Buffers” on the Config>Preferences>Windows menu.)

  • Various issues with Arabic text that is being dynamically updated have been corrected. These include resolution of a previous problem in which the \trans tag did not work with Arabic text.

  • Lyric Standard only: In previous versions of the application, using the Change function following a Read executed via Intelligent Interface caused Lyric to crash. This problem has been corrected.

  • In previous versions of Lyric, Pauses were ignored in Loops, if the Loop’s Start frame was set to the same frame as a Pause event. This problem has been corrected.

  • In both Lyric and Lyric Pro, imported movies are added to the Timeline at default animation length. In previous versions of the application, enabling movie Play to End option caused the movie timeline to default to current transition length. This problem has been corrected.

  • In previous versions of Lyric, Preload Time settings were not honored when a Scene was played (in Lyric Standard) or replayed (in Lyric Pro). This problem has been corrected.

  • In earlier versions of Lyric, the DBlink function did not work with Unicode Text. A plugin that corrects this problem has been created. The plugin’s filename is FileLink.ocx. Locate this file in the Lyric disk’s Utilities folder, a link to which is seen in the left pane of the Lyric disk’s opening screen. This file is NOT installed automatically during Lyric installation.

After Lyric installation, keep the Lyric CD in your system. Re-open or Explore the disc in Windows Explorer, and locate FileLink.ocx in the Utilities folder. Copy this plugin file into the Plugins folder of your new Lyric installation. To enable it, run Lyric and select About Lyric from the Help menu. Click LEIFlets, and select the FileLink button. Next, click the Handle DBLink checkbox. Once enabled, the plugin will automatically take over the database access anytime Lyric attempts a DBLink.

If you do not require Unicode support, Chyron recommends continued use of the DBlink’s native functionality.

  • Problems associated with synchronizing animations with eFX Objects (e.g. Clips, audio, video mix, etc.) on the Lyric timeline have been corrected.

  • Image Quality and alignment issues related to full screen graphics being added to the scene background have been corrected.

  • In previous versions of Lyric, replacing one or more eFX audio clips in a composition occasionally resulted in erratic audio playout. This problem has been corrected.

  • Previously, eFX clips with a Pause set at Frame 0 did not play until the Pause was released. This problem has been corrected.

  • In previous versions of Lyric, unwanted vertical lines appeared during dissolve and swap operations executed on frame buffers set for SD resolutions. This problem has been corrected.

  • In previous versions of Lyric PRO, import of multiple nodes from an .lno (Lyric Node Object) were added to the wrong transition. This problem has been corrected.

  • Lyric 6.5 RU 2 offers improved recall time of some types of messages.

  • In previous standard versions of Lyric, a scene “Xfer”-ed (Transferred) off of Output occasionally appeared again and executed an unwanted Effect-Out following the use of Alt-Erase (Ctrl + Alt + Q). This problem has been corrected.

  • Previous versions of Lyric failed to apply Full Scene Antialiasing after a User Profile was loaded. This problem has been corrected.

  • In previous versions of Lyric, changing the Alpha value for one surface of a 3D object mapped with a bitmap image caused the desired texture to disappear. This problem has been corrected.

  • In previous versions of Lyric PRO, Intelligent Interface prematurely transmitted the V\6 command’s acknowledgment of ‘animation playout complete’. This problem has been corrected.

  • In previous versions of Lyric, applying an image to the surfaces of a 3D object occasionally failed to affect all of the object’s surfaces. This problem has been corrected.

  • In previous versions of Lyric, using Shift Enter to insert a carriage-return into an existing multi-row 2D text resulted in incorrect spacing in the text thus moved onto the next line. This problem has been corrected.

  • In previous versions of Lyric PRO, errors occurred when saving a portion of an animation message containing multiple transitions. This has been corrected.

  • In previous versions of Lyric, using “Shift and Click” to select multiple Scene Graph elements caused the Group button to gray out/become unavailable. This problem has been corrected.

  • Previous versions of Lyric crashed after updating an image whose alpha-border is turned off. This problem has been corrected.

Known Issues

These issues will be addressed in future Lyric releases.

  • Saving a message with the option “File Save Adds To Browser” enabled (Preferences > Browser) or performing the action “Save As” while playing a Lyric message(s) to Output may cause unpredictable behavior in the Lyric application.

  • Setting Playlist Effects as Out: Dissolve/In: Dissolve may prevent the incoming message’s clip from starting, or cause the clip to start late.

  • Online Help: Context-sensitive Help, launched via the [image] button on the Windows toolbar, is unavailable for some portions of the Lyric interface. This facility is being extended so that documentation on any element of the Lyric interface may be accessed by clicking the [image] button and dragging its specialized cursor to the window, toolbar or menu for which Online Help is desired.

  • Online Help: In a few rare instances, illustrations may not appear correctly in the Online Help topic pages. This problem is being addressed. Text content of Online Help topics is not affected.

  • The problem in which installation of previous versions of Lyric 6.5 on “clean” systems produced an ltvddr.dll error has been fixed, as noted in the Bug Fix listed above. However, this problem may persist on systems in which an outdated Leitch Media Converter is present.

  • Updating a Browser Thumbnail while an animation plays to output in the same Frame Buffer may cause Lyric to freeze. This result can also occur upon Message Record if the preference File Save Adds to Browser is enabled in the menu Config > Preferences > Browser.

  • Lyric running on eFX board-equipped systems may crash if a large number of Template Updates are performed. Installation of NVIDIA Driver 158.22 should minimize or remedy this problem.

  • Changing the system’s text-input language (and hence the keyboard layout) occasionally causes Lyric to freeze. Installation of NVIDIA Driver 158.22 should minimize or remedy this problem. the user-set Effect Out animation.

  • As noted above among changes to the User Interface, the Render Last option has been removed from the Config > Configure Default Effects dialog box.

  • When a single file is applied as a texture source to multiple objects in animations playing on different output channels, playout quality may be compromised. A simple workaround may be accomplished by making a copy of the texture-source file, and renaming it or saving it to a new location. Animation(s) using the same texture may then be altered to use the copied/renamed file as one of the required texture-sources.

  • Live incoming video captured on an eFX board may appear with decreased luminance when used as a Background image on the Lyric Canvas.

  • QuickTime movies in messages created prior to Lyric Version 6.14 may be subject to a vertical shift when recalled in later versions of Lyric.

  • Advanced Image Effects may not play back properly in Transitions other than the Default. This will occur if the Timeline length of the object in the Default transition is shorter than those in other Transitions.

  • Problems with the Playlist’s Enable Preview and Auto Preview options have caused these features to be disabled in the current release of Lyric. This functionality is expected to be restored in future releases of the software.

  • The timing of Pauses in Type-on messages is sometimes not accurate. If a stream error occurs, the Pause in a Type-on message may occur prematurely.

  • When a Roll, Crawl or Type-On 2D text animation is copied from one Transition to another, its Effect Percentage value is not retained as an attribute of that animation in the new Transition. Effect Percentage is represented by an Attribute Timeline labeled ‘EffectPct’ that may be displayed by expanding the text animation’s Object Timeline.

  • Canvas Backgrounds in Lyric 6.5 RU 2-created compositions may not appear correctly if the message is reproduced in earlier versions of Lyric. Note that while the current version of Lyric is intended to reproduce legacy messages built in earlier versions of the software, Lyric 6.5 RU 2-created messages will not reliably be reproduced on earlier versions of the software.

  • Lyric Version 5.x - Version 6.x message compatibility: Messages lacking any Object Timelines which start at Frame 00:00:00:00 (such as those created in Lyric versions 5.0 and later), may not play back in Lyric versions 6.0 and later. Such messages will seem to load in Lyric 6, but will not begin playout on the Canvas or on Output.

  • Auto-standards conversion of a Lyric message from one frame-rate to another may delete keyframes between adjacent frames of the animation.

  • When dynamically updating mixed LTR/RTL text, RTL input mode may need to be enabled.

  • When changing an eFX board’s output from 1080i to PAL, the signal that appears at Video Out is Mix Key 1, at maximum level. This error is not reflected in the Internal Router Preview input setting seen on the user interface, which erroneously indicates “Mix Key 1 (601)”. The situation may be corrected by the action of selecting Mix Key 1 (601). No problems have been noted when changing the board’s output from PAL to 1080i.

  • Compositions containing text designated for Continuous Update may disappear from the Canvas, but fail to appear on Output when played to Air.

  • Corrupted output may result when an ALT+T template update is performed on a 2D textbox with template fields marked for Continuous Update.

  • Lyric does not currently support Clone Canvas Preview operation in NVIDIA's DualView mode when using iSQ. DualView monitor operation causes Lyric to crash when iSQ is controlling Lyric.

  • Video Capture: If Lyric is closed and restarted, the user must open the Config>Hardware Configuration>Setup Board Configuration menu and set the Video In Layer option to ON in the settings for the board performing Video Capture operations.

  • Lyric writes and stores files with the .reg extension when a Lyric User Profile is created. Outside of Lyric, Windows regards these as ordinary Windows Registry files. DO NOT open Lyric User Profile .reg files outside of Lyric (for instance by double-clicking them in Windows Explorer). This type of action may have an adverse effect on your system’s hardware. Lyric User Profile files should only be opened with the “Load User Profile” selection near the bottom of the Config menu.

  • Recalling a Lyric message containing an unembedded 3D object fails if the 3D object has been moved from its source location. As expected, retrieval of the 3D object fails. However, reproduction of the entire message fails completely, even if other message assets are intact and available. Note that embedding a 3D object in a message DOES WORK as always, since the data comprising the 3D object is included in the stored Lyric message.

  • Lyric PRO only: Priority assignments that are set on the Transition Properties page may not be applied correctly if all of the messages on Output are not saved with the same Rendering mode (as set in messages’ Internal Properties, accessed via the Set Message Properties selection on the Tools menu).

  • Continuous update of a template will operate only if there is an animation on the scene.

  • Lyric PRO requires that a Scene Tree window be open whenever frame buffer devices/Outputs will be used in Air/production situations.

  • CAMIO: The Chyron Asset Browser’s Preview facility may not function properly unless hardware acceleration is enabled. This will vary with the system’s VGA resources.

  • The Surface properties page's Mipmap filter option caused some images to disappear when certain settings were selected. This has been corrected for the time being by limiting Mipmap settings to Default.

  • A Lyric exception may occur when the Quarterback plugin attempts to generate a Thumbnail for an .AVI file.

  • Occasionally, the scene on-air does change after the Live button is pressed, if “Return to Canvas” is enabled in Preferences.

  • Lyric PRO only: With the Live button turned on, after playout of a given message, “reading up” the next desired message may not result in sending the next desired message to Output. Two workarounds may be used to circumvent this problem:

  • On the Config>Preferences menu, select the “CG Preferences” tab. Set Completion Mode to Delete instead of “Return to Canvas”.

  • Re-select the just-read scene after the scene on Output returns to the Canvas.

Other Workarounds and Suggestions

  • Using Update-In with .avi or .mov Movie Files: As stated in Bug Fixes, a movie used in an Update-In should not have an animation, or motion will be apparent when the Update-In occurs. Any animation desired should be applied to the group in which the movie resides.

  • Intelligent Interface: “Support Embedded Commands” must be disabled in the Config > Intelligent Interface menu in order for certain symbols (such as the British Pound symbol, '£') to be processed properly.

  • If a faint line is observed at the top of a Mask, the problem may be remedied by setting the Rendering Mode to Fast on the message’s Internal Properties menu. This is available via the “Set Message Properties” selection on the Tools menu.

  • In the Surface Properties menu’s “Minify” dropdown, Bilinear or Trilinear filtering is recommended for images and textures that have been scaled down.

  • Full Screen Antialiasing should be enabled when 3D characters or objects are present in a Lyric composition.


Overview

Lyric Version 6.5 RU 2

Lyric Version 6.5 RU 2 is available as a full installation of Lyric OR as a patch. Note that either product’s default installation path will place it into any existing installation of Lyric Version 6.5. The full version’s installation path may be altered in the Choose Destination Location screen’s Destination Folder setting by using the Browse button. Altering the default destination will result in a separate installation of the RU 2 version of Lyric 6.5.

The patch’s installer also includes a Change button that may be used to modify the destination location, but this option is to be disregarded. Accept the default destination location and click Next to proceed. Note that the patch does not include Lyric’s Online Help file, Lyric.chm. The current version of the file should be downloaded at http://www.chyron.com/support/downloads/software.aspx. See the instructions below.

NOTE

SENTINEL LM (LICENSE MANAGER) SERVER UPGRADE ACCOMPANYING THIS RELEASE OF LYRIC: Those experienced with previous Lyric releases will be familiar with a step in the installation process which offers installation of the SentinelLM Server. Accepted practice has been clicking the “No” button to decline this action, because the offered installation is identical to the Sentinel software extant on the system from previous versions of Lyric.

During installation of Lyric Version 6.5 RU 2, continue to decline the unnecessary reinstallation of SentinelLM 6.2 Server.

HOWEVER, you will also be prompted to accept new installation or an upgrade of Sentinel 7.4.2 Protection Server. ACCEPT this installation or upgrade.

During this process, you may be presented with a Program Maintenance dialog. If so, accept the default Modify radio button and click Next. In the Custom Setup dialog, change nothing, and click Next. Proceed to the Install and Finish steps.

During the Lyric install process, the Lyric installer may demand the entry of a license key, whether or not your system has a dongle. Restarting your system as requested by the Sentinel software upgrade will eliminate the new Lyric installation’s demand for a license key. After system restart, Lyric should launch normally.

Several dialogs may appear simultaneously, the product of both the Lyric and Sentinel installations. It is recommended that you complete the Sentinel Protection Server installation process first.

Installing Lyric/Lyric PRO, Drivers and Plugins

New systems are delivered with Lyric or Lyric PRO installed. Upgrades and patches, such as the one accompanying this document, must be installed. Any open instance of Lyric or Lyric PRO should be closed before installation of any Lyric updates, drivers or plugins. Wait for thirty seconds before beginning the installation. If, after the Lyric or Lyric PRO or plugin installation, an error message appears, indicating the presence of a duplicate LEIFLet, the system must be rebooted.

Installation from this release’s new Lyric disc:

To install this new software, insert the Lyric disk into the CD or DVD drive of the Chyron system. An information page with links to the Lyric installer, drivers, utilities and documentation should automatically open. If it does not open, use Windows Explorer to view the files on the CD, and click on Setup.html.

Under the Lyric heading in the left navigation pane, click the Install link, and then click Open to start the installation. Follow the instructions to complete Lyric or Lyric PRO installation. eFX Plugins are necessary for systems with eFX frame buffer(s) and/or eFX clip player(s). The current NVIDIA Driver is required for all systems. The CMix Plugin is necessary only for systems using a CMix SD Mixer. Installation instructions for all follow.

Downloading updates and other resources from the Chyron website

To access the download area of our site, http://www.chyron.com/support/downloads/software.aspx as cited above, you must log in. Accessing this address directly without log-in does not present a problem. You will have the opportunity to log in at this address within the Chyron site without returning to the site's main page. If you are not registered with our site, doing so will allow you access to a variety of support resources such as product documentation, as well as our Knowledge Base and User Forum. Once at the address above, follow these steps:

Near the top of the page, click Support. At left, click Downloads.

For Online Help

For Drivers and Plugins

Use the “Select A Product” dropdown menu to select HyperX2, and click the GO button. This will afford you access to the latest Lyric documentation, regardless of the hardware platform on which you are operating.

Use the “Select A Product” dropdown menu to select your hardware system, and click the GO button.

You may select downloads such as:

  • The current Lyric Online Help file. Note that this can be a large file, and may take some time to download. This file is called Lyric.chm; download it to your Desktop or other safe location for later copying to your Lyric installation directory. Check the date and version of your newly-downloaded Lyric.chm before copying it into your installation directory, as this action will overwrite the Lyric.chm file previously located there.

  • The procedure for using Lyric’s Clone Canvas Window was originally developed for use with Chyron HyperX2 systems. This function and its setup procedure have been updated for use with a variety of Chyron systems. The procedure's .PDF document is known as 2a02283.

  • Release Notes and Online Help files for earlier releases of Lyric.

Depending on your system, you may select downloads such as:

  • The eFX plugin version mentioned above. Among several listed, this selection is the most current. The plugin package mentioned here includes a driver for the eFX board itself, Lyric’s plugin for operating the board with current Lyric features and the Leitch Conversion Utility, which converts older Matrox hardware-compatible clip files into files that maybe played with the eFX board’s clip facility.

  • The NVIDIA driver for your system’s VGA card, which is vital to Lyric’s operation. Posted at this location will be the NVIDIA driver tested by Chyron for your system and the current version of Lyric.

  • CMix Plugins for use with Chyron’s external, USB-controlled SD video mixer.

  • Matrox DigiUtils files for use with Matrox-type clip hardware.

eFX Plugin

A system with an eFX frame buffer(s) and/or an eFX clip player option(s) must have the most up-to-date eFX Plugin installed. The current eFX plugin is found on the installation disk, or via the download instructions above.

IN THE CASE OF LYRIC VERSION 6.5 RU2, NOTE THAT YOU WILL BE INSTALLING THE CURRENT eFX PLUGIN ONLY. By default, eFX driver installation defaults to Custom. Click only the checkbox for the eFX plugin itself. The other components are not being updated at this time. Follow the rest of the prompts for the installation procedure.

NVIDIA® Drivers

On all systems, NVIDIA Forceware version 158.22 should be installed. This is the NVIDIA driver tested and approved by Chyron at the time of this writing, and this recommendation supersedes the driver cited in previous versions of Lyric's Online Help or "paper" Release Notes (Chyron Publication No. 2A02249 Revisions R and earlier). The correct driver is available on the Lyric 6.5 RU 2 installation disk, in the Utilities\VGA Drivers\nVIDIA folder, or , or via the download instructions above.

CMix Plugin (SD Only)

Where a Chyron CMix is in use with the system, a CMix Plugin must be installed. The current plugin is CMIX build 123, and may be found in the CMix folder on the installation disk or , or via the download instructions above.

GPI/O Installation and Support

IMPORTANT - Regarding GPIs and Lyric 6.5 RU 2! If upgrading to Lyric 6.5 RU 2 on a system with GPIs, please refer to the Utilities page of the Lyric installation disk for important information. Installation instructions for the PCI Express, PCI and external USB GPI/O options are appended to these release notes.

A Note Regarding CODI Frame Buffer-Based Systems and Systems Containing a CODI GPI I/O Board:

A GPI I/O board driver installer is not necessary for MicroX Digital SD, MicroX Analog SD and other CODI frame buffer-based systems. In addition, systems that contain CODI-based GPI I/O boards do not require driver installation. GPIs are resident on CODI boards and do not require separate driver installation.

Online Help File (all systems, all Lyric versions)

User documentation for Lyric and the Lyric PRO option can be accessed by clicking the Help entry on the menu bar. Downloadable updates to Lyric Help and to the Release Notes can be accessed from the Chyron website, as described in the download instructions above.

New to Lyric 6.5 RU 2/Lyric PRO

Lyric 6.5 RU 2 enhances the functionality of, and corrects issues found in, previous releases and upgrades of Lyric Version 6.5. These Release Notes represent the most up-to-date information on this version of the product. The Online Help file (Lyric.chm) on your Lyric disc may not reflect the information found herein. As mentioned above, the Online Help file is constantly being updated and may be downloaded from the Chyron website at http://www.chyron.com/support/downloads/manuals.aspx.

Changes/Enhancements to Lyric

  • Lyric Pro: After a scene is recalled in Preview mode, it automatically returns to the Preview frame set in the Selective Record dialog, when it is re-selected unless the user scrubs to a different frame. In previous versions of Lyric, the Return to Canvas option (CG Preferences > Completion Mode) automatically recalled any animation in Preview mode at Frame 0.

  • A new Config button has been added to the eFX Panel, containing these options:

  • Synchronize allows the user to assure precise synchronization between the start of a message’s animation, and any associated clip-playout. Note that with this option enabled, clip playout may occasionally miss fields if the Lyric animation itself cannot keep up.

  • Minimize eFX Preload minimizes the number of pre-fetched fields stored in advance of clip playout. Note that with this option enabled, may also miss fields in the clip’s playout. Use of the Synchronize and Minimize eFX Preload options with your content should be previewed before Air/production.

  • Report Stream Errors will add notification of these events to the Lyric Status Bar. Note that stream errors noted on the Status Bar may not represent visible problems.

  • Log enables or disables logging of eFX-related Lyric operations. Selecting this checkbox opens a dialog that allows the user to set the directory where the eFX log is created and stored. Note that the log created by this option is separate from the broader log of Lyric operations which is controlled by an option in the Tools menu.


Lyric 6.5 RU 3 Bug Fixes and Known Issues

Bug Fixes, Known Issues and Workarounds

The Lyric Release Notes PDF (Chyron Document Number 2A02249) on your installation disk contains the most up-to-date Known Issues and Bug Fixes. Lyric Online Help is continuously updated for download.

Bug Fixes

  • Most versions of Lyric have been subject to occasional lockup when running on systems using older motherboards and CODI-type frame. This problem has been addressed with the release of Lyric Version 6.5 RU3.

  • During Lyric playout, the action of recording a message with “File Save Adds To Browser” (Preferences>Browser) resulted in a dialog proclaiming “Cannot Save Animation”. This problem resolved in Lyric PRO only.

  • Lyric exceptions caused by clearing Output(s) or the Canvas have been resolved.

  • Various access problems, including access to the 2DCG.dll and Lyric Exceptions involving Clip players have been resolved.

  • Previous versions of Lyric were subject to exceptions involving the .ntdll .dll upon startup. This problem has been resolved.

  • In previous versions of Lyric, setting Playlist Effects as Out: Dissolve/In: Dissolve prevented the incoming message’s clip from starting, or caused the clip to start late. This problem has been resolved.

  • In recent intermediate versions of Lyric, a composition’s display priorities were subject to unwanted change when the composition was recorded as a message in which Render mode was set to Default.

  • Recent intermediate versions of Lyric were subject to corruption of 2D text upon export to an .LNO file. This problem has been resolved.

  • Previous problems with CMix objects played by iSQ have been resolved.

  • Recent intermediate versions of Lyric were subject to degraded performance of Crawls and Rolls configured with Continuous Update.

  • Previous versions of Lyric were unable to register LEIF properties for 3D Studio Objects. This problem has been resolved.

  • In previous versions of Lyric, “Effect Out” did not work with “Auto Play On Read” enabled. This problem has been resolved.

  • Recent versions of Lyric, in working with CAMIO, failed to respect LUCI’s Maximum Character setting. This problem has been resolved.

  • Previous versions of Lyric were subject to intermittent crashes caused by Channel Box attempts to build scenes containing Crawls. This problem has been corrected.

  • In previous versions of Lyric, the Crawl feature’s “Center at Last Character and Pause” option failed to remain in effect when new text was added to a Crawl so configured. This problem has been corrected; the Crawl, with newly appended text, now pauses once, as it should, at the end of that new text, and awaits either a keystroke or Timeout to continue the Crawl and end the animation.

  • In previous versions of Lyric, closing a composition currently on the Canvas (File > Close), and then opening a new Canvas (File > New > Canvas) caused a Lyric Exception. This problem has been corrected.

  • Lyric is no longer subject to application instability when transferring messages containing the Glow effect to Output, with a Default Effect enabled.

  • In previous releases of Lyric, calling up a succession of messages containing backgrounds caused the Canvas view to be obscured by a field of white. This problem has been resolved.

  • Previous releases of Lyric failed to issue an alert dialog upon read-up of messages containing a non-embedded image whose file is NOT found in its expected location. This problem has been corrected, and missing image prompts now appear as needed.

  • In previous versions of Lyric Pro, performing the action Shift-Read on a Template Data Message, OR on a scene selected on the output Scene Tree caused Lyric to behave unpredictably. This problem has been resolved.

  • Previous versions of Lyric occasionally failed to perform the user’s desired change of texture on 2D Text face surfaces. This problem has been resolved.

  • Previous versions of Lyric were subject to occasional crashes during changes to the Surface textures of 3D objects. This problem has been corrected.

  • ISQ 2.0 in use with previous versions of Lyric Standard: Upon launch via ISQ, Lyric failed to output the first message read to Canvas. This problem has been resolved.

  • In previous versions of Lyric, messages played to air failed to appear on Output, also failing to appropriately appear on the Scene Tree. This problem has been corrected.

  • Proper playback of Mask Characters in Roll and Crawl windows has been restored.

  • In previous versions of Lyric, a Template Data Message referencing a Template Description Message whose filename exceeded 20 characters, failed to read up properly in Lyric, generating an incorrect preview in CAMIO. This problem has been corrected.

  • CAMIO thumbnails are now returned at the user’s requested size.

  • Previously, V\5\14 or R commands updating messages containing Movies or 3D templates not marked for external update, occasionally failed to be processed properly. This problem has been corrected.

  • The Alt + Erase function (PC keyboard key combination Ctrl + Alt + Q) is intended to erase the outputs of Internal Clip Players and the system's outputs/Frame Buffer devices. In recent releases of Lyric, execution of Ctrl + Alt + Q cleared the clips from both channels, but stopped only Groups on the systems’s active channel. This problem has been corrected.

  • A number of problems in previous releases and intermediate versions of Lyric have been resolved with the eFX plugin 194. Be sure that this plugin is installed at the time of Lyric Version 6.5 RU 3 installation. See “Changes/Enhancements to Lyric” for details on the eFX Panel’s new Config button and the Device Settings it offers.

  • Problems with the action CTRL+ALT+Q clearing outputs but preventing clip playout on the system’s opposite channel have been resolved.

  • This build of the eFX plugin corrects a previous problem wherein eFX clips unexpectedly stopped playing.

  • Lyric has been subject to intermittent problems involving system freezes with looping eFX clips. These problems have been resolved.

  • This build of the eFX plugin corrects an occasional problem with the audio portion of eFX clip playout.

  • Lyric has been subject to problems wherein eFX clips in a playlist fail to play, or play without audio. These problems have been resolved.

  • Recent intermediate versions of Lyric have been subject to problems wherein the action of restoring the Video Mix panel’s Factory preset has resulted in software crashes. This problem has been resolved.

  • In recent intermediate versions of Lyric, playing a message containing a clip to air, followed by a second clip-containing message, caused the first message’s clip to remain frozen on-air upon message completion, while the succeeding message appeared, without its own clip. This problem has been resolved.

  • Previous problems with erratic playout of 720p-standard clips have been resolved.

  • Previous problems with unwanted recue and reload of eFX clips have been resolved.

  • Previous problems using Selective Recording (CTRL+RECORD) with eFX clips have been resolved.

  • Recent intermediate versions of Lyric occasionally failed to include eFX clips in playout of otherwise properly constructed and saved messages. This problem has been remedied.

  • The advent of GPI .ocx build version 1.1, supplied on the Lyric installation disk, resolves application instability when Lyric is connected to the Contec PCIe GPIO.

  • Performance of the GPI Installer for all GPI hardware options has been improved.

Known Issues

These issues will be addressed in future Lyric releases.

  • Systems under automation control, such as those driven by Intelligent Interface or iSQ, should have the Completion Mode preference set to Delete. Live mode is also not recommended in these types of configuration.

  • Playlist entries do not play back if assigned to Channel 2 with Preview enabled. Preview Channel should be assigned to FB2 to ensure proper operation.

  • Saving a message with the option “File Save Adds To Browser” enabled (Preferences > Browser) or performing the action “Save As” while playing a Lyric message(s) to Output may cause unpredictable behavior in the Lyric application. This is the issue seen in the first Bug Fix listed above, but note that the problem has been resolved in Lyric PRO only at the time of this writing.

  • In Lyric Standard, recording a message with File-Save-To-Browser enabled while playing yields "Cannot capture canvas during playback".

  • The problem in which installation of previous versions of Lyric 6.5 on “clean” systems produced an ltvddr.dll error has been fixed, as noted in the Bug Fix listed above. However, this problem may persist on systems in which an outdated Leitch Media Converter is present.

  • As noted above among changes to the User Interface, the Render Last option has been removed from the Config > Configure Default Effects dialog box.

  • When a single file is applied as a texture source to multiple objects in animations playing on different output channels, playout quality may be compromised. A simple workaround may be accomplished by making a copy of the texture-source file, and renaming it or saving it to a new location. Animation(s) using the same texture may then be altered to use the copied/renamed file as one of the required texture-sources.

  • Live incoming video captured on an eFX board may appear with decreased luminance when used as a Background image on the Lyric Canvas.

  • QuickTime movies in messages created prior to Lyric Version 6.14 may be subject to a vertical shift when recalled in later versions of Lyric.

  • Advanced Image Effects may not play back properly in Transitions other than the Default. This will occur if the Timeline length of the object in the Default transition is shorter than those in other Transitions.

  • The timing of Pauses in Type-on messages is sometimes not accurate. If a stream error occurs, the Pause in a Type-on message may occur prematurely.

  • When a Roll, Crawl or Type-On 2D text animation is copied from one Transition to another, its Effect Percentage value is not retained as an attribute of that animation in the new Transition. Effect Percentage is represented by an Attribute Timeline labeled ‘EffectPct’ that may be displayed by expanding the text animation’s Object Timeline.

  • Canvas Backgrounds in Lyric 6.5 RU3-created compositions may not appear correctly if the message is reproduced in earlier versions of Lyric. Note that while the current version of Lyric is intended to reproduce legacy messages built in earlier versions of the software, Lyric 6.5 RU3-created messages will not reliably be reproduced on earlier versions of the software.

  • Lyric Version 5.x - Version 6.x message compatibility: Messages lacking any Object Timelines which start at Frame 00:00:00:00 (such as those created in Lyric versions 5.0 and later), may not play back in Lyric versions 6.0 and later. Such messages will seem to load in Lyric 6, but will not begin playout on the Canvas or on Output.

  • Auto-standards conversion of a Lyric message from one frame-rate to another may delete keyframes between adjacent frames of the animation.

  • When dynamically updating mixed LTR/RTL text, RTL input mode may need to be enabled.

  • When changing an eFX board’s output from 1080i to PAL, the signal that appears at Video Out is Mix Key 1, at maximum level. This error is not reflected in the Internal Router Preview input setting seen on the user interface, which erroneously indicates “Mix Key 1 (601)”. The situation may be corrected by the action of selecting Mix Key 1 (601). No problems have been noted when changing the board’s output from PAL to 1080i.

  • Corrupted output may result when an ALT+T template update is performed on a 2D textbox with template fields marked for Continuous Update.

  • Video Capture: If Lyric is closed and restarted, the user must open the Config>Hardware Configuration>Setup Board Configuration menu and set the Video In Layer option to ON in the settings for the board performing Video Capture operations.

  • Lyric writes and stores files with the .reg extension when a Lyric User Profile is created. Outside of Lyric, Windows regards these as ordinary Windows Registry files. DO NOT open Lyric User Profile .reg files outside of Lyric (for instance by double-clicking them in Windows Explorer). This type of action may have an adverse effect on your system’s hardware. Lyric User Profile files should only be opened with the “Load User Profile” selection near the bottom of the Config menu.

  • Recalling a Lyric message containing an unembedded 3D object fails if the 3D object has been moved from its source location. As expected, retrieval of the 3D object fails. However, reproduction of the entire message fails completely, even if other message assets are intact and available. Note that embedding a 3D object in a message DOES WORK as always, since the data comprising the 3D object is included in the stored Lyric message.

  • Lyric PRO only: Priority assignments that are set on the Transition Properties page may not be applied correctly if all of the messages on Output are not saved with the same Rendering mode (as set in messages’ Internal Properties, accessed via the Set Message Properties selection on the Tools menu).

  • Continuous update of a template will operate only if there is an animation on the scene.

  • Lyric PRO requires that a Scene Tree window be open whenever frame buffer devices/Outputs will be used in Air/production situations.

  • CAMIO: The Chyron Asset Browser’s Preview facility may not function properly unless hardware acceleration is enabled. This will vary with the system’s VGA resources.

  • The Surface properties page's Mipmap filter option caused some images to disappear when certain settings were selected. This has been corrected for the time being by limiting Mipmap settings to Default.

  • A Lyric exception may occur when the Quarterback plugin attempts to generate a Thumbnail for an .AVI file.

  • Lyric PRO only: With the Live button turned on, after playout of a given message, reading up the next desired message may not result in sending the next desired message to Output. Two workarounds may be used to circumvent this problem:

  • On the Config>Preferences menu, select the “CG Preferences” tab. Set Completion Mode to Delete instead of “Return to Canvas”.

  • Re-select the just-read scene after the scene on Output returns to the Canvas.

Other Workarounds and Suggestions

  • Using Update-In with .avi or .mov Movie Files: As stated in Bug Fixes, a movie used in an Update-In should not have an animation, or motion will be apparent when the Update-In occurs. Any animation desired should be applied to the group in which the movie resides.

  • Intelligent Interface: ”Support Embedded Commands” must be disabled in the Config > Intelligent Interface menu in order for certain symbols (such as the British Pound symbol, '£') to be processed properly.

  • If a faint line is observed at the top of a Mask, the problem may be remedied by setting the Rendering Mode to Fast on the message’s Internal Properties menu. This is available via the ”Set Message Properties” selection on the Tools menu.

  • In the Surface Properties menu’s ”Minify” dropdown, Bilinear or Trilinear filtering is recommended for images and textures that have been scaled down.

  • Full Screen Antialiasing should be enabled when 3D characters or objects are present in a Lyric composition.


Lyric 6.5 RU 3 - Banner

Lyric Version 6.5 RU 3

June 2008 Release

New to This Release Lyric Licensing Bug Fixes, Known Issues & Workarounds

Installation and Download of Lyric Pro, Drivers and Plugins

The Clone Canvas Window Procedure

Getting Started

Please visit Chyron's website at the URL listed below for additional Customer Support options.


New to Lyric 6.5 RU 3

Lyric Version 6.5 RU 3

Introduction

The product’s default installation path will place it into any existing installation of Lyric Version 6.5. The installation path may be altered in the Choose Destination Location screen’s Destination Folder setting by using the Browse button. Altering the default destination will result in a separate installation of the RU3 version of Lyric 6.5.

NOTE REGARDING SENTINEL LICENSE MANAGEMENT SOFTWARE

INSTALLATION OF LYRIC VERSION 6.5 RU3 WILL PROMPT AN UPGRADE OF SENTINEL PROTECTION INSTALLER 7.4.2. In all cases, decline the unnecessary reinstallation of SentinelLM 6.2 Server, which will be familiar from previous Lyric installations. See the Lyric installation instructions that follow, since Lyric and Sentinel software installations proceed more or less simultaneously.

Lyric Version 6.5 RU3 Installation, including Sentinel Protection Installer 7.4.2

Lyric 6.5 RU3 requires the presence of a Chyron-supplied dongle in the system in order to run.

  1. Insert the Lyric or Lyric PRO disk into the CD drive of the system. A interface page with links to the Lyric install program, documentation and utilities should automatically open. If it does not open, then use Windows® Explorer view the files on the CD, and then click on Setup.html.

  2. Under the Lyric heading in the left navigation, click the Install link, and then click Open to start the installation. Follow the instructions to complete Lyric or Lyric PRO installation. Several dialogs may appear simultaneously, the product of both the Lyric and Sentinel installations.

  3. When the Sentinel 7.4.2 installation is prompted, click Cancel and then Finish.

  4. Navigate to the Lyric folder you which you designated as the installation destination, as mentioned above. Locate and open the SafeNet folder. Double-click on SSDCleanup.exe. A command window should appear, asking Do you want to continue? (y/n). Type y and press ENTER.

  5. Be sure to close any applications that may be currently accessing the Sentinel software. Above all, Lyric must be closed, if you chose to have it launch upon completion of its installation. Any other instance of Lyric that may be running must also be closed.

  6. Take note in any command windows or progress displays present, that Sentinel removal is taking place. This process should conclude with a prompt to reboot your system. Press any key to accept the Reboot.

  7. Following system reboot, navigate to the Lyric installation folder which you accessed in Step 4. Open the SafeNet folder again. Double-click on Sentinel Protection Installer 7.4.2.exe. Perform a full install. Click "Yes" when prompted. After clicking Finish, reboot the system again.

  8. Verify that Lyric launches normally, with no undue requests for license codes or complaints about lack of a dongle.

Please refer to the information in the following sections for information on installing the plugins and drivers.

Drivers and Plugins

New systems are delivered with Lyric or Lyric PRO installed. Upgrades and patches, such as the one accompanying this document, must be installed. Any open instance of Lyric or Lyric PRO should be closed before installation of any Lyric updates, drivers or plugins. Wait for thirty seconds before beginning the installation. If, after the Lyric or Lyric PRO or plugin installation, an error message appears, indicating the presence of a duplicate LEIFLet, the system must be rebooted.

Installation from this release’s new Lyric disc:

To install this new software, insert the Lyric disk into the CD or DVD drive of the Chyron system. An information page with links to the Lyric installer, drivers, utilities and documentation should automatically open. If it does not open, use Windows Explorer to view the files on the CD, and click on Setup.html.

Under the Lyric heading in the left navigation pane, click the Install link, and then click Open to start the installation. Follow the instructions to complete Lyric or Lyric PRO installation. eFX Plugins are necessary for systems with eFX frame buffer(s) and/or eFX clip player(s). The current NVIDIA Driver is required for all systems. The CMix Plugin is necessary only for systems using a CMix SD Mixer. Installation instructions for all follow.

Downloading updates and other resources from the Chyron website

To access the download area of our site, http://www.chyron.com/support/downloads/software.aspx as cited above, you must log in. Accessing this address directly without log-in does not present a problem. You will have the opportunity to log in at this address within the Chyron site without returning to the site's main page. If you are not registered with our site, doing so will allow you access to a variety of support resources such as product documentation, as well as our Knowledge Base and User Forum. Once at the address above, follow these steps:

Near the top of the page, click Support. At left, click Downloads.

For Online Help

For Drivers and Plugins

Use the ”Select A Product” dropdown menu to select HyperX2, and click the GO button. This will afford you access to the latest Lyric documentation, regardless of the hardware platform on which you are operating.

Use the ”Select A Product” dropdown menu to select your hardware system, and click the GO button.

You may select downloads such as:

  • The current Lyric Online Help file. Note that this can be a large file, and may take some time to download. This file is called Lyric.chm; download it to your Desktop or other safe location for later copying to your Lyric installation directory. Check the date and version of your newly-downloaded Lyric.chm before copying it into your installation directory, as this action will overwrite the Lyric.chm file previously located there.

  • The procedure for using Lyric’s Clone Canvas Window was originally developed for use with Chyron HyperX2 systems. This function and its setup procedure have been updated for use with a variety of Chyron systems. The procedure's .PDF document is known as 2a02283.

  • Release Notes and Online Help files for earlier releases of Lyric.

Depending on your system, you may select downloads such as:

  • The eFX plugin version mentioned above. Among several listed, this selection is the most current. The plugin package mentioned here includes a driver for the eFX board itself, Lyric’s plugin for operating the board with current Lyric features and the Leitch Conversion Utility, which converts older Matrox hardware-compatible clip files into files that maybe played with the eFX board’s clip facility.

  • The NVIDIA driver for your system’s VGA card, which is vital to Lyric’s operation. Posted at this location will be the NVIDIA driver tested by Chyron for your system and the current version of Lyric.

  • CMix Plugins for use with Chyron’s external, USB-controlled SD video mixer.

  • Matrox DigiUtils files for use with Matrox-type clip hardware.

eFX Plugin

A system with an eFX frame buffer(s) and/or an eFX clip player option(s) must have the most up-to-date eFX Plugin installed. The eFX plugin 194 is to be found on the installation disk, or via the download instructions above.

IN THE CASE OF LYRIC VERSION 6.5 RU 3, NOTE THAT YOU WILL BE INSTALLING THE CURRENT eFX PLUGIN ONLY. By default, eFX driver installation defaults to Custom. Click only the checkbox for the eFX plugin itself. The other components are not being updated at this time. Follow the rest of the prompts for the installation procedure.

NVIDIA® Drivers

With the following exceptions, NVIDIA Forceware version 158.22 should be installed.

  • On LEX2 systems equipped with 8800 GT GPU-type video cards, NVIDIA Forceware version 169.21 should be installed.

  • On MicroX HD/SD systems equipped with 8800 GT GPU-type video cards, NVIDIA Forceware version 169.21 should be installed.

  • On MicroX SD systems equipped with 8600 GT GPU-type video cards, NVIDIA Forceware version 169.21 should be installed.

These are the NVIDIA drivers tested and approved by Chyron at the time of this writing, and these recommendations supersede previous driver recommendations. The correct drivers are available on the Lyric 6.5 RU 3 installation disk, in the Utilities\VGA Drivers\nVIDIA folder, or via the download instructions above.

CMix Plugin (SD Only)

Where a Chyron CMix is in use with the system, a CMix Plugin must be installed. The current plugin is CMIX build 123, and may be found in the CMix folder on the installation disk or , or via the download instructions above.

GPI/O Installation and Support

IMPORTANT - Regarding GPIs and Lyric 6.5 RU 3! If upgrading to Lyric 6.5 RU 3 on a system with GPIs, please refer to the Utilities page of the Lyric installation disk for important information. Installation instructions for the PCI Express, PCI and external USB GPI/O options are appended to these release notes.

A Note Regarding CODI Frame Buffer-Based Systems and Systems Containing a CODI GPI I/O Board:

A GPI I/O board driver installer is not necessary for MicroX Digital SD, MicroX Analog SD and other CODI frame buffer-based systems. In addition, systems that contain CODI-based GPI I/O boards do not require driver installation. GPIs are resident on CODI boards and do not require separate driver installation.

Online Help File (all systems, all Lyric versions)

User documentation for Lyric and the Lyric PRO option can be accessed by clicking the Help entry on the menu bar. Downloadable updates to Lyric Help and to the Release Notes can be accessed from the Chyron website, as described in the download instructions above.

New to Lyric 6.5 RU 3/Lyric PRO

Lyric 6.5 RU 3 enhances the functionality of, and corrects issues found in, previous releases and upgrades of Lyric Version 6.5. These Release Notes represent the most up-to-date information on this version of the product. The Online Help file (Lyric.chm) on your Lyric disc may not reflect the information found herein. As mentioned above, the Online Help file is constantly being updated and may be downloaded from the Chyron website at http://www.chyron.com/support/downloads/manuals.aspx.

New Feature

Images and movies may be modified with a Color-shift shader, via the Effects Properties page. The shader may be used to apply diffuse color to an object.

Changes/Enhancements to Lyric

  • Playlist Preview has been restored to Lyric, and is now supported on eFX board-based systems. However, Playlist entries do not play back if assigned to Channel 2 with Preview enabled. Preview Channel should be assigned to FB2 to ensure proper operation.

  • Lyric Pro: After a scene is recalled in Preview mode, it automatically returns to the Preview frame set in the Selective Record dialog, when it is re-selected unless the user scrubs to a different frame. In previous versions of Lyric, the Return to Canvas option (CG Preferences > Completion Mode) automatically recalled any animation in Preview mode at Frame 0.

  • A new Config button has been added to the eFX Panel, containing these options:

  • Synchronize allows the user to assure precise synchronization between the start of a message’s animation, and any associated clip-playout. Note that with this option enabled, clip playout may occasionally miss fields if the Lyric animation itself cannot keep up.

  • Minimize eFX Preload minimizes the number of pre-fetched fields stored in advance of clip playout. Note that with this option enabled, may also miss fields in the clip’s playout. Use of the Synchronize and Minimize eFX Preload options with your content should be previewed before Air/production.

  • Report Stream Errors will add notification of these events to the Lyric Status Bar. Note that stream errors noted on the Status Bar may not represent visible problems.

  • Log enables or disables logging of eFX-related Lyric operations. Selecting this checkbox opens a dialog that allows the user to set the directory where the eFX log is created and stored. Note that the log created by this option is separate from the broader log of Lyric operations which is controlled by an option in the Tools menu.


Lyric 7 feature disclaimer

This feature will be implemented in Lyric Version 7


Lyric 7.0 Banner

What's New in Lyric 7.0/PRO

June 2009 Release

New Features Lyric Licensing Bug Fixes, Known Issues & Workarounds

Installation of Lyric Pro, Drivers and Plugins Clone Canvas Window Setup Procedure

Chyron Systems Setup Guide Getting Started

Please visit Chyron's Website at http://www.chyron.com/support/downloads.aspx.
Use the Products dropdown to choose your hardware.

Use the Resource Type dropdown to choose Product Manuals, and click GO.

Available Help files will be listed; select the Online Help file for your version of Lyric.

June 22, 2009


Lyric 7.0: Bug Fixes and Known Issues

Bug Fixes, Known Issues and Workarounds

The Lyric Release Notes PDF (Chyron Document Number 2A02305) on your installation disk contains the most up-to-date Known Issues and Bug Fixes. Lyric Online Help is continuously updated for download.

Bug Fixes

  • In previous versions of Lyric, thumbnails generated by the XML plug-in for CAMIO appeared with the wrong aspect ratio. This problem has been corrected.

  • In previous versions of Lyric, 3D-text Rolls, Crawls and Type Ons could not be created with the use of Macros. This problem has been resolved.

  • In previous versions of Lyric, enabling the Preview Channel did not eliminate display of all frame buffer windows. This problem has been resolved.

  • Previous versions of Lyric failed to reproduce Crawls, Rollls and Type Ons when played to the Preview Channel. This problem has been resolved.

  • In previous versions of Lyric, when working with CAMIO, Template Data Messages did not work properly when the Maintain Size option was enabled in Image Properties. This problem has been resolved.

  • In previous versions of Lyric, legacy messages containing Movies as textures were rendered incorrectly to the Preview Channel. This problem has been resolved.

  • In previous versions of Lyric, animations jittered at a Pause when the option Display All Frame Buffers (Preferences>Windows) was enabled. This problem has been corrected.

  • Legacy messages containing 3D text templates re-recorded for use in Lyric 7 were not reproduced correctly in earlier Lyric 7 builds. This has been corrected.

  • In previous versions of Lyric Standard, the Swap function caused instability. This problem has been corrected.

  • In previous versions of Lyric, animations jittered at a Pause when the option Display All Frame Buffers (Preferences>Windows) was enabled. This problem has been corrected.

  • In previous versions of Lyric Standard, the Swap function caused instability. This problem has been corrected.

  • In previous versions of Lyric, the Field Based Render checkbox setting for Flipbooks (Tools > Flipbook or Flipbook context menu > Show Flipbook Properties) was not retained when the message was saved. This problem has been corrected.

  • Previous versions of Lyric did not retain Global GPIs when included in saved messages. This problem has been resolved, and any Global GPIs are now reproduced when a message is recalled.

  • Previous versions of Lyric failed to record Macros containing the Visible/Invisible setting as applied to specific Nodes. This problem has been corrected.

  • In previous versions of Lyric, 0% opacity could not be applied to 2D text in conjunction with Advanced Text Effects' Horizontal Blur option. This problem has been corrected.

  • In previous versions of Lyric, the VGA Auto-Preview option for Playlists did not work. This problem has been corrected.

  • In previous versions of Lyric, a 2D text Type On with the Soft option applied would not play on the system's VGA monitor. (This did not affect proper play on Output.) This problem has been corrected.

  • In previous versions of Lyric, Flipbooks imported into 2D text windows displayed only a white area, as opposed to the Flipbook's expected appearance. This problem has been corrected.

  • Previous versions of Lyric failed to properly import graphics with alpha information into 2D text windows. This problem has been corrected.

  • Previous versions of Lyric were subject to problems when exporting animations as Quicktime movies. This problem has been corrected.

  • In previous versions of Lyric, the Continuous Update option did not work with Crawls containing Arabic text. This problem has been corrected.

  • Previous problems with the Center Last option for Crawls have been resolved.

  • In previous versions of Lyric, messages containing Video Capture images reproduced the wrong Video Capture image upon message recall. Additionally, in Lyric Standard, a new Canvas opened for composition occasionally contained an unwanted Video Capture image from a previous message. This problem has been corrected.

Known Issues

These issues will be addressed in future Lyric releases.

  • Following the first launch of Lyric Version 7 PRO on a given system, you may experience a one-time stream error of about 10 seconds, upon rendering a Canvas to Output.

  • In the current release, a problem with Lyric PRO Offline dongle licensing prevents the enabling of the Virtual Output option. If you have purchased this option, please call Customer Service at 631-845-2132 for a temporary workaround. Using the currently configured dongle, however, Lyric PRO will operate with the exception of Virtual Output. Note that this problem does NOT affect operation of Lyric PRO Online, on Chyron systems.

  • System instability can occur if 3D Text Templates are mapped to multiple surfaces. To avoid this problem, do not use the same 3D text template in more than one 3D surface.

  • 3D Text Renderer (Text Properties menu): As above, 3D text built in Lyric Versions 6.5 RU3 and earlier may appear slightly differently than originally intended, in Lyric 7. This will not occur in every ‘legacy’ message containing 3D text. Chyron recommends that if such 3D text does not display as desired, it should be replaced.

  • 3D Text Renderer (includes Workaround): Language selection for text composition should be made with the IME selection button on the Text Properties menu itself, and not with the Windows Language controls on your desktop.

  • Program/Preview (includes Workaround): After playing a message containing a DVE object to output, the key combination CTRL+ALT+Q will not initially will not remove the DVE from Output. Repeating the key combination CTRL+ALT+Q will have the desired effect.

  • Lyric Standard (includes Workaround): If an FBX model is imported into the Canvas, the Camera element on the Timeline must be extended to the duration of the longest element in the Timeline. If not, Lyric may crash upon Play.

  • Find & Replace functionality (Control + H) does not work in this release of Lyric.

  • Lyric's Return-to-Canvas setting (Preferences > CG Preferences > Completion Mode) may cause memory problems, which can affect ChannelBox operation.

Other Workarounds and Suggestions

  • DO NOT drag entries from the Output branch of the Scene Tree to the Canvas branch of the Scene Tree.

  • Intelligent Interface: “Support Embedded Commands” must be disabled in the Config > Intelligent Interface menu in order for certain symbols (such as the British Pound symbol, '£') to be processed properly.

  • In the Surface Properties menu’s “Minify” dropdown, Bilinear or Trilinear filtering is recommended for images and textures that have been scaled down.

  • Full Screen Antialiasing should be enabled when 3D characters or objects are present in a Lyric composition.


Welcome to Lyric 7.0 and Lyric PRO

A Note About Lyric Software Licensing

Dongles that have enabled older versions of Lyric on existing Chyron systems ARE NOT compatible with Lyric Version 7. They must therefore be reprogrammed. Please contact Chyron Customer Service at 631-845-2132 if you are upgrading a Chyron system you currently own to Lyric Version 7.

Newly-purchased Chyron systems include either Lyric Version 7 or the Lyric PRO option, as ordered by the customer, with the purchased options enabled. Hence, no licensing updates are required.

  • To purchase and enable additional software options, please contact Chyron Customer Service.

  • Newly purchased Lyric 7 Offline and Lyric PRO Offline packages include a dongle kit programmed with the appropriate options.

Please contact Customer Service with any other questions regarding dongles. Full instructions for upgrading a Chyron system running a previous version of Lyric to Lyric 7 or Lyric 7 PRO may be found in the Lyric 7 Release Notes, Chyron Document Number 2a02305.

Introduction

Lyric is Chyron’s powerful, award-winning graphics application, featuring HD/SD, 2D/3D animation creation and real-time playout, especially suited to live broadcast. The Lyric PRO option adds a host of advanced features, including persistent objects, continuous rendering, Interactive Messages, hierarchical animations, multiple timelines and much more. Lyric is supported by Chyron’s CG/graphics system line, and is supplied standard with those systems. The Lyric PRO option is supported on select Chyron systems; for more information, contact Chyron Customer Support. For offline creation capability, Lyric Offline and Lyric Offline with the Lyric PRO option can run on a PC.

Lyric 7 and the Lyric PRO option require the presence of a Chyron-supplied dongle in the system in order to run. Please contact Customer Service about any questions regarding dongles.

Note

For all downloads (Online Help, Release Notes, drivers and updates), you must be logged in to the Chyron website. Any of the pages within our website listed on this page may be accessed directly from the link shown. If you navigate directly to these addresses without being logged in, you will have the opportunity to log in and then be redirected to the desired page.

If you are not registered with our site, doing so will allow you access to a variety of support resources such as product documentation, as well as our Knowledge Base and User Forum.

Online Help System

User documentation for Lyric can be accessed by clicking the Help entry on the Menu Bar. Context-sensitive Help for most parts of the user interface can be accessed by pressing the F1 key or by clicking the [image] button in the Windows toolbar in Lyric. Downloadable updates to Lyric's Online Help and release notes can be accessed from http://www.chyron.com/support/downloads/manuals.aspx.

Lyric Online Help is contained in a file called Lyric.chm, which is located at the root of Lyric 7's installation directory. Lyric.chm may be copied to any Windows system's desktop (or any other convenient location) for offline viewing and printing. Internet Explorer is required to open the file.

New Features in Lyric/Lyric PRO Version 7.0

This Online Help contains the most up-to-date information on the product. However, as mentioned above, the Online Help file is constantly being updated and may be downloaded from the Chyron website at http://www.chyron.com/support/downloads/manuals.aspx.

3D Adaptive Primitives

In addition to existing import capability for 3DS and OBJ models , Lyric Version 7 introduces optional support for six new adaptive primitives that may be created within the Lyric application itself. Their attributes are keyframeable and may be modified programmatically. The adaptive primitives include: cone, cube, cylinder, pod, sphere and torus. Adaptive primitives are inserted into the scene from the Lyric toolbar (Tools > 3D Object > 3D Object Primitive). Once added to the scene, their properties may be modified from the Properties menu’s Plugin tab.

3D Text Renderer /3D Text Templates

New with Lyric Version 7.0, the Text tab on the Properties menu allows a wide range of options for composing and editing content within 3D text templates. Note that foreign language input must be managed via the IME selection button on the Text Properties menu itself, and not with the Windows Language controls on your desktop. Note that significant features of the 3D Text Renderer are controlled via the 3D Text Templates dialog.

XMP Facility

With Lyric Version 7.0, update and replacement of 2D objects may be driven by metadata formatted in Adobe's Extensible Metadata Platform (XMPTM) format.

FBX Capability

With Version 7.0, Lyric is able to open .fbx-format files, of the type created by Autodesk® applications such as Maya and 3ds Max. FBX-created scenes thus opened on the Lyric Canvas may be further edited, modified and saved as Lyric messages.

Virtual Output

Lyric 7.0's Virtual Output capability affords the offline Lyric user the ability to see complex compositions, including multiple messages and transition effects, as they would appear on the output of online systems.

Note that in the current release, a problem with Lyric PRO Offline dongle licensing prevents the enabling of the Virtual Output option. If you have purchased this option, please call Customer Service at 631-845-2132 for a temporary workaround. Using the currently configured dongle, however, Lyric PRO will operate with the exception of Virtual Output. Note that this problem does NOT affect operation of Lyric PRO Online, on Chyron systems.

Program/Preview

The Program Preview feature duplicates the currently active Frame Buffer's content onto another Frame Buffer in your system, making for an Air/production-quality Preview monitor signal. This capability differs from Lyric's Clone Canvas Window option, which displays only the system video card's output.

Diagnostic Utility

This utility serves to capture logging and configuration information in the event that service is required. See the notes below for more detail on installing the Diagnostic Utility.

Other enhancements in this version of Lyric/Lyric PRO

  • New LEIF methods have been added to query XMP namespace and key data.

  • The Template Update feature has been expanded to add instant-replacement control over Images, Movies and 3D Objects, as well 2D- and 3D text.

  • A significant option has been added to Lyric's Intelligent Interface facility, enabling a new method of updating text templates and template objects on the Canvas.

About Lyric, Lyric PRO, Driver and Plugin Installation

Overview

New systems are delivered with Lyric or Lyric PRO installed. An upgrade to Lyric or Lyric PRO, or newly-purchased Lyric PRO, must be installed. Before installation of Lyric, Lyric PRO, or a plugin, close any open instance of Lyric, and then wait for thirty seconds. If, after the Lyric or Lyric PRO or plugin installation, an error message appears, indicating the presence of a duplicate LEIFLet, the system must be rebooted.

Visit the Chyron web site periodically for product-specific information. Updated Lyric, Lyric PRO, plugins and drivers are posted at http://www.chyron.com/support/downloads/software.aspx.

Lyric/Lyric PRO

To install Lyric or Lyric PRO:

  1. Insert the Lyric or Lyric PRO disk into the CD drive of the system. A page with links to the Lyric install program, documentation and utilities should automatically open. If it does not open, then use Windows® Explorer to view the files on the CD, and click on Setup.html.

  2. In the left-hand navigation pane, click the Install link, and follow the instructions to complete Lyric or Lyric PRO installation.

  3. The following drivers must be installed for online Lyric or Lyric PRO operation on a Chyron graphics system.

    • eFX Plugin: Necessary for systems with eFX frame buffer(s) and/or eFX clip player(s).

    • NVIDIA Driver: Necessary for all systems.

    • CMix Plugin: Necessary only for systems using a CMix SD Mixer.

Please refer to the information in the following sections for information on installing the plugins and drivers.

Notes

Sentinel Installation: Sentinel is the licensing application for Lyric. When prompted to install Sentinel during Lyric installation, please proceed with the Sentinel installation even if a previous version of Sentinel software is already installed on the system. Necessary updates are installed with this new version.

Diagnostic Utility: Please note that the Lyric 7.0 installation includes the new Lyric diagnostic utility. This feature requires Microsoft .NET library 2.0 or later. If the Microsoft .NET components are not installed on your system, and the system is connected to the Internet at the time of installation, the diagnostic utility installer will provide a link to the Microsoft .NET installation site. Instructions to install .NET should be followed and the installation will complete.

In the event that no Internet connection is available, the diagnostic utility installation may be cancelled without adversely affecting the remainder of the Lyric 7.0 installation. The diagnostic utility may be installed separately at a later date.

A General Note on Downloadable Updates and Drivers

Downloadable updates to Lyric software and drivers are available at http://www.chyron.com/support/downloads/software.aspx. Do not change the dropdown menu (which reads ‘All Products’ at the top of the page. Locate System Drivers on the page and click the Related Files link.

Note that to access download links to manuals and software, you must be a current Lyric SMA customer and be a registered user on the Chyron web site.

eFX Plugin

A system with an eFX frame buffer(s) and/or an eFX clip player option(s) must have eFX Plugin 205 installed. If you have an older system with eFX boards, do not uninstall the existing driver; allow the new driver to install over it.

The current eFX plugin can be found via the Drivers, Utilities, 3D Library link on the installation disk's left-hand navigation pane.

eFX driver installation defaults to Custom, which leaves the eFX Driver checkbox cleared (unchecked). Be sure to click (select) this checkbox for a full installation. During eFX plugin installation, Matrox codecs will also install. These are necessary for the Matrox-to-LTV file conversion utility.

When installing the eFX drivers, a prompt is displayed with the following message:

Answer No to the question “Install Audio Drivers” to prevent Frame Buffer reversal in Lyric

Click OK. A prompt will be displayed is following request:

Do you want to install audio driver?

Click No. This prevents the enumeration of eFX boards from being reversed in Lyric. Note that the intentional omission of these audio drivers does NOT have a negative effect on Lyric and system operation, and in fact, prevents Windows® system sounds from accidental output via the eFX board(s).

NVIDIA® Drivers

    NVIDIA driver 169.21 has been tested and approved by Chyron at the time of this writing, and should be installed. This recommendation supersedes previous driver recommendations. The driver is available on the Lyric 7 installation disk, in the Utilities\VGA Drivers\NVIDIA folder.

    CMix Plugin (SD Only)

    Where a Chyron CMix is in use with the system, a CMix Plugin must be installed. The current plugin is CMIX build 123, and may be found in the CMix folder on the installation disk or at: http://www.chyron.com/support/downloads/software.aspx.

    GPI/O Installation and Support

    Notes

    • If your system has a separate GPI I/O board, please refer to the Drivers, Utilities, 3D Library link on the Lyric installation disk for important information.

    • Regarding GPIs and Lyric 7! If upgrading to Lyric 7 on a system with GPIs, please refer to the Utilities page of the Lyric installation disk for important information. See Installation instructions for the PCI Express GPI/O device or Installation instructions for PCI and external USB GPI/O options. These instructions may also be found in the PDF-format or paper Release Notes, Chyron Publication Number 2a02305, which accompanies Lyric 7 upgrade packages.

    • Regarding CODI Frame Buffer-Based Systems and Systems Containing a CODI GPI I/O Board: A GPI I/O board driver installer is not necessary for MicroX Digital SD, MicroX Analog SD and other CODI frame buffer-based systems. In addition, systems that contain CODI-based GPI I/O boards do not require driver installation. GPIs are resident on CODI boards and do not require separate driver installation.

    Additional Drivers

    Drivers may be present for a variety of GPI hardware options. As above, access the Drivers, Utilities, 3D Library link on the installation disk's left-hand navigation pane.


Lyric 7.1: Bug Fixes and Known Issues

Bug Fixes

  • Lyric now displays a warning if an Intelligent Interface update fails to load an expected texture in a newly opened Lyric message.

  • Previous stream error problems resulting from Transfers using Default Effects have been resolved.

  • During installation of the new version of Lyric, the Lyric Shell Extension, the Chyron Diagnostic Utility, updates of the Sentinel licensing software, and the Lyric application itself may display multiple dialog boxes simultaneously.

  • Installation of the Shell Extension should proceed and conclude quickly.

  • When the Chyron Diagnostic Facility’s installation process begins, ignore it for the moment. The Sentinel Licensing Manager installation option will appear. In most cases, your Sentinel installation will not need updating, so select No.

  • If you do attempt to continue the installation of the Chyron Diagnostic Facility and receive warnings of conflicting multiple installations, again, just wait and the other installations will proceed, including that of the Lyric application itself. You may even elect to launch Lyric upon completion of the process, before resuming installation of the Chyron Diagnostic Facility.

  • When Chyron Diagnostic Facility installation proceeds, it may present a choice between Removing or Repairing the facility, choose the Repair Chyron Diagnostic Facility option, and click Finish.

  • Previous SD output problems (in both 525 and 625 standards), resulting in poor antialiasing performance and other artifacts, have been resolved.

  • Lyric 7.0 had trouble playing Transition-containing messages to PAL output, if those messages had been composed on an NTSC Canvas and converted to PAL via Auto-Standards Conversion. This problem has been fixed.

  • Previous plugin versions of Lyric had trouble being launched by some Avid products; this problem has been resolved.

  • With the current version of the eFX Plugin, Lyric’s reliability in erasing scenes from Output has been improved.

  • Intermediate releases of Lyric 7.1 have been subject to the failure of some Korean characters failing to appear in Auto-Erase templates via Intelligent Interface. This problem has been resolved.

  • Intermediate versions of Lyric 7.1 have been subject to problems with simultaneous use of Animate Elements and Homogeneous Materials features. These problems have been resolved.

  • In intermediate versions of Lyric 7.1, application of .mov files to 3D objects or 3D text occasionally failed, causing unwanted inversion of red and blue colors in the texture file. This problem has been resolved, but Chyron suggests testing compositions including objects of this type before Air/production.

  • Intermediate versions of Lyric 7.1 were subject to problems when hard edges were applied to 3D text created in Lyric version 7.0. This problem has been resolved.

Known Issues

  • The following can occur on systems using version 131 of the eFX driver, which is a component of the eFX Plugin 1.9.205; this includes all new systems and systems that have updated the eFX driver to version 131. When switching from 720p to NTSC or PAL, then animations played to output can occasionally jitter. The workaround is to switch to 1080i, and then to the desired SD standard (NTSC or PAL). Note that the jitter only occurs directly after the switch from 720p to NTSC or PAL, and does not recur once the workaround has been performed.

  • The following can occur on systems using version 131 of the eFX driver, which is a component of the eFX Plugin 1.9.205 and if eFX Reporting, set in the eFX Device settings, is enabled. When the system is set 1080i or NTSC and a clip is subsequently played to output, then the Status Bar will display an error at frame 0:00 that indicates either “Overload” or “Unknown error.” This occurs only once after the 1080i or NTSC standard is set, and is a false error message. It has no effect on the clip playout.

  • Crashes or other problems may occur when opening legacy messages (those created in earlier versions of Lyric) containing 3D text. If the message can be successfully opened, it should be resaved in Lyric version 7.1 for subsequent use. If the message cannot be opened, it should be re-created.

  • Users may experience problems when using Intelligent Interface with messages composed in Chinese, Japanese or Korean.

  • In 3D text composition, Font Size settings may not correspond exactly with the values desired by the operator. The apparent size of 3D text should be carefully evaluated before saving the message for Air/production.

  • Certain Effects, including ‘Edge Rays’ and ‘Sketch’ do not work when applied to the 3D adaptive primitives that may be created on the Plugins Properties menu.

  • Occasionally, 3D text with any Edge or Border will fail to appear on Canvas. Any message containing 3D text with the Supersampling function applied should be carefully checked before Air/production.

  • The current version of Lyric may have trouble launching and running the RGB Tools plugin.

  • Legacy messages processed by Auto Standards Conversion to the 720p standard may not play properly.

  • 2D or 3D text composition using OpenType fonts may not work properly in the current version of Lyric, and may cause unstable operation.

  • Incoming video for Capture on eFX boards may exhibit reduced luminance.

  • In 3D templates containing multiple lines of text, Page Up and Page down may not work as expected. It may be necessary to navigate within such templates using the mouse.

  • The font WaltographUI should not be used in Lyric until further notice. This issue will be resolved in a future release of Lyric.

  • When pasting text into a 3D text template containing textures, the newly-pasted text may not exhibit the desired textures assigned to the previously existing text in the template.

  • The 3D Font FX tab on the Properties menu is active and available any time a 3D text template is present on the current Canvas. This tab is normally available only when a 3D text template is selected for editing. Until this problem is corrected in a future build, take note of which element in the scene is currently selected for editing.

  • Copying and pasting Arabic text in 3D text templates may fail to place the pasted characters in the correct order, affecting punctuation marks in particular.

  • Horizontal spacing of 3D text may not correspond exactly to 2D text composed in the same font and size. This problem is not acute in most composition, and its severity increases with unusually large font sizes.

  • In the current version of Lyric, the Message Status window (View > Toolbars > Message Status) is not working properly and should not be used.

Other Suggestions/Workarounds

  • DO NOT drag entries from the Output branch of the Scene Tree to the Canvas branch of the Scene Tree.

  • Intelligent Interface: “Support Embedded Commands” must be disabled in the Config > Intelligent Interface menu in order for certain symbols (such as the British Pound symbol, '£') to be processed properly.

  • In the Surface Properties menu’s “Minify” dropdown, Bilinear or Trilinear filtering is recommended for images and textures that have been scaled down.

  • Full Screen Antialiasing should be enabled when 3D characters or objects are present in a Lyric composition.


Lyric 7.1 Banner

What's New in Lyric 7.1/PRO

August 2009 Release

New Features Lyric Licensing Bug Fixes, Known Issues & Workarounds

Installation of Lyric Pro, Drivers and Plugins Clone Canvas Window Setup Procedure

Chyron Systems Setup Guide Getting Started The previous release of Lyric

Please visit Chyron's Website at http://www.chyron.com/support/downloads.aspx.
Use the Products dropdown to choose your hardware.

Use the Resource Type dropdown to choose Product Manuals, and click GO.

Available Help files will be listed; select the Online Help file for your version of Lyric.

Updated August 12, 2009


SCRAP_FOR_EXPORT_TO_RH_Bug_Fixes_KNOWN_ISSUES_20090610

Bug Fixes

  • Lyric now displays a warning if an Intelligent Interface update fails to load an expected texture in a newly opened Lyric message.

  • Previous stream error problems resulting from Transfers using Default Effects have been resolved.

  • During installation of the new version of Lyric, the Lyric Shell Extension, the Chyron Diagnostic Utility, updates of the Sentinel licensing software, and the Lyric application itself may display multiple dialog boxes simultaneously.

  • Installation of the Shell Extension should proceed and conclude quickly.

  • When the Chyron Diagnostic Facility’s installation process begins, ignore it for the moment. The Sentinel Licensing Manager installation option will appear. In most cases, your Sentinel installation will not need updating, so select No.

  • If you do attempt to continue the installation of the Chyron Diagnostic Facility and receive warnings of conflicting multiple installations, again, just wait and the other installations will proceed, including that of the Lyric application itself. You may even elect to launch Lyric upon completion of the process, before resuming installation of the Chyron Diagnostic Facility.

  • When Chyron Diagnostic Facility installation proceeds, it may present a choice between Removing or Repairing the facility, choose the Repair Chyron Diagnostic Facility option, and click Finish.

  • Previous SD output problems (in both 525- and 625-standards), resulting in poor antialiasing performance and other artifacts, have been resolved.

  • Lyric 7.0 had trouble playing Transition-containing messages to PAL output, if those messages had been composed on an NTSC Canvas and converted to PAL via Auto-Standards Conversion. This problem has been fixed.

  • Previous plugin versions of Lyric had trouble being launched by some Avid products; this problem has been resolved.

Known Issues

  • The Animate Elements and Homogeneous Materials may not be used at the same time, and may not be activated simultaneously on the user interface.

  • In Lyric version 7.1 hard edges may not be applied to 3D text created in Lyric version 7.0. This problem will be resolved in future releases of Lyric.

  • Crashes or other problems may occur when opening legacy messages (those created in earlier versions of Lyric) containing 3D text. If the message can be successfully opened, it should be resaved in Lyric version 7.1 for subsequent use. If the message cannot be opened, it should be re-created.

  • Lyric may be subject to crashes when applying hard Edges to 3D text during composition.

  • Take extra care when using .mov files as textures on 3D text. Characters added to the template’s text after setting the movie texture may not exhibit the desired texture.

  • Users may experience problems when using Intelligent Interface with messages composed in Chinese, Japanese or Korean.

  • In 3D text composition, Font Size settings may not correspond exactly with the values desired by the operator. The apparent size of 3D text should be carefully evaluated before saving the message for Air/production.

  • Certain particle-type Effects, such as “Fire”, “Smoke” and “Glitter”, may not be usable with Lyric’s internally created 3D primitives. All 3D object-compatible Effects should work with imported 3D objects.

  • 3D text Type On messages built with a hard Edge may display, on Output, unwanted outlines of characters that have not yet appeared in the expected progress of the Type On’s animation.

  • Occasionally, 3D text with any Edge or Border will fail to appear on Canvas. Any message containing 3D text with the Supersampling function applied should be carefully checked before Air/production.

  • Applying .mov files to 3D objects or 3D text may not work properly, causing unwanted inversion of red and blue colors in the texture file. Chyron strongly suggests testing compositions including objects of this type before Air/production.

  • Applying image files or Ramp color schemes to Edges on 3D text may not work properly, causing inversion of desired colors, and other artifacts.

  • Edge/Border effects should not be used on 3D text when Lyric is running in Fast Render mode.

  • The current version of Lyric may have trouble launching and running the RGB Tools plugin.

  • Legacy messages processed by Auto Standards Conversion to the 720p standard may not play properly.

  • Overlapping portions of Arabic characters may appear improperly.

  • Macro messages containing text in multiple languages, when initiated through Intelligent Interface, may cause Scene Exceptions, with cessation of any playout in progress.

  • 2D- or 3D text composition using OpenType fonts may not work properly in the current version of Lyric, and may cause unstable operation.

  • Incoming video for Capture on eFX boards may exhibit reduced luminance.

  • Images which have been cropped prior to import into Lyric may be slightly stretched along the Y axis, or be slightly misaligned in their Y axis placement on the Canvas. This problem may be mitigated to some degree using the Turn Off Alpha Border option, which accessible via image’s right-click menu. This phenomenon affects most still image formats which are importable into Lyric, and affects only images which have been cropped prior to import in editing applications such as Photoshop. Cropped images set as Backgrounds are also subject to this problem; note that Turn Off Alpha Border is not available for use with Backgrounds.

  • In 3D templates containing multiple lines of text, Page Up and Page down may not work as expected. It may be necessary to navigate within such templates using the mouse.

Other Suggestions/Workarounds

  • DO NOT drag entries from the Output branch of the Scene Tree to the Canvas branch of the Scene Tree.

  • Intelligent Interface: “Support Embedded Commands” must be disabled in the Config > Intelligent Interface menu in order for certain symbols (such as the British Pound symbol, '£') to be processed properly.

  • In the Surface Properties menu’s “Minify” dropdown, Bilinear or Trilinear filtering is recommended for images and textures that have been scaled down.

  • Full Screen Antialiasing should be enabled when 3D characters or objects are present in a Lyric composition.


Welcome to Lyric 7.1 and Lyric PRO

A Note About Lyric Software Licensing

Dongles that have enabled older versions of Lyric on existing Chyron systems ARE NOT compatible with Lyric Version 7. They must therefore be reprogrammed. Please contact Chyron Customer Service at 631-845-2132 if you are upgrading a Chyron system you currently own to Lyric Version 7.

Newly-purchased Chyron systems include either Lyric Version 7 or the Lyric PRO option, as ordered by the customer, with the purchased options enabled. Hence, no licensing updates are required.

  • To purchase and enable additional software options, please contact Chyron Customer Service.

  • Newly purchased Lyric 7 Offline and Lyric PRO Offline packages include a dongle kit programmed with the appropriate options.

Please contact Customer Service with any other questions regarding dongles. Full instructions for upgrading a Chyron system running a previous version of Lyric to Lyric 7 or Lyric 7 PRO may be found in the Lyric 7 Release Notes, Chyron Document Number 2a02305.

Introduction

Lyric is Chyron’s powerful, award-winning graphics application, featuring HD/SD, 2D/3D animation creation and real-time playout, especially suited to live broadcast. The Lyric PRO option adds a host of advanced features, including persistent objects, continuous rendering, Interactive Messages, hierarchical animations, multiple timelines and much more. Lyric is supported by Chyron’s CG/graphics system line, and is supplied standard with those systems. The Lyric PRO option is supported on select Chyron systems; for more information, contact Chyron Customer Support. For offline creation capability, Lyric Offline and Lyric Offline with the Lyric PRO option can run on a PC.

Lyric 7 and the Lyric PRO option require the presence of a Chyron-supplied dongle in the system in order to run. Please contact Customer Service about any questions regarding dongles.

Online Help System

User documentation for Lyric can be accessed by clicking the Help entry on the Menu Bar. Context-sensitive Help for most parts of the user interface can be accessed by pressing the F1 key or by clicking the [image] button in the Windows toolbar in Lyric. Downloadable updates to Lyric's Online Help and release notes can be accessed from http://www.chyron.com/support/downloads/manuals.aspx.

Lyric Online Help is contained in a file called Lyric.chm, which is located at the root of Lyric's installation directory. Lyric.chm may be copied to any Windows system's desktop (or any other convenient location) for offline viewing and printing. Internet Explorer is required to open the file.

New Features in Lyric/Lyric PRO Version 7.1

This Online Help contains the most up-to-date information on the product. However, as mentioned above, the Online Help file is constantly being updated and may be downloaded from the Chyron website at http://www.chyron.com/support/downloads/manuals.aspx.

3D Text Composition

With the release of Lyric Version 7.1, several enhancements to 3D Text composition and 3D Text Template operation for non-English languages have been added:

  • 3D text templates on the Canvas now display a title bar upon mouse-hover, for ease in dragging the template to a desired location. To take advantage of this feature, Rendering Mode on the Canvas itself (select Global Light or Camera to work with properties intrinsic to the Canvas) must be set to Normal.

  • Text selection within the 3D text template text-input field is now also reflected in the template as seen on-Canvas.

  • In the 3D Text Template dialog box, an option known as Supersample has been added. The Supersample function may be used to improve the appearance of 3D text.

  • In languages such as Hindi and Arabic, unwanted bright spots may occur where characters overlap by design. The Correct for Overlap option normalizes such bright spots without disturbing the desired overlap of those characters.

  • The 3D Text Template dialog now includes the option Homogeneous Materials. With this checkbox selected, any adjustments to 3D character colors and/or textures are now applied to Face, Edge (Bevels) and Sides in the active template as a whole. In this mode of operation, color and texture need not (and cannot) be set for Face, Edges and Sides individually. Use of this option optimizes the speed with which such changes are applied, when the operator wishes to change all surfaces with one action. As ever, bitmap images, Lyric-importable movies, 2D text boxes and Lyric-generated solid- and ramp-colors may be used as textures across textures.

Important Notes on 3D Text Composition in Lyric Version 7.1

  • 3D text built in Lyric Versions 6.5 RU3 and earlier may appear slightly differently than originally intended. This will not occur in every ‘legacy’ message containing 3D text. Chyron recommends that previously built messages with 3D text be recalled and played to Output to check the display. If such 3D text does not display as desired, it should be modified or replaced.

  • IMPORTANT: The spell-check function in 3D text composition requires the presence of Microsoft Word 2003 or later on your system.

Power Charts

Power Charts is an optional plugin for Lyric for use with Chyron's own 3D Primitives Plugin. Power Charts enables the user to map all manner of numerical data across 3D primitives, for applications such as elections, sports and business reporting. Using DB Link or Intelligent Interface, data input from external sources, including internet resources, can be linked to templates containing the numerical values that update Power Charts' displays. Manual input to these templates can also be performed using the Alt T Template Update function.

Additional Enhancements

Lyric Message Thumbnails and the Lyric Shell Extension

Until now, thumbnails of Lyric messages have only been available through Lyric’s own Browser. With the release of Lyric Version 7.1, Lyric messages are visible in Windows Explorer’s Thumbnail view. The Lyric installation process includes prompts for setup of this facility, which resides in its own folder, currently known as Lyric Shell Extension 1.0. It is suggested that you accept the installer’s default destination for this folder. At this time, the Lyric Thumbnails plugin works only with messages created by Lyric Version 7.1. Older messages read up in the current version of Lyric and re-saved will be visible as thumbnails via this method.

Blending Option in Rendering Properties Menu

Lyric version 7.1 affords the user finer control of the Alpha values in objects newly added to a Canvas scene. These options appear on the Rendering Properties menu, in the new Blender dropdown. See the Online Help for additional details.

Reset 3D Text Surface Colors

The Face, Edge and Bevel colors for 3D text may now be conveniently reset to their default colors with a Reset button located directly above each color selection control on the 3D Text Properties menu.

LEIF Enhancements

  • A Lyric Camera may now be added to Transitions within a scene by means of LEIF plugins.

  • The Homogeneous Materials option may now be imposed on 3D text templates via LEIF plugins.

  • The 3D text Justify option may now be imposed on 3D text templates via LEIF plugins .

  • Setting Word Wrap through LEIF now enables the Width and Height fields in the 3D Text template dialog box. The familiar blue bounding box appears on Canvas, as if the option had been selected through the Lyric user interface .

  • Timeline I/O operations are now supported by means of LEIF plugins .

About Lyric, Lyric PRO, Driver and Plugin Installation

Overview

New systems are delivered with Lyric or Lyric PRO installed. An upgrade to Lyric or Lyric PRO, or newly-purchased Lyric PRO, must be installed. Before installation of Lyric, Lyric PRO, or a plugin, close any open instance of Lyric, and then wait for thirty seconds. If, after the Lyric or Lyric PRO or plugin installation, an error message appears, indicating the presence of a duplicate LEIFLet, the system must be rebooted.

Visit the Chyron web site periodically for product-specific information. Updated Lyric, Lyric PRO, plugins and drivers are posted at http://www.chyron.com/support/downloads/software.aspx.

Lyric/Lyric PRO

To install Lyric or Lyric PRO:

  1. Insert the Lyric or Lyric PRO disk into the CD drive of the system. A page with links to the Lyric install program, documentation and utilities should automatically open. If it does not open, then use Windows® Explorer to view the files on the CD, and click on Setup.html.

  2. In the left-hand navigation pane, click the Install link, and follow the instructions to complete Lyric or Lyric PRO installation.

  3. The following drivers must be installed for online Lyric or Lyric PRO operation on a Chyron graphics system.

    • eFX Plugin: Necessary for systems with eFX frame buffer(s) and/or eFX clip player(s).

    • NVIDIA Driver: Necessary for all systems.

    • CMix Plugin: Necessary only for systems using a CMix SD Mixer.

Please refer to the information in the following sections for information on installing the plugins and drivers.

Notes

Sentinel Installation: Sentinel is the licensing application for Lyric. When prompted to install Sentinel during Lyric installation, please proceed with the Sentinel installation even if a previous version of Sentinel software is already installed on the system. Necessary updates are installed with this new version.

Diagnostic Utility: Please note that the Lyric 7.1 installation includes the new Lyric diagnostic utility. This feature requires Microsoft .NET library 2.0 or later. If the Microsoft .NET components are not installed on your system, and the system is connected to the Internet at the time of installation, the diagnostic utility installer will provide a link to the Microsoft .NET installation site. Instructions to install .NET should be followed and the installation will complete.

In the event that no Internet connection is available, the diagnostic utility installation may be cancelled without adversely affecting the remainder of the Lyric 7.1 installation. The diagnostic utility may be installed separately at a later date.

A General Note on Downloadable Updates and Drivers

Downloadable updates to Lyric software and drivers are available at http://www.chyron.com/support/downloads/software.aspx. Do not change the dropdown menu (which reads ‘All Products’ at the top of the page. Locate System Drivers on the page and click the Related Files link.

Note that to access download links to manuals and software, you must be a current Lyric SMA customer and be a registered user on the Chyron web site.

eFX Plugin

A system with an eFX frame buffer(s) and/or an eFX clip player option(s) must have eFX Plugin 1.9.205 installed. If you have an older system with eFX boards, do not uninstall the existing driver; allow the new driver to install over it.

The current eFX plugin can be found via the Drivers, Utilities, 3D Library link on the installation disk's left-hand navigation pane, or at http://www.chyron.com/support/downloads/software.aspx

eFX driver installation defaults to Custom, which leaves the eFX Driver checkbox cleared (unchecked). Be sure to click (select) this checkbox for a full installation. During eFX plugin installation, Matrox codecs will also install. These are necessary for the Matrox-to-LTV file conversion utility.

When installing the eFX drivers, a prompt is displayed with the following message:

Answer No to the question “Install Audio Drivers” to prevent Frame Buffer reversal in Lyric

Click OK. A prompt will be displayed is following request:

Do you want to install audio driver?

Click No. This prevents the enumeration of eFX boards from being reversed in Lyric. Note that the intentional omission of these audio drivers does NOT have a negative effect on Lyric and system operation, and in fact, prevents Windows® system sounds from accidental output via the eFX board(s).

NVIDIA® Drivers

NVIDIA driver 182.50 has been tested and approved by Chyron at the time of this writing, and this recommendation supersedes previous driver recommendations. The correct drivers are available on the Lyric installation disk, in the Utilities\VGA Drivers\nVIDIA folder.

CMix Plugin (SD Only)

Where a Chyron CMix is in use with the system, a CMix Plugin must be installed. The current plugin is CMIX build 123, and may be found in the CMix folder on the installation disk or at: http://www.chyron.com/support/downloads/software.aspx.

GPI/O Installation and Support

Notes

  • If your system has a separate GPI I/O board, please refer to the Drivers, Utilities, 3D Library link on the Lyric installation disk for important information.

  • Regarding GPIs and Lyric 7! If upgrading to Lyric 7 on a system with GPIs, please refer to the Utilities page of the Lyric installation disk for important information. See Installation instructions for the PCI Express GPI/O device or Installation instructions for PCI and external USB GPI/O options. These instructions may also be found in the PDF-format or paper Release Notes, Chyron Publication Number 2a02305, which accompanies Lyric 7 upgrade packages.

  • Regarding CODI Frame Buffer-Based Systems and Systems Containing a CODI GPI I/O Board: A GPI I/O board driver installer is not necessary for MicroX Digital SD, MicroX Analog SD and other CODI frame buffer-based systems. In addition, systems that contain CODI-based GPI I/O boards do not require driver installation. GPIs are resident on CODI boards and do not require separate driver installation.

Additional Drivers

Drivers may be present for a variety of GPI hardware options. As above, access the Drivers, Utilities, 3D Library link on the installation disk's left-hand navigation pane.


Lyric 7.1 RU1 Banner

What's New in Lyric 7.1 RU1

January 2010 Release

New Features Lyric Licensing Bug Fixes, Known Issues & Workarounds

Installation of Lyric Pro, Drivers and Plugins Clone Canvas Window Setup Procedure

Chyron Systems Setup Guide Getting Started The previous release of Lyric

Please visit Chyron's Website at http://www.chyron.com/support/downloads.aspx.
Use the Products dropdown to choose your hardware.

Use the Resource Type dropdown to choose Product Manuals, and click GO.

Available Help files will be listed; select the Online Help file for your version of Lyric.

Updated 22 January 2010


Lyric 7.1 RU1: Bug Fixes and Known Issues

Lyric 7.1 RU1

Bug Fixes

  • Lyric plugin for Avid Symphony and Media Composer on hardware running the Microsoft Vista OS: These Avid applications using the Lyric plugin may be subject to errors in the Avid application when adding a Lyric effect to the Avid timeline. This can be corrected with the download and installation of Microsoft’s Application Compatibility Toolkit 5.5, which is available from Microsoft at http://www.microsoft.com/downloads/details.aspx?displaylang=en&FamilyID=24da89e9-b581-47b0-b45e-492dd6da2971.

  • Previous versions of Lyric occasionally failed to display images originally embedded in a message, as well as the desired image upon message-update. This issue has been resolved.

  • The key combination CTRL-ALT-Q clears frame buffer outputs in Lyric systems running in "online" mode on Chyron hardware. Previous versions of Lyric running offline did not respond to CTRL-ALT-Q by clearing the offline installation's virtual outputs. This problem has been resolved, and CTRL-ALT-Q now performs the desired action in offline installations.

  • Previous versions of Lyric in use with CAMIO: W commands issued by CAMIO which contain no intentional changes to Template Data Messages, occasionally erase rows in text templates. This problem has been resolved.

  • Intermediate releases of Lyric have been subject to occasional failure in creating and reading Template Data Messages containing multiple rows marked for Update.

  • Previous versions of Lyric occasionally failed to display Korean text in auto-erase templates updated via Intelligent Interface. This problem has been resolved.

  • Previous releases of Lyric, and interim versions of Lyric 7.1, were subject to occasional problems with character spacing and kerning of Continuous Update-enabled 2D templates. This issue has been corrected.

  • Previous versions of Lyric were subject to problems in recognizing East Asian-language filenames contained in Intelligent Interface commands. This issue has been resolved.

  • Intelligent Interface: Previous versions of Lyric were subject to "Object Required" errors when retrieving a scene object or a transition object, as requested via Intelligent Interface "E" commands. This problem has been resolved.

  • Previous versions of Lyric were unable to produce the "interpoint" vertically centered dot character, on the Korean keyboard. This problem has been corrected.

  • In previous versions of Lyric, unicode characters requiring multiple codepoints to produce required multiple glyphs did not appear correctly in 2D text windows. This problem has been corrected.

  • Channel Box: Previous releases of the software were subject to problems with multimedia text boxes, affecting dynamically replaceable images and movies within Lyric 2D text boxes. Messages containing these elements occasionally reproduced the desired content scaled incorrectly or located incorrectly on the Canvas. This problem has been corrected.

  • Channel Box: In Lyric 7.1 running on ChannelBox, Multimedia Text regions appear oversized on Output. This problem has been remedied.

  • Previous versions of Lyric occasionally failed to release Pauses if the 2-Pass Rendering option was enabled. The problem extended to both Keypress and Timeout pauses. The problem has been resolved.

  • Intermediate releases of Lyric have been subject to occasional failure in creating and reading Template Data Messages containing multiple rows marked for Update.

  • Previous versions of Lyric in use with CAMIO: W commands issued by CAMIO which contain no intentional changes to Template Data Messages, occasionally erase rows in text templates. This problem has been resolved.

  • Lyric Versions 7.0 and 7.1: When editing messages containing Macros, crashes occurred upon Shift+selection of a single, or multiple nodes in the composition. This problem has been corrected with Lyric Version 7.1 RU1.

  • Lyric Version 7.1 failed to properly reproduce Flipbooks embedded in text windows. This problem has been resolved with the release of Lyric 7.1 RU1.

  • Intermediate versions of Lyric have performed unwanted changes of 3D text font size upon modification of the text's face, edge or bevel colors. This problem has been corrected.

  • Lyric 7.1 was subject to errors in reproducing Z-axis values in Lyric 7.0-authored messages. This has been corrected.

  • Previous releases of Lyric failed to retain (Surface Properties) Minify settings when a message was composed, saved and reopened. This problem has been corrected.

  • Lyric's File > Open and Import Graphic dialog boxes are once again resizable.

  • In previous versions of Lyric, a 2D text window with Template Lock On selected did not retain the Template Lock setting when copied and pasted as a new object on the Canvas. The newly copied & pasted text window required that Template Lock On be reset by the operator if that option was desired. This has been corrected.

  • The previous version of Lyric failed to honor looped events that were correctly configured to update on-air text, such as temperature displays. This issue has been corrected.

  • Intermediate versions of Lyric 7.1 were subject to hanging upon the addition of movie files to 3D objects as a Surface Property. This has been resolved.

  • Intermediate versions of Lyric 7.1 wrongly generated Missing Image alerts when replacing a movie texture on 3D objects via Intelligent Interface R commands. This has been corrected.

  • With Lyric Version 7.1 RU1, Canvas Resolution settings may be set as high as the maximum values allowed by the hardware system’s video card.

  • In previous Lyric releases, using the Continuous Update \f tag to select a font from the browser failed to bring about the desired selection of height, weight (bold) or italics. This has been resolved.

  • Previously, if a Lyric Scene was Paused (awaiting keypress to release) in the Effect In Transition, while an eFX clip was present in the Default Transition, the eFX clip could not start despite the Transition being configured correctly.

This has been addressed with new functionality. With the new version of Lyric, eFX clips are only affected by pauses in the same transition as the clip itself.

  • In an issue related to the one above, an eFX clip already playing would recue when a Transition in the same message was released from Pause. This has been resolved.

  • Previous versions of Lyric were unable to export Type Ons as Flipbooks. This has been corrected.

  • Previous versions of Lyric were unable to delete the contents of a 3D template with Animate Elements enabled, if the template contained an individual character that was Grouped. This problem has been resolved.

  • Previous versions of Lyric were also subject to occasional crashes upon selection of a 3D template with Animate Elements enabled. This problem has been resolved.

  • Previous versions of Lyric’s Backup/Restore utility were subject to occasional “hangs” during operation. This problem has been corrected.

  • Text templates may now be successfully updated solely by Template number, via Intelligent Update “U” command.

  • Previously, Continuous Update to 2D text templates occasionally failed to engage the Auto Follow option, which may be selected in the 2D Text Template dialog. The problem also sometimes affected refresh of object textures. This has been corrected.

  • In previous versions of Lyric, animated bitmap objects were occasionally rendered as a black area in the scene upon activation of a Transition. This issue has been resolved.

  • Holding the Alt key while clicking an object on the Canvas is intended to toggle through all the elements co-located under the mouse, one at a time. In the previous release of Lyric, all of these elements were instead selected simultaneously. This has been resolved.

  • Previously, Macros that specifically enabled DBLink for a given movie or image were not honored. Users therefore needed to manually enable the movie/image object for DBLink, for the Macro to run and successfully execute the rest of its instructions.

  • Previously, turning on the Animate Elements option during 3D text template composition prevented any characters subsequently entered from appearing in the Scene Graph or Timeline. This has been resolved.

  • In Lyric Versions 7.0 and 7.1, plugins could not be registered by a user lacking System Administrator privileges. This has been corrected.

  • In recent versions of Lyric, the Lyric Browser’s database could not be opened by users lacking write permission for that database. This has been corrected. Users lacking write permission for a given Browser database may now open the desired Browser. However, a warning dialog will appear, and the user will only be able to retrieve assets from the Browser, and not add any assets.

  • Recent intermediate versions of Lyric have been subject to crashes if the user attempts to select a frame buffer board for configuration, if that board was previously designated “Unused”. These settings are found in Lyric’s Config menu > Hardware > Configure Board Use.

  • Recent problems with Lyric's Soft Mask function have been resolved.

  • Users of the Latin American keyboard experienced difficulties in typing accented vowels when working with the Alt+T Template Update dialog in recent versions of Lyric. These issues have been resolved.

  • Intelligent Interface Continuous Updates to 2D text templates have occasionally failed to include all characters after several updates. This has been resolved.

  • Previous versions of the eFX plugin caused a delay in the desired operation of the Ctrl+Alt+q function, which is intended to clear all frame buffers on the system on which Lyric is operating. This has been remedied with the current version of the eFX plugin. See Drivers and Plugins. This also corrects an earlier problem which caused the appearance of a warning dialog

  • Previously, opening a clip-containing Lyric message saved in a different video standard than the one set for the current Canvas caused a contradictory warning dialog reading "Cannot Create Clip: The Operation Completed Successfully". This problem is resolved by the current eFX plugin.

Known Issues

Lyric running on HyperX3 systems may be subject to jittery playback of Quicktime movies, as a function of the system attempting to save power on the video card. The suggested workaround is installation of the utility ChyronNvidiaTweak.exe, which is included on the Lyric installation disc, but is not installed automatically. The user can install this utility during or after Lyric installation/update.

In PAL operation, previously reported problems concerning HD color space may be corrected by selecting the Quality and PBO checkbox options in Hardware Configuration > Setup Board Configuration > Advanced > Transcoding. Remember that this setting must be made for each eFX frame buffer device.

Other Suggestions/Workarounds

  • DO NOT drag entries from the Output branch of the Scene Tree to the Canvas branch of the Scene Tree.

  • Intelligent Interface: “Support Embedded Commands” must be disabled in the Config > Intelligent Interface menu in order for certain symbols (such as the British Pound symbol, '£') to be processed properly.

  • In the Surface Properties menu’s “Minify” dropdown, Bilinear or Trilinear filtering is recommended for images and textures that have been scaled down.

  • Full Screen Antialiasing should be enabled when 3D characters or objects are present in a Lyric composition.


Welcome To Lyric 7.1 RU1 and Lyric PRO

Welcome to Lyric 7.1 RU1

A Note About Lyric Software Licensing

Dongles that have enabled older versions of Lyric on existing Chyron systems ARE NOT compatible with Lyric Version 7. They must therefore be reprogrammed. Please contact Chyron Customer Service at 631-845-2132 if you are upgrading a Chyron system you currently own to Lyric Version 7.

Newly-purchased Chyron systems include either Lyric Version 7 or the Lyric PRO option, as ordered by the customer, with the purchased options enabled. Hence, no licensing updates are required.

  • To purchase and enable additional software options, please contact Chyron Customer Service.

  • Newly purchased Lyric 7 Offline and Lyric PRO Offline packages include a dongle kit programmed with the appropriate options.

Please contact Customer Service with any other questions regarding dongles. Full instructions for upgrading a Chyron system running a previous version of Lyric to Lyric 7 or Lyric 7 PRO may be found in the Lyric 7 Release Notes, Chyron Document Number 2a02305.

Introduction

Lyric is Chyron’s powerful, award-winning graphics application, featuring HD/SD, 2D/3D animation creation and real-time playout, especially suited to live broadcast. The Lyric PRO option adds a host of advanced features, including persistent objects, continuous rendering, Interactive Messages, hierarchical animations, multiple timelines and much more. Lyric is supported by Chyron’s CG/graphics system line, and is supplied standard with those systems. The Lyric PRO option is supported on select Chyron systems; for more information, contact Chyron Customer Support. For offline creation capability, Lyric Offline and Lyric Offline with the Lyric PRO option can run on a PC.

Lyric 7 and the Lyric PRO option require the presence of a Chyron-supplied dongle in the system in order to run. Please contact Customer Service about any questions regarding dongles.

Lyric 7.1 RU 1 enhances the functionality of, and corrects issues found in the previous release of Lyric Version 7.1.

Online Help System

The Online Help file placed in this new version’s installation folder by the program’s installer may not reflect the newest product information. On the Lyric installation disc, separate from the Lyric installer, the most up-to-date Online Help file (Lyric.chm) may be accessed via the Installers and Resources page on the Lyric disk. After Lyric installation, save the Lyric.chm file to the directory where you have installed Lyric version 7.1 RU1. Permit this file to overwrite the Lyric.chm file previously in the installation directory.

Online Help is constantly being updated. Check for new downloads from the Chyron website at http://www.chyron.com/support/downloads/manuals.aspx.

Lyric Online Help is contained in a file called Lyric.chm, which is located at the root of Lyric's installation directory. Lyric.chm may be copied to any Windows system's desktop (or any other convenient location) for offline viewing and printing. Internet Explorer is required to open the file.

A note regarding Online Help and previous versions of Lyric

The contents of this Online Help package are constantly being updated with regard to new features and modifications of existing features. The Online Help's introductory pages for the past several releases of Lyric remain available. Click [image] Archives at the bottom of the Contents tab at left to view New Features and Bug Fixes/Known Issues for previous versions of Lyric.

New Features in Lyric 7.1 RU1

New Intelligent Interface Embedded Command

With this version of Lyric, Intelligent Interface-triggered changes to text color within a template may be reversed via Intelligent Interface’s V\5\13 command. This is accomplished via a new embedded command, seen in the example below:

V\5\13\1\1\100\0\Original Color<tab>[c2]Magenta<tab>[c0]Original Color\\

Here, a text template’s default Original Color has been changed by the embedded command <tab>[c2] to that of the second position in Lyric’s palette, in this case, Magenta. The newly-added command <tab>[c0] now allows text template color to be returned to its default via Intelligent Interface without manual intervention by the operator.

The <tab>[c0] embedded command can also be incorporated into R, W and U commands.

Non-blocking Telnet

Lyric 7.1 RU1 adds an option which prevents the system from attempting to process an Intelligent Interface command before the previously-received Intelligent Interface command has been fully processed. Disabling the Non-blocking Telnet option causes Lyric to queue an incoming command until the previous command has been executed. Commands are thus 'blocked' until the system can reliably handle them.

Transmit Pro Events

When a Lyric Pro Transition is activated on Output, Lyric issues notification to the external system that initiated the event that the event has finished playing on output. Notification is formatted similarly to an Intelligent Interface V command; an example is seen below:

V\01\T\Default\\\9c

In the above example, “01” denotes that the Transition event occurred on the playout system’s Frame Buffer 1, and “Default” identifies the name of the Transition in the message.

The Transmit Pro Events option may be disabled at the user’s discretion.

Canvas Resolution

The available default settings (D1 525, HDTV 1080i, etc.) now include a setting for HDTV 720p 50 Hz.

Composition and Playout

On the 2D Object Template dialog, the File Was Not Found warning no longer appears. The operator still has the option of choosing to embed texture images in the message when the message is saved.

Fix Obtuse Angle: On the 3D Font FX Properties tab, the Fix Obtuse Angle checkbox has been added. This option may be enabled to correct the undesired appearance of sharp angles in the 3D text Edge effects on certain fonts.

About Lyric, Lyric PRO, Driver and Plugin Installation

Overview

New systems are delivered with Lyric or Lyric PRO installed. An upgrade to Lyric or Lyric PRO, or newly-purchased Lyric PRO, must be installed. Before installation of Lyric, Lyric PRO, or a plugin, close any open instance of Lyric, and then wait for thirty seconds. If, after the Lyric or Lyric PRO or plugin installation, an error message appears, indicating the presence of a duplicate LEIFLet, the system must be rebooted.

Visit the Chyron web site periodically for product-specific information. Updated Lyric, Lyric PRO, plugins and drivers are posted at http://www.chyron.com/support/downloads/software.aspx.

Lyric/Lyric PRO

To install Lyric or Lyric PRO:

  1. Insert the Lyric or Lyric PRO disk into the CD drive of the system. A page with links to the Lyric install program, documentation and utilities should automatically open. If it does not open, then use Windows® Explorer to view the files on the CD, and click on Setup.html.

  2. In the left-hand navigation pane, click the Install link, and follow the instructions to complete Lyric or Lyric PRO installation.

  3. The following drivers must be installed for online Lyric or Lyric PRO operation on a Chyron graphics system.

    • eFX Plugin: Necessary for systems with eFX frame buffer(s) and/or eFX clip player(s).

    • NVIDIA Driver: Necessary for all systems.

    • CMix Plugin: Necessary only for systems using a CMix SD Mixer.

Please refer to the information in the following sections for information on installing the plugins and drivers.

Notes

Sentinel Installation: Sentinel is the licensing application for Lyric. When prompted to install Sentinel during Lyric installation, please proceed with the Sentinel installation even if a previous version of Sentinel software is already installed on the system. Necessary updates are installed with this new version.

Diagnostic Utility: Please note that the Lyric 7.1 RU1 installation includes the new Lyric diagnostic utility. This feature requires Microsoft .NET library 2.0 or later. If the Microsoft .NET components are not installed on your system, and the system is connected to the Internet at the time of installation, the diagnostic utility installer will provide a link to the Microsoft .NET installation site. Instructions to install .NET should be followed and the installation will complete.

In the event that no Internet connection is available, the diagnostic utility installation may be cancelled without adversely affecting the remainder of the Lyric 7.1 RU1 installation. The diagnostic utility may be installed separately at a later date.

A General Note on Downloadable Updates and Drivers

Downloadable updates to Lyric software and drivers are available at http://www.chyron.com/support/downloads/software.aspx. Do not change the dropdown menu (which reads ‘All Products’ at the top of the page. Locate System Drivers on the page and click the Related Files link.

Note that to access download links to manuals and software, you must be a current Lyric SMA customer and be a registered user on the Chyron web site.

eFX Plugin

A system with an eFX frame buffer(s) and/or an eFX clip player option(s) must have eFX Plugin 1.9.213 installed. If you have an older system with eFX boards, do not uninstall the existing driver; allow the new driver to install over it.

The current eFX plugin can be found via the Drivers, Utilities, 3D Library link on the installation disk's left-hand navigation pane, or at http://www.chyron.com/support/downloads/software.aspx

eFX driver installation defaults to Custom, which leaves the eFX Driver checkbox cleared (unchecked). Be sure to click (select) this checkbox for a full installation. During eFX plugin installation, Matrox codecs will also install. These are necessary for the Matrox-to-LTV file conversion utility.

When installing the eFX drivers, a prompt is displayed with the following message:

Answer No to the question “Install Audio Drivers” to prevent Frame Buffer reversal in Lyric

Click OK. A prompt will be displayed is following request:

Do you want to install audio driver?

Click No. This prevents the enumeration of eFX boards from being reversed in Lyric. Note that the intentional omission of these audio drivers does NOT have a negative effect on Lyric and system operation, and in fact, prevents Windows® system sounds from accidental output via the eFX board(s).

NVIDIA® Drivers

NVIDIA driver 182.50 has been tested and approved by Chyron at the time of this writing, and this recommendation supersedes previous driver recommendations. The correct drivers are available on the Lyric installation disk, in the Utilities\VGA Drivers\nVIDIA folder.

CMix Plugin (SD Only)

Where a Chyron CMix is in use with the system, a CMix Plugin must be installed. The current plugin is CMIX build 123, and may be found in the CMix folder on the installation disk or at: http://www.chyron.com/support/downloads/software.aspx.

GPI/O Installation and Support

Notes

  • If your system has a separate GPI I/O board, please refer to the Drivers, Utilities, 3D Library link on the Lyric installation disk for important information.

  • Regarding GPIs and Lyric 7! If upgrading to Lyric 7 on a system with GPIs, please refer to the Utilities page of the Lyric installation disk for important information. See Installation instructions for the PCI Express GPI/O device or Installation instructions for PCI and external USB GPI/O options. These instructions may also be found in the PDF-format or paper Release Notes, Chyron Publication Number 2a02305, which accompanies Lyric 7 upgrade packages.

  • Regarding CODI Frame Buffer-Based Systems and Systems Containing a CODI GPI I/O Board: A GPI I/O board driver installer is not necessary for MicroX Digital SD, MicroX Analog SD and other CODI frame buffer-based systems. In addition, systems that contain CODI-based GPI I/O boards do not require driver installation. GPIs are resident on CODI boards and do not require separate driver installation.

Additional Drivers

Drivers may be present for a variety of GPI hardware options. As above, access the Drivers, Utilities, 3D Library link on the installation disk's left-hand navigation pane.


About Lyric PRO Offline

  • After the 30-day trial license has expired, Lyric PRO Offline requires the presence of a dongle in order to run. A lost or stolen dongle cannot be replaced by Chyron. A defective dongle may be returned to Chyron for replacement. Please contact Chyron Customer Service at 631 - 845 - 2132 for details.

  • Lyric Pro running on an appropriate Chyron graphics system can display multiple scenes on output simultaneously, and control them independently. Lyric PRO Offline CAN author messages with multiple scenes and interactivity for later playout on an appropriate Chyron graphics system. HOWEVER, Lyric PRO Offline CANNOT display multiple scenes or multiple transitions simultaneously on a PC. All messages composed in the offline environment should be previewed on the system on which they will air.


Application Note - Zooming a 2D Text Window

To zoom a 2D text window from infinity to full frame, perform the following sequence:

1. Add a 2D Text window to canvas and resize it to full screen.

2. Type text and enclose in a 2D template.

3. Set Use Scene Camera to active for the template.

4. Place the template inside of a group.

5. Adjust the Center of Rotation so that X and Y are at center frame.

6. Create an animation that starts at Scale 0 for X, Y and Z.

7. Go to end of animation and reset Scale to 1.000. Text will zoom from infinity to full frame.


Lyric Licensing – Updating Dongle Procedure 20090323

Lyric® Licensing/Dongle

Update Procedure

March, 2009

The Lyric licensing/dongle update facility has been modified. This update must be performed to enable future purchases of additional options for your Lyric installation. The entire contents of an existing Lyric installation's SafeNet folder will be replaced by this upgrade.

  • The new licensing application is called ChyronOptions.exe. It combines the display of currently enabled Lyric software and hardware options, with convenient access to the Field Activation Utility. The Field Activation Utility permits Chyron Customer Service to supply the user with licensing codes which will enable new options onsite by reprogramming the system's dongle.

    To insure that all users of compatible Lyric versions are accommodated, another copy of the same licensing application, called LyricOptions.exe is also installed in this process. Once the installation process is complete, we recommend that you run ChyronOptions.exe. Again, both versions of the application do the same thing.

    Additionally, the range of options that may be activated has been expanded to include Chyron's OMS (Order Management System) product and plugins from Patrick Graphics Systems (PGS).

  • Your system's DUsafe32.dll and UUsafe32.dll files are among those that will be overwritten and replaced. If your previous copies of these files have been at version 1.0.0.0, they will be updated to version 1.2.1.0 in the process.

  • Two new files, MakeKeys.dll and setup.exe will also be added.

Installation

  • Close any instances of Lyric running on your machine.

  • Download the required installer via this path to Chyron's web site:

    www.chyron.com/upload/softwarereleases/lyric/chyrondongleoptions.exe .

  • Save the installer to the temporary location of your choice, such as your Desktop.

  • Launch the installer, ChyronDongleOptions.exe, by double‐clicking its icon. If a Security Warning

    dialog appears, noting that the file's publisher cannot be verified, ignore it, and click Run.

  • A familiar InstallShield Wizard appears. Click Next.

  • Accept the License Agreement and click Next.

Chyron Publication 2a02321 Rev. 0 1

  • The Choose Destination Location dialog appears. If multiple versions of Lyric are present on your system, be sure to select the SafeNet folder within the installation directory of the version of Lyric that you intend to update. At the time of this writing, the installer assumes the presence of a Lyric 7.0 installation, and defaults to the SafeNet folder within that directory.

As an example, here the default installation path is being modified for a

Lyric Version 7.1 installation.

  • After selecting the installation destination, click Install, and the process continues.

  • Upon appearance of the InstallShield Wizard Complete dialog, click Finish. No restart is required,

    and you may begin working with the new licensing application.

Chyron Publication 2a02321 Rev. 0 2

A sample Lyric installation's SafeNet folder following installation of the upgrade

Using LyricOptions.exe and the Field Activation Utility

Find LyricOptions.exe in the SafeNet folder, and double‐click it to launch the application. The Chyron Options dialog opens. The options currently licensed on your system are indicated by check marks.

Chyron Publication 2a02321 Rev. 0

3

To purchase and enable additional options and plugins, first make sure that any instances of Lyric are closed.

  • Click the Field Activate button at lower right on the Chyron Options dialog. The Field Activation Utility launches:

  • Click the Get Locking Code button, and a string of alphabetical characters will populate the text field above the button, as seen above.

Locking Code text in an e‐mailable form.

  • Copy to Clipboard allows the locking code text string to be pasted into Windows Notepad or directly into an email.

  • Save locking code to a file creates a *.loc file, which the user will name, retaining the .loc extension. This file may be emailed as an attachment when needed. (Note that .loc files may be opened in word processing applications if need be. Also take note that the Locking Code should be saved locally. Saving the .loc file to a network location may cause the Field Activation Utility to freeze.)

  • Contact Chyron Customer Service by phone at (631) 845‐2132. You will be asked to

    e‐mail your locking code to your Customer Service representative.

  • Your Customer Service representative will supply you with a new license code by e‐mail or phone. If by e‐mail, the license code you receive will be in the form of a License Code File with the extension .LIC. Save the e‐mailed file to a convenient location.

Chyron Publication 2a02321 Rev. 0 4

text field using your keyboard; this last method is not recommended, as it introduces the possibility of error during text entry.

  • Click the Update License button.

The Success dialog appears. If you experience any problems, contact Chyron Customer Support at 631‐845‐2132.

  • Re‐start the Lyric application; your new options will be ready to use.

Chyron Publication 2a02321 Rev. 0 5


Lyric Licensing Version 7.1 and later

Lyric® Licensing/Dongle Update Procedure

As of March 2009, for Lyric Versions 7.1 and later

As noted on the home page, dongles that have enabled older versions of Lyric on existing Chyron systems ARE NOT compatible with Lyric Version 7.0 and later. They must therefore be reprogrammed.

The Lyric licensing/dongle update facility itself (the contents of your installation’s SafeNet folder) has been further modified. This update must be performed on any installation of Lyric versions prior 7.1 to enable purchases of additional options for that version of the program. The entire contents of an existing Lyric installation’s SafeNet folder will be replaced by this upgrade.

  • The new licensing application is called ChyronOptions.exe. It combines the display of currently enabled Lyric software and hardware options, with convenient access to the Field Activation Utility. The Field Activation Utility permits Chyron Customer Service to supply the user with licensing codes which will enable new options onsite by reprogramming the system’s dongle.

To insure that all users of compatible Lyric versions are accommodated, another copy of the same licensing application, called LyricOptions.exe is also installed in this process. Once the installation process is complete, we recommend that you run ChyronOptions.exe. Again, both versions of the application do the same thing.

Additionally, the range of options that may be activated has been expanded to include Chyron’s OMS (Order Management System) product and plugins from Patrick Graphics Systems (PGS).

  • Your system’s DUsafe32.dll and UUsafe32.dll files are among those that will be overwritten and replaced. If your previous copies of these files have been at version 1.0.0.0, they will be updated to version 1.2.1.0 in the process.

  • Two new files, MakeKeys.dll and setup.exe will also be added.

Installation

  • Close any instances of Lyric running on your machine.

  • Download the required installer via this path to Chyron’s web site: www.chyron.com/upload/softwarereleases/lyric/chyrondongleoptions.exe.

  • Save the installer to the temporary location of your choice, such as your Desktop.

  • Launch the installer, ChyronDongleOptions.exe, by double-clicking its icon. If a Security Warning dialog appears, noting that the file’s publisher cannot be verified, ignore it, and click Run.

  • A familiar InstallShield Wizard appears. Click Next.

  • Accept the License Agreement and click Next.

  • The Choose Destination Location dialog appears. If multiple versions of Lyric are present on your system, be sure to select the SafeNet folder within the installation directory of the version of Lyric that you intend to update. At the time of this writing, the installer assumes the presence of a Lyric 7.0 installation, and defaults to the SafeNet folder within that directory.

As an example, here the default installation path is being modified for a Lyric Version 6.5 installation.

  • After selecting the installation destination, click Install, and the process continues.

  • Upon appearance of the InstallShield Wizard Complete dialog, click Finish. No restart is required, and you may begin working with the new licensing application.

Sample Lyric installation’s SafeNet folder following installation of the upgrade

Using LyricOptions.exe and the Field Activation Utility

Find LyricOptions.exe in the SafeNet folder, and double-click it to launch the application. The Chyron Options dialog opens. The options currently licensed on your system are indicated by check marks.

Your Chyron Options panel may differ substantially from the sample pictured here.

To purchase and enable additional options and plugins, first make sure that any instances of Lyric are closed.

  • Click the Field Activate button at lower right on the Chyron Options dialog. The Field Activation Utility launches:

  • Click the Get Locking Code button, and a string of alphabetical characters will populate the text field above the button, as seen above.

  • Using the Copy to Clipboard [image] button or the Save Locking Code to a File [image] button, save your Locking Code text in an e-mailable form.

  • Copy to Clipboard allows the locking code text string to be pasted into Windows Notepad or directly into an email.

  • Save locking code to a file creates a *.loc file, which the user will name, retaining the .loc extension. This file may be emailed as an attachment when needed. (Note that .loc files may be opened in word processing applications if need be. Also take note that the Locking Code should be saved locally. Saving the .loc file to a network location may cause the Field Activation Utility to freeze.)

  • Contact Chyron Customer Service by phone at (631) 845-2132. You will be asked to e-mail your locking code to your Customer Service representative.

  • Your Customer Service representative will supply you with a new license code by e-mail or phone. If by e-mail, the license code you receive will be in the form of a License Code File with the extension .LIC. Save the e-mailed file to a convenient location.

  • Use the Load License code from a file [image] button to browse to the License Code File and open it. Alternately, you may paste it from a text file using the [image] button, or enter it directly into the text field using your keyboard; this last method is not recommended, as it introduces the possibility of error during text entry.

  • Click the Update License button.

The Success dialog appears. If you experience any problems, contact Chyron Customer Support at 631-845-2132.

  • Re-start the Lyric application; your new options will be ready to use.


System Setup Guide as of January 2009

Chyron Systems Setup Guide

Chyron system settings from the factory

Introduction

This topic details some of the software installed on new Chyron systems and how the software is configured on systems during factory testing. Also discussed are some of the test procedures themselves.

The software and procedures discussed here are not comprehensive and only cover items that are known to be or may be important. There will be software installed and procedures followed that are particular to one type of system or are required due to third party hardware being installed. The software and procedures discussed here will be implemented as directed, but there are many others that are not covered by this document.

O/S software Settings

The following applies to the Windows Operating system software. We currently use both Windows XP Professional and Windows Server 2003. If something is unique to one of these, or if new O/S software is incorporated into products, the settings unique to them will be listed. Make the following settings for all systems unless instructed otherwise.

  1. Disable the Windows Firewall.

  2. Disable simple file sharing and Guest Accounts.

  3. Disable DCOM.

Windows XP

  1. Unless mentioned in this topic, the default settings for the Operating system will be used. Some settings may vary for a particular system, which will be noted in a later section that discusses settings unique for a given system using this O/S.

  2. Before testing, connect to the internet and run Windows Update. If there are specific updates that should NOT be run, they will be listed on Chyron's forum, at http://forum.chyron.com/vbb/forumdisplay.php?f=54. Look for "Windows Updates" under the topic "What's New from Chyron SQA".

  3. Prior to SP3 the “Themes” services (under Computer Management) must be disabled.

Windows Server 2003, both Standard and Web editions

  1. When installing this O/S, all systems that use it must also have IIS installed and enabled.

  2. Before testing, connect to the internet and run Windows Update. If there are specific updates that should NOT be run, they will be listed on the company website. This URL remains to be established.

Application software

All systems have the following application software installed. The default settings are used during and after installation unless instructed to do otherwise.

  • Adobe Reader. The latest version is available at http://www.adobe.com.

Hardware support drivers

Software for 3rd party hardware installed in a system will be installed. The default settings are used unless specific instructions are included to change any of them.

  • Nero software is installed to enable writing to DVDs in the CD/DVD drive. After installation of NERO, the NERO search feature is disabled and the shortcut deleted from the taskbar.

Anti-Virus software

As of 20 November 2008, Chyron no longer installs any anti-virus software on systems shipped from the factory. All systems are scanned with the avast! BART (Bootable Antivirus Recovery Tool) CD after all software has been installed and tested and just prior to packaging.


Leif Help Message

If LEIF Help is not displayed, it is most likely due to Lyric having been installed in a non-default location. If this is the case, the file Leif.hlp can be found in the directory in which Lyric is installed. It is a standalone file which can be opened separately. If Leif.hlp cannot be located, contact Chyron Customer Service at
+1 631 845 2132.


Macros - Related Topics

Macros: An Introduction

Advanced Macro Scripting

Embedded Macro

Macro Declarations

SendKeys

LEIF Help

Intelligent Interface E Command - Send Macro Commands


mask_character

This page replaces an out-of-date Lyric Help topic. Please visit the Masks Introduction topic.


Mask Objects Navigation

Mask Objects

Introduction

Mask Object Setup

Assigning a Mask Object or Element to a Layer

Mask Inside

Alpha Trim Mask

Mask Object Tutorial

Soft Masks

Removing Mask or Layer Functionality


Mask Objects - Introduction

Introduction

There are several Lyric function names that contain the word "Mask." Refer to Masks: An Introduction for an overview of the different types of Masks.

Any 2D map object including a Flipbook, that is placed outside of a 2D Text Window, can be designated a Mask Object and therefore mask any elements rendered below it. Since a Mask Object is often used to allow live video to show through, it is recommended that 32-bit TIFF files or 32-bit TARGA files be used as Mask Objects. Transparency of a Mask Object can be set in Properties > Surface, but results in the changing the Transparency of the entire Mask Object (see NOTE in the section on Mask Inside, below, for additional information on transparency). 3D objects, 3D characters and any graphics, including 2D text, inside a 2D Text Window cannot act as Mask Objects.

Lyric-capable Chyron systems support multi-layer masking. Mask Objects can be assigned to mask certain objects, but not others. Objects that are to interact with each other with regard to this type of masking must be assigned to the same layer. This layer has no significance with regard to display priority, i.e., which image displays on top of another. It is simply a way to group images which are affected by a Mask Object. Remember, however, that it is necessary to place the Mask object on top of the object(s) that it is masking, or the Mask will not work properly. Display priority is set using the Scene Graph or by adjusting the Z position in Properties > XYZ.

Elements not assigned to the same layer as a Mask Object are not affected by the Mask Object.

For an overview of the different types of Masks, refer to Masks: An Introduction.

Mask Object Setup

To set up a Mask Object:

  1. On the Scene Graph or Canvas, select the object that will act as the Mask Object. Note that it is generally easier and sometimes necessary to select objects or elements from the Scene Graph, especially when they are already positioned one on top of the other on the Canvas.

  2. Right-click on the object on the Scene Graph or Canvas to display the context-sensitive menu. The illustration below shows this procedure performed from the Scene Graph.

    Mask Object Setup

    Setting a Mask Object

  3. Select Mask Object. The menu closes. A check mark indicates that the object is now a Mask Object.

NOTE

If the selected element is not appropriate for use as a Mask Object, the Mask Object selection on the context-sensitive menu will not be available.

Assigning a Mask Object or Element to a Layer

A Mask Object not assigned to a layer will cut through the background if the Mask Object has the lowest display priority on the Canvas, i.e., it is at the bottom of the element list (except for Lights, Global Light and Camera) on the Scene Graph, or if the Z position set in Properties>XYZ places it behind the other graphic elements. The background cannot be assigned to a layer.

A Mask Object assigned to a layer does not cut through the background, but interacts only with the other elements assigned to its layer. A Mask Object can mask other graphic elements, including other Mask Objects, that are assigned to the same layer and over which it is positioned. A Mask Object behaves as a normal graphic element with regard to graphic elements not assigned to the same layer.

To assign a Mask Object or other element to a layer:

  1. On the Scene Graph or Canvas, select the element that will be masked. This element can be 2D or 3D text, or another type of object.

  2. Right-click on the Scene Graph or Canvas to display the context-sensitive menu. The illustration below shows this procedure performed from the Scene Graph.

    Assigning Mask Objects and Elements to Layers

    Assigning a Mask Object or Element to a Layer

  3. Cursor or scroll to Mask-To Layer to display the list of layers.

  4. Select a layer. Keep in mind that if you do not want this Mask Object or element to interact with other Mask Objects or elements already assigned to the layer, select an unused layer. Once a layer is selected, the menu closes. A check mark now indicates which layer has been selected. Remember that layer number has no effect on display priority, i.e. elements assigned to layer 1 do not automatically display on top of Mask Objects/elements assigned to layer 7, or vice versa.

Mask Inside

In addition to using the Mask Object to simply cover another image, a Mask Object can be used instead to reveal another image.

When an element is designated Mask Inside, it causes the Mask Object in the same layer to reveal the element over which it passes instead of covering it. Any time the Mask Object is not positioned on top of the element, the element is not visible. A Mask Object can also be designated Mask Inside. When another Mask Object in the same layer passes over it, the Mask Object behaves in the same manner as a Mask Inside element, as well as acting as a Mask Object for elements in the same layer that are below it.

To set up a Mask Inside:

  1. Set up a Mask Object as described above.

    NOTE

    When applying Mask Inside to 2D text (including RGB font characters or bitmaps, the Mask Object must have either built-in transparency or transparency as applied in Properties > Surface > Transparency, or the element(s) designated as Mask Inside will not be revealed as the Mask object passes over it.

  2. On the Scene Graph or Canvas, select the element that will be revealed by the Mask Object. This element can be 2D text (including RGB font characters), a 3D character, a bitmap, a 3D object or Flipbook.

  3. Right-click on the Scene Graph or Canvas to display the context-sensitive menu.

  4. Cursor or scroll to Mask-To Layer to display the list of layers, then select a layer. Once a layer is selected, the menu closes. A check mark now indicates which layer has been selected.

  5. Right-click again on the Scene Graph or Canvas to recall the context-sensitive menu.

  6. Cursor or scroll to Mask Inside (see above figure), then select. The menu closes. A check mark indicates that Mask Inside has been activated.

Mask Inside setup is now complete. The element designated as Mask Inside remains invisible until a Mask Object assigned to the same layer passes over it.

NOTE

To work with a Mask object that is completely transparent or contains completely transparent areas, for example, to reveal a Mask Inside element, it is recommended that the Mask Object be created with transparency in whichever graphics creation program you are using. Remember also to create and save the alpha information with the graphic. The saved graphic format should be 32-bit TIFF or 32-bit TARGA.

If, however, the graphic does not contain alpha information, set the Transparency in the Surface tab of the Properties dialog box to 100. Note that this makes the entire graphic completely transparent. If some type of a graphic frame is needed to enclose this transparent area, it can be created separately and animated in lockstep with the transparent graphic.

Alpha Trim Mask

Some Mask Objects may display a transparent narrow border that you may wish to remove. Alpha Trim Mask removes this border. Alpha Trim Mask can be applied only to Mask Objects. To apply an Alpha Trim Mask:

  1. On the Scene Graph or Canvas, select the Mask Object.

  2. Right-click on the Scene Graph or Canvas to display the context-sensitive menu.

  3. Cursor or scroll to Alpha Trim Mask (see above figure), and then select it. The menu closes. A check mark indicates that the Mask is an Alpha Trim Mask. Note that this feature can be selected in conjunction with Mask Inside.

    NOTE

    While Alpha Trim Mask can remove the unwanted transparent border of a Mask, it may also affect other transparent regions of the Mask.

Mask Object Tutorial

Many interesting effects can be created using Masks. The following simple example demonstrates how to use an animated window to highlight text in a contrasting color as it moves over it.

  1. Create a completely transparent, rectangular bitmap image.

  2. On a new Lyric Canvas, open a 2D Text Window. An element named 2D Text 1 appears in the Scene Graph list. Type a line of white text in the 2D Text Window.

    Image: Text Typed in 2D Text Window Assigned to Mask Layer 1

  3. Select 2D Text 1 on the Scene Graph, and assign it to Layer 1.

  4. Select (highlight) all of the text in the 2D Text Window, then perform a Copy (Edit>Copy or Ctrl + C) operation.

  5. While the text in 2D Text 1 is still selected, apply a color other than white.

  6. Create a second 2D Text Window. It appears in the Scene Graph as 2D Text 2.

  7. Perform a Paste in Place (Edit>Paste in Place or Ctrl + I) operation. This pastes the white text into 2D Text 2 directly on top of the newly colored text in 2D Text 1.

  8. Assign 2D Text 2 to Layer 1, then select Mask Inside. The white text now disappears. The colored text from 2D Text 1 is displayed from behind the now-invisible text from 2D Text 2.

  9. Place the transparent rectangle bitmap onto the Canvas. Set the bitmap as a Mask Object, and assign it to Layer 1. Make sure it has higher display priority than the text elements.

    NOTE

    In order to see the transparent bitmap, click the Toggle Canvas Background Color button in the toolbar to change the background color of the Canvas to gray. This affects only the Canvas, and not the output. To change the color back to black, click the Set Default Background Color button again.

    Mask Inside Revealing Underlying White Text Image: Mask Demonstration

  10. Create an animation to move the rectangle over the text.

  11. Execute the animation. As the “invisible” rectangle (outlined in the above illustration using a gray box) travels over the text, the white text inside of the rectangle is revealed (Mask Inside) and masked outside; and the colored text is masked inside of the rectangle, but is visible outside.

Soft Mask

A Soft Mask provides a soft-edged border into which a static or moving element (such as a Crawl) can fade. For information on Soft Mask creation and use, refer to the section covering Soft Masks .

Removing Mask or Layer Functionality

To remove Mask Object, Mask Inside, Alpha Trim Mask or layer assignment from any Mask Object or element:

  1. Select the object on the Canvas or the Scene Graph, then right-click to display the context-sensitive menu.

  2. Select whichever attribute that is to be removed. The menu closes. The item is now unchecked, and the functionality has been removed.


RGB Tools

RGB Tools is a Lyric plugin used to modify graphic elements within a Lyric composition. Graphic objects modified with RGB Tools may be exported as .TGA files.

Select an RGB Graphic from the Lyric scene and enter RGB Tools from either the right click menu or the Lyric Tools menu.

The following main menu is displayed:

Effects are added to the graphic each time the Apply button is clicked. Creative results can be achieved by combining different effects. To restore the Graphic to it’s original state, simply press the Restore button.

RGB Tools main screen

Offset Image

RGB Tools' Offset Image controls

Note that the color fill for the image's base region can be varied with the Palette control at right. This control opens a familiar 'color picker' dialog, and the selection is displayed in the color chip above the Palette button.

Border Image

RGB Tools' Border Image controls

You may specify the size of the border created in pixels. As with the other effects, the color of the border can be selected with the Palette control.

Motion Blur

RGB Tools' Motion Blur controls

The Motion Blur effect can be added on both X and Y axes. The illustration shows the effect applied first to the X axis only, and at bottom, to both axes in equal amounts.

Focus

Changes the camera focus of the selected graphic.

RGB Tools' Focus control

The Focus effect can be added to an object to give it the appearance of being viewed by an out-of-focus camera.

More Effects

The effects are pictured against varying backgrounds for best visibility.

Add Noise

Adds random pixel noise to graphic.

Bevel

Adds a variable rounded edge to highlight the edges of the graphic. Percent specifies size of bevel. The user can also adjust the Direction of the light falling on the object. The settings applied are 15 percent size and 45 degrees direction.

Blur

A general blurring effect is added to the graphic, without the Motion Blur effect's variables on the X and Y axes. Only the degree of the effect may be specified with the Percentage control.

Charcoal

Sketch effect. The Percentage of the effect can be varied by the user.

Colorize

"Paints" the image with the color selected in the Palette. The object is seen here at 15 Percent (upper left) opacity, 50 Percent (center) and 75 Percent (lower right).

Contrast

Enhances differences between light and dark regions in the graphic. Percent specifies degree of effect. At upper left, Contrast is set at 25%, at center, 50%. At lower right, the effect has been set at 100% and applied several times.

Emboss

Adds the appearance of raised surfaces to the object. Percent specifies degree of embossing. Direction specifies direction of light. The illustration shows the effect set at 20% and the lighting direction set at 45°.

Gamma

Gamma corrects in red, green, and blue channels. Percent specifies degree of effect.

Grayscale

Reduces the image to shades of gray for a familiar black & white effect. The object at right has been treated with the effect.

Implode

Creates the appearance of a concave region at the center of the graphic. Percent specifies degree of effect. At center, the effect has been set to 50%.

Jitter

Adds random movement to pixels in graphic. Percent specifies degree of effect. The object is seen without the effect (upper left), with the effect at 10%, at 50% and at 100% (lower right).

Reduce Noise

Reduces pixel noise in the graphic using a noise peak elimination filter. The object is seen without the effect (left) and with the effect at right.

Sharpen

Sharpens the pixels in the graphic. Percent specifies degree of effect. The object is seen without the effect (left) and with the effect at right.

Solarize

Adds color blotches to graphic. Percent specifies degree of effect. The object is seen without the effect (left) and with the effect at right.

Swirl

Rotates pixels in graphic by specified amount. Percent specifies degree of effect.

Color/Palette/Transparency

Adjusts the color and alpha value of effects applied with the Border Image controls.

With a color selected, you may vary the Transparency of the border to be applied, as seen above. Clicking the Palette button opens a familiar Color dialog.

Presets

This features allows the operator to save as many as four sets of user-defined values; all settings current on the RGB Tools panel its sub-menus will be preserved when a preset is saved. To use this feature:

  1. With the variables on the panel set as you like them, press the Save button. The Save Preset dialog appears.

  2. Enter a number from 1 - 4, to designate which of the four available presets you wish to associate with the desired settings.

  3. Press OK; the values are saved.

  4. Recall the saved values by clicking the appropriate radio button. This resets all the controls on the panel to the values associated with the preset you have recalled. Recalling a preset does NOT apply the values recalled. You must press the Apply button for each effect on the panel to set that effect at the selected values..

Color Shift

This option swaps reds and blues in the image.

Restore

Clears all effects that have been applied to the image.

Crop

Use this function to remove portions of the graphic, using a variety of selection tools. Press OK in the Crop dialog and then OK in the RGB Tools main panel to execute the effect in the Lyric composition.

NOTE

The image being edited will appear upside-down in the RGB Tools Preview window. The edited image will be rendered correctly on the Lyric Canvas.

Zoom

Magnifies or shrinks the image preview.

Selection

  • Rectangle: As in other image editing programs, draws a rectangular region on the image. In normal operation, deletes the portion of the image outside the defined region. Use the Invert function to delete content within the region, leaving the surrounding content.

  • Polygon: Allows the user to click to define any straight-sided shape or may be used to draw a selection free-hand. Double-click to close the defined region and set the selection.

  • Magic Wand: Use this tool to create a selection based on colors similar to the image content at the current cursor location. The slider adjusts acceptance of variations in the color of the selected area.

  • Clear: Discards the current selection borders.

  • Invert: Use this option after a selection has been defined. Changes the selected area to all parts of the image NOT selected previously.

  • Softness: Feathers the edges of a selected region and applies a corresponding blur effect to the content left by the Crop operation.

Crop

Executes deletion of the selected content.

Save/Recall

Saves the user-defined selection only for later use with another image. These saved selections are given the file extension .sel.

Matte

This function is used to combine the Alpha (or RGB intensity) from a separate graphics file (i.e. the Matte file) with the RGB data from the current graphic. The position of the Matte image relative to the graphic can be adjusted with the XY Offset controls. Check Inverse Matte to inverse the alpha information in the Matte file before applying to the graphic. Click Create to apply the Matte.

Export

The current graphic can be exported to a file. Use .tif file extension for TIF, .tga file extension for Targa, and .bmp file extension for BMP.


Power Charts - Create Advanced Primitives

Power Charts: Creating Advanced Primitives

Properties > Plugin
Tools > Power Charts
Related topics:
Power Charts Introduction and Tutorial
Advanced Example/Tutorial: Line Charts

Sample Exercise

In the example below, we will create a simple bar graph, which changes in size, driven by the numerical values populating a 2D text template.

In Lyric's Tools menu, select 3D Object > 3D Object Primitive.

The Plugin Objects dialog appears:

(Note that the Power Charts items "Cap" and "Line Chart" will not appear unless Power Charts is installed.)

  • In the dialog shown above, click the [image] C.A.P button. A rectangular objects appears on Canvas. (Initially, the object's Rotation values on all three axes will be zero, presenting a featureless box shape, seen 'dead on'. Therefore, it is recommended that you rotate the object slightly in order to see more of its surfaces. When the object appears on Canvas, the entry CAP appears on the Timeline and Scene Graph.

  • On the Properties menu, open the Plugins page. If the page initially shows only [image], click the [image] button to expand the options as seen below right.

  • Click the Shape button, which opens the Shape Maker dialog, seen below.

The rectangle seen in the Shape Maker dialog represents the initial shape of the 3D primitive added to the scene above. It may be altered by pushing and pulling the vertices as shown.

We're going to digress from the exercise for a moment, to discuss some of the Shape Maker dialog's options. We'll address Spline options first, since they can be used to create new shapes, which can then be stored via the Save button at the top of the dialog. The exercise in creating a basic graph will resume where noted below.

  • Right-clicking one of the shape's vertices and choosing Spline adds familiar spline handles, which may be used to pull the shape into curves.

  • The Broken Spline option allows the two halves of spline handle to be adjusted independently. In the illustration below, note that the handle in the lower left hand corner is being adjusted without affecting its other half:

  • The Delete option removes the selected vertex from the shape completely. Be careful with this option, in that the deletion of a vertex can limit your ability to effectively work with the shape.

  • The user can also add a vertex to a given shape by right-clicking (preferably near a border) and using the [image] button. The new vertex, or vertices, may be used to further edit the shape. The Spline options discussed above may be applied to any new vertex created with the Add Point button.

  • Once a shape is altered to the user's liking, it may be Saved. Click the Save button; this presents the option of naming the shape you've altered. The file extension for shapes created by Power Charts' Shape Maker is .sm.

  • Take note that the default location for such user-created shapes, as well as sample shapes provided with Power Charts, is C:\Program Files\PGS\Power Charts\CAP Shapes.

  • Saved shapes, or the provided sample shapes may be Loaded from the location shown above.

  • Take note that only the original rectangular shape seen at the beginning of this topic can be added to the composition. Only by altering the shape as discussed here, or by Loading an existing shape can the Power Chars object on Canvas be substituted with a new one. Note also that changes made to a shape on Canvas need not be saved. Once the desired changes are made to the shape by adjusting vertices and splines, etc., those changes are applied to the object on Canvas, and the user may simply close the Shape Maker dialog without saving.

  • The Shape Maker slider [image] seen at the bottom of the dialog merely changes the size of Shape Maker's mini-canvas for added flexibility in viewing the changes being made. Altering this view has no effect on the size of the object.

  • The Setup control is note used at this time.

Again, take note of Power Charts' pre-loaded Shape Maker shapes, Circle.sm, Square.sm and Star.sm. These may be used as the basis for a wide variety of customized Power Charts objects.

Note

In virtually any situation, the user will wish to enable the BOTTOM XZ option, which aligns the object's bottom edge with its own X/Z plane. This setting will almost always be used because the great majority of bar charts and similar graphs grow up from (or shrink toward) a baseline, as opposed to simply growing or shrinking at an arbitrary-seeming location on screen.

The slight movement on Canvas caused by enabling BOTTOM XZ will not be reflected in the object's Position values on the XYZ Properties menu.

Scaling Configuration

With the desired shape constructed, we now resume our exercise in constructing a bar graph whose shape is varied by the input of numerical data to templates in the Lyric composition.

  • Take note of the LIMITS controls on the Plugins page.

If the details seen above are not visible, expand the Limits entry with the use of the [image] button.

  • To define the minimum and maximum sizes of the extruded shape, first check the Enable Min checkbox.

  • Use the Min slider to set minimum size along the Y axis. This is the height that the object will be set to when its associated data value is 0 (zero).

  • To set maximum size (Max), de-select the Enable Min checkbox, and select the Enable Max checkbox. Use the Max slider to set maximum size. This is the height that the object will be set to when its associated data value is 100.

  • Once the minimum and maximum size values are established, DISABLE both checkboxes.

Data Connection

  • To the Lyric composition containing your shape, add a 2D text window.

  • Add a conventional 2D text template within the window.

  • Open this template's 2D Text Template properties dialog, and assign a NAME to the template. The template name must include, exactly, the name of the CAP object as seen on the Timeline or Scene Graph, and conclude with the characters "Percent". As seen below, the name would be CAPPercent.

  • Locate the ENABLE CHANGE checkbox on the Plugins menu. Selecting this checkbox enables the numerical values entered into the 2D text template to control the size of the extrusion that represents the data being displayed.

  • When this Lyric message is played, any changes to the template's content will change the appearance of the object accordingly.

For further information and training on using Power Charts, including its associated component Power Scripts, contact Chyron Customer Service at 631-845-2132.

Related topics:
Power Charts Introduction and Tutorial
Advanced Example/Tutorial: Line Charts


Power Charts Introduction and Tutorial

Power Charts Introduction & Tutorial

Properties > Plugin
Tools > Power Charts
Related topics:
Advanced Example/Tutorial: Line Charts
Creating Advanced Primitives

Power Charts is an optional plugin for Lyric from Patrick Graphics Systems, for use with Chyron's own 3D Primitives Plugin. Power Charts enables the user to map all manner of numerical data across 3D primitives, for applications such as elections, sports and business reporting. Using DB Link or Intelligent Interface, data input from external sources, including internet resources, can be linked to templates containing the numerical values that update Power Charts' displays. Manual input to these templates can also be performed using the Alt T Template Update function.

As with all shapes available through the 3D Primitives plugin, the attributes of Power Charts objects are keyframeable and may be modified programmatically.

Power Charts offers numerous choices in the types of charts and graphs that may be constructed, and an extremely wide range of variables in their appearance. This discussion will begin with a simple example of constructing a pie chart whose sectors are proportionately altered in size by user input via Alt T Template Update.

Pie Chart example

The goal of this exercise is to construct a pie chart which will animate from a state of invisibility on the Canvas, to a completed circular shape, revealing appropriately-proportioned 'slices' that represent the statistics or other numerical values desired by the user.

You may wish to familiarize yourself with the Cylinder primitive's variables such as Start Angle and Angle Size, as discussed in the 3D Primitives Plugin Properties topic.

  1. Using Lyric's Tools menu, select 3D Object > 3D Object Primitive, and add a Cylinder to a blank Canvas.

Note that your pie chart will be comprised of several cylinders, one for each sector ("slice") of the chart, superimposed upon one another. The visible portion of each shape will be varied in a coordinated fashion by the numerical values present in the controlling templates as the animation progresses.

  2. Adjust the Sides, Height, Diameter, and Bevel to your liking via the Plugin Properties menu. Set Start Angle at 0 and Angle Size at 360.

Creating the first of multiple Cylinders which will serve as different sectors of the pie chart.

  3. Make sure the cylinder is selected on the Scene Graph; as seen above, this action causes the object's Selection Guide to appear on Canvas.

  4. With the cylinder selected, press Ctrl+C to copy the cylinder to the system clipboard. Remember that the object's right-click menu on the Scene Graph or the Canvas do NOT offer the simple Copy function. Ctrl+C is the only way to copy an entire object for subsequent pasting back into the composition.

  5. Next, press Ctrl+V. This action pastes a copy of the cylinder directly atop the first one.

  6. Repeat the paste operation until your composition contains as many cylinders as the number of pie chart sectors you desire. Again, the cylinders will each function as different sectors of the pie chart as their Start Angle and Angle Size are adjusted by the input of numerical data that will later be added to the composition.

  7. For each cylinder, assign a distinctive Surface color (or other texture). In the present example, three United States political affiliations will be represented by plain red, blue and green surface colors.

  8. Important: Before going any further, rename each cylinder in accordance with the information its sector will represent on the chart.

  9. Group [image] the cylinders together and give the group a meaningful name; most likely this will be a name for the chart itself.

  10. Add a 2D text window to the scene.

  11. Within the 2D text window, create the same number of 2D text templates as the number of pie chart sectors you desire. These templates will later be populated by the numerical values that will control the appearance of the pie chart sectors by varying each cylinder's Start Angle and Angle Size. Note that you may later elect to make this text window invisible on the Canvas, while keeping it in the composition as a means to control the pie chart sectors as explained above. See below for a variant on this idea.

  12. Give each 2D text template exactly the same name as one of the pie chart sectors you have created. This will supply the desired numerical data that changes Start Angle and Angle Size values for each cylinder, enabling the cylinders to act as 'slices' of variable size in a pie chart. See the topic on 2D text templates, and click here for some ideas about manipulating them efficiently. (One hint in the meanwhile, though: Remember that template numbering begins with '0', not '1'.)

  13. From Lyric's Tools menu, select Power Charts. Click the Pie tab, and in the Group dropdown, select the group you named in Step 9.

  14. On the Transition dropdown, select the Lyric message's Transition within which you wish the chart to be updated. (More information about Lyric Transitions here.) For this example, or if you are building a message with no Transitions, select Default from the dropdown.

  15. Set the Start and End frame values to determine the length of time in which the complete 'pie' comprising the graph reveals itself. The values seen below represent a reveal time of 5 seconds. This time value may be equal to or less than the total length of the Lyric message in which the graph appears.

  16. In the Ordering dropdown, you may determine which sector/pie slice will appear and complete first.

  17. Leader First causes the sector/pie slice representing the highest percentage in the templates to appear and complete first.

  18. Leader Last causes the sector/pie slice representing the highest percentage in the templates to appear and complete last.

  19. None causes the sector/pie slices to appear and complete in the same order as they appear on the Scene Graph.

  17. Check Enable.

  18. Save the Lyric message.

  19. Use the Template Update function (Alt + T) to enter the numerical data that will determine the apparent size of each sector/pie slice in the graph.

  20. You must click Apply before the values entered in the Template Update dialog appear in the 2D text templates seen at upper left.

Power Charts then adds a number of keyframes to the composition, appropriately modifying the Start Angle and Angle Size values discussed in Step 2. This action thus creates an animation that, when played, reveals the sector/pie slice of each cylinder in the composition, displaying the proportions dictated by the numerical values entered in Step 19.

To use the numbers in the controlling templates as simple labels, they may also be set as visible on Canvas (by clicking the containing text field's check box on the Scene Graph) and positioned appropriately. Here, the text box containing the templates is visible during composition.

Above, the text box has been positioned over the pie chart, and each template positioned over the pie slice whose appearance it controls.

The templates have been rearranged from their original positions in the text box. Although moved vertically (for example the template containing the value '50'), the templates retain their numbering and identity as established in the 2D Text Template dialog, seen above in Step 12. Additionally, the templates have been moved horizontally along their base lines. The template containing the value '50' is shown selected for editing its position.

The finished product of this basic example is seen below.

For further information and training on using Power Charts, including its associated component Power Scripts, contact Chyron Customer Service at 631-845-2132.

Related topics:
Advanced Example/Tutorial: Line Charts
Creating Advanced Primitives


Power Charts Line Graph

Properties > Plugin
Tools > Power Charts
Related topics:

Power Charts Introduction and Tutorial

Creating Advanced Primitives

In the example below, we will create a "Close" chart for a particular stock, using Power Charts' Line Chart function. The chart will display sample data supplied via the Power Scripts component in the Power Charts package.

In Lyric's Tools menu, select 3D Object > 3D Object Primitive.

The Plugin Objects dialog appears:

(Note that the Power Charts items "Cap" and "Line Chart" will not appear unless Power Charts is installed.)

  • In the dialog shown above, click the [image] Line Chart button. The large 'frame' object seen below appears on Canvas and the Plugin Properties page opens. On the Timeline and Scene Graph, this item appears bearing the name Line Chart. (In this discussion, the term 'Frame' will be used to refer to the 3D object itself.)

  • Click the [image] item to expand the list of available options. You will see these parameter groups:

At left, the Plugin Properties menu's initial appearance when the Power Charts Line Chart object is selected on the Canvas.
At right, the object's various attributes are shown expanded via the [image] Line Chart button.
Note that more attributes not shown here may be accessed by expanding or collapsing other entries on the menu.

  • Expand the Scene Graph item:

  • Click the Make Group button, and the 'Make Group' dialog appears. The 'Node Name' requested by the dialog will serve as a prefix to the names of most of the templates. These templates will appear on Canvas as labels for the X and Y axes of the chart being created. For the purposes of this exercise, leave the default node name "Line Chart" unchanged. (Note that other templates will be created in the composition, but will be invisible on Canvas. These values will be passed to the Power Scripts application, which in turn generates the appropriate data set. The data set returned is used to build the 3D trace that is ultimately extruded by Lyric from the Frame object.)

  • Click OK. Power Charts adds multiple elements (see next paragraph) to the composition, populating the Scene Graph as illustrated below:

All elements added to the composition are part of a Lyric Group (itself containing a number of groups). The group is created expanded on the Scene Graph. Within the group are these elements:

  • Line Chart Params. Note that these hidden 2D templates contain the control parameters used by Power Scripts to generate chart data. These templates' checkboxes will remain not selected, leaving them invisible on Canvas.

  • X and Y Labels. Each of these elements is a conventional 3D text template, visible on Canvas, displaying information such as dates along the X axis, stock prices along the Y axis, and the company's name, along with current value, percentage of change and volume along the top of the chart. Note that each element contains the node name Line Chart (as in Line Chart.x1).

  • To proceed with creating the sample chart, press the key combination CTRL+T, which opens Lyric's Template Update dialog:

Each field pictured above (beginning with 0 in familiar Lyric fashion) corresponds to one of the Line Chart params templates in the 2D text window, and will populate it appropriately. (Note that field 9, Line Chart.status, may be used to apprise the operator of the condition of data being received from external providers. If an external provider stalled, the template corresponding to this field might read "Provider timed out". Keep in mind that this template is invisible on Canvas, and the status message is provided strictly for the information of the user.)

  • Click Apply, and the desired data appears on Canvas, along with the 3D trace extruded from the Frame object.

  • If you wish to have a peek under the hood of Power Charts creating this graphic, click the Canvas-visibility checkboxes for the Params templates. This will display the 2D templates used by Power Scripts and Power Charts to generate the line data that produces the trace on the chart.

(Keep in mind that you'd need to turn off the visibility of these templates again before Air/production!)

  • To get just a small idea of Power Charts' flexibility, refer to Template 4 (Line Chart.range1) and Template 5 (Line Chart.range2). The user can alter the days value (90 in the original example) and observe the data displayed along four intervals within the chosen range of time.

  • A different variation may be tried with the number of dates and corresponding prices displayed. Refer to Template 6 (Line Chart.maxdates) and Template 7 (Line Chart.maxvalues). Reducing the value in each of these fields on the Template Update dialog would have the effect seen below:

The sample data contained in Power Scripts contains historical data for several companies. Try entering them into Template 0 (Line Chart.symbol). Sample data sets are available for:

AAPL | APPLE
DELL | DELL
F | FORD MOTOR COMPANY
GMGMQ.PK | GENERAL MOTORS
HTZ | HERTZ
IBM | INTL BUSINESS MAC
INTC | INTEL
KFT | KRAFT FOODS
MCD | McDONALDS
MSFT | MICROSOFT
SBUX | STARBUCKS
UAUA | UNITED AIRLINES
^DJI | DOW JONES
^FCHI | CAC 40
^FTSE | FTSE
^GDAXI | DAX
^HSI | HANG SENG INDEX
^IXIC | NASDAC
^N225 | NIKKEI

  • For further information and training on using Power Charts, including connecting Power Scripts with external sources of bona fide, current information, contact Chyron Customer Service at 631-845-2132.

Related topics:

Power Charts Introduction and Tutorial

Creating Advanced Primitives


Blending_PopUp

Source and Destination Factors

For the purposes of this discussion, a new element being added to the existing scene on a Lyric Canvas is known as the source. The contents of the currently existing scene on the Canvas are known as the destination.

When Blending is activated, color values of the incoming fragment (the source) are combined with the color values of the corresponding currently stored pixel (the destination) in a two-stage process.

The user's choice of the available Default, Additive, Subtractive, Reverse Subtractive, Multiplicative or Reverse Multiplicative modes dictates how the source and destination factors are to be computed. These factors are RGBA quadruplets that are multiplied by each component of the R, G, B, and A values in the source and destination, respectively.

The corresponding components in the two sets of RGBA quadruplets are then added. Shown mathematically, the source and destination blending factors may be labeled Sr, Sg, Sb, Sa and Dr, Dg, Db, Da, respectively; the RGBA values of the source and destination can be indicated with a subscript of s or d. Then the final, blended RGBA values are produced using this formula:

(RsSr+RdDr, GsSg+GdDg, BsSb+BdDb, AsSa+AdDa)

Each component of this quadruplet is eventually clamped to [0,1].

The different Blending methods yield varying visual results as seen in the illustration in Rendering Properties topic.


XYZ Properties In Lyric Version 7

XYZ Properties

Properties > XYZ

The XYZ attributes of an object determine its orientation in the Lyric Canvas' 3D space. Settings are based on the same type of XYZ axes used for mathematics.

XYZ Axes

XYZ Properties affect positioning and rotation for all objects in Lyric, including 2D text, 2D bitmaps, Flipbooks, 3D characters, 3D objects, the Camera and light sources. Parameters modified in XYZ Properties are immediately reflected on the Canvas.

XYZ Properties

If the currently selected object is an Individual Light source, Position is the only field in the XYZ window that is available. Note that no positioning of the Global Light source is possible.

Any change to an XYZ Property is applied to all currently selected objects. Refer to Transform Tools for additional information on XYZ attributes.

NOTES

In previous versions of Lyric, the Single/Global Keyframe Adjust selection (the toggling Image: Single Keyframe Adjust Icon / Image: Global Keyframe Adjust Icon button) was located on this Properties panel. This control is now located on the Chyron Toolbar.

On this Properties panel, the [image], [image] and [image] buttons reset their SpinEdit box values to " 0 ". Remember that 0 is not always the apparent centered position of an object along a given axis. 0 varies with Camera settings, including the user's choice of Orthographic or Perspective projection.

Older versions of Lyric were limited to increasing these values by using the SpinEdit box's Up and Down arrows [image], or by typing numerical values directly into the SpinEdit box. With Lyric Versions 6 and later, the user may drag the cursor across the control to change values, as seen in the following illustration.

Dragging arrows across a SpinEdit box to change values

Seen here, the X value is being increased as the operator drags the mouse to the right; the Y value is being decreased as the mouse is dragged to the left. Beware that not only can the arrows be dragged off of the Properties menu, but completely off either side of your monitor. When the latter occurs, the drag-arrow will reappear at the opposite side of your monitor.

Property

Description

Rotation

The Rotation settings specify how an object rotates about its X, Y and Z axes.

Position

The L and R buttons position the selected object at the extreme left and right boundaries of the Canvas, altering its position on the X axis. In the case of 2D text windows the left and right row handles are the reference points, and NOT the displayed sides of the text window. NOTE again that objects are moved to the boundaries of the Canvas, and not the Safe Title area, so be careful of the visibility of the object being positioned by the use of these buttons. The M button situated between the L and R buttons visibly centers the object on the X axis. This position is not necessarily consistent with the X axis value of "0".

The T and B buttons position the selected object at the top and bottom boundaries of the Canvas, altering its position on the Y axis. In the case of 2D text windows the tops and bottoms of each window are made to align with the top or bottom of the Canvas. This behavior is consistent, no matter the vertical position of the top or bottom row within the text window. Again, beware of the distinction between the top or bottom of the Canvas and the top or bottom of the Safe Title area, as regards the visibility of the object being moved. The M button situated between the T and B buttons visibly centers the object on the Y axis. As above, this position is not necessarily consistent with the Y axis value of "0".

Scale

The Scale settings specify how the object is scaled in relation to its original size. Scaling is applied to the X, Y and Z axes. Settings can be individually applied to each of the axes, or can be evenly applied to the X and Y axes in order to maintain the aspect ratio of the object.

  • If Lock Aspect Ratio is not enabled (unchecked), the value for each of the axes can be individually set.

  • If Lock Aspect Ratio is enabled (checked), any change to the X value is reflected in the Y value, and vice versa.

Center

The Center settings specify the center point about which an object rotates and from which it is scaled.

  • If Relative to Position is enabled (checked), the center point about which the object rotates or from which it is scaled is relative to the individual object.

  • If Relative to Position is disabled (unchecked), the object rotates about or is scaled from the center of the Canvas.

The Center of Rotation display on the Canvas can be toggled on or off:

  • Select the object and then right-click. Select Show Center of Rotation.

Image: Show Center of Rotation

Show Center of Rotation

Reset to Default

Restores all XYZ values for the selected object(s) to default settings.

Rotation: All 0

Position: X = 0.000; Y = 0.000; Z = -2.000

Scale: All 1.000

Center: All 0.000

Lock Aspect Ratio: Off

Relative to Position: On

Single/Global Keyframe Adjust: Single

Do not use this function to reset the default values for a Video Region, as it resets scale to X = 1.000; Y = 1.000; Z = 1.000 instead of X = 1.333; Y = 1.000; Z = 1.000.

For Help on other Properties topics, select the desired Tab:


New Topic3

Choose your enemies wisely

WASHINGTON -- The official transcript of President Obama's address to a joint session of Congress showed Rep. Joe Wilson some mercy. The South Carolina Republican's crazed outburst, interrupting Obama midway through the speech, was rendered anonymous for posterity's sake.

AUDIENCE MEMBER: You lie! (Boos.)

By the time the transcript was blasted out electronically to the press, of course, Wilson had already apologized, complete with a phone call to Rahm Emanuel, Obama's chief of staff. And Wilson had already been called out on TV and the Internet for his bizarre behavior. (At least he restrained himself from following in the footsteps of an earlier representative from South Carolina, Preston Brooks, and actually trying to physically beat Obama.)

All that meant that by late evening, the White House could well afford to be magnanimous. The outburst could only have helped convey the impression Obama was aiming for in his speech: that he was the reasonable one, working hard to find a solution to a problem that has bedeviled America for decades, and his opponents were simply not interested in joining the cause. The president seized the initiative in the debate over healthcare back from the Republicans, and may have started to move past the summer's bickering and into a new fall phase where something productive actually gets done. "I will not waste time with those who have made the calculation that it's better politics to kill this plan than to improve it," Obama promised. "If you misrepresent what's in this plan, we will call you out. And I will not accept the status quo as a solution. Not this time. Not now."

The speech marked the first time Obama had called, firmly, for a few specific elements of the reform plan. The government would require people to have health insurance (and provide subsidies for those who can't afford it), and it would require businesses to offer it to their employees (and it would exempt small businesses, who probably couldn't pay the tab). That would help lower the cost of insurance for everyone, since it would expand risk pools to include more healthy people. The millions of people who don't have insurance now would be offered a low-cost catastrophic coverage plan until the government is able to set up an insurance exchange for them to buy policies -- an idea Obama acknowledged he borrowed from his GOP opponent in last year's election, John McCain, in a bid to appear bipartisan. (The line drew a rueful grin from McCain, sitting in the audience.) The administration will launch experimental programs to curb medical malpractice lawsuits, which could quiet Republicans who claim, falsely, that such a reform is somehow a silver bullet to runaway medical spending. Any unforeseen cost overruns in the plan would require offsetting spending cuts, another new detail.

Much of the rest of the speech covered ground that anyone following the debate was familiar with -- but that it can't hurt to remind an anxious public, and wary lawmakers, about. The reform plans would ban insurance companies from denying coverage due to preexisting conditions, and it would cap the amount of out-of-pocket costs anyone has to pay in a given year. It would also bar health insurers from setting lifetime maximums on how much they'll pay. Insurers would be required to cover preventive care, which could theoretically mean they don't wind up on the hook for belated, and expensive, treatment later.

Obama also defended, at some length, the notion of a public option in the insurance exchange -- though he pointed out that it would only cover a small fraction of the nation, and he made clear he was willing to do without it if he had to. "It's worth noting that a strong majority of Americans still favor a public insurance option of the sort I've proposed tonight," he said -- which might come as news to anyone who watches a lot of cable TV, where the public option is increasingly treated as a radioactively radical idea. Obama left room for Congress to water the plan down, by replacing it with nonprofit co-ops or implementing it only with a time-delayed trigger, because Senate Democrats doubt they can pass reform legislation otherwise. But he also set the public option up as a centrist choice, compared to a more radical new single-payer system, and he challenged opponents to demonstrate how their preferred alternatives would meet the twin goals of reducing costs and increasing competition in the insurance market.

"He did not go where many of us would like him to have gone, which is basically to endorse a public option with Medicare's network and no triggers, but he didn't slam the door in our face," said Rep. Raúl Grijalva, an Arizona Democrat who co-chairs the Congressional Progressive Caucus, in an interview after the speech. "He did a good job of defending healthcare reform and the role that government must play in the American people's lives with regard to healthcare -- he called it a social justice issue and a moral issue."

There was more red meat for progressives like Grijalva in the speech than Obama has thrown around lately; he called out Republicans for the crushing debt racked up by George W. Bush's tax cuts and the wars in Iraq and Afghanistan, neither of which were paid for by spending cuts in the budget -- which the healthcare plan would be. The ovations his applause lines drew from the wide Democratic majorities in both houses of Congress propelled Obama along, giving the speech a campaign rhythm at times, and he seemed more assured, more confident than he had over the summer.

That may have been by design. Aides said the talk was intended to be direct. "The president has a plan," one senior administration official said. "He believes it's the right plan. He wants the Congress to pass the plan, and he thinks the Congress will pass the plan."

That might have seemed impossible a few weeks ago, but maybe not anymore. A late August poll by the Kaiser Family Foundation found the summer-long town hall battles bruised, but didn't sink, public support for the reform plan. And slightly less credible insta-polling after the speech found support jumped up significantly. Obama will hit the road this weekend for an event straight out of his 2008 campaign playbook -- a big rally, at the Target Center in Minneapolis. What Congress comes up with on healthcare reform, and even whether they come up with anything, still remains to be seen. But Wednesday's speech was the surest sign of hope that the cause has seen in quite some time.

― Mike Madden


3D Text: Colors, Textures, Edges and Surfaces

Face, Side & Bevel Controls on the Text Properties Window

  • The Face button, left-most, is the most basic means by which the front surface of a 3D character's color may be altered. Clicking this button opens a Color Select dialog box. (The color chosen here is also reflected in the Font Tools located at upper left on the Lyric interface.) Like 2-dimensional text, the "face" surface of 3D characters may also be mapped with image textures via the Surface Properties menu.

  • The Sides/Edge button, middle, allows the user to set the color of a side/edge surface, if such surfaces exist. Three-dimensional characters intrinsically have sides but those sides may not be visible if the Character Depth value on the 3D Font FX menu is set to zero. Even with a color (or other texture) set, no attributes of any kind may be apparent on a surface with no actual size. As with Faces and Bevels, Sides may be mapped with image textures via the Surface Properties menu. Additional effects are available on the 3D Font FX menu, accessible via the Edge button to the right of the color controls.

  • The Bevel button sets colors for the extruded surfaces that may be created to connect the face and side(s) of a given character. Like the sides of a 3D character, its Bevel(s) can seem not to exist if their Depth value is set too low. Most other control of bevels' variations are set on the 3D Font FX menu, accessible via the Edge button.


3D Text Template local guide

The Local Guide of a 3D Text Template.

At left, the Template and the guide are seen at 0,0,0 on the X, Y and Z axes.

At right, the Template and guide are seen rotated slightly on the X and Y axes.


Input Method Editors and Lyric

Input Method Editors (IME) and Lyric

See also Text Properties Page.

Lyric is capable of producing 2- or 3-dimensional text in any language installed on your system via a Windows Language Pack. At the time of this writing, Chyron has tested Lyric in the composition of Arabic, Hebrew, Urdu, Thai, Hindi, Divehi, Chinese, Japanese, and Korean text.

Note that certain languages simply assign single characters of their respective alphabets to keys on your physical keyboard, and do not require an Input Method Editor (IME). Lyric Version 7.1 offers enhanced support for Chinese, Japanese and Korean language composition, all of which require the use of an Input Method Editor to accommodate the enormous number of characters needed for meaningful composition in those languages.

As stated in the Text Properties Page topic , the [image] (for example) buttons select for composition any of the languages whose Windows Language Packs are installed on your system.

Begin by choosing the language with which you'll be working, with the labeled language buttons pictured above. If a language requiring an Input Method Editor is selected, the [image] button becomes available.

Click the [image] button; a menu with the available options for the selected language is displayed. Most of the examples here picture Japanese input text.

  • The first selection, IME, lists the installed keyboards for the selected language.

  • The second selection allows the user to momentarily switch between the selected language and English, enabling the insertion of English text without resetting the input language and turning off the IME altogether.

  • Where required, full-width and half-width spacing options are available for certain Asian languages.

  • When Japanese input is selected, for instance, the frequently-used variations Hiragana and Katakana are available on the menu.

Example: Hiragana/Katakana JIS layout Soft Keyboard

Example: Japanese Katakana Character List

Naturally, there are variations among composition methods for Chinese, Japanese and Korean. For instance, selecting either Soft Keyboard or Character List on the Lyric menu shown above, when working in Chinese, opens the same on-screen keyboard:

Example: Chinese Soft Keyboard

Features such as LTR/RTL input, character width and the use of diacritical marks have been included in Lyric's international language capability. While most critical adjustments are available through the controls described here, the user may need to exert finer control through the Microsoft Language Pack for the selected language, accessible through the Windows system tray.

Example: Additional Japanese options available through Windows Language Pack controls.


Not for publication notes on 3d text in forgeign languages

Technically, Lyric should be able to do any language installed through Control Panel and use any IME. I have been coding with the understanding that all IMEs have a basic architecture provided through the Input Method Manager functions provided by Windows, so that if one IME works, all should work, but there are of course bugs where my understanding of how the IME functions work have a subtle nuance.

We originally had a release sprint focused on English Only, then Arabic, Divehi, Tamil, and Hindi, and we are currently doing bug fixes for Chinese (PRC), Chinese (Taiwan), Japanese, and Korean. We are only focusing on bug fixes that we find using certain IMEs as well for these languages. For Chinese (PRC), we are looking at Microsoft Pinyin 3.0, Quanpin, and Google Pinyin (this is available for download from Google’s Chinese site – which is in Chinese). For Chinese (Taiwan), we are looking at Microsoft New Phonetic IME 2002. For Japanese, we are only looking at Microsoft IME Standard 2002. For Korean, we are only looking at Korean Input Systems 2002. These are pretty much all default IMEs provided through Windows, excepting Google Pinyin.

To my understanding, we should only be advertising release quality functionality using these IMEs.

Ooop, I forgot we have also been testing conformance for Uzbek, Urdu, Thai, Hebrew, and Bengali. These pretty much simply work, excepting a few very minor problems. These all should “just work” because they do not go through an IME. Any problem with them is probably a problem with all languages.


The Difference Between Movies and Clips

A NOTE ON THE DIFFERENCE BETWEEN MOVIES AND CLIPS

Movie objects are .mov or .avi files that are added to the Lyric composition strictly within the Lyric software, and are visible on the Canvas. Clips originate from dedicated hardware such as eFX boards or Matrox devices within your Chyron system or external sources such as DDRs or videotape playback. Such clips play behind Lyric graphics on output, via keying. Behavior of the clip in terms of duration, position and animation are controlled by Lyric, but the clip is only visible on output.

Clip playout signals from dedicated devices within the Chyron system must be routed and keyed as if from an external source.


HTML Tools

View Menu > Toolbars > HTML Tools

HTML Tools are currently not supported.


Lyric MC Undo/Redo Lists

Undo List/Redo List

Undo List: View Menu > Undo List
Redo List: View Menu > Redo List

These View menu items display the Undo and Redo lists, which show a chronological list of Canvas editing steps, arranged from earliest to most recent. Please note that Lyric cannot maintain an infinite number of editing steps, and only the most recent edits can be stored on the Undo and Redo lists.

Undo List

To view the Undo List, select the Undo List item from the View menu. If the Undo List item is checked, the normal Undo command (Ctrl + Z) also displays the Undo List:

Undo List

  • To undo the most recent edit, scroll to the bottom of the list, then select the last step and click the Undo To button. Lyric cannot undo a single step in the middle of the Undo List, however you may undo a range of edits.

  • To undo a range of edits, select the step you wish to undo, then click the Undo To button. The selected edit, and all subsequent edits, are undone.

Redo List

Undone edits appear on the Redo List, which is also available from the View menu.

  • To redo the most recent undone edit, select the first item on the Redo List, then click the Redo To button.

  • To redo a range of undone edits, select the step you wish to redo, then click Redo To. The selected step, and all more recently undone edits, will be redone.


View Menu and Toolbars

The View Menu

The View menu provides control of the display of the various windows and toolbars that comprise the Lyric interface, allowing customization of the workspace. Click on the menu items shown in the following figure for information on specific tools, windows and functions.

Image: View Menu

View Menu

Displaying Toolbars

Use the View menu command to display and hide Lyric's various Toolbars, which include buttons for some of the most common commands in Lyric, such as File Open. A check mark appears next to the menu item when the Toolbar is displayed. When the checkmark is not displayed, the toolbar is hidden.

Note that HTML Tools is not currently supported .

Moving/Docking/Floating/Hiding a Toolbar

Toolbars can be easily repositioned by clicking and dragging the toolbar to a new location. Toolbars can be either docked or floating.

Docked: The toolbar can be attached horizontally to the top or bottom edge of a window, or vertically to the left or right edge of a window.

Floating: The toolbar is positioned away from the edges of the window.

To reposition a toolbar as a docked toolbar:

  • Click a point on the toolbar that is not on an icon, and then drag the toolbar to a new location at the edge of the program window (interface).

    Repositioning a Toolbar - Docked

    Repositioning a Toolbar to a Docked Position

To reposition a toolbar as a docked toolbar:

  • Click a point on the toolbar that is not on an icon, and then drag the toolbar to a new location away from the edge of the program window (interface).

    Image: Repositioning a Toolbar - Floating

    Repositioning a Toolbar to a Floating Position

    Image: Floating Toolbars

    Floating Toolbars

A floating toolbar can be repositioned by clicking and dragging. It can also be repositioned as follows:

  1. Left-click on the title bar of the floating toolbar. From the context menu, select Move.

    Image: Toolbar Context Menu

    Toolbar Context Menu

  2. Use the cursor keys to reposition the toolbar, and then press Enter.

To automatically convert a floating toolbar to a docking toolbar:

  • Double-click on a point on the toolbar that is not an icon. The toolbar docks to its usual position.

A floating toolbar can be hidden by right-clicking on a point that is not on an icon, and then selecting Hide. The toolbar can be redisplayed by selecting the toolbar name in the View menu, as described above.

Image: Toolbar Context Menu

Toolbar Context Menu